#include <kdecore_includes.h>

#include <smoke.h>
#include <kdecore_smoke.h>

namespace __smokekdecore {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAboutLicense
      switch(to) {
        case 2: return (void*)(KAboutLicense*)xptr;
        default: return xptr;
      }
    case 3:   //KAboutPerson
      switch(to) {
        case 3: return (void*)(KAboutPerson*)xptr;
        default: return xptr;
      }
    case 4:   //KAuth::Action
      switch(to) {
        case 4: return (void*)(KAuth::Action*)xptr;
        default: return xptr;
      }
    case 5:   //KAuth::ActionReply
      switch(to) {
        case 5: return (void*)(KAuth::ActionReply*)xptr;
        default: return xptr;
      }
    case 6:   //KAuth::ActionWatcher
      switch(to) {
        case 158: return (void*)(QObject*)(KAuth::ActionWatcher*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)xptr;
        default: return xptr;
      }
    case 8:   //KAutoSaveFile
      switch(to) {
        case 147: return (void*)(QFile*)(KAutoSaveFile*)xptr;
        case 151: return (void*)(QIODevice*)(KAutoSaveFile*)xptr;
        case 158: return (void*)(QObject*)(KAutoSaveFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)xptr;
        default: return xptr;
      }
    case 9:   //KAutostart
      switch(to) {
        case 158: return (void*)(QObject*)(KAutostart*)xptr;
        case 9: return (void*)(KAutostart*)xptr;
        default: return xptr;
      }
    case 10:   //KCalendarSystem
      switch(to) {
        case 10: return (void*)(KCalendarSystem*)xptr;
        default: return xptr;
      }
    case 11:   //KCalendarSystemPrivate
      switch(to) {
        case 11: return (void*)(KCalendarSystemPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //KCatalogName
      switch(to) {
        case 12: return (void*)(KCatalogName*)xptr;
        default: return xptr;
      }
    case 13:   //KCharMacroExpander
      switch(to) {
        case 76: return (void*)(KMacroExpanderBase*)(KCharMacroExpander*)xptr;
        case 13: return (void*)(KCharMacroExpander*)xptr;
        default: return xptr;
      }
    case 14:   //KCharsets
      switch(to) {
        case 14: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 15:   //KCmdLineArgs
      switch(to) {
        case 15: return (void*)(KCmdLineArgs*)xptr;
        default: return xptr;
      }
    case 16:   //KCmdLineOptions
      switch(to) {
        case 16: return (void*)(KCmdLineOptions*)xptr;
        default: return xptr;
      }
    case 18:   //KComponentData
      switch(to) {
        case 18: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 19:   //KCompositeJob
      switch(to) {
        case 63: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 158: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 19: return (void*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 20:   //KCompositeJobPrivate
      switch(to) {
        case 20: return (void*)(KCompositeJobPrivate*)xptr;
        default: return xptr;
      }
    case 21:   //KConfig
      switch(to) {
        case 22: return (void*)(KConfigBase*)(KConfig*)xptr;
        case 21: return (void*)(KConfig*)xptr;
        case 57: return (void*)(KDesktopFile*)(KConfig*)xptr;
        case 100: return (void*)(KSharedConfig*)(KConfig*)xptr;
        default: return xptr;
      }
    case 22:   //KConfigBase
      switch(to) {
        case 22: return (void*)(KConfigBase*)xptr;
        case 23: return (void*)(KConfigGroup*)(KConfigBase*)xptr;
        case 21: return (void*)(KConfig*)(KConfigBase*)xptr;
        case 57: return (void*)(KDesktopFile*)(KConfigBase*)xptr;
        case 100: return (void*)(KSharedConfig*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 23:   //KConfigGroup
      switch(to) {
        case 22: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 23: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 24:   //KConfigPrivate
      switch(to) {
        case 24: return (void*)(KConfigPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //KConfigSkeletonItem
      switch(to) {
        case 25: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 26:   //KCoreConfigSkeleton
      switch(to) {
        case 158: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 26: return (void*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 27:   //KCoreConfigSkeleton::ItemBool
      switch(to) {
        case 27: return (void*)(KCoreConfigSkeleton::ItemBool*)xptr;
        default: return xptr;
      }
    case 28:   //KCoreConfigSkeleton::ItemDateTime
      switch(to) {
        case 28: return (void*)(KCoreConfigSkeleton::ItemDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //KCoreConfigSkeleton::ItemDouble
      switch(to) {
        case 29: return (void*)(KCoreConfigSkeleton::ItemDouble*)xptr;
        default: return xptr;
      }
    case 30:   //KCoreConfigSkeleton::ItemEnum
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemInt*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        default: return xptr;
      }
    case 31:   //KCoreConfigSkeleton::ItemEnum::Choice
      switch(to) {
        case 31: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice*)xptr;
        default: return xptr;
      }
    case 32:   //KCoreConfigSkeleton::ItemEnum::Choice2
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice2*)xptr;
        default: return xptr;
      }
    case 33:   //KCoreConfigSkeleton::ItemInt
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemInt*)xptr;
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum*)(KCoreConfigSkeleton::ItemInt*)xptr;
        default: return xptr;
      }
    case 34:   //KCoreConfigSkeleton::ItemIntList
      switch(to) {
        case 34: return (void*)(KCoreConfigSkeleton::ItemIntList*)xptr;
        default: return xptr;
      }
    case 35:   //KCoreConfigSkeleton::ItemLongLong
      switch(to) {
        case 35: return (void*)(KCoreConfigSkeleton::ItemLongLong*)xptr;
        default: return xptr;
      }
    case 36:   //KCoreConfigSkeleton::ItemPassword
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        default: return xptr;
      }
    case 37:   //KCoreConfigSkeleton::ItemPath
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPath*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPath*)xptr;
        default: return xptr;
      }
    case 38:   //KCoreConfigSkeleton::ItemPathList
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemStringList*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        case 38: return (void*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        default: return xptr;
      }
    case 39:   //KCoreConfigSkeleton::ItemPoint
      switch(to) {
        case 39: return (void*)(KCoreConfigSkeleton::ItemPoint*)xptr;
        default: return xptr;
      }
    case 40:   //KCoreConfigSkeleton::ItemProperty
      switch(to) {
        case 40: return (void*)(KCoreConfigSkeleton::ItemProperty*)xptr;
        default: return xptr;
      }
    case 41:   //KCoreConfigSkeleton::ItemRect
      switch(to) {
        case 41: return (void*)(KCoreConfigSkeleton::ItemRect*)xptr;
        default: return xptr;
      }
    case 42:   //KCoreConfigSkeleton::ItemSize
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemSize*)xptr;
        default: return xptr;
      }
    case 43:   //KCoreConfigSkeleton::ItemString
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPath*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPassword*)(KCoreConfigSkeleton::ItemString*)xptr;
        default: return xptr;
      }
    case 44:   //KCoreConfigSkeleton::ItemStringList
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        case 38: return (void*)(KCoreConfigSkeleton::ItemPathList*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        default: return xptr;
      }
    case 45:   //KCoreConfigSkeleton::ItemUInt
      switch(to) {
        case 45: return (void*)(KCoreConfigSkeleton::ItemUInt*)xptr;
        default: return xptr;
      }
    case 46:   //KCoreConfigSkeleton::ItemULongLong
      switch(to) {
        case 46: return (void*)(KCoreConfigSkeleton::ItemULongLong*)xptr;
        default: return xptr;
      }
    case 47:   //KCoreConfigSkeleton::ItemUrl
      switch(to) {
        case 47: return (void*)(KCoreConfigSkeleton::ItemUrl*)xptr;
        default: return xptr;
      }
    case 48:   //KCoreConfigSkeleton::ItemUrlList
      switch(to) {
        case 48: return (void*)(KCoreConfigSkeleton::ItemUrlList*)xptr;
        default: return xptr;
      }
    case 49:   //KCurrencyCode
      switch(to) {
        case 49: return (void*)(KCurrencyCode*)xptr;
        default: return xptr;
      }
    case 51:   //KDEDModule
      switch(to) {
        case 158: return (void*)(QObject*)(KDEDModule*)xptr;
        case 51: return (void*)(KDEDModule*)xptr;
        default: return xptr;
      }
    case 52:   //KDEPluginVerificationData
      switch(to) {
        case 52: return (void*)(KDEPluginVerificationData*)xptr;
        default: return xptr;
      }
    case 53:   //KDateTime
      switch(to) {
        case 53: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 54:   //KDateTime::Spec
      switch(to) {
        case 54: return (void*)(KDateTime::Spec*)xptr;
        default: return xptr;
      }
    case 55:   //KDebug
      switch(to) {
        case 55: return (void*)(KDebug*)xptr;
        default: return xptr;
      }
    case 56:   //KDebugTag
      switch(to) {
        case 56: return (void*)(KDebugTag*)xptr;
        default: return xptr;
      }
    case 57:   //KDesktopFile
      switch(to) {
        case 21: return (void*)(KConfig*)(KDesktopFile*)xptr;
        case 22: return (void*)(KConfigBase*)(KDesktopFile*)xptr;
        case 57: return (void*)(KDesktopFile*)xptr;
        default: return xptr;
      }
    case 58:   //KEncodingDetector
      switch(to) {
        case 58: return (void*)(KEncodingDetector*)xptr;
        default: return xptr;
      }
    case 59:   //KEncodingProber
      switch(to) {
        case 59: return (void*)(KEncodingProber*)xptr;
        default: return xptr;
      }
    case 60:   //KFilterBase
      switch(to) {
        case 60: return (void*)(KFilterBase*)xptr;
        default: return xptr;
      }
    case 61:   //KFilterDev
      switch(to) {
        case 151: return (void*)(QIODevice*)(KFilterDev*)xptr;
        case 158: return (void*)(QObject*)(KFilterDev*)xptr;
        case 61: return (void*)(KFilterDev*)xptr;
        default: return xptr;
      }
    case 63:   //KJob
      switch(to) {
        case 158: return (void*)(QObject*)(KJob*)xptr;
        case 63: return (void*)(KJob*)xptr;
        case 19: return (void*)(KCompositeJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 64:   //KJobPrivate
      switch(to) {
        case 64: return (void*)(KJobPrivate*)xptr;
        default: return xptr;
      }
    case 65:   //KJobTrackerInterface
      switch(to) {
        case 158: return (void*)(QObject*)(KJobTrackerInterface*)xptr;
        case 65: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 66:   //KJobUiDelegate
      switch(to) {
        case 158: return (void*)(QObject*)(KJobUiDelegate*)xptr;
        case 66: return (void*)(KJobUiDelegate*)xptr;
        default: return xptr;
      }
    case 67:   //KLibLoader
      switch(to) {
        case 158: return (void*)(QObject*)(KLibLoader*)xptr;
        case 67: return (void*)(KLibLoader*)xptr;
        default: return xptr;
      }
    case 68:   //KLibrary
      switch(to) {
        case 154: return (void*)(QLibrary*)(KLibrary*)xptr;
        case 158: return (void*)(QObject*)(KLibrary*)xptr;
        case 68: return (void*)(KLibrary*)xptr;
        default: return xptr;
      }
    case 69:   //KLocalSocket
      switch(to) {
        case 167: return (void*)(QTcpSocket*)(KLocalSocket*)xptr;
        case 134: return (void*)(QAbstractSocket*)(KLocalSocket*)xptr;
        case 151: return (void*)(QIODevice*)(KLocalSocket*)xptr;
        case 158: return (void*)(QObject*)(KLocalSocket*)xptr;
        case 69: return (void*)(KLocalSocket*)xptr;
        default: return xptr;
      }
    case 70:   //KLocalSocketServer
      switch(to) {
        case 158: return (void*)(QObject*)(KLocalSocketServer*)xptr;
        case 70: return (void*)(KLocalSocketServer*)xptr;
        default: return xptr;
      }
    case 71:   //KLocale
      switch(to) {
        case 71: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 72:   //KLocalizedString
      switch(to) {
        case 72: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 73:   //KLockFile
      switch(to) {
        case 164: return (void*)(QSharedData*)(KLockFile*)xptr;
        case 73: return (void*)(KLockFile*)xptr;
        default: return xptr;
      }
    case 74:   //KMD5
      switch(to) {
        case 74: return (void*)(KMD5*)xptr;
        default: return xptr;
      }
    case 76:   //KMacroExpanderBase
      switch(to) {
        case 76: return (void*)(KMacroExpanderBase*)xptr;
        case 13: return (void*)(KCharMacroExpander*)(KMacroExpanderBase*)xptr;
        case 131: return (void*)(KWordMacroExpander*)(KMacroExpanderBase*)xptr;
        default: return xptr;
      }
    case 78:   //KMessageHandler
      switch(to) {
        case 78: return (void*)(KMessageHandler*)xptr;
        default: return xptr;
      }
    case 79:   //KMimeType
      switch(to) {
        case 97: return (void*)(KServiceType*)(KMimeType*)xptr;
        case 106: return (void*)(KSycocaEntry*)(KMimeType*)xptr;
        case 164: return (void*)(QSharedData*)(KMimeType*)xptr;
        case 79: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 80:   //KMimeTypePrivate
      switch(to) {
        case 80: return (void*)(KMimeTypePrivate*)xptr;
        default: return xptr;
      }
    case 81:   //KMimeTypeTrader
      switch(to) {
        case 81: return (void*)(KMimeTypeTrader*)xptr;
        default: return xptr;
      }
    case 82:   //KParts::Part
      switch(to) {
        case 82: return (void*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 83:   //KPluginFactory
      switch(to) {
        case 158: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 83: return (void*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 84:   //KPluginFactoryPrivate
      switch(to) {
        case 84: return (void*)(KPluginFactoryPrivate*)xptr;
        default: return xptr;
      }
    case 85:   //KPluginInfo
      switch(to) {
        case 85: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 86:   //KPluginLoader
      switch(to) {
        case 159: return (void*)(QPluginLoader*)(KPluginLoader*)xptr;
        case 158: return (void*)(QObject*)(KPluginLoader*)xptr;
        case 86: return (void*)(KPluginLoader*)xptr;
        default: return xptr;
      }
    case 87:   //KProcess
      switch(to) {
        case 161: return (void*)(QProcess*)(KProcess*)xptr;
        case 151: return (void*)(QIODevice*)(KProcess*)xptr;
        case 158: return (void*)(QObject*)(KProcess*)xptr;
        case 87: return (void*)(KProcess*)xptr;
        default: return xptr;
      }
    case 88:   //KProcessPrivate
      switch(to) {
        case 88: return (void*)(KProcessPrivate*)xptr;
        default: return xptr;
      }
    case 89:   //KProtocolInfo
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KProtocolInfo*)xptr;
        case 164: return (void*)(QSharedData*)(KProtocolInfo*)xptr;
        case 89: return (void*)(KProtocolInfo*)xptr;
        default: return xptr;
      }
    case 90:   //KProtocolInfo::ExtraField
      switch(to) {
        case 90: return (void*)(KProtocolInfo::ExtraField*)xptr;
        default: return xptr;
      }
    case 92:   //KRandomSequence
      switch(to) {
        case 92: return (void*)(KRandomSequence*)xptr;
        default: return xptr;
      }
    case 93:   //KSaveFile
      switch(to) {
        case 147: return (void*)(QFile*)(KSaveFile*)xptr;
        case 151: return (void*)(QIODevice*)(KSaveFile*)xptr;
        case 158: return (void*)(QObject*)(KSaveFile*)xptr;
        case 93: return (void*)(KSaveFile*)xptr;
        default: return xptr;
      }
    case 94:   //KService
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KService*)xptr;
        case 164: return (void*)(QSharedData*)(KService*)xptr;
        case 94: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 95:   //KServiceAction
      switch(to) {
        case 95: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 96:   //KServiceGroup
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KServiceGroup*)xptr;
        case 164: return (void*)(QSharedData*)(KServiceGroup*)xptr;
        case 96: return (void*)(KServiceGroup*)xptr;
        default: return xptr;
      }
    case 97:   //KServiceType
      switch(to) {
        case 106: return (void*)(KSycocaEntry*)(KServiceType*)xptr;
        case 164: return (void*)(QSharedData*)(KServiceType*)xptr;
        case 97: return (void*)(KServiceType*)xptr;
        case 79: return (void*)(KMimeType*)(KServiceType*)xptr;
        default: return xptr;
      }
    case 98:   //KServiceTypePrivate
      switch(to) {
        case 98: return (void*)(KServiceTypePrivate*)xptr;
        default: return xptr;
      }
    case 99:   //KServiceTypeTrader
      switch(to) {
        case 99: return (void*)(KServiceTypeTrader*)xptr;
        default: return xptr;
      }
    case 100:   //KSharedConfig
      switch(to) {
        case 21: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 22: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 164: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 100: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 103:   //KStandardDirs
      switch(to) {
        case 103: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 105:   //KSycoca
      switch(to) {
        case 158: return (void*)(QObject*)(KSycoca*)xptr;
        case 105: return (void*)(KSycoca*)xptr;
        default: return xptr;
      }
    case 106:   //KSycocaEntry
      switch(to) {
        case 164: return (void*)(QSharedData*)(KSycocaEntry*)xptr;
        case 106: return (void*)(KSycocaEntry*)xptr;
        case 89: return (void*)(KProtocolInfo*)(KSycocaEntry*)xptr;
        case 97: return (void*)(KServiceType*)(KSycocaEntry*)xptr;
        case 94: return (void*)(KService*)(KSycocaEntry*)xptr;
        case 96: return (void*)(KServiceGroup*)(KSycocaEntry*)xptr;
        case 79: return (void*)(KMimeType*)(KSycocaEntry*)xptr;
        default: return xptr;
      }
    case 107:   //KSycocaEntryPrivate
      switch(to) {
        case 107: return (void*)(KSycocaEntryPrivate*)xptr;
        default: return xptr;
      }
    case 108:   //KSycocaFactory
      switch(to) {
        case 108: return (void*)(KSycocaFactory*)xptr;
        default: return xptr;
      }
    case 109:   //KSycocaFactoryList
      switch(to) {
        case 109: return (void*)(KSycocaFactoryList*)xptr;
        default: return xptr;
      }
    case 110:   //KSystemTimeZone
      switch(to) {
        case 116: return (void*)(KTimeZone*)(KSystemTimeZone*)xptr;
        case 110: return (void*)(KSystemTimeZone*)xptr;
        default: return xptr;
      }
    case 111:   //KSystemTimeZoneBackend
      switch(to) {
        case 120: return (void*)(KTimeZoneBackend*)(KSystemTimeZoneBackend*)xptr;
        case 111: return (void*)(KSystemTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 112:   //KSystemTimeZoneSource
      switch(to) {
        case 122: return (void*)(KTimeZoneSource*)(KSystemTimeZoneSource*)xptr;
        case 112: return (void*)(KSystemTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 113:   //KSystemTimeZones
      switch(to) {
        case 158: return (void*)(QObject*)(KSystemTimeZones*)xptr;
        case 113: return (void*)(KSystemTimeZones*)xptr;
        default: return xptr;
      }
    case 114:   //KTempDir
      switch(to) {
        case 114: return (void*)(KTempDir*)xptr;
        default: return xptr;
      }
    case 115:   //KTemporaryFile
      switch(to) {
        case 168: return (void*)(QTemporaryFile*)(KTemporaryFile*)xptr;
        case 147: return (void*)(QFile*)(KTemporaryFile*)xptr;
        case 151: return (void*)(QIODevice*)(KTemporaryFile*)xptr;
        case 158: return (void*)(QObject*)(KTemporaryFile*)xptr;
        case 115: return (void*)(KTemporaryFile*)xptr;
        default: return xptr;
      }
    case 116:   //KTimeZone
      switch(to) {
        case 116: return (void*)(KTimeZone*)xptr;
        case 110: return (void*)(KSystemTimeZone*)(KTimeZone*)xptr;
        case 125: return (void*)(KTzfileTimeZone*)(KTimeZone*)xptr;
        default: return xptr;
      }
    case 117:   //KTimeZone::LeapSeconds
      switch(to) {
        case 117: return (void*)(KTimeZone::LeapSeconds*)xptr;
        default: return xptr;
      }
    case 118:   //KTimeZone::Phase
      switch(to) {
        case 118: return (void*)(KTimeZone::Phase*)xptr;
        default: return xptr;
      }
    case 119:   //KTimeZone::Transition
      switch(to) {
        case 119: return (void*)(KTimeZone::Transition*)xptr;
        default: return xptr;
      }
    case 120:   //KTimeZoneBackend
      switch(to) {
        case 120: return (void*)(KTimeZoneBackend*)xptr;
        case 126: return (void*)(KTzfileTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        case 111: return (void*)(KSystemTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 121:   //KTimeZoneData
      switch(to) {
        case 121: return (void*)(KTimeZoneData*)xptr;
        default: return xptr;
      }
    case 122:   //KTimeZoneSource
      switch(to) {
        case 122: return (void*)(KTimeZoneSource*)xptr;
        case 127: return (void*)(KTzfileTimeZoneSource*)(KTimeZoneSource*)xptr;
        case 112: return (void*)(KSystemTimeZoneSource*)(KTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 123:   //KTimeZones
      switch(to) {
        case 123: return (void*)(KTimeZones*)xptr;
        default: return xptr;
      }
    case 124:   //KToolInvocation
      switch(to) {
        case 158: return (void*)(QObject*)(KToolInvocation*)xptr;
        case 124: return (void*)(KToolInvocation*)xptr;
        default: return xptr;
      }
    case 125:   //KTzfileTimeZone
      switch(to) {
        case 116: return (void*)(KTimeZone*)(KTzfileTimeZone*)xptr;
        case 125: return (void*)(KTzfileTimeZone*)xptr;
        default: return xptr;
      }
    case 126:   //KTzfileTimeZoneBackend
      switch(to) {
        case 120: return (void*)(KTimeZoneBackend*)(KTzfileTimeZoneBackend*)xptr;
        case 126: return (void*)(KTzfileTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 127:   //KTzfileTimeZoneSource
      switch(to) {
        case 122: return (void*)(KTimeZoneSource*)(KTzfileTimeZoneSource*)xptr;
        case 127: return (void*)(KTzfileTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 128:   //KUrl
      switch(to) {
        case 174: return (void*)(QUrl*)(KUrl*)xptr;
        case 128: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 129:   //KUser
      switch(to) {
        case 129: return (void*)(KUser*)xptr;
        default: return xptr;
      }
    case 130:   //KUserGroup
      switch(to) {
        case 130: return (void*)(KUserGroup*)xptr;
        default: return xptr;
      }
    case 131:   //KWordMacroExpander
      switch(to) {
        case 76: return (void*)(KMacroExpanderBase*)(KWordMacroExpander*)xptr;
        case 131: return (void*)(KWordMacroExpander*)xptr;
        default: return xptr;
      }
    case 132:   //OrgKdeKLauncherInterface
      switch(to) {
        case 139: return (void*)(QDBusAbstractInterface*)(OrgKdeKLauncherInterface*)xptr;
        case 158: return (void*)(QObject*)(OrgKdeKLauncherInterface*)xptr;
        case 132: return (void*)(OrgKdeKLauncherInterface*)xptr;
        default: return xptr;
      }
    case 133:   //QAbstractFileEngine
      switch(to) {
        case 133: return (void*)(QAbstractFileEngine*)xptr;
        default: return xptr;
      }
    case 134:   //QAbstractSocket
      switch(to) {
        case 151: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 158: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 134: return (void*)(QAbstractSocket*)xptr;
        case 69: return (void*)(KLocalSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 135:   //QBool
      switch(to) {
        case 135: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 136:   //QByteArray
      switch(to) {
        case 136: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 137:   //QChar
      switch(to) {
        case 137: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 138:   //QChildEvent
      switch(to) {
        case 146: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 138: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QDBusAbstractInterface
      switch(to) {
        case 158: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 139: return (void*)(QDBusAbstractInterface*)xptr;
        case 132: return (void*)(OrgKdeKLauncherInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 140:   //QDBusConnection
      switch(to) {
        case 140: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 141:   //QDBusObjectPath
      switch(to) {
        case 141: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 142:   //QDBusSignature
      switch(to) {
        case 142: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 143:   //QDataStream
      switch(to) {
        case 143: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 144:   //QDate
      switch(to) {
        case 144: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 145:   //QDateTime
      switch(to) {
        case 145: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 146:   //QEvent
      switch(to) {
        case 146: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 147:   //QFile
      switch(to) {
        case 151: return (void*)(QIODevice*)(QFile*)xptr;
        case 158: return (void*)(QObject*)(QFile*)xptr;
        case 147: return (void*)(QFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QFile*)xptr;
        case 93: return (void*)(KSaveFile*)(QFile*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QFile*)xptr;
        default: return xptr;
      }
    case 148:   //QFileInfo
      switch(to) {
        case 148: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 150:   //QHostAddress
      switch(to) {
        case 150: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 151:   //QIODevice
      switch(to) {
        case 158: return (void*)(QObject*)(QIODevice*)xptr;
        case 151: return (void*)(QIODevice*)xptr;
        case 69: return (void*)(KLocalSocket*)(QIODevice*)xptr;
        case 61: return (void*)(KFilterDev*)(QIODevice*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QIODevice*)xptr;
        case 93: return (void*)(KSaveFile*)(QIODevice*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QIODevice*)xptr;
        case 87: return (void*)(KProcess*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 152:   //QIncompatibleFlag
      switch(to) {
        case 152: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 153:   //QLatin1String
      switch(to) {
        case 153: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 154:   //QLibrary
      switch(to) {
        case 158: return (void*)(QObject*)(QLibrary*)xptr;
        case 154: return (void*)(QLibrary*)xptr;
        case 68: return (void*)(KLibrary*)(QLibrary*)xptr;
        default: return xptr;
      }
    case 155:   //QMetaObject
      switch(to) {
        case 155: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 156:   //QMimeData
      switch(to) {
        case 158: return (void*)(QObject*)(QMimeData*)xptr;
        case 156: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 157:   //QNetworkProxy
      switch(to) {
        case 157: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 158:   //QObject
      switch(to) {
        case 158: return (void*)(QObject*)xptr;
        case 65: return (void*)(KJobTrackerInterface*)(QObject*)xptr;
        case 19: return (void*)(KCompositeJob*)(QObject*)xptr;
        case 86: return (void*)(KPluginLoader*)(QObject*)xptr;
        case 69: return (void*)(KLocalSocket*)(QObject*)xptr;
        case 63: return (void*)(KJob*)(QObject*)xptr;
        case 70: return (void*)(KLocalSocketServer*)(QObject*)xptr;
        case 178: return (void*)(Sonnet::BackgroundChecker*)(QObject*)xptr;
        case 9: return (void*)(KAutostart*)(QObject*)xptr;
        case 67: return (void*)(KLibLoader*)(QObject*)xptr;
        case 61: return (void*)(KFilterDev*)(QObject*)xptr;
        case 83: return (void*)(KPluginFactory*)(QObject*)xptr;
        case 113: return (void*)(KSystemTimeZones*)(QObject*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)(QObject*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QObject*)xptr;
        case 124: return (void*)(KToolInvocation*)(QObject*)xptr;
        case 132: return (void*)(OrgKdeKLauncherInterface*)(QObject*)xptr;
        case 68: return (void*)(KLibrary*)(QObject*)xptr;
        case 93: return (void*)(KSaveFile*)(QObject*)xptr;
        case 26: return (void*)(KCoreConfigSkeleton*)(QObject*)xptr;
        case 66: return (void*)(KJobUiDelegate*)(QObject*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QObject*)xptr;
        case 51: return (void*)(KDEDModule*)(QObject*)xptr;
        case 105: return (void*)(KSycoca*)(QObject*)xptr;
        case 87: return (void*)(KProcess*)(QObject*)xptr;
        default: return xptr;
      }
    case 159:   //QPluginLoader
      switch(to) {
        case 158: return (void*)(QObject*)(QPluginLoader*)xptr;
        case 159: return (void*)(QPluginLoader*)xptr;
        case 86: return (void*)(KPluginLoader*)(QPluginLoader*)xptr;
        default: return xptr;
      }
    case 160:   //QPoint
      switch(to) {
        case 160: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 161:   //QProcess
      switch(to) {
        case 151: return (void*)(QIODevice*)(QProcess*)xptr;
        case 158: return (void*)(QObject*)(QProcess*)xptr;
        case 161: return (void*)(QProcess*)xptr;
        case 87: return (void*)(KProcess*)(QProcess*)xptr;
        default: return xptr;
      }
    case 162:   //QRect
      switch(to) {
        case 162: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 163:   //QRegExp
      switch(to) {
        case 163: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 164:   //QSharedData
      switch(to) {
        case 164: return (void*)(QSharedData*)xptr;
        case 89: return (void*)(KProtocolInfo*)(QSharedData*)xptr;
        case 97: return (void*)(KServiceType*)(QSharedData*)xptr;
        case 94: return (void*)(KService*)(QSharedData*)xptr;
        case 73: return (void*)(KLockFile*)(QSharedData*)xptr;
        case 106: return (void*)(KSycocaEntry*)(QSharedData*)xptr;
        case 100: return (void*)(KSharedConfig*)(QSharedData*)xptr;
        case 96: return (void*)(KServiceGroup*)(QSharedData*)xptr;
        case 79: return (void*)(KMimeType*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 165:   //QSize
      switch(to) {
        case 165: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 166:   //QTcpServer
      switch(to) {
        case 158: return (void*)(QObject*)(QTcpServer*)xptr;
        case 166: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 167:   //QTcpSocket
      switch(to) {
        case 134: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 151: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 158: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 167: return (void*)(QTcpSocket*)xptr;
        case 69: return (void*)(KLocalSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 168:   //QTemporaryFile
      switch(to) {
        case 147: return (void*)(QFile*)(QTemporaryFile*)xptr;
        case 151: return (void*)(QIODevice*)(QTemporaryFile*)xptr;
        case 158: return (void*)(QObject*)(QTemporaryFile*)xptr;
        case 168: return (void*)(QTemporaryFile*)xptr;
        case 115: return (void*)(KTemporaryFile*)(QTemporaryFile*)xptr;
        default: return xptr;
      }
    case 169:   //QTextCodec
      switch(to) {
        case 169: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 170:   //QTextDecoder
      switch(to) {
        case 170: return (void*)(QTextDecoder*)xptr;
        default: return xptr;
      }
    case 171:   //QTime
      switch(to) {
        case 171: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 172:   //QTimerEvent
      switch(to) {
        case 146: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 172: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 173:   //QUdpSocket
      switch(to) {
        case 173: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 174:   //QUrl
      switch(to) {
        case 174: return (void*)(QUrl*)xptr;
        case 128: return (void*)(KUrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 175:   //QVariant
      switch(to) {
        case 175: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 176:   //QWidget
      switch(to) {
        case 176: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 178:   //Sonnet::BackgroundChecker
      switch(to) {
        case 158: return (void*)(QObject*)(Sonnet::BackgroundChecker*)xptr;
        case 178: return (void*)(Sonnet::BackgroundChecker*)xptr;
        default: return xptr;
      }
    case 179:   //Sonnet::Speller
      switch(to) {
        case 179: return (void*)(Sonnet::Speller*)xptr;
        default: return xptr;
      }
    case 180:   //group
      switch(to) {
        case 180: return (void*)(group*)xptr;
        default: return xptr;
      }
    case 181:   //kndbgstream
      switch(to) {
        case 181: return (void*)(kndbgstream*)xptr;
        default: return xptr;
      }
    case 182:   //passwd
      switch(to) {
        case 182: return (void*)(passwd*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    158, 0,	// 1: QObject
    147, 0,	// 3: QFile
    76, 0,	// 5: KMacroExpanderBase
    63, 0,	// 7: KJob
    22, 0,	// 9: KConfigBase
    0, 0,	// 11: KConfigSkeletonGenericItem
    33, 0,	// 13: KCoreConfigSkeleton::ItemInt
    43, 0,	// 15: KCoreConfigSkeleton::ItemString
    44, 0,	// 17: KCoreConfigSkeleton::ItemStringList
    21, 0,	// 19: KConfig
    151, 0,	// 21: QIODevice
    154, 0,	// 23: QLibrary
    167, 0,	// 25: QTcpSocket
    164, 0,	// 27: QSharedData
    97, 0,	// 29: KServiceType
    159, 0,	// 31: QPluginLoader
    161, 0,	// 33: QProcess
    106, 0,	// 35: KSycocaEntry
    21, 164, 0,	// 37: KConfig, QSharedData
    116, 0,	// 40: KTimeZone
    120, 0,	// 42: KTimeZoneBackend
    122, 0,	// 44: KTimeZoneSource
    168, 0,	// 46: QTemporaryFile
    174, 0,	// 48: QUrl
    139, 0,	// 50: QDBusAbstractInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_KAutostart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KShell(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KServiceGroup(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilterBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLockFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KStandardDirs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAboutData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCalendarSystem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__ActionReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDateTime(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCurrencyCode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCmdLineArgs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingProber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSycoca(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCoreConfigSkeleton__ItemString(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo__ExtraField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingDetector(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KGlobal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KComponentData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Sonnet__Speller(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAboutData(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutLicense(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutPerson(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionReply(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuthorized(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutoSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutostart(Smoke::Index, void*, Smoke::Stack);
void xcall_KCalendarSystem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharsets(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineArgs(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineOptions(Smoke::Index, void*, Smoke::Stack);
void xcall_KCodecs(Smoke::Index, void*, Smoke::Stack);
void xcall_KComponentData(Smoke::Index, void*, Smoke::Stack);
void xcall_KCompositeJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigSkeletonItem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemBool(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDouble(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice2(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemIntList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemLongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPassword(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPath(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPathList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemRect(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemSize(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemString(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemStringList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemULongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrlList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCurrencyCode(Smoke::Index, void*, Smoke::Stack);
void xcall_KDE(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEDModule(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEPluginVerificationData(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime__Spec(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebug(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebugTag(Smoke::Index, void*, Smoke::Stack);
void xcall_KDesktopFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingDetector(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingProber(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterDev(Smoke::Index, void*, Smoke::Stack);
void xcall_KGlobal(Smoke::Index, void*, Smoke::Stack);
void xcall_KJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobTrackerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobUiDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibrary(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocketServer(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocale(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalizedString(Smoke::Index, void*, Smoke::Stack);
void xcall_KLockFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KMD5(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpanderBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessageHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KProcess(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo__ExtraField(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandom(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandomSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_KSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KService(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceAction(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceType(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KSharedConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KShell(Smoke::Index, void*, Smoke::Stack);
void xcall_KSocketFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KStandardDirs(Smoke::Index, void*, Smoke::Stack);
void xcall_KStringHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycoca(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycocaEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KTempDir(Smoke::Index, void*, Smoke::Stack);
void xcall_KTemporaryFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__LeapSeconds(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Phase(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Transition(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneData(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KToolInvocation(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KUser(Smoke::Index, void*, Smoke::Stack);
void xcall_KUserGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KWordMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_OrgKdeKLauncherInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__BackgroundChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__Speller(Smoke::Index, void*, Smoke::Stack);
void xcall_kndbgstream(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", false, 0, xcall_KAboutData, xenum_KAboutData, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutData) },	//1
    { "KAboutLicense", false, 0, xcall_KAboutLicense, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutLicense) },	//2
    { "KAboutPerson", false, 0, xcall_KAboutPerson, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutPerson) },	//3
    { "KAuth::Action", false, 0, xcall_KAuth__Action, xenum_KAuth__Action, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAuth::Action) },	//4
    { "KAuth::ActionReply", false, 0, xcall_KAuth__ActionReply, xenum_KAuth__ActionReply, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAuth::ActionReply) },	//5
    { "KAuth::ActionWatcher", false, 1, xcall_KAuth__ActionWatcher, 0, Smoke::cf_virtual, sizeof(KAuth::ActionWatcher) },	//6
    { "KAuthorized", false, 0, xcall_KAuthorized, 0, Smoke::cf_namespace, 0 },	//7
    { "KAutoSaveFile", false, 3, xcall_KAutoSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutoSaveFile) },	//8
    { "KAutostart", false, 1, xcall_KAutostart, xenum_KAutostart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutostart) },	//9
    { "KCalendarSystem", false, 0, xcall_KCalendarSystem, xenum_KCalendarSystem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCalendarSystem) },	//10
    { "KCalendarSystemPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "KCatalogName", true, 0, 0, 0, 0, 0 },	//12
    { "KCharMacroExpander", false, 5, xcall_KCharMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharMacroExpander) },	//13
    { "KCharsets", false, 0, xcall_KCharsets, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharsets) },	//14
    { "KCmdLineArgs", false, 0, xcall_KCmdLineArgs, xenum_KCmdLineArgs, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineArgs) },	//15
    { "KCmdLineOptions", false, 0, xcall_KCmdLineOptions, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineOptions) },	//16
    { "KCodecs", false, 0, xcall_KCodecs, 0, Smoke::cf_namespace, 0 },	//17
    { "KComponentData", false, 0, xcall_KComponentData, xenum_KComponentData, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KComponentData) },	//18
    { "KCompositeJob", false, 7, xcall_KCompositeJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCompositeJob) },	//19
    { "KCompositeJobPrivate", true, 0, 0, 0, 0, 0 },	//20
    { "KConfig", false, 9, xcall_KConfig, xenum_KConfig, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KConfig) },	//21
    { "KConfigBase", false, 0, xcall_KConfigBase, xenum_KConfigBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigBase) },	//22
    { "KConfigGroup", false, 9, xcall_KConfigGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigGroup) },	//23
    { "KConfigPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "KConfigSkeletonItem", false, 0, xcall_KConfigSkeletonItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigSkeletonItem) },	//25
    { "KCoreConfigSkeleton", false, 1, xcall_KCoreConfigSkeleton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCoreConfigSkeleton) },	//26
    { "KCoreConfigSkeleton::ItemBool", false, 11, xcall_KCoreConfigSkeleton__ItemBool, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemBool) },	//27
    { "KCoreConfigSkeleton::ItemDateTime", false, 11, xcall_KCoreConfigSkeleton__ItemDateTime, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDateTime) },	//28
    { "KCoreConfigSkeleton::ItemDouble", false, 11, xcall_KCoreConfigSkeleton__ItemDouble, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDouble) },	//29
    { "KCoreConfigSkeleton::ItemEnum", false, 13, xcall_KCoreConfigSkeleton__ItemEnum, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum) },	//30
    { "KCoreConfigSkeleton::ItemEnum::Choice", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice) },	//31
    { "KCoreConfigSkeleton::ItemEnum::Choice2", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice2) },	//32
    { "KCoreConfigSkeleton::ItemInt", false, 11, xcall_KCoreConfigSkeleton__ItemInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemInt) },	//33
    { "KCoreConfigSkeleton::ItemIntList", false, 11, xcall_KCoreConfigSkeleton__ItemIntList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemIntList) },	//34
    { "KCoreConfigSkeleton::ItemLongLong", false, 11, xcall_KCoreConfigSkeleton__ItemLongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemLongLong) },	//35
    { "KCoreConfigSkeleton::ItemPassword", false, 15, xcall_KCoreConfigSkeleton__ItemPassword, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPassword) },	//36
    { "KCoreConfigSkeleton::ItemPath", false, 15, xcall_KCoreConfigSkeleton__ItemPath, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPath) },	//37
    { "KCoreConfigSkeleton::ItemPathList", false, 17, xcall_KCoreConfigSkeleton__ItemPathList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPathList) },	//38
    { "KCoreConfigSkeleton::ItemPoint", false, 11, xcall_KCoreConfigSkeleton__ItemPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPoint) },	//39
    { "KCoreConfigSkeleton::ItemProperty", false, 11, xcall_KCoreConfigSkeleton__ItemProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemProperty) },	//40
    { "KCoreConfigSkeleton::ItemRect", false, 11, xcall_KCoreConfigSkeleton__ItemRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemRect) },	//41
    { "KCoreConfigSkeleton::ItemSize", false, 11, xcall_KCoreConfigSkeleton__ItemSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemSize) },	//42
    { "KCoreConfigSkeleton::ItemString", false, 11, xcall_KCoreConfigSkeleton__ItemString, xenum_KCoreConfigSkeleton__ItemString, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemString) },	//43
    { "KCoreConfigSkeleton::ItemStringList", false, 11, xcall_KCoreConfigSkeleton__ItemStringList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemStringList) },	//44
    { "KCoreConfigSkeleton::ItemUInt", false, 11, xcall_KCoreConfigSkeleton__ItemUInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUInt) },	//45
    { "KCoreConfigSkeleton::ItemULongLong", false, 11, xcall_KCoreConfigSkeleton__ItemULongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemULongLong) },	//46
    { "KCoreConfigSkeleton::ItemUrl", false, 11, xcall_KCoreConfigSkeleton__ItemUrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrl) },	//47
    { "KCoreConfigSkeleton::ItemUrlList", false, 11, xcall_KCoreConfigSkeleton__ItemUrlList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrlList) },	//48
    { "KCurrencyCode", false, 0, xcall_KCurrencyCode, xenum_KCurrencyCode, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCurrencyCode) },	//49
    { "KDE", false, 0, xcall_KDE, 0, Smoke::cf_namespace, 0 },	//50
    { "KDEDModule", false, 1, xcall_KDEDModule, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDEDModule) },	//51
    { "KDEPluginVerificationData", false, 0, xcall_KDEPluginVerificationData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDEPluginVerificationData) },	//52
    { "KDateTime", false, 0, xcall_KDateTime, xenum_KDateTime, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime) },	//53
    { "KDateTime::Spec", false, 0, xcall_KDateTime__Spec, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime::Spec) },	//54
    { "KDebug", false, 0, xcall_KDebug, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebug) },	//55
    { "KDebugTag", false, 0, xcall_KDebugTag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebugTag) },	//56
    { "KDesktopFile", false, 19, xcall_KDesktopFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDesktopFile) },	//57
    { "KEncodingDetector", false, 0, xcall_KEncodingDetector, xenum_KEncodingDetector, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingDetector) },	//58
    { "KEncodingProber", false, 0, xcall_KEncodingProber, xenum_KEncodingProber, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingProber) },	//59
    { "KFilterBase", false, 0, xcall_KFilterBase, xenum_KFilterBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilterBase) },	//60
    { "KFilterDev", false, 21, xcall_KFilterDev, 0, Smoke::cf_virtual, sizeof(KFilterDev) },	//61
    { "KGlobal", false, 0, xcall_KGlobal, xenum_KGlobal, Smoke::cf_namespace, 0 },	//62
    { "KJob", false, 1, xcall_KJob, xenum_KJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJob) },	//63
    { "KJobPrivate", true, 0, 0, 0, 0, 0 },	//64
    { "KJobTrackerInterface", false, 1, xcall_KJobTrackerInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobTrackerInterface) },	//65
    { "KJobUiDelegate", false, 1, xcall_KJobUiDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobUiDelegate) },	//66
    { "KLibLoader", false, 1, xcall_KLibLoader, xenum_KLibLoader, Smoke::cf_virtual, sizeof(KLibLoader) },	//67
    { "KLibrary", false, 23, xcall_KLibrary, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLibrary) },	//68
    { "KLocalSocket", false, 25, xcall_KLocalSocket, xenum_KLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocket) },	//69
    { "KLocalSocketServer", false, 1, xcall_KLocalSocketServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocketServer) },	//70
    { "KLocale", false, 0, xcall_KLocale, xenum_KLocale, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KLocale) },	//71
    { "KLocalizedString", false, 0, xcall_KLocalizedString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLocalizedString) },	//72
    { "KLockFile", false, 27, xcall_KLockFile, xenum_KLockFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLockFile) },	//73
    { "KMD5", false, 0, xcall_KMD5, 0, Smoke::cf_constructor, sizeof(KMD5) },	//74
    { "KMacroExpander", false, 0, xcall_KMacroExpander, 0, Smoke::cf_namespace, 0 },	//75
    { "KMacroExpanderBase", false, 0, xcall_KMacroExpanderBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMacroExpanderBase) },	//76
    { "KMessage", false, 0, xcall_KMessage, xenum_KMessage, Smoke::cf_namespace, 0 },	//77
    { "KMessageHandler", false, 0, xcall_KMessageHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMessageHandler) },	//78
    { "KMimeType", false, 29, xcall_KMimeType, xenum_KMimeType, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KMimeType) },	//79
    { "KMimeTypePrivate", true, 0, 0, 0, 0, 0 },	//80
    { "KMimeTypeTrader", false, 0, xcall_KMimeTypeTrader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KMimeTypeTrader) },	//81
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//82
    { "KPluginFactory", false, 1, xcall_KPluginFactory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginFactory) },	//83
    { "KPluginFactoryPrivate", true, 0, 0, 0, 0, 0 },	//84
    { "KPluginInfo", false, 0, xcall_KPluginInfo, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KPluginInfo) },	//85
    { "KPluginLoader", false, 31, xcall_KPluginLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginLoader) },	//86
    { "KProcess", false, 33, xcall_KProcess, xenum_KProcess, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProcess) },	//87
    { "KProcessPrivate", true, 0, 0, 0, 0, 0 },	//88
    { "KProtocolInfo", false, 35, xcall_KProtocolInfo, xenum_KProtocolInfo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProtocolInfo) },	//89
    { "KProtocolInfo::ExtraField", false, 0, xcall_KProtocolInfo__ExtraField, xenum_KProtocolInfo__ExtraField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KProtocolInfo::ExtraField) },	//90
    { "KRandom", false, 0, xcall_KRandom, 0, Smoke::cf_namespace, 0 },	//91
    { "KRandomSequence", false, 0, xcall_KRandomSequence, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KRandomSequence) },	//92
    { "KSaveFile", false, 3, xcall_KSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSaveFile) },	//93
    { "KService", false, 35, xcall_KService, xenum_KService, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KService) },	//94
    { "KServiceAction", false, 0, xcall_KServiceAction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KServiceAction) },	//95
    { "KServiceGroup", false, 35, xcall_KServiceGroup, xenum_KServiceGroup, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceGroup) },	//96
    { "KServiceType", false, 35, xcall_KServiceType, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceType) },	//97
    { "KServiceTypePrivate", true, 0, 0, 0, 0, 0 },	//98
    { "KServiceTypeTrader", false, 0, xcall_KServiceTypeTrader, 0, 0, sizeof(KServiceTypeTrader) },	//99
    { "KSharedConfig", false, 37, xcall_KSharedConfig, 0, Smoke::cf_virtual, sizeof(KSharedConfig) },	//100
    { "KShell", false, 0, xcall_KShell, xenum_KShell, Smoke::cf_namespace, 0 },	//101
    { "KSocketFactory", false, 0, xcall_KSocketFactory, 0, Smoke::cf_namespace, 0 },	//102
    { "KStandardDirs", false, 0, xcall_KStandardDirs, xenum_KStandardDirs, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KStandardDirs) },	//103
    { "KStringHandler", false, 0, xcall_KStringHandler, 0, Smoke::cf_namespace, 0 },	//104
    { "KSycoca", false, 1, xcall_KSycoca, xenum_KSycoca, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycoca) },	//105
    { "KSycocaEntry", false, 27, xcall_KSycocaEntry, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycocaEntry) },	//106
    { "KSycocaEntryPrivate", true, 0, 0, 0, 0, 0 },	//107
    { "KSycocaFactory", true, 0, 0, 0, 0, 0 },	//108
    { "KSycocaFactoryList", true, 0, 0, 0, 0, 0 },	//109
    { "KSystemTimeZone", false, 40, xcall_KSystemTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZone) },	//110
    { "KSystemTimeZoneBackend", false, 42, xcall_KSystemTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneBackend) },	//111
    { "KSystemTimeZoneSource", false, 44, xcall_KSystemTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneSource) },	//112
    { "KSystemTimeZones", false, 1, xcall_KSystemTimeZones, 0, Smoke::cf_virtual, sizeof(KSystemTimeZones) },	//113
    { "KTempDir", false, 0, xcall_KTempDir, 0, Smoke::cf_constructor, sizeof(KTempDir) },	//114
    { "KTemporaryFile", false, 46, xcall_KTemporaryFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTemporaryFile) },	//115
    { "KTimeZone", false, 0, xcall_KTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZone) },	//116
    { "KTimeZone::LeapSeconds", false, 0, xcall_KTimeZone__LeapSeconds, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::LeapSeconds) },	//117
    { "KTimeZone::Phase", false, 0, xcall_KTimeZone__Phase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Phase) },	//118
    { "KTimeZone::Transition", false, 0, xcall_KTimeZone__Transition, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Transition) },	//119
    { "KTimeZoneBackend", false, 0, xcall_KTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneBackend) },	//120
    { "KTimeZoneData", false, 0, xcall_KTimeZoneData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneData) },	//121
    { "KTimeZoneSource", false, 0, xcall_KTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneSource) },	//122
    { "KTimeZones", false, 0, xcall_KTimeZones, 0, Smoke::cf_constructor, sizeof(KTimeZones) },	//123
    { "KToolInvocation", false, 1, xcall_KToolInvocation, 0, Smoke::cf_virtual, sizeof(KToolInvocation) },	//124
    { "KTzfileTimeZone", false, 40, xcall_KTzfileTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZone) },	//125
    { "KTzfileTimeZoneBackend", false, 42, xcall_KTzfileTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneBackend) },	//126
    { "KTzfileTimeZoneSource", false, 44, xcall_KTzfileTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneSource) },	//127
    { "KUrl", false, 48, xcall_KUrl, xenum_KUrl, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUrl) },	//128
    { "KUser", false, 0, xcall_KUser, xenum_KUser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUser) },	//129
    { "KUserGroup", false, 0, xcall_KUserGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUserGroup) },	//130
    { "KWordMacroExpander", false, 5, xcall_KWordMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KWordMacroExpander) },	//131
    { "OrgKdeKLauncherInterface", false, 50, xcall_OrgKdeKLauncherInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(OrgKdeKLauncherInterface) },	//132
    { "QAbstractFileEngine", true, 0, 0, 0, 0, 0 },	//133
    { "QAbstractSocket", true, 0, 0, 0, 0, 0 },	//134
    { "QBool", true, 0, 0, 0, 0, 0 },	//135
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//136
    { "QChar", true, 0, 0, 0, 0, 0 },	//137
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QDBusAbstractInterface", true, 0, 0, 0, 0, 0 },	//139
    { "QDBusConnection", true, 0, 0, 0, 0, 0 },	//140
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//141
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//142
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//143
    { "QDate", true, 0, 0, 0, 0, 0 },	//144
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//145
    { "QEvent", true, 0, 0, 0, 0, 0 },	//146
    { "QFile", true, 0, 0, 0, 0, 0 },	//147
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//148
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//149
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//150
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//151
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//152
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//153
    { "QLibrary", true, 0, 0, 0, 0, 0 },	//154
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//155
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//156
    { "QNetworkProxy", true, 0, 0, 0, 0, 0 },	//157
    { "QObject", true, 0, 0, 0, 0, 0 },	//158
    { "QPluginLoader", true, 0, 0, 0, 0, 0 },	//159
    { "QPoint", true, 0, 0, 0, 0, 0 },	//160
    { "QProcess", true, 0, 0, 0, 0, 0 },	//161
    { "QRect", true, 0, 0, 0, 0, 0 },	//162
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//163
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//164
    { "QSize", true, 0, 0, 0, 0, 0 },	//165
    { "QTcpServer", true, 0, 0, 0, 0, 0 },	//166
    { "QTcpSocket", true, 0, 0, 0, 0, 0 },	//167
    { "QTemporaryFile", true, 0, 0, 0, 0, 0 },	//168
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//169
    { "QTextDecoder", true, 0, 0, 0, 0, 0 },	//170
    { "QTime", true, 0, 0, 0, 0, 0 },	//171
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//172
    { "QUdpSocket", true, 0, 0, 0, 0, 0 },	//173
    { "QUrl", true, 0, 0, 0, 0, 0 },	//174
    { "QVariant", true, 0, 0, 0, 0, 0 },	//175
    { "QWidget", true, 0, 0, 0, 0, 0 },	//176
    { "Sonnet", false, 0, xcall_Sonnet, 0, Smoke::cf_namespace, 0 },	//177
    { "Sonnet::BackgroundChecker", false, 1, xcall_Sonnet__BackgroundChecker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Sonnet::BackgroundChecker) },	//178
    { "Sonnet::Speller", false, 0, xcall_Sonnet__Speller, xenum_Sonnet__Speller, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Sonnet::Speller) },	//179
    { "group", true, 0, 0, 0, 0, 0 },	//180
    { "kndbgstream", false, 0, xcall_kndbgstream, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(kndbgstream) },	//181
    { "passwd", true, 0, 0, 0, 0, 0 },	//182
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DatabaseType", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "FILE*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//2
    { "FileNameUsedForCopying", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "KAboutData&", 1, Smoke::t_class|Smoke::tf_ref },	//4
    { "KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KAboutData::LicenseKey", 1, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KAboutData::NameFormat", 1, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KAboutLicense", 2, Smoke::t_class|Smoke::tf_stack },	//8
    { "KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref },	//9
    { "KAboutLicense*", 2, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KAboutPerson", 3, Smoke::t_class|Smoke::tf_stack },	//11
    { "KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref },	//12
    { "KAboutPerson*", 3, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KAuth::Action", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref },	//15
    { "KAuth::Action*", 4, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KAuth::Action::AuthStatus", 4, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KAuth::ActionReply", 5, Smoke::t_class|Smoke::tf_stack },	//18
    { "KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref },	//19
    { "KAuth::ActionReply*", 5, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KAuth::ActionReply::Error", 5, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KAuth::ActionReply::Type", 5, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KAuth::ActionWatcher*", 6, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KAutoSaveFile*", 8, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KAutostart*", 9, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KAutostart::Condition", 9, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KAutostart::StartPhase", 9, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr },	//28
    { "KCalendarSystem::MonthNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KCalendarSystem::StringFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//30
    { "KCalendarSystem::WeekDayNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//31
    { "KCalendarSystemPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//32
    { "KCatalogName", 12, Smoke::t_class|Smoke::tf_stack },	//33
    { "KCharMacroExpander*", 13, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KCharsets*", 14, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KCmdLineArgs*", 15, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KCmdLineArgs::StdCmdLineArg", 15, Smoke::t_enum|Smoke::tf_stack },	//37
    { "KCmdLineOptions&", 16, Smoke::t_class|Smoke::tf_ref },	//38
    { "KCmdLineOptions*", 16, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KComponentData", 18, Smoke::t_class|Smoke::tf_stack },	//40
    { "KComponentData&", 18, Smoke::t_class|Smoke::tf_ref },	//41
    { "KComponentData*", 18, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KComponentData::MainComponentRegistration", 18, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KCompositeJob*", 19, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KCompositeJobPrivate&", 20, Smoke::t_class|Smoke::tf_ref },	//45
    { "KConfig*", 21, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KConfig::OpenFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//47
    { "KConfigBase*", 22, Smoke::t_class|Smoke::tf_ptr },	//48
    { "KConfigBase::AccessMode", 22, Smoke::t_enum|Smoke::tf_stack },	//49
    { "KConfigBase::WriteConfigFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "KConfigGroup", 23, Smoke::t_class|Smoke::tf_stack },	//51
    { "KConfigGroup&", 23, Smoke::t_class|Smoke::tf_ref },	//52
    { "KConfigGroup*", 23, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KConfigPrivate&", 24, Smoke::t_class|Smoke::tf_ref },	//54
    { "KConfigSkeletonItem*", 25, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KCoreConfigSkeleton*", 26, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KCoreConfigSkeleton::ItemBool*", 27, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KCoreConfigSkeleton::ItemDateTime*", 28, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KCoreConfigSkeleton::ItemDouble*", 29, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KCoreConfigSkeleton::ItemEnum*", 30, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KCoreConfigSkeleton::ItemEnum::Choice", 31, Smoke::t_class|Smoke::tf_stack },	//61
    { "KCoreConfigSkeleton::ItemEnum::Choice*", 31, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KCoreConfigSkeleton::ItemEnum::Choice2", 32, Smoke::t_class|Smoke::tf_stack },	//63
    { "KCoreConfigSkeleton::ItemEnum::Choice2*", 32, Smoke::t_class|Smoke::tf_ptr },	//64
    { "KCoreConfigSkeleton::ItemInt*", 33, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KCoreConfigSkeleton::ItemIntList*", 34, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KCoreConfigSkeleton::ItemLongLong*", 35, Smoke::t_class|Smoke::tf_ptr },	//67
    { "KCoreConfigSkeleton::ItemPassword*", 36, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KCoreConfigSkeleton::ItemPath*", 37, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KCoreConfigSkeleton::ItemPathList*", 38, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KCoreConfigSkeleton::ItemPoint*", 39, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KCoreConfigSkeleton::ItemProperty*", 40, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KCoreConfigSkeleton::ItemRect*", 41, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KCoreConfigSkeleton::ItemSize*", 42, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KCoreConfigSkeleton::ItemString*", 43, Smoke::t_class|Smoke::tf_ptr },	//75
    { "KCoreConfigSkeleton::ItemString::Type", 43, Smoke::t_enum|Smoke::tf_stack },	//76
    { "KCoreConfigSkeleton::ItemStringList*", 44, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KCoreConfigSkeleton::ItemUInt*", 45, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KCoreConfigSkeleton::ItemULongLong*", 46, Smoke::t_class|Smoke::tf_ptr },	//79
    { "KCoreConfigSkeleton::ItemUrl*", 47, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KCoreConfigSkeleton::ItemUrlList*", 48, Smoke::t_class|Smoke::tf_ptr },	//81
    { "KCurrencyCode&", 49, Smoke::t_class|Smoke::tf_ref },	//82
    { "KCurrencyCode*", 49, Smoke::t_class|Smoke::tf_ptr },	//83
    { "KCurrencyCode::CurrencyStatus", 49, Smoke::t_enum|Smoke::tf_stack },	//84
    { "KDEDModule*", 51, Smoke::t_class|Smoke::tf_ptr },	//85
    { "KDEPluginVerificationData*", 52, Smoke::t_class|Smoke::tf_ptr },	//86
    { "KDateTime", 53, Smoke::t_class|Smoke::tf_stack },	//87
    { "KDateTime&", 53, Smoke::t_class|Smoke::tf_ref },	//88
    { "KDateTime*", 53, Smoke::t_class|Smoke::tf_ptr },	//89
    { "KDateTime::Comparison", 53, Smoke::t_enum|Smoke::tf_stack },	//90
    { "KDateTime::Spec", 54, Smoke::t_class|Smoke::tf_stack },	//91
    { "KDateTime::Spec&", 54, Smoke::t_class|Smoke::tf_ref },	//92
    { "KDateTime::Spec*", 54, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KDateTime::SpecType", 53, Smoke::t_enum|Smoke::tf_stack },	//94
    { "KDateTime::TimeFormat", 53, Smoke::t_enum|Smoke::tf_stack },	//95
    { "KDebug*", 55, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KDebugTag*", 56, Smoke::t_class|Smoke::tf_ptr },	//97
    { "KDesktopFile*", 57, Smoke::t_class|Smoke::tf_ptr },	//98
    { "KEncodingDetector*", 58, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KEncodingDetector::AutoDetectScript", 58, Smoke::t_enum|Smoke::tf_stack },	//100
    { "KEncodingDetector::EncodingChoiceSource", 58, Smoke::t_enum|Smoke::tf_stack },	//101
    { "KEncodingProber*", 59, Smoke::t_class|Smoke::tf_ptr },	//102
    { "KEncodingProber::ProberState", 59, Smoke::t_enum|Smoke::tf_stack },	//103
    { "KEncodingProber::ProberType", 59, Smoke::t_enum|Smoke::tf_stack },	//104
    { "KFilterBase*", 60, Smoke::t_class|Smoke::tf_ptr },	//105
    { "KFilterBase::FilterFlags", 60, Smoke::t_enum|Smoke::tf_stack },	//106
    { "KFilterBase::Result", 60, Smoke::t_enum|Smoke::tf_stack },	//107
    { "KGlobal::CopyCatalogs", 62, Smoke::t_enum|Smoke::tf_stack },	//108
    { "KJob*", 63, Smoke::t_class|Smoke::tf_ptr },	//109
    { "KJob::Capability", 63, Smoke::t_enum|Smoke::tf_stack },	//110
    { "KJob::KillVerbosity", 63, Smoke::t_enum|Smoke::tf_stack },	//111
    { "KJob::Unit", 63, Smoke::t_enum|Smoke::tf_stack },	//112
    { "KJobPrivate&", 64, Smoke::t_class|Smoke::tf_ref },	//113
    { "KJobTrackerInterface*", 65, Smoke::t_class|Smoke::tf_ptr },	//114
    { "KJobUiDelegate*", 66, Smoke::t_class|Smoke::tf_ptr },	//115
    { "KLibLoader*", 67, Smoke::t_class|Smoke::tf_ptr },	//116
    { "KLibLoader::ComponentLoadingError", 67, Smoke::t_enum|Smoke::tf_stack },	//117
    { "KLibrary*", 68, Smoke::t_class|Smoke::tf_ptr },	//118
    { "KLocalSocket*", 69, Smoke::t_class|Smoke::tf_ptr },	//119
    { "KLocalSocket::LocalSocketType", 69, Smoke::t_enum|Smoke::tf_stack },	//120
    { "KLocalSocketServer*", 70, Smoke::t_class|Smoke::tf_ptr },	//121
    { "KLocale&", 71, Smoke::t_class|Smoke::tf_ref },	//122
    { "KLocale*", 71, Smoke::t_class|Smoke::tf_ptr },	//123
    { "KLocale::BinarySizeUnits", 71, Smoke::t_enum|Smoke::tf_stack },	//124
    { "KLocale::BinaryUnitDialect", 71, Smoke::t_enum|Smoke::tf_stack },	//125
    { "KLocale::CalendarSystem", 71, Smoke::t_enum|Smoke::tf_stack },	//126
    { "KLocale::DateFormat", 71, Smoke::t_enum|Smoke::tf_stack },	//127
    { "KLocale::DateTimeComponent", 71, Smoke::t_enum|Smoke::tf_stack },	//128
    { "KLocale::DateTimeComponentFormat", 71, Smoke::t_enum|Smoke::tf_stack },	//129
    { "KLocale::DateTimeFormatOption", 71, Smoke::t_enum|Smoke::tf_stack },	//130
    { "KLocale::DateTimeFormatStandard", 71, Smoke::t_enum|Smoke::tf_stack },	//131
    { "KLocale::DateTimeParseMode", 71, Smoke::t_enum|Smoke::tf_stack },	//132
    { "KLocale::DigitSet", 71, Smoke::t_enum|Smoke::tf_stack },	//133
    { "KLocale::MeasureSystem", 71, Smoke::t_enum|Smoke::tf_stack },	//134
    { "KLocale::ReadDateFlags", 71, Smoke::t_enum|Smoke::tf_stack },	//135
    { "KLocale::ReadTimeFlags", 71, Smoke::t_enum|Smoke::tf_stack },	//136
    { "KLocale::SignPosition", 71, Smoke::t_enum|Smoke::tf_stack },	//137
    { "KLocale::TimeFormatOption", 71, Smoke::t_enum|Smoke::tf_stack },	//138
    { "KLocale::TimeProcessingOption", 71, Smoke::t_enum|Smoke::tf_stack },	//139
    { "KLocale::WeekNumberSystem", 71, Smoke::t_enum|Smoke::tf_stack },	//140
    { "KLocalizedString", 72, Smoke::t_class|Smoke::tf_stack },	//141
    { "KLocalizedString&", 72, Smoke::t_class|Smoke::tf_ref },	//142
    { "KLocalizedString*", 72, Smoke::t_class|Smoke::tf_ptr },	//143
    { "KLockFile*", 73, Smoke::t_class|Smoke::tf_ptr },	//144
    { "KLockFile::LockFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//145
    { "KLockFile::LockResult", 73, Smoke::t_enum|Smoke::tf_stack },	//146
    { "KMD5*", 74, Smoke::t_class|Smoke::tf_ptr },	//147
    { "KMacroExpanderBase*", 76, Smoke::t_class|Smoke::tf_ptr },	//148
    { "KMessage::MessageType", 77, Smoke::t_enum|Smoke::tf_stack },	//149
    { "KMessageHandler*", 78, Smoke::t_class|Smoke::tf_ptr },	//150
    { "KMimeType", 79, Smoke::t_class|Smoke::tf_stack },	//151
    { "KMimeType*", 79, Smoke::t_class|Smoke::tf_ptr },	//152
    { "KMimeType::FindByNameOption", 79, Smoke::t_enum|Smoke::tf_stack },	//153
    { "KMimeTypePrivate&", 80, Smoke::t_class|Smoke::tf_ref },	//154
    { "KMimeTypeTrader*", 81, Smoke::t_class|Smoke::tf_ptr },	//155
    { "KParts::Part*", 82, Smoke::t_class|Smoke::tf_ptr },	//156
    { "KPluginFactory*", 83, Smoke::t_class|Smoke::tf_ptr },	//157
    { "KPluginFactoryPrivate&", 84, Smoke::t_class|Smoke::tf_ref },	//158
    { "KPluginInfo", 85, Smoke::t_class|Smoke::tf_stack },	//159
    { "KPluginInfo&", 85, Smoke::t_class|Smoke::tf_ref },	//160
    { "KPluginInfo*", 85, Smoke::t_class|Smoke::tf_ptr },	//161
    { "KPluginLoader*", 86, Smoke::t_class|Smoke::tf_ptr },	//162
    { "KProcess&", 87, Smoke::t_class|Smoke::tf_ref },	//163
    { "KProcess*", 87, Smoke::t_class|Smoke::tf_ptr },	//164
    { "KProcess::OutputChannelMode", 87, Smoke::t_enum|Smoke::tf_stack },	//165
    { "KProcessPrivate*", 88, Smoke::t_class|Smoke::tf_ptr },	//166
    { "KProtocolInfo*", 89, Smoke::t_class|Smoke::tf_ptr },	//167
    { "KProtocolInfo::ExtraField", 90, Smoke::t_class|Smoke::tf_stack },	//168
    { "KProtocolInfo::ExtraField&", 90, Smoke::t_class|Smoke::tf_ref },	//169
    { "KProtocolInfo::ExtraField*", 90, Smoke::t_class|Smoke::tf_ptr },	//170
    { "KProtocolInfo::ExtraField::Type", 90, Smoke::t_enum|Smoke::tf_stack },	//171
    { "KProtocolInfo::FileNameUsedForCopying", 89, Smoke::t_enum|Smoke::tf_stack },	//172
    { "KProtocolInfo::Type", 89, Smoke::t_enum|Smoke::tf_stack },	//173
    { "KRandomSequence&", 92, Smoke::t_class|Smoke::tf_ref },	//174
    { "KRandomSequence*", 92, Smoke::t_class|Smoke::tf_ptr },	//175
    { "KSaveFile*", 93, Smoke::t_class|Smoke::tf_ptr },	//176
    { "KService", 94, Smoke::t_class|Smoke::tf_stack },	//177
    { "KService*", 94, Smoke::t_class|Smoke::tf_ptr },	//178
    { "KService::DBusStartupType", 94, Smoke::t_enum|Smoke::tf_stack },	//179
    { "KServiceAction", 95, Smoke::t_class|Smoke::tf_stack },	//180
    { "KServiceAction&", 95, Smoke::t_class|Smoke::tf_ref },	//181
    { "KServiceAction*", 95, Smoke::t_class|Smoke::tf_ptr },	//182
    { "KServiceGroup", 96, Smoke::t_class|Smoke::tf_stack },	//183
    { "KServiceGroup*", 96, Smoke::t_class|Smoke::tf_ptr },	//184
    { "KServiceGroup::EntriesOption", 96, Smoke::t_enum|Smoke::tf_stack },	//185
    { "KServiceType", 97, Smoke::t_class|Smoke::tf_stack },	//186
    { "KServiceType*", 97, Smoke::t_class|Smoke::tf_ptr },	//187
    { "KServiceTypePrivate&", 98, Smoke::t_class|Smoke::tf_ref },	//188
    { "KServiceTypeTrader*", 99, Smoke::t_class|Smoke::tf_ptr },	//189
    { "KSharedConfig", 100, Smoke::t_class|Smoke::tf_stack },	//190
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//191
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "KSharedPtr<KServiceGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//193
    { "KSharedPtr<KServiceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//194
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "KSharedPtr<KSycocaEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "KShell::Errors", 101, Smoke::t_enum|Smoke::tf_stack },	//197
    { "KShell::Errors*", 101, Smoke::t_enum|Smoke::tf_ptr },	//198
    { "KShell::Option", 101, Smoke::t_enum|Smoke::tf_stack },	//199
    { "KStandardDirs*", 103, Smoke::t_class|Smoke::tf_ptr },	//200
    { "KStandardDirs::SearchOption", 103, Smoke::t_enum|Smoke::tf_stack },	//201
    { "KSycoca*", 105, Smoke::t_class|Smoke::tf_ptr },	//202
    { "KSycoca::DatabaseType", 105, Smoke::t_enum|Smoke::tf_stack },	//203
    { "KSycocaEntry", 106, Smoke::t_class|Smoke::tf_stack },	//204
    { "KSycocaEntry*", 106, Smoke::t_class|Smoke::tf_ptr },	//205
    { "KSycocaEntryPrivate&", 107, Smoke::t_class|Smoke::tf_ref },	//206
    { "KSycocaFactory*", 108, Smoke::t_class|Smoke::tf_ptr },	//207
    { "KSycocaFactoryId", 149, Smoke::t_enum|Smoke::tf_stack },	//208
    { "KSycocaFactoryList*", 109, Smoke::t_class|Smoke::tf_ptr },	//209
    { "KSycocaType", 149, Smoke::t_enum|Smoke::tf_stack },	//210
    { "KSycocaType&", 149, Smoke::t_enum|Smoke::tf_ref },	//211
    { "KSystemTimeZone*", 110, Smoke::t_class|Smoke::tf_ptr },	//212
    { "KSystemTimeZoneBackend*", 111, Smoke::t_class|Smoke::tf_ptr },	//213
    { "KSystemTimeZoneSource*", 112, Smoke::t_class|Smoke::tf_ptr },	//214
    { "KTempDir*", 114, Smoke::t_class|Smoke::tf_ptr },	//215
    { "KTemporaryFile*", 115, Smoke::t_class|Smoke::tf_ptr },	//216
    { "KTimeZone", 116, Smoke::t_class|Smoke::tf_stack },	//217
    { "KTimeZone&", 116, Smoke::t_class|Smoke::tf_ref },	//218
    { "KTimeZone*", 116, Smoke::t_class|Smoke::tf_ptr },	//219
    { "KTimeZone::LeapSeconds", 117, Smoke::t_class|Smoke::tf_stack },	//220
    { "KTimeZone::LeapSeconds&", 117, Smoke::t_class|Smoke::tf_ref },	//221
    { "KTimeZone::LeapSeconds*", 117, Smoke::t_class|Smoke::tf_ptr },	//222
    { "KTimeZone::Phase", 118, Smoke::t_class|Smoke::tf_stack },	//223
    { "KTimeZone::Phase&", 118, Smoke::t_class|Smoke::tf_ref },	//224
    { "KTimeZone::Phase*", 118, Smoke::t_class|Smoke::tf_ptr },	//225
    { "KTimeZone::Transition", 119, Smoke::t_class|Smoke::tf_stack },	//226
    { "KTimeZone::Transition&", 119, Smoke::t_class|Smoke::tf_ref },	//227
    { "KTimeZone::Transition*", 119, Smoke::t_class|Smoke::tf_ptr },	//228
    { "KTimeZoneBackend&", 120, Smoke::t_class|Smoke::tf_ref },	//229
    { "KTimeZoneBackend*", 120, Smoke::t_class|Smoke::tf_ptr },	//230
    { "KTimeZoneData&", 121, Smoke::t_class|Smoke::tf_ref },	//231
    { "KTimeZoneData*", 121, Smoke::t_class|Smoke::tf_ptr },	//232
    { "KTimeZoneSource*", 122, Smoke::t_class|Smoke::tf_ptr },	//233
    { "KTimeZones*", 123, Smoke::t_class|Smoke::tf_ptr },	//234
    { "KToolInvocation*", 124, Smoke::t_class|Smoke::tf_ptr },	//235
    { "KTzfileTimeZone*", 125, Smoke::t_class|Smoke::tf_ptr },	//236
    { "KTzfileTimeZoneBackend*", 126, Smoke::t_class|Smoke::tf_ptr },	//237
    { "KTzfileTimeZoneSource*", 127, Smoke::t_class|Smoke::tf_ptr },	//238
    { "KUrl", 128, Smoke::t_class|Smoke::tf_stack },	//239
    { "KUrl&", 128, Smoke::t_class|Smoke::tf_ref },	//240
    { "KUrl*", 128, Smoke::t_class|Smoke::tf_ptr },	//241
    { "KUrl::AdjustPathOption", 128, Smoke::t_enum|Smoke::tf_stack },	//242
    { "KUrl::CleanPathOption", 128, Smoke::t_enum|Smoke::tf_stack },	//243
    { "KUrl::DirectoryOption", 128, Smoke::t_enum|Smoke::tf_stack },	//244
    { "KUrl::EncodedPathAndQueryOption", 128, Smoke::t_enum|Smoke::tf_stack },	//245
    { "KUrl::EqualsOption", 128, Smoke::t_enum|Smoke::tf_stack },	//246
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref },	//248
    { "KUrl::MimeDataFlags", 128, Smoke::t_enum|Smoke::tf_stack },	//249
    { "KUrl::QueryItemsOption", 128, Smoke::t_enum|Smoke::tf_stack },	//250
    { "KUser", 129, Smoke::t_class|Smoke::tf_stack },	//251
    { "KUser&", 129, Smoke::t_class|Smoke::tf_ref },	//252
    { "KUser*", 129, Smoke::t_class|Smoke::tf_ptr },	//253
    { "KUser::UIDMode", 129, Smoke::t_enum|Smoke::tf_stack },	//254
    { "KUser::UserProperty", 129, Smoke::t_enum|Smoke::tf_stack },	//255
    { "KUserGroup", 130, Smoke::t_class|Smoke::tf_stack },	//256
    { "KUserGroup&", 130, Smoke::t_class|Smoke::tf_ref },	//257
    { "KUserGroup*", 130, Smoke::t_class|Smoke::tf_ptr },	//258
    { "KWordMacroExpander*", 131, Smoke::t_class|Smoke::tf_ptr },	//259
    { "OrgKdeKLauncherInterface*", 132, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QAbstractFileEngine*", 133, Smoke::t_class|Smoke::tf_ptr },	//261
    { "QAbstractSocket::SocketError", 134, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QBool", 135, Smoke::t_class|Smoke::tf_stack },	//263
    { "QByteArray", 136, Smoke::t_class|Smoke::tf_stack },	//264
    { "QByteArray&", 136, Smoke::t_class|Smoke::tf_ref },	//265
    { "QChar", 137, Smoke::t_class|Smoke::tf_stack },	//266
    { "QChildEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QDBusObjectPath", 141, Smoke::t_class|Smoke::tf_stack },	//269
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "QDBusReply<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//271
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//272
    { "QDataStream&", 143, Smoke::t_class|Smoke::tf_ref },	//273
    { "QDataStream*", 143, Smoke::t_class|Smoke::tf_ptr },	//274
    { "QDataStream*&", 143, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//275
    { "QDate", 144, Smoke::t_class|Smoke::tf_stack },	//276
    { "QDate&", 144, Smoke::t_class|Smoke::tf_ref },	//277
    { "QDateTime", 145, Smoke::t_class|Smoke::tf_stack },	//278
    { "QDateTime&", 145, Smoke::t_class|Smoke::tf_ref },	//279
    { "QEvent*", 146, Smoke::t_class|Smoke::tf_ptr },	//280
    { "QFile::FileError", 147, Smoke::t_enum|Smoke::tf_stack },	//281
    { "QFlags<KAutostart::Condition>", 0, Smoke::t_uint|Smoke::tf_stack },	//282
    { "QFlags<KCmdLineArgs::StdCmdLineArg>", 0, Smoke::t_uint|Smoke::tf_stack },	//283
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//284
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//285
    { "QFlags<KCurrencyCode::CurrencyStatus>", 0, Smoke::t_uint|Smoke::tf_stack },	//286
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//287
    { "QFlags<KLocale::DateTimeComponent>", 0, Smoke::t_uint|Smoke::tf_stack },	//288
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//289
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//290
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//291
    { "QFlags<KLockFile::LockFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//292
    { "QFlags<KServiceGroup::EntriesOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//293
    { "QFlags<KShell::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//294
    { "QFlags<KStandardDirs::SearchOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//295
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//296
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//297
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//298
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//299
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "QIODevice&", 151, Smoke::t_class|Smoke::tf_ref },	//304
    { "QIODevice*", 151, Smoke::t_class|Smoke::tf_ptr },	//305
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//306
    { "QIODevice::OpenModeFlag", 151, Smoke::t_enum|Smoke::tf_stack },	//307
    { "QIncompatibleFlag", 152, Smoke::t_class|Smoke::tf_stack },	//308
    { "QLibrary::LoadHint", 154, Smoke::t_enum|Smoke::tf_stack },	//309
    { "QList<KAboutLicense>", 0, Smoke::t_voidp|Smoke::tf_stack },	//310
    { "QList<KAboutPerson>", 0, Smoke::t_voidp|Smoke::tf_stack },	//311
    { "QList<KAuth::Action>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//312
    { "QList<KAutoSaveFile*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//313
    { "QList<KConfigSkeletonItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//314
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice2>", 0, Smoke::t_voidp|Smoke::tf_stack },	//315
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//316
    { "QList<KLocale::CalendarSystem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//317
    { "QList<KLocale::DigitSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//318
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//319
    { "QList<KProtocolInfo::ExtraField>", 0, Smoke::t_voidp|Smoke::tf_stack },	//320
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//321
    { "QList<KSharedPtr<KMimeType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//322
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//323
    { "QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref },	//324
    { "QList<KSharedPtr<KServiceGroup> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//325
    { "QList<KSharedPtr<KServiceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//326
    { "QList<KSharedPtr<KSycocaEntry> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//327
    { "QList<KTimeZone::LeapSeconds>", 0, Smoke::t_voidp|Smoke::tf_stack },	//328
    { "QList<KTimeZone::Phase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//329
    { "QList<KTimeZone::Transition>", 0, Smoke::t_voidp|Smoke::tf_stack },	//330
    { "QList<KUser>", 0, Smoke::t_voidp|Smoke::tf_stack },	//331
    { "QList<KUserGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//332
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//333
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//334
    { "QList<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//335
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//336
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//337
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//338
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//339
    { "QMap<QString,QVariant::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//340
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//341
    { "QMetaObject::Call", 155, Smoke::t_enum|Smoke::tf_stack },	//342
    { "QMimeData*", 156, Smoke::t_class|Smoke::tf_ptr },	//343
    { "QNetworkProxy", 157, Smoke::t_class|Smoke::tf_stack },	//344
    { "QObject*", 158, Smoke::t_class|Smoke::tf_ptr },	//345
    { "QPair<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//346
    { "QPoint&", 160, Smoke::t_class|Smoke::tf_ref },	//347
    { "QRect&", 162, Smoke::t_class|Smoke::tf_ref },	//348
    { "QRegExp&", 163, Smoke::t_class|Smoke::tf_ref },	//349
    { "QSize&", 165, Smoke::t_class|Smoke::tf_ref },	//350
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//352
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//353
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//355
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//356
    { "QTcpServer*", 166, Smoke::t_class|Smoke::tf_ptr },	//357
    { "QTcpSocket*", 167, Smoke::t_class|Smoke::tf_ptr },	//358
    { "QTextCodec*", 169, Smoke::t_class|Smoke::tf_ptr },	//359
    { "QTextDecoder*", 170, Smoke::t_class|Smoke::tf_ptr },	//360
    { "QTime", 171, Smoke::t_class|Smoke::tf_stack },	//361
    { "QTimerEvent*", 172, Smoke::t_class|Smoke::tf_ptr },	//362
    { "QUdpSocket*", 173, Smoke::t_class|Smoke::tf_ptr },	//363
    { "QVariant", 175, Smoke::t_class|Smoke::tf_stack },	//364
    { "QVariant&", 175, Smoke::t_class|Smoke::tf_ref },	//365
    { "QVariant::Type", 175, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//367
    { "QWidget*", 176, Smoke::t_class|Smoke::tf_ptr },	//368
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//384
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//385
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//386
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//387
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//388
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//389
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//390
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//391
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//393
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//394
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//395
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//396
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//397
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//398
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//399
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//400
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//401
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//402
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//403
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//404
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//405
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//406
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//407
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//408
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//409
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//410
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//411
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//412
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//413
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//414
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//415
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//416
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//417
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//418
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//419
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//420
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//421
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//422
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//423
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//424
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//425
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//426
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//427
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//428
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//429
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//430
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//431
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//432
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//433
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//434
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//435
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//442
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//443
    { "QtMsgType", 149, Smoke::t_enum|Smoke::tf_stack },	//444
    { "Sonnet::BackgroundChecker*", 178, Smoke::t_class|Smoke::tf_ptr },	//445
    { "Sonnet::Speller", 179, Smoke::t_class|Smoke::tf_stack },	//446
    { "Sonnet::Speller&", 179, Smoke::t_class|Smoke::tf_ref },	//447
    { "Sonnet::Speller*", 179, Smoke::t_class|Smoke::tf_ptr },	//448
    { "Sonnet::Speller::Attribute", 179, Smoke::t_enum|Smoke::tf_stack },	//449
    { "__codecvt_result", 149, Smoke::t_enum|Smoke::tf_stack },	//450
    { "__itimer_which", 149, Smoke::t_enum|Smoke::tf_stack },	//451
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//452
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//453
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//454
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//455
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//456
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//457
    { "const KAboutData&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//459
    { "const KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "const KCharMacroExpander&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const KCharsets&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const KCmdLineArgs&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const KCmdLineOptions&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const KComponentData&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const KConfig*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//470
    { "const KConfigBase&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const KConfigBase*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "const KConfigGroup", 23, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//473
    { "const KConfigGroup&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const KConfigSkeletonItem&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const KCoreConfigSkeleton::ItemBool&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const KCoreConfigSkeleton::ItemDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const KCoreConfigSkeleton::ItemDouble&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const KCoreConfigSkeleton::ItemEnum&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const KCoreConfigSkeleton::ItemEnum::Choice&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const KCoreConfigSkeleton::ItemEnum::Choice2&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const KCoreConfigSkeleton::ItemInt&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const KCoreConfigSkeleton::ItemIntList&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const KCoreConfigSkeleton::ItemLongLong&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const KCoreConfigSkeleton::ItemPassword&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const KCoreConfigSkeleton::ItemPath&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const KCoreConfigSkeleton::ItemPathList&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const KCoreConfigSkeleton::ItemPoint&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const KCoreConfigSkeleton::ItemProperty&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const KCoreConfigSkeleton::ItemRect&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const KCoreConfigSkeleton::ItemSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const KCoreConfigSkeleton::ItemString&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const KCoreConfigSkeleton::ItemStringList&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const KCoreConfigSkeleton::ItemUInt&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const KCoreConfigSkeleton::ItemULongLong&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const KCoreConfigSkeleton::ItemUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const KCoreConfigSkeleton::ItemUrlList&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const KCurrencyCode&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const KDEPluginVerificationData&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const KDateTime&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const KDateTime::Spec&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const KDebug&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//502
    { "const KDebugTag&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const KDesktopFile*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//504
    { "const KEncodingDetector&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const KEncodingProber&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//506
    { "const KLocale&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//507
    { "const KLocale*", 71, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//508
    { "const KLocalizedString&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//509
    { "const KLockFile&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//510
    { "const KMacroExpanderBase&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//511
    { "const KMessageHandler&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//512
    { "const KMimeTypeTrader&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//513
    { "const KPluginInfo&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//514
    { "const KProtocolInfo::ExtraField&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//515
    { "const KRandomSequence&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//516
    { "const KService&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//517
    { "const KServiceAction&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//518
    { "const KServiceType*", 97, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//519
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//520
    { "const KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//521
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//522
    { "const KSharedPtr<KSycocaEntry>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//523
    { "const KSystemTimeZone&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//524
    { "const KSystemTimeZoneBackend&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//525
    { "const KSystemTimeZoneSource&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//526
    { "const KTimeZone&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//527
    { "const KTimeZone*", 116, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//528
    { "const KTimeZone::LeapSeconds&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//529
    { "const KTimeZone::Phase&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//530
    { "const KTimeZone::Transition&", 119, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//531
    { "const KTimeZone::Transition*", 119, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//532
    { "const KTimeZone::Transition**", 119, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//533
    { "const KTimeZoneBackend&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//534
    { "const KTimeZoneData&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//535
    { "const KTimeZoneData*", 121, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//536
    { "const KTimeZoneSource&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//537
    { "const KTimeZones*", 123, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//538
    { "const KTzfileTimeZone&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//539
    { "const KTzfileTimeZoneBackend&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//540
    { "const KTzfileTimeZoneSource&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//541
    { "const KUrl&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//542
    { "const KUrl::CleanPathOption&", 128, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//543
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const KUser&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//545
    { "const KUserGroup&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const KWordMacroExpander&", 131, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//547
    { "const QByteArray", 136, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//548
    { "const QByteArray&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const QChar&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//550
    { "const QDBusConnection&", 140, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//551
    { "const QDBusObjectPath&", 141, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const QDBusSignature&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//553
    { "const QDate", 144, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//554
    { "const QDate&", 144, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const QDateTime&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//556
    { "const QFileInfo&", 148, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const QFlags<KUrl::DirectoryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//558
    { "const QFlags<KUrl::EncodedPathAndQueryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//559
    { "const QFlags<KUrl::EqualsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const QFlags<KUrl::QueryItemsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const QHash<QChar,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//562
    { "const QHash<QChar,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//563
    { "const QHash<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//564
    { "const QHash<QString,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const QHostAddress&", 150, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const QLatin1String&", 153, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const QList<KAuth::Action>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const QList<KCatalogName>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//571
    { "const QList<KJob*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//573
    { "const QList<KTimeZone::LeapSeconds>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const QList<KTimeZone::Phase>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//575
    { "const QList<KTimeZone::Transition>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//576
    { "const QList<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//578
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//579
    { "const QMap<QString,KTimeZone>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//580
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//581
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const QMetaObject&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const QMetaObject*", 155, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//584
    { "const QObject*", 158, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//585
    { "const QPair<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//586
    { "const QPoint&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//587
    { "const QRect&", 162, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//588
    { "const QRegExp&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const QSize&", 165, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//590
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//591
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//592
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//594
    { "const QTime&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//595
    { "const QUrl&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//596
    { "const QVariant&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//597
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//598
    { "const Sonnet::Speller&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//599
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//600
    { "const float", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//601
    { "const group*", 180, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//602
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//603
    { "const kndbgstream&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//604
    { "const long int", 0, Smoke::t_long|Smoke::tf_stack|Smoke::tf_const },	//605
    { "const passwd*", 182, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//606
    { "const unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//607
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//608
    { "const unsigned char[64]", 0, Smoke::t_uchar|Smoke::tf_stack|Smoke::tf_const },	//609
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//610
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//611
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//612
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//613
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//614
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//615
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//616
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//617
    { "kndbgstream*", 181, Smoke::t_class|Smoke::tf_ptr },	//618
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//619
    { "long int", 0, Smoke::t_long|Smoke::tf_stack },	//620
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//621
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//622
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//623
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//624
    { "qulonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//625
    { "std::bidirectional_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//626
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//627
    { "std::random_access_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//628
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//629
    { "unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref },	//630
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//631
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//632
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//633
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//634
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//635
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//636
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//637
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//638
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//639
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//640
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    549, 549, 509, 549, 509, 6, 509, 509, 549, 549, 0,	//1  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    458, 0,	//12  const KAboutData&
    509, 509, 549, 549, 0,	//14  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    509, 509, 549, 549, 549, 0,	//19  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&
    509, 509, 0,	//25  const KLocalizedString&, const KLocalizedString&
    509, 0,	//28  const KLocalizedString&
    592, 0,	//30  const QString&
    549, 0,	//32  const QByteArray&
    597, 0,	//34  const QVariant&
    6, 0,	//36  KAboutData::LicenseKey
    7, 0,	//38  KAboutData::NameFormat
    549, 549, 509, 549, 0,	//40  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    549, 549, 509, 549, 509, 0,	//45  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    549, 549, 509, 549, 509, 6, 0,	//51  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey
    549, 549, 509, 549, 509, 6, 509, 0,	//58  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&
    549, 549, 509, 549, 509, 6, 509, 509, 0,	//66  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&
    549, 549, 509, 549, 509, 6, 509, 509, 549, 0,	//75  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&
    509, 509, 549, 0,	//85  const KLocalizedString&, const KLocalizedString&, const QByteArray&
    460, 0,	//89  const KAboutLicense&
    461, 0,	//91  const KAboutPerson&
    462, 0,	//93  const KAuth::Action&
    592, 592, 0,	//95  const QString&, const QString&
    582, 0,	//98  const QMap<QString,QVariant>&
    592, 597, 0,	//100  const QString&, const QVariant&
    452, 0,	//103  bool
    568, 312, 592, 0,	//105  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&
    568, 312, 592, 368, 0,	//109  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*
    368, 0,	//114  QWidget*
    22, 0,	//116  KAuth::ActionReply::Type
    615, 0,	//118  int
    463, 0,	//120  const KAuth::ActionReply&
    600, 0,	//122  const char*
    600, 600, 0,	//124  const char*, const char*
    600, 600, 615, 0,	//127  const char*, const char*, int
    342, 615, 639, 0,	//131  QMetaObject::Call, int, void**
    598, 0,	//135  const QVariantMap&
    592, 542, 542, 0,	//137  const QString&, const KUrl&, const KUrl&
    593, 0,	//141  const QStringList&
    542, 345, 0,	//143  const KUrl&, QObject*
    345, 0,	//146  QObject*
    542, 0,	//148  const KUrl&
    301, 0,	//150  QFlags<QIODevice::OpenModeFlag>
    542, 592, 0,	//152  const KUrl&, const QString&
    592, 345, 0,	//155  const QString&, QObject*
    592, 282, 0,	//158  const QString&, QFlags<KAutostart::Condition>
    27, 0,	//161  KAutostart::StartPhase
    592, 508, 0,	//163  const QString&, const KLocale*
    592, 195, 508, 0,	//166  const QString&, KSharedPtr<KSharedConfig>, const KLocale*
    126, 508, 0,	//170  KLocale::CalendarSystem, const KLocale*
    126, 195, 508, 0,	//173  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*
    126, 0,	//177  KLocale::CalendarSystem
    508, 0,	//179  const KLocale*
    521, 508, 0,	//181  const KSharedPtr<KSharedConfig>, const KLocale*
    615, 615, 615, 0,	//184  int, int, int
    615, 615, 0,	//188  int, int
    592, 615, 615, 615, 0,	//191  const QString&, int, int, int
    555, 0,	//196  const QDate&
    277, 615, 615, 615, 0,	//198  QDate&, int, int, int
    277, 615, 615, 0,	//203  QDate&, int, int
    277, 351, 615, 615, 615, 0,	//207  QDate&, QString, int, int, int
    554, 617, 617, 617, 0,	//213  const QDate, int*, int*, int*
    555, 30, 0,	//218  const QDate&, KCalendarSystem::StringFormat
    555, 615, 0,	//221  const QDate&, int
    555, 555, 617, 617, 617, 617, 0,	//224  const QDate&, const QDate&, int*, int*, int*, int*
    555, 555, 0,	//231  const QDate&, const QDate&
    555, 140, 0,	//234  const QDate&, KLocale::WeekNumberSystem
    615, 140, 0,	//237  int, KLocale::WeekNumberSystem
    555, 617, 0,	//240  const QDate&, int*
    555, 140, 617, 0,	//243  const QDate&, KLocale::WeekNumberSystem, int*
    615, 615, 29, 0,	//247  int, int, KCalendarSystem::MonthNameFormat
    555, 29, 0,	//251  const QDate&, KCalendarSystem::MonthNameFormat
    615, 31, 0,	//254  int, KCalendarSystem::WeekDayNameFormat
    555, 31, 0,	//257  const QDate&, KCalendarSystem::WeekDayNameFormat
    592, 616, 0,	//260  const QString&, int&
    555, 127, 0,	//263  const QDate&, KLocale::DateFormat
    555, 592, 131, 0,	//266  const QDate&, const QString&, KLocale::DateTimeFormatStandard
    555, 592, 133, 131, 0,	//270  const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard
    555, 128, 129, 140, 0,	//275  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem
    592, 454, 0,	//280  const QString&, bool*
    592, 135, 454, 0,	//283  const QString&, KLocale::ReadDateFlags, bool*
    592, 592, 454, 0,	//287  const QString&, const QString&, bool*
    592, 592, 454, 131, 0,	//291  const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard
    615, 616, 616, 616, 0,	//296  int, int&, int&, int&
    615, 615, 615, 616, 0,	//301  int, int, int, int&
    32, 521, 508, 0,	//306  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*
    592, 195, 0,	//310  const QString&, KSharedPtr<KSharedConfig>
    126, 195, 0,	//313  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>
    521, 0,	//316  const KSharedPtr<KSharedConfig>
    555, 592, 0,	//318  const QDate&, const QString&
    555, 592, 133, 0,	//321  const QDate&, const QString&, KLocale::DigitSet
    555, 128, 0,	//325  const QDate&, KLocale::DateTimeComponent
    555, 128, 129, 0,	//328  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat
    592, 135, 0,	//332  const QString&, KLocale::ReadDateFlags
    32, 0,	//335  KCalendarSystemPrivate&
    32, 521, 0,	//337  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>
    266, 0,	//340  QChar
    592, 615, 355, 0,	//342  const QString&, int, QStringList&
    266, 355, 0,	//346  QChar, QStringList&
    465, 0,	//349  const KCharMacroExpander&
    592, 453, 0,	//351  const QString&, bool&
    550, 0,	//354  const QChar&
    466, 0,	//356  const KCharsets&
    615, 457, 549, 549, 509, 549, 509, 283, 0,	//358  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>
    615, 457, 459, 283, 0,	//367  int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>
    459, 0,	//372  const KAboutData*
    283, 0,	//374  QFlags<KCmdLineArgs::StdCmdLineArg>
    468, 509, 549, 549, 0,	//376  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&
    273, 0,	//381  QDataStream&
    468, 509, 549, 0,	//383  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&
    467, 0,	//387  const KCmdLineArgs&
    615, 457, 549, 549, 509, 549, 0,	//389  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    615, 457, 549, 549, 509, 549, 509, 0,	//396  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    615, 457, 459, 0,	//404  int, char**, const KAboutData*
    468, 0,	//408  const KCmdLineOptions&
    468, 509, 0,	//410  const KCmdLineOptions&, const KLocalizedString&
    549, 509, 549, 0,	//413  const QByteArray&, const KLocalizedString&, const QByteArray&
    549, 509, 0,	//417  const QByteArray&, const KLocalizedString&
    549, 265, 0,	//420  const QByteArray&, QByteArray&
    549, 265, 452, 0,	//423  const QByteArray&, QByteArray&, bool
    549, 452, 0,	//427  const QByteArray&, bool
    469, 0,	//430  const KComponentData&
    549, 549, 43, 0,	//432  const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration
    458, 43, 0,	//436  const KAboutData&, KComponentData::MainComponentRegistration
    459, 43, 0,	//439  const KAboutData*, KComponentData::MainComponentRegistration
    549, 549, 0,	//442  const QByteArray&, const QByteArray&
    109, 0,	//445  KJob*
    109, 592, 592, 0,	//447  KJob*, const QString&, const QString&
    45, 345, 0,	//451  KCompositeJobPrivate&, QObject*
    592, 284, 600, 0,	//454  const QString&, QFlags<KConfig::OpenFlag>, const char*
    469, 592, 284, 600, 0,	//458  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*
    592, 592, 600, 0,	//463  const QString&, const QString&, const char*
    592, 46, 0,	//467  const QString&, KConfig*
    549, 285, 0,	//470  const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    54, 0,	//473  KConfigPrivate&
    592, 284, 0,	//475  const QString&, QFlags<KConfig::OpenFlag>
    469, 592, 0,	//478  const KComponentData&, const QString&
    469, 592, 284, 0,	//481  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>
    592, 285, 0,	//485  const QString&, QFlags<KConfigBase::WriteConfigFlag>
    600, 285, 0,	//488  const char*, QFlags<KConfigBase::WriteConfigFlag>
    471, 0,	//491  const KConfigBase&
    48, 592, 0,	//493  KConfigBase*, const QString&
    48, 600, 0,	//496  KConfigBase*, const char*
    472, 592, 0,	//499  const KConfigBase*, const QString&
    472, 600, 0,	//502  const KConfigBase*, const char*
    522, 592, 0,	//505  const KSharedPtr<KSharedConfig>&, const QString&
    522, 600, 0,	//508  const KSharedPtr<KSharedConfig>&, const char*
    474, 0,	//511  const KConfigGroup&
    48, 285, 0,	//513  KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>
    285, 0,	//516  QFlags<KConfigBase::WriteConfigFlag>
    600, 597, 0,	//518  const char*, const QVariant&
    600, 592, 0,	//521  const char*, const QString&
    592, 600, 0,	//524  const QString&, const char*
    592, 578, 0,	//527  const QString&, const QList<QVariant>&
    600, 578, 0,	//530  const char*, const QList<QVariant>&
    592, 593, 0,	//533  const QString&, const QStringList&
    600, 593, 0,	//536  const char*, const QStringList&
    592, 597, 285, 0,	//539  const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    600, 597, 285, 0,	//543  const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    592, 592, 285, 0,	//547  const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    600, 592, 285, 0,	//551  const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    592, 549, 285, 0,	//555  const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    600, 549, 285, 0,	//559  const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    592, 600, 285, 0,	//563  const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>
    600, 600, 285, 0,	//567  const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>
    592, 593, 285, 0,	//571  const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    600, 593, 285, 0,	//575  const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    592, 578, 285, 0,	//579  const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    600, 578, 285, 0,	//583  const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    48, 0,	//587  KConfigBase*
    592, 549, 0,	//589  const QString&, const QByteArray&
    600, 549, 0,	//592  const char*, const QByteArray&
    46, 0,	//595  KConfig*
    475, 0,	//597  const KConfigSkeletonItem&
    195, 345, 0,	//599  KSharedPtr<KSharedConfig>, QObject*
    55, 592, 0,	//602  KConfigSkeletonItem*, const QString&
    592, 352, 592, 592, 0,	//605  const QString&, QString&, const QString&, const QString&
    592, 365, 597, 592, 0,	//610  const QString&, QVariant&, const QVariant&, const QString&
    592, 453, 452, 592, 0,	//615  const QString&, bool&, bool, const QString&
    592, 616, 615, 592, 0,	//620  const QString&, int&, int, const QString&
    592, 632, 631, 592, 0,	//625  const QString&, unsigned int&, unsigned int, const QString&
    592, 622, 621, 592, 0,	//630  const QString&, long long&, long long, const QString&
    592, 635, 634, 592, 0,	//635  const QString&, unsigned long long&, unsigned long long, const QString&
    592, 613, 612, 592, 0,	//640  const QString&, double&, double, const QString&
    592, 348, 588, 592, 0,	//645  const QString&, QRect&, const QRect&, const QString&
    592, 347, 587, 592, 0,	//650  const QString&, QPoint&, const QPoint&, const QString&
    592, 350, 590, 592, 0,	//655  const QString&, QSize&, const QSize&, const QString&
    592, 279, 556, 592, 0,	//660  const QString&, QDateTime&, const QDateTime&, const QString&
    592, 355, 593, 592, 0,	//665  const QString&, QStringList&, const QStringList&, const QString&
    592, 338, 579, 592, 0,	//670  const QString&, QList<int>&, const QList<int>&, const QString&
    195, 0,	//675  KSharedPtr<KSharedConfig>
    55, 0,	//677  KConfigSkeletonItem*
    592, 352, 0,	//679  const QString&, QString&
    592, 352, 592, 0,	//682  const QString&, QString&, const QString&
    592, 365, 0,	//686  const QString&, QVariant&
    592, 365, 597, 0,	//689  const QString&, QVariant&, const QVariant&
    592, 453, 452, 0,	//693  const QString&, bool&, bool
    592, 616, 615, 0,	//697  const QString&, int&, int
    592, 632, 0,	//701  const QString&, unsigned int&
    592, 632, 631, 0,	//704  const QString&, unsigned int&, unsigned int
    592, 622, 0,	//708  const QString&, long long&
    592, 622, 621, 0,	//711  const QString&, long long&, long long
    592, 635, 0,	//715  const QString&, unsigned long long&
    592, 635, 634, 0,	//718  const QString&, unsigned long long&, unsigned long long
    592, 613, 0,	//722  const QString&, double&
    592, 613, 612, 0,	//725  const QString&, double&, double
    592, 348, 0,	//729  const QString&, QRect&
    592, 348, 588, 0,	//732  const QString&, QRect&, const QRect&
    592, 347, 0,	//736  const QString&, QPoint&
    592, 347, 587, 0,	//739  const QString&, QPoint&, const QPoint&
    592, 350, 0,	//743  const QString&, QSize&
    592, 350, 590, 0,	//746  const QString&, QSize&, const QSize&
    592, 279, 0,	//750  const QString&, QDateTime&
    592, 279, 556, 0,	//753  const QString&, QDateTime&, const QDateTime&
    592, 355, 0,	//757  const QString&, QStringList&
    592, 355, 593, 0,	//760  const QString&, QStringList&, const QStringList&
    592, 338, 0,	//764  const QString&, QList<int>&
    592, 338, 579, 0,	//767  const QString&, QList<int>&, const QList<int>&
    592, 592, 453, 452, 0,	//771  const QString&, const QString&, bool&, bool
    476, 0,	//776  const KCoreConfigSkeleton::ItemBool&
    592, 592, 453, 0,	//778  const QString&, const QString&, bool&
    592, 592, 279, 556, 0,	//782  const QString&, const QString&, QDateTime&, const QDateTime&
    477, 0,	//787  const KCoreConfigSkeleton::ItemDateTime&
    592, 592, 279, 0,	//789  const QString&, const QString&, QDateTime&
    592, 592, 613, 612, 0,	//793  const QString&, const QString&, double&, double
    612, 0,	//798  double
    478, 0,	//800  const KCoreConfigSkeleton::ItemDouble&
    592, 592, 613, 0,	//802  const QString&, const QString&, double&
    592, 592, 616, 571, 615, 0,	//806  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int
    592, 592, 616, 570, 615, 0,	//812  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int
    479, 0,	//818  const KCoreConfigSkeleton::ItemEnum&
    592, 592, 616, 571, 0,	//820  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&
    592, 592, 616, 570, 0,	//825  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&
    480, 0,	//830  const KCoreConfigSkeleton::ItemEnum::Choice&
    481, 0,	//832  const KCoreConfigSkeleton::ItemEnum::Choice2&
    592, 592, 616, 615, 0,	//834  const QString&, const QString&, int&, int
    482, 0,	//839  const KCoreConfigSkeleton::ItemInt&
    592, 592, 616, 0,	//841  const QString&, const QString&, int&
    592, 592, 338, 579, 0,	//845  const QString&, const QString&, QList<int>&, const QList<int>&
    483, 0,	//850  const KCoreConfigSkeleton::ItemIntList&
    592, 592, 338, 0,	//852  const QString&, const QString&, QList<int>&
    592, 592, 622, 621, 0,	//856  const QString&, const QString&, long long&, long long
    621, 0,	//861  long long
    484, 0,	//863  const KCoreConfigSkeleton::ItemLongLong&
    592, 592, 622, 0,	//865  const QString&, const QString&, long long&
    592, 592, 352, 592, 0,	//869  const QString&, const QString&, QString&, const QString&
    485, 0,	//874  const KCoreConfigSkeleton::ItemPassword&
    592, 592, 352, 0,	//876  const QString&, const QString&, QString&
    486, 0,	//880  const KCoreConfigSkeleton::ItemPath&
    592, 592, 355, 593, 0,	//882  const QString&, const QString&, QStringList&, const QStringList&
    487, 0,	//887  const KCoreConfigSkeleton::ItemPathList&
    592, 592, 355, 0,	//889  const QString&, const QString&, QStringList&
    592, 592, 347, 587, 0,	//893  const QString&, const QString&, QPoint&, const QPoint&
    488, 0,	//898  const KCoreConfigSkeleton::ItemPoint&
    592, 592, 347, 0,	//900  const QString&, const QString&, QPoint&
    592, 592, 365, 597, 0,	//904  const QString&, const QString&, QVariant&, const QVariant&
    489, 0,	//909  const KCoreConfigSkeleton::ItemProperty&
    592, 592, 365, 0,	//911  const QString&, const QString&, QVariant&
    592, 592, 348, 588, 0,	//915  const QString&, const QString&, QRect&, const QRect&
    490, 0,	//920  const KCoreConfigSkeleton::ItemRect&
    592, 592, 348, 0,	//922  const QString&, const QString&, QRect&
    592, 592, 350, 590, 0,	//926  const QString&, const QString&, QSize&, const QSize&
    491, 0,	//931  const KCoreConfigSkeleton::ItemSize&
    592, 592, 350, 0,	//933  const QString&, const QString&, QSize&
    592, 592, 352, 592, 76, 0,	//937  const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type
    492, 0,	//943  const KCoreConfigSkeleton::ItemString&
    493, 0,	//945  const KCoreConfigSkeleton::ItemStringList&
    592, 592, 632, 631, 0,	//947  const QString&, const QString&, unsigned int&, unsigned int
    631, 0,	//952  unsigned int
    494, 0,	//954  const KCoreConfigSkeleton::ItemUInt&
    592, 592, 632, 0,	//956  const QString&, const QString&, unsigned int&
    592, 592, 635, 634, 0,	//960  const QString&, const QString&, unsigned long long&, unsigned long long
    634, 0,	//965  unsigned long long
    495, 0,	//967  const KCoreConfigSkeleton::ItemULongLong&
    592, 592, 635, 0,	//969  const QString&, const QString&, unsigned long long&
    592, 592, 240, 542, 0,	//973  const QString&, const QString&, KUrl&, const KUrl&
    496, 0,	//978  const KCoreConfigSkeleton::ItemUrl&
    592, 592, 240, 0,	//980  const QString&, const QString&, KUrl&
    592, 592, 248, 544, 0,	//984  const QString&, const QString&, KUrl::List&, const KUrl::List&
    497, 0,	//989  const KCoreConfigSkeleton::ItemUrlList&
    592, 592, 248, 0,	//991  const QString&, const QString&, KUrl::List&
    557, 592, 0,	//995  const QFileInfo&, const QString&
    498, 0,	//998  const KCurrencyCode&
    592, 286, 0,	//1000  const QString&, QFlags<KCurrencyCode::CurrencyStatus>
    286, 0,	//1003  QFlags<KCurrencyCode::CurrencyStatus>
    557, 0,	//1005  const QFileInfo&
    592, 631, 0,	//1007  const QString&, unsigned int
    592, 615, 631, 0,	//1010  const QString&, int, unsigned int
    592, 615, 0,	//1014  const QString&, int
    85, 0,	//1017  KDEDModule*
    623, 0,	//1019  qlonglong
    552, 0,	//1021  const QDBusObjectPath&
    499, 0,	//1023  const KDEPluginVerificationData&
    629, 0,	//1025  unsigned char
    555, 501, 0,	//1027  const QDate&, const KDateTime::Spec&
    555, 595, 501, 0,	//1030  const QDate&, const QTime&, const KDateTime::Spec&
    556, 501, 0,	//1034  const QDateTime&, const KDateTime::Spec&
    556, 0,	//1037  const QDateTime&
    500, 0,	//1039  const KDateTime&
    527, 0,	//1041  const KTimeZone&
    501, 0,	//1043  const KDateTime::Spec&
    595, 0,	//1045  const QTime&
    95, 0,	//1047  KDateTime::TimeFormat
    592, 95, 454, 0,	//1049  const QString&, KDateTime::TimeFormat, bool*
    592, 592, 538, 452, 0,	//1053  const QString&, const QString&, const KTimeZones*, bool
    555, 595, 0,	//1058  const QDate&, const QTime&
    592, 95, 0,	//1061  const QString&, KDateTime::TimeFormat
    592, 592, 538, 0,	//1064  const QString&, const QString&, const KTimeZones*
    94, 615, 0,	//1068  KDateTime::SpecType, int
    94, 0,	//1071  KDateTime::SpecType
    444, 600, 615, 600, 0,	//1073  QtMsgType, const char*, int, const char*
    444, 452, 615, 452, 0,	//1078  QtMsgType, bool, int, bool
    452, 615, 0,	//1083  bool, int
    502, 0,	//1086  const KDebug&
    444, 0,	//1088  QtMsgType
    444, 600, 0,	//1090  QtMsgType, const char*
    444, 600, 615, 0,	//1093  QtMsgType, const char*, int
    503, 0,	//1097  const KDebugTag&
    359, 101, 100, 0,	//1099  QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript
    600, 101, 0,	//1103  const char*, KEncodingDetector::EncodingChoiceSource
    100, 0,	//1106  KEncodingDetector::AutoDetectScript
    600, 615, 0,	//1108  const char*, int
    456, 615, 0,	//1111  char*, int
    505, 0,	//1114  const KEncodingDetector&
    359, 101, 0,	//1116  QTextCodec*, KEncodingDetector::EncodingChoiceSource
    104, 0,	//1119  KEncodingProber::ProberType
    506, 0,	//1121  const KEncodingProber&
    305, 452, 0,	//1123  QIODevice*, bool
    456, 631, 0,	//1126  char*, unsigned int
    600, 631, 0,	//1129  const char*, unsigned int
    106, 0,	//1132  KFilterBase::FilterFlags
    305, 0,	//1134  QIODevice*
    592, 592, 452, 0,	//1136  const QString&, const QString&, bool
    305, 592, 452, 0,	//1140  QIODevice*, const QString&, bool
    456, 621, 0,	//1144  char*, long long
    600, 621, 0,	//1147  const char*, long long
    305, 592, 0,	//1150  QIODevice*, const QString&
    585, 583, 0,	//1153  const QObject*, const QMetaObject&
    123, 108, 0,	//1156  KLocale*, KGlobal::CopyCatalogs
    123, 0,	//1159  KLocale*
    115, 0,	//1161  KJobUiDelegate*
    111, 0,	//1163  KJob::KillVerbosity
    287, 0,	//1165  QFlags<KJob::Capability>
    112, 0,	//1167  KJob::Unit
    109, 592, 586, 586, 0,	//1169  KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&
    112, 634, 0,	//1174  KJob::Unit, unsigned long long
    633, 0,	//1177  unsigned long
    634, 634, 0,	//1179  unsigned long long, unsigned long long
    113, 345, 0,	//1182  KJobPrivate&, QObject*
    109, 592, 0,	//1185  KJob*, const QString&
    109, 592, 586, 0,	//1188  KJob*, const QString&, const QPair<QString,QString>&
    109, 112, 625, 0,	//1192  KJob*, KJob::Unit, qulonglong
    109, 633, 0,	//1196  KJob*, unsigned long
    592, 302, 0,	//1199  const QString&, QFlags<QLibrary::LoadHint>
    592, 469, 0,	//1202  const QString&, const KComponentData&
    592, 469, 345, 0,	//1205  const QString&, const KComponentData&, QObject*
    592, 615, 469, 345, 0,	//1209  const QString&, int, const KComponentData&, QObject*
    592, 615, 469, 0,	//1214  const QString&, int, const KComponentData&
    592, 301, 0,	//1218  const QString&, QFlags<QIODevice::OpenModeFlag>
    592, 120, 301, 0,	//1221  const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>
    592, 624, 306, 0,	//1225  const QString&, quint16, QIODevice::OpenMode
    592, 120, 0,	//1229  const QString&, KLocalSocket::LocalSocketType
    615, 454, 0,	//1232  int, bool*
    592, 592, 592, 46, 0,	//1235  const QString&, const QString&, const QString&, KConfig*
    507, 0,	//1240  const KLocale&
    600, 600, 353, 353, 0,	//1242  const char*, const char*, QString*, QString*
    600, 353, 353, 0,	//1247  const char*, QString*, QString*
    600, 600, 600, 353, 353, 0,	//1251  const char*, const char*, const char*, QString*, QString*
    600, 600, 600, 633, 353, 353, 0,	//1257  const char*, const char*, const char*, unsigned long, QString*, QString*
    600, 600, 633, 353, 353, 0,	//1264  const char*, const char*, unsigned long, QString*, QString*
    600, 600, 600, 600, 633, 353, 353, 0,	//1270  const char*, const char*, const char*, const char*, unsigned long, QString*, QString*
    133, 452, 0,	//1278  KLocale::DigitSet, bool
    612, 592, 615, 0,	//1281  double, const QString&, int
    612, 615, 0,	//1285  double, int
    592, 452, 615, 0,	//1288  const QString&, bool, int
    619, 0,	//1292  long
    612, 615, 125, 124, 0,	//1294  double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits
    125, 0,	//1299  KLocale::BinaryUnitDialect
    556, 127, 452, 0,	//1301  const QDateTime&, KLocale::DateFormat, bool
    500, 127, 289, 0,	//1305  const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>
    595, 452, 452, 0,	//1309  const QTime&, bool, bool
    595, 290, 0,	//1313  const QTime&, QFlags<KLocale::TimeFormatOption>
    595, 129, 0,	//1316  const QTime&, KLocale::DateTimeComponentFormat
    140, 0,	//1319  KLocale::WeekNumberSystem
    592, 136, 454, 0,	//1321  const QString&, KLocale::ReadTimeFlags, bool*
    592, 454, 290, 291, 0,	//1325  const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>
    133, 0,	//1330  KLocale::DigitSet
    137, 0,	//1332  KLocale::SignPosition
    134, 0,	//1334  KLocale::MeasureSystem
    600, 600, 600, 0,	//1336  const char*, const char*, const char*
    592, 352, 352, 352, 352, 0,	//1340  const QString&, QString&, QString&, QString&, QString&
    592, 133, 452, 0,	//1346  const QString&, KLocale::DigitSet, bool
    592, 592, 592, 0,	//1350  const QString&, const QString&, const QString&
    612, 592, 0,	//1354  double, const QString&
    592, 452, 0,	//1357  const QString&, bool
    612, 615, 125, 0,	//1360  double, int, KLocale::BinaryUnitDialect
    556, 127, 0,	//1364  const QDateTime&, KLocale::DateFormat
    500, 127, 0,	//1367  const KDateTime&, KLocale::DateFormat
    595, 452, 0,	//1370  const QTime&, bool
    592, 136, 0,	//1373  const QString&, KLocale::ReadTimeFlags
    592, 454, 290, 0,	//1376  const QString&, bool*, QFlags<KLocale::TimeFormatOption>
    592, 133, 0,	//1380  const QString&, KLocale::DigitSet
    508, 592, 0,	//1383  const KLocale*, const QString&
    615, 615, 615, 550, 0,	//1386  int, int, int, const QChar&
    631, 615, 615, 550, 0,	//1391  unsigned int, int, int, const QChar&
    619, 615, 615, 550, 0,	//1396  long, int, int, const QChar&
    633, 615, 615, 550, 0,	//1401  unsigned long, int, int, const QChar&
    621, 615, 615, 550, 0,	//1406  long long, int, int, const QChar&
    634, 615, 615, 550, 0,	//1411  unsigned long long, int, int, const QChar&
    612, 615, 455, 615, 550, 0,	//1416  double, int, char, int, const QChar&
    266, 615, 550, 0,	//1422  QChar, int, const QChar&
    592, 615, 550, 0,	//1426  const QString&, int, const QChar&
    593, 569, 0,	//1430  const QStringList&, const QList<KCatalogName>&
    631, 615, 0,	//1433  unsigned int, int
    631, 615, 615, 0,	//1436  unsigned int, int, int
    619, 615, 0,	//1440  long, int
    619, 615, 615, 0,	//1443  long, int, int
    633, 615, 0,	//1447  unsigned long, int
    633, 615, 615, 0,	//1450  unsigned long, int, int
    621, 615, 0,	//1454  long long, int
    621, 615, 615, 0,	//1457  long long, int, int
    634, 615, 0,	//1461  unsigned long long, int
    634, 615, 615, 0,	//1464  unsigned long long, int, int
    612, 615, 455, 0,	//1468  double, int, char
    612, 615, 455, 615, 0,	//1472  double, int, char, int
    266, 615, 0,	//1477  QChar, int
    292, 0,	//1480  QFlags<KLockFile::LockFlag>
    616, 352, 352, 0,	//1482  int&, QString&, QString&
    510, 0,	//1486  const KLockFile&
    608, 615, 0,	//1488  const unsigned char*, int
    304, 0,	//1491  QIODevice&
    630, 0,	//1493  unsigned char(&)[16]
    265, 0,	//1495  QByteArray&
    607, 0,	//1497  const unsigned char(&)[16]
    609, 0,	//1499  const unsigned char[64]
    608, 0,	//1501  const unsigned char*
    592, 564, 266, 0,	//1503  const QString&, const QHash<QString,QString>&, QChar
    592, 564, 0,	//1507  const QString&, const QHash<QString,QString>&
    592, 563, 266, 0,	//1510  const QString&, const QHash<QChar,QStringList>&, QChar
    592, 563, 0,	//1514  const QString&, const QHash<QChar,QStringList>&
    592, 562, 266, 0,	//1517  const QString&, const QHash<QChar,QString>&, QChar
    592, 562, 0,	//1521  const QString&, const QHash<QChar,QString>&
    592, 565, 266, 0,	//1524  const QString&, const QHash<QString,QStringList>&, QChar
    592, 565, 0,	//1528  const QString&, const QHash<QString,QStringList>&
    352, 0,	//1531  QString&
    352, 616, 0,	//1533  QString&, int&
    511, 0,	//1536  const KMacroExpanderBase&
    149, 592, 592, 0,	//1538  KMessage::MessageType, const QString&, const QString&
    149, 592, 0,	//1542  KMessage::MessageType, const QString&
    150, 0,	//1545  KMessageHandler*
    512, 0,	//1547  const KMessageHandler&
    542, 631, 0,	//1549  const KUrl&, unsigned int
    592, 153, 0,	//1552  const QString&, KMimeType::FindByNameOption
    542, 631, 452, 452, 617, 0,	//1555  const KUrl&, unsigned int, bool, bool, int*
    592, 631, 452, 617, 0,	//1561  const QString&, unsigned int, bool, int*
    549, 617, 0,	//1566  const QByteArray&, int*
    592, 549, 631, 617, 0,	//1569  const QString&, const QByteArray&, unsigned int, int*
    305, 617, 0,	//1574  QIODevice*, int*
    592, 305, 631, 617, 0,	//1577  const QString&, QIODevice*, unsigned int, int*
    592, 617, 0,	//1582  const QString&, int*
    273, 615, 0,	//1585  QDataStream&, int
    154, 0,	//1588  KMimeTypePrivate&
    154, 592, 592, 0,	//1590  KMimeTypePrivate&, const QString&, const QString&
    542, 631, 452, 0,	//1594  const KUrl&, unsigned int, bool
    542, 631, 452, 452, 0,	//1598  const KUrl&, unsigned int, bool, bool
    592, 631, 452, 0,	//1603  const QString&, unsigned int, bool
    592, 549, 631, 0,	//1607  const QString&, const QByteArray&, unsigned int
    592, 305, 0,	//1611  const QString&, QIODevice*
    592, 305, 631, 0,	//1614  const QString&, QIODevice*, unsigned int
    513, 0,	//1618  const KMimeTypeTrader&
    600, 600, 345, 0,	//1620  const char*, const char*, QObject*
    458, 345, 0,	//1624  const KAboutData&, QObject*
    459, 345, 0,	//1627  const KAboutData*, QObject*
    345, 600, 593, 0,	//1630  QObject*, const char*, const QStringList&
    158, 345, 0,	//1634  KPluginFactoryPrivate&, QObject*
    578, 0,	//1637  const QList<QVariant>&
    368, 345, 600, 593, 0,	//1639  QWidget*, QObject*, const char*, const QStringList&
    600, 368, 345, 578, 592, 0,	//1644  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    345, 600, 0,	//1650  QObject*, const char*
    158, 0,	//1653  KPluginFactoryPrivate&
    520, 0,	//1655  const KSharedPtr<KService>
    573, 474, 0,	//1657  const QList<KSharedPtr<KService> >&, const KConfigGroup&
    593, 474, 0,	//1660  const QStringList&, const KConfigGroup&
    592, 474, 0,	//1663  const QString&, const KConfigGroup&
    51, 0,	//1666  KConfigGroup
    514, 0,	//1668  const KPluginInfo&
    573, 0,	//1670  const QList<KSharedPtr<KService> >&
    517, 469, 345, 0,	//1672  const KService&, const KComponentData&, QObject*
    517, 0,	//1676  const KService&
    517, 469, 0,	//1678  const KService&, const KComponentData&
    165, 0,	//1681  KProcess::OutputChannelMode
    592, 593, 615, 0,	//1683  const QString&, const QStringList&, int
    593, 615, 0,	//1687  const QStringList&, int
    166, 345, 0,	//1690  KProcessPrivate*, QObject*
    173, 0,	//1693  KProtocolInfo::Type
    592, 171, 0,	//1695  const QString&, KProtocolInfo::ExtraField::Type
    515, 0,	//1698  const KProtocolInfo::ExtraField&
    171, 0,	//1700  KProtocolInfo::ExtraField::Type
    516, 0,	//1702  const KRandomSequence&
    592, 592, 592, 610, 0,	//1704  const QString&, const QString&, const QString&, const unsigned int
    504, 0,	//1709  const KDesktopFile*
    519, 0,	//1711  const KServiceType*
    592, 366, 0,	//1713  const QString&, QVariant::Type
    452, 592, 353, 594, 0,	//1716  bool, const QString&, QString*, const QStringList*
    452, 592, 0,	//1721  bool, const QString&
    452, 592, 353, 0,	//1724  bool, const QString&, QString*
    592, 592, 592, 592, 452, 0,	//1728  const QString&, const QString&, const QString&, const QString&, bool
    518, 0,	//1734  const KServiceAction&
    592, 592, 592, 592, 0,	//1736  const QString&, const QString&, const QString&, const QString&
    273, 615, 452, 0,	//1741  QDataStream&, int, bool
    452, 452, 452, 452, 0,	//1745  bool, bool, bool, bool
    452, 452, 0,	//1750  bool, bool
    293, 0,	//1753  QFlags<KServiceGroup::EntriesOption>
    523, 0,	//1755  const KSharedPtr<KSycocaEntry>&
    452, 452, 452, 0,	//1757  bool, bool, bool
    98, 0,	//1761  KDesktopFile*
    188, 0,	//1763  KServiceTypePrivate&
    188, 592, 592, 0,	//1765  KServiceTypePrivate&, const QString&, const QString&
    324, 592, 0,	//1769  QList<KSharedPtr<KService> >&, const QString&
    592, 294, 198, 0,	//1772  const QString&, QFlags<KShell::Option>, KShell::Errors*
    592, 294, 0,	//1776  const QString&, QFlags<KShell::Option>
    592, 592, 636, 345, 0,	//1779  const QString&, const QString&, unsigned short, QObject*
    592, 592, 636, 0,	//1784  const QString&, const QString&, unsigned short
    592, 592, 636, 615, 345, 0,	//1788  const QString&, const QString&, unsigned short, int, QObject*
    592, 592, 636, 615, 0,	//1794  const QString&, const QString&, unsigned short, int
    592, 566, 636, 345, 0,	//1799  const QString&, const QHostAddress&, unsigned short, QObject*
    592, 566, 0,	//1804  const QString&, const QHostAddress&
    592, 566, 636, 0,	//1807  const QString&, const QHostAddress&, unsigned short
    592, 592, 345, 0,	//1811  const QString&, const QString&, QObject*
    596, 615, 345, 0,	//1815  const QUrl&, int, QObject*
    596, 0,	//1819  const QUrl&
    596, 615, 0,	//1821  const QUrl&, int
    358, 592, 592, 636, 0,	//1824  QTcpSocket*, const QString&, const QString&, unsigned short
    596, 345, 0,	//1829  const QUrl&, QObject*
    358, 596, 0,	//1832  QTcpSocket*, const QUrl&
    358, 596, 615, 0,	//1835  QTcpSocket*, const QUrl&, int
    358, 592, 592, 636, 615, 0,	//1839  QTcpSocket*, const QString&, const QString&, unsigned short, int
    600, 592, 452, 0,	//1845  const char*, const QString&, bool
    600, 600, 592, 452, 0,	//1849  const char*, const char*, const QString&, bool
    600, 600, 600, 452, 0,	//1854  const char*, const char*, const char*, bool
    600, 592, 295, 0,	//1859  const char*, const QString&, QFlags<KStandardDirs::SearchOption>
    600, 592, 295, 355, 0,	//1863  const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&
    592, 592, 295, 0,	//1868  const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    355, 592, 592, 295, 0,	//1872  QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    600, 592, 469, 0,	//1877  const char*, const QString&, const KComponentData&
    600, 592, 452, 469, 0,	//1881  const char*, const QString&, bool, const KComponentData&
    600, 600, 592, 0,	//1886  const char*, const char*, const QString&
    355, 592, 0,	//1890  QStringList&, const QString&
    355, 592, 592, 0,	//1893  QStringList&, const QString&, const QString&
    550, 592, 615, 0,	//1897  const QChar&, const QString&, int
    550, 592, 0,	//1901  const QChar&, const QString&
    589, 592, 615, 0,	//1904  const QRegExp&, const QString&, int
    589, 592, 0,	//1908  const QRegExp&, const QString&
    592, 592, 378, 0,	//1911  const QString&, const QString&, Qt::CaseSensitivity
    592, 592, 615, 0,	//1915  const QString&, const QString&, int
    615, 211, 0,	//1919  int, KSycocaType&
    208, 0,	//1922  KSycocaFactoryId
    1, 0,	//1924  DatabaseType
    207, 0,	//1926  KSycocaFactory*
    274, 0,	//1928  QDataStream*
    210, 0,	//1930  KSycocaType
    273, 352, 0,	//1932  QDataStream&, QString&
    273, 355, 0,	//1935  QDataStream&, QStringList&
    206, 0,	//1938  KSycocaEntryPrivate&
    214, 592, 592, 614, 614, 592, 0,	//1940  KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    524, 0,	//1947  const KSystemTimeZone&
    214, 592, 0,	//1949  KSystemTimeZoneSource*, const QString&
    214, 592, 592, 0,	//1952  KSystemTimeZoneSource*, const QString&, const QString&
    214, 592, 592, 614, 0,	//1956  KSystemTimeZoneSource*, const QString&, const QString&, float
    214, 592, 592, 614, 614, 0,	//1961  KSystemTimeZoneSource*, const QString&, const QString&, float, float
    528, 556, 617, 0,	//1967  const KTimeZone*, const QDateTime&, int*
    528, 556, 0,	//1971  const KTimeZone*, const QDateTime&
    528, 620, 0,	//1974  const KTimeZone*, long int
    525, 0,	//1977  const KSystemTimeZoneBackend&
    526, 0,	//1979  const KSystemTimeZoneSource&
    527, 556, 0,	//1981  const KTimeZone&, const QDateTime&
    556, 454, 0,	//1984  const QDateTime&, bool*
    429, 0,	//1987  Qt::TimeSpec
    556, 617, 0,	//1989  const QDateTime&, int*
    620, 0,	//1992  long int
    556, 556, 0,	//1994  const QDateTime&, const QDateTime&
    556, 533, 454, 0,	//1997  const QDateTime&, const KTimeZone::Transition**, bool*
    556, 617, 454, 0,	//2001  const QDateTime&, int*, bool*
    530, 556, 556, 0,	//2005  const KTimeZone::Phase&, const QDateTime&, const QDateTime&
    230, 0,	//2009  KTimeZoneBackend*
    232, 233, 0,	//2011  KTimeZoneData*, KTimeZoneSource*
    556, 533, 0,	//2014  const QDateTime&, const KTimeZone::Transition**
    530, 0,	//2017  const KTimeZone::Phase&
    530, 556, 0,	//2019  const KTimeZone::Phase&, const QDateTime&
    232, 0,	//2022  KTimeZoneData*
    556, 615, 592, 0,	//2024  const QDateTime&, int, const QString&
    529, 0,	//2028  const KTimeZone::LeapSeconds&
    556, 615, 0,	//2030  const QDateTime&, int
    615, 549, 452, 592, 0,	//2033  int, const QByteArray&, bool, const QString&
    615, 577, 452, 592, 0,	//2038  int, const QList<QByteArray>&, bool, const QString&
    615, 549, 452, 0,	//2043  int, const QByteArray&, bool
    615, 577, 452, 0,	//2047  int, const QList<QByteArray>&, bool
    556, 530, 0,	//2051  const QDateTime&, const KTimeZone::Phase&
    531, 0,	//2054  const KTimeZone::Transition&
    534, 0,	//2056  const KTimeZoneBackend&
    528, 0,	//2058  const KTimeZone*
    233, 592, 592, 614, 614, 592, 0,	//2060  KTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    233, 592, 0,	//2067  KTimeZoneSource*, const QString&
    233, 592, 592, 0,	//2070  KTimeZoneSource*, const QString&, const QString&
    233, 592, 592, 614, 0,	//2074  KTimeZoneSource*, const QString&, const QString&, float
    233, 592, 592, 614, 614, 0,	//2079  KTimeZoneSource*, const QString&, const QString&, float, float
    535, 0,	//2085  const KTimeZoneData&
    575, 530, 0,	//2087  const QList<KTimeZone::Phase>&, const KTimeZone::Phase&
    575, 615, 0,	//2090  const QList<KTimeZone::Phase>&, int
    576, 0,	//2093  const QList<KTimeZone::Transition>&
    574, 0,	//2095  const QList<KTimeZone::LeapSeconds>&
    537, 0,	//2097  const KTimeZoneSource&
    592, 592, 549, 0,	//2099  const QString&, const QString&, const QByteArray&
    542, 549, 452, 0,	//2103  const KUrl&, const QByteArray&, bool
    592, 592, 592, 592, 592, 592, 593, 549, 0,	//2107  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&
    592, 592, 353, 353, 617, 549, 452, 0,	//2116  const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool
    592, 593, 353, 353, 617, 549, 452, 0,	//2124  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool
    592, 593, 353, 617, 549, 0,	//2132  const QString&, const QStringList&, QString*, int*, const QByteArray&
    355, 265, 0,	//2138  QStringList&, QByteArray&
    542, 549, 0,	//2141  const KUrl&, const QByteArray&
    592, 592, 592, 592, 592, 0,	//2144  const QString&, const QString&, const QString&, const QString&, const QString&
    592, 592, 592, 592, 592, 592, 0,	//2150  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&
    592, 592, 592, 592, 592, 592, 593, 0,	//2157  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&
    592, 592, 353, 0,	//2165  const QString&, const QString&, QString*
    592, 592, 353, 353, 0,	//2169  const QString&, const QString&, QString*, QString*
    592, 592, 353, 353, 617, 0,	//2174  const QString&, const QString&, QString*, QString*, int*
    592, 592, 353, 353, 617, 549, 0,	//2180  const QString&, const QString&, QString*, QString*, int*, const QByteArray&
    592, 593, 353, 0,	//2187  const QString&, const QStringList&, QString*
    592, 593, 353, 353, 0,	//2191  const QString&, const QStringList&, QString*, QString*
    592, 593, 353, 353, 617, 0,	//2196  const QString&, const QStringList&, QString*, QString*, int*
    592, 593, 353, 353, 617, 549, 0,	//2202  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&
    592, 593, 353, 617, 0,	//2209  const QString&, const QStringList&, QString*, int*
    238, 592, 592, 614, 614, 592, 0,	//2214  KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    539, 0,	//2221  const KTzfileTimeZone&
    238, 592, 0,	//2223  KTzfileTimeZoneSource*, const QString&
    238, 592, 592, 0,	//2226  KTzfileTimeZoneSource*, const QString&, const QString&
    238, 592, 592, 614, 0,	//2230  KTzfileTimeZoneSource*, const QString&, const QString&, float
    238, 592, 592, 614, 614, 0,	//2235  KTzfileTimeZoneSource*, const QString&, const QString&, float, float
    540, 0,	//2241  const KTzfileTimeZoneBackend&
    541, 0,	//2243  const KTzfileTimeZoneSource&
    242, 0,	//2245  KUrl::AdjustPathOption
    543, 0,	//2247  const KUrl::CleanPathOption&
    242, 559, 0,	//2249  KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&
    561, 0,	//2252  const QFlags<KUrl::QueryItemsOption>&
    558, 0,	//2254  const QFlags<KUrl::DirectoryOption>&
    542, 452, 0,	//2256  const KUrl&, bool
    542, 560, 0,	//2259  const KUrl&, const QFlags<KUrl::EqualsOption>&
    544, 0,	//2262  const KUrl::List&
    343, 581, 249, 0,	//2264  QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags
    542, 542, 0,	//2268  const KUrl&, const KUrl&
    343, 0,	//2271  QMimeData*
    343, 581, 0,	//2273  QMimeData*, const QMap<QString,QString>&
    254, 0,	//2276  KUser::UIDMode
    606, 0,	//2278  const passwd*
    545, 0,	//2280  const KUser&
    255, 0,	//2282  KUser::UserProperty
    602, 0,	//2284  const group*
    546, 0,	//2286  const KUserGroup&
    547, 0,	//2288  const KWordMacroExpander&
    592, 592, 551, 345, 0,	//2290  const QString&, const QString&, const QDBusConnection&, QObject*
    592, 593, 593, 592, 0,	//2295  const QString&, const QStringList&, const QStringList&, const QString&
    592, 593, 593, 592, 352, 352, 616, 0,	//2300  const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&
    592, 592, 592, 352, 0,	//2308  const QString&, const QString&, const QString&, QString&
    592, 593, 593, 592, 452, 352, 352, 616, 0,	//2313  const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&
    592, 592, 551, 0,	//2322  const QString&, const QString&, const QDBusConnection&
    273, 518, 0,	//2326  QDataStream&, const KServiceAction&
    600, 567, 0,	//2329  const char*, const QLatin1String&
    273, 169, 0,	//2332  QDataStream&, KProtocolInfo::ExtraField&
    246, 615, 0,	//2335  KUrl::EqualsOption, int
    246, 246, 0,	//2338  KUrl::EqualsOption, KUrl::EqualsOption
    244, 244, 0,	//2341  KUrl::DirectoryOption, KUrl::DirectoryOption
    47, 284, 0,	//2344  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    37, 615, 0,	//2347  KCmdLineArgs::StdCmdLineArg, int
    145, 615, 0,	//2350  KLockFile::LockFlag, int
    244, 615, 0,	//2353  KUrl::DirectoryOption, int
    567, 567, 0,	//2356  const QLatin1String&, const QLatin1String&
    139, 615, 0,	//2359  KLocale::TimeProcessingOption, int
    244, 297, 0,	//2362  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    553, 553, 0,	//2365  const QDBusSignature&, const QDBusSignature&
    199, 294, 0,	//2368  KShell::Option, QFlags<KShell::Option>
    549, 592, 0,	//2371  const QByteArray&, const QString&
    47, 47, 0,	//2374  KConfig::OpenFlag, KConfig::OpenFlag
    26, 615, 0,	//2377  KAutostart::Condition, int
    273, 515, 0,	//2380  QDataStream&, const KProtocolInfo::ExtraField&
    130, 615, 0,	//2383  KLocale::DateTimeFormatOption, int
    128, 128, 0,	//2386  KLocale::DateTimeComponent, KLocale::DateTimeComponent
    199, 199, 0,	//2389  KShell::Option, KShell::Option
    592, 455, 0,	//2392  const QString&, char
    245, 298, 0,	//2395  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    110, 615, 0,	//2398  KJob::Capability, int
    245, 245, 0,	//2401  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    201, 295, 0,	//2404  KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>
    50, 50, 0,	//2407  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    130, 289, 0,	//2410  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    455, 592, 0,	//2413  char, const QString&
    552, 552, 0,	//2416  const QDBusObjectPath&, const QDBusObjectPath&
    273, 181, 0,	//2419  QDataStream&, KServiceAction&
    138, 615, 0,	//2422  KLocale::TimeFormatOption, int
    138, 290, 0,	//2425  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    50, 285, 0,	//2428  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    138, 138, 0,	//2431  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    50, 615, 0,	//2434  KConfigBase::WriteConfigFlag, int
    139, 291, 0,	//2437  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    456, 0,	//2440  char*
    246, 299, 0,	//2442  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    84, 84, 0,	//2445  KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus
    110, 110, 0,	//2448  KJob::Capability, KJob::Capability
    145, 292, 0,	//2451  KLockFile::LockFlag, QFlags<KLockFile::LockFlag>
    26, 282, 0,	//2454  KAutostart::Condition, QFlags<KAutostart::Condition>
    243, 243, 0,	//2457  KUrl::CleanPathOption, KUrl::CleanPathOption
    37, 283, 0,	//2460  KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>
    26, 26, 0,	//2463  KAutostart::Condition, KAutostart::Condition
    110, 287, 0,	//2466  KJob::Capability, QFlags<KJob::Capability>
    250, 250, 0,	//2469  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    201, 615, 0,	//2472  KStandardDirs::SearchOption, int
    47, 615, 0,	//2475  KConfig::OpenFlag, int
    84, 286, 0,	//2478  KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>
    128, 615, 0,	//2481  KLocale::DateTimeComponent, int
    128, 288, 0,	//2484  KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>
    37, 37, 0,	//2487  KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg
    145, 145, 0,	//2490  KLockFile::LockFlag, KLockFile::LockFlag
    243, 296, 0,	//2493  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    243, 615, 0,	//2496  KUrl::CleanPathOption, int
    250, 300, 0,	//2499  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    139, 139, 0,	//2502  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    245, 615, 0,	//2505  KUrl::EncodedPathAndQueryOption, int
    250, 615, 0,	//2508  KUrl::QueryItemsOption, int
    201, 201, 0,	//2511  KStandardDirs::SearchOption, KStandardDirs::SearchOption
    130, 130, 0,	//2514  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    199, 615, 0,	//2517  KShell::Option, int
    84, 615, 0,	//2520  KCurrencyCode::CurrencyStatus, int
    280, 0,	//2523  QEvent*
    345, 280, 0,	//2525  QObject*, QEvent*
    362, 0,	//2528  QTimerEvent*
    267, 0,	//2530  QChildEvent*
    599, 345, 0,	//2532  const Sonnet::Speller&, QObject*
    599, 0,	//2535  const Sonnet::Speller&
    615, 592, 592, 0,	//2537  int, const QString&, const QString&
    449, 452, 0,	//2541  Sonnet::Speller::Attribute, bool
    449, 0,	//2544  Sonnet::Speller::Attribute
    604, 0,	//2546  const kndbgstream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbortError",	//1
    "AbortOnMeta",	//2
    "AbstractUnixSocket",	//3
    "Action",	//4
    "Action#",	//5
    "Action$",	//6
    "Action$$",	//7
    "ActionReply",	//8
    "ActionReply#",	//9
    "ActionReply$",	//10
    "ActiveCurrency",	//11
    "AddTrailingSlash",	//12
    "AddressInUseError",	//13
    "After",	//14
    "AfterMoney",	//15
    "AfterQuantityMoney",	//16
    "AllowEmptyPath",	//17
    "AllowSeparators",	//18
    "Append",	//19
    "AppendTrailingSlash",	//20
    "Applications",	//21
    "Arabic",	//22
    "ArabicDigits",	//23
    "ArabicIndicDigits",	//24
    "AtEnd",	//25
    "AtStart",	//26
    "AuthRequired",	//27
    "AuthorizationDenied",	//28
    "AuthorizationDeniedReply",	//29
    "Authorized",	//30
    "AutoCloseHandle",	//31
    "AutoDetectedEncoding",	//32
    "AvoidEmptyPath",	//33
    "BOM",	//34
    "BackgroundChecker",	//35
    "BackgroundChecker#",	//36
    "BackgroundChecker##",	//37
    "BadQuoting",	//38
    "Baltic",	//39
    "BaseDesktop",	//40
    "Before",	//41
    "BeforeMoney",	//42
    "BeforeQuantityMoney",	//43
    "BengaliDigits",	//44
    "BoundState",	//45
    "Bytes",	//46
    "CascadeConfig",	//47
    "CaseInsensitiveKeys",	//48
    "CentralEuropean",	//49
    "CheckAll",	//50
    "CheckCommand",	//51
    "CheckCondition",	//52
    "CheckUppercase",	//53
    "ChineseSimplified",	//54
    "ChineseTraditional",	//55
    "Choice",	//56
    "Choice#",	//57
    "Choice2",	//58
    "Choice2#",	//59
    "ClockTime",	//60
    "ClosingState",	//61
    "CmdLineArgKDE",	//62
    "CmdLineArgNone",	//63
    "CmdLineArgQt",	//64
    "CmdLineArgsMask",	//65
    "CompareWithoutFragment",	//66
    "CompareWithoutTrailingSlash",	//67
    "ConnectedState",	//68
    "ConnectingState",	//69
    "ConnectionRefusedError",	//70
    "CopticCalendar",	//71
    "CopyError",	//72
    "CrashExit",	//73
    "Crashed",	//74
    "Cyrillic",	//75
    "DBusError",	//76
    "DBusErrorReply",	//77
    "DBusMulti",	//78
    "DBusNone",	//79
    "DBusUnique",	//80
    "DBusWait",	//81
    "DatagramTooLargeError",	//82
    "DateTime",	//83
    "Day",	//84
    "DayName",	//85
    "DayOfWeek",	//86
    "DayOfWeekName",	//87
    "DayOfYear",	//88
    "DayOfYearName",	//89
    "DayPeriod",	//90
    "DayPeriodHour",	//91
    "DaysInMonth",	//92
    "DaysInWeek",	//93
    "DaysInYear",	//94
    "DefaultBinaryDialect",	//95
    "DefaultBinaryUnits",	//96
    "DefaultComponentFormat",	//97
    "DefaultEncoding",	//98
    "DefaultMimeDataFlags",	//99
    "DefaultWeekNumber",	//100
    "Denied",	//101
    "DesktopServices",	//102
    "DevenagariDigits",	//103
    "Directories",	//104
    "DisplayName",	//105
    "DoCopyCatalogs",	//106
    "DontCloseHandle",	//107
    "DontCopyCatalogs",	//108
    "DontResolveAlias",	//109
    "EasternArabicIndicDigits",	//110
    "EmitResult",	//111
    "EncodingFromHTTPHeader",	//112
    "EncodingFromMetaTag",	//113
    "EncodingFromXMLHeader",	//114
    "End",	//115
    "EndsAt",	//116
    "Equal",	//117
    "EraName",	//118
    "EraYear",	//119
    "ErrNoComponent",	//120
    "ErrNoFactory",	//121
    "ErrNoLibrary",	//122
    "ErrNoServiceFound",	//123
    "ErrServiceProvidesNoLibrary",	//124
    "Error",	//125
    "EthiopianCalendar",	//126
    "ExcludeNoDisplay",	//127
    "ExeGroup",	//128
    "ExeOther",	//129
    "ExeOwner",	//130
    "ExeUser",	//131
    "ExtraField",	//132
    "ExtraField#",	//133
    "ExtraField$$",	//134
    "FailedToStart",	//135
    "FancyLongDate",	//136
    "FancyShortDate",	//137
    "Fatal",	//138
    "FatalError",	//139
    "Files",	//140
    "FirstFullWeek",	//141
    "FirstPartialWeek",	//142
    "ForceFlag",	//143
    "ForwardedChannels",	//144
    "FoundIt",	//145
    "FoundMeta",	//146
    "FromUrl",	//147
    "FullConfig",	//148
    "FullName",	//149
    "Global",	//150
    "GlobalDatabase",	//151
    "Greek",	//152
    "GregorianCalendar",	//153
    "GujaratiDigits",	//154
    "GurmukhiDigits",	//155
    "Hebrew",	//156
    "HebrewCalendar",	//157
    "HelperBusy",	//158
    "HelperBusyReply",	//159
    "HelperError",	//160
    "HelperErrorReply",	//161
    "HomePhone",	//162
    "HostLookupState",	//163
    "HostNotFoundError",	//164
    "Hour",	//165
    "IECBinaryDialect",	//166
    "IPv4Protocol",	//167
    "IPv6Protocol",	//168
    "ISODate",	//169
    "ITIMER_PROF",	//170
    "ITIMER_REAL",	//171
    "ITIMER_VIRTUAL",	//172
    "IgnoreExecBit",	//173
    "IgnoreTrailingSlash",	//174
    "Imperial",	//175
    "IncludeGlobals",	//176
    "IndianNationalCalendar",	//177
    "Information",	//178
    "Inside",	//179
    "Invalid",	//180
    "InvalidAction",	//181
    "InvalidActionReply",	//182
    "InvalidOffset",	//183
    "InvalidTime_t",	//184
    "IslamicCivilCalendar",	//185
    "IsoDate",	//186
    "IsoFormat",	//187
    "IsoOrdinalDate",	//188
    "IsoOrdinalFormat",	//189
    "IsoWeekDate",	//190
    "IsoWeekFormat",	//191
    "IsoWeekNumber",	//192
    "ItemBool",	//193
    "ItemBool#",	//194
    "ItemBool$$$",	//195
    "ItemBool$$$$",	//196
    "ItemDateTime",	//197
    "ItemDateTime#",	//198
    "ItemDateTime$$#",	//199
    "ItemDateTime$$##",	//200
    "ItemDouble",	//201
    "ItemDouble#",	//202
    "ItemDouble$$$",	//203
    "ItemDouble$$$$",	//204
    "ItemEnum",	//205
    "ItemEnum#",	//206
    "ItemEnum$$$?",	//207
    "ItemEnum$$$?$",	//208
    "ItemInt",	//209
    "ItemInt#",	//210
    "ItemInt$$$",	//211
    "ItemInt$$$$",	//212
    "ItemIntList",	//213
    "ItemIntList#",	//214
    "ItemIntList$$?",	//215
    "ItemIntList$$??",	//216
    "ItemLongLong",	//217
    "ItemLongLong#",	//218
    "ItemLongLong$$$",	//219
    "ItemLongLong$$$$",	//220
    "ItemPassword",	//221
    "ItemPassword#",	//222
    "ItemPassword$$$",	//223
    "ItemPassword$$$$",	//224
    "ItemPath",	//225
    "ItemPath#",	//226
    "ItemPath$$$",	//227
    "ItemPath$$$$",	//228
    "ItemPathList",	//229
    "ItemPathList#",	//230
    "ItemPathList$$?",	//231
    "ItemPathList$$??",	//232
    "ItemPoint",	//233
    "ItemPoint#",	//234
    "ItemPoint$$#",	//235
    "ItemPoint$$##",	//236
    "ItemProperty",	//237
    "ItemProperty#",	//238
    "ItemProperty$$#",	//239
    "ItemProperty$$##",	//240
    "ItemRect",	//241
    "ItemRect#",	//242
    "ItemRect$$#",	//243
    "ItemRect$$##",	//244
    "ItemSize",	//245
    "ItemSize#",	//246
    "ItemSize$$#",	//247
    "ItemSize$$##",	//248
    "ItemString",	//249
    "ItemString#",	//250
    "ItemString$$$",	//251
    "ItemString$$$$",	//252
    "ItemString$$$$$",	//253
    "ItemStringList",	//254
    "ItemStringList#",	//255
    "ItemStringList$$?",	//256
    "ItemStringList$$??",	//257
    "ItemUInt",	//258
    "ItemUInt#",	//259
    "ItemUInt$$$",	//260
    "ItemUInt$$$$",	//261
    "ItemULongLong",	//262
    "ItemULongLong#",	//263
    "ItemULongLong$$$",	//264
    "ItemULongLong$$$$",	//265
    "ItemUrl",	//266
    "ItemUrl#",	//267
    "ItemUrl$$#",	//268
    "ItemUrl$$##",	//269
    "ItemUrlList",	//270
    "ItemUrlList#",	//271
    "ItemUrlList$$?",	//272
    "ItemUrlList$$??",	//273
    "JEDECBinaryDialect",	//274
    "JalaliCalendar",	//275
    "Japanese",	//276
    "JapaneseCalendar",	//277
    "JulianCalendar",	//278
    "JulianDay",	//279
    "KAboutData",	//280
    "KAboutData#",	//281
    "KAboutData####",	//282
    "KAboutData#####",	//283
    "KAboutData#####$",	//284
    "KAboutData#####$#",	//285
    "KAboutData#####$##",	//286
    "KAboutData#####$###",	//287
    "KAboutData#####$####",	//288
    "KAboutLicense",	//289
    "KAboutLicense#",	//290
    "KAboutPerson",	//291
    "KAboutPerson#",	//292
    "KAboutPerson##",	//293
    "KAboutPerson###",	//294
    "KAboutPerson####",	//295
    "KAboutPerson#####",	//296
    "KAuthError",	//297
    "KAutoSaveFile",	//298
    "KAutoSaveFile#",	//299
    "KAutoSaveFile##",	//300
    "KAutostart",	//301
    "KAutostart$",	//302
    "KAutostart$#",	//303
    "KCalendarSystem",	//304
    "KCalendarSystem#",	//305
    "KCalendarSystem#?",	//306
    "KCalendarSystem#?#",	//307
    "KCalendarSystem?",	//308
    "KCalendarSystem?#",	//309
    "KCharMacroExpander",	//310
    "KCharMacroExpander#",	//311
    "KCharsets",	//312
    "KCharsets#",	//313
    "KCmdLineArgs",	//314
    "KCmdLineArgs#",	//315
    "KCmdLineArgs###",	//316
    "KCmdLineOptions",	//317
    "KCmdLineOptions#",	//318
    "KComponentData",	//319
    "KComponentData#",	//320
    "KComponentData##",	//321
    "KComponentData##$",	//322
    "KComponentData#$",	//323
    "KCompositeJob",	//324
    "KCompositeJob#",	//325
    "KCompositeJob##",	//326
    "KConfig",	//327
    "KConfig#",	//328
    "KConfig#$",	//329
    "KConfig#$$",	//330
    "KConfig#$$$",	//331
    "KConfig$",	//332
    "KConfig$$",	//333
    "KConfig$$$",	//334
    "KConfigBase",	//335
    "KConfigBase#",	//336
    "KConfigGroup",	//337
    "KConfigGroup#",	//338
    "KConfigGroup#$",	//339
    "KConfigGroup?$",	//340
    "KConfigSkeletonItem",	//341
    "KConfigSkeletonItem#",	//342
    "KConfigSkeletonItem$$",	//343
    "KCoreConfigSkeleton",	//344
    "KCoreConfigSkeleton$",	//345
    "KCoreConfigSkeleton$#",	//346
    "KCoreConfigSkeleton?",	//347
    "KCoreConfigSkeleton?#",	//348
    "KCurrencyCode",	//349
    "KCurrencyCode#",	//350
    "KCurrencyCode#$",	//351
    "KCurrencyCode$",	//352
    "KCurrencyCode$$",	//353
    "KDEDModule",	//354
    "KDEDModule#",	//355
    "KDEPluginVerificationData",	//356
    "KDEPluginVerificationData#",	//357
    "KDEVersion",	//358
    "KDEVersionString",	//359
    "KDateTime",	//360
    "KDateTime#",	//361
    "KDateTime##",	//362
    "KDateTime###",	//363
    "KDebug",	//364
    "KDebug#",	//365
    "KDebug$",	//366
    "KDebug$$",	//367
    "KDebug$$$",	//368
    "KDebug$$$$",	//369
    "KDebugTag",	//370
    "KDebugTag#",	//371
    "KDesktopFile",	//372
    "KDesktopFile$",	//373
    "KDesktopFile$$",	//374
    "KEncodingDetector",	//375
    "KEncodingDetector#",	//376
    "KEncodingDetector#$",	//377
    "KEncodingDetector#$$",	//378
    "KEncodingProber",	//379
    "KEncodingProber#",	//380
    "KEncodingProber$",	//381
    "KFilterBase",	//382
    "KJob",	//383
    "KJob#",	//384
    "KJob##",	//385
    "KJobTrackerInterface",	//386
    "KJobTrackerInterface#",	//387
    "KJobUiDelegate",	//388
    "KLibrary",	//389
    "KLibrary#",	//390
    "KLibrary$",	//391
    "KLibrary$#",	//392
    "KLibrary$##",	//393
    "KLibrary$$",	//394
    "KLibrary$$#",	//395
    "KLibrary$$##",	//396
    "KLocalSocket",	//397
    "KLocalSocket#",	//398
    "KLocalSocketServer",	//399
    "KLocalSocketServer#",	//400
    "KLocale",	//401
    "KLocale#",	//402
    "KLocale$",	//403
    "KLocale$$",	//404
    "KLocale$$$",	//405
    "KLocale$$$#",	//406
    "KLocale$?",	//407
    "KLocalizedString",	//408
    "KLocalizedString#",	//409
    "KLockFile",	//410
    "KLockFile#",	//411
    "KLockFile$",	//412
    "KLockFile$#",	//413
    "KMD5",	//414
    "KMD5#",	//415
    "KMD5$",	//416
    "KMD5$$",	//417
    "KMacroExpanderBase",	//418
    "KMacroExpanderBase#",	//419
    "KMessageHandler",	//420
    "KMessageHandler#",	//421
    "KMimeType",	//422
    "KMimeType#",	//423
    "KMimeType#$",	//424
    "KMimeType#$$",	//425
    "KMimeType$$$",	//426
    "KMimeTypeTrader",	//427
    "KMimeTypeTrader#",	//428
    "KPluginFactory",	//429
    "KPluginFactory#",	//430
    "KPluginFactory##",	//431
    "KPluginFactory$",	//432
    "KPluginFactory$$",	//433
    "KPluginFactory$$#",	//434
    "KPluginInfo",	//435
    "KPluginInfo#",	//436
    "KPluginInfo$",	//437
    "KPluginInfo$$",	//438
    "KPluginInfo?",	//439
    "KPluginLoader",	//440
    "KPluginLoader#",	//441
    "KPluginLoader##",	//442
    "KPluginLoader###",	//443
    "KPluginLoader$",	//444
    "KPluginLoader$#",	//445
    "KPluginLoader$##",	//446
    "KProcess",	//447
    "KProcess#",	//448
    "KProcess##",	//449
    "KProtocolInfo",	//450
    "KProtocolInfo#$",	//451
    "KRandomSequence",	//452
    "KRandomSequence#",	//453
    "KRandomSequence$",	//454
    "KST_CTimeInfo",	//455
    "KST_KCustom",	//456
    "KST_KDEDesktopMimeType",	//457
    "KST_KFolderMimeType",	//458
    "KST_KImageIO",	//459
    "KST_KImageIOFormat",	//460
    "KST_KMimeType",	//461
    "KST_KMimeTypeEntry",	//462
    "KST_KMimeTypeFactory",	//463
    "KST_KProtocolInfo",	//464
    "KST_KProtocolInfoFactory",	//465
    "KST_KService",	//466
    "KST_KServiceFactory",	//467
    "KST_KServiceGroup",	//468
    "KST_KServiceGroupFactory",	//469
    "KST_KServiceSeparator",	//470
    "KST_KServiceType",	//471
    "KST_KServiceTypeFactory",	//472
    "KST_KSycocaEntry",	//473
    "KSaveFile",	//474
    "KSaveFile$",	//475
    "KSaveFile$#",	//476
    "KService",	//477
    "KService#",	//478
    "KService#$",	//479
    "KService$",	//480
    "KService$$$",	//481
    "KServiceAction",	//482
    "KServiceAction#",	//483
    "KServiceAction$$$$",	//484
    "KServiceAction$$$$$",	//485
    "KServiceGroup",	//486
    "KServiceGroup#$$",	//487
    "KServiceGroup$",	//488
    "KServiceGroup$$",	//489
    "KServiceType",	//490
    "KServiceType#",	//491
    "KServiceType#$",	//492
    "KServiceType#$$",	//493
    "KStandardDirs",	//494
    "KSycoca",	//495
    "KSycoca$",	//496
    "KSycocaEntry",	//497
    "KSycocaEntry#",	//498
    "KSystemTimeZone",	//499
    "KSystemTimeZone#",	//500
    "KSystemTimeZone#$",	//501
    "KSystemTimeZone#$$",	//502
    "KSystemTimeZone#$$$",	//503
    "KSystemTimeZone#$$$$",	//504
    "KSystemTimeZone#$$$$$",	//505
    "KSystemTimeZoneBackend",	//506
    "KSystemTimeZoneBackend#",	//507
    "KSystemTimeZoneBackend#$$$$$",	//508
    "KSystemTimeZoneSource",	//509
    "KSystemTimeZoneSource#",	//510
    "KTempDir",	//511
    "KTempDir$",	//512
    "KTempDir$$",	//513
    "KTemporaryFile",	//514
    "KTemporaryFile#",	//515
    "KTimeZone",	//516
    "KTimeZone#",	//517
    "KTimeZone$",	//518
    "KTimeZoneBackend",	//519
    "KTimeZoneBackend#",	//520
    "KTimeZoneBackend#$",	//521
    "KTimeZoneBackend#$$",	//522
    "KTimeZoneBackend#$$$",	//523
    "KTimeZoneBackend#$$$$",	//524
    "KTimeZoneBackend#$$$$$",	//525
    "KTimeZoneBackend$",	//526
    "KTimeZoneData",	//527
    "KTimeZoneData#",	//528
    "KTimeZoneSource",	//529
    "KTimeZoneSource#",	//530
    "KTimeZoneSource$",	//531
    "KTimeZones",	//532
    "KTzfileTimeZone",	//533
    "KTzfileTimeZone#",	//534
    "KTzfileTimeZone#$",	//535
    "KTzfileTimeZone#$$",	//536
    "KTzfileTimeZone#$$$",	//537
    "KTzfileTimeZone#$$$$",	//538
    "KTzfileTimeZone#$$$$$",	//539
    "KTzfileTimeZoneBackend",	//540
    "KTzfileTimeZoneBackend#",	//541
    "KTzfileTimeZoneBackend#$$$$$",	//542
    "KTzfileTimeZoneSource",	//543
    "KTzfileTimeZoneSource#",	//544
    "KTzfileTimeZoneSource$",	//545
    "KUrl",	//546
    "KUrl#",	//547
    "KUrl#$",	//548
    "KUrl$",	//549
    "KUser",	//550
    "KUser#",	//551
    "KUser$",	//552
    "KUserGroup",	//553
    "KUserGroup#",	//554
    "KUserGroup$",	//555
    "KWordMacroExpander",	//556
    "KWordMacroExpander#",	//557
    "KannadaDigits",	//558
    "KdeFormat",	//559
    "KeepAliveOption",	//560
    "KeepDirSeparators",	//561
    "KhmerDigits",	//562
    "Killable",	//563
    "KilledJobError",	//564
    "Korean",	//565
    "LastBinaryDialect",	//566
    "LeapSeconds",	//567
    "LeapSeconds#",	//568
    "LeapSeconds#$",	//569
    "LeapSeconds#$$",	//570
    "LeaveTrailingSlash",	//571
    "LiberalParsing",	//572
    "License_Artistic",	//573
    "License_BSD",	//574
    "License_Custom",	//575
    "License_File",	//576
    "License_GPL",	//577
    "License_GPL_V2",	//578
    "License_GPL_V3",	//579
    "License_LGPL",	//580
    "License_LGPL_V2",	//581
    "License_LGPL_V3",	//582
    "License_QPL",	//583
    "License_QPL_V1_0",	//584
    "License_Unknown",	//585
    "ListeningState",	//586
    "LocalDatabase",	//587
    "LocalDate",	//588
    "LocalZone",	//589
    "Localized",	//590
    "LockError",	//591
    "LockFail",	//592
    "LockOK",	//593
    "LockStale",	//594
    "LongDate",	//595
    "LongDayName",	//596
    "LongFormat",	//597
    "LongName",	//598
    "LongNamePossessive",	//599
    "LongNumber",	//600
    "LowDelayOption",	//601
    "MalayalamDigits",	//602
    "MergedChannels",	//603
    "Metric",	//604
    "MetricBinaryDialect",	//605
    "Millisecond",	//606
    "MinguoCalendar",	//607
    "Minute",	//608
    "Month",	//609
    "MonthName",	//610
    "MonthsInYear",	//611
    "MulticastLoopbackOption",	//612
    "MulticastTtlOption",	//613
    "Name",	//614
    "NarrowDayName",	//615
    "NarrowName",	//616
    "NetworkError",	//617
    "NoAccess",	//618
    "NoBlockFlag",	//619
    "NoCapabilities",	//620
    "NoCascade",	//621
    "NoConditions",	//622
    "NoDuplicates",	//623
    "NoError",	//624
    "NoGlobals",	//625
    "NoHeaders",	//626
    "NoOptions",	//627
    "NoResponder",	//628
    "NoResponderReply",	//629
    "NoSearchOptions",	//630
    "NoSuchAction",	//631
    "NoSuchActionReply",	//632
    "NoTextExport",	//633
    "None",	//634
    "Normal",	//635
    "NormalExit",	//636
    "NormalFormat",	//637
    "NorthernSaami",	//638
    "NotMe",	//639
    "NotOpen",	//640
    "NotRunning",	//641
    "ObeyTrailingSlash",	//642
    "ObsoleteCurrency",	//643
    "OffsetFromUTC",	//644
    "OffsetFromUTC$",	//645
    "Ok",	//646
    "OnlyStderrChannel",	//647
    "OnlyStdoutChannel",	//648
    "OpenError",	//649
    "OrgKdeKLauncherInterface",	//650
    "OrgKdeKLauncherInterface$$#",	//651
    "OrgKdeKLauncherInterface$$##",	//652
    "OriyaDigits",	//653
    "Other",	//654
    "Outside",	//655
    "ParensAround",	//656
    "Password",	//657
    "Path",	//658
    "PermissionsError",	//659
    "PermitEmptyPath",	//660
    "Persistent",	//661
    "Phase",	//662
    "Phase#",	//663
    "Phase$#$",	//664
    "Phase$#$$",	//665
    "Phase$?$",	//666
    "Phase$?$$",	//667
    "PluginVerificationDataVersion",	//668
    "PositionError",	//669
    "PosixFormat",	//670
    "Probing",	//671
    "ProcessNonStrict",	//672
    "ProcessStrict",	//673
    "ProxyAuthenticationRequiredError",	//674
    "ProxyConnectionClosedError",	//675
    "ProxyConnectionRefusedError",	//676
    "ProxyConnectionTimeoutError",	//677
    "ProxyNotFoundError",	//678
    "ProxyProtocolError",	//679
    "QDateCalendar",	//680
    "QtTextDate",	//681
    "Quietly",	//682
    "RFC3339Date",	//683
    "RFCDate",	//684
    "RFCDateDay",	//685
    "ReadError",	//686
    "ReadGroup",	//687
    "ReadOnly",	//688
    "ReadOther",	//689
    "ReadOwner",	//690
    "ReadUser",	//691
    "ReadWrite",	//692
    "Recursive",	//693
    "RegisterAsMainComponent",	//694
    "RemoteHostClosedError",	//695
    "RemoveError",	//696
    "RemoveTrailingSlash",	//697
    "RenameError",	//698
    "Reserved",	//699
    "ResizeError",	//700
    "ResolveAliases",	//701
    "ResourceError",	//702
    "RoomNumber",	//703
    "Running",	//704
    "Second",	//705
    "Seconds",	//706
    "SemiautomaticDetection",	//707
    "SeparateChannels",	//708
    "ShortDate",	//709
    "ShortDayName",	//710
    "ShortFormat",	//711
    "ShortName",	//712
    "ShortNamePossessive",	//713
    "ShortNumber",	//714
    "SimpleConfig",	//715
    "SimpleWeek",	//716
    "SimplifyDirSeparators",	//717
    "SkipMainComponentRegistration",	//718
    "SkipRunTogether",	//719
    "SocketAccessError",	//720
    "SocketAddressNotAvailableError",	//721
    "SocketResourceError",	//722
    "SocketTimeoutError",	//723
    "Sorry",	//724
    "SortByGenericName",	//725
    "SortEntries",	//726
    "SouthEasternEurope",	//727
    "Spec",	//728
    "Spec#",	//729
    "Spec$",	//730
    "Spec$$",	//731
    "Speller",	//732
    "Speller#",	//733
    "Speller$",	//734
    "SslHandshakeFailedError",	//735
    "StandardError",	//736
    "StandardOutput",	//737
    "Starting",	//738
    "StartsAt",	//739
    "String",	//740
    "Success",	//741
    "SuccessReply",	//742
    "Suspendable",	//743
    "SuspendedCurrency",	//744
    "T_ERROR",	//745
    "T_FILESYSTEM",	//746
    "T_NONE",	//747
    "T_STREAM",	//748
    "TamilDigits",	//749
    "TcpSocket",	//750
    "TeluguDigits",	//751
    "Text",	//752
    "Thai",	//753
    "ThaiCalendar",	//754
    "ThaiDigits",	//755
    "TildeExpand",	//756
    "TimeDefault",	//757
    "TimeDuration",	//758
    "TimeFoldHours",	//759
    "TimeOutError",	//760
    "TimeWithoutAmPm",	//761
    "TimeWithoutSeconds",	//762
    "TimeZone",	//763
    "Timedout",	//764
    "Timezone",	//765
    "TimezoneName",	//766
    "Transition",	//767
    "Transition#",	//768
    "Transition##",	//769
    "Truncate",	//770
    "Turkish",	//771
    "UNKNOWN",	//772
    "UTC",	//773
    "UdpSocket",	//774
    "Unbuffered",	//775
    "UnconnectedState",	//776
    "UnfinishedSocketOperationError",	//777
    "Unicode",	//778
    "UnicodeFormat",	//779
    "UnitByte",	//780
    "UnitExaByte",	//781
    "UnitGigaByte",	//782
    "UnitKiloByte",	//783
    "UnitLastUnit",	//784
    "UnitMegaByte",	//785
    "UnitPetaByte",	//786
    "UnitTeraByte",	//787
    "UnitYottaByte",	//788
    "UnitZettaByte",	//789
    "Universal",	//790
    "UnixSocket",	//791
    "UnixTime",	//792
    "UnknownError",	//793
    "UnknownLocalSocketType",	//794
    "UnknownNetworkLayerProtocol",	//795
    "UnknownSocketError",	//796
    "UnknownSocketType",	//797
    "UnspecifiedError",	//798
    "UnsupportedSocketOperationError",	//799
    "UseEffectiveUID",	//800
    "UseRealUserID",	//801
    "UserCancelled",	//802
    "UserCancelledReply",	//803
    "UserChosenEncoding",	//804
    "UserDefinedError",	//805
    "Warning",	//806
    "Week",	//807
    "WeekYear",	//808
    "WeeksInYear",	//809
    "WesternEuropean",	//810
    "WithHeaders",	//811
    "WithSeconds",	//812
    "WithoutSeconds",	//813
    "WorkPhone",	//814
    "WriteError",	//815
    "WriteGroup",	//816
    "WriteOnly",	//817
    "WriteOther",	//818
    "WriteOwner",	//819
    "WriteUser",	//820
    "Year",	//821
    "YearInEra",	//822
    "YearName",	//823
    "_ISalnum",	//824
    "_ISalpha",	//825
    "_ISblank",	//826
    "_IScntrl",	//827
    "_ISdigit",	//828
    "_ISgraph",	//829
    "_ISlower",	//830
    "_ISprint",	//831
    "_ISpunct",	//832
    "_ISspace",	//833
    "_ISupper",	//834
    "_ISxdigit",	//835
    "__codecvt_error",	//836
    "__codecvt_noconv",	//837
    "__codecvt_ok",	//838
    "__codecvt_partial",	//839
    "abbreviation",	//840
    "abbreviation#",	//841
    "abbreviations",	//842
    "abort",	//843
    "aboutData",	//844
    "aboutTranslationTeam",	//845
    "absoluteFilePath",	//846
    "absoluteFilePath?",	//847
    "access",	//848
    "access$$",	//849
    "accessMode",	//850
    "action",	//851
    "actionGroup",	//852
    "actionGroup$",	//853
    "actionPerformed",	//854
    "actionPerformed#",	//855
    "actionStarted",	//856
    "actions",	//857
    "activeComponent",	//858
    "add",	//859
    "add#",	//860
    "add##",	//861
    "add###",	//862
    "addArgument",	//863
    "addArgument$#",	//864
    "addAuthor",	//865
    "addAuthor#",	//866
    "addAuthor##",	//867
    "addAuthor###",	//868
    "addAuthor####",	//869
    "addAuthor#####",	//870
    "addCmdLineOptions",	//871
    "addCmdLineOptions#",	//872
    "addCmdLineOptions##",	//873
    "addCmdLineOptions###",	//874
    "addCmdLineOptions####",	//875
    "addConfigSources",	//876
    "addConfigSources?",	//877
    "addCredit",	//878
    "addCredit#",	//879
    "addCredit##",	//880
    "addCredit###",	//881
    "addCredit####",	//882
    "addCredit#####",	//883
    "addCustomized",	//884
    "addCustomized#",	//885
    "addData",	//886
    "addData$#",	//887
    "addDays",	//888
    "addDays#$",	//889
    "addDays$",	//890
    "addEntry",	//891
    "addEntry?",	//892
    "addFactory",	//893
    "addFactory#",	//894
    "addItem",	//895
    "addItem#",	//896
    "addItem#$",	//897
    "addItemBool",	//898
    "addItemBool$$",	//899
    "addItemBool$$$",	//900
    "addItemBool$$$$",	//901
    "addItemDateTime",	//902
    "addItemDateTime$#",	//903
    "addItemDateTime$##",	//904
    "addItemDateTime$##$",	//905
    "addItemDouble",	//906
    "addItemDouble$$",	//907
    "addItemDouble$$$",	//908
    "addItemDouble$$$$",	//909
    "addItemInt",	//910
    "addItemInt$$",	//911
    "addItemInt$$$",	//912
    "addItemInt$$$$",	//913
    "addItemInt64",	//914
    "addItemInt64$$",	//915
    "addItemInt64$$$",	//916
    "addItemInt64$$$$",	//917
    "addItemIntList",	//918
    "addItemIntList$?",	//919
    "addItemIntList$??",	//920
    "addItemIntList$??$",	//921
    "addItemLongLong",	//922
    "addItemLongLong$$",	//923
    "addItemLongLong$$$",	//924
    "addItemLongLong$$$$",	//925
    "addItemPassword",	//926
    "addItemPassword$$",	//927
    "addItemPassword$$$",	//928
    "addItemPassword$$$$",	//929
    "addItemPath",	//930
    "addItemPath$$",	//931
    "addItemPath$$$",	//932
    "addItemPath$$$$",	//933
    "addItemPoint",	//934
    "addItemPoint$#",	//935
    "addItemPoint$##",	//936
    "addItemPoint$##$",	//937
    "addItemProperty",	//938
    "addItemProperty$#",	//939
    "addItemProperty$##",	//940
    "addItemProperty$##$",	//941
    "addItemRect",	//942
    "addItemRect$#",	//943
    "addItemRect$##",	//944
    "addItemRect$##$",	//945
    "addItemSize",	//946
    "addItemSize$#",	//947
    "addItemSize$##",	//948
    "addItemSize$##$",	//949
    "addItemString",	//950
    "addItemString$$",	//951
    "addItemString$$$",	//952
    "addItemString$$$$",	//953
    "addItemStringList",	//954
    "addItemStringList$?",	//955
    "addItemStringList$??",	//956
    "addItemStringList$??$",	//957
    "addItemUInt",	//958
    "addItemUInt$$",	//959
    "addItemUInt$$$",	//960
    "addItemUInt$$$$",	//961
    "addItemUInt64",	//962
    "addItemUInt64$$",	//963
    "addItemUInt64$$$",	//964
    "addItemUInt64$$$$",	//965
    "addItemULongLong",	//966
    "addItemULongLong$$",	//967
    "addItemULongLong$$$",	//968
    "addItemULongLong$$$$",	//969
    "addLicense",	//970
    "addLicense$",	//971
    "addLicenseText",	//972
    "addLicenseText#",	//973
    "addLicenseTextFile",	//974
    "addLicenseTextFile$",	//975
    "addMSecs",	//976
    "addMSecs$",	//977
    "addMonths",	//978
    "addMonths#$",	//979
    "addMonths$",	//980
    "addPath",	//981
    "addPath$",	//982
    "addPrefix",	//983
    "addPrefix$",	//984
    "addQueryItem",	//985
    "addQueryItem$$",	//986
    "addResourceDir",	//987
    "addResourceDir$$",	//988
    "addResourceDir$$$",	//989
    "addResourceType",	//990
    "addResourceType$$",	//991
    "addResourceType$$$",	//992
    "addResourceType$$$$",	//993
    "addSecs",	//994
    "addSecs$",	//995
    "addStdCmdLineOptions",	//996
    "addStdCmdLineOptions$",	//997
    "addSubjob",	//998
    "addSubjob#",	//999
    "addTempFileOption",	//1000
    "addToAllowedEnvironments",	//1001
    "addToAllowedEnvironments$",	//1002
    "addToExcludedEnvironments",	//1003
    "addToExcludedEnvironments$",	//1004
    "addToPersonal",	//1005
    "addToPersonal$",	//1006
    "addToSession",	//1007
    "addToSession$",	//1008
    "addWordToPersonal",	//1009
    "addWordToPersonal$",	//1010
    "addXdgConfigPrefix",	//1011
    "addXdgConfigPrefix$",	//1012
    "addXdgDataPrefix",	//1013
    "addXdgDataPrefix$",	//1014
    "addYears",	//1015
    "addYears#$",	//1016
    "addYears$",	//1017
    "adjustPath",	//1018
    "adjustPath$",	//1019
    "allArguments",	//1020
    "allCountriesList",	//1021
    "allCurrencyCodesList",	//1022
    "allCurrencyCodesList$",	//1023
    "allDigitSetsList",	//1024
    "allGroupNames",	//1025
    "allGroups",	//1026
    "allLanguagesList",	//1027
    "allMimeTypes",	//1028
    "allParentMimeTypes",	//1029
    "allResourceDirs",	//1030
    "allServiceTypes",	//1031
    "allServices",	//1032
    "allStaleFiles",	//1033
    "allStaleFiles$",	//1034
    "allTypes",	//1035
    "allUserNames",	//1036
    "allUsers",	//1037
    "allowAsDefault",	//1038
    "allowInline",	//1039
    "allowMultipleFiles",	//1040
    "allowUrlAction",	//1041
    "allowUrlAction$##",	//1042
    "allowedEnvironments",	//1043
    "analyze",	//1044
    "analyze$$",	//1045
    "appName",	//1046
    "applyConstraints",	//1047
    "applyConstraints?$",	//1048
    "applyShortYearWindow",	//1049
    "applyShortYearWindow$",	//1050
    "archiveMimeTypes",	//1051
    "arg",	//1052
    "arg$",	//1053
    "arguments",	//1054
    "atEnd",	//1055
    "author",	//1056
    "authorize",	//1057
    "authorize$",	//1058
    "authorizeControlModule",	//1059
    "authorizeControlModule$",	//1060
    "authorizeControlModules",	//1061
    "authorizeControlModules?",	//1062
    "authorizeKAction",	//1063
    "authorizeKAction$",	//1064
    "authorizeUrlAction",	//1065
    "authorizeUrlAction$##",	//1066
    "authors",	//1067
    "autoDetectLanguage",	//1068
    "autoRemove",	//1069
    "autoStart",	//1070
    "autoStart$",	//1071
    "autoStart0Done",	//1072
    "autoStart1Done",	//1073
    "autoStart2Done",	//1074
    "autostarts",	//1075
    "autostarts$",	//1076
    "autostarts$$",	//1077
    "availableBackends",	//1078
    "availableDictionaries",	//1079
    "availableEncodingNames",	//1080
    "availableLanguageNames",	//1081
    "availableLanguages",	//1082
    "backupFile",	//1083
    "backupFile$",	//1084
    "backupFile$$",	//1085
    "base64Decode",	//1086
    "base64Decode#",	//1087
    "base64Decode##",	//1088
    "base64Digest",	//1089
    "base64Encode",	//1090
    "base64Encode#",	//1091
    "base64Encode##",	//1092
    "base64Encode##$",	//1093
    "base64Encode#$",	//1094
    "baseGroup",	//1095
    "baseGroup$",	//1096
    "baseGroupName",	//1097
    "binaryUnitDialect",	//1098
    "bugAddress",	//1099
    "byKeyword",	//1100
    "byKeyword$",	//1101
    "bytesAvailable",	//1102
    "bytesToWrite",	//1103
    "calcResourceHash",	//1104
    "calcResourceHash$$",	//1105
    "calcResourceHash$$$",	//1106
    "calendar",	//1107
    "calendarLabel",	//1108
    "calendarLabel$",	//1109
    "calendarLabel$#",	//1110
    "calendarSystem",	//1111
    "calendarSystem$",	//1112
    "calendarSystemForCalendarType",	//1113
    "calendarSystemForCalendarType$",	//1114
    "calendarSystems",	//1115
    "calendarSystemsList",	//1116
    "calendarType",	//1117
    "calendarType$",	//1118
    "canDeleteRecursive",	//1119
    "canReadLine",	//1120
    "canRenameFromFile",	//1121
    "canRenameToFile",	//1122
    "capabilities",	//1123
    "capabilities$",	//1124
    "caption",	//1125
    "capwords",	//1126
    "capwords$",	//1127
    "capwords?",	//1128
    "catalogName",	//1129
    "categories",	//1130
    "category",	//1131
    "cd",	//1132
    "cd$",	//1133
    "changeGroup",	//1134
    "changeGroup$",	//1135
    "changeLanguage",	//1136
    "changeLanguage$",	//1137
    "charsets",	//1138
    "checkAccess",	//1139
    "checkAccess$$",	//1140
    "checkAllowedEnvironment",	//1141
    "checkAllowedEnvironment$",	//1142
    "checkAndSuggest",	//1143
    "checkAndSuggest$?",	//1144
    "checkForHeldSlave",	//1145
    "checkForHeldSlave$",	//1146
    "checkUpdate",	//1147
    "checkUpdate$$",	//1148
    "checkWord",	//1149
    "checkWord$",	//1150
    "childCount",	//1151
    "childEvent",	//1152
    "childGroup",	//1153
    "childGroup$",	//1154
    "chmod",	//1155
    "chmod$$",	//1156
    "choices",	//1157
    "choices2",	//1158
    "cleanPath",	//1159
    "cleanPath$",	//1160
    "clear",	//1161
    "clearEnvironment",	//1162
    "clearProgram",	//1163
    "clearSubjobs",	//1164
    "clone",	//1165
    "close",	//1166
    "cmp",	//1167
    "cmp#",	//1168
    "cmp#$",	//1169
    "codecForEncoding",	//1170
    "codecForName",	//1171
    "codecForName$",	//1172
    "codecForName$$",	//1173
    "command",	//1174
    "commandToCheck",	//1175
    "comment",	//1176
    "comment#",	//1177
    "compare",	//1178
    "compare#",	//1179
    "componentData",	//1180
    "componentName",	//1181
    "compress",	//1182
    "compress$",	//1183
    "confidence",	//1184
    "config",	//1185
    "config$",	//1186
    "configChanged",	//1187
    "connectNotify",	//1188
    "connectToHost",	//1189
    "connectToHost#",	//1190
    "connectToHost##",	//1191
    "connectToHost#$$$",	//1192
    "connectToHost$$$",	//1193
    "connectToHost$$$#",	//1194
    "connectToHostImplementation",	//1195
    "connectToHostImplementation$$$",	//1196
    "connectToPath",	//1197
    "connectToPath$",	//1198
    "connectToPath$$",	//1199
    "connectToPath$$$",	//1200
    "continueChecking",	//1201
    "convert",	//1202
    "convert##",	//1203
    "convertDigits",	//1204
    "convertDigits$$",	//1205
    "convertDigits$$$",	//1206
    "copyCatalogsTo",	//1207
    "copyCatalogsTo#",	//1208
    "copyTo",	//1209
    "copyTo#",	//1210
    "copyTo#$",	//1211
    "copyTo$",	//1212
    "copyTo$#",	//1213
    "copyrightStatement",	//1214
    "count",	//1215
    "countriesUsingCurrency",	//1216
    "country",	//1217
    "countryCode",	//1218
    "countryCodeToName",	//1219
    "countryCodeToName$",	//1220
    "countryDivisionCode",	//1221
    "create",	//1222
    "create#",	//1223
    "create#$",	//1224
    "create#$?",	//1225
    "create$",	//1226
    "create$#",	//1227
    "create$##?$",	//1228
    "create$$",	//1229
    "create$?",	//1230
    "create$?#",	//1231
    "createObject",	//1232
    "createObject#$?",	//1233
    "createPartObject",	//1234
    "createPartObject##$?",	//1235
    "credits",	//1236
    "csqueeze",	//1237
    "csqueeze$",	//1238
    "csqueeze$$",	//1239
    "currency",	//1240
    "currencyCode",	//1241
    "currencyCodeList",	//1242
    "currencyCodeToName",	//1243
    "currencyCodeToName$",	//1244
    "currencyCodeToName$$",	//1245
    "currencySymbol",	//1246
    "currentContext",	//1247
    "currentDateTime",	//1248
    "currentDateTime#",	//1249
    "currentGroup",	//1250
    "currentLocalDate",	//1251
    "currentLocalDateTime",	//1252
    "currentLocalTime",	//1253
    "currentOffset",	//1254
    "currentOffset$",	//1255
    "currentUtcDateTime",	//1256
    "customAuthorPlainText",	//1257
    "customAuthorRichText",	//1258
    "customAuthorTextEnabled",	//1259
    "customEvent",	//1260
    "cwd",	//1261
    "data",	//1262
    "data$",	//1263
    "dataVersion",	//1264
    "databaseChanged",	//1265
    "databaseChanged?",	//1266
    "datagramSocket",	//1267
    "datagramSocket$$",	//1268
    "datagramSocket$$#",	//1269
    "date",	//1270
    "dateDifference",	//1271
    "dateDifference##$$$$",	//1272
    "dateFormat",	//1273
    "dateFormatShort",	//1274
    "dateIntroduced",	//1275
    "dateMonthNamePossessive",	//1276
    "dateSuspended",	//1277
    "dateTime",	//1278
    "dateTimeDigitSet",	//1279
    "dateToJulianDay",	//1280
    "dateToJulianDay$$$$",	//1281
    "dateWithdrawn",	//1282
    "day",	//1283
    "day#",	//1284
    "dayOfWeek",	//1285
    "dayOfWeek#",	//1286
    "dayOfWeekString",	//1287
    "dayOfWeekString#",	//1288
    "dayOfYear",	//1289
    "dayOfYear#",	//1290
    "dayOfYearString",	//1291
    "dayOfYearString#",	//1292
    "dayOfYearString#$",	//1293
    "dayPeriodText",	//1294
    "dayPeriodText#",	//1295
    "dayPeriodText#$",	//1296
    "dayString",	//1297
    "dayString#",	//1298
    "dayString#$",	//1299
    "dayStringToInteger",	//1300
    "dayStringToInteger$$",	//1301
    "daysDifference",	//1302
    "daysDifference##",	//1303
    "daysInMonth",	//1304
    "daysInMonth#",	//1305
    "daysInMonth$$",	//1306
    "daysInMonthString",	//1307
    "daysInMonthString#",	//1308
    "daysInMonthString#$",	//1309
    "daysInWeek",	//1310
    "daysInWeek#",	//1311
    "daysInWeekString",	//1312
    "daysInWeekString#",	//1313
    "daysInYear",	//1314
    "daysInYear#",	//1315
    "daysInYear$",	//1316
    "daysInYearString",	//1317
    "daysInYearString#",	//1318
    "daysInYearString#$",	//1319
    "daysTo",	//1320
    "daysTo#",	//1321
    "dbusStartupType",	//1322
    "decimalPlaces",	//1323
    "decimalSymbol",	//1324
    "decode",	//1325
    "decode#",	//1326
    "decode$$",	//1327
    "decodeRFC2047String",	//1328
    "decodeRFC2047String$",	//1329
    "decodeWithBuffering",	//1330
    "decodeWithBuffering$$",	//1331
    "decode_string",	//1332
    "decode_string$",	//1333
    "decodedInvalidCharacters",	//1334
    "decoder",	//1335
    "defaultClient",	//1336
    "defaultCountry",	//1337
    "defaultCurrencyCode",	//1338
    "defaultLanguage",	//1339
    "defaultLanguageName",	//1340
    "defaultMimeType",	//1341
    "defaultMimeTypePtr",	//1342
    "defaultOffers",	//1343
    "defaultOffers$",	//1344
    "defaultOffers$$",	//1345
    "defaultSymbol",	//1346
    "defaults",	//1347
    "deleteEntry",	//1348
    "deleteEntry$",	//1349
    "deleteEntry$$",	//1350
    "deleteGroup",	//1351
    "deleteGroup#",	//1352
    "deleteGroup#$",	//1353
    "deleteGroup$",	//1354
    "deleteGroup$$",	//1355
    "deleteGroupImpl",	//1356
    "deleteGroupImpl#",	//1357
    "deleteGroupImpl#$",	//1358
    "dependencies",	//1359
    "deref",	//1360
    "description",	//1361
    "description#$",	//1362
    "description#$?",	//1363
    "description#$??",	//1364
    "descriptionForEncoding",	//1365
    "descriptionForEncoding$",	//1366
    "descriptiveEncodingNames",	//1367
    "deserialize",	//1368
    "deserialize#",	//1369
    "desktopEntryName",	//1370
    "desktopEntryPath",	//1371
    "desktopGroup",	//1372
    "detach",	//1373
    "details",	//1374
    "detectLanguage",	//1375
    "detectLanguage$",	//1376
    "determineMimetypeFromExtension",	//1377
    "determineMimetypeFromExtension$",	//1378
    "device",	//1379
    "device#$",	//1380
    "device#$$",	//1381
    "deviceForFile",	//1382
    "deviceForFile$",	//1383
    "deviceForFile$$",	//1384
    "deviceForFile$$$",	//1385
    "digitSet",	//1386
    "digitSetToName",	//1387
    "digitSetToName$",	//1388
    "digitSetToName$$",	//1389
    "directWriteFallback",	//1390
    "directory",	//1391
    "directory#",	//1392
    "directoryEntryPath",	//1393
    "dirs",	//1394
    "disableAutoRebuild",	//1395
    "disconnectFromHostImplementation",	//1396
    "disconnectFromPath",	//1397
    "disconnectNotify",	//1398
    "doKill",	//1399
    "doResume",	//1400
    "doSuspend",	//1401
    "docPath",	//1402
    "docPath$",	//1403
    "done",	//1404
    "earliestValidDate",	//1405
    "earlyAuthorize",	//1406
    "email",	//1407
    "emailAddress",	//1408
    "emitPercent",	//1409
    "emitPercent$$",	//1410
    "emitResult",	//1411
    "emitSpeed",	//1412
    "emitSpeed$",	//1413
    "enable_i18n",	//1414
    "encode_string",	//1415
    "encode_string$",	//1416
    "encode_string_no_slash",	//1417
    "encode_string_no_slash$",	//1418
    "encodedHtmlRef",	//1419
    "encodedPathAndQuery",	//1420
    "encodedPathAndQuery$",	//1421
    "encodedPathAndQuery$#",	//1422
    "encoding",	//1423
    "encodingChoiceSource",	//1424
    "encodingForName",	//1425
    "encodingForName$",	//1426
    "encodingMib",	//1427
    "encodingName",	//1428
    "encodingsByScript",	//1429
    "endParseBlock",	//1430
    "entries",	//1431
    "entries$",	//1432
    "entries$$",	//1433
    "entries$$$",	//1434
    "entries$$$$",	//1435
    "entryMap",	//1436
    "entryMap$",	//1437
    "entryPath",	//1438
    "epoch",	//1439
    "equals",	//1440
    "equals#",	//1441
    "equals##",	//1442
    "equivalentTo",	//1443
    "equivalentTo#",	//1444
    "eraName",	//1445
    "eraName#",	//1446
    "eraName#$",	//1447
    "eraYear",	//1448
    "eraYear#",	//1449
    "eraYear#$",	//1450
    "error",	//1451
    "errorCode",	//1452
    "errorDescription",	//1453
    "errorString",	//1454
    "errorString$",	//1455
    "errorText",	//1456
    "errorsIfUtf8",	//1457
    "errorsIfUtf8$$",	//1458
    "escapeChar",	//1459
    "event",	//1460
    "eventFilter",	//1461
    "excludedEnvironments",	//1462
    "exec",	//1463
    "exec$",	//1464
    "exec_blind",	//1465
    "exec_blind$?",	//1466
    "exec_blind$??$",	//1467
    "execute",	//1468
    "execute$",	//1469
    "execute$?",	//1470
    "execute$?$",	//1471
    "execute?",	//1472
    "execute?$",	//1473
    "executeActions",	//1474
    "executeActions??$",	//1475
    "executeActions??$#",	//1476
    "executesAsync",	//1477
    "exists",	//1478
    "exists$",	//1479
    "expandEscapedMacro",	//1480
    "expandEscapedMacro$$?",	//1481
    "expandMacro",	//1482
    "expandMacro#?",	//1483
    "expandMacro$?",	//1484
    "expandMacros",	//1485
    "expandMacros$",	//1486
    "expandMacros$?",	//1487
    "expandMacros$?#",	//1488
    "expandMacrosShellQuote",	//1489
    "expandMacrosShellQuote$",	//1490
    "expandMacrosShellQuote$$",	//1491
    "expandMacrosShellQuote$?",	//1492
    "expandMacrosShellQuote$?#",	//1493
    "expandPlainMacro",	//1494
    "expandPlainMacro$$?",	//1495
    "extraFields",	//1496
    "extraFields#",	//1497
    "extractKnownExtension",	//1498
    "extractKnownExtension$",	//1499
    "faceIconPath",	//1500
    "factories",	//1501
    "factory",	//1502
    "factory$",	//1503
    "factory$$",	//1504
    "failed",	//1505
    "favIconForUrl",	//1506
    "favIconForUrl#",	//1507
    "feed",	//1508
    "feed#",	//1509
    "feed$$",	//1510
    "fetchMoreText",	//1511
    "fileEncoding",	//1512
    "fileEncodingMib",	//1513
    "fileEngine",	//1514
    "fileName",	//1515
    "fileName#",	//1516
    "fileNameUsedForCopying",	//1517
    "filterFlags",	//1518
    "finalize",	//1519
    "findAllExe",	//1520
    "findAllExe?$",	//1521
    "findAllExe?$$",	//1522
    "findAllExe?$$$",	//1523
    "findAllResources",	//1524
    "findAllResources$",	//1525
    "findAllResources$$",	//1526
    "findAllResources$$$",	//1527
    "findAllResources$$$?",	//1528
    "findByContent",	//1529
    "findByContent#",	//1530
    "findByContent#$",	//1531
    "findByFileContent",	//1532
    "findByFileContent$",	//1533
    "findByFileContent$$",	//1534
    "findByNameAndContent",	//1535
    "findByNameAndContent$#",	//1536
    "findByNameAndContent$#$",	//1537
    "findByNameAndContent$#$$",	//1538
    "findByPath",	//1539
    "findByPath$",	//1540
    "findByPath$$",	//1541
    "findByPath$$$",	//1542
    "findByPath$$$$",	//1543
    "findByUrl",	//1544
    "findByUrl#",	//1545
    "findByUrl#$",	//1546
    "findByUrl#$$",	//1547
    "findByUrl#$$$",	//1548
    "findByUrl#$$$$",	//1549
    "findDirectChild_helper",	//1550
    "findDirectChild_helper##",	//1551
    "findDirs",	//1552
    "findDirs$$",	//1553
    "findEntry",	//1554
    "findEntry$$",	//1555
    "findExe",	//1556
    "findExe$",	//1557
    "findExe$$",	//1558
    "findExe$$$",	//1559
    "findFactory",	//1560
    "findFactory$",	//1561
    "findFilterByFileName",	//1562
    "findFilterByFileName$",	//1563
    "findFilterByMimeType",	//1564
    "findFilterByMimeType$",	//1565
    "findItem",	//1566
    "findItem$",	//1567
    "findLibrary",	//1568
    "findLibrary$",	//1569
    "findLibrary$#",	//1570
    "findResource",	//1571
    "findResource$$",	//1572
    "findResourceDir",	//1573
    "findResourceDir$$",	//1574
    "finished",	//1575
    "finished#",	//1576
    "finishedCurrentFeed",	//1577
    "firstDayOfMonth",	//1578
    "firstDayOfMonth#",	//1579
    "firstDayOfMonth$$",	//1580
    "firstDayOfYear",	//1581
    "firstDayOfYear#",	//1582
    "firstDayOfYear$",	//1583
    "flagError",	//1584
    "flush",	//1585
    "fopen",	//1586
    "fopen$$",	//1587
    "forceGlobal",	//1588
    "formatByteSize",	//1589
    "formatByteSize$",	//1590
    "formatByteSize$$",	//1591
    "formatByteSize$$$",	//1592
    "formatByteSize$$$$",	//1593
    "formatDate",	//1594
    "formatDate#",	//1595
    "formatDate#$",	//1596
    "formatDate#$$",	//1597
    "formatDate#$$$",	//1598
    "formatDateTime",	//1599
    "formatDateTime#",	//1600
    "formatDateTime#$",	//1601
    "formatDateTime#$$",	//1602
    "formatDuration",	//1603
    "formatDuration$",	//1604
    "formatLocaleTime",	//1605
    "formatLocaleTime#",	//1606
    "formatLocaleTime#$",	//1607
    "formatLong",	//1608
    "formatLong$",	//1609
    "formatMoney",	//1610
    "formatMoney$",	//1611
    "formatMoney$$",	//1612
    "formatMoney$$$",	//1613
    "formatNumber",	//1614
    "formatNumber$",	//1615
    "formatNumber$$",	//1616
    "formatNumber$$$",	//1617
    "formatTime",	//1618
    "formatTime#",	//1619
    "formatTime#$",	//1620
    "formatTime#$$",	//1621
    "fracDigits",	//1622
    "from8Bit",	//1623
    "from8Bit$",	//1624
    "fromEntity",	//1625
    "fromEntity$",	//1626
    "fromEntity$$",	//1627
    "fromFiles",	//1628
    "fromFiles?",	//1629
    "fromFiles?#",	//1630
    "fromKPartsInstanceName",	//1631
    "fromKPartsInstanceName$",	//1632
    "fromKPartsInstanceName$#",	//1633
    "fromMimeDataByteArray",	//1634
    "fromMimeDataByteArray#",	//1635
    "fromPath",	//1636
    "fromPath$",	//1637
    "fromPathOrUrl",	//1638
    "fromPathOrUrl$",	//1639
    "fromServices",	//1640
    "fromServices?",	//1641
    "fromServices?#",	//1642
    "fromString",	//1643
    "fromString$",	//1644
    "fromString$$",	//1645
    "fromString$$#",	//1646
    "fromString$$#$",	//1647
    "fromString$$$",	//1648
    "fromTime_t",	//1649
    "fromTime_t$",	//1650
    "fullLicense",	//1651
    "fullName",	//1652
    "genericName",	//1653
    "getBool",	//1654
    "getDate",	//1655
    "getDate#$$$",	//1656
    "getDouble",	//1657
    "getLockInfo",	//1658
    "getLockInfo$$$",	//1659
    "getLong",	//1660
    "getLong$",	//1661
    "getOption",	//1662
    "getOption#",	//1663
    "getOptionList",	//1664
    "getOptionList#",	//1665
    "gid",	//1666
    "group",	//1667
    "group#",	//1668
    "group$",	//1669
    "groupEntries",	//1670
    "groupEntries$",	//1671
    "groupImpl",	//1672
    "groupImpl#",	//1673
    "groupList",	//1674
    "groupNames",	//1675
    "groups",	//1676
    "hasActionGroup",	//1677
    "hasActionGroup$",	//1678
    "hasApplicationType",	//1679
    "hasAutoDetectionForScript",	//1680
    "hasAutoDetectionForScript$",	//1681
    "hasDefault",	//1682
    "hasDefault$",	//1683
    "hasDeviceType",	//1684
    "hasGroup",	//1685
    "hasGroup#",	//1686
    "hasGroup$",	//1687
    "hasGroupImpl",	//1688
    "hasGroupImpl#",	//1689
    "hasHTMLRef",	//1690
    "hasHelper",	//1691
    "hasHost",	//1692
    "hasKey",	//1693
    "hasKey$",	//1694
    "hasLinkType",	//1695
    "hasLocale",	//1696
    "hasMainComponent",	//1697
    "hasMimeType",	//1698
    "hasMimeType#",	//1699
    "hasMimeType$",	//1700
    "hasMimeTypeType",	//1701
    "hasNullOutput",	//1702
    "hasNullOutput$$$$",	//1703
    "hasNullOutputQtDebugMsg",	//1704
    "hasNullOutputQtDebugMsg$",	//1705
    "hasNullOutputQtDebugMsg$$",	//1706
    "hasPass",	//1707
    "hasPath",	//1708
    "hasPendingConnections",	//1709
    "hasRef",	//1710
    "hasServiceType",	//1711
    "hasServiceType$",	//1712
    "hasSubUrl",	//1713
    "hasSubjobs",	//1714
    "hasSubunits",	//1715
    "hasSubunitsInCirculation",	//1716
    "hasTransitions",	//1717
    "hasTransitions#",	//1718
    "hasUser",	//1719
    "helperID",	//1720
    "hexDigest",	//1721
    "hexDigest#",	//1722
    "homeDir",	//1723
    "homepage",	//1724
    "htmlRef",	//1725
    "i18n",	//1726
    "i18n$",	//1727
    "i18nc",	//1728
    "i18nc$$",	//1729
    "icon",	//1730
    "icon$",	//1731
    "iconName",	//1732
    "iconName#",	//1733
    "iconNameForUrl",	//1734
    "iconNameForUrl#",	//1735
    "iconNameForUrl#$",	//1736
    "inBufferAvailable",	//1737
    "inBufferEmpty",	//1738
    "inContext",	//1739
    "inContext$$",	//1740
    "incomingConnection",	//1741
    "incomingConnection$",	//1742
    "infoMessage",	//1743
    "infoMessage#$",	//1744
    "infoMessage#$$",	//1745
    "inherits",	//1746
    "inherits$",	//1747
    "init",	//1748
    "init#",	//1749
    "init$",	//1750
    "init$?#",	//1751
    "init$?####",	//1752
    "init$?#####",	//1753
    "init$?#####$",	//1754
    "init$?#$",	//1755
    "initialPreference",	//1756
    "inlineAlias",	//1757
    "inlineValue",	//1758
    "insertCatalog",	//1759
    "insertCatalog$",	//1760
    "installPath",	//1761
    "installPath$",	//1762
    "installedLanguages",	//1763
    "internalBugAddress",	//1764
    "internalProgramName",	//1765
    "internalVersion",	//1766
    "invokeBrowser",	//1767
    "invokeBrowser$",	//1768
    "invokeBrowser$#",	//1769
    "invokeHelp",	//1770
    "invokeHelp$",	//1771
    "invokeHelp$$",	//1772
    "invokeHelp$$#",	//1773
    "invokeMailer",	//1774
    "invokeMailer#",	//1775
    "invokeMailer##",	//1776
    "invokeMailer##$",	//1777
    "invokeMailer$$",	//1778
    "invokeMailer$$#",	//1779
    "invokeMailer$$$$$",	//1780
    "invokeMailer$$$$$$",	//1781
    "invokeMailer$$$$$$?",	//1782
    "invokeMailer$$$$$$?#",	//1783
    "invokeTerminal",	//1784
    "invokeTerminal$",	//1785
    "invokeTerminal$$",	//1786
    "invokeTerminal$$#",	//1787
    "is",	//1788
    "is$",	//1789
    "isApplication",	//1790
    "isApplicationTranslatedInto",	//1791
    "isApplicationTranslatedInto$",	//1792
    "isAuthorizedDesktopFile",	//1793
    "isAuthorizedDesktopFile$",	//1794
    "isAutoDelete",	//1795
    "isAutoErrorHandlingEnabled",	//1796
    "isAutoWarningHandlingEnabled",	//1797
    "isAvailable",	//1798
    "isBinaryData",	//1799
    "isBinaryData$",	//1800
    "isBufferBinaryData",	//1801
    "isBufferBinaryData#",	//1802
    "isBuilding",	//1803
    "isChanged",	//1804
    "isChanged$",	//1805
    "isClockTime",	//1806
    "isConfigWritable",	//1807
    "isConfigWritable$",	//1808
    "isCorrect",	//1809
    "isCorrect$",	//1810
    "isDateOnly",	//1811
    "isDefault",	//1812
    "isDeleted",	//1813
    "isDerived",	//1814
    "isDesktopFile",	//1815
    "isDesktopFile$",	//1816
    "isDirty",	//1817
    "isDst",	//1818
    "isDst#$",	//1819
    "isDst$",	//1820
    "isDstAtUtc",	//1821
    "isDstAtUtc#",	//1822
    "isDstAtUtc##",	//1823
    "isEmpty",	//1824
    "isEntryImmutable",	//1825
    "isEntryImmutable$",	//1826
    "isEqual",	//1827
    "isEqual#",	//1828
    "isFilterProtocol",	//1829
    "isFilterProtocol#",	//1830
    "isFilterProtocol$",	//1831
    "isGroupImmutable",	//1832
    "isGroupImmutable#",	//1833
    "isGroupImmutable$",	//1834
    "isGroupImmutableImpl",	//1835
    "isGroupImmutableImpl#",	//1836
    "isHelperProtocol",	//1837
    "isHelperProtocol#",	//1838
    "isHelperProtocol$",	//1839
    "isHidden",	//1840
    "isImmutable",	//1841
    "isImmutable$",	//1842
    "isKnownProtocol",	//1843
    "isKnownProtocol#",	//1844
    "isKnownProtocol$",	//1845
    "isLeapYear",	//1846
    "isLeapYear#",	//1847
    "isLeapYear$",	//1848
    "isListening",	//1849
    "isLoaded",	//1850
    "isLocalFile",	//1851
    "isLocalZone",	//1852
    "isLocked",	//1853
    "isLunar",	//1854
    "isLunisolar",	//1855
    "isMisspelled",	//1856
    "isMisspelled$",	//1857
    "isNull",	//1858
    "isOffsetFromUtc",	//1859
    "isParentOf",	//1860
    "isParentOf#",	//1861
    "isPluginEnabled",	//1862
    "isPluginEnabledByDefault",	//1863
    "isProleptic",	//1864
    "isRelativeUrl",	//1865
    "isRelativeUrl$",	//1866
    "isRestrictedResource",	//1867
    "isRestrictedResource$",	//1868
    "isRestrictedResource$$",	//1869
    "isSecondOccurrence",	//1870
    "isSeparator",	//1871
    "isSequential",	//1872
    "isServiceRegistered",	//1873
    "isServiceRegistered$",	//1874
    "isSet",	//1875
    "isSet#",	//1876
    "isSimulated",	//1877
    "isSolar",	//1878
    "isSuperUser",	//1879
    "isSuspended",	//1880
    "isTempFileSet",	//1881
    "isTimeZoneDaemonAvailable",	//1882
    "isType",	//1883
    "isType$",	//1884
    "isUtc",	//1885
    "isUtf8",	//1886
    "isUtf8$",	//1887
    "isValid",	//1888
    "isValid#",	//1889
    "isValid$",	//1890
    "isValid$$",	//1891
    "isValid$$$",	//1892
    "isValid$$$$",	//1893
    "isValidIsoWeekDate",	//1894
    "isValidIsoWeekDate$$$",	//1895
    "isoCurrencyCode",	//1896
    "isoCurrencyCodeNumeric",	//1897
    "isoName",	//1898
    "items",	//1899
    "job",	//1900
    "join",	//1901
    "join?",	//1902
    "joinArgs",	//1903
    "joinArgs?",	//1904
    "julianDayToDate",	//1905
    "julianDayToDate$$$$",	//1906
    "kAsciiToLower",	//1907
    "kAsciiToLower$",	//1908
    "kAsciiToUpper",	//1909
    "kAsciiToUpper$",	//1910
    "kBacktrace",	//1911
    "kBacktrace$",	//1912
    "kClearDebugConfig",	//1913
    "kRealBacktrace",	//1914
    "kRealBacktrace$",	//1915
    "kapplication_hook",	//1916
    "kapplication_hook?#",	//1917
    "kasciistricmp",	//1918
    "kasciistricmp$$",	//1919
    "kcmServices",	//1920
    "kdBacktrace",	//1921
    "kdBacktrace$",	//1922
    "kde_default",	//1923
    "kde_default$",	//1924
    "kdeinitExec",	//1925
    "kdeinitExec$",	//1926
    "kdeinitExec$?",	//1927
    "kdeinitExec$?$",	//1928
    "kdeinitExec$?$$",	//1929
    "kdeinitExec$?$$#",	//1930
    "kdeinitExecWait",	//1931
    "kdeinitExecWait$",	//1932
    "kdeinitExecWait$?",	//1933
    "kdeinitExecWait$?$",	//1934
    "kdeinitExecWait$?$$",	//1935
    "kdeinitExecWait$?$$#",	//1936
    "kdeinit_exec",	//1937
    "kdeinit_exec$??$$$$",	//1938
    "kdeinit_exec_wait",	//1939
    "kdeinit_exec_wait$??$$$$",	//1940
    "key",	//1941
    "keyList",	//1942
    "keywords",	//1943
    "kfsstnd_prefixes",	//1944
    "kfsstnd_xdg_conf_prefixes",	//1945
    "kfsstnd_xdg_data_prefixes",	//1946
    "ki18n",	//1947
    "ki18n$",	//1948
    "ki18nc",	//1949
    "ki18nc$$",	//1950
    "ki18ncp",	//1951
    "ki18ncp$$$",	//1952
    "ki18np",	//1953
    "ki18np$$",	//1954
    "kill",	//1955
    "kill$",	//1956
    "klauncher",	//1957
    "kndbgstream",	//1958
    "kndbgstream#",	//1959
    "label",	//1960
    "langLookup",	//1961
    "langLookup$",	//1962
    "langLookup$$",	//1963
    "language",	//1964
    "languageCodeToName",	//1965
    "languageCodeToName$",	//1966
    "languageForEncoding",	//1967
    "languageForEncoding$",	//1968
    "languageList",	//1969
    "lastDayOfMonth",	//1970
    "lastDayOfMonth#",	//1971
    "lastDayOfMonth$$",	//1972
    "lastDayOfYear",	//1973
    "lastDayOfYear#",	//1974
    "lastDayOfYear$",	//1975
    "lastErrorMessage",	//1976
    "latestValidDate",	//1977
    "latitude",	//1978
    "layoutInfo",	//1979
    "leapSecondChange",	//1980
    "leapSecondChange#",	//1981
    "leapSecondChanges",	//1982
    "leapSeconds",	//1983
    "library",	//1984
    "library$",	//1985
    "library$$",	//1986
    "license",	//1987
    "licenseName",	//1988
    "licenseName$",	//1989
    "licenses",	//1990
    "listen",	//1991
    "listen$",	//1992
    "listen$#",	//1993
    "listen$#$",	//1994
    "listen$#$#",	//1995
    "listen$$",	//1996
    "load",	//1997
    "load#",	//1998
    "loadAppArgs",	//1999
    "loadAppArgs#",	//2000
    "local",	//2001
    "localPath",	//2002
    "localSocketType",	//2003
    "locale",	//2004
    "localizedFilePath",	//2005
    "localizedFilePath$",	//2006
    "localkdedir",	//2007
    "localxdgconfdir",	//2008
    "localxdgdatadir",	//2009
    "locate",	//2010
    "locate$$",	//2011
    "locate$$#",	//2012
    "locateLocal",	//2013
    "locateLocal$",	//2014
    "locateLocal$$",	//2015
    "locateLocal$$#",	//2016
    "locateLocal$$$",	//2017
    "locateLocal$$$#",	//2018
    "location",	//2019
    "lock",	//2020
    "lock$",	//2021
    "loginName",	//2022
    "longitude",	//2023
    "lsqueeze",	//2024
    "lsqueeze$",	//2025
    "lsqueeze$$",	//2026
    "mGroup",	//2027
    "mKey",	//2028
    "mName",	//2029
    "m_bAutoDel",	//2030
    "m_canCopyFromFile",	//2031
    "m_canCopyToFile",	//2032
    "m_config",	//2033
    "m_defaultMimetype",	//2034
    "m_determineMimetypeFromExtension",	//2035
    "m_dev",	//2036
    "m_exec",	//2037
    "m_icon",	//2038
    "m_inputType",	//2039
    "m_isHelperProtocol",	//2040
    "m_isSourceProtocol",	//2041
    "m_listing",	//2042
    "m_maxSlaves",	//2043
    "m_name",	//2044
    "m_outputType",	//2045
    "m_str_deprecated",	//2046
    "m_supportsDeleting",	//2047
    "m_supportsLinking",	//2048
    "m_supportsListing",	//2049
    "m_supportsMakeDir",	//2050
    "m_supportsMoving",	//2051
    "m_supportsOpening",	//2052
    "m_supportsReading",	//2053
    "m_supportsWriting",	//2054
    "mainComponent",	//2055
    "mainExtension",	//2056
    "makeDir",	//2057
    "makeDir$",	//2058
    "makeDir$$",	//2059
    "makeURL",	//2060
    "makeURL#",	//2061
    "managedFile",	//2062
    "markAsClean",	//2063
    "matchFileName",	//2064
    "matchFileName$$",	//2065
    "maxPendingConnections",	//2066
    "maxSlaves",	//2067
    "maxSlaves$",	//2068
    "maxSlavesPerHost",	//2069
    "maxSlavesPerHost$",	//2070
    "maxValue",	//2071
    "measureSystem",	//2072
    "menuId",	//2073
    "message",	//2074
    "message$$",	//2075
    "message$$$",	//2076
    "metaObject",	//2077
    "mimeType",	//2078
    "mimeType$",	//2079
    "mimeType$$",	//2080
    "mimeTypes",	//2081
    "minValue",	//2082
    "misspelling",	//2083
    "misspelling$$",	//2084
    "mkdir",	//2085
    "mkdir$$",	//2086
    "mode",	//2087
    "modulate",	//2088
    "modulate$",	//2089
    "moduleDeleted",	//2090
    "moduleDeleted#",	//2091
    "moduleName",	//2092
    "moduleRegistered",	//2093
    "moduleRegistered#",	//2094
    "monetaryDecimalPlaces",	//2095
    "monetaryDecimalSymbol",	//2096
    "monetaryDigitSet",	//2097
    "monetaryThousandsSeparator",	//2098
    "month",	//2099
    "month#",	//2100
    "monthName",	//2101
    "monthName#",	//2102
    "monthName#$",	//2103
    "monthName$$",	//2104
    "monthName$$$",	//2105
    "monthString",	//2106
    "monthString#",	//2107
    "monthString#$",	//2108
    "monthStringToInteger",	//2109
    "monthStringToInteger$$",	//2110
    "monthsDifference",	//2111
    "monthsDifference##",	//2112
    "monthsInYear",	//2113
    "monthsInYear#",	//2114
    "monthsInYear$",	//2115
    "monthsInYearString",	//2116
    "monthsInYearString#",	//2117
    "monthsInYearString#$",	//2118
    "name",	//2119
    "name$",	//2120
    "nameForProberType",	//2121
    "nameForProberType$",	//2122
    "nameForScript",	//2123
    "nameForScript$",	//2124
    "naturalCompare",	//2125
    "naturalCompare$$",	//2126
    "naturalCompare$$$",	//2127
    "negativeMonetarySignPosition",	//2128
    "negativePrefixCurrencySymbol",	//2129
    "negativeSign",	//2130
    "newConnection",	//2131
    "newServicePath",	//2132
    "newServicePath$$",	//2133
    "newServicePath$$$",	//2134
    "newServicePath$$$?",	//2135
    "nextPendingConnection",	//2136
    "noDisplay",	//2137
    "notifyCatalogsUpdated",	//2138
    "notifyCatalogsUpdated??",	//2139
    "nounDeclension",	//2140
    "numberedBackupFile",	//2141
    "numberedBackupFile$",	//2142
    "numberedBackupFile$$",	//2143
    "numberedBackupFile$$$",	//2144
    "numberedBackupFile$$$$",	//2145
    "objectCreated",	//2146
    "objectCreated#",	//2147
    "obscure",	//2148
    "obscure$",	//2149
    "ocsProviderUrl",	//2150
    "ocsUsername",	//2151
    "offset",	//2152
    "offset#$",	//2153
    "offset$",	//2154
    "offsetAtUtc",	//2155
    "offsetAtUtc#",	//2156
    "offsetAtUtc##",	//2157
    "offsetAtZoneTime",	//2158
    "offsetAtZoneTime#",	//2159
    "offsetAtZoneTime##$",	//2160
    "offsetAtZoneTime#$",	//2161
    "open",	//2162
    "open$",	//2163
    "open$$",	//2164
    "open$$$",	//2165
    "openConfig",	//2166
    "openConfig#",	//2167
    "openConfig#$",	//2168
    "openConfig#$$",	//2169
    "openConfig#$$$",	//2170
    "openConfig$",	//2171
    "openConfig$$",	//2172
    "openConfig$$$",	//2173
    "operator QVariant",	//2174
    "operator!=",	//2175
    "operator!=#",	//2176
    "operator!=##",	//2177
    "operator!=$",	//2178
    "operator!=$#",	//2179
    "operator!=$$",	//2180
    "operator+",	//2181
    "operator+#$",	//2182
    "operator+$#",	//2183
    "operator+$$",	//2184
    "operator<",	//2185
    "operator<#",	//2186
    "operator<##",	//2187
    "operator<$#",	//2188
    "operator<$$",	//2189
    "operator<<",	//2190
    "operator<<##",	//2191
    "operator<<$",	//2192
    "operator<<?",	//2193
    "operator<=",	//2194
    "operator<=#",	//2195
    "operator<=##",	//2196
    "operator<=$#",	//2197
    "operator<=$$",	//2198
    "operator=",	//2199
    "operator=#",	//2200
    "operator=$",	//2201
    "operator==",	//2202
    "operator==#",	//2203
    "operator==##",	//2204
    "operator==$",	//2205
    "operator==$#",	//2206
    "operator==$$",	//2207
    "operator>",	//2208
    "operator>#",	//2209
    "operator>##",	//2210
    "operator>$#",	//2211
    "operator>$$",	//2212
    "operator>=",	//2213
    "operator>=#",	//2214
    "operator>=##",	//2215
    "operator>=$#",	//2216
    "operator>=$$",	//2217
    "operator>>",	//2218
    "operator>>##",	//2219
    "operator|",	//2220
    "operator|$$",	//2221
    "organizationDomain",	//2222
    "otherText",	//2223
    "outBufferAvailable",	//2224
    "outBufferFull",	//2225
    "outOfRange",	//2226
    "outputChannelMode",	//2227
    "pageSize",	//2228
    "parent",	//2229
    "parentApp",	//2230
    "parentMimeType",	//2231
    "parentMimeTypes",	//2232
    "parentServiceType",	//2233
    "parentType",	//2234
    "parentWidget",	//2235
    "parse",	//2236
    "parse#",	//2237
    "parsedArgs",	//2238
    "parsedArgs#",	//2239
    "pass",	//2240
    "path",	//2241
    "path$",	//2242
    "pathOrUrl",	//2243
    "pathOrUrl$",	//2244
    "patterns",	//2245
    "peerPath",	//2246
    "percent",	//2247
    "percent#$",	//2248
    "perlSplit",	//2249
    "perlSplit#$",	//2250
    "perlSplit#$$",	//2251
    "perlSplit$$",	//2252
    "perlSplit$$$",	//2253
    "phase",	//2254
    "phases",	//2255
    "pid",	//2256
    "pluginKeyword",	//2257
    "pluginName",	//2258
    "pluginVersion",	//2259
    "populateMimeData",	//2260
    "populateMimeData#",	//2261
    "populateMimeData#?",	//2262
    "populateMimeData#?$",	//2263
    "pos",	//2264
    "positiveMonetarySignPosition",	//2265
    "positivePrefixCurrencySymbol",	//2266
    "positiveSign",	//2267
    "preProcessWrap",	//2268
    "preProcessWrap$",	//2269
    "preferredService",	//2270
    "preferredService$",	//2271
    "preferredService$$",	//2272
    "prettyFormatDuration",	//2273
    "prettyFormatDuration$",	//2274
    "prettyUrl",	//2275
    "prettyUrl$",	//2276
    "previousUtcOffset",	//2277
    "proberType",	//2278
    "proberTypeForName",	//2279
    "proberTypeForName$",	//2280
    "processNull",	//2281
    "processNull$$",	//2282
    "processedAmount",	//2283
    "processedAmount#$$",	//2284
    "processedAmount$",	//2285
    "productName",	//2286
    "program",	//2287
    "programIconName",	//2288
    "programLogo",	//2289
    "programName",	//2290
    "progressStep",	//2291
    "progressStep$",	//2292
    "progressStep?",	//2293
    "property",	//2294
    "property$",	//2295
    "property$$",	//2296
    "propertyDef",	//2297
    "propertyDef$",	//2298
    "propertyDefNames",	//2299
    "propertyDefs",	//2300
    "propertyNames",	//2301
    "protocol",	//2302
    "protocolClass",	//2303
    "protocolClass$",	//2304
    "protocols",	//2305
    "proxiedBy",	//2306
    "proxiedBy$",	//2307
    "proxyForConnection",	//2308
    "proxyForConnection$$",	//2309
    "proxyForDatagram",	//2310
    "proxyForDatagram$$",	//2311
    "proxyForListening",	//2312
    "proxyForListening$",	//2313
    "qtArgc",	//2314
    "qtArgv",	//2315
    "qt_metacall",	//2316
    "qt_metacall$$?",	//2317
    "qt_metacast",	//2318
    "qt_metacast$",	//2319
    "query",	//2320
    "query$",	//2321
    "query$$",	//2322
    "query$$$",	//2323
    "queryItem",	//2324
    "queryItem$",	//2325
    "queryItems",	//2326
    "queryItems#",	//2327
    "quoteArg",	//2328
    "quoteArg$",	//2329
    "quotedPrintableDecode",	//2330
    "quotedPrintableDecode#",	//2331
    "quotedPrintableDecode##",	//2332
    "quotedPrintableEncode",	//2333
    "quotedPrintableEncode#",	//2334
    "quotedPrintableEncode##$",	//2335
    "quotedPrintableEncode#$",	//2336
    "random",	//2337
    "randomString",	//2338
    "randomString$",	//2339
    "rawDigest",	//2340
    "rawDigest$",	//2341
    "rcsBackupFile",	//2342
    "rcsBackupFile$",	//2343
    "rcsBackupFile$$",	//2344
    "rcsBackupFile$$$",	//2345
    "read",	//2346
    "read#$",	//2347
    "read#?",	//2348
    "readActions",	//2349
    "readComment",	//2350
    "readConfig",	//2351
    "readConfig#",	//2352
    "readData",	//2353
    "readData$$",	//2354
    "readDate",	//2355
    "readDate$",	//2356
    "readDate$$",	//2357
    "readDate$$$",	//2358
    "readDate$$$$",	//2359
    "readDefault",	//2360
    "readDefault#",	//2361
    "readDefaults",	//2362
    "readDevice",	//2363
    "readDocPath",	//2364
    "readEntry",	//2365
    "readEntry$",	//2366
    "readEntry$#",	//2367
    "readEntry$$",	//2368
    "readEntry$?",	//2369
    "readEntryUntranslated",	//2370
    "readEntryUntranslated$",	//2371
    "readEntryUntranslated$$",	//2372
    "readError",	//2373
    "readGenericName",	//2374
    "readHeader",	//2375
    "readIcon",	//2376
    "readImmutability",	//2377
    "readImmutability#",	//2378
    "readLineData",	//2379
    "readLocaleTime",	//2380
    "readLocaleTime$",	//2381
    "readLocaleTime$$",	//2382
    "readLocaleTime$$$",	//2383
    "readLocaleTime$$$$",	//2384
    "readMoney",	//2385
    "readMoney$",	//2386
    "readMoney$$",	//2387
    "readName",	//2388
    "readNumber",	//2389
    "readNumber$",	//2390
    "readNumber$$",	//2391
    "readPath",	//2392
    "readPathEntry",	//2393
    "readPathEntry$$",	//2394
    "readPathEntry$?",	//2395
    "readTime",	//2396
    "readTime$",	//2397
    "readTime$$",	//2398
    "readTime$$$",	//2399
    "readType",	//2400
    "readUrl",	//2401
    "readXdgListEntry",	//2402
    "readXdgListEntry$",	//2403
    "readXdgListEntry$?",	//2404
    "readZone",	//2405
    "readZone$",	//2406
    "realCurrentLocalDateTime",	//2407
    "realFilePath",	//2408
    "realFilePath$",	//2409
    "realLocalZone",	//2410
    "realPath",	//2411
    "realPath$",	//2412
    "ref",	//2413
    "registerArea",	//2414
    "registerArea#",	//2415
    "registerArea#$",	//2416
    "registerJob",	//2417
    "registerJob#",	//2418
    "relPath",	//2419
    "relativeLocation",	//2420
    "relativeLocation$$",	//2421
    "relativePath",	//2422
    "relativePath$$",	//2423
    "relativePath$$$",	//2424
    "relativeUrl",	//2425
    "relativeUrl##",	//2426
    "releaseLock",	//2427
    "remove",	//2428
    "remove#",	//2429
    "remove$",	//2430
    "removeAcceleratorMarker",	//2431
    "removeAcceleratorMarker$",	//2432
    "removeCatalog",	//2433
    "removeCatalog$",	//2434
    "removeDir",	//2435
    "removeDir$",	//2436
    "removeFromAllowedEnvironments",	//2437
    "removeFromAllowedEnvironments$",	//2438
    "removeFromExcludedEnvironments",	//2439
    "removeFromExcludedEnvironments$",	//2440
    "removeSubjob",	//2441
    "removeSubjob#",	//2442
    "rename",	//2443
    "rename$$",	//2444
    "reparent",	//2445
    "reparent#",	//2446
    "reparent#$",	//2447
    "reparseConfiguration",	//2448
    "replace",	//2449
    "replace$$$",	//2450
    "requestHoldSlave",	//2451
    "requestHoldSlave$$",	//2452
    "requestSlave",	//2453
    "requestSlave$$$$",	//2454
    "reset",	//2455
    "resetDecoder",	//2456
    "resolveEntities",	//2457
    "resolveEntities$",	//2458
    "resolveFunction",	//2459
    "resolveFunction$",	//2460
    "resolveSymbol",	//2461
    "resolveSymbol$",	//2462
    "resource",	//2463
    "resourceDirs",	//2464
    "resourceDirs$",	//2465
    "restore",	//2466
    "restore#",	//2467
    "resume",	//2468
    "resumed",	//2469
    "resumed#",	//2470
    "revertToDefault",	//2471
    "revertToDefault$",	//2472
    "root",	//2473
    "rsqueeze",	//2474
    "rsqueeze$",	//2475
    "rsqueeze$$",	//2476
    "save",	//2477
    "save#",	//2478
    "saveAppArgs",	//2479
    "saveAppArgs#",	//2480
    "saveLocation",	//2481
    "saveLocation$",	//2482
    "saveLocation$$",	//2483
    "saveLocation$$$",	//2484
    "scriptForName",	//2485
    "scriptForName$",	//2486
    "secsTo",	//2487
    "secsTo#",	//2488
    "secsTo_long",	//2489
    "secsTo_long#",	//2490
    "seek",	//2491
    "seek$",	//2492
    "self",	//2493
    "serialized",	//2494
    "serverError",	//2495
    "service",	//2496
    "serviceByDesktopName",	//2497
    "serviceByDesktopName$",	//2498
    "serviceByDesktopPath",	//2499
    "serviceByDesktopPath$",	//2500
    "serviceByMenuId",	//2501
    "serviceByMenuId$",	//2502
    "serviceByName",	//2503
    "serviceByName$",	//2504
    "serviceByStorageId",	//2505
    "serviceByStorageId$",	//2506
    "serviceEntries",	//2507
    "serviceEntries$",	//2508
    "serviceOffersOffset",	//2509
    "serviceType",	//2510
    "serviceType$",	//2511
    "serviceTypes",	//2512
    "setAboutData",	//2513
    "setAboutData#",	//2514
    "setActiveCatalog",	//2515
    "setActiveCatalog$",	//2516
    "setActiveComponent",	//2517
    "setActiveComponent#",	//2518
    "setAllowInline",	//2519
    "setAllowInline$",	//2520
    "setAllowQuit",	//2521
    "setAllowQuit$",	//2522
    "setAllowedEnvironments",	//2523
    "setAllowedEnvironments?",	//2524
    "setAppName",	//2525
    "setAppName#",	//2526
    "setArguments",	//2527
    "setArguments?",	//2528
    "setAttribute",	//2529
    "setAttribute$",	//2530
    "setAttribute$$",	//2531
    "setAutoDelete",	//2532
    "setAutoDelete$",	//2533
    "setAutoDetectLanguage",	//2534
    "setAutoDetectLanguage$",	//2535
    "setAutoErrorHandlingEnabled",	//2536
    "setAutoErrorHandlingEnabled$",	//2537
    "setAutoRemove",	//2538
    "setAutoRemove$",	//2539
    "setAutoWarningHandlingEnabled",	//2540
    "setAutoWarningHandlingEnabled$",	//2541
    "setAutostarts",	//2542
    "setAutostarts$",	//2543
    "setBinaryUnitDialect",	//2544
    "setBinaryUnitDialect$",	//2545
    "setBugAddress",	//2546
    "setBugAddress#",	//2547
    "setCalendar",	//2548
    "setCalendar$",	//2549
    "setCalendarSystem",	//2550
    "setCalendarSystem$",	//2551
    "setCapabilities",	//2552
    "setCapabilities$",	//2553
    "setCatalogName",	//2554
    "setCatalogName#",	//2555
    "setCommand",	//2556
    "setCommand$",	//2557
    "setCommandToCheck",	//2558
    "setCommandToCheck$",	//2559
    "setComponentData",	//2560
    "setComponentData#",	//2561
    "setConfig",	//2562
    "setConfig#",	//2563
    "setConfigName",	//2564
    "setConfigName$",	//2565
    "setCopyrightStatement",	//2566
    "setCopyrightStatement#",	//2567
    "setCountry",	//2568
    "setCountry$#",	//2569
    "setCountryDivisionCode",	//2570
    "setCountryDivisionCode$",	//2571
    "setCurrencyCode",	//2572
    "setCurrencyCode$",	//2573
    "setCurrencySymbol",	//2574
    "setCurrencySymbol$",	//2575
    "setCurrentGroup",	//2576
    "setCurrentGroup$",	//2577
    "setCustomAuthorText",	//2578
    "setCustomAuthorText##",	//2579
    "setCwd",	//2580
    "setCwd#",	//2581
    "setData",	//2582
    "setData#",	//2583
    "setData##",	//2584
    "setData?",	//2585
    "setDataVersion",	//2586
    "setDataVersion$",	//2587
    "setDate",	//2588
    "setDate#",	//2589
    "setDate#$$",	//2590
    "setDate#$$$",	//2591
    "setDate#$$$$",	//2592
    "setDateFormat",	//2593
    "setDateFormat$",	//2594
    "setDateFormatShort",	//2595
    "setDateFormatShort$",	//2596
    "setDateIsoWeek",	//2597
    "setDateIsoWeek#$$$",	//2598
    "setDateMonthNamePossessive",	//2599
    "setDateMonthNamePossessive$",	//2600
    "setDateOnly",	//2601
    "setDateOnly$",	//2602
    "setDateTime",	//2603
    "setDateTime#",	//2604
    "setDateTimeDigitSet",	//2605
    "setDateTimeDigitSet$",	//2606
    "setDecimalPlaces",	//2607
    "setDecimalPlaces$",	//2608
    "setDecimalSymbol",	//2609
    "setDecimalSymbol$",	//2610
    "setDefault",	//2611
    "setDefaultClient",	//2612
    "setDefaultClient$",	//2613
    "setDefaultLanguage",	//2614
    "setDefaultLanguage$",	//2615
    "setDefaults",	//2616
    "setDeleted",	//2617
    "setDeleted$",	//2618
    "setDetails",	//2619
    "setDetails$",	//2620
    "setDevice",	//2621
    "setDevice#",	//2622
    "setDevice#$",	//2623
    "setDigitSet",	//2624
    "setDigitSet$",	//2625
    "setDirectWriteFallback",	//2626
    "setDirectWriteFallback$",	//2627
    "setDirectory",	//2628
    "setDirectory$",	//2629
    "setEncodedPathAndQuery",	//2630
    "setEncodedPathAndQuery$",	//2631
    "setEncoding",	//2632
    "setEncoding$",	//2633
    "setEncoding$$",	//2634
    "setEnv",	//2635
    "setEnv$$",	//2636
    "setEnv$$$",	//2637
    "setError",	//2638
    "setError$",	//2639
    "setErrorCode",	//2640
    "setErrorCode$",	//2641
    "setErrorDescription",	//2642
    "setErrorDescription$",	//2643
    "setErrorText",	//2644
    "setErrorText$",	//2645
    "setEscapeChar",	//2646
    "setEscapeChar#",	//2647
    "setExcludedEnvironments",	//2648
    "setExcludedEnvironments?",	//2649
    "setExec",	//2650
    "setExec$",	//2651
    "setExecutesAsync",	//2652
    "setExecutesAsync$",	//2653
    "setFileEncoding",	//2654
    "setFileEncoding$",	//2655
    "setFileName",	//2656
    "setFileName$",	//2657
    "setFileName$#",	//2658
    "setFilterFlags",	//2659
    "setFilterFlags$",	//2660
    "setForceGlobal",	//2661
    "setForceGlobal$",	//2662
    "setFracDigits",	//2663
    "setFracDigits$",	//2664
    "setFromStringDefault",	//2665
    "setFromStringDefault#",	//2666
    "setGroup",	//2667
    "setGroup$",	//2668
    "setHTMLRef",	//2669
    "setHTMLRef$",	//2670
    "setHasYear0",	//2671
    "setHasYear0$",	//2672
    "setHelperID",	//2673
    "setHelperID$",	//2674
    "setHomepage",	//2675
    "setHomepage#",	//2676
    "setInBuffer",	//2677
    "setInBuffer$$",	//2678
    "setInlineAlias",	//2679
    "setInlineAlias$",	//2680
    "setInlineValue",	//2681
    "setInlineValue$",	//2682
    "setKDEVersion",	//2683
    "setKDEVersion$",	//2684
    "setKDEVersionString",	//2685
    "setKDEVersionString$",	//2686
    "setKey",	//2687
    "setKey$",	//2688
    "setLabel",	//2689
    "setLabel$",	//2690
    "setLanguage",	//2691
    "setLanguage$",	//2692
    "setLanguage$#",	//2693
    "setLanguage?",	//2694
    "setLaunchEnv",	//2695
    "setLaunchEnv$$",	//2696
    "setLayoutInfo",	//2697
    "setLayoutInfo?",	//2698
    "setLeapSecondChanges",	//2699
    "setLeapSecondChanges?",	//2700
    "setLicense",	//2701
    "setLicense$",	//2702
    "setLicenseText",	//2703
    "setLicenseText#",	//2704
    "setLicenseTextFile",	//2705
    "setLicenseTextFile$",	//2706
    "setLocalZone",	//2707
    "setLocalZone#",	//2708
    "setLocale",	//2709
    "setLocale#",	//2710
    "setLocale#$",	//2711
    "setLocale$",	//2712
    "setMGroup",	//2713
    "setMGroup$",	//2714
    "setMKey",	//2715
    "setMKey$",	//2716
    "setMName",	//2717
    "setMName$",	//2718
    "setM_bAutoDel",	//2719
    "setM_bAutoDel$",	//2720
    "setM_canCopyFromFile",	//2721
    "setM_canCopyFromFile$",	//2722
    "setM_canCopyToFile",	//2723
    "setM_canCopyToFile$",	//2724
    "setM_config",	//2725
    "setM_config$",	//2726
    "setM_defaultMimetype",	//2727
    "setM_defaultMimetype$",	//2728
    "setM_determineMimetypeFromExtension",	//2729
    "setM_determineMimetypeFromExtension$",	//2730
    "setM_dev",	//2731
    "setM_dev#",	//2732
    "setM_exec",	//2733
    "setM_exec$",	//2734
    "setM_icon",	//2735
    "setM_icon$",	//2736
    "setM_inputType",	//2737
    "setM_inputType$",	//2738
    "setM_isHelperProtocol",	//2739
    "setM_isHelperProtocol$",	//2740
    "setM_isSourceProtocol",	//2741
    "setM_isSourceProtocol$",	//2742
    "setM_listing",	//2743
    "setM_listing?",	//2744
    "setM_maxSlaves",	//2745
    "setM_maxSlaves$",	//2746
    "setM_name",	//2747
    "setM_name$",	//2748
    "setM_outputType",	//2749
    "setM_outputType$",	//2750
    "setM_str_deprecated",	//2751
    "setM_str_deprecated#",	//2752
    "setM_supportsDeleting",	//2753
    "setM_supportsDeleting$",	//2754
    "setM_supportsLinking",	//2755
    "setM_supportsLinking$",	//2756
    "setM_supportsListing",	//2757
    "setM_supportsListing$",	//2758
    "setM_supportsMakeDir",	//2759
    "setM_supportsMakeDir$",	//2760
    "setM_supportsMoving",	//2761
    "setM_supportsMoving$",	//2762
    "setM_supportsOpening",	//2763
    "setM_supportsOpening$",	//2764
    "setM_supportsReading",	//2765
    "setM_supportsReading$",	//2766
    "setM_supportsWriting",	//2767
    "setM_supportsWriting$",	//2768
    "setMainCatalog",	//2769
    "setMainCatalog$",	//2770
    "setManagedFile",	//2771
    "setManagedFile#",	//2772
    "setMaxDaysInWeek",	//2773
    "setMaxDaysInWeek$",	//2774
    "setMaxMonthsInYear",	//2775
    "setMaxMonthsInYear$",	//2776
    "setMaxPendingConnections",	//2777
    "setMaxPendingConnections$",	//2778
    "setMaxValue",	//2779
    "setMaxValue$",	//2780
    "setMeasureSystem",	//2781
    "setMeasureSystem$",	//2782
    "setMenuId",	//2783
    "setMenuId$",	//2784
    "setMessageHandler",	//2785
    "setMessageHandler#",	//2786
    "setMinValue",	//2787
    "setMinValue$",	//2788
    "setModuleName",	//2789
    "setModuleName$",	//2790
    "setMonetaryDecimalPlaces",	//2791
    "setMonetaryDecimalPlaces$",	//2792
    "setMonetaryDecimalSymbol",	//2793
    "setMonetaryDecimalSymbol$",	//2794
    "setMonetaryDigitSet",	//2795
    "setMonetaryDigitSet$",	//2796
    "setMonetaryThousandsSeparator",	//2797
    "setMonetaryThousandsSeparator$",	//2798
    "setName",	//2799
    "setName$",	//2800
    "setNegativeMonetarySignPosition",	//2801
    "setNegativeMonetarySignPosition$",	//2802
    "setNegativePrefixCurrencySymbol",	//2803
    "setNegativePrefixCurrencySymbol$",	//2804
    "setNegativeSign",	//2805
    "setNegativeSign$",	//2806
    "setNextOpenMode",	//2807
    "setNextOpenMode$",	//2808
    "setOcsProvider",	//2809
    "setOcsProvider#",	//2810
    "setOrganizationDomain",	//2811
    "setOrganizationDomain#",	//2812
    "setOrigFileName",	//2813
    "setOrigFileName#",	//2814
    "setOtherText",	//2815
    "setOtherText#",	//2816
    "setOutBuffer",	//2817
    "setOutBuffer$$",	//2818
    "setOutputChannelMode",	//2819
    "setOutputChannelMode$",	//2820
    "setPageSize",	//2821
    "setPageSize$",	//2822
    "setParentWidget",	//2823
    "setParentWidget#",	//2824
    "setPass",	//2825
    "setPass$",	//2826
    "setPath",	//2827
    "setPath$",	//2828
    "setPercent",	//2829
    "setPercent$",	//2830
    "setPhases",	//2831
    "setPhases?#",	//2832
    "setPhases?$",	//2833
    "setPluginEnabled",	//2834
    "setPluginEnabled$",	//2835
    "setPositiveMonetarySignPosition",	//2836
    "setPositiveMonetarySignPosition$",	//2837
    "setPositivePrefixCurrencySymbol",	//2838
    "setPositivePrefixCurrencySymbol$",	//2839
    "setPositiveSign",	//2840
    "setPositiveSign$",	//2841
    "setPrefix",	//2842
    "setPrefix$",	//2843
    "setProberType",	//2844
    "setProberType$",	//2845
    "setProcessedAmount",	//2846
    "setProcessedAmount$$",	//2847
    "setProductName",	//2848
    "setProductName#",	//2849
    "setProgram",	//2850
    "setProgram$",	//2851
    "setProgram$?",	//2852
    "setProgram?",	//2853
    "setProgramIconName",	//2854
    "setProgramIconName$",	//2855
    "setProgramLogo",	//2856
    "setProgramLogo#",	//2857
    "setProgramName",	//2858
    "setProgramName#",	//2859
    "setProperty",	//2860
    "setProperty#",	//2861
    "setProtocol",	//2862
    "setProtocol$",	//2863
    "setQuery",	//2864
    "setQuery$",	//2865
    "setReadDefaults",	//2866
    "setReadDefaults$",	//2867
    "setRef",	//2868
    "setRef$",	//2869
    "setSecondOccurrence",	//2870
    "setSecondOccurrence$",	//2871
    "setSeed",	//2872
    "setSeed$",	//2873
    "setServiceOffersOffset",	//2874
    "setServiceOffersOffset$",	//2875
    "setSharedConfig",	//2876
    "setSharedConfig?",	//2877
    "setShellCommand",	//2878
    "setShellCommand$",	//2879
    "setShortDescription",	//2880
    "setShortDescription#",	//2881
    "setShowEmptyMenu",	//2882
    "setShowEmptyMenu$",	//2883
    "setShowInlineHeader",	//2884
    "setShowInlineHeader$",	//2885
    "setSimulatedSystemTime",	//2886
    "setSimulatedSystemTime#",	//2887
    "setSkipHeaders",	//2888
    "setSpeller",	//2889
    "setSpeller#",	//2890
    "setStaleTime",	//2891
    "setStaleTime$",	//2892
    "setStartPhase",	//2893
    "setStartPhase$",	//2894
    "setSuffix",	//2895
    "setSuffix$",	//2896
    "setTerminal",	//2897
    "setTerminal$",	//2898
    "setTerminalOptions",	//2899
    "setTerminalOptions$",	//2900
    "setText",	//2901
    "setText$",	//2902
    "setThousandsSeparator",	//2903
    "setThousandsSeparator$",	//2904
    "setTime",	//2905
    "setTime#",	//2906
    "setTimeFormat",	//2907
    "setTimeFormat$",	//2908
    "setTimeSpec",	//2909
    "setTimeSpec#",	//2910
    "setTime_t",	//2911
    "setTime_t$",	//2912
    "setToolTip",	//2913
    "setToolTip$",	//2914
    "setTotalAmount",	//2915
    "setTotalAmount$$",	//2916
    "setTransitions",	//2917
    "setTransitions?",	//2918
    "setTranslator",	//2919
    "setTranslator##",	//2920
    "setType",	//2921
    "setType#",	//2922
    "setType$",	//2923
    "setType$$",	//2924
    "setUiDelegate",	//2925
    "setUiDelegate#",	//2926
    "setUser",	//2927
    "setUser$",	//2928
    "setVersion",	//2929
    "setVersion#",	//2930
    "setVisibleName",	//2931
    "setVisibleName$",	//2932
    "setWeekDayOfPray",	//2933
    "setWeekDayOfPray$",	//2934
    "setWeekNumberSystem",	//2935
    "setWeekNumberSystem$",	//2936
    "setWeekStartDay",	//2937
    "setWeekStartDay$",	//2938
    "setWhatsThis",	//2939
    "setWhatsThis$",	//2940
    "setWorkingWeekEndDay",	//2941
    "setWorkingWeekEndDay$",	//2942
    "setWorkingWeekStartDay",	//2943
    "setWorkingWeekStartDay$",	//2944
    "setYMD",	//2945
    "setYMD#$$$",	//2946
    "setupChildProcess",	//2947
    "setupTranslations",	//2948
    "sharedMimeInfoVersion",	//2949
    "shell",	//2950
    "shortDescription",	//2951
    "shortYearWindowStartYear",	//2952
    "showEmptyMenu",	//2953
    "showErrorMessage",	//2954
    "showFilePreview",	//2955
    "showFilePreview$",	//2956
    "showInKDE",	//2957
    "showInlineHeader",	//2958
    "simpleBackupFile",	//2959
    "simpleBackupFile$",	//2960
    "simpleBackupFile$$",	//2961
    "simpleBackupFile$$$",	//2962
    "size",	//2963
    "slotEngineDone",	//2964
    "slotInfoMessage",	//2965
    "slotInfoMessage#$$",	//2966
    "slotResult",	//2967
    "slotResult#",	//2968
    "slotWarning",	//2969
    "slotWarning#$$",	//2970
    "sortOrder",	//2971
    "source",	//2972
    "speed",	//2973
    "speed#$",	//2974
    "speller",	//2975
    "split",	//2976
    "split#",	//2977
    "split$",	//2978
    "splitArgs",	//2979
    "splitArgs$",	//2980
    "splitArgs$$",	//2981
    "splitArgs$$$",	//2982
    "splitLocale",	//2983
    "splitLocale$$$$$",	//2984
    "staleFiles",	//2985
    "staleFiles#",	//2986
    "staleFiles#$",	//2987
    "staleTime",	//2988
    "start",	//2989
    "startAfter",	//2990
    "startDetached",	//2991
    "startDetached$",	//2992
    "startDetached$?",	//2993
    "startDetached?",	//2994
    "startParseBlock",	//2995
    "startPhase",	//2996
    "startServiceByDesktopName",	//2997
    "startServiceByDesktopName$",	//2998
    "startServiceByDesktopName$$",	//2999
    "startServiceByDesktopName$$$",	//3000
    "startServiceByDesktopName$$$$",	//3001
    "startServiceByDesktopName$$$$$",	//3002
    "startServiceByDesktopName$$$$$#",	//3003
    "startServiceByDesktopName$$$$$#$",	//3004
    "startServiceByDesktopName$?",	//3005
    "startServiceByDesktopName$?$",	//3006
    "startServiceByDesktopName$?$$",	//3007
    "startServiceByDesktopName$?$$$",	//3008
    "startServiceByDesktopName$?$$$#",	//3009
    "startServiceByDesktopName$?$$$#$",	//3010
    "startServiceByDesktopPath",	//3011
    "startServiceByDesktopPath$",	//3012
    "startServiceByDesktopPath$$",	//3013
    "startServiceByDesktopPath$$$",	//3014
    "startServiceByDesktopPath$$$$",	//3015
    "startServiceByDesktopPath$$$$$",	//3016
    "startServiceByDesktopPath$$$$$#",	//3017
    "startServiceByDesktopPath$$$$$#$",	//3018
    "startServiceByDesktopPath$?",	//3019
    "startServiceByDesktopPath$?$",	//3020
    "startServiceByDesktopPath$?$$",	//3021
    "startServiceByDesktopPath$?$$$",	//3022
    "startServiceByDesktopPath$?$$$#",	//3023
    "startServiceByDesktopPath$?$$$#$",	//3024
    "startServiceByName",	//3025
    "startServiceByName$",	//3026
    "startServiceByName$$",	//3027
    "startServiceByName$$$",	//3028
    "startServiceByName$$$$",	//3029
    "startServiceByName$$$$$",	//3030
    "startServiceByName$$$$$#",	//3031
    "startServiceByName$$$$$#$",	//3032
    "startServiceByName$?",	//3033
    "startServiceByName$?$",	//3034
    "startServiceByName$?$$",	//3035
    "startServiceByName$?$$$",	//3036
    "startServiceByName$?$$$#",	//3037
    "startServiceByName$?$$$#$",	//3038
    "start_service_by_desktop_name",	//3039
    "start_service_by_desktop_name$??$$$$$",	//3040
    "start_service_by_desktop_path",	//3041
    "start_service_by_desktop_path$??$$$$$",	//3042
    "start_service_by_name",	//3043
    "start_service_by_name$??$$$$$",	//3044
    "state",	//3045
    "staticInterfaceName",	//3046
    "staticMetaObject",	//3047
    "staticQString",	//3048
    "staticQString$",	//3049
    "status",	//3050
    "statusChanged",	//3051
    "statusChanged$",	//3052
    "stop",	//3053
    "stop$",	//3054
    "storageId",	//3055
    "storeReplacement",	//3056
    "storeReplacement$$",	//3057
    "stream",	//3058
    "stringListToVariantList",	//3059
    "stringListToVariantList?",	//3060
    "subjobs",	//3061
    "subs",	//3062
    "subs#",	//3063
    "subs#$",	//3064
    "subs#$#",	//3065
    "subs$",	//3066
    "subs$$",	//3067
    "subs$$#",	//3068
    "subs$$$",	//3069
    "subs$$$#",	//3070
    "subs$$$$",	//3071
    "subs$$$$#",	//3072
    "substituteUid",	//3073
    "subunitSymbol",	//3074
    "subunitsPerUnit",	//3075
    "succeeded",	//3076
    "suggest",	//3077
    "suggest$",	//3078
    "suppressGenericNames",	//3079
    "suspend",	//3080
    "suspended",	//3081
    "suspended#",	//3082
    "swapDefault",	//3083
    "sycocaType",	//3084
    "symbolList",	//3085
    "sync",	//3086
    "synchronousConnectToHost",	//3087
    "synchronousConnectToHost#",	//3088
    "synchronousConnectToHost##",	//3089
    "synchronousConnectToHost##$",	//3090
    "synchronousConnectToHost#$",	//3091
    "synchronousConnectToHost#$#",	//3092
    "synchronousConnectToHost#$$$",	//3093
    "synchronousConnectToHost#$$$$",	//3094
    "synchronousConnectToHost$$$",	//3095
    "synchronousConnectToHost$$$$",	//3096
    "synchronousConnectToHost$$$$#",	//3097
    "systemPaths",	//3098
    "systemPaths$",	//3099
    "tagUrls",	//3100
    "tagUrls$",	//3101
    "task",	//3102
    "terminal",	//3103
    "terminalOptions",	//3104
    "terminate",	//3105
    "testAttribute",	//3106
    "testAttribute$",	//3107
    "text",	//3108
    "thousandsSeparator",	//3109
    "tildeExpand",	//3110
    "tildeExpand$",	//3111
    "time",	//3112
    "timeFormat",	//3113
    "timeSpec",	//3114
    "timeStamp",	//3115
    "timeType",	//3116
    "timeZone",	//3117
    "timeZones",	//3118
    "timerEvent",	//3119
    "toClockTime",	//3120
    "toEntity",	//3121
    "toEntity#",	//3122
    "toLocalFile",	//3123
    "toLocalFile$",	//3124
    "toLocalZone",	//3125
    "toMimeDataString",	//3126
    "toOffsetFromUtc",	//3127
    "toOffsetFromUtc$",	//3128
    "toString",	//3129
    "toString#",	//3130
    "toString#$",	//3131
    "toString$",	//3132
    "toTimeSpec",	//3133
    "toTimeSpec#",	//3134
    "toTime_t",	//3135
    "toTime_t#",	//3136
    "toUtc",	//3137
    "toUtc#",	//3138
    "toZone",	//3139
    "toZone#",	//3140
    "toZoneTime",	//3141
    "toZoneTime#",	//3142
    "toZoneTime#$",	//3143
    "toolTip",	//3144
    "totalAmount",	//3145
    "totalAmount#$$",	//3146
    "totalAmount$",	//3147
    "tr",	//3148
    "tr$",	//3149
    "tr$$",	//3150
    "tr$$$",	//3151
    "tr2i18n",	//3152
    "tr2i18n$",	//3153
    "tr2i18n$$",	//3154
    "trUtf8",	//3155
    "trUtf8$",	//3156
    "trUtf8$$",	//3157
    "trUtf8$$$",	//3158
    "transform",	//3159
    "transform$",	//3160
    "transition",	//3161
    "transition#",	//3162
    "transition#?",	//3163
    "transition#?$",	//3164
    "transitionIndex",	//3165
    "transitionIndex#",	//3166
    "transitionIndex#$",	//3167
    "transitionIndex#$$",	//3168
    "transitionTimes",	//3169
    "transitionTimes#",	//3170
    "transitionTimes##",	//3171
    "transitionTimes###",	//3172
    "transitions",	//3173
    "transitions#",	//3174
    "transitions##",	//3175
    "translateInternalProgramName",	//3176
    "translateQt",	//3177
    "translateQt$$$",	//3178
    "translateRaw",	//3179
    "translateRaw$$$",	//3180
    "translateRaw$$$$",	//3181
    "translateRaw$$$$$",	//3182
    "translateRaw$$$$$$",	//3183
    "translateRawFrom",	//3184
    "translateRawFrom$$$$",	//3185
    "translateRawFrom$$$$$",	//3186
    "translateRawFrom$$$$$$",	//3187
    "translateRawFrom$$$$$$$",	//3188
    "translators",	//3189
    "tryExec",	//3190
    "type",	//3191
    "uiDelegate",	//3192
    "uid",	//3193
    "umask",	//3194
    "unambiguousSymbol",	//3195
    "uncompress",	//3196
    "unlink",	//3197
    "unload",	//3198
    "unloadLibrary",	//3199
    "unloadLibrary$",	//3200
    "unlock",	//3201
    "unregisterJob",	//3202
    "unregisterJob#",	//3203
    "unsetCustomAuthorText",	//3204
    "unsetEnv",	//3205
    "unsetEnv$",	//3206
    "untranslatedGenericName",	//3207
    "upUrl",	//3208
    "update",	//3209
    "update#",	//3210
    "update$",	//3211
    "update$$",	//3212
    "updateBase",	//3213
    "updateBase#",	//3214
    "updateSignature",	//3215
    "url",	//3216
    "url$",	//3217
    "usage",	//3218
    "usage#",	//3219
    "usageError",	//3220
    "usageError$",	//3221
    "use12Clock",	//3222
    "useDefaults",	//3223
    "useDefaults$",	//3224
    "useTranscript",	//3225
    "useZoneParse",	//3226
    "user",	//3227
    "userNames",	//3228
    "userSpecifiedIconName",	//3229
    "username",	//3230
    "users",	//3231
    "usrReadConfig",	//3232
    "usrSetDefaults",	//3233
    "usrUseDefaults",	//3234
    "usrUseDefaults$",	//3235
    "usrWriteConfig",	//3236
    "utc",	//3237
    "utcOffset",	//3238
    "utcOffsets",	//3239
    "uudecode",	//3240
    "uudecode#",	//3241
    "uudecode##",	//3242
    "uuencode",	//3243
    "uuencode#",	//3244
    "uuencode##",	//3245
    "variantListToStringList",	//3246
    "variantListToStringList?",	//3247
    "verify",	//3248
    "verify#",	//3249
    "verify$",	//3250
    "version",	//3251
    "versionMajor",	//3252
    "versionMinor",	//3253
    "versionRelease",	//3254
    "versionString",	//3255
    "visibleName",	//3256
    "visuallyOrdered",	//3257
    "waitForBytesWritten",	//3258
    "waitForNewConnection",	//3259
    "waitForNewConnection$",	//3260
    "waitForNewConnection$$",	//3261
    "waitForReadyRead",	//3262
    "waitForSlave",	//3263
    "waitForSlave$",	//3264
    "warning",	//3265
    "warning#$",	//3266
    "warning#$$",	//3267
    "watcher",	//3268
    "watcher$",	//3269
    "webAddress",	//3270
    "website",	//3271
    "week",	//3272
    "week#",	//3273
    "week#$",	//3274
    "week#$$",	//3275
    "weekDayName",	//3276
    "weekDayName#",	//3277
    "weekDayName#$",	//3278
    "weekDayName$",	//3279
    "weekDayName$$",	//3280
    "weekDayOfPray",	//3281
    "weekNumber",	//3282
    "weekNumber#",	//3283
    "weekNumber#$",	//3284
    "weekNumberString",	//3285
    "weekNumberString#",	//3286
    "weekNumberString#$",	//3287
    "weekNumberSystem",	//3288
    "weekStartDay",	//3289
    "weeksInYear",	//3290
    "weeksInYear#",	//3291
    "weeksInYear#$",	//3292
    "weeksInYear$",	//3293
    "weeksInYear$$",	//3294
    "weeksInYearString",	//3295
    "weeksInYearString#",	//3296
    "weeksInYearString#$",	//3297
    "whatsThis",	//3298
    "windowRegistered",	//3299
    "windowRegistered$",	//3300
    "windowUnregistered",	//3301
    "windowUnregistered$",	//3302
    "workingWeekEndDay",	//3303
    "workingWeekStartDay",	//3304
    "writeConfig",	//3305
    "writeConfig#",	//3306
    "writeData",	//3307
    "writeData$$",	//3308
    "writeEntry",	//3309
    "writeEntry$#",	//3310
    "writeEntry$#$",	//3311
    "writeEntry$$",	//3312
    "writeEntry$$$",	//3313
    "writeEntry$?",	//3314
    "writeEntry$?$",	//3315
    "writeHeader",	//3316
    "writeHeader#",	//3317
    "writePathEntry",	//3318
    "writePathEntry$$",	//3319
    "writePathEntry$$$",	//3320
    "writePathEntry$?",	//3321
    "writePathEntry$?$",	//3322
    "writeXdgListEntry",	//3323
    "writeXdgListEntry$?",	//3324
    "writeXdgListEntry$?$",	//3325
    "year",	//3326
    "year#",	//3327
    "yearInEra",	//3328
    "yearInEra#",	//3329
    "yearInEraString",	//3330
    "yearInEraString#",	//3331
    "yearInEraString#$",	//3332
    "yearString",	//3333
    "yearString#",	//3334
    "yearString#$",	//3335
    "yearStringToInteger",	//3336
    "yearStringToInteger$$",	//3337
    "yearsDifference",	//3338
    "yearsDifference##",	//3339
    "zone",	//3340
    "zone$",	//3341
    "zoneinfoDir",	//3342
    "zones",	//3343
    "~Action",	//3344
    "~ActionReply",	//3345
    "~ActionWatcher",	//3346
    "~BackgroundChecker",	//3347
    "~Choice",	//3348
    "~Choice2",	//3349
    "~ExtraField",	//3350
    "~ItemBool",	//3351
    "~ItemDateTime",	//3352
    "~ItemDouble",	//3353
    "~ItemEnum",	//3354
    "~ItemInt",	//3355
    "~ItemIntList",	//3356
    "~ItemLongLong",	//3357
    "~ItemPassword",	//3358
    "~ItemPath",	//3359
    "~ItemPathList",	//3360
    "~ItemPoint",	//3361
    "~ItemProperty",	//3362
    "~ItemRect",	//3363
    "~ItemSize",	//3364
    "~ItemString",	//3365
    "~ItemStringList",	//3366
    "~ItemUInt",	//3367
    "~ItemULongLong",	//3368
    "~ItemUrl",	//3369
    "~ItemUrlList",	//3370
    "~KAboutData",	//3371
    "~KAboutLicense",	//3372
    "~KAboutPerson",	//3373
    "~KAutoSaveFile",	//3374
    "~KAutostart",	//3375
    "~KCalendarSystem",	//3376
    "~KCharMacroExpander",	//3377
    "~KCharsets",	//3378
    "~KCmdLineArgs",	//3379
    "~KCmdLineOptions",	//3380
    "~KComponentData",	//3381
    "~KCompositeJob",	//3382
    "~KConfig",	//3383
    "~KConfigBase",	//3384
    "~KConfigGroup",	//3385
    "~KConfigSkeletonItem",	//3386
    "~KCoreConfigSkeleton",	//3387
    "~KCurrencyCode",	//3388
    "~KDEDModule",	//3389
    "~KDEPluginVerificationData",	//3390
    "~KDateTime",	//3391
    "~KDebug",	//3392
    "~KDebugTag",	//3393
    "~KDesktopFile",	//3394
    "~KEncodingDetector",	//3395
    "~KEncodingProber",	//3396
    "~KFilterBase",	//3397
    "~KFilterDev",	//3398
    "~KJob",	//3399
    "~KJobTrackerInterface",	//3400
    "~KJobUiDelegate",	//3401
    "~KLibrary",	//3402
    "~KLocalSocket",	//3403
    "~KLocalSocketServer",	//3404
    "~KLocale",	//3405
    "~KLocalizedString",	//3406
    "~KLockFile",	//3407
    "~KMD5",	//3408
    "~KMacroExpanderBase",	//3409
    "~KMessageHandler",	//3410
    "~KMimeType",	//3411
    "~KMimeTypeTrader",	//3412
    "~KPluginFactory",	//3413
    "~KPluginInfo",	//3414
    "~KPluginLoader",	//3415
    "~KProcess",	//3416
    "~KProtocolInfo",	//3417
    "~KRandomSequence",	//3418
    "~KSaveFile",	//3419
    "~KService",	//3420
    "~KServiceAction",	//3421
    "~KServiceGroup",	//3422
    "~KServiceType",	//3423
    "~KServiceTypeTrader",	//3424
    "~KSharedConfig",	//3425
    "~KStandardDirs",	//3426
    "~KSycoca",	//3427
    "~KSycocaEntry",	//3428
    "~KSystemTimeZone",	//3429
    "~KSystemTimeZoneBackend",	//3430
    "~KSystemTimeZoneSource",	//3431
    "~KSystemTimeZones",	//3432
    "~KTempDir",	//3433
    "~KTemporaryFile",	//3434
    "~KTimeZone",	//3435
    "~KTimeZoneBackend",	//3436
    "~KTimeZoneData",	//3437
    "~KTimeZoneSource",	//3438
    "~KTimeZones",	//3439
    "~KToolInvocation",	//3440
    "~KTzfileTimeZone",	//3441
    "~KTzfileTimeZoneBackend",	//3442
    "~KTzfileTimeZoneSource",	//3443
    "~KUrl",	//3444
    "~KUser",	//3445
    "~KUserGroup",	//3446
    "~KWordMacroExpander",	//3447
    "~LeapSeconds",	//3448
    "~OrgKdeKLauncherInterface",	//3449
    "~Phase",	//3450
    "~Spec",	//3451
    "~Speller",	//3452
    "~Transition",	//3453
    "~kndbgstream",	//3454
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 280, 1, 10, Smoke::mf_ctor, 5, 1},	//1 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 280, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 5, 2},	//2 KAboutData::KAboutData(const KAboutData&)
    {1, 2199, 12, 1, 0, 4, 3},	//3 KAboutData::operator=(const KAboutData&)
    {1, 865, 14, 4, 0, 4, 4},	//4 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 865, 19, 5, 0, 4, 5},	//5 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 878, 14, 4, 0, 4, 6},	//6 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 878, 19, 5, 0, 4, 7},	//7 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 2919, 25, 2, 0, 4, 8},	//8 KAboutData::setTranslator(const KLocalizedString&, const KLocalizedString&)
    {1, 2703, 28, 1, 0, 4, 9},	//9 KAboutData::setLicenseText(const KLocalizedString&)
    {1, 972, 28, 1, 0, 4, 10},	//10 KAboutData::addLicenseText(const KLocalizedString&)
    {1, 2705, 30, 1, 0, 4, 11},	//11 KAboutData::setLicenseTextFile(const QString&)
    {1, 974, 30, 1, 0, 4, 12},	//12 KAboutData::addLicenseTextFile(const QString&)
    {1, 2525, 32, 1, 0, 4, 13},	//13 KAboutData::setAppName(const QByteArray&)
    {1, 2858, 28, 1, 0, 4, 14},	//14 KAboutData::setProgramName(const KLocalizedString&)
    {1, 2854, 30, 1, 0, 4, 15},	//15 KAboutData::setProgramIconName(const QString&)
    {1, 2856, 34, 1, 0, 4, 16},	//16 KAboutData::setProgramLogo(const QVariant&)
    {1, 2809, 32, 1, 0, 4, 17},	//17 KAboutData::setOcsProvider(const QByteArray&)
    {1, 2929, 32, 1, 0, 4, 18},	//18 KAboutData::setVersion(const QByteArray&)
    {1, 2880, 28, 1, 0, 4, 19},	//19 KAboutData::setShortDescription(const KLocalizedString&)
    {1, 2554, 32, 1, 0, 4, 20},	//20 KAboutData::setCatalogName(const QByteArray&)
    {1, 2701, 36, 1, 0, 4, 21},	//21 KAboutData::setLicense(KAboutData::LicenseKey)
    {1, 970, 36, 1, 0, 4, 22},	//22 KAboutData::addLicense(KAboutData::LicenseKey)
    {1, 2566, 28, 1, 0, 4, 23},	//23 KAboutData::setCopyrightStatement(const KLocalizedString&)
    {1, 2815, 28, 1, 0, 4, 24},	//24 KAboutData::setOtherText(const KLocalizedString&)
    {1, 2675, 32, 1, 0, 4, 25},	//25 KAboutData::setHomepage(const QByteArray&)
    {1, 2546, 32, 1, 0, 4, 26},	//26 KAboutData::setBugAddress(const QByteArray&)
    {1, 2811, 32, 1, 0, 4, 27},	//27 KAboutData::setOrganizationDomain(const QByteArray&)
    {1, 2848, 32, 1, 0, 4, 28},	//28 KAboutData::setProductName(const QByteArray&)
    {1, 1046, 0, 0, Smoke::mf_const, 351, 29},	//29 KAboutData::appName() const
    {1, 2286, 0, 0, Smoke::mf_const, 351, 30},	//30 KAboutData::productName() const
    {1, 2290, 0, 0, Smoke::mf_const, 351, 31},	//31 KAboutData::programName() const
    {1, 2222, 0, 0, Smoke::mf_const, 351, 32},	//32 KAboutData::organizationDomain() const
    {1, 1765, 0, 0, Smoke::mf_const, 600, 33},	//33 KAboutData::internalProgramName() const
    {1, 3176, 0, 0, Smoke::mf_const, 0, 34},	//34 KAboutData::translateInternalProgramName() const
    {1, 2288, 0, 0, Smoke::mf_const, 351, 35},	//35 KAboutData::programIconName() const
    {1, 2289, 0, 0, Smoke::mf_const, 364, 36},	//36 KAboutData::programLogo() const
    {1, 2150, 0, 0, Smoke::mf_const, 351, 37},	//37 KAboutData::ocsProviderUrl() const
    {1, 3251, 0, 0, Smoke::mf_const, 351, 38},	//38 KAboutData::version() const
    {1, 1766, 0, 0, Smoke::mf_const, 600, 39},	//39 KAboutData::internalVersion() const
    {1, 2951, 0, 0, Smoke::mf_const, 351, 40},	//40 KAboutData::shortDescription() const
    {1, 1129, 0, 0, Smoke::mf_const, 351, 41},	//41 KAboutData::catalogName() const
    {1, 1724, 0, 0, Smoke::mf_const, 351, 42},	//42 KAboutData::homepage() const
    {1, 1099, 0, 0, Smoke::mf_const, 351, 43},	//43 KAboutData::bugAddress() const
    {1, 1764, 0, 0, Smoke::mf_const, 600, 44},	//44 KAboutData::internalBugAddress() const
    {1, 1067, 0, 0, Smoke::mf_const, 311, 45},	//45 KAboutData::authors() const
    {1, 1236, 0, 0, Smoke::mf_const, 311, 46},	//46 KAboutData::credits() const
    {1, 3189, 0, 0, Smoke::mf_const, 311, 47},	//47 KAboutData::translators() const
    {1, 845, 0, 0, Smoke::mf_static, 351, 48},	//48 KAboutData::aboutTranslationTeam()
    {1, 2223, 0, 0, Smoke::mf_const, 351, 49},	//49 KAboutData::otherText() const
    {1, 1987, 0, 0, Smoke::mf_const, 351, 50},	//50 KAboutData::license() const
    {1, 1988, 38, 1, Smoke::mf_const, 351, 51},	//51 KAboutData::licenseName(KAboutData::NameFormat) const
    {1, 1990, 0, 0, Smoke::mf_const, 310, 52},	//52 KAboutData::licenses() const
    {1, 1214, 0, 0, Smoke::mf_const, 351, 53},	//53 KAboutData::copyrightStatement() const
    {1, 1257, 0, 0, Smoke::mf_const, 351, 54},	//54 KAboutData::customAuthorPlainText() const
    {1, 1258, 0, 0, Smoke::mf_const, 351, 55},	//55 KAboutData::customAuthorRichText() const
    {1, 1259, 0, 0, Smoke::mf_const, 452, 56},	//56 KAboutData::customAuthorTextEnabled() const
    {1, 2578, 25, 2, 0, 4, 57},	//57 KAboutData::setCustomAuthorText(const KLocalizedString&, const KLocalizedString&)
    {1, 3204, 0, 0, 0, 4, 58},	//58 KAboutData::unsetCustomAuthorText()
    {1, 280, 40, 4, Smoke::mf_ctor, 5, 59},	//59 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {1, 280, 45, 5, Smoke::mf_ctor, 5, 60},	//60 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {1, 280, 51, 6, Smoke::mf_ctor, 5, 61},	//61 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey)
    {1, 280, 58, 7, Smoke::mf_ctor, 5, 62},	//62 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&)
    {1, 280, 66, 8, Smoke::mf_ctor, 5, 63},	//63 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&)
    {1, 280, 75, 9, Smoke::mf_ctor, 5, 64},	//64 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 865, 28, 1, 0, 4, 65},	//65 KAboutData::addAuthor(const KLocalizedString&)
    {1, 865, 25, 2, 0, 4, 66},	//66 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&)
    {1, 865, 85, 3, 0, 4, 67},	//67 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 878, 28, 1, 0, 4, 68},	//68 KAboutData::addCredit(const KLocalizedString&)
    {1, 878, 25, 2, 0, 4, 69},	//69 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&)
    {1, 878, 85, 3, 0, 4, 70},	//70 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 71},	//71 KAboutData::License_Custom (enum)
    {1, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 72},	//72 KAboutData::License_File (enum)
    {1, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 73},	//73 KAboutData::License_Unknown (enum)
    {1, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 74},	//74 KAboutData::License_GPL (enum)
    {1, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 75},	//75 KAboutData::License_GPL_V2 (enum)
    {1, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 76},	//76 KAboutData::License_LGPL (enum)
    {1, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 77},	//77 KAboutData::License_LGPL_V2 (enum)
    {1, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 78},	//78 KAboutData::License_BSD (enum)
    {1, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 79},	//79 KAboutData::License_Artistic (enum)
    {1, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 80},	//80 KAboutData::License_QPL (enum)
    {1, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 81},	//81 KAboutData::License_QPL_V1_0 (enum)
    {1, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 82},	//82 KAboutData::License_GPL_V3 (enum)
    {1, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 83},	//83 KAboutData::License_LGPL_V3 (enum)
    {1, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 84},	//84 KAboutData::ShortName (enum)
    {1, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 85},	//85 KAboutData::FullName (enum)
    {1, 3371, 0, 0, Smoke::mf_dtor, 0, 86 },	//86 KAboutData::~KAboutData()
    {2, 289, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 1},	//87 KAboutLicense::KAboutLicense(const KAboutLicense&)
    {2, 2199, 89, 1, 0, 9, 2},	//88 KAboutLicense::operator=(const KAboutLicense&)
    {2, 3108, 0, 0, Smoke::mf_const, 351, 3},	//89 KAboutLicense::text() const
    {2, 2119, 38, 1, Smoke::mf_const, 351, 4},	//90 KAboutLicense::name(KAboutData::NameFormat) const
    {2, 1941, 0, 0, Smoke::mf_const, 6, 5},	//91 KAboutLicense::key() const
    {2, 1100, 30, 1, Smoke::mf_static, 8, 6},	//92 KAboutLicense::byKeyword(const QString&)
    {2, 3372, 0, 0, Smoke::mf_dtor, 0, 7 },	//93 KAboutLicense::~KAboutLicense()
    {3, 291, 14, 4, Smoke::mf_ctor, 13, 1},	//94 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {3, 291, 19, 5, Smoke::mf_ctor, 13, 2},	//95 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {3, 291, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 3},	//96 KAboutPerson::KAboutPerson(const KAboutPerson&)
    {3, 2199, 91, 1, 0, 12, 4},	//97 KAboutPerson::operator=(const KAboutPerson&)
    {3, 2119, 0, 0, Smoke::mf_const, 351, 5},	//98 KAboutPerson::name() const
    {3, 3102, 0, 0, Smoke::mf_const, 351, 6},	//99 KAboutPerson::task() const
    {3, 1408, 0, 0, Smoke::mf_const, 351, 7},	//100 KAboutPerson::emailAddress() const
    {3, 3270, 0, 0, Smoke::mf_const, 351, 8},	//101 KAboutPerson::webAddress() const
    {3, 2151, 0, 0, Smoke::mf_const, 351, 9},	//102 KAboutPerson::ocsUsername() const
    {3, 291, 28, 1, Smoke::mf_ctor, 13, 10},	//103 KAboutPerson::KAboutPerson(const KLocalizedString&)
    {3, 291, 25, 2, Smoke::mf_ctor, 13, 11},	//104 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&)
    {3, 291, 85, 3, Smoke::mf_ctor, 13, 12},	//105 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {3, 3373, 0, 0, Smoke::mf_dtor, 0, 13 },	//106 KAboutPerson::~KAboutPerson()
    {4, 4, 0, 0, Smoke::mf_ctor, 16, 1},	//107 KAuth::Action::Action()
    {4, 4, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//108 KAuth::Action::Action(const KAuth::Action&)
    {4, 4, 30, 1, Smoke::mf_ctor, 16, 3},	//109 KAuth::Action::Action(const QString&)
    {4, 4, 95, 2, Smoke::mf_ctor, 16, 4},	//110 KAuth::Action::Action(const QString&, const QString&)
    {4, 2199, 93, 1, 0, 15, 5},	//111 KAuth::Action::operator=(const KAuth::Action&)
    {4, 2202, 93, 1, Smoke::mf_const, 452, 6},	//112 KAuth::Action::operator==(const KAuth::Action&) const
    {4, 2175, 93, 1, Smoke::mf_const, 452, 7},	//113 KAuth::Action::operator!=(const KAuth::Action&) const
    {4, 2119, 0, 0, Smoke::mf_const, 351, 8},	//114 KAuth::Action::name() const
    {4, 2799, 30, 1, 0, 0, 9},	//115 KAuth::Action::setName(const QString&)
    {4, 2619, 30, 1, 0, 0, 10},	//116 KAuth::Action::setDetails(const QString&)
    {4, 1374, 0, 0, Smoke::mf_const, 351, 11},	//117 KAuth::Action::details() const
    {4, 1888, 0, 0, Smoke::mf_const, 452, 12},	//118 KAuth::Action::isValid() const
    {4, 1720, 0, 0, Smoke::mf_const, 351, 13},	//119 KAuth::Action::helperID() const
    {4, 2673, 30, 1, 0, 0, 14},	//120 KAuth::Action::setHelperID(const QString&)
    {4, 1691, 0, 0, Smoke::mf_const, 452, 15},	//121 KAuth::Action::hasHelper() const
    {4, 3268, 0, 0, 0, 23, 16},	//122 KAuth::Action::watcher()
    {4, 2527, 98, 1, 0, 0, 17},	//123 KAuth::Action::setArguments(const QMap<QString,QVariant>&)
    {4, 1054, 0, 0, Smoke::mf_const, 341, 18},	//124 KAuth::Action::arguments() const
    {4, 863, 100, 2, 0, 0, 19},	//125 KAuth::Action::addArgument(const QString&, const QVariant&)
    {4, 1057, 0, 0, Smoke::mf_const, 17, 20},	//126 KAuth::Action::authorize() const
    {4, 1406, 0, 0, Smoke::mf_const, 17, 21},	//127 KAuth::Action::earlyAuthorize() const
    {4, 3050, 0, 0, Smoke::mf_const, 17, 22},	//128 KAuth::Action::status() const
    {4, 1468, 0, 0, Smoke::mf_const, 18, 23},	//129 KAuth::Action::execute() const
    {4, 1468, 30, 1, Smoke::mf_const, 18, 24},	//130 KAuth::Action::execute(const QString&) const
    {4, 2652, 103, 1, 0, 0, 25},	//131 KAuth::Action::setExecutesAsync(bool)
    {4, 1477, 0, 0, Smoke::mf_const, 452, 26},	//132 KAuth::Action::executesAsync() const
    {4, 1474, 105, 3, Smoke::mf_static, 452, 27},	//133 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&)
    {4, 1474, 109, 4, Smoke::mf_static, 452, 28},	//134 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*)
    {4, 3053, 0, 0, 0, 0, 29},	//135 KAuth::Action::stop()
    {4, 3053, 30, 1, 0, 0, 30},	//136 KAuth::Action::stop(const QString&)
    {4, 2823, 114, 1, 0, 0, 31},	//137 KAuth::Action::setParentWidget(QWidget*)
    {4, 2235, 0, 0, Smoke::mf_const, 368, 32},	//138 KAuth::Action::parentWidget() const
    {4, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//139 KAuth::Action::Denied (enum)
    {4, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//140 KAuth::Action::Error (enum)
    {4, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//141 KAuth::Action::Invalid (enum)
    {4, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//142 KAuth::Action::Authorized (enum)
    {4, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//143 KAuth::Action::AuthRequired (enum)
    {4, 802, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 38},	//144 KAuth::Action::UserCancelled (enum)
    {4, 3344, 0, 0, Smoke::mf_dtor, 0, 39 },	//145 KAuth::Action::~Action()
    {5, 8, 0, 0, Smoke::mf_ctor, 20, 1},	//146 KAuth::ActionReply::ActionReply()
    {5, 8, 116, 1, Smoke::mf_ctor, 20, 2},	//147 KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    {5, 8, 118, 1, Smoke::mf_ctor, 20, 3},	//148 KAuth::ActionReply::ActionReply(int)
    {5, 8, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 4},	//149 KAuth::ActionReply::ActionReply(const KAuth::ActionReply&)
    {5, 2582, 98, 1, 0, 0, 5},	//150 KAuth::ActionReply::setData(const QMap<QString,QVariant>&)
    {5, 1262, 0, 0, Smoke::mf_const, 341, 6},	//151 KAuth::ActionReply::data() const
    {5, 886, 100, 2, 0, 0, 7},	//152 KAuth::ActionReply::addData(const QString&, const QVariant&)
    {5, 3191, 0, 0, Smoke::mf_const, 22, 8},	//153 KAuth::ActionReply::type() const
    {5, 3076, 0, 0, Smoke::mf_const, 452, 9},	//154 KAuth::ActionReply::succeeded() const
    {5, 1505, 0, 0, Smoke::mf_const, 452, 10},	//155 KAuth::ActionReply::failed() const
    {5, 1452, 0, 0, Smoke::mf_const, 615, 11},	//156 KAuth::ActionReply::errorCode() const
    {5, 2640, 118, 1, 0, 0, 12},	//157 KAuth::ActionReply::setErrorCode(int)
    {5, 1453, 0, 0, Smoke::mf_const, 351, 13},	//158 KAuth::ActionReply::errorDescription() const
    {5, 2642, 30, 1, 0, 0, 14},	//159 KAuth::ActionReply::setErrorDescription(const QString&)
    {5, 2494, 0, 0, Smoke::mf_const, 264, 15},	//160 KAuth::ActionReply::serialized() const
    {5, 1368, 32, 1, Smoke::mf_static, 18, 16},	//161 KAuth::ActionReply::deserialize(const QByteArray&)
    {5, 2199, 120, 1, 0, 19, 17},	//162 KAuth::ActionReply::operator=(const KAuth::ActionReply&)
    {5, 2202, 120, 1, Smoke::mf_const, 452, 18},	//163 KAuth::ActionReply::operator==(const KAuth::ActionReply&) const
    {5, 2175, 120, 1, Smoke::mf_const, 452, 19},	//164 KAuth::ActionReply::operator!=(const KAuth::ActionReply&) const
    {5, 742, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 20},	//165 KAuth::ActionReply::SuccessReply() const
    {5, 161, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 21},	//166 KAuth::ActionReply::HelperErrorReply() const
    {5, 629, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 22},	//167 KAuth::ActionReply::NoResponderReply() const
    {5, 632, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 23},	//168 KAuth::ActionReply::NoSuchActionReply() const
    {5, 182, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 24},	//169 KAuth::ActionReply::InvalidActionReply() const
    {5, 29, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 25},	//170 KAuth::ActionReply::AuthorizationDeniedReply() const
    {5, 803, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 26},	//171 KAuth::ActionReply::UserCancelledReply() const
    {5, 159, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 27},	//172 KAuth::ActionReply::HelperBusyReply() const
    {5, 77, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 463, 28},	//173 KAuth::ActionReply::DBusErrorReply() const
    {5, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 29},	//174 KAuth::ActionReply::KAuthError (enum)
    {5, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 30},	//175 KAuth::ActionReply::HelperError (enum)
    {5, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 31},	//176 KAuth::ActionReply::Success (enum)
    {5, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 32},	//177 KAuth::ActionReply::NoError (enum)
    {5, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 33},	//178 KAuth::ActionReply::NoResponder (enum)
    {5, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 34},	//179 KAuth::ActionReply::NoSuchAction (enum)
    {5, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 35},	//180 KAuth::ActionReply::InvalidAction (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 36},	//181 KAuth::ActionReply::AuthorizationDenied (enum)
    {5, 802, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 37},	//182 KAuth::ActionReply::UserCancelled (enum)
    {5, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 38},	//183 KAuth::ActionReply::HelperBusy (enum)
    {5, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 39},	//184 KAuth::ActionReply::DBusError (enum)
    {5, 3345, 0, 0, Smoke::mf_dtor, 0, 40 },	//185 KAuth::ActionReply::~ActionReply()
    {6, 2077, 0, 0, Smoke::mf_const, 584, 1},	//186 KAuth::ActionWatcher::metaObject() const
    {6, 2318, 122, 1, 0, 638, 2},	//187 KAuth::ActionWatcher::qt_metacast(const char*)
    {6, 3148, 124, 2, Smoke::mf_static, 351, 3},	//188 KAuth::ActionWatcher::tr(const char*, const char*)
    {6, 3155, 124, 2, Smoke::mf_static, 351, 4},	//189 KAuth::ActionWatcher::trUtf8(const char*, const char*)
    {6, 3148, 127, 3, Smoke::mf_static, 351, 5},	//190 KAuth::ActionWatcher::tr(const char*, const char*, int)
    {6, 3155, 127, 3, Smoke::mf_static, 351, 6},	//191 KAuth::ActionWatcher::trUtf8(const char*, const char*, int)
    {6, 2316, 131, 3, 0, 615, 7},	//192 KAuth::ActionWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {6, 3268, 30, 1, Smoke::mf_static, 23, 8},	//193 KAuth::ActionWatcher::watcher(const QString&)
    {6, 851, 0, 0, Smoke::mf_const, 351, 9},	//194 KAuth::ActionWatcher::action() const
    {6, 856, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//195 KAuth::ActionWatcher::actionStarted()
    {6, 854, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//196 KAuth::ActionWatcher::actionPerformed(const KAuth::ActionReply&)
    {6, 2291, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//197 KAuth::ActionWatcher::progressStep(int)
    {6, 2291, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 KAuth::ActionWatcher::progressStep(const QVariantMap&)
    {6, 3051, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 KAuth::ActionWatcher::statusChanged(int)
    {6, 3148, 122, 1, Smoke::mf_static, 351, 15},	//200 KAuth::ActionWatcher::tr(const char*)
    {6, 3155, 122, 1, Smoke::mf_static, 351, 16},	//201 KAuth::ActionWatcher::trUtf8(const char*)
    {6, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 17},	//202 KAuth::ActionWatcher::staticMetaObject() const
    {6, 3346, 0, 0, Smoke::mf_dtor, 0, 18 },	//203 KAuth::ActionWatcher::~ActionWatcher()
    {7, 1065, 137, 3, Smoke::mf_static, 452, 1},	//204 KAuthorized::authorizeUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1057, 30, 1, Smoke::mf_static, 452, 2},	//205 KAuthorized::authorize(const QString&)
    {7, 1061, 141, 1, Smoke::mf_static, 354, 3},	//206 KAuthorized::authorizeControlModules(const QStringList&)
    {7, 1063, 30, 1, Smoke::mf_static, 452, 4},	//207 KAuthorized::authorizeKAction(const QString&)
    {7, 1041, 137, 3, Smoke::mf_static, 0, 5},	//208 KAuthorized::allowUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1059, 30, 1, Smoke::mf_static, 452, 6},	//209 KAuthorized::authorizeControlModule(const QString&)
    {8, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//210 KAutoSaveFile::metaObject() const
    {8, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//211 KAutoSaveFile::qt_metacast(const char*)
    {8, 3148, 124, 2, Smoke::mf_static, 351, 3},	//212 KAutoSaveFile::tr(const char*, const char*)
    {8, 3155, 124, 2, Smoke::mf_static, 351, 4},	//213 KAutoSaveFile::trUtf8(const char*, const char*)
    {8, 3148, 127, 3, Smoke::mf_static, 351, 5},	//214 KAutoSaveFile::tr(const char*, const char*, int)
    {8, 3155, 127, 3, Smoke::mf_static, 351, 6},	//215 KAutoSaveFile::trUtf8(const char*, const char*, int)
    {8, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//216 KAutoSaveFile::qt_metacall(QMetaObject::Call, int, void**)
    {8, 298, 143, 2, Smoke::mf_ctor, 24, 8},	//217 KAutoSaveFile::KAutoSaveFile(const KUrl&, QObject*)
    {8, 298, 146, 1, Smoke::mf_ctor, 24, 9},	//218 KAutoSaveFile::KAutoSaveFile(QObject*)
    {8, 2062, 0, 0, Smoke::mf_const, 239, 10},	//219 KAutoSaveFile::managedFile() const
    {8, 2771, 148, 1, 0, 0, 11},	//220 KAutoSaveFile::setManagedFile(const KUrl&)
    {8, 2427, 0, 0, Smoke::mf_virtual, 0, 12},	//221 KAutoSaveFile::releaseLock()
    {8, 2162, 150, 1, Smoke::mf_virtual, 452, 13},	//222 KAutoSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {8, 2985, 152, 2, Smoke::mf_static, 313, 14},	//223 KAutoSaveFile::staleFiles(const KUrl&, const QString&)
    {8, 1033, 30, 1, Smoke::mf_static, 313, 15},	//224 KAutoSaveFile::allStaleFiles(const QString&)
    {8, 3148, 122, 1, Smoke::mf_static, 351, 16},	//225 KAutoSaveFile::tr(const char*)
    {8, 3155, 122, 1, Smoke::mf_static, 351, 17},	//226 KAutoSaveFile::trUtf8(const char*)
    {8, 298, 148, 1, Smoke::mf_ctor, 24, 18},	//227 KAutoSaveFile::KAutoSaveFile(const KUrl&)
    {8, 298, 0, 0, Smoke::mf_ctor, 24, 19},	//228 KAutoSaveFile::KAutoSaveFile()
    {8, 2985, 148, 1, Smoke::mf_static, 313, 20},	//229 KAutoSaveFile::staleFiles(const KUrl&)
    {8, 1033, 0, 0, Smoke::mf_static, 313, 21},	//230 KAutoSaveFile::allStaleFiles()
    {8, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 22},	//231 KAutoSaveFile::staticMetaObject() const
    {8, 3374, 0, 0, Smoke::mf_dtor, 0, 23 },	//232 KAutoSaveFile::~KAutoSaveFile()
    {9, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//233 KAutostart::metaObject() const
    {9, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//234 KAutostart::qt_metacast(const char*)
    {9, 3148, 124, 2, Smoke::mf_static, 351, 3},	//235 KAutostart::tr(const char*, const char*)
    {9, 3155, 124, 2, Smoke::mf_static, 351, 4},	//236 KAutostart::trUtf8(const char*, const char*)
    {9, 3148, 127, 3, Smoke::mf_static, 351, 5},	//237 KAutostart::tr(const char*, const char*, int)
    {9, 3155, 127, 3, Smoke::mf_static, 351, 6},	//238 KAutostart::trUtf8(const char*, const char*, int)
    {9, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//239 KAutostart::qt_metacall(QMetaObject::Call, int, void**)
    {9, 301, 155, 2, Smoke::mf_ctor, 25, 8},	//240 KAutostart::KAutostart(const QString&, QObject*)
    {9, 2542, 103, 1, 0, 0, 9},	//241 KAutostart::setAutostarts(bool)
    {9, 1075, 158, 2, Smoke::mf_const, 452, 10},	//242 KAutostart::autostarts(const QString&, QFlags<KAutostart::Condition>) const
    {9, 1174, 0, 0, Smoke::mf_const, 351, 11},	//243 KAutostart::command() const
    {9, 2556, 30, 1, 0, 0, 12},	//244 KAutostart::setCommand(const QString&)
    {9, 3256, 0, 0, Smoke::mf_const, 351, 13},	//245 KAutostart::visibleName() const
    {9, 2931, 30, 1, 0, 0, 14},	//246 KAutostart::setVisibleName(const QString&)
    {9, 1873, 30, 1, Smoke::mf_static, 452, 15},	//247 KAutostart::isServiceRegistered(const QString&)
    {9, 1175, 0, 0, Smoke::mf_const, 351, 16},	//248 KAutostart::commandToCheck() const
    {9, 2558, 30, 1, 0, 0, 17},	//249 KAutostart::setCommandToCheck(const QString&)
    {9, 2996, 0, 0, Smoke::mf_const, 27, 18},	//250 KAutostart::startPhase() const
    {9, 2893, 161, 1, 0, 0, 19},	//251 KAutostart::setStartPhase(KAutostart::StartPhase)
    {9, 1043, 0, 0, Smoke::mf_const, 354, 20},	//252 KAutostart::allowedEnvironments() const
    {9, 2523, 141, 1, 0, 0, 21},	//253 KAutostart::setAllowedEnvironments(const QStringList&)
    {9, 1001, 30, 1, 0, 0, 22},	//254 KAutostart::addToAllowedEnvironments(const QString&)
    {9, 2437, 30, 1, 0, 0, 23},	//255 KAutostart::removeFromAllowedEnvironments(const QString&)
    {9, 1462, 0, 0, Smoke::mf_const, 354, 24},	//256 KAutostart::excludedEnvironments() const
    {9, 2648, 141, 1, 0, 0, 25},	//257 KAutostart::setExcludedEnvironments(const QStringList&)
    {9, 1003, 30, 1, 0, 0, 26},	//258 KAutostart::addToExcludedEnvironments(const QString&)
    {9, 2439, 30, 1, 0, 0, 27},	//259 KAutostart::removeFromExcludedEnvironments(const QString&)
    {9, 2990, 0, 0, Smoke::mf_const, 351, 28},	//260 KAutostart::startAfter() const
    {9, 1141, 30, 1, Smoke::mf_const, 452, 29},	//261 KAutostart::checkAllowedEnvironment(const QString&) const
    {9, 3148, 122, 1, Smoke::mf_static, 351, 30},	//262 KAutostart::tr(const char*)
    {9, 3155, 122, 1, Smoke::mf_static, 351, 31},	//263 KAutostart::trUtf8(const char*)
    {9, 301, 0, 0, Smoke::mf_ctor, 25, 32},	//264 KAutostart::KAutostart()
    {9, 301, 30, 1, Smoke::mf_ctor, 25, 33},	//265 KAutostart::KAutostart(const QString&)
    {9, 1075, 0, 0, Smoke::mf_const, 452, 34},	//266 KAutostart::autostarts() const
    {9, 1075, 30, 1, Smoke::mf_const, 452, 35},	//267 KAutostart::autostarts(const QString&) const
    {9, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 36},	//268 KAutostart::staticMetaObject() const
    {9, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 37},	//269 KAutostart::NoConditions (enum)
    {9, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 38},	//270 KAutostart::CheckCommand (enum)
    {9, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 39},	//271 KAutostart::CheckCondition (enum)
    {9, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 40},	//272 KAutostart::CheckAll (enum)
    {9, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 41},	//273 KAutostart::BaseDesktop (enum)
    {9, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 42},	//274 KAutostart::DesktopServices (enum)
    {9, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 43},	//275 KAutostart::Applications (enum)
    {9, 3375, 0, 0, Smoke::mf_dtor, 0, 44 },	//276 KAutostart::~KAutostart()
    {10, 1222, 163, 2, Smoke::mf_static, 28, 1},	//277 KCalendarSystem::create(const QString&, const KLocale*)
    {10, 1222, 166, 3, Smoke::mf_static, 28, 2},	//278 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1222, 170, 2, Smoke::mf_static, 28, 3},	//279 KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    {10, 1222, 173, 3, Smoke::mf_static, 28, 4},	//280 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1115, 0, 0, Smoke::mf_static, 354, 5},	//281 KCalendarSystem::calendarSystems()
    {10, 1116, 0, 0, Smoke::mf_static, 317, 6},	//282 KCalendarSystem::calendarSystemsList()
    {10, 1108, 30, 1, Smoke::mf_static, 351, 7},	//283 KCalendarSystem::calendarLabel(const QString&)
    {10, 1108, 170, 2, Smoke::mf_static, 351, 8},	//284 KCalendarSystem::calendarLabel(KLocale::CalendarSystem, const KLocale*)
    {10, 1113, 30, 1, Smoke::mf_static, 126, 9},	//285 KCalendarSystem::calendarSystemForCalendarType(const QString&)
    {10, 1111, 30, 1, Smoke::mf_static, 126, 10},	//286 KCalendarSystem::calendarSystem(const QString&)
    {10, 1117, 177, 1, Smoke::mf_static, 351, 11},	//287 KCalendarSystem::calendarType(KLocale::CalendarSystem)
    {10, 304, 179, 1, Smoke::mf_ctor, 28, 12},	//288 KCalendarSystem::KCalendarSystem(const KLocale*)
    {10, 304, 181, 2, Smoke::mf_ctor, 28, 13},	//289 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1117, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 351, 14},	//290 KCalendarSystem::calendarType() const [pure virtual]
    {10, 1111, 0, 0, Smoke::mf_const, 126, 15},	//291 KCalendarSystem::calendarSystem() const
    {10, 1108, 0, 0, Smoke::mf_const, 351, 16},	//292 KCalendarSystem::calendarLabel() const
    {10, 1439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 17},	//293 KCalendarSystem::epoch() const
    {10, 1405, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 18},	//294 KCalendarSystem::earliestValidDate() const
    {10, 1977, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 276, 19},	//295 KCalendarSystem::latestValidDate() const
    {10, 1888, 184, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 20},	//296 KCalendarSystem::isValid(int, int, int) const [pure virtual]
    {10, 1888, 188, 2, Smoke::mf_const, 452, 21},	//297 KCalendarSystem::isValid(int, int) const
    {10, 1888, 191, 4, Smoke::mf_const, 452, 22},	//298 KCalendarSystem::isValid(const QString&, int, int, int) const
    {10, 1894, 184, 3, Smoke::mf_const, 452, 23},	//299 KCalendarSystem::isValidIsoWeekDate(int, int, int) const
    {10, 1888, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 24},	//300 KCalendarSystem::isValid(const QDate&) const
    {10, 2588, 198, 4, Smoke::mf_const|Smoke::mf_virtual, 452, 25},	//301 KCalendarSystem::setDate(QDate&, int, int, int) const
    {10, 2588, 203, 3, Smoke::mf_const, 452, 26},	//302 KCalendarSystem::setDate(QDate&, int, int) const
    {10, 2588, 207, 5, Smoke::mf_const, 452, 27},	//303 KCalendarSystem::setDate(QDate&, QString, int, int, int) const
    {10, 2597, 198, 4, Smoke::mf_const, 452, 28},	//304 KCalendarSystem::setDateIsoWeek(QDate&, int, int, int) const
    {10, 2945, 198, 4, Smoke::mf_const|Smoke::mf_virtual, 452, 29},	//305 KCalendarSystem::setYMD(QDate&, int, int, int) const
    {10, 1655, 213, 4, Smoke::mf_const, 0, 30},	//306 KCalendarSystem::getDate(const QDate, int*, int*, int*) const
    {10, 3326, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 31},	//307 KCalendarSystem::year(const QDate&) const
    {10, 2099, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 32},	//308 KCalendarSystem::month(const QDate&) const
    {10, 1283, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 33},	//309 KCalendarSystem::day(const QDate&) const
    {10, 1445, 218, 2, Smoke::mf_const, 351, 34},	//310 KCalendarSystem::eraName(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1448, 218, 2, Smoke::mf_const, 351, 35},	//311 KCalendarSystem::eraYear(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3328, 196, 1, Smoke::mf_const, 615, 36},	//312 KCalendarSystem::yearInEra(const QDate&) const
    {10, 1015, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 276, 37},	//313 KCalendarSystem::addYears(const QDate&, int) const
    {10, 978, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 276, 38},	//314 KCalendarSystem::addMonths(const QDate&, int) const
    {10, 888, 221, 2, Smoke::mf_const|Smoke::mf_virtual, 276, 39},	//315 KCalendarSystem::addDays(const QDate&, int) const
    {10, 1271, 224, 6, Smoke::mf_const, 0, 40},	//316 KCalendarSystem::dateDifference(const QDate&, const QDate&, int*, int*, int*, int*) const
    {10, 3338, 231, 2, Smoke::mf_const, 615, 41},	//317 KCalendarSystem::yearsDifference(const QDate&, const QDate&) const
    {10, 2111, 231, 2, Smoke::mf_const, 615, 42},	//318 KCalendarSystem::monthsDifference(const QDate&, const QDate&) const
    {10, 1302, 231, 2, Smoke::mf_const, 615, 43},	//319 KCalendarSystem::daysDifference(const QDate&, const QDate&) const
    {10, 2113, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 44},	//320 KCalendarSystem::monthsInYear(const QDate&) const
    {10, 2113, 118, 1, Smoke::mf_const, 615, 45},	//321 KCalendarSystem::monthsInYear(int) const
    {10, 3290, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 46},	//322 KCalendarSystem::weeksInYear(const QDate&) const
    {10, 3290, 234, 2, Smoke::mf_const, 615, 47},	//323 KCalendarSystem::weeksInYear(const QDate&, KLocale::WeekNumberSystem) const
    {10, 3290, 118, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 48},	//324 KCalendarSystem::weeksInYear(int) const
    {10, 3290, 237, 2, Smoke::mf_const, 615, 49},	//325 KCalendarSystem::weeksInYear(int, KLocale::WeekNumberSystem) const
    {10, 1314, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 50},	//326 KCalendarSystem::daysInYear(const QDate&) const
    {10, 1314, 118, 1, Smoke::mf_const, 615, 51},	//327 KCalendarSystem::daysInYear(int) const
    {10, 1304, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 52},	//328 KCalendarSystem::daysInMonth(const QDate&) const
    {10, 1304, 188, 2, Smoke::mf_const, 615, 53},	//329 KCalendarSystem::daysInMonth(int, int) const
    {10, 1310, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 54},	//330 KCalendarSystem::daysInWeek(const QDate&) const
    {10, 1289, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 55},	//331 KCalendarSystem::dayOfYear(const QDate&) const
    {10, 1285, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 56},	//332 KCalendarSystem::dayOfWeek(const QDate&) const
    {10, 3282, 240, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 57},	//333 KCalendarSystem::weekNumber(const QDate&, int*) const
    {10, 3272, 240, 2, Smoke::mf_const, 615, 58},	//334 KCalendarSystem::week(const QDate&, int*) const
    {10, 3272, 243, 3, Smoke::mf_const, 615, 59},	//335 KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem, int*) const
    {10, 1846, 118, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 60},	//336 KCalendarSystem::isLeapYear(int) const [pure virtual]
    {10, 1846, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 61},	//337 KCalendarSystem::isLeapYear(const QDate&) const
    {10, 1581, 118, 1, Smoke::mf_const, 276, 62},	//338 KCalendarSystem::firstDayOfYear(int) const
    {10, 1973, 118, 1, Smoke::mf_const, 276, 63},	//339 KCalendarSystem::lastDayOfYear(int) const
    {10, 1581, 196, 1, Smoke::mf_const, 276, 64},	//340 KCalendarSystem::firstDayOfYear(const QDate&) const
    {10, 1973, 196, 1, Smoke::mf_const, 276, 65},	//341 KCalendarSystem::lastDayOfYear(const QDate&) const
    {10, 1578, 188, 2, Smoke::mf_const, 276, 66},	//342 KCalendarSystem::firstDayOfMonth(int, int) const
    {10, 1970, 188, 2, Smoke::mf_const, 276, 67},	//343 KCalendarSystem::lastDayOfMonth(int, int) const
    {10, 1578, 196, 1, Smoke::mf_const, 276, 68},	//344 KCalendarSystem::firstDayOfMonth(const QDate&) const
    {10, 1970, 196, 1, Smoke::mf_const, 276, 69},	//345 KCalendarSystem::lastDayOfMonth(const QDate&) const
    {10, 2101, 247, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 351, 70},	//346 KCalendarSystem::monthName(int, int, KCalendarSystem::MonthNameFormat) const [pure virtual]
    {10, 2101, 251, 2, Smoke::mf_const|Smoke::mf_virtual, 351, 71},	//347 KCalendarSystem::monthName(const QDate&, KCalendarSystem::MonthNameFormat) const
    {10, 3276, 254, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 351, 72},	//348 KCalendarSystem::weekDayName(int, KCalendarSystem::WeekDayNameFormat) const [pure virtual]
    {10, 3276, 257, 2, Smoke::mf_const|Smoke::mf_virtual, 351, 73},	//349 KCalendarSystem::weekDayName(const QDate&, KCalendarSystem::WeekDayNameFormat) const
    {10, 3333, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 351, 74},	//350 KCalendarSystem::yearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2106, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 351, 75},	//351 KCalendarSystem::monthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1297, 218, 2, Smoke::mf_const|Smoke::mf_virtual, 351, 76},	//352 KCalendarSystem::dayString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3330, 218, 2, Smoke::mf_const, 351, 77},	//353 KCalendarSystem::yearInEraString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1291, 218, 2, Smoke::mf_const, 351, 78},	//354 KCalendarSystem::dayOfYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1287, 196, 1, Smoke::mf_const, 351, 79},	//355 KCalendarSystem::dayOfWeekString(const QDate&) const
    {10, 3285, 218, 2, Smoke::mf_const, 351, 80},	//356 KCalendarSystem::weekNumberString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2116, 218, 2, Smoke::mf_const, 351, 81},	//357 KCalendarSystem::monthsInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3295, 218, 2, Smoke::mf_const, 351, 82},	//358 KCalendarSystem::weeksInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1317, 218, 2, Smoke::mf_const, 351, 83},	//359 KCalendarSystem::daysInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1307, 218, 2, Smoke::mf_const, 351, 84},	//360 KCalendarSystem::daysInMonthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1312, 196, 1, Smoke::mf_const, 351, 85},	//361 KCalendarSystem::daysInWeekString(const QDate&) const
    {10, 3336, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 86},	//362 KCalendarSystem::yearStringToInteger(const QString&, int&) const
    {10, 2109, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 87},	//363 KCalendarSystem::monthStringToInteger(const QString&, int&) const
    {10, 1300, 260, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 88},	//364 KCalendarSystem::dayStringToInteger(const QString&, int&) const
    {10, 1594, 263, 2, Smoke::mf_const|Smoke::mf_virtual, 351, 89},	//365 KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    {10, 1594, 266, 3, Smoke::mf_const, 351, 90},	//366 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    {10, 1594, 270, 4, Smoke::mf_const, 351, 91},	//367 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    {10, 1594, 275, 4, Smoke::mf_const, 351, 92},	//368 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    {10, 2355, 280, 2, Smoke::mf_const|Smoke::mf_virtual, 276, 93},	//369 KCalendarSystem::readDate(const QString&, bool*) const
    {10, 2355, 283, 3, Smoke::mf_const|Smoke::mf_virtual, 276, 94},	//370 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {10, 2355, 287, 3, Smoke::mf_const|Smoke::mf_virtual, 276, 95},	//371 KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    {10, 2355, 291, 4, Smoke::mf_const, 276, 96},	//372 KCalendarSystem::readDate(const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard) const
    {10, 2952, 0, 0, Smoke::mf_const, 615, 97},	//373 KCalendarSystem::shortYearWindowStartYear() const
    {10, 1049, 118, 1, Smoke::mf_const, 615, 98},	//374 KCalendarSystem::applyShortYearWindow(int) const
    {10, 3289, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 615, 99},	//375 KCalendarSystem::weekStartDay() const
    {10, 3281, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 100},	//376 KCalendarSystem::weekDayOfPray() const [pure virtual]
    {10, 1854, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 101},	//377 KCalendarSystem::isLunar() const [pure virtual]
    {10, 1855, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 102},	//378 KCalendarSystem::isLunisolar() const [pure virtual]
    {10, 1878, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 103},	//379 KCalendarSystem::isSolar() const [pure virtual]
    {10, 1864, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 104},	//380 KCalendarSystem::isProleptic() const [pure virtual]
    {10, 1905, 296, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 105},	//381 KCalendarSystem::julianDayToDate(int, int&, int&, int&) const [pure virtual]
    {10, 1280, 301, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 106},	//382 KCalendarSystem::dateToJulianDay(int, int, int, int&) const [pure virtual]
    {10, 2004, 0, 0, Smoke::mf_const|Smoke::mf_protected, 508, 107},	//383 KCalendarSystem::locale() const
    {10, 2775, 118, 1, Smoke::mf_protected, 0, 108},	//384 KCalendarSystem::setMaxMonthsInYear(int)
    {10, 2773, 118, 1, Smoke::mf_protected, 0, 109},	//385 KCalendarSystem::setMaxDaysInWeek(int)
    {10, 2671, 103, 1, Smoke::mf_protected, 0, 110},	//386 KCalendarSystem::setHasYear0(bool)
    {10, 304, 306, 3, Smoke::mf_ctor|Smoke::mf_protected, 28, 111},	//387 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1222, 0, 0, Smoke::mf_static, 28, 112},	//388 KCalendarSystem::create()
    {10, 1222, 30, 1, Smoke::mf_static, 28, 113},	//389 KCalendarSystem::create(const QString&)
    {10, 1222, 310, 2, Smoke::mf_static, 28, 114},	//390 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    {10, 1222, 177, 1, Smoke::mf_static, 28, 115},	//391 KCalendarSystem::create(KLocale::CalendarSystem)
    {10, 1222, 313, 2, Smoke::mf_static, 28, 116},	//392 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    {10, 1108, 177, 1, Smoke::mf_static, 351, 117},	//393 KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    {10, 304, 0, 0, Smoke::mf_ctor, 28, 118},	//394 KCalendarSystem::KCalendarSystem()
    {10, 304, 316, 1, Smoke::mf_ctor, 28, 119},	//395 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>)
    {10, 1445, 196, 1, Smoke::mf_const, 351, 120},	//396 KCalendarSystem::eraName(const QDate&) const
    {10, 1448, 196, 1, Smoke::mf_const, 351, 121},	//397 KCalendarSystem::eraYear(const QDate&) const
    {10, 3282, 196, 1, Smoke::mf_const, 615, 122},	//398 KCalendarSystem::weekNumber(const QDate&) const
    {10, 3272, 196, 1, Smoke::mf_const, 615, 123},	//399 KCalendarSystem::week(const QDate&) const
    {10, 3272, 234, 2, Smoke::mf_const, 615, 124},	//400 KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem) const
    {10, 1581, 0, 0, Smoke::mf_const, 276, 125},	//401 KCalendarSystem::firstDayOfYear() const
    {10, 1973, 0, 0, Smoke::mf_const, 276, 126},	//402 KCalendarSystem::lastDayOfYear() const
    {10, 1578, 0, 0, Smoke::mf_const, 276, 127},	//403 KCalendarSystem::firstDayOfMonth() const
    {10, 1970, 0, 0, Smoke::mf_const, 276, 128},	//404 KCalendarSystem::lastDayOfMonth() const
    {10, 2101, 188, 2, Smoke::mf_const, 351, 129},	//405 KCalendarSystem::monthName(int, int) const
    {10, 2101, 196, 1, Smoke::mf_const, 351, 130},	//406 KCalendarSystem::monthName(const QDate&) const
    {10, 3276, 118, 1, Smoke::mf_const, 351, 131},	//407 KCalendarSystem::weekDayName(int) const
    {10, 3276, 196, 1, Smoke::mf_const, 351, 132},	//408 KCalendarSystem::weekDayName(const QDate&) const
    {10, 3333, 196, 1, Smoke::mf_const, 351, 133},	//409 KCalendarSystem::yearString(const QDate&) const
    {10, 2106, 196, 1, Smoke::mf_const, 351, 134},	//410 KCalendarSystem::monthString(const QDate&) const
    {10, 1297, 196, 1, Smoke::mf_const, 351, 135},	//411 KCalendarSystem::dayString(const QDate&) const
    {10, 3330, 196, 1, Smoke::mf_const, 351, 136},	//412 KCalendarSystem::yearInEraString(const QDate&) const
    {10, 1291, 196, 1, Smoke::mf_const, 351, 137},	//413 KCalendarSystem::dayOfYearString(const QDate&) const
    {10, 3285, 196, 1, Smoke::mf_const, 351, 138},	//414 KCalendarSystem::weekNumberString(const QDate&) const
    {10, 2116, 196, 1, Smoke::mf_const, 351, 139},	//415 KCalendarSystem::monthsInYearString(const QDate&) const
    {10, 3295, 196, 1, Smoke::mf_const, 351, 140},	//416 KCalendarSystem::weeksInYearString(const QDate&) const
    {10, 1317, 196, 1, Smoke::mf_const, 351, 141},	//417 KCalendarSystem::daysInYearString(const QDate&) const
    {10, 1307, 196, 1, Smoke::mf_const, 351, 142},	//418 KCalendarSystem::daysInMonthString(const QDate&) const
    {10, 1594, 196, 1, Smoke::mf_const, 351, 143},	//419 KCalendarSystem::formatDate(const QDate&) const
    {10, 1594, 318, 2, Smoke::mf_const, 351, 144},	//420 KCalendarSystem::formatDate(const QDate&, const QString&) const
    {10, 1594, 321, 3, Smoke::mf_const, 351, 145},	//421 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    {10, 1594, 325, 2, Smoke::mf_const, 351, 146},	//422 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    {10, 1594, 328, 3, Smoke::mf_const, 351, 147},	//423 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    {10, 2355, 30, 1, Smoke::mf_const, 276, 148},	//424 KCalendarSystem::readDate(const QString&) const
    {10, 2355, 332, 2, Smoke::mf_const, 276, 149},	//425 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    {10, 2355, 95, 2, Smoke::mf_const, 276, 150},	//426 KCalendarSystem::readDate(const QString&, const QString&) const
    {10, 304, 335, 1, Smoke::mf_ctor|Smoke::mf_protected, 28, 151},	//427 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    {10, 304, 337, 2, Smoke::mf_ctor|Smoke::mf_protected, 28, 152},	//428 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>)
    {10, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 153},	//429 KCalendarSystem::ShortFormat (enum)
    {10, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 154},	//430 KCalendarSystem::LongFormat (enum)
    {10, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 155},	//431 KCalendarSystem::ShortName (enum)
    {10, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 156},	//432 KCalendarSystem::LongName (enum)
    {10, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 157},	//433 KCalendarSystem::ShortNamePossessive (enum)
    {10, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 158},	//434 KCalendarSystem::LongNamePossessive (enum)
    {10, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 159},	//435 KCalendarSystem::NarrowName (enum)
    {10, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 160},	//436 KCalendarSystem::ShortDayName (enum)
    {10, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 161},	//437 KCalendarSystem::LongDayName (enum)
    {10, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 31, 162},	//438 KCalendarSystem::NarrowDayName (enum)
    {10, 3376, 0, 0, Smoke::mf_dtor, 0, 163 },	//439 KCalendarSystem::~KCalendarSystem()
    {13, 310, 340, 1, Smoke::mf_ctor|Smoke::mf_explicit, 34, 1},	//440 KCharMacroExpander::KCharMacroExpander(QChar)
    {13, 1494, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 2},	//441 KCharMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {13, 1480, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 3},	//442 KCharMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {13, 1482, 346, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 4},	//443 KCharMacroExpander::expandMacro(QChar, QStringList&) [pure virtual]
    {13, 310, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 5},	//444 KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    {13, 310, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 34, 6},	//445 KCharMacroExpander::KCharMacroExpander()
    {13, 3377, 0, 0, Smoke::mf_dtor, 0, 7 },	//446 KCharMacroExpander::~KCharMacroExpander()
    {14, 312, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 35, 1},	//447 KCharsets::KCharsets()
    {14, 1171, 30, 1, Smoke::mf_const, 359, 2},	//448 KCharsets::codecForName(const QString&) const
    {14, 1171, 351, 2, Smoke::mf_const, 359, 3},	//449 KCharsets::codecForName(const QString&, bool&) const
    {14, 1625, 30, 1, Smoke::mf_static, 266, 4},	//450 KCharsets::fromEntity(const QString&)
    {14, 1625, 260, 2, Smoke::mf_static, 266, 5},	//451 KCharsets::fromEntity(const QString&, int&)
    {14, 3121, 354, 1, Smoke::mf_static, 351, 6},	//452 KCharsets::toEntity(const QChar&)
    {14, 2457, 30, 1, Smoke::mf_static, 351, 7},	//453 KCharsets::resolveEntities(const QString&)
    {14, 1080, 0, 0, Smoke::mf_const, 354, 8},	//454 KCharsets::availableEncodingNames() const
    {14, 1367, 0, 0, Smoke::mf_const, 354, 9},	//455 KCharsets::descriptiveEncodingNames() const
    {14, 1429, 0, 0, Smoke::mf_const, 335, 10},	//456 KCharsets::encodingsByScript() const
    {14, 1967, 30, 1, Smoke::mf_const, 351, 11},	//457 KCharsets::languageForEncoding(const QString&) const
    {14, 1365, 30, 1, Smoke::mf_const, 351, 12},	//458 KCharsets::descriptionForEncoding(const QString&) const
    {14, 1425, 30, 1, Smoke::mf_const, 351, 13},	//459 KCharsets::encodingForName(const QString&) const
    {14, 312, 356, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 14},	//460 KCharsets::KCharsets(const KCharsets&)
    {14, 3378, 0, 0, Smoke::mf_dtor, 0, 15 },	//461 KCharsets::~KCharsets()
    {15, 1748, 358, 8, Smoke::mf_static, 0, 1},	//462 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {15, 1748, 367, 4, Smoke::mf_static, 0, 2},	//463 KCmdLineArgs::init(int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {15, 1748, 372, 1, Smoke::mf_static, 0, 3},	//464 KCmdLineArgs::init(const KAboutData*)
    {15, 996, 374, 1, Smoke::mf_static, 0, 4},	//465 KCmdLineArgs::addStdCmdLineOptions(QFlags<KCmdLineArgs::StdCmdLineArg>)
    {15, 871, 376, 4, Smoke::mf_static, 0, 5},	//466 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {15, 2238, 32, 1, Smoke::mf_static, 36, 6},	//467 KCmdLineArgs::parsedArgs(const QByteArray&)
    {15, 1261, 0, 0, Smoke::mf_static, 351, 7},	//468 KCmdLineArgs::cwd()
    {15, 1046, 0, 0, Smoke::mf_static, 351, 8},	//469 KCmdLineArgs::appName()
    {15, 3218, 32, 1, Smoke::mf_static, 0, 9},	//470 KCmdLineArgs::usage(const QByteArray&)
    {15, 3220, 30, 1, Smoke::mf_static, 0, 10},	//471 KCmdLineArgs::usageError(const QString&)
    {15, 1414, 0, 0, Smoke::mf_static, 0, 11},	//472 KCmdLineArgs::enable_i18n()
    {15, 1662, 32, 1, Smoke::mf_const, 351, 12},	//473 KCmdLineArgs::getOption(const QByteArray&) const
    {15, 1664, 32, 1, Smoke::mf_const, 354, 13},	//474 KCmdLineArgs::getOptionList(const QByteArray&) const
    {15, 1875, 32, 1, Smoke::mf_const, 452, 14},	//475 KCmdLineArgs::isSet(const QByteArray&) const
    {15, 1215, 0, 0, Smoke::mf_const, 615, 15},	//476 KCmdLineArgs::count() const
    {15, 1052, 118, 1, Smoke::mf_const, 351, 16},	//477 KCmdLineArgs::arg(int) const
    {15, 3216, 118, 1, Smoke::mf_const, 239, 17},	//478 KCmdLineArgs::url(int) const
    {15, 2060, 32, 1, Smoke::mf_static, 239, 18},	//479 KCmdLineArgs::makeURL(const QByteArray&)
    {15, 2580, 32, 1, Smoke::mf_static, 0, 19},	//480 KCmdLineArgs::setCwd(const QByteArray&)
    {15, 1161, 0, 0, 0, 0, 20},	//481 KCmdLineArgs::clear()
    {15, 2455, 0, 0, Smoke::mf_static, 0, 21},	//482 KCmdLineArgs::reset()
    {15, 1999, 381, 1, Smoke::mf_static, 0, 22},	//483 KCmdLineArgs::loadAppArgs(QDataStream&)
    {15, 2479, 381, 1, Smoke::mf_static, 0, 23},	//484 KCmdLineArgs::saveAppArgs(QDataStream&)
    {15, 1000, 0, 0, Smoke::mf_static, 0, 24},	//485 KCmdLineArgs::addTempFileOption()
    {15, 1881, 0, 0, Smoke::mf_static, 452, 25},	//486 KCmdLineArgs::isTempFileSet()
    {15, 2314, 0, 0, Smoke::mf_static, 616, 26},	//487 KCmdLineArgs::qtArgc()
    {15, 2315, 0, 0, Smoke::mf_static, 457, 27},	//488 KCmdLineArgs::qtArgv()
    {15, 1020, 0, 0, Smoke::mf_static, 354, 28},	//489 KCmdLineArgs::allArguments()
    {15, 844, 0, 0, Smoke::mf_static, 459, 29},	//490 KCmdLineArgs::aboutData()
    {15, 314, 383, 3, Smoke::mf_ctor|Smoke::mf_protected, 36, 30},	//491 KCmdLineArgs::KCmdLineArgs(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {15, 314, 387, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 31},	//492 KCmdLineArgs::KCmdLineArgs(const KCmdLineArgs&)
    {15, 1748, 389, 6, Smoke::mf_static, 0, 32},	//493 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {15, 1748, 396, 7, Smoke::mf_static, 0, 33},	//494 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {15, 1748, 404, 3, Smoke::mf_static, 0, 34},	//495 KCmdLineArgs::init(int, char**, const KAboutData*)
    {15, 996, 0, 0, Smoke::mf_static, 0, 35},	//496 KCmdLineArgs::addStdCmdLineOptions()
    {15, 871, 408, 1, Smoke::mf_static, 0, 36},	//497 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&)
    {15, 871, 410, 2, Smoke::mf_static, 0, 37},	//498 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&)
    {15, 871, 383, 3, Smoke::mf_static, 0, 38},	//499 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {15, 2238, 0, 0, Smoke::mf_static, 36, 39},	//500 KCmdLineArgs::parsedArgs()
    {15, 3218, 0, 0, Smoke::mf_static, 0, 40},	//501 KCmdLineArgs::usage()
    {15, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 41},	//502 KCmdLineArgs::CmdLineArgQt (enum)
    {15, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 42},	//503 KCmdLineArgs::CmdLineArgKDE (enum)
    {15, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 43},	//504 KCmdLineArgs::CmdLineArgsMask (enum)
    {15, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 44},	//505 KCmdLineArgs::CmdLineArgNone (enum)
    {15, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 45},	//506 KCmdLineArgs::Reserved (enum)
    {15, 3379, 0, 0, Smoke::mf_dtor, 0, 46 },	//507 KCmdLineArgs::~KCmdLineArgs()
    {16, 317, 0, 0, Smoke::mf_ctor, 39, 1},	//508 KCmdLineOptions::KCmdLineOptions()
    {16, 317, 408, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 2},	//509 KCmdLineOptions::KCmdLineOptions(const KCmdLineOptions&)
    {16, 2199, 408, 1, 0, 38, 3},	//510 KCmdLineOptions::operator=(const KCmdLineOptions&)
    {16, 859, 413, 3, 0, 38, 4},	//511 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&, const QByteArray&)
    {16, 859, 408, 1, 0, 38, 5},	//512 KCmdLineOptions::add(const KCmdLineOptions&)
    {16, 859, 32, 1, 0, 38, 6},	//513 KCmdLineOptions::add(const QByteArray&)
    {16, 859, 417, 2, 0, 38, 7},	//514 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&)
    {16, 3380, 0, 0, Smoke::mf_dtor, 0, 8 },	//515 KCmdLineOptions::~KCmdLineOptions()
    {17, 3243, 32, 1, Smoke::mf_static, 264, 1},	//516 KCodecs::uuencode(const QByteArray&)
    {17, 3240, 32, 1, Smoke::mf_static, 264, 2},	//517 KCodecs::uudecode(const QByteArray&)
    {17, 3240, 420, 2, Smoke::mf_static, 0, 3},	//518 KCodecs::uudecode(const QByteArray&, QByteArray&)
    {17, 2330, 420, 2, Smoke::mf_static, 0, 4},	//519 KCodecs::quotedPrintableDecode(const QByteArray&, QByteArray&)
    {17, 1328, 30, 1, Smoke::mf_static, 351, 5},	//520 KCodecs::decodeRFC2047String(const QString&)
    {17, 2330, 32, 1, Smoke::mf_static, 264, 6},	//521 KCodecs::quotedPrintableDecode(const QByteArray&)
    {17, 1086, 32, 1, Smoke::mf_static, 264, 7},	//522 KCodecs::base64Decode(const QByteArray&)
    {17, 2333, 423, 3, Smoke::mf_static, 0, 8},	//523 KCodecs::quotedPrintableEncode(const QByteArray&, QByteArray&, bool)
    {17, 1086, 420, 2, Smoke::mf_static, 0, 9},	//524 KCodecs::base64Decode(const QByteArray&, QByteArray&)
    {17, 3243, 420, 2, Smoke::mf_static, 0, 10},	//525 KCodecs::uuencode(const QByteArray&, QByteArray&)
    {17, 1090, 423, 3, Smoke::mf_static, 0, 11},	//526 KCodecs::base64Encode(const QByteArray&, QByteArray&, bool)
    {17, 1090, 420, 2, Smoke::mf_static, 0, 12},	//527 KCodecs::base64Encode(const QByteArray&, QByteArray&)
    {17, 2333, 427, 2, Smoke::mf_static, 264, 13},	//528 KCodecs::quotedPrintableEncode(const QByteArray&, bool)
    {17, 2333, 32, 1, Smoke::mf_static, 264, 14},	//529 KCodecs::quotedPrintableEncode(const QByteArray&)
    {17, 1090, 427, 2, Smoke::mf_static, 264, 15},	//530 KCodecs::base64Encode(const QByteArray&, bool)
    {17, 1090, 32, 1, Smoke::mf_static, 264, 16},	//531 KCodecs::base64Encode(const QByteArray&)
    {18, 319, 0, 0, Smoke::mf_ctor, 42, 1},	//532 KComponentData::KComponentData()
    {18, 319, 430, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 2},	//533 KComponentData::KComponentData(const KComponentData&)
    {18, 2199, 430, 1, 0, 41, 3},	//534 KComponentData::operator=(const KComponentData&)
    {18, 2202, 430, 1, Smoke::mf_const, 452, 4},	//535 KComponentData::operator==(const KComponentData&) const
    {18, 2175, 430, 1, Smoke::mf_const, 452, 5},	//536 KComponentData::operator!=(const KComponentData&) const
    {18, 319, 432, 3, Smoke::mf_ctor, 42, 6},	//537 KComponentData::KComponentData(const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration)
    {18, 319, 436, 2, Smoke::mf_ctor, 42, 7},	//538 KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    {18, 319, 439, 2, Smoke::mf_ctor, 42, 8},	//539 KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    {18, 1888, 0, 0, Smoke::mf_const, 452, 9},	//540 KComponentData::isValid() const
    {18, 1394, 0, 0, Smoke::mf_const, 200, 10},	//541 KComponentData::dirs() const
    {18, 1185, 0, 0, Smoke::mf_const, 522, 11},	//542 KComponentData::config() const
    {18, 844, 0, 0, Smoke::mf_const, 459, 12},	//543 KComponentData::aboutData() const
    {18, 2513, 12, 1, 0, 0, 13},	//544 KComponentData::setAboutData(const KAboutData&)
    {18, 1181, 0, 0, Smoke::mf_const, 351, 14},	//545 KComponentData::componentName() const
    {18, 1129, 0, 0, Smoke::mf_const, 351, 15},	//546 KComponentData::catalogName() const
    {18, 2564, 30, 1, Smoke::mf_protected, 0, 16},	//547 KComponentData::setConfigName(const QString&)
    {18, 319, 32, 1, Smoke::mf_ctor, 42, 17},	//548 KComponentData::KComponentData(const QByteArray&)
    {18, 319, 442, 2, Smoke::mf_ctor, 42, 18},	//549 KComponentData::KComponentData(const QByteArray&, const QByteArray&)
    {18, 319, 12, 1, Smoke::mf_ctor, 42, 19},	//550 KComponentData::KComponentData(const KAboutData&)
    {18, 319, 372, 1, Smoke::mf_ctor, 42, 20},	//551 KComponentData::KComponentData(const KAboutData*)
    {18, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 21},	//552 KComponentData::RegisterAsMainComponent (enum)
    {18, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 22},	//553 KComponentData::SkipMainComponentRegistration (enum)
    {18, 3381, 0, 0, Smoke::mf_dtor, 0, 23 },	//554 KComponentData::~KComponentData()
    {19, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//555 KCompositeJob::metaObject() const
    {19, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//556 KCompositeJob::qt_metacast(const char*)
    {19, 3148, 124, 2, Smoke::mf_static, 351, 3},	//557 KCompositeJob::tr(const char*, const char*)
    {19, 3155, 124, 2, Smoke::mf_static, 351, 4},	//558 KCompositeJob::trUtf8(const char*, const char*)
    {19, 3148, 127, 3, Smoke::mf_static, 351, 5},	//559 KCompositeJob::tr(const char*, const char*, int)
    {19, 3155, 127, 3, Smoke::mf_static, 351, 6},	//560 KCompositeJob::trUtf8(const char*, const char*, int)
    {19, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//561 KCompositeJob::qt_metacall(QMetaObject::Call, int, void**)
    {19, 324, 146, 1, Smoke::mf_ctor, 44, 8},	//562 KCompositeJob::KCompositeJob(QObject*)
    {19, 998, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 9},	//563 KCompositeJob::addSubjob(KJob*)
    {19, 2441, 445, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 10},	//564 KCompositeJob::removeSubjob(KJob*)
    {19, 1714, 0, 0, Smoke::mf_protected, 452, 11},	//565 KCompositeJob::hasSubjobs()
    {19, 3061, 0, 0, Smoke::mf_const|Smoke::mf_protected, 572, 12},	//566 KCompositeJob::subjobs() const
    {19, 1164, 0, 0, Smoke::mf_protected, 0, 13},	//567 KCompositeJob::clearSubjobs()
    {19, 2967, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//568 KCompositeJob::slotResult(KJob*)
    {19, 2965, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//569 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {19, 324, 451, 2, Smoke::mf_ctor|Smoke::mf_protected, 44, 16},	//570 KCompositeJob::KCompositeJob(KCompositeJobPrivate&, QObject*)
    {19, 3148, 122, 1, Smoke::mf_static, 351, 17},	//571 KCompositeJob::tr(const char*)
    {19, 3155, 122, 1, Smoke::mf_static, 351, 18},	//572 KCompositeJob::trUtf8(const char*)
    {19, 324, 0, 0, Smoke::mf_ctor, 44, 19},	//573 KCompositeJob::KCompositeJob()
    {19, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 20},	//574 KCompositeJob::staticMetaObject() const
    {19, 3382, 0, 0, Smoke::mf_dtor, 0, 21 },	//575 KCompositeJob::~KCompositeJob()
    {21, 327, 454, 3, Smoke::mf_ctor, 46, 1},	//576 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {21, 327, 458, 4, Smoke::mf_ctor, 46, 2},	//577 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {21, 327, 463, 3, Smoke::mf_ctor, 46, 3},	//578 KConfig::KConfig(const QString&, const QString&, const char*)
    {21, 1180, 0, 0, Smoke::mf_const, 469, 4},	//579 KConfig::componentData() const
    {21, 2119, 0, 0, Smoke::mf_const, 351, 5},	//580 KConfig::name() const
    {21, 3086, 0, 0, Smoke::mf_virtual, 0, 6},	//581 KConfig::sync()
    {21, 1817, 0, 0, Smoke::mf_const, 452, 7},	//582 KConfig::isDirty() const
    {21, 2063, 0, 0, Smoke::mf_virtual, 0, 8},	//583 KConfig::markAsClean()
    {21, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 9},	//584 KConfig::accessMode() const
    {21, 1807, 103, 1, 0, 452, 10},	//585 KConfig::isConfigWritable(bool)
    {21, 1209, 467, 2, Smoke::mf_const, 46, 11},	//586 KConfig::copyTo(const QString&, KConfig*) const
    {21, 1147, 95, 2, 0, 0, 12},	//587 KConfig::checkUpdate(const QString&, const QString&)
    {21, 2448, 0, 0, 0, 0, 13},	//588 KConfig::reparseConfiguration()
    {21, 876, 141, 1, 0, 0, 14},	//589 KConfig::addConfigSources(const QStringList&)
    {21, 2004, 0, 0, Smoke::mf_const, 351, 15},	//590 KConfig::locale() const
    {21, 2709, 30, 1, 0, 452, 16},	//591 KConfig::setLocale(const QString&)
    {21, 2866, 103, 1, 0, 0, 17},	//592 KConfig::setReadDefaults(bool)
    {21, 2362, 0, 0, Smoke::mf_const, 452, 18},	//593 KConfig::readDefaults() const
    {21, 1841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 19},	//594 KConfig::isImmutable() const
    {21, 2661, 103, 1, 0, 0, 20},	//595 KConfig::setForceGlobal(bool)
    {21, 1588, 0, 0, Smoke::mf_const, 452, 21},	//596 KConfig::forceGlobal() const
    {21, 1674, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 354, 22},	//597 KConfig::groupList() const
    {21, 1436, 30, 1, Smoke::mf_const, 339, 23},	//598 KConfig::entryMap(const QString&) const
    {21, 1688, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 24},	//599 KConfig::hasGroupImpl(const QByteArray&) const
    {21, 1672, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 51, 25},	//600 KConfig::groupImpl(const QByteArray&)
    {21, 1672, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 473, 26},	//601 KConfig::groupImpl(const QByteArray&) const
    {21, 1356, 470, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//602 KConfig::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1835, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 28},	//603 KConfig::isGroupImmutableImpl(const QByteArray&) const
    {21, 327, 473, 1, Smoke::mf_ctor|Smoke::mf_protected, 46, 29},	//604 KConfig::KConfig(KConfigPrivate&)
    {21, 327, 0, 0, Smoke::mf_ctor, 46, 30},	//605 KConfig::KConfig()
    {21, 327, 30, 1, Smoke::mf_ctor, 46, 31},	//606 KConfig::KConfig(const QString&)
    {21, 327, 475, 2, Smoke::mf_ctor, 46, 32},	//607 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {21, 327, 430, 1, Smoke::mf_ctor, 46, 33},	//608 KConfig::KConfig(const KComponentData&)
    {21, 327, 478, 2, Smoke::mf_ctor, 46, 34},	//609 KConfig::KConfig(const KComponentData&, const QString&)
    {21, 327, 481, 3, Smoke::mf_ctor, 46, 35},	//610 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {21, 327, 95, 2, Smoke::mf_ctor, 46, 36},	//611 KConfig::KConfig(const QString&, const QString&)
    {21, 1209, 30, 1, Smoke::mf_const, 46, 37},	//612 KConfig::copyTo(const QString&) const
    {21, 1436, 0, 0, Smoke::mf_const, 339, 38},	//613 KConfig::entryMap() const
    {21, 1356, 32, 1, Smoke::mf_protected, 0, 39},	//614 KConfig::deleteGroupImpl(const QByteArray&)
    {21, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 40},	//615 KConfig::IncludeGlobals (enum)
    {21, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 41},	//616 KConfig::CascadeConfig (enum)
    {21, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 42},	//617 KConfig::SimpleConfig (enum)
    {21, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 43},	//618 KConfig::NoCascade (enum)
    {21, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 44},	//619 KConfig::NoGlobals (enum)
    {21, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 45},	//620 KConfig::FullConfig (enum)
    {21, 3383, 0, 0, Smoke::mf_dtor, 0, 46 },	//621 KConfig::~KConfig()
    {22, 1674, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 354, 1},	//622 KConfigBase::groupList() const [pure virtual]
    {22, 1685, 30, 1, Smoke::mf_const, 452, 2},	//623 KConfigBase::hasGroup(const QString&) const
    {22, 1685, 122, 1, Smoke::mf_const, 452, 3},	//624 KConfigBase::hasGroup(const char*) const
    {22, 1685, 32, 1, Smoke::mf_const, 452, 4},	//625 KConfigBase::hasGroup(const QByteArray&) const
    {22, 1667, 32, 1, 0, 51, 5},	//626 KConfigBase::group(const QByteArray&)
    {22, 1667, 30, 1, 0, 51, 6},	//627 KConfigBase::group(const QString&)
    {22, 1667, 122, 1, 0, 51, 7},	//628 KConfigBase::group(const char*)
    {22, 1667, 32, 1, Smoke::mf_const, 473, 8},	//629 KConfigBase::group(const QByteArray&) const
    {22, 1667, 30, 1, Smoke::mf_const, 473, 9},	//630 KConfigBase::group(const QString&) const
    {22, 1667, 122, 1, Smoke::mf_const, 473, 10},	//631 KConfigBase::group(const char*) const
    {22, 1351, 470, 2, 0, 0, 11},	//632 KConfigBase::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1351, 485, 2, 0, 0, 12},	//633 KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1351, 488, 2, 0, 0, 13},	//634 KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3086, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//635 KConfigBase::sync() [pure virtual]
    {22, 2063, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//636 KConfigBase::markAsClean() [pure virtual]
    {22, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 49, 16},	//637 KConfigBase::accessMode() const [pure virtual]
    {22, 1841, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 17},	//638 KConfigBase::isImmutable() const [pure virtual]
    {22, 1832, 32, 1, Smoke::mf_const, 452, 18},	//639 KConfigBase::isGroupImmutable(const QByteArray&) const
    {22, 1832, 30, 1, Smoke::mf_const, 452, 19},	//640 KConfigBase::isGroupImmutable(const QString&) const
    {22, 1832, 122, 1, Smoke::mf_const, 452, 20},	//641 KConfigBase::isGroupImmutable(const char*) const
    {22, 335, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 48, 21},	//642 KConfigBase::KConfigBase()
    {22, 1688, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 22},	//643 KConfigBase::hasGroupImpl(const QByteArray&) const [pure virtual]
    {22, 1672, 32, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 23},	//644 KConfigBase::groupImpl(const QByteArray&) [pure virtual]
    {22, 1672, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 473, 24},	//645 KConfigBase::groupImpl(const QByteArray&) const [pure virtual]
    {22, 1356, 470, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//646 KConfigBase::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>) [pure virtual]
    {22, 1835, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 26},	//647 KConfigBase::isGroupImmutableImpl(const QByteArray&) const [pure virtual]
    {22, 335, 491, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 27},	//648 KConfigBase::KConfigBase(const KConfigBase&)
    {22, 1351, 32, 1, 0, 0, 28},	//649 KConfigBase::deleteGroup(const QByteArray&)
    {22, 1351, 30, 1, 0, 0, 29},	//650 KConfigBase::deleteGroup(const QString&)
    {22, 1351, 122, 1, 0, 0, 30},	//651 KConfigBase::deleteGroup(const char*)
    {22, 1356, 32, 1, Smoke::mf_protected, 0, 31},	//652 KConfigBase::deleteGroupImpl(const QByteArray&)
    {22, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 32},	//653 KConfigBase::Persistent (enum)
    {22, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 33},	//654 KConfigBase::Global (enum)
    {22, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 34},	//655 KConfigBase::Localized (enum)
    {22, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 35},	//656 KConfigBase::Normal (enum)
    {22, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 36},	//657 KConfigBase::NoAccess (enum)
    {22, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 37},	//658 KConfigBase::ReadOnly (enum)
    {22, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 38},	//659 KConfigBase::ReadWrite (enum)
    {22, 3384, 0, 0, Smoke::mf_dtor, 0, 39 },	//660 KConfigBase::~KConfigBase()
    {23, 337, 0, 0, Smoke::mf_ctor, 53, 1},	//661 KConfigGroup::KConfigGroup()
    {23, 337, 493, 2, Smoke::mf_ctor, 53, 2},	//662 KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    {23, 337, 496, 2, Smoke::mf_ctor, 53, 3},	//663 KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    {23, 337, 499, 2, Smoke::mf_ctor, 53, 4},	//664 KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    {23, 337, 502, 2, Smoke::mf_ctor, 53, 5},	//665 KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    {23, 337, 505, 2, Smoke::mf_ctor, 53, 6},	//666 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    {23, 337, 508, 2, Smoke::mf_ctor, 53, 7},	//667 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    {23, 337, 511, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 8},	//668 KConfigGroup::KConfigGroup(const KConfigGroup&)
    {23, 2199, 511, 1, 0, 52, 9},	//669 KConfigGroup::operator=(const KConfigGroup&)
    {23, 1888, 0, 0, Smoke::mf_const, 452, 10},	//670 KConfigGroup::isValid() const
    {23, 2119, 0, 0, Smoke::mf_const, 351, 11},	//671 KConfigGroup::name() const
    {23, 1478, 0, 0, Smoke::mf_const, 452, 12},	//672 KConfigGroup::exists() const
    {23, 3086, 0, 0, Smoke::mf_virtual, 0, 13},	//673 KConfigGroup::sync()
    {23, 2063, 0, 0, Smoke::mf_virtual, 0, 14},	//674 KConfigGroup::markAsClean()
    {23, 850, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 49, 15},	//675 KConfigGroup::accessMode() const
    {23, 1185, 0, 0, 0, 46, 16},	//676 KConfigGroup::config()
    {23, 1185, 0, 0, Smoke::mf_const, 470, 17},	//677 KConfigGroup::config() const
    {23, 1134, 30, 1, 0, 0, 18},	//678 KConfigGroup::changeGroup(const QString&)
    {23, 1134, 122, 1, 0, 0, 19},	//679 KConfigGroup::changeGroup(const char*)
    {23, 1209, 513, 2, Smoke::mf_const, 0, 20},	//680 KConfigGroup::copyTo(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>) const
    {23, 2445, 513, 2, 0, 0, 21},	//681 KConfigGroup::reparent(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 2229, 0, 0, Smoke::mf_const, 51, 22},	//682 KConfigGroup::parent() const
    {23, 1674, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 354, 23},	//683 KConfigGroup::groupList() const
    {23, 1942, 0, 0, Smoke::mf_const, 354, 24},	//684 KConfigGroup::keyList() const
    {23, 1351, 516, 1, 0, 0, 25},	//685 KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1351, 470, 2, 0, 0, 26},	//686 KConfigGroup::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1351, 485, 2, 0, 0, 27},	//687 KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1351, 488, 2, 0, 0, 28},	//688 KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 2365, 100, 2, Smoke::mf_const, 364, 29},	//689 KConfigGroup::readEntry(const QString&, const QVariant&) const
    {23, 2365, 518, 2, Smoke::mf_const, 364, 30},	//690 KConfigGroup::readEntry(const char*, const QVariant&) const
    {23, 2365, 95, 2, Smoke::mf_const, 351, 31},	//691 KConfigGroup::readEntry(const QString&, const QString&) const
    {23, 2365, 521, 2, Smoke::mf_const, 351, 32},	//692 KConfigGroup::readEntry(const char*, const QString&) const
    {23, 2365, 524, 2, Smoke::mf_const, 351, 33},	//693 KConfigGroup::readEntry(const QString&, const char*) const
    {23, 2365, 124, 2, Smoke::mf_const, 351, 34},	//694 KConfigGroup::readEntry(const char*, const char*) const
    {23, 2365, 527, 2, Smoke::mf_const, 336, 35},	//695 KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    {23, 2365, 530, 2, Smoke::mf_const, 336, 36},	//696 KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    {23, 2365, 533, 2, Smoke::mf_const, 354, 37},	//697 KConfigGroup::readEntry(const QString&, const QStringList&) const
    {23, 2365, 536, 2, Smoke::mf_const, 354, 38},	//698 KConfigGroup::readEntry(const char*, const QStringList&) const
    {23, 2402, 533, 2, Smoke::mf_const, 354, 39},	//699 KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    {23, 2402, 536, 2, Smoke::mf_const, 354, 40},	//700 KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    {23, 2393, 95, 2, Smoke::mf_const, 351, 41},	//701 KConfigGroup::readPathEntry(const QString&, const QString&) const
    {23, 2393, 521, 2, Smoke::mf_const, 351, 42},	//702 KConfigGroup::readPathEntry(const char*, const QString&) const
    {23, 2393, 533, 2, Smoke::mf_const, 354, 43},	//703 KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    {23, 2393, 536, 2, Smoke::mf_const, 354, 44},	//704 KConfigGroup::readPathEntry(const char*, const QStringList&) const
    {23, 2370, 95, 2, Smoke::mf_const, 351, 45},	//705 KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    {23, 2370, 521, 2, Smoke::mf_const, 351, 46},	//706 KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    {23, 3309, 539, 3, 0, 0, 47},	//707 KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 543, 3, 0, 0, 48},	//708 KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 547, 3, 0, 0, 49},	//709 KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 551, 3, 0, 0, 50},	//710 KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 555, 3, 0, 0, 51},	//711 KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 559, 3, 0, 0, 52},	//712 KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 563, 3, 0, 0, 53},	//713 KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 567, 3, 0, 0, 54},	//714 KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 571, 3, 0, 0, 55},	//715 KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 575, 3, 0, 0, 56},	//716 KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 579, 3, 0, 0, 57},	//717 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3309, 583, 3, 0, 0, 58},	//718 KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3323, 571, 3, 0, 0, 59},	//719 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3323, 575, 3, 0, 0, 60},	//720 KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3318, 547, 3, 0, 0, 61},	//721 KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3318, 551, 3, 0, 0, 62},	//722 KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3318, 571, 3, 0, 0, 63},	//723 KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 3318, 575, 3, 0, 0, 64},	//724 KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1348, 485, 2, 0, 0, 65},	//725 KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1348, 488, 2, 0, 0, 66},	//726 KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1693, 30, 1, Smoke::mf_const, 452, 67},	//727 KConfigGroup::hasKey(const QString&) const
    {23, 1693, 122, 1, Smoke::mf_const, 452, 68},	//728 KConfigGroup::hasKey(const char*) const
    {23, 1841, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 69},	//729 KConfigGroup::isImmutable() const
    {23, 1825, 30, 1, Smoke::mf_const, 452, 70},	//730 KConfigGroup::isEntryImmutable(const QString&) const
    {23, 1825, 122, 1, Smoke::mf_const, 452, 71},	//731 KConfigGroup::isEntryImmutable(const char*) const
    {23, 2471, 30, 1, 0, 0, 72},	//732 KConfigGroup::revertToDefault(const QString&)
    {23, 2471, 122, 1, 0, 0, 73},	//733 KConfigGroup::revertToDefault(const char*)
    {23, 1682, 30, 1, Smoke::mf_const, 452, 74},	//734 KConfigGroup::hasDefault(const QString&) const
    {23, 1682, 122, 1, Smoke::mf_const, 452, 75},	//735 KConfigGroup::hasDefault(const char*) const
    {23, 1436, 0, 0, Smoke::mf_const, 339, 76},	//736 KConfigGroup::entryMap() const
    {23, 1688, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 77},	//737 KConfigGroup::hasGroupImpl(const QByteArray&) const
    {23, 1672, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 51, 78},	//738 KConfigGroup::groupImpl(const QByteArray&)
    {23, 1672, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 473, 79},	//739 KConfigGroup::groupImpl(const QByteArray&) const
    {23, 1356, 470, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//740 KConfigGroup::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {23, 1835, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 452, 81},	//741 KConfigGroup::isGroupImmutableImpl(const QByteArray&) const
    {23, 1209, 587, 1, Smoke::mf_const, 0, 82},	//742 KConfigGroup::copyTo(KConfigBase*) const
    {23, 2445, 587, 1, 0, 0, 83},	//743 KConfigGroup::reparent(KConfigBase*)
    {23, 1351, 0, 0, 0, 0, 84},	//744 KConfigGroup::deleteGroup()
    {23, 1351, 32, 1, 0, 0, 85},	//745 KConfigGroup::deleteGroup(const QByteArray&)
    {23, 1351, 30, 1, 0, 0, 86},	//746 KConfigGroup::deleteGroup(const QString&)
    {23, 1351, 122, 1, 0, 0, 87},	//747 KConfigGroup::deleteGroup(const char*)
    {23, 2365, 30, 1, Smoke::mf_const, 351, 88},	//748 KConfigGroup::readEntry(const QString&) const
    {23, 2365, 122, 1, Smoke::mf_const, 351, 89},	//749 KConfigGroup::readEntry(const char*) const
    {23, 2402, 30, 1, Smoke::mf_const, 354, 90},	//750 KConfigGroup::readXdgListEntry(const QString&) const
    {23, 2402, 122, 1, Smoke::mf_const, 354, 91},	//751 KConfigGroup::readXdgListEntry(const char*) const
    {23, 2370, 30, 1, Smoke::mf_const, 351, 92},	//752 KConfigGroup::readEntryUntranslated(const QString&) const
    {23, 2370, 122, 1, Smoke::mf_const, 351, 93},	//753 KConfigGroup::readEntryUntranslated(const char*) const
    {23, 3309, 100, 2, 0, 0, 94},	//754 KConfigGroup::writeEntry(const QString&, const QVariant&)
    {23, 3309, 518, 2, 0, 0, 95},	//755 KConfigGroup::writeEntry(const char*, const QVariant&)
    {23, 3309, 95, 2, 0, 0, 96},	//756 KConfigGroup::writeEntry(const QString&, const QString&)
    {23, 3309, 521, 2, 0, 0, 97},	//757 KConfigGroup::writeEntry(const char*, const QString&)
    {23, 3309, 589, 2, 0, 0, 98},	//758 KConfigGroup::writeEntry(const QString&, const QByteArray&)
    {23, 3309, 592, 2, 0, 0, 99},	//759 KConfigGroup::writeEntry(const char*, const QByteArray&)
    {23, 3309, 524, 2, 0, 0, 100},	//760 KConfigGroup::writeEntry(const QString&, const char*)
    {23, 3309, 124, 2, 0, 0, 101},	//761 KConfigGroup::writeEntry(const char*, const char*)
    {23, 3309, 533, 2, 0, 0, 102},	//762 KConfigGroup::writeEntry(const QString&, const QStringList&)
    {23, 3309, 536, 2, 0, 0, 103},	//763 KConfigGroup::writeEntry(const char*, const QStringList&)
    {23, 3309, 527, 2, 0, 0, 104},	//764 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    {23, 3309, 530, 2, 0, 0, 105},	//765 KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    {23, 3323, 533, 2, 0, 0, 106},	//766 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    {23, 3323, 536, 2, 0, 0, 107},	//767 KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    {23, 3318, 95, 2, 0, 0, 108},	//768 KConfigGroup::writePathEntry(const QString&, const QString&)
    {23, 3318, 521, 2, 0, 0, 109},	//769 KConfigGroup::writePathEntry(const char*, const QString&)
    {23, 3318, 533, 2, 0, 0, 110},	//770 KConfigGroup::writePathEntry(const QString&, const QStringList&)
    {23, 3318, 536, 2, 0, 0, 111},	//771 KConfigGroup::writePathEntry(const char*, const QStringList&)
    {23, 1348, 30, 1, 0, 0, 112},	//772 KConfigGroup::deleteEntry(const QString&)
    {23, 1348, 122, 1, 0, 0, 113},	//773 KConfigGroup::deleteEntry(const char*)
    {23, 3385, 0, 0, Smoke::mf_dtor, 0, 114 },	//774 KConfigGroup::~KConfigGroup()
    {25, 341, 95, 2, Smoke::mf_ctor, 55, 1},	//775 KConfigSkeletonItem::KConfigSkeletonItem(const QString&, const QString&)
    {25, 2667, 30, 1, 0, 0, 2},	//776 KConfigSkeletonItem::setGroup(const QString&)
    {25, 1667, 0, 0, Smoke::mf_const, 351, 3},	//777 KConfigSkeletonItem::group() const
    {25, 2687, 30, 1, 0, 0, 4},	//778 KConfigSkeletonItem::setKey(const QString&)
    {25, 1941, 0, 0, Smoke::mf_const, 351, 5},	//779 KConfigSkeletonItem::key() const
    {25, 2799, 30, 1, 0, 0, 6},	//780 KConfigSkeletonItem::setName(const QString&)
    {25, 2119, 0, 0, Smoke::mf_const, 351, 7},	//781 KConfigSkeletonItem::name() const
    {25, 2689, 30, 1, 0, 0, 8},	//782 KConfigSkeletonItem::setLabel(const QString&)
    {25, 1960, 0, 0, Smoke::mf_const, 351, 9},	//783 KConfigSkeletonItem::label() const
    {25, 2913, 30, 1, 0, 0, 10},	//784 KConfigSkeletonItem::setToolTip(const QString&)
    {25, 3144, 0, 0, Smoke::mf_const, 351, 11},	//785 KConfigSkeletonItem::toolTip() const
    {25, 2939, 30, 1, 0, 0, 12},	//786 KConfigSkeletonItem::setWhatsThis(const QString&)
    {25, 3298, 0, 0, Smoke::mf_const, 351, 13},	//787 KConfigSkeletonItem::whatsThis() const
    {25, 2351, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//788 KConfigSkeletonItem::readConfig(KConfig*) [pure virtual]
    {25, 3305, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//789 KConfigSkeletonItem::writeConfig(KConfig*) [pure virtual]
    {25, 2360, 595, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//790 KConfigSkeletonItem::readDefault(KConfig*) [pure virtual]
    {25, 2860, 34, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//791 KConfigSkeletonItem::setProperty(const QVariant&) [pure virtual]
    {25, 1827, 34, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 18},	//792 KConfigSkeletonItem::isEqual(const QVariant&) const [pure virtual]
    {25, 2294, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 364, 19},	//793 KConfigSkeletonItem::property() const [pure virtual]
    {25, 2082, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 20},	//794 KConfigSkeletonItem::minValue() const
    {25, 2071, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 21},	//795 KConfigSkeletonItem::maxValue() const
    {25, 2611, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//796 KConfigSkeletonItem::setDefault() [pure virtual]
    {25, 3083, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//797 KConfigSkeletonItem::swapDefault() [pure virtual]
    {25, 1841, 0, 0, Smoke::mf_const, 452, 24},	//798 KConfigSkeletonItem::isImmutable() const
    {25, 2377, 511, 1, Smoke::mf_protected, 0, 25},	//799 KConfigSkeletonItem::readImmutability(const KConfigGroup&)
    {25, 341, 597, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 26},	//800 KConfigSkeletonItem::KConfigSkeletonItem(const KConfigSkeletonItem&)
    {25, 2027, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 27},	//801 KConfigSkeletonItem::mGroup() const
    {25, 2713, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//802 KConfigSkeletonItem::setMGroup(const QString&)
    {25, 2028, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 29},	//803 KConfigSkeletonItem::mKey() const
    {25, 2715, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//804 KConfigSkeletonItem::setMKey(const QString&)
    {25, 2029, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 31},	//805 KConfigSkeletonItem::mName() const
    {25, 2717, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//806 KConfigSkeletonItem::setMName(const QString&)
    {25, 3386, 0, 0, Smoke::mf_dtor, 0, 33 },	//807 KConfigSkeletonItem::~KConfigSkeletonItem()
    {26, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//808 KCoreConfigSkeleton::metaObject() const
    {26, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//809 KCoreConfigSkeleton::qt_metacast(const char*)
    {26, 3148, 124, 2, Smoke::mf_static, 351, 3},	//810 KCoreConfigSkeleton::tr(const char*, const char*)
    {26, 3155, 124, 2, Smoke::mf_static, 351, 4},	//811 KCoreConfigSkeleton::trUtf8(const char*, const char*)
    {26, 3148, 127, 3, Smoke::mf_static, 351, 5},	//812 KCoreConfigSkeleton::tr(const char*, const char*, int)
    {26, 3155, 127, 3, Smoke::mf_static, 351, 6},	//813 KCoreConfigSkeleton::trUtf8(const char*, const char*, int)
    {26, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//814 KCoreConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {26, 344, 155, 2, Smoke::mf_ctor, 56, 8},	//815 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&, QObject*)
    {26, 344, 599, 2, Smoke::mf_ctor, 56, 9},	//816 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>, QObject*)
    {26, 2616, 0, 0, Smoke::mf_virtual, 0, 10},	//817 KCoreConfigSkeleton::setDefaults()
    {26, 2351, 0, 0, Smoke::mf_virtual, 0, 11},	//818 KCoreConfigSkeleton::readConfig()
    {26, 3305, 0, 0, Smoke::mf_virtual, 0, 12},	//819 KCoreConfigSkeleton::writeConfig()
    {26, 2576, 30, 1, 0, 0, 13},	//820 KCoreConfigSkeleton::setCurrentGroup(const QString&)
    {26, 1250, 0, 0, Smoke::mf_const, 351, 14},	//821 KCoreConfigSkeleton::currentGroup() const
    {26, 895, 602, 2, 0, 0, 15},	//822 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*, const QString&)
    {26, 950, 605, 4, 0, 75, 16},	//823 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&, const QString&)
    {26, 926, 605, 4, 0, 68, 17},	//824 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&, const QString&)
    {26, 930, 605, 4, 0, 69, 18},	//825 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&, const QString&)
    {26, 938, 610, 4, 0, 72, 19},	//826 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&, const QString&)
    {26, 898, 615, 4, 0, 57, 20},	//827 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool, const QString&)
    {26, 910, 620, 4, 0, 65, 21},	//828 KCoreConfigSkeleton::addItemInt(const QString&, int&, int, const QString&)
    {26, 958, 625, 4, 0, 78, 22},	//829 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int, const QString&)
    {26, 922, 630, 4, 0, 67, 23},	//830 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long, const QString&)
    {26, 914, 630, 4, 0, 67, 24},	//831 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long, const QString&)
    {26, 966, 635, 4, 0, 79, 25},	//832 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long, const QString&)
    {26, 962, 635, 4, 0, 79, 26},	//833 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long, const QString&)
    {26, 906, 640, 4, 0, 59, 27},	//834 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double, const QString&)
    {26, 942, 645, 4, 0, 73, 28},	//835 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&, const QString&)
    {26, 934, 650, 4, 0, 71, 29},	//836 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&, const QString&)
    {26, 946, 655, 4, 0, 74, 30},	//837 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&, const QString&)
    {26, 902, 660, 4, 0, 58, 31},	//838 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&, const QString&)
    {26, 954, 665, 4, 0, 77, 32},	//839 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&, const QString&)
    {26, 918, 670, 4, 0, 66, 33},	//840 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&, const QString&)
    {26, 1185, 0, 0, 0, 46, 34},	//841 KCoreConfigSkeleton::config()
    {26, 1185, 0, 0, Smoke::mf_const, 470, 35},	//842 KCoreConfigSkeleton::config() const
    {26, 2876, 675, 1, 0, 0, 36},	//843 KCoreConfigSkeleton::setSharedConfig(KSharedPtr<KSharedConfig>)
    {26, 1899, 0, 0, Smoke::mf_const, 314, 37},	//844 KCoreConfigSkeleton::items() const
    {26, 1841, 30, 1, 0, 452, 38},	//845 KCoreConfigSkeleton::isImmutable(const QString&)
    {26, 1841, 30, 1, Smoke::mf_const, 452, 39},	//846 KCoreConfigSkeleton::isImmutable(const QString&) const
    {26, 1566, 30, 1, 0, 55, 40},	//847 KCoreConfigSkeleton::findItem(const QString&)
    {26, 1566, 30, 1, Smoke::mf_const, 55, 41},	//848 KCoreConfigSkeleton::findItem(const QString&) const
    {26, 3223, 103, 1, Smoke::mf_virtual, 452, 42},	//849 KCoreConfigSkeleton::useDefaults(bool)
    {26, 1187, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//850 KCoreConfigSkeleton::configChanged()
    {26, 3234, 103, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 44},	//851 KCoreConfigSkeleton::usrUseDefaults(bool)
    {26, 3233, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//852 KCoreConfigSkeleton::usrSetDefaults()
    {26, 3232, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//853 KCoreConfigSkeleton::usrReadConfig()
    {26, 3236, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//854 KCoreConfigSkeleton::usrWriteConfig()
    {26, 3148, 122, 1, Smoke::mf_static, 351, 48},	//855 KCoreConfigSkeleton::tr(const char*)
    {26, 3155, 122, 1, Smoke::mf_static, 351, 49},	//856 KCoreConfigSkeleton::trUtf8(const char*)
    {26, 344, 0, 0, Smoke::mf_ctor, 56, 50},	//857 KCoreConfigSkeleton::KCoreConfigSkeleton()
    {26, 344, 30, 1, Smoke::mf_ctor, 56, 51},	//858 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&)
    {26, 344, 675, 1, Smoke::mf_ctor, 56, 52},	//859 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>)
    {26, 895, 677, 1, 0, 0, 53},	//860 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*)
    {26, 950, 679, 2, 0, 75, 54},	//861 KCoreConfigSkeleton::addItemString(const QString&, QString&)
    {26, 950, 682, 3, 0, 75, 55},	//862 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&)
    {26, 926, 679, 2, 0, 68, 56},	//863 KCoreConfigSkeleton::addItemPassword(const QString&, QString&)
    {26, 926, 682, 3, 0, 68, 57},	//864 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&)
    {26, 930, 679, 2, 0, 69, 58},	//865 KCoreConfigSkeleton::addItemPath(const QString&, QString&)
    {26, 930, 682, 3, 0, 69, 59},	//866 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&)
    {26, 938, 686, 2, 0, 72, 60},	//867 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&)
    {26, 938, 689, 3, 0, 72, 61},	//868 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&)
    {26, 898, 351, 2, 0, 57, 62},	//869 KCoreConfigSkeleton::addItemBool(const QString&, bool&)
    {26, 898, 693, 3, 0, 57, 63},	//870 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool)
    {26, 910, 260, 2, 0, 65, 64},	//871 KCoreConfigSkeleton::addItemInt(const QString&, int&)
    {26, 910, 697, 3, 0, 65, 65},	//872 KCoreConfigSkeleton::addItemInt(const QString&, int&, int)
    {26, 958, 701, 2, 0, 78, 66},	//873 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&)
    {26, 958, 704, 3, 0, 78, 67},	//874 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int)
    {26, 922, 708, 2, 0, 67, 68},	//875 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&)
    {26, 922, 711, 3, 0, 67, 69},	//876 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long)
    {26, 914, 708, 2, 0, 67, 70},	//877 KCoreConfigSkeleton::addItemInt64(const QString&, long long&)
    {26, 914, 711, 3, 0, 67, 71},	//878 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long)
    {26, 966, 715, 2, 0, 79, 72},	//879 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&)
    {26, 966, 718, 3, 0, 79, 73},	//880 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long)
    {26, 962, 715, 2, 0, 79, 74},	//881 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&)
    {26, 962, 718, 3, 0, 79, 75},	//882 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long)
    {26, 906, 722, 2, 0, 59, 76},	//883 KCoreConfigSkeleton::addItemDouble(const QString&, double&)
    {26, 906, 725, 3, 0, 59, 77},	//884 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double)
    {26, 942, 729, 2, 0, 73, 78},	//885 KCoreConfigSkeleton::addItemRect(const QString&, QRect&)
    {26, 942, 732, 3, 0, 73, 79},	//886 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&)
    {26, 934, 736, 2, 0, 71, 80},	//887 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&)
    {26, 934, 739, 3, 0, 71, 81},	//888 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&)
    {26, 946, 743, 2, 0, 74, 82},	//889 KCoreConfigSkeleton::addItemSize(const QString&, QSize&)
    {26, 946, 746, 3, 0, 74, 83},	//890 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&)
    {26, 902, 750, 2, 0, 58, 84},	//891 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&)
    {26, 902, 753, 3, 0, 58, 85},	//892 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&)
    {26, 954, 757, 2, 0, 77, 86},	//893 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&)
    {26, 954, 760, 3, 0, 77, 87},	//894 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&)
    {26, 918, 764, 2, 0, 66, 88},	//895 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&)
    {26, 918, 767, 3, 0, 66, 89},	//896 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&)
    {26, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 90},	//897 KCoreConfigSkeleton::staticMetaObject() const
    {26, 3387, 0, 0, Smoke::mf_dtor, 0, 91 },	//898 KCoreConfigSkeleton::~KCoreConfigSkeleton()
    {27, 193, 771, 4, Smoke::mf_ctor, 57, 1},	//899 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&, bool)
    {27, 2351, 595, 1, 0, 0, 2},	//900 KCoreConfigSkeleton::ItemBool::readConfig(KConfig*)
    {27, 2860, 34, 1, 0, 0, 3},	//901 KCoreConfigSkeleton::ItemBool::setProperty(const QVariant&)
    {27, 1827, 34, 1, Smoke::mf_const, 452, 4},	//902 KCoreConfigSkeleton::ItemBool::isEqual(const QVariant&) const
    {27, 2294, 0, 0, Smoke::mf_const, 364, 5},	//903 KCoreConfigSkeleton::ItemBool::property() const
    {27, 193, 776, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 6},	//904 KCoreConfigSkeleton::ItemBool::ItemBool(const KCoreConfigSkeleton::ItemBool&)
    {27, 193, 778, 3, Smoke::mf_ctor, 57, 7},	//905 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&)
    {27, 3351, 0, 0, Smoke::mf_dtor, 0, 8 },	//906 KCoreConfigSkeleton::ItemBool::~ItemBool()
    {28, 197, 782, 4, Smoke::mf_ctor, 58, 1},	//907 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&, const QDateTime&)
    {28, 2351, 595, 1, 0, 0, 2},	//908 KCoreConfigSkeleton::ItemDateTime::readConfig(KConfig*)
    {28, 2860, 34, 1, 0, 0, 3},	//909 KCoreConfigSkeleton::ItemDateTime::setProperty(const QVariant&)
    {28, 1827, 34, 1, Smoke::mf_const, 452, 4},	//910 KCoreConfigSkeleton::ItemDateTime::isEqual(const QVariant&) const
    {28, 2294, 0, 0, Smoke::mf_const, 364, 5},	//911 KCoreConfigSkeleton::ItemDateTime::property() const
    {28, 197, 787, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 6},	//912 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const KCoreConfigSkeleton::ItemDateTime&)
    {28, 197, 789, 3, Smoke::mf_ctor, 58, 7},	//913 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&)
    {28, 3352, 0, 0, Smoke::mf_dtor, 0, 8 },	//914 KCoreConfigSkeleton::ItemDateTime::~ItemDateTime()
    {29, 201, 793, 4, Smoke::mf_ctor, 59, 1},	//915 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&, double)
    {29, 2351, 595, 1, 0, 0, 2},	//916 KCoreConfigSkeleton::ItemDouble::readConfig(KConfig*)
    {29, 2860, 34, 1, 0, 0, 3},	//917 KCoreConfigSkeleton::ItemDouble::setProperty(const QVariant&)
    {29, 1827, 34, 1, Smoke::mf_const, 452, 4},	//918 KCoreConfigSkeleton::ItemDouble::isEqual(const QVariant&) const
    {29, 2294, 0, 0, Smoke::mf_const, 364, 5},	//919 KCoreConfigSkeleton::ItemDouble::property() const
    {29, 2082, 0, 0, Smoke::mf_const, 364, 6},	//920 KCoreConfigSkeleton::ItemDouble::minValue() const
    {29, 2071, 0, 0, Smoke::mf_const, 364, 7},	//921 KCoreConfigSkeleton::ItemDouble::maxValue() const
    {29, 2787, 798, 1, 0, 0, 8},	//922 KCoreConfigSkeleton::ItemDouble::setMinValue(double)
    {29, 2779, 798, 1, 0, 0, 9},	//923 KCoreConfigSkeleton::ItemDouble::setMaxValue(double)
    {29, 201, 800, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 10},	//924 KCoreConfigSkeleton::ItemDouble::ItemDouble(const KCoreConfigSkeleton::ItemDouble&)
    {29, 201, 802, 3, Smoke::mf_ctor, 59, 11},	//925 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&)
    {29, 3353, 0, 0, Smoke::mf_dtor, 0, 12 },	//926 KCoreConfigSkeleton::ItemDouble::~ItemDouble()
    {30, 205, 806, 5, Smoke::mf_ctor, 60, 1},	//927 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    {30, 205, 812, 5, Smoke::mf_ctor, 60, 2},	//928 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    {30, 1157, 0, 0, Smoke::mf_const, 316, 3},	//929 KCoreConfigSkeleton::ItemEnum::choices() const
    {30, 1158, 0, 0, Smoke::mf_const, 315, 4},	//930 KCoreConfigSkeleton::ItemEnum::choices2() const
    {30, 2351, 595, 1, 0, 0, 5},	//931 KCoreConfigSkeleton::ItemEnum::readConfig(KConfig*)
    {30, 3305, 595, 1, 0, 0, 6},	//932 KCoreConfigSkeleton::ItemEnum::writeConfig(KConfig*)
    {30, 205, 818, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 7},	//933 KCoreConfigSkeleton::ItemEnum::ItemEnum(const KCoreConfigSkeleton::ItemEnum&)
    {30, 205, 820, 4, Smoke::mf_ctor, 60, 8},	//934 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    {30, 205, 825, 4, Smoke::mf_ctor, 60, 9},	//935 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    {30, 3354, 0, 0, Smoke::mf_dtor, 0, 10 },	//936 KCoreConfigSkeleton::ItemEnum::~ItemEnum()
    {31, 56, 0, 0, Smoke::mf_ctor, 62, 1},	//937 KCoreConfigSkeleton::ItemEnum::Choice::Choice()
    {31, 56, 830, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 2},	//938 KCoreConfigSkeleton::ItemEnum::Choice::Choice(const KCoreConfigSkeleton::ItemEnum::Choice&)
    {31, 2119, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 3},	//939 KCoreConfigSkeleton::ItemEnum::Choice::name() const
    {31, 2799, 30, 1, Smoke::mf_attribute, 0, 4},	//940 KCoreConfigSkeleton::ItemEnum::Choice::setName(const QString&)
    {31, 1960, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 5},	//941 KCoreConfigSkeleton::ItemEnum::Choice::label() const
    {31, 2689, 30, 1, Smoke::mf_attribute, 0, 6},	//942 KCoreConfigSkeleton::ItemEnum::Choice::setLabel(const QString&)
    {31, 3298, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 7},	//943 KCoreConfigSkeleton::ItemEnum::Choice::whatsThis() const
    {31, 2939, 30, 1, Smoke::mf_attribute, 0, 8},	//944 KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis(const QString&)
    {31, 3348, 0, 0, Smoke::mf_dtor, 0, 9 },	//945 KCoreConfigSkeleton::ItemEnum::Choice::~Choice()
    {32, 58, 0, 0, Smoke::mf_ctor, 64, 1},	//946 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2()
    {32, 58, 832, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//947 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2(const KCoreConfigSkeleton::ItemEnum::Choice2&)
    {32, 2119, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 3},	//948 KCoreConfigSkeleton::ItemEnum::Choice2::name() const
    {32, 2799, 30, 1, Smoke::mf_attribute, 0, 4},	//949 KCoreConfigSkeleton::ItemEnum::Choice2::setName(const QString&)
    {32, 1960, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 5},	//950 KCoreConfigSkeleton::ItemEnum::Choice2::label() const
    {32, 2689, 30, 1, Smoke::mf_attribute, 0, 6},	//951 KCoreConfigSkeleton::ItemEnum::Choice2::setLabel(const QString&)
    {32, 3144, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 7},	//952 KCoreConfigSkeleton::ItemEnum::Choice2::toolTip() const
    {32, 2913, 30, 1, Smoke::mf_attribute, 0, 8},	//953 KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip(const QString&)
    {32, 3298, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 9},	//954 KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis() const
    {32, 2939, 30, 1, Smoke::mf_attribute, 0, 10},	//955 KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis(const QString&)
    {32, 3349, 0, 0, Smoke::mf_dtor, 0, 11 },	//956 KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2()
    {33, 209, 834, 4, Smoke::mf_ctor, 65, 1},	//957 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&, int)
    {33, 2351, 595, 1, 0, 0, 2},	//958 KCoreConfigSkeleton::ItemInt::readConfig(KConfig*)
    {33, 2860, 34, 1, 0, 0, 3},	//959 KCoreConfigSkeleton::ItemInt::setProperty(const QVariant&)
    {33, 1827, 34, 1, Smoke::mf_const, 452, 4},	//960 KCoreConfigSkeleton::ItemInt::isEqual(const QVariant&) const
    {33, 2294, 0, 0, Smoke::mf_const, 364, 5},	//961 KCoreConfigSkeleton::ItemInt::property() const
    {33, 2082, 0, 0, Smoke::mf_const, 364, 6},	//962 KCoreConfigSkeleton::ItemInt::minValue() const
    {33, 2071, 0, 0, Smoke::mf_const, 364, 7},	//963 KCoreConfigSkeleton::ItemInt::maxValue() const
    {33, 2787, 118, 1, 0, 0, 8},	//964 KCoreConfigSkeleton::ItemInt::setMinValue(int)
    {33, 2779, 118, 1, 0, 0, 9},	//965 KCoreConfigSkeleton::ItemInt::setMaxValue(int)
    {33, 209, 839, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 10},	//966 KCoreConfigSkeleton::ItemInt::ItemInt(const KCoreConfigSkeleton::ItemInt&)
    {33, 209, 841, 3, Smoke::mf_ctor, 65, 11},	//967 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&)
    {33, 3355, 0, 0, Smoke::mf_dtor, 0, 12 },	//968 KCoreConfigSkeleton::ItemInt::~ItemInt()
    {34, 213, 845, 4, Smoke::mf_ctor, 66, 1},	//969 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&, const QList<int>&)
    {34, 2351, 595, 1, 0, 0, 2},	//970 KCoreConfigSkeleton::ItemIntList::readConfig(KConfig*)
    {34, 2860, 34, 1, 0, 0, 3},	//971 KCoreConfigSkeleton::ItemIntList::setProperty(const QVariant&)
    {34, 1827, 34, 1, Smoke::mf_const, 452, 4},	//972 KCoreConfigSkeleton::ItemIntList::isEqual(const QVariant&) const
    {34, 2294, 0, 0, Smoke::mf_const, 364, 5},	//973 KCoreConfigSkeleton::ItemIntList::property() const
    {34, 213, 850, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//974 KCoreConfigSkeleton::ItemIntList::ItemIntList(const KCoreConfigSkeleton::ItemIntList&)
    {34, 213, 852, 3, Smoke::mf_ctor, 66, 7},	//975 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&)
    {34, 3356, 0, 0, Smoke::mf_dtor, 0, 8 },	//976 KCoreConfigSkeleton::ItemIntList::~ItemIntList()
    {35, 217, 856, 4, Smoke::mf_ctor, 67, 1},	//977 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&, long long)
    {35, 2351, 595, 1, 0, 0, 2},	//978 KCoreConfigSkeleton::ItemLongLong::readConfig(KConfig*)
    {35, 2860, 34, 1, 0, 0, 3},	//979 KCoreConfigSkeleton::ItemLongLong::setProperty(const QVariant&)
    {35, 1827, 34, 1, Smoke::mf_const, 452, 4},	//980 KCoreConfigSkeleton::ItemLongLong::isEqual(const QVariant&) const
    {35, 2294, 0, 0, Smoke::mf_const, 364, 5},	//981 KCoreConfigSkeleton::ItemLongLong::property() const
    {35, 2082, 0, 0, Smoke::mf_const, 364, 6},	//982 KCoreConfigSkeleton::ItemLongLong::minValue() const
    {35, 2071, 0, 0, Smoke::mf_const, 364, 7},	//983 KCoreConfigSkeleton::ItemLongLong::maxValue() const
    {35, 2787, 861, 1, 0, 0, 8},	//984 KCoreConfigSkeleton::ItemLongLong::setMinValue(long long)
    {35, 2779, 861, 1, 0, 0, 9},	//985 KCoreConfigSkeleton::ItemLongLong::setMaxValue(long long)
    {35, 217, 863, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 10},	//986 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const KCoreConfigSkeleton::ItemLongLong&)
    {35, 217, 865, 3, Smoke::mf_ctor, 67, 11},	//987 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&)
    {35, 3357, 0, 0, Smoke::mf_dtor, 0, 12 },	//988 KCoreConfigSkeleton::ItemLongLong::~ItemLongLong()
    {36, 221, 869, 4, Smoke::mf_ctor, 68, 1},	//989 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&, const QString&)
    {36, 221, 874, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//990 KCoreConfigSkeleton::ItemPassword::ItemPassword(const KCoreConfigSkeleton::ItemPassword&)
    {36, 221, 876, 3, Smoke::mf_ctor, 68, 3},	//991 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&)
    {36, 3358, 0, 0, Smoke::mf_dtor, 0, 4 },	//992 KCoreConfigSkeleton::ItemPassword::~ItemPassword()
    {37, 225, 869, 4, Smoke::mf_ctor, 69, 1},	//993 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&, const QString&)
    {37, 225, 880, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 2},	//994 KCoreConfigSkeleton::ItemPath::ItemPath(const KCoreConfigSkeleton::ItemPath&)
    {37, 225, 876, 3, Smoke::mf_ctor, 69, 3},	//995 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&)
    {37, 3359, 0, 0, Smoke::mf_dtor, 0, 4 },	//996 KCoreConfigSkeleton::ItemPath::~ItemPath()
    {38, 229, 882, 4, Smoke::mf_ctor, 70, 1},	//997 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&, const QStringList&)
    {38, 2351, 595, 1, 0, 0, 2},	//998 KCoreConfigSkeleton::ItemPathList::readConfig(KConfig*)
    {38, 3305, 595, 1, 0, 0, 3},	//999 KCoreConfigSkeleton::ItemPathList::writeConfig(KConfig*)
    {38, 229, 887, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 4},	//1000 KCoreConfigSkeleton::ItemPathList::ItemPathList(const KCoreConfigSkeleton::ItemPathList&)
    {38, 229, 889, 3, Smoke::mf_ctor, 70, 5},	//1001 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&)
    {38, 3360, 0, 0, Smoke::mf_dtor, 0, 6 },	//1002 KCoreConfigSkeleton::ItemPathList::~ItemPathList()
    {39, 233, 893, 4, Smoke::mf_ctor, 71, 1},	//1003 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&, const QPoint&)
    {39, 2351, 595, 1, 0, 0, 2},	//1004 KCoreConfigSkeleton::ItemPoint::readConfig(KConfig*)
    {39, 2860, 34, 1, 0, 0, 3},	//1005 KCoreConfigSkeleton::ItemPoint::setProperty(const QVariant&)
    {39, 1827, 34, 1, Smoke::mf_const, 452, 4},	//1006 KCoreConfigSkeleton::ItemPoint::isEqual(const QVariant&) const
    {39, 2294, 0, 0, Smoke::mf_const, 364, 5},	//1007 KCoreConfigSkeleton::ItemPoint::property() const
    {39, 233, 898, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 6},	//1008 KCoreConfigSkeleton::ItemPoint::ItemPoint(const KCoreConfigSkeleton::ItemPoint&)
    {39, 233, 900, 3, Smoke::mf_ctor, 71, 7},	//1009 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&)
    {39, 3361, 0, 0, Smoke::mf_dtor, 0, 8 },	//1010 KCoreConfigSkeleton::ItemPoint::~ItemPoint()
    {40, 237, 904, 4, Smoke::mf_ctor, 72, 1},	//1011 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&, const QVariant&)
    {40, 2351, 595, 1, 0, 0, 2},	//1012 KCoreConfigSkeleton::ItemProperty::readConfig(KConfig*)
    {40, 2860, 34, 1, 0, 0, 3},	//1013 KCoreConfigSkeleton::ItemProperty::setProperty(const QVariant&)
    {40, 1827, 34, 1, Smoke::mf_const, 452, 4},	//1014 KCoreConfigSkeleton::ItemProperty::isEqual(const QVariant&) const
    {40, 2294, 0, 0, Smoke::mf_const, 364, 5},	//1015 KCoreConfigSkeleton::ItemProperty::property() const
    {40, 237, 909, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 6},	//1016 KCoreConfigSkeleton::ItemProperty::ItemProperty(const KCoreConfigSkeleton::ItemProperty&)
    {40, 237, 911, 3, Smoke::mf_ctor, 72, 7},	//1017 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&)
    {40, 3362, 0, 0, Smoke::mf_dtor, 0, 8 },	//1018 KCoreConfigSkeleton::ItemProperty::~ItemProperty()
    {41, 241, 915, 4, Smoke::mf_ctor, 73, 1},	//1019 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&, const QRect&)
    {41, 2351, 595, 1, 0, 0, 2},	//1020 KCoreConfigSkeleton::ItemRect::readConfig(KConfig*)
    {41, 2860, 34, 1, 0, 0, 3},	//1021 KCoreConfigSkeleton::ItemRect::setProperty(const QVariant&)
    {41, 1827, 34, 1, Smoke::mf_const, 452, 4},	//1022 KCoreConfigSkeleton::ItemRect::isEqual(const QVariant&) const
    {41, 2294, 0, 0, Smoke::mf_const, 364, 5},	//1023 KCoreConfigSkeleton::ItemRect::property() const
    {41, 241, 920, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 6},	//1024 KCoreConfigSkeleton::ItemRect::ItemRect(const KCoreConfigSkeleton::ItemRect&)
    {41, 241, 922, 3, Smoke::mf_ctor, 73, 7},	//1025 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&)
    {41, 3363, 0, 0, Smoke::mf_dtor, 0, 8 },	//1026 KCoreConfigSkeleton::ItemRect::~ItemRect()
    {42, 245, 926, 4, Smoke::mf_ctor, 74, 1},	//1027 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&, const QSize&)
    {42, 2351, 595, 1, 0, 0, 2},	//1028 KCoreConfigSkeleton::ItemSize::readConfig(KConfig*)
    {42, 2860, 34, 1, 0, 0, 3},	//1029 KCoreConfigSkeleton::ItemSize::setProperty(const QVariant&)
    {42, 1827, 34, 1, Smoke::mf_const, 452, 4},	//1030 KCoreConfigSkeleton::ItemSize::isEqual(const QVariant&) const
    {42, 2294, 0, 0, Smoke::mf_const, 364, 5},	//1031 KCoreConfigSkeleton::ItemSize::property() const
    {42, 245, 931, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 6},	//1032 KCoreConfigSkeleton::ItemSize::ItemSize(const KCoreConfigSkeleton::ItemSize&)
    {42, 245, 933, 3, Smoke::mf_ctor, 74, 7},	//1033 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&)
    {42, 3364, 0, 0, Smoke::mf_dtor, 0, 8 },	//1034 KCoreConfigSkeleton::ItemSize::~ItemSize()
    {43, 249, 937, 5, Smoke::mf_ctor, 75, 1},	//1035 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type)
    {43, 3305, 595, 1, 0, 0, 2},	//1036 KCoreConfigSkeleton::ItemString::writeConfig(KConfig*)
    {43, 2351, 595, 1, 0, 0, 3},	//1037 KCoreConfigSkeleton::ItemString::readConfig(KConfig*)
    {43, 2860, 34, 1, 0, 0, 4},	//1038 KCoreConfigSkeleton::ItemString::setProperty(const QVariant&)
    {43, 1827, 34, 1, Smoke::mf_const, 452, 5},	//1039 KCoreConfigSkeleton::ItemString::isEqual(const QVariant&) const
    {43, 2294, 0, 0, Smoke::mf_const, 364, 6},	//1040 KCoreConfigSkeleton::ItemString::property() const
    {43, 249, 943, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 7},	//1041 KCoreConfigSkeleton::ItemString::ItemString(const KCoreConfigSkeleton::ItemString&)
    {43, 249, 876, 3, Smoke::mf_ctor, 75, 8},	//1042 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&)
    {43, 249, 869, 4, Smoke::mf_ctor, 75, 9},	//1043 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&)
    {43, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 10},	//1044 KCoreConfigSkeleton::ItemString::Normal (enum)
    {43, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 11},	//1045 KCoreConfigSkeleton::ItemString::Password (enum)
    {43, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 12},	//1046 KCoreConfigSkeleton::ItemString::Path (enum)
    {43, 3365, 0, 0, Smoke::mf_dtor, 0, 13 },	//1047 KCoreConfigSkeleton::ItemString::~ItemString()
    {44, 254, 882, 4, Smoke::mf_ctor, 77, 1},	//1048 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&, const QStringList&)
    {44, 2351, 595, 1, 0, 0, 2},	//1049 KCoreConfigSkeleton::ItemStringList::readConfig(KConfig*)
    {44, 2860, 34, 1, 0, 0, 3},	//1050 KCoreConfigSkeleton::ItemStringList::setProperty(const QVariant&)
    {44, 1827, 34, 1, Smoke::mf_const, 452, 4},	//1051 KCoreConfigSkeleton::ItemStringList::isEqual(const QVariant&) const
    {44, 2294, 0, 0, Smoke::mf_const, 364, 5},	//1052 KCoreConfigSkeleton::ItemStringList::property() const
    {44, 254, 945, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 6},	//1053 KCoreConfigSkeleton::ItemStringList::ItemStringList(const KCoreConfigSkeleton::ItemStringList&)
    {44, 254, 889, 3, Smoke::mf_ctor, 77, 7},	//1054 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&)
    {44, 3366, 0, 0, Smoke::mf_dtor, 0, 8 },	//1055 KCoreConfigSkeleton::ItemStringList::~ItemStringList()
    {45, 258, 947, 4, Smoke::mf_ctor, 78, 1},	//1056 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&, unsigned int)
    {45, 2351, 595, 1, 0, 0, 2},	//1057 KCoreConfigSkeleton::ItemUInt::readConfig(KConfig*)
    {45, 2860, 34, 1, 0, 0, 3},	//1058 KCoreConfigSkeleton::ItemUInt::setProperty(const QVariant&)
    {45, 1827, 34, 1, Smoke::mf_const, 452, 4},	//1059 KCoreConfigSkeleton::ItemUInt::isEqual(const QVariant&) const
    {45, 2294, 0, 0, Smoke::mf_const, 364, 5},	//1060 KCoreConfigSkeleton::ItemUInt::property() const
    {45, 2082, 0, 0, Smoke::mf_const, 364, 6},	//1061 KCoreConfigSkeleton::ItemUInt::minValue() const
    {45, 2071, 0, 0, Smoke::mf_const, 364, 7},	//1062 KCoreConfigSkeleton::ItemUInt::maxValue() const
    {45, 2787, 952, 1, 0, 0, 8},	//1063 KCoreConfigSkeleton::ItemUInt::setMinValue(unsigned int)
    {45, 2779, 952, 1, 0, 0, 9},	//1064 KCoreConfigSkeleton::ItemUInt::setMaxValue(unsigned int)
    {45, 258, 954, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 10},	//1065 KCoreConfigSkeleton::ItemUInt::ItemUInt(const KCoreConfigSkeleton::ItemUInt&)
    {45, 258, 956, 3, Smoke::mf_ctor, 78, 11},	//1066 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&)
    {45, 3367, 0, 0, Smoke::mf_dtor, 0, 12 },	//1067 KCoreConfigSkeleton::ItemUInt::~ItemUInt()
    {46, 262, 960, 4, Smoke::mf_ctor, 79, 1},	//1068 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&, unsigned long long)
    {46, 2351, 595, 1, 0, 0, 2},	//1069 KCoreConfigSkeleton::ItemULongLong::readConfig(KConfig*)
    {46, 2860, 34, 1, 0, 0, 3},	//1070 KCoreConfigSkeleton::ItemULongLong::setProperty(const QVariant&)
    {46, 1827, 34, 1, Smoke::mf_const, 452, 4},	//1071 KCoreConfigSkeleton::ItemULongLong::isEqual(const QVariant&) const
    {46, 2294, 0, 0, Smoke::mf_const, 364, 5},	//1072 KCoreConfigSkeleton::ItemULongLong::property() const
    {46, 2082, 0, 0, Smoke::mf_const, 364, 6},	//1073 KCoreConfigSkeleton::ItemULongLong::minValue() const
    {46, 2071, 0, 0, Smoke::mf_const, 364, 7},	//1074 KCoreConfigSkeleton::ItemULongLong::maxValue() const
    {46, 2787, 965, 1, 0, 0, 8},	//1075 KCoreConfigSkeleton::ItemULongLong::setMinValue(unsigned long long)
    {46, 2779, 965, 1, 0, 0, 9},	//1076 KCoreConfigSkeleton::ItemULongLong::setMaxValue(unsigned long long)
    {46, 262, 967, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 10},	//1077 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const KCoreConfigSkeleton::ItemULongLong&)
    {46, 262, 969, 3, Smoke::mf_ctor, 79, 11},	//1078 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&)
    {46, 3368, 0, 0, Smoke::mf_dtor, 0, 12 },	//1079 KCoreConfigSkeleton::ItemULongLong::~ItemULongLong()
    {47, 266, 973, 4, Smoke::mf_ctor, 80, 1},	//1080 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&, const KUrl&)
    {47, 3305, 595, 1, 0, 0, 2},	//1081 KCoreConfigSkeleton::ItemUrl::writeConfig(KConfig*)
    {47, 2351, 595, 1, 0, 0, 3},	//1082 KCoreConfigSkeleton::ItemUrl::readConfig(KConfig*)
    {47, 2860, 34, 1, 0, 0, 4},	//1083 KCoreConfigSkeleton::ItemUrl::setProperty(const QVariant&)
    {47, 1827, 34, 1, Smoke::mf_const, 452, 5},	//1084 KCoreConfigSkeleton::ItemUrl::isEqual(const QVariant&) const
    {47, 2294, 0, 0, Smoke::mf_const, 364, 6},	//1085 KCoreConfigSkeleton::ItemUrl::property() const
    {47, 266, 978, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 7},	//1086 KCoreConfigSkeleton::ItemUrl::ItemUrl(const KCoreConfigSkeleton::ItemUrl&)
    {47, 266, 980, 3, Smoke::mf_ctor, 80, 8},	//1087 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&)
    {47, 3369, 0, 0, Smoke::mf_dtor, 0, 9 },	//1088 KCoreConfigSkeleton::ItemUrl::~ItemUrl()
    {48, 270, 984, 4, Smoke::mf_ctor, 81, 1},	//1089 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&, const KUrl::List&)
    {48, 2351, 595, 1, 0, 0, 2},	//1090 KCoreConfigSkeleton::ItemUrlList::readConfig(KConfig*)
    {48, 3305, 595, 1, 0, 0, 3},	//1091 KCoreConfigSkeleton::ItemUrlList::writeConfig(KConfig*)
    {48, 2860, 34, 1, 0, 0, 4},	//1092 KCoreConfigSkeleton::ItemUrlList::setProperty(const QVariant&)
    {48, 1827, 34, 1, Smoke::mf_const, 452, 5},	//1093 KCoreConfigSkeleton::ItemUrlList::isEqual(const QVariant&) const
    {48, 2294, 0, 0, Smoke::mf_const, 364, 6},	//1094 KCoreConfigSkeleton::ItemUrlList::property() const
    {48, 270, 989, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 7},	//1095 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const KCoreConfigSkeleton::ItemUrlList&)
    {48, 270, 991, 3, Smoke::mf_ctor, 81, 8},	//1096 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&)
    {48, 3370, 0, 0, Smoke::mf_dtor, 0, 9 },	//1097 KCoreConfigSkeleton::ItemUrlList::~ItemUrlList()
    {49, 349, 95, 2, Smoke::mf_ctor, 83, 1},	//1098 KCurrencyCode::KCurrencyCode(const QString&, const QString&)
    {49, 349, 995, 2, Smoke::mf_ctor, 83, 2},	//1099 KCurrencyCode::KCurrencyCode(const QFileInfo&, const QString&)
    {49, 349, 998, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//1100 KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    {49, 2199, 998, 1, 0, 82, 4},	//1101 KCurrencyCode::operator=(const KCurrencyCode&)
    {49, 1896, 0, 0, Smoke::mf_const, 351, 5},	//1102 KCurrencyCode::isoCurrencyCode() const
    {49, 1897, 0, 0, Smoke::mf_const, 351, 6},	//1103 KCurrencyCode::isoCurrencyCodeNumeric() const
    {49, 2119, 0, 0, Smoke::mf_const, 351, 7},	//1104 KCurrencyCode::name() const
    {49, 1898, 0, 0, Smoke::mf_const, 351, 8},	//1105 KCurrencyCode::isoName() const
    {49, 3050, 0, 0, Smoke::mf_const, 84, 9},	//1106 KCurrencyCode::status() const
    {49, 1275, 0, 0, Smoke::mf_const, 276, 10},	//1107 KCurrencyCode::dateIntroduced() const
    {49, 1277, 0, 0, Smoke::mf_const, 276, 11},	//1108 KCurrencyCode::dateSuspended() const
    {49, 1282, 0, 0, Smoke::mf_const, 276, 12},	//1109 KCurrencyCode::dateWithdrawn() const
    {49, 3085, 0, 0, Smoke::mf_const, 354, 13},	//1110 KCurrencyCode::symbolList() const
    {49, 1346, 0, 0, Smoke::mf_const, 351, 14},	//1111 KCurrencyCode::defaultSymbol() const
    {49, 3195, 0, 0, Smoke::mf_const, 351, 15},	//1112 KCurrencyCode::unambiguousSymbol() const
    {49, 1715, 0, 0, Smoke::mf_const, 452, 16},	//1113 KCurrencyCode::hasSubunits() const
    {49, 1716, 0, 0, Smoke::mf_const, 452, 17},	//1114 KCurrencyCode::hasSubunitsInCirculation() const
    {49, 3074, 0, 0, Smoke::mf_const, 351, 18},	//1115 KCurrencyCode::subunitSymbol() const
    {49, 3075, 0, 0, Smoke::mf_const, 615, 19},	//1116 KCurrencyCode::subunitsPerUnit() const
    {49, 1323, 0, 0, Smoke::mf_const, 615, 20},	//1117 KCurrencyCode::decimalPlaces() const
    {49, 1216, 0, 0, Smoke::mf_const, 354, 21},	//1118 KCurrencyCode::countriesUsingCurrency() const
    {49, 1888, 0, 0, Smoke::mf_const, 452, 22},	//1119 KCurrencyCode::isValid() const
    {49, 1888, 1000, 2, Smoke::mf_static, 452, 23},	//1120 KCurrencyCode::isValid(const QString&, QFlags<KCurrencyCode::CurrencyStatus>)
    {49, 1022, 1003, 1, Smoke::mf_static, 354, 24},	//1121 KCurrencyCode::allCurrencyCodesList(QFlags<KCurrencyCode::CurrencyStatus>)
    {49, 1243, 95, 2, Smoke::mf_static, 351, 25},	//1122 KCurrencyCode::currencyCodeToName(const QString&, const QString&)
    {49, 349, 30, 1, Smoke::mf_ctor, 83, 26},	//1123 KCurrencyCode::KCurrencyCode(const QString&)
    {49, 349, 1005, 1, Smoke::mf_ctor, 83, 27},	//1124 KCurrencyCode::KCurrencyCode(const QFileInfo&)
    {49, 1888, 30, 1, Smoke::mf_static, 452, 28},	//1125 KCurrencyCode::isValid(const QString&)
    {49, 1022, 0, 0, Smoke::mf_static, 354, 29},	//1126 KCurrencyCode::allCurrencyCodesList()
    {49, 1243, 30, 1, Smoke::mf_static, 351, 30},	//1127 KCurrencyCode::currencyCodeToName(const QString&)
    {49, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 31},	//1128 KCurrencyCode::ActiveCurrency (enum)
    {49, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 32},	//1129 KCurrencyCode::SuspendedCurrency (enum)
    {49, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 33},	//1130 KCurrencyCode::ObsoleteCurrency (enum)
    {49, 3388, 0, 0, Smoke::mf_dtor, 0, 34 },	//1131 KCurrencyCode::~KCurrencyCode()
    {50, 3254, 0, 0, Smoke::mf_static, 631, 1},	//1132 KDE::versionRelease()
    {50, 2085, 1007, 2, Smoke::mf_static, 615, 2},	//1133 KDE::mkdir(const QString&, unsigned int)
    {50, 2162, 1010, 3, Smoke::mf_static, 615, 3},	//1134 KDE::open(const QString&, int, unsigned int)
    {50, 2162, 1014, 2, Smoke::mf_static, 615, 4},	//1135 KDE::open(const QString&, int)
    {50, 848, 1014, 2, Smoke::mf_static, 615, 5},	//1136 KDE::access(const QString&, int)
    {50, 3251, 0, 0, Smoke::mf_static, 631, 6},	//1137 KDE::version()
    {50, 3252, 0, 0, Smoke::mf_static, 631, 7},	//1138 KDE::versionMajor()
    {50, 3253, 0, 0, Smoke::mf_static, 631, 8},	//1139 KDE::versionMinor()
    {50, 1586, 524, 2, Smoke::mf_static, 2, 9},	//1140 KDE::fopen(const QString&, const char*)
    {50, 3255, 0, 0, Smoke::mf_static, 600, 10},	//1141 KDE::versionString()
    {50, 1155, 1007, 2, Smoke::mf_static, 615, 11},	//1142 KDE::chmod(const QString&, unsigned int)
    {50, 2443, 95, 2, Smoke::mf_static, 615, 12},	//1143 KDE::rename(const QString&, const QString&)
    {51, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1144 KDEDModule::metaObject() const
    {51, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//1145 KDEDModule::qt_metacast(const char*)
    {51, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1146 KDEDModule::tr(const char*, const char*)
    {51, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1147 KDEDModule::trUtf8(const char*, const char*)
    {51, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1148 KDEDModule::tr(const char*, const char*, int)
    {51, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1149 KDEDModule::trUtf8(const char*, const char*, int)
    {51, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//1150 KDEDModule::qt_metacall(QMetaObject::Call, int, void**)
    {51, 354, 146, 1, Smoke::mf_ctor, 85, 8},	//1151 KDEDModule::KDEDModule(QObject*)
    {51, 2789, 30, 1, 0, 0, 9},	//1152 KDEDModule::setModuleName(const QString&)
    {51, 2092, 0, 0, Smoke::mf_const, 351, 10},	//1153 KDEDModule::moduleName() const
    {51, 2090, 1017, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1154 KDEDModule::moduleDeleted(KDEDModule*)
    {51, 3299, 1019, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1155 KDEDModule::windowRegistered(qlonglong)
    {51, 3301, 1019, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1156 KDEDModule::windowUnregistered(qlonglong)
    {51, 2093, 1021, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1157 KDEDModule::moduleRegistered(const QDBusObjectPath&)
    {51, 3148, 122, 1, Smoke::mf_static, 351, 15},	//1158 KDEDModule::tr(const char*)
    {51, 3155, 122, 1, Smoke::mf_static, 351, 16},	//1159 KDEDModule::trUtf8(const char*)
    {51, 354, 0, 0, Smoke::mf_ctor, 85, 17},	//1160 KDEDModule::KDEDModule()
    {51, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 18},	//1161 KDEDModule::staticMetaObject() const
    {51, 3389, 0, 0, Smoke::mf_dtor, 0, 19 },	//1162 KDEDModule::~KDEDModule()
    {52, 356, 0, 0, Smoke::mf_ctor, 86, 1},	//1163 KDEPluginVerificationData::KDEPluginVerificationData()
    {52, 356, 1023, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 2},	//1164 KDEPluginVerificationData::KDEPluginVerificationData(const KDEPluginVerificationData&)
    {52, 1264, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 629, 3},	//1165 KDEPluginVerificationData::dataVersion() const
    {52, 2586, 1025, 1, Smoke::mf_attribute, 0, 4},	//1166 KDEPluginVerificationData::setDataVersion(unsigned char)
    {52, 358, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 631, 5},	//1167 KDEPluginVerificationData::KDEVersion() const
    {52, 2683, 952, 1, Smoke::mf_attribute, 0, 6},	//1168 KDEPluginVerificationData::setKDEVersion(unsigned int)
    {52, 359, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 600, 7},	//1169 KDEPluginVerificationData::KDEVersionString() const
    {52, 2685, 122, 1, Smoke::mf_attribute, 0, 8},	//1170 KDEPluginVerificationData::setKDEVersionString(const char*)
    {52, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 9},	//1171 KDEPluginVerificationData::PluginVerificationDataVersion (enum)
    {52, 3390, 0, 0, Smoke::mf_dtor, 0, 10 },	//1172 KDEPluginVerificationData::~KDEPluginVerificationData()
    {53, 360, 0, 0, Smoke::mf_ctor, 89, 1},	//1173 KDateTime::KDateTime()
    {53, 360, 1027, 2, Smoke::mf_ctor, 89, 2},	//1174 KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    {53, 360, 1030, 3, Smoke::mf_ctor, 89, 3},	//1175 KDateTime::KDateTime(const QDate&, const QTime&, const KDateTime::Spec&)
    {53, 360, 1034, 2, Smoke::mf_ctor, 89, 4},	//1176 KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    {53, 360, 1037, 1, Smoke::mf_ctor, 89, 5},	//1177 KDateTime::KDateTime(const QDateTime&)
    {53, 360, 1039, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 6},	//1178 KDateTime::KDateTime(const KDateTime&)
    {53, 2199, 1039, 1, 0, 88, 7},	//1179 KDateTime::operator=(const KDateTime&)
    {53, 1858, 0, 0, Smoke::mf_const, 452, 8},	//1180 KDateTime::isNull() const
    {53, 1888, 0, 0, Smoke::mf_const, 452, 9},	//1181 KDateTime::isValid() const
    {53, 1811, 0, 0, Smoke::mf_const, 452, 10},	//1182 KDateTime::isDateOnly() const
    {53, 1270, 0, 0, Smoke::mf_const, 276, 11},	//1183 KDateTime::date() const
    {53, 3112, 0, 0, Smoke::mf_const, 361, 12},	//1184 KDateTime::time() const
    {53, 1278, 0, 0, Smoke::mf_const, 278, 13},	//1185 KDateTime::dateTime() const
    {53, 3117, 0, 0, Smoke::mf_const, 217, 14},	//1186 KDateTime::timeZone() const
    {53, 3114, 0, 0, Smoke::mf_const, 91, 15},	//1187 KDateTime::timeSpec() const
    {53, 3116, 0, 0, Smoke::mf_const, 94, 16},	//1188 KDateTime::timeType() const
    {53, 1852, 0, 0, Smoke::mf_const, 452, 17},	//1189 KDateTime::isLocalZone() const
    {53, 1806, 0, 0, Smoke::mf_const, 452, 18},	//1190 KDateTime::isClockTime() const
    {53, 1885, 0, 0, Smoke::mf_const, 452, 19},	//1191 KDateTime::isUtc() const
    {53, 1859, 0, 0, Smoke::mf_const, 452, 20},	//1192 KDateTime::isOffsetFromUtc() const
    {53, 3238, 0, 0, Smoke::mf_const, 615, 21},	//1193 KDateTime::utcOffset() const
    {53, 1870, 0, 0, Smoke::mf_const, 452, 22},	//1194 KDateTime::isSecondOccurrence() const
    {53, 3137, 0, 0, Smoke::mf_const, 87, 23},	//1195 KDateTime::toUtc() const
    {53, 3127, 0, 0, Smoke::mf_const, 87, 24},	//1196 KDateTime::toOffsetFromUtc() const
    {53, 3127, 118, 1, Smoke::mf_const, 87, 25},	//1197 KDateTime::toOffsetFromUtc(int) const
    {53, 3125, 0, 0, Smoke::mf_const, 87, 26},	//1198 KDateTime::toLocalZone() const
    {53, 3120, 0, 0, Smoke::mf_const, 87, 27},	//1199 KDateTime::toClockTime() const
    {53, 3139, 1041, 1, Smoke::mf_const, 87, 28},	//1200 KDateTime::toZone(const KTimeZone&) const
    {53, 3133, 1043, 1, Smoke::mf_const, 87, 29},	//1201 KDateTime::toTimeSpec(const KDateTime::Spec&) const
    {53, 3133, 1039, 1, Smoke::mf_const, 87, 30},	//1202 KDateTime::toTimeSpec(const KDateTime&) const
    {53, 3135, 0, 0, Smoke::mf_const, 631, 31},	//1203 KDateTime::toTime_t() const
    {53, 2911, 861, 1, 0, 0, 32},	//1204 KDateTime::setTime_t(long long)
    {53, 2601, 103, 1, 0, 0, 33},	//1205 KDateTime::setDateOnly(bool)
    {53, 2588, 196, 1, 0, 0, 34},	//1206 KDateTime::setDate(const QDate&)
    {53, 2905, 1045, 1, 0, 0, 35},	//1207 KDateTime::setTime(const QTime&)
    {53, 2603, 1037, 1, 0, 0, 36},	//1208 KDateTime::setDateTime(const QDateTime&)
    {53, 2909, 1043, 1, 0, 0, 37},	//1209 KDateTime::setTimeSpec(const KDateTime::Spec&)
    {53, 2870, 103, 1, 0, 0, 38},	//1210 KDateTime::setSecondOccurrence(bool)
    {53, 976, 861, 1, Smoke::mf_const, 87, 39},	//1211 KDateTime::addMSecs(long long) const
    {53, 994, 861, 1, Smoke::mf_const, 87, 40},	//1212 KDateTime::addSecs(long long) const
    {53, 888, 118, 1, Smoke::mf_const, 87, 41},	//1213 KDateTime::addDays(int) const
    {53, 978, 118, 1, Smoke::mf_const, 87, 42},	//1214 KDateTime::addMonths(int) const
    {53, 1015, 118, 1, Smoke::mf_const, 87, 43},	//1215 KDateTime::addYears(int) const
    {53, 2487, 1039, 1, Smoke::mf_const, 615, 44},	//1216 KDateTime::secsTo(const KDateTime&) const
    {53, 2489, 1039, 1, Smoke::mf_const, 621, 45},	//1217 KDateTime::secsTo_long(const KDateTime&) const
    {53, 1320, 1039, 1, Smoke::mf_const, 615, 46},	//1218 KDateTime::daysTo(const KDateTime&) const
    {53, 1252, 0, 0, Smoke::mf_static, 87, 47},	//1219 KDateTime::currentLocalDateTime()
    {53, 1256, 0, 0, Smoke::mf_static, 87, 48},	//1220 KDateTime::currentUtcDateTime()
    {53, 1248, 1043, 1, Smoke::mf_static, 87, 49},	//1221 KDateTime::currentDateTime(const KDateTime::Spec&)
    {53, 1251, 0, 0, Smoke::mf_static, 276, 50},	//1222 KDateTime::currentLocalDate()
    {53, 1253, 0, 0, Smoke::mf_static, 361, 51},	//1223 KDateTime::currentLocalTime()
    {53, 3129, 30, 1, Smoke::mf_const, 351, 52},	//1224 KDateTime::toString(const QString&) const
    {53, 3129, 1047, 1, Smoke::mf_const, 351, 53},	//1225 KDateTime::toString(KDateTime::TimeFormat) const
    {53, 1643, 1049, 3, Smoke::mf_static, 87, 54},	//1226 KDateTime::fromString(const QString&, KDateTime::TimeFormat, bool*)
    {53, 1643, 1053, 4, Smoke::mf_static, 87, 55},	//1227 KDateTime::fromString(const QString&, const QString&, const KTimeZones*, bool)
    {53, 2665, 1043, 1, Smoke::mf_static, 0, 56},	//1228 KDateTime::setFromStringDefault(const KDateTime::Spec&)
    {53, 2226, 0, 0, Smoke::mf_const, 452, 57},	//1229 KDateTime::outOfRange() const
    {53, 1178, 1039, 1, Smoke::mf_const, 90, 58},	//1230 KDateTime::compare(const KDateTime&) const
    {53, 2202, 1039, 1, Smoke::mf_const, 452, 59},	//1231 KDateTime::operator==(const KDateTime&) const
    {53, 2175, 1039, 1, Smoke::mf_const, 452, 60},	//1232 KDateTime::operator!=(const KDateTime&) const
    {53, 2185, 1039, 1, Smoke::mf_const, 452, 61},	//1233 KDateTime::operator<(const KDateTime&) const
    {53, 2194, 1039, 1, Smoke::mf_const, 452, 62},	//1234 KDateTime::operator<=(const KDateTime&) const
    {53, 2208, 1039, 1, Smoke::mf_const, 452, 63},	//1235 KDateTime::operator>(const KDateTime&) const
    {53, 2213, 1039, 1, Smoke::mf_const, 452, 64},	//1236 KDateTime::operator>=(const KDateTime&) const
    {53, 1373, 0, 0, 0, 0, 65},	//1237 KDateTime::detach()
    {53, 2886, 1039, 1, Smoke::mf_static, 0, 66},	//1238 KDateTime::setSimulatedSystemTime(const KDateTime&)
    {53, 2407, 0, 0, Smoke::mf_static, 87, 67},	//1239 KDateTime::realCurrentLocalDateTime()
    {53, 360, 196, 1, Smoke::mf_ctor, 89, 68},	//1240 KDateTime::KDateTime(const QDate&)
    {53, 360, 1058, 2, Smoke::mf_ctor, 89, 69},	//1241 KDateTime::KDateTime(const QDate&, const QTime&)
    {53, 3129, 0, 0, Smoke::mf_const, 351, 70},	//1242 KDateTime::toString() const
    {53, 1643, 30, 1, Smoke::mf_static, 87, 71},	//1243 KDateTime::fromString(const QString&)
    {53, 1643, 1061, 2, Smoke::mf_static, 87, 72},	//1244 KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    {53, 1643, 95, 2, Smoke::mf_static, 87, 73},	//1245 KDateTime::fromString(const QString&, const QString&)
    {53, 1643, 1064, 3, Smoke::mf_static, 87, 74},	//1246 KDateTime::fromString(const QString&, const QString&, const KTimeZones*)
    {53, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 75},	//1247 KDateTime::Invalid (enum)
    {53, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 76},	//1248 KDateTime::UTC (enum)
    {53, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 77},	//1249 KDateTime::OffsetFromUTC (enum)
    {53, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 78},	//1250 KDateTime::TimeZone (enum)
    {53, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 79},	//1251 KDateTime::LocalZone (enum)
    {53, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 80},	//1252 KDateTime::ClockTime (enum)
    {53, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 81},	//1253 KDateTime::ISODate (enum)
    {53, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 82},	//1254 KDateTime::RFCDate (enum)
    {53, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 83},	//1255 KDateTime::RFCDateDay (enum)
    {53, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 84},	//1256 KDateTime::QtTextDate (enum)
    {53, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 85},	//1257 KDateTime::LocalDate (enum)
    {53, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 86},	//1258 KDateTime::RFC3339Date (enum)
    {53, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 87},	//1259 KDateTime::Before (enum)
    {53, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 88},	//1260 KDateTime::AtStart (enum)
    {53, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 89},	//1261 KDateTime::Inside (enum)
    {53, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 90},	//1262 KDateTime::AtEnd (enum)
    {53, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 91},	//1263 KDateTime::After (enum)
    {53, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 92},	//1264 KDateTime::Equal (enum)
    {53, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 93},	//1265 KDateTime::Outside (enum)
    {53, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 94},	//1266 KDateTime::StartsAt (enum)
    {53, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 95},	//1267 KDateTime::EndsAt (enum)
    {53, 3391, 0, 0, Smoke::mf_dtor, 0, 96 },	//1268 KDateTime::~KDateTime()
    {54, 728, 0, 0, Smoke::mf_ctor, 93, 1},	//1269 KDateTime::Spec::Spec()
    {54, 728, 1041, 1, Smoke::mf_ctor, 93, 2},	//1270 KDateTime::Spec::Spec(const KTimeZone&)
    {54, 728, 1068, 2, Smoke::mf_ctor, 93, 3},	//1271 KDateTime::Spec::Spec(KDateTime::SpecType, int)
    {54, 728, 1043, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 4},	//1272 KDateTime::Spec::Spec(const KDateTime::Spec&)
    {54, 2199, 1043, 1, 0, 92, 5},	//1273 KDateTime::Spec::operator=(const KDateTime::Spec&)
    {54, 1888, 0, 0, Smoke::mf_const, 452, 6},	//1274 KDateTime::Spec::isValid() const
    {54, 3117, 0, 0, Smoke::mf_const, 217, 7},	//1275 KDateTime::Spec::timeZone() const
    {54, 3191, 0, 0, Smoke::mf_const, 94, 8},	//1276 KDateTime::Spec::type() const
    {54, 1852, 0, 0, Smoke::mf_const, 452, 9},	//1277 KDateTime::Spec::isLocalZone() const
    {54, 1806, 0, 0, Smoke::mf_const, 452, 10},	//1278 KDateTime::Spec::isClockTime() const
    {54, 1885, 0, 0, Smoke::mf_const, 452, 11},	//1279 KDateTime::Spec::isUtc() const
    {54, 1859, 0, 0, Smoke::mf_const, 452, 12},	//1280 KDateTime::Spec::isOffsetFromUtc() const
    {54, 3238, 0, 0, Smoke::mf_const, 615, 13},	//1281 KDateTime::Spec::utcOffset() const
    {54, 2921, 1068, 2, 0, 0, 14},	//1282 KDateTime::Spec::setType(KDateTime::SpecType, int)
    {54, 2921, 1041, 1, 0, 0, 15},	//1283 KDateTime::Spec::setType(const KTimeZone&)
    {54, 2202, 1043, 1, Smoke::mf_const, 452, 16},	//1284 KDateTime::Spec::operator==(const KDateTime::Spec&) const
    {54, 2175, 1043, 1, Smoke::mf_const, 452, 17},	//1285 KDateTime::Spec::operator!=(const KDateTime::Spec&) const
    {54, 1443, 1043, 1, Smoke::mf_const, 452, 18},	//1286 KDateTime::Spec::equivalentTo(const KDateTime::Spec&) const
    {54, 773, 0, 0, Smoke::mf_static, 91, 19},	//1287 KDateTime::Spec::UTC()
    {54, 60, 0, 0, Smoke::mf_static, 91, 20},	//1288 KDateTime::Spec::ClockTime()
    {54, 644, 118, 1, Smoke::mf_static, 91, 21},	//1289 KDateTime::Spec::OffsetFromUTC(int)
    {54, 589, 0, 0, Smoke::mf_static, 91, 22},	//1290 KDateTime::Spec::LocalZone()
    {54, 728, 1071, 1, Smoke::mf_ctor, 93, 23},	//1291 KDateTime::Spec::Spec(KDateTime::SpecType)
    {54, 2921, 1071, 1, 0, 0, 24},	//1292 KDateTime::Spec::setType(KDateTime::SpecType)
    {54, 3451, 0, 0, Smoke::mf_dtor, 0, 25 },	//1293 KDateTime::Spec::~Spec()
    {55, 364, 1073, 4, Smoke::mf_ctor|Smoke::mf_explicit, 96, 1},	//1294 KDebug::KDebug(QtMsgType, const char*, int, const char*)
    {55, 1702, 1078, 4, Smoke::mf_static, 452, 2},	//1295 KDebug::hasNullOutput(QtMsgType, bool, int, bool)
    {55, 1704, 118, 1, Smoke::mf_static, 452, 3},	//1296 KDebug::hasNullOutputQtDebugMsg(int)
    {55, 1704, 1083, 2, Smoke::mf_static, 452, 4},	//1297 KDebug::hasNullOutputQtDebugMsg(bool, int)
    {55, 2414, 427, 2, Smoke::mf_static, 615, 5},	//1298 KDebug::registerArea(const QByteArray&, bool)
    {55, 364, 1086, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 6},	//1299 KDebug::KDebug(const KDebug&)
    {55, 364, 1088, 1, Smoke::mf_ctor|Smoke::mf_explicit, 96, 7},	//1300 KDebug::KDebug(QtMsgType)
    {55, 364, 1090, 2, Smoke::mf_ctor|Smoke::mf_explicit, 96, 8},	//1301 KDebug::KDebug(QtMsgType, const char*)
    {55, 364, 1093, 3, Smoke::mf_ctor|Smoke::mf_explicit, 96, 9},	//1302 KDebug::KDebug(QtMsgType, const char*, int)
    {55, 1704, 0, 0, Smoke::mf_static, 452, 10},	//1303 KDebug::hasNullOutputQtDebugMsg()
    {55, 1704, 103, 1, Smoke::mf_static, 452, 11},	//1304 KDebug::hasNullOutputQtDebugMsg(bool)
    {55, 2414, 32, 1, Smoke::mf_static, 615, 12},	//1305 KDebug::registerArea(const QByteArray&)
    {55, 3392, 0, 0, Smoke::mf_dtor, 0, 13 },	//1306 KDebug::~KDebug()
    {56, 370, 0, 0, Smoke::mf_ctor, 97, 1},	//1307 KDebugTag::KDebugTag()
    {56, 370, 1097, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 2},	//1308 KDebugTag::KDebugTag(const KDebugTag&)
    {56, 3393, 0, 0, Smoke::mf_dtor, 0, 3 },	//1309 KDebugTag::~KDebugTag()
    {57, 372, 521, 2, Smoke::mf_ctor, 98, 1},	//1310 KDesktopFile::KDesktopFile(const char*, const QString&)
    {57, 372, 30, 1, Smoke::mf_ctor, 98, 2},	//1311 KDesktopFile::KDesktopFile(const QString&)
    {57, 1815, 30, 1, Smoke::mf_static, 452, 3},	//1312 KDesktopFile::isDesktopFile(const QString&)
    {57, 1793, 30, 1, Smoke::mf_static, 452, 4},	//1313 KDesktopFile::isAuthorizedDesktopFile(const QString&)
    {57, 2013, 30, 1, Smoke::mf_static, 351, 5},	//1314 KDesktopFile::locateLocal(const QString&)
    {57, 1372, 0, 0, Smoke::mf_const, 51, 6},	//1315 KDesktopFile::desktopGroup() const
    {57, 2400, 0, 0, Smoke::mf_const, 351, 7},	//1316 KDesktopFile::readType() const
    {57, 2376, 0, 0, Smoke::mf_const, 351, 8},	//1317 KDesktopFile::readIcon() const
    {57, 2388, 0, 0, Smoke::mf_const, 351, 9},	//1318 KDesktopFile::readName() const
    {57, 2350, 0, 0, Smoke::mf_const, 351, 10},	//1319 KDesktopFile::readComment() const
    {57, 2374, 0, 0, Smoke::mf_const, 351, 11},	//1320 KDesktopFile::readGenericName() const
    {57, 2392, 0, 0, Smoke::mf_const, 351, 12},	//1321 KDesktopFile::readPath() const
    {57, 2363, 0, 0, Smoke::mf_const, 351, 13},	//1322 KDesktopFile::readDevice() const
    {57, 2401, 0, 0, Smoke::mf_const, 351, 14},	//1323 KDesktopFile::readUrl() const
    {57, 2349, 0, 0, Smoke::mf_const, 354, 15},	//1324 KDesktopFile::readActions() const
    {57, 852, 30, 1, 0, 51, 16},	//1325 KDesktopFile::actionGroup(const QString&)
    {57, 852, 30, 1, Smoke::mf_const, 473, 17},	//1326 KDesktopFile::actionGroup(const QString&) const
    {57, 1677, 30, 1, Smoke::mf_const, 452, 18},	//1327 KDesktopFile::hasActionGroup(const QString&) const
    {57, 1695, 0, 0, Smoke::mf_const, 452, 19},	//1328 KDesktopFile::hasLinkType() const
    {57, 1679, 0, 0, Smoke::mf_const, 452, 20},	//1329 KDesktopFile::hasApplicationType() const
    {57, 1701, 0, 0, Smoke::mf_const, 452, 21},	//1330 KDesktopFile::hasMimeTypeType() const
    {57, 1684, 0, 0, Smoke::mf_const, 452, 22},	//1331 KDesktopFile::hasDeviceType() const
    {57, 3190, 0, 0, Smoke::mf_const, 452, 23},	//1332 KDesktopFile::tryExec() const
    {57, 2364, 0, 0, Smoke::mf_const, 351, 24},	//1333 KDesktopFile::readDocPath() const
    {57, 2971, 0, 0, Smoke::mf_const, 354, 25},	//1334 KDesktopFile::sortOrder() const
    {57, 2137, 0, 0, Smoke::mf_const, 452, 26},	//1335 KDesktopFile::noDisplay() const
    {57, 1209, 30, 1, Smoke::mf_const, 98, 27},	//1336 KDesktopFile::copyTo(const QString&) const
    {57, 1515, 0, 0, Smoke::mf_const, 351, 28},	//1337 KDesktopFile::fileName() const
    {57, 2463, 0, 0, Smoke::mf_const, 600, 29},	//1338 KDesktopFile::resource() const
    {57, 3394, 0, 0, Smoke::mf_dtor, 0, 30 },	//1339 KDesktopFile::~KDesktopFile()
    {58, 375, 0, 0, Smoke::mf_ctor, 99, 1},	//1340 KEncodingDetector::KEncodingDetector()
    {58, 375, 1099, 3, Smoke::mf_ctor, 99, 2},	//1341 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript)
    {58, 2632, 1103, 2, 0, 452, 3},	//1342 KEncodingDetector::setEncoding(const char*, KEncodingDetector::EncodingChoiceSource)
    {58, 1423, 0, 0, Smoke::mf_const, 600, 4},	//1343 KEncodingDetector::encoding() const
    {58, 3257, 0, 0, Smoke::mf_const, 452, 5},	//1344 KEncodingDetector::visuallyOrdered() const
    {58, 2534, 1106, 1, 0, 0, 6},	//1345 KEncodingDetector::setAutoDetectLanguage(KEncodingDetector::AutoDetectScript)
    {58, 1068, 0, 0, Smoke::mf_const, 100, 7},	//1346 KEncodingDetector::autoDetectLanguage() const
    {58, 1424, 0, 0, Smoke::mf_const, 101, 8},	//1347 KEncodingDetector::encodingChoiceSource() const
    {58, 1325, 1108, 2, 0, 351, 9},	//1348 KEncodingDetector::decode(const char*, int)
    {58, 1325, 32, 1, 0, 351, 10},	//1349 KEncodingDetector::decode(const QByteArray&)
    {58, 1330, 1108, 2, 0, 351, 11},	//1350 KEncodingDetector::decodeWithBuffering(const char*, int)
    {58, 1334, 0, 0, Smoke::mf_const, 452, 12},	//1351 KEncodingDetector::decodedInvalidCharacters() const
    {58, 2456, 0, 0, 0, 0, 13},	//1352 KEncodingDetector::resetDecoder()
    {58, 1585, 0, 0, 0, 351, 14},	//1353 KEncodingDetector::flush()
    {58, 2485, 30, 1, Smoke::mf_static, 100, 15},	//1354 KEncodingDetector::scriptForName(const QString&)
    {58, 2123, 1106, 1, Smoke::mf_static, 351, 16},	//1355 KEncodingDetector::nameForScript(KEncodingDetector::AutoDetectScript)
    {58, 1680, 1106, 1, Smoke::mf_static, 452, 17},	//1356 KEncodingDetector::hasAutoDetectionForScript(KEncodingDetector::AutoDetectScript)
    {58, 2281, 1111, 2, Smoke::mf_protected, 452, 18},	//1357 KEncodingDetector::processNull(char*, int)
    {58, 1457, 1108, 2, Smoke::mf_protected, 452, 19},	//1358 KEncodingDetector::errorsIfUtf8(const char*, int)
    {58, 1044, 1108, 2, Smoke::mf_protected, 452, 20},	//1359 KEncodingDetector::analyze(const char*, int)
    {58, 1335, 0, 0, Smoke::mf_protected, 360, 21},	//1360 KEncodingDetector::decoder()
    {58, 375, 1114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 22},	//1361 KEncodingDetector::KEncodingDetector(const KEncodingDetector&)
    {58, 375, 1116, 2, Smoke::mf_ctor, 99, 23},	//1362 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource)
    {58, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 24},	//1363 KEncodingDetector::DefaultEncoding (enum)
    {58, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 25},	//1364 KEncodingDetector::AutoDetectedEncoding (enum)
    {58, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 26},	//1365 KEncodingDetector::BOM (enum)
    {58, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 27},	//1366 KEncodingDetector::EncodingFromXMLHeader (enum)
    {58, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 28},	//1367 KEncodingDetector::EncodingFromMetaTag (enum)
    {58, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 29},	//1368 KEncodingDetector::EncodingFromHTTPHeader (enum)
    {58, 804, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 30},	//1369 KEncodingDetector::UserChosenEncoding (enum)
    {58, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1370 KEncodingDetector::None (enum)
    {58, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 32},	//1371 KEncodingDetector::SemiautomaticDetection (enum)
    {58, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 33},	//1372 KEncodingDetector::Arabic (enum)
    {58, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 34},	//1373 KEncodingDetector::Baltic (enum)
    {58, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 35},	//1374 KEncodingDetector::CentralEuropean (enum)
    {58, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 36},	//1375 KEncodingDetector::ChineseSimplified (enum)
    {58, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 37},	//1376 KEncodingDetector::ChineseTraditional (enum)
    {58, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 38},	//1377 KEncodingDetector::Cyrillic (enum)
    {58, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 39},	//1378 KEncodingDetector::Greek (enum)
    {58, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 40},	//1379 KEncodingDetector::Hebrew (enum)
    {58, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 41},	//1380 KEncodingDetector::Japanese (enum)
    {58, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 42},	//1381 KEncodingDetector::Korean (enum)
    {58, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 43},	//1382 KEncodingDetector::NorthernSaami (enum)
    {58, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 44},	//1383 KEncodingDetector::SouthEasternEurope (enum)
    {58, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 45},	//1384 KEncodingDetector::Thai (enum)
    {58, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 46},	//1385 KEncodingDetector::Turkish (enum)
    {58, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 47},	//1386 KEncodingDetector::Unicode (enum)
    {58, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 48},	//1387 KEncodingDetector::WesternEuropean (enum)
    {58, 3395, 0, 0, Smoke::mf_dtor, 0, 49 },	//1388 KEncodingDetector::~KEncodingDetector()
    {59, 379, 1119, 1, Smoke::mf_ctor, 102, 1},	//1389 KEncodingProber::KEncodingProber(KEncodingProber::ProberType)
    {59, 2455, 0, 0, 0, 0, 2},	//1390 KEncodingProber::reset()
    {59, 1508, 32, 1, 0, 103, 3},	//1391 KEncodingProber::feed(const QByteArray&)
    {59, 1508, 1108, 2, 0, 103, 4},	//1392 KEncodingProber::feed(const char*, int)
    {59, 3045, 0, 0, Smoke::mf_const, 103, 5},	//1393 KEncodingProber::state() const
    {59, 1428, 0, 0, Smoke::mf_const, 600, 6},	//1394 KEncodingProber::encodingName() const
    {59, 1423, 0, 0, Smoke::mf_const, 264, 7},	//1395 KEncodingProber::encoding() const
    {59, 1184, 0, 0, Smoke::mf_const, 614, 8},	//1396 KEncodingProber::confidence() const
    {59, 2278, 0, 0, Smoke::mf_const, 104, 9},	//1397 KEncodingProber::proberType() const
    {59, 2844, 1119, 1, 0, 0, 10},	//1398 KEncodingProber::setProberType(KEncodingProber::ProberType)
    {59, 2279, 30, 1, Smoke::mf_static, 104, 11},	//1399 KEncodingProber::proberTypeForName(const QString&)
    {59, 2121, 1119, 1, Smoke::mf_static, 351, 12},	//1400 KEncodingProber::nameForProberType(KEncodingProber::ProberType)
    {59, 379, 1121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 13},	//1401 KEncodingProber::KEncodingProber(const KEncodingProber&)
    {59, 379, 0, 0, Smoke::mf_ctor, 102, 14},	//1402 KEncodingProber::KEncodingProber()
    {59, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 15},	//1403 KEncodingProber::FoundIt (enum)
    {59, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 16},	//1404 KEncodingProber::NotMe (enum)
    {59, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 17},	//1405 KEncodingProber::Probing (enum)
    {59, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 18},	//1406 KEncodingProber::None (enum)
    {59, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 19},	//1407 KEncodingProber::Universal (enum)
    {59, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 20},	//1408 KEncodingProber::Arabic (enum)
    {59, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 21},	//1409 KEncodingProber::Baltic (enum)
    {59, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 22},	//1410 KEncodingProber::CentralEuropean (enum)
    {59, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 23},	//1411 KEncodingProber::ChineseSimplified (enum)
    {59, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 24},	//1412 KEncodingProber::ChineseTraditional (enum)
    {59, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 25},	//1413 KEncodingProber::Cyrillic (enum)
    {59, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 26},	//1414 KEncodingProber::Greek (enum)
    {59, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 27},	//1415 KEncodingProber::Hebrew (enum)
    {59, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 28},	//1416 KEncodingProber::Japanese (enum)
    {59, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 29},	//1417 KEncodingProber::Korean (enum)
    {59, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 30},	//1418 KEncodingProber::NorthernSaami (enum)
    {59, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 31},	//1419 KEncodingProber::Other (enum)
    {59, 727, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 32},	//1420 KEncodingProber::SouthEasternEurope (enum)
    {59, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 33},	//1421 KEncodingProber::Thai (enum)
    {59, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 34},	//1422 KEncodingProber::Turkish (enum)
    {59, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 35},	//1423 KEncodingProber::Unicode (enum)
    {59, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 36},	//1424 KEncodingProber::WesternEuropean (enum)
    {59, 3396, 0, 0, Smoke::mf_dtor, 0, 37 },	//1425 KEncodingProber::~KEncodingProber()
    {60, 382, 0, 0, Smoke::mf_ctor, 105, 1},	//1426 KFilterBase::KFilterBase()
    {60, 2621, 1123, 2, 0, 0, 2},	//1427 KFilterBase::setDevice(QIODevice*, bool)
    {60, 1379, 0, 0, 0, 305, 3},	//1428 KFilterBase::device()
    {60, 1748, 118, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//1429 KFilterBase::init(int) [pure virtual]
    {60, 2087, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 5},	//1430 KFilterBase::mode() const [pure virtual]
    {60, 3105, 0, 0, Smoke::mf_virtual, 0, 6},	//1431 KFilterBase::terminate()
    {60, 2455, 0, 0, Smoke::mf_virtual, 0, 7},	//1432 KFilterBase::reset()
    {60, 2375, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 8},	//1433 KFilterBase::readHeader() [pure virtual]
    {60, 3316, 32, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 9},	//1434 KFilterBase::writeHeader(const QByteArray&) [pure virtual]
    {60, 2817, 1126, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//1435 KFilterBase::setOutBuffer(char*, unsigned int) [pure virtual]
    {60, 2677, 1129, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//1436 KFilterBase::setInBuffer(const char*, unsigned int) [pure virtual]
    {60, 1738, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 12},	//1437 KFilterBase::inBufferEmpty() const
    {60, 1737, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 13},	//1438 KFilterBase::inBufferAvailable() const [pure virtual]
    {60, 2225, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 14},	//1439 KFilterBase::outBufferFull() const
    {60, 2224, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 615, 15},	//1440 KFilterBase::outBufferAvailable() const [pure virtual]
    {60, 3196, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 107, 16},	//1441 KFilterBase::uncompress() [pure virtual]
    {60, 1182, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 107, 17},	//1442 KFilterBase::compress(bool) [pure virtual]
    {60, 2659, 1132, 1, 0, 0, 18},	//1443 KFilterBase::setFilterFlags(KFilterBase::FilterFlags)
    {60, 1518, 0, 0, Smoke::mf_const, 106, 19},	//1444 KFilterBase::filterFlags() const
    {60, 1562, 30, 1, Smoke::mf_static, 105, 20},	//1445 KFilterBase::findFilterByFileName(const QString&)
    {60, 1564, 30, 1, Smoke::mf_static, 105, 21},	//1446 KFilterBase::findFilterByMimeType(const QString&)
    {60, 2621, 1134, 1, 0, 0, 22},	//1447 KFilterBase::setDevice(QIODevice*)
    {60, 2036, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 305, 23},	//1448 KFilterBase::m_dev() const
    {60, 2731, 1134, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 24},	//1449 KFilterBase::setM_dev(QIODevice*)
    {60, 2030, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 25},	//1450 KFilterBase::m_bAutoDel() const
    {60, 2719, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 26},	//1451 KFilterBase::setM_bAutoDel(bool)
    {60, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 27},	//1452 KFilterBase::Ok (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 28},	//1453 KFilterBase::End (enum)
    {60, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 29},	//1454 KFilterBase::Error (enum)
    {60, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 30},	//1455 KFilterBase::NoHeaders (enum)
    {60, 811, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 31},	//1456 KFilterBase::WithHeaders (enum)
    {60, 3397, 0, 0, Smoke::mf_dtor, 0, 32 },	//1457 KFilterBase::~KFilterBase()
    {61, 2162, 150, 1, 0, 452, 1},	//1458 KFilterDev::open(QFlags<QIODevice::OpenModeFlag>)
    {61, 1166, 0, 0, 0, 0, 2},	//1459 KFilterDev::close()
    {61, 2813, 32, 1, 0, 0, 3},	//1460 KFilterDev::setOrigFileName(const QByteArray&)
    {61, 2888, 0, 0, 0, 0, 4},	//1461 KFilterDev::setSkipHeaders()
    {61, 2491, 861, 1, 0, 452, 5},	//1462 KFilterDev::seek(long long)
    {61, 1055, 0, 0, Smoke::mf_const, 452, 6},	//1463 KFilterDev::atEnd() const
    {61, 1382, 1136, 3, Smoke::mf_static, 305, 7},	//1464 KFilterDev::deviceForFile(const QString&, const QString&, bool)
    {61, 1379, 1140, 3, Smoke::mf_static, 305, 8},	//1465 KFilterDev::device(QIODevice*, const QString&, bool)
    {61, 2353, 1144, 2, Smoke::mf_protected, 621, 9},	//1466 KFilterDev::readData(char*, long long)
    {61, 3307, 1147, 2, Smoke::mf_protected, 621, 10},	//1467 KFilterDev::writeData(const char*, long long)
    {61, 1382, 30, 1, Smoke::mf_static, 305, 11},	//1468 KFilterDev::deviceForFile(const QString&)
    {61, 1382, 95, 2, Smoke::mf_static, 305, 12},	//1469 KFilterDev::deviceForFile(const QString&, const QString&)
    {61, 1379, 1150, 2, Smoke::mf_static, 305, 13},	//1470 KFilterDev::device(QIODevice*, const QString&)
    {61, 3398, 0, 0, Smoke::mf_dtor, 0, 14 },	//1471 KFilterDev::~KFilterDev()
    {62, 2055, 0, 0, Smoke::mf_static, 469, 1},	//1472 KGlobal::mainComponent()
    {62, 1394, 0, 0, Smoke::mf_static, 200, 2},	//1473 KGlobal::dirs()
    {62, 1138, 0, 0, Smoke::mf_static, 35, 3},	//1474 KGlobal::charsets()
    {62, 2517, 430, 1, Smoke::mf_static, 0, 4},	//1475 KGlobal::setActiveComponent(const KComponentData&)
    {62, 1697, 0, 0, Smoke::mf_static, 452, 5},	//1476 KGlobal::hasMainComponent()
    {62, 1759, 30, 1, Smoke::mf_static, 0, 6},	//1477 KGlobal::insertCatalog(const QString&)
    {62, 1550, 1153, 2, Smoke::mf_static, 345, 7},	//1478 KGlobal::findDirectChild_helper(const QObject*, const QMetaObject&)
    {62, 3048, 30, 1, Smoke::mf_static, 592, 8},	//1479 KGlobal::staticQString(const QString&)
    {62, 2413, 0, 0, Smoke::mf_static, 0, 9},	//1480 KGlobal::ref()
    {62, 2521, 103, 1, Smoke::mf_static, 0, 10},	//1481 KGlobal::setAllowQuit(bool)
    {62, 1360, 0, 0, Smoke::mf_static, 0, 11},	//1482 KGlobal::deref()
    {62, 1185, 0, 0, Smoke::mf_static, 195, 12},	//1483 KGlobal::config()
    {62, 1696, 0, 0, Smoke::mf_static, 452, 13},	//1484 KGlobal::hasLocale()
    {62, 3194, 0, 0, Smoke::mf_static, 631, 14},	//1485 KGlobal::umask()
    {62, 858, 0, 0, Smoke::mf_static, 40, 15},	//1486 KGlobal::activeComponent()
    {62, 2709, 1156, 2, Smoke::mf_static, 0, 16},	//1487 KGlobal::setLocale(KLocale*, KGlobal::CopyCatalogs)
    {62, 2709, 1159, 1, Smoke::mf_static, 0, 17},	//1488 KGlobal::setLocale(KLocale*)
    {62, 3048, 122, 1, Smoke::mf_static, 592, 18},	//1489 KGlobal::staticQString(const char*)
    {62, 2004, 0, 0, Smoke::mf_static, 123, 19},	//1490 KGlobal::locale()
    {62, 1125, 0, 0, Smoke::mf_static, 351, 20},	//1491 KGlobal::caption()
    {62, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 21},	//1492 KGlobal::DoCopyCatalogs (enum)
    {62, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 22},	//1493 KGlobal::DontCopyCatalogs (enum)
    {63, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1494 KJob::metaObject() const
    {63, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//1495 KJob::qt_metacast(const char*)
    {63, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1496 KJob::tr(const char*, const char*)
    {63, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1497 KJob::trUtf8(const char*, const char*)
    {63, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1498 KJob::tr(const char*, const char*, int)
    {63, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1499 KJob::trUtf8(const char*, const char*, int)
    {63, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//1500 KJob::qt_metacall(QMetaObject::Call, int, void**)
    {63, 383, 146, 1, Smoke::mf_ctor, 109, 8},	//1501 KJob::KJob(QObject*)
    {63, 2925, 1161, 1, 0, 0, 9},	//1502 KJob::setUiDelegate(KJobUiDelegate*)
    {63, 3192, 0, 0, Smoke::mf_const, 115, 10},	//1503 KJob::uiDelegate() const
    {63, 1123, 0, 0, Smoke::mf_const, 287, 11},	//1504 KJob::capabilities() const
    {63, 1880, 0, 0, Smoke::mf_const, 452, 12},	//1505 KJob::isSuspended() const
    {63, 2989, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1506 KJob::start() [pure virtual]
    {63, 1955, 1163, 1, Smoke::mf_slot, 452, 14},	//1507 KJob::kill(KJob::KillVerbosity)
    {63, 3080, 0, 0, Smoke::mf_slot, 452, 15},	//1508 KJob::suspend()
    {63, 2468, 0, 0, Smoke::mf_slot, 452, 16},	//1509 KJob::resume()
    {63, 1399, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 452, 17},	//1510 KJob::doKill()
    {63, 1401, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 452, 18},	//1511 KJob::doSuspend()
    {63, 1400, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 452, 19},	//1512 KJob::doResume()
    {63, 2552, 1165, 1, Smoke::mf_protected, 0, 20},	//1513 KJob::setCapabilities(QFlags<KJob::Capability>)
    {63, 1463, 0, 0, 0, 452, 21},	//1514 KJob::exec()
    {63, 1451, 0, 0, Smoke::mf_const, 615, 22},	//1515 KJob::error() const
    {63, 1456, 0, 0, Smoke::mf_const, 351, 23},	//1516 KJob::errorText() const
    {63, 1454, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 351, 24},	//1517 KJob::errorString() const
    {63, 2283, 1167, 1, Smoke::mf_const, 634, 25},	//1518 KJob::processedAmount(KJob::Unit) const
    {63, 3145, 1167, 1, Smoke::mf_const, 634, 26},	//1519 KJob::totalAmount(KJob::Unit) const
    {63, 2247, 0, 0, Smoke::mf_const, 633, 27},	//1520 KJob::percent() const
    {63, 2532, 103, 1, 0, 0, 28},	//1521 KJob::setAutoDelete(bool)
    {63, 1795, 0, 0, Smoke::mf_const, 452, 29},	//1522 KJob::isAutoDelete() const
    {63, 1361, 1169, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1523 KJob::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {63, 1743, 447, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1524 KJob::infoMessage(KJob*, const QString&, const QString&)
    {63, 3265, 447, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1525 KJob::warning(KJob*, const QString&, const QString&)
    {63, 2638, 118, 1, Smoke::mf_protected, 0, 33},	//1526 KJob::setError(int)
    {63, 2644, 30, 1, Smoke::mf_protected, 0, 34},	//1527 KJob::setErrorText(const QString&)
    {63, 2846, 1174, 2, Smoke::mf_protected, 0, 35},	//1528 KJob::setProcessedAmount(KJob::Unit, unsigned long long)
    {63, 2915, 1174, 2, Smoke::mf_protected, 0, 36},	//1529 KJob::setTotalAmount(KJob::Unit, unsigned long long)
    {63, 2829, 1177, 1, Smoke::mf_protected, 0, 37},	//1530 KJob::setPercent(unsigned long)
    {63, 1411, 0, 0, Smoke::mf_protected, 0, 38},	//1531 KJob::emitResult()
    {63, 1409, 1179, 2, Smoke::mf_protected, 0, 39},	//1532 KJob::emitPercent(unsigned long long, unsigned long long)
    {63, 1412, 1177, 1, Smoke::mf_protected, 0, 40},	//1533 KJob::emitSpeed(unsigned long)
    {63, 383, 1182, 2, Smoke::mf_ctor|Smoke::mf_protected, 109, 41},	//1534 KJob::KJob(KJobPrivate&, QObject*)
    {63, 3148, 122, 1, Smoke::mf_static, 351, 42},	//1535 KJob::tr(const char*)
    {63, 3155, 122, 1, Smoke::mf_static, 351, 43},	//1536 KJob::trUtf8(const char*)
    {63, 383, 0, 0, Smoke::mf_ctor, 109, 44},	//1537 KJob::KJob()
    {63, 1955, 0, 0, Smoke::mf_slot, 452, 45},	//1538 KJob::kill()
    {63, 1361, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1539 KJob::description(KJob*, const QString&)
    {63, 1361, 1188, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1540 KJob::description(KJob*, const QString&, const QPair<QString,QString>&)
    {63, 1743, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1541 KJob::infoMessage(KJob*, const QString&)
    {63, 3265, 1185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1542 KJob::warning(KJob*, const QString&)
    {63, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 50},	//1543 KJob::staticMetaObject() const
    {63, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 51},	//1544 KJob::Bytes (enum)
    {63, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 52},	//1545 KJob::Files (enum)
    {63, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 53},	//1546 KJob::Directories (enum)
    {63, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 54},	//1547 KJob::NoCapabilities (enum)
    {63, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 55},	//1548 KJob::Killable (enum)
    {63, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 56},	//1549 KJob::Suspendable (enum)
    {63, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 57},	//1550 KJob::Quietly (enum)
    {63, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 58},	//1551 KJob::EmitResult (enum)
    {63, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 59},	//1552 KJob::NoError (enum)
    {63, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 60},	//1553 KJob::KilledJobError (enum)
    {63, 805, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 61},	//1554 KJob::UserDefinedError (enum)
    {63, 3399, 0, 0, Smoke::mf_dtor, 0, 62 },	//1555 KJob::~KJob()
    {65, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1556 KJobTrackerInterface::metaObject() const
    {65, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//1557 KJobTrackerInterface::qt_metacast(const char*)
    {65, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1558 KJobTrackerInterface::tr(const char*, const char*)
    {65, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1559 KJobTrackerInterface::trUtf8(const char*, const char*)
    {65, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1560 KJobTrackerInterface::tr(const char*, const char*, int)
    {65, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1561 KJobTrackerInterface::trUtf8(const char*, const char*, int)
    {65, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//1562 KJobTrackerInterface::qt_metacall(QMetaObject::Call, int, void**)
    {65, 386, 146, 1, Smoke::mf_ctor, 114, 8},	//1563 KJobTrackerInterface::KJobTrackerInterface(QObject*)
    {65, 2417, 445, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 9},	//1564 KJobTrackerInterface::registerJob(KJob*)
    {65, 3202, 445, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 10},	//1565 KJobTrackerInterface::unregisterJob(KJob*)
    {65, 1575, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//1566 KJobTrackerInterface::finished(KJob*)
    {65, 3081, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//1567 KJobTrackerInterface::suspended(KJob*)
    {65, 2469, 445, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1568 KJobTrackerInterface::resumed(KJob*)
    {65, 1361, 1169, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1569 KJobTrackerInterface::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {65, 1743, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1570 KJobTrackerInterface::infoMessage(KJob*, const QString&, const QString&)
    {65, 3265, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//1571 KJobTrackerInterface::warning(KJob*, const QString&, const QString&)
    {65, 3145, 1192, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 17},	//1572 KJobTrackerInterface::totalAmount(KJob*, KJob::Unit, qulonglong)
    {65, 2283, 1192, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//1573 KJobTrackerInterface::processedAmount(KJob*, KJob::Unit, qulonglong)
    {65, 2247, 1196, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1574 KJobTrackerInterface::percent(KJob*, unsigned long)
    {65, 2973, 1196, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1575 KJobTrackerInterface::speed(KJob*, unsigned long)
    {65, 3148, 122, 1, Smoke::mf_static, 351, 21},	//1576 KJobTrackerInterface::tr(const char*)
    {65, 3155, 122, 1, Smoke::mf_static, 351, 22},	//1577 KJobTrackerInterface::trUtf8(const char*)
    {65, 386, 0, 0, Smoke::mf_ctor, 114, 23},	//1578 KJobTrackerInterface::KJobTrackerInterface()
    {65, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 24},	//1579 KJobTrackerInterface::staticMetaObject() const
    {65, 3400, 0, 0, Smoke::mf_dtor, 0, 25 },	//1580 KJobTrackerInterface::~KJobTrackerInterface()
    {66, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1581 KJobUiDelegate::metaObject() const
    {66, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//1582 KJobUiDelegate::qt_metacast(const char*)
    {66, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1583 KJobUiDelegate::tr(const char*, const char*)
    {66, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1584 KJobUiDelegate::trUtf8(const char*, const char*)
    {66, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1585 KJobUiDelegate::tr(const char*, const char*, int)
    {66, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1586 KJobUiDelegate::trUtf8(const char*, const char*, int)
    {66, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//1587 KJobUiDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {66, 388, 0, 0, Smoke::mf_ctor, 115, 8},	//1588 KJobUiDelegate::KJobUiDelegate()
    {66, 1900, 0, 0, Smoke::mf_protected, 109, 9},	//1589 KJobUiDelegate::job()
    {66, 2954, 0, 0, Smoke::mf_virtual, 0, 10},	//1590 KJobUiDelegate::showErrorMessage()
    {66, 2536, 103, 1, 0, 0, 11},	//1591 KJobUiDelegate::setAutoErrorHandlingEnabled(bool)
    {66, 1796, 0, 0, Smoke::mf_const, 452, 12},	//1592 KJobUiDelegate::isAutoErrorHandlingEnabled() const
    {66, 2540, 103, 1, 0, 0, 13},	//1593 KJobUiDelegate::setAutoWarningHandlingEnabled(bool)
    {66, 1797, 0, 0, Smoke::mf_const, 452, 14},	//1594 KJobUiDelegate::isAutoWarningHandlingEnabled() const
    {66, 2969, 447, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1595 KJobUiDelegate::slotWarning(KJob*, const QString&, const QString&)
    {66, 3148, 122, 1, Smoke::mf_static, 351, 16},	//1596 KJobUiDelegate::tr(const char*)
    {66, 3155, 122, 1, Smoke::mf_static, 351, 17},	//1597 KJobUiDelegate::trUtf8(const char*)
    {66, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 18},	//1598 KJobUiDelegate::staticMetaObject() const
    {66, 3401, 0, 0, Smoke::mf_dtor, 0, 19 },	//1599 KJobUiDelegate::~KJobUiDelegate()
    {67, 2077, 0, 0, Smoke::mf_const, 584, 1},	//1600 KLibLoader::metaObject() const
    {67, 2318, 122, 1, 0, 638, 2},	//1601 KLibLoader::qt_metacast(const char*)
    {67, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1602 KLibLoader::tr(const char*, const char*)
    {67, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1603 KLibLoader::trUtf8(const char*, const char*)
    {67, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1604 KLibLoader::tr(const char*, const char*, int)
    {67, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1605 KLibLoader::trUtf8(const char*, const char*, int)
    {67, 2316, 131, 3, 0, 615, 7},	//1606 KLibLoader::qt_metacall(QMetaObject::Call, int, void**)
    {67, 1502, 1199, 2, 0, 157, 8},	//1607 KLibLoader::factory(const QString&, QFlags<QLibrary::LoadHint>)
    {67, 1984, 1199, 2, 0, 118, 9},	//1608 KLibLoader::library(const QString&, QFlags<QLibrary::LoadHint>)
    {67, 1976, 0, 0, Smoke::mf_const, 351, 10},	//1609 KLibLoader::lastErrorMessage() const
    {67, 3199, 30, 1, 0, 0, 11},	//1610 KLibLoader::unloadLibrary(const QString&)
    {67, 2493, 0, 0, Smoke::mf_static, 116, 12},	//1611 KLibLoader::self()
    {67, 1568, 1202, 2, Smoke::mf_static, 351, 13},	//1612 KLibLoader::findLibrary(const QString&, const KComponentData&)
    {67, 1454, 118, 1, Smoke::mf_static, 351, 14},	//1613 KLibLoader::errorString(int)
    {67, 3148, 122, 1, Smoke::mf_static, 351, 15},	//1614 KLibLoader::tr(const char*)
    {67, 3155, 122, 1, Smoke::mf_static, 351, 16},	//1615 KLibLoader::trUtf8(const char*)
    {67, 1502, 30, 1, 0, 157, 17},	//1616 KLibLoader::factory(const QString&)
    {67, 1984, 30, 1, 0, 118, 18},	//1617 KLibLoader::library(const QString&)
    {67, 1568, 30, 1, Smoke::mf_static, 351, 19},	//1618 KLibLoader::findLibrary(const QString&)
    {67, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 20},	//1619 KLibLoader::staticMetaObject() const
    {67, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 21},	//1620 KLibLoader::ErrNoLibrary (enum)
    {67, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 22},	//1621 KLibLoader::ErrNoFactory (enum)
    {67, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 23},	//1622 KLibLoader::ErrNoComponent (enum)
    {67, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 24},	//1623 KLibLoader::ErrServiceProvidesNoLibrary (enum)
    {67, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 25},	//1624 KLibLoader::ErrNoServiceFound (enum)
    {68, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1625 KLibrary::metaObject() const
    {68, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//1626 KLibrary::qt_metacast(const char*)
    {68, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1627 KLibrary::tr(const char*, const char*)
    {68, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1628 KLibrary::trUtf8(const char*, const char*)
    {68, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1629 KLibrary::tr(const char*, const char*, int)
    {68, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1630 KLibrary::trUtf8(const char*, const char*, int)
    {68, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//1631 KLibrary::qt_metacall(QMetaObject::Call, int, void**)
    {68, 389, 146, 1, Smoke::mf_ctor, 118, 8},	//1632 KLibrary::KLibrary(QObject*)
    {68, 389, 1205, 3, Smoke::mf_ctor, 118, 9},	//1633 KLibrary::KLibrary(const QString&, const KComponentData&, QObject*)
    {68, 389, 1209, 4, Smoke::mf_ctor, 118, 10},	//1634 KLibrary::KLibrary(const QString&, int, const KComponentData&, QObject*)
    {68, 1502, 122, 1, 0, 157, 11},	//1635 KLibrary::factory(const char*)
    {68, 2461, 122, 1, 0, 638, 12},	//1636 KLibrary::resolveSymbol(const char*)
    {68, 2459, 122, 1, 0, 637, 13},	//1637 KLibrary::resolveFunction(const char*)
    {68, 2656, 1202, 2, 0, 0, 14},	//1638 KLibrary::setFileName(const QString&, const KComponentData&)
    {68, 3198, 0, 0, 0, 452, 15},	//1639 KLibrary::unload()
    {68, 3148, 122, 1, Smoke::mf_static, 351, 16},	//1640 KLibrary::tr(const char*)
    {68, 3155, 122, 1, Smoke::mf_static, 351, 17},	//1641 KLibrary::trUtf8(const char*)
    {68, 389, 0, 0, Smoke::mf_ctor, 118, 18},	//1642 KLibrary::KLibrary()
    {68, 389, 30, 1, Smoke::mf_ctor, 118, 19},	//1643 KLibrary::KLibrary(const QString&)
    {68, 389, 1202, 2, Smoke::mf_ctor, 118, 20},	//1644 KLibrary::KLibrary(const QString&, const KComponentData&)
    {68, 389, 1014, 2, Smoke::mf_ctor, 118, 21},	//1645 KLibrary::KLibrary(const QString&, int)
    {68, 389, 1214, 3, Smoke::mf_ctor, 118, 22},	//1646 KLibrary::KLibrary(const QString&, int, const KComponentData&)
    {68, 1502, 0, 0, 0, 157, 23},	//1647 KLibrary::factory()
    {68, 2656, 30, 1, 0, 0, 24},	//1648 KLibrary::setFileName(const QString&)
    {68, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 25},	//1649 KLibrary::staticMetaObject() const
    {68, 3402, 0, 0, Smoke::mf_dtor, 0, 26 },	//1650 KLibrary::~KLibrary()
    {69, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1651 KLocalSocket::metaObject() const
    {69, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//1652 KLocalSocket::qt_metacast(const char*)
    {69, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1653 KLocalSocket::tr(const char*, const char*)
    {69, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1654 KLocalSocket::trUtf8(const char*, const char*)
    {69, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1655 KLocalSocket::tr(const char*, const char*, int)
    {69, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1656 KLocalSocket::trUtf8(const char*, const char*, int)
    {69, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//1657 KLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {69, 397, 146, 1, Smoke::mf_ctor, 119, 8},	//1658 KLocalSocket::KLocalSocket(QObject*)
    {69, 1197, 1218, 2, 0, 0, 9},	//1659 KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {69, 1197, 1221, 3, 0, 0, 10},	//1660 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>)
    {69, 1397, 0, 0, 0, 0, 11},	//1661 KLocalSocket::disconnectFromPath()
    {69, 2003, 0, 0, Smoke::mf_const, 120, 12},	//1662 KLocalSocket::localSocketType() const
    {69, 2002, 0, 0, Smoke::mf_const, 351, 13},	//1663 KLocalSocket::localPath() const
    {69, 2246, 0, 0, Smoke::mf_const, 351, 14},	//1664 KLocalSocket::peerPath() const
    {69, 1195, 1225, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//1665 KLocalSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {69, 1396, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1666 KLocalSocket::disconnectFromHostImplementation()
    {69, 3148, 122, 1, Smoke::mf_static, 351, 17},	//1667 KLocalSocket::tr(const char*)
    {69, 3155, 122, 1, Smoke::mf_static, 351, 18},	//1668 KLocalSocket::trUtf8(const char*)
    {69, 397, 0, 0, Smoke::mf_ctor, 119, 19},	//1669 KLocalSocket::KLocalSocket()
    {69, 1197, 30, 1, 0, 0, 20},	//1670 KLocalSocket::connectToPath(const QString&)
    {69, 1197, 1229, 2, 0, 0, 21},	//1671 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    {69, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 22},	//1672 KLocalSocket::staticMetaObject() const
    {69, 791, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 23},	//1673 KLocalSocket::UnixSocket (enum)
    {69, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 24},	//1674 KLocalSocket::AbstractUnixSocket (enum)
    {69, 794, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 25},	//1675 KLocalSocket::UnknownLocalSocketType (enum)
    {69, 3403, 0, 0, Smoke::mf_dtor, 0, 26 },	//1676 KLocalSocket::~KLocalSocket()
    {70, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//1677 KLocalSocketServer::metaObject() const
    {70, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//1678 KLocalSocketServer::qt_metacast(const char*)
    {70, 3148, 124, 2, Smoke::mf_static, 351, 3},	//1679 KLocalSocketServer::tr(const char*, const char*)
    {70, 3155, 124, 2, Smoke::mf_static, 351, 4},	//1680 KLocalSocketServer::trUtf8(const char*, const char*)
    {70, 3148, 127, 3, Smoke::mf_static, 351, 5},	//1681 KLocalSocketServer::tr(const char*, const char*, int)
    {70, 3155, 127, 3, Smoke::mf_static, 351, 6},	//1682 KLocalSocketServer::trUtf8(const char*, const char*, int)
    {70, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//1683 KLocalSocketServer::qt_metacall(QMetaObject::Call, int, void**)
    {70, 399, 146, 1, Smoke::mf_ctor, 121, 8},	//1684 KLocalSocketServer::KLocalSocketServer(QObject*)
    {70, 1991, 1229, 2, 0, 452, 9},	//1685 KLocalSocketServer::listen(const QString&, KLocalSocket::LocalSocketType)
    {70, 1166, 0, 0, 0, 0, 10},	//1686 KLocalSocketServer::close()
    {70, 1849, 0, 0, Smoke::mf_const, 452, 11},	//1687 KLocalSocketServer::isListening() const
    {70, 2777, 118, 1, 0, 0, 12},	//1688 KLocalSocketServer::setMaxPendingConnections(int)
    {70, 2066, 0, 0, Smoke::mf_const, 615, 13},	//1689 KLocalSocketServer::maxPendingConnections() const
    {70, 2003, 0, 0, Smoke::mf_const, 120, 14},	//1690 KLocalSocketServer::localSocketType() const
    {70, 2002, 0, 0, Smoke::mf_const, 351, 15},	//1691 KLocalSocketServer::localPath() const
    {70, 3259, 1232, 2, 0, 452, 16},	//1692 KLocalSocketServer::waitForNewConnection(int, bool*)
    {70, 1709, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 17},	//1693 KLocalSocketServer::hasPendingConnections() const
    {70, 2136, 0, 0, Smoke::mf_virtual, 119, 18},	//1694 KLocalSocketServer::nextPendingConnection()
    {70, 2495, 0, 0, Smoke::mf_const, 262, 19},	//1695 KLocalSocketServer::serverError() const
    {70, 1454, 0, 0, Smoke::mf_const, 351, 20},	//1696 KLocalSocketServer::errorString() const
    {70, 1741, 118, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1697 KLocalSocketServer::incomingConnection(int)
    {70, 2131, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1698 KLocalSocketServer::newConnection()
    {70, 3148, 122, 1, Smoke::mf_static, 351, 23},	//1699 KLocalSocketServer::tr(const char*)
    {70, 3155, 122, 1, Smoke::mf_static, 351, 24},	//1700 KLocalSocketServer::trUtf8(const char*)
    {70, 399, 0, 0, Smoke::mf_ctor, 121, 25},	//1701 KLocalSocketServer::KLocalSocketServer()
    {70, 1991, 30, 1, 0, 452, 26},	//1702 KLocalSocketServer::listen(const QString&)
    {70, 3259, 0, 0, 0, 452, 27},	//1703 KLocalSocketServer::waitForNewConnection()
    {70, 3259, 118, 1, 0, 452, 28},	//1704 KLocalSocketServer::waitForNewConnection(int)
    {70, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 29},	//1705 KLocalSocketServer::staticMetaObject() const
    {70, 3404, 0, 0, Smoke::mf_dtor, 0, 30 },	//1706 KLocalSocketServer::~KLocalSocketServer()
    {71, 401, 310, 2, Smoke::mf_ctor, 123, 1},	//1707 KLocale::KLocale(const QString&, KSharedPtr<KSharedConfig>)
    {71, 401, 1235, 4, Smoke::mf_ctor, 123, 2},	//1708 KLocale::KLocale(const QString&, const QString&, const QString&, KConfig*)
    {71, 401, 1240, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 3},	//1709 KLocale::KLocale(const KLocale&)
    {71, 2199, 1240, 1, 0, 122, 4},	//1710 KLocale::operator=(const KLocale&)
    {71, 3184, 1242, 4, Smoke::mf_const, 0, 5},	//1711 KLocale::translateRawFrom(const char*, const char*, QString*, QString*) const
    {71, 3179, 1247, 3, Smoke::mf_const, 0, 6},	//1712 KLocale::translateRaw(const char*, QString*, QString*) const
    {71, 3184, 1251, 5, Smoke::mf_const, 0, 7},	//1713 KLocale::translateRawFrom(const char*, const char*, const char*, QString*, QString*) const
    {71, 3179, 1242, 4, Smoke::mf_const, 0, 8},	//1714 KLocale::translateRaw(const char*, const char*, QString*, QString*) const
    {71, 3184, 1257, 6, Smoke::mf_const, 0, 9},	//1715 KLocale::translateRawFrom(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {71, 3179, 1264, 5, Smoke::mf_const, 0, 10},	//1716 KLocale::translateRaw(const char*, const char*, unsigned long, QString*, QString*) const
    {71, 3184, 1270, 7, Smoke::mf_const, 0, 11},	//1717 KLocale::translateRawFrom(const char*, const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {71, 3179, 1257, 6, Smoke::mf_const, 0, 12},	//1718 KLocale::translateRaw(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {71, 2632, 118, 1, 0, 452, 13},	//1719 KLocale::setEncoding(int)
    {71, 1387, 1278, 2, Smoke::mf_const, 351, 14},	//1720 KLocale::digitSetToName(KLocale::DigitSet, bool) const
    {71, 1024, 0, 0, Smoke::mf_const, 318, 15},	//1721 KLocale::allDigitSetsList() const
    {71, 1324, 0, 0, Smoke::mf_const, 351, 16},	//1722 KLocale::decimalSymbol() const
    {71, 3109, 0, 0, Smoke::mf_const, 351, 17},	//1723 KLocale::thousandsSeparator() const
    {71, 1386, 0, 0, Smoke::mf_const, 133, 18},	//1724 KLocale::digitSet() const
    {71, 1241, 0, 0, Smoke::mf_const, 351, 19},	//1725 KLocale::currencyCode() const
    {71, 1240, 0, 0, Smoke::mf_const, 83, 20},	//1726 KLocale::currency() const
    {71, 1246, 0, 0, Smoke::mf_const, 351, 21},	//1727 KLocale::currencySymbol() const
    {71, 2096, 0, 0, Smoke::mf_const, 351, 22},	//1728 KLocale::monetaryDecimalSymbol() const
    {71, 2098, 0, 0, Smoke::mf_const, 351, 23},	//1729 KLocale::monetaryThousandsSeparator() const
    {71, 2267, 0, 0, Smoke::mf_const, 351, 24},	//1730 KLocale::positiveSign() const
    {71, 2130, 0, 0, Smoke::mf_const, 351, 25},	//1731 KLocale::negativeSign() const
    {71, 1622, 0, 0, Smoke::mf_const, 615, 26},	//1732 KLocale::fracDigits() const
    {71, 1323, 0, 0, Smoke::mf_const, 615, 27},	//1733 KLocale::decimalPlaces() const
    {71, 2095, 0, 0, Smoke::mf_const, 615, 28},	//1734 KLocale::monetaryDecimalPlaces() const
    {71, 2266, 0, 0, Smoke::mf_const, 452, 29},	//1735 KLocale::positivePrefixCurrencySymbol() const
    {71, 2129, 0, 0, Smoke::mf_const, 452, 30},	//1736 KLocale::negativePrefixCurrencySymbol() const
    {71, 2265, 0, 0, Smoke::mf_const, 137, 31},	//1737 KLocale::positiveMonetarySignPosition() const
    {71, 2128, 0, 0, Smoke::mf_const, 137, 32},	//1738 KLocale::negativeMonetarySignPosition() const
    {71, 2097, 0, 0, Smoke::mf_const, 133, 33},	//1739 KLocale::monetaryDigitSet() const
    {71, 1610, 1281, 3, Smoke::mf_const, 351, 34},	//1740 KLocale::formatMoney(double, const QString&, int) const
    {71, 1614, 1285, 2, Smoke::mf_const, 351, 35},	//1741 KLocale::formatNumber(double, int) const
    {71, 1614, 1288, 3, Smoke::mf_const, 351, 36},	//1742 KLocale::formatNumber(const QString&, bool, int) const
    {71, 1608, 1292, 1, Smoke::mf_const, 351, 37},	//1743 KLocale::formatLong(long) const
    {71, 1589, 798, 1, Smoke::mf_const, 351, 38},	//1744 KLocale::formatByteSize(double) const
    {71, 1589, 1294, 4, Smoke::mf_const, 351, 39},	//1745 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits) const
    {71, 1098, 0, 0, Smoke::mf_const, 125, 40},	//1746 KLocale::binaryUnitDialect() const
    {71, 2544, 1299, 1, 0, 0, 41},	//1747 KLocale::setBinaryUnitDialect(KLocale::BinaryUnitDialect)
    {71, 1603, 1177, 1, Smoke::mf_const, 351, 42},	//1748 KLocale::formatDuration(unsigned long) const
    {71, 2273, 1177, 1, Smoke::mf_const, 351, 43},	//1749 KLocale::prettyFormatDuration(unsigned long) const
    {71, 2140, 0, 0, Smoke::mf_const, 452, 44},	//1750 KLocale::nounDeclension() const
    {71, 1594, 263, 2, Smoke::mf_const, 351, 45},	//1751 KLocale::formatDate(const QDate&, KLocale::DateFormat) const
    {71, 1599, 1301, 3, Smoke::mf_const, 351, 46},	//1752 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    {71, 1599, 1305, 3, Smoke::mf_const, 351, 47},	//1753 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    {71, 1276, 0, 0, Smoke::mf_const, 452, 48},	//1754 KLocale::dateMonthNamePossessive() const
    {71, 1618, 1309, 3, Smoke::mf_const, 351, 49},	//1755 KLocale::formatTime(const QTime&, bool, bool) const
    {71, 1605, 1313, 2, Smoke::mf_const, 351, 50},	//1756 KLocale::formatLocaleTime(const QTime&, QFlags<KLocale::TimeFormatOption>) const
    {71, 1279, 0, 0, Smoke::mf_const, 133, 51},	//1757 KLocale::dateTimeDigitSet() const
    {71, 3222, 0, 0, Smoke::mf_const, 452, 52},	//1758 KLocale::use12Clock() const
    {71, 1294, 1316, 2, Smoke::mf_const, 351, 53},	//1759 KLocale::dayPeriodText(const QTime&, KLocale::DateTimeComponentFormat) const
    {71, 3289, 0, 0, Smoke::mf_const, 615, 54},	//1760 KLocale::weekStartDay() const
    {71, 3304, 0, 0, Smoke::mf_const, 615, 55},	//1761 KLocale::workingWeekStartDay() const
    {71, 3303, 0, 0, Smoke::mf_const, 615, 56},	//1762 KLocale::workingWeekEndDay() const
    {71, 3281, 0, 0, Smoke::mf_const, 615, 57},	//1763 KLocale::weekDayOfPray() const
    {71, 1107, 0, 0, Smoke::mf_const, 464, 58},	//1764 KLocale::calendar() const
    {71, 1117, 0, 0, Smoke::mf_const, 351, 59},	//1765 KLocale::calendarType() const
    {71, 1111, 0, 0, Smoke::mf_const, 126, 60},	//1766 KLocale::calendarSystem() const
    {71, 2548, 30, 1, 0, 0, 61},	//1767 KLocale::setCalendar(const QString&)
    {71, 2550, 177, 1, 0, 0, 62},	//1768 KLocale::setCalendarSystem(KLocale::CalendarSystem)
    {71, 2935, 1319, 1, 0, 0, 63},	//1769 KLocale::setWeekNumberSystem(KLocale::WeekNumberSystem)
    {71, 3288, 0, 0, 0, 140, 64},	//1770 KLocale::weekNumberSystem()
    {71, 3288, 0, 0, Smoke::mf_const, 140, 65},	//1771 KLocale::weekNumberSystem() const
    {71, 2385, 280, 2, Smoke::mf_const, 612, 66},	//1772 KLocale::readMoney(const QString&, bool*) const
    {71, 2389, 280, 2, Smoke::mf_const, 612, 67},	//1773 KLocale::readNumber(const QString&, bool*) const
    {71, 2355, 280, 2, Smoke::mf_const, 276, 68},	//1774 KLocale::readDate(const QString&, bool*) const
    {71, 2355, 287, 3, Smoke::mf_const, 276, 69},	//1775 KLocale::readDate(const QString&, const QString&, bool*) const
    {71, 2355, 283, 3, Smoke::mf_const, 276, 70},	//1776 KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {71, 2396, 280, 2, Smoke::mf_const, 361, 71},	//1777 KLocale::readTime(const QString&, bool*) const
    {71, 2396, 1321, 3, Smoke::mf_const, 361, 72},	//1778 KLocale::readTime(const QString&, KLocale::ReadTimeFlags, bool*) const
    {71, 2380, 1325, 4, Smoke::mf_const, 361, 73},	//1779 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>) const
    {71, 1964, 0, 0, Smoke::mf_const, 351, 74},	//1780 KLocale::language() const
    {71, 1217, 0, 0, Smoke::mf_const, 351, 75},	//1781 KLocale::country() const
    {71, 1221, 0, 0, Smoke::mf_const, 351, 76},	//1782 KLocale::countryDivisionCode() const
    {71, 1969, 0, 0, Smoke::mf_const, 354, 77},	//1783 KLocale::languageList() const
    {71, 1242, 0, 0, Smoke::mf_const, 354, 78},	//1784 KLocale::currencyCodeList() const
    {71, 1423, 0, 0, Smoke::mf_const, 548, 79},	//1785 KLocale::encoding() const
    {71, 1427, 0, 0, Smoke::mf_const, 615, 80},	//1786 KLocale::encodingMib() const
    {71, 1170, 0, 0, Smoke::mf_const, 359, 81},	//1787 KLocale::codecForEncoding() const
    {71, 1513, 0, 0, Smoke::mf_const, 615, 82},	//1788 KLocale::fileEncodingMib() const
    {71, 2593, 30, 1, 0, 0, 83},	//1789 KLocale::setDateFormat(const QString&)
    {71, 2595, 30, 1, 0, 0, 84},	//1790 KLocale::setDateFormatShort(const QString&)
    {71, 2599, 103, 1, 0, 0, 85},	//1791 KLocale::setDateMonthNamePossessive(bool)
    {71, 2907, 30, 1, 0, 0, 86},	//1792 KLocale::setTimeFormat(const QString&)
    {71, 2605, 1330, 1, 0, 0, 87},	//1793 KLocale::setDateTimeDigitSet(KLocale::DigitSet)
    {71, 2937, 118, 1, 0, 0, 88},	//1794 KLocale::setWeekStartDay(int)
    {71, 2943, 118, 1, 0, 0, 89},	//1795 KLocale::setWorkingWeekStartDay(int)
    {71, 2941, 118, 1, 0, 0, 90},	//1796 KLocale::setWorkingWeekEndDay(int)
    {71, 2933, 118, 1, 0, 0, 91},	//1797 KLocale::setWeekDayOfPray(int)
    {71, 1273, 0, 0, Smoke::mf_const, 351, 92},	//1798 KLocale::dateFormat() const
    {71, 1274, 0, 0, Smoke::mf_const, 351, 93},	//1799 KLocale::dateFormatShort() const
    {71, 3113, 0, 0, Smoke::mf_const, 351, 94},	//1800 KLocale::timeFormat() const
    {71, 2609, 30, 1, 0, 0, 95},	//1801 KLocale::setDecimalSymbol(const QString&)
    {71, 2903, 30, 1, 0, 0, 96},	//1802 KLocale::setThousandsSeparator(const QString&)
    {71, 2840, 30, 1, 0, 0, 97},	//1803 KLocale::setPositiveSign(const QString&)
    {71, 2805, 30, 1, 0, 0, 98},	//1804 KLocale::setNegativeSign(const QString&)
    {71, 2624, 1330, 1, 0, 0, 99},	//1805 KLocale::setDigitSet(KLocale::DigitSet)
    {71, 2836, 1332, 1, 0, 0, 100},	//1806 KLocale::setPositiveMonetarySignPosition(KLocale::SignPosition)
    {71, 2801, 1332, 1, 0, 0, 101},	//1807 KLocale::setNegativeMonetarySignPosition(KLocale::SignPosition)
    {71, 2838, 103, 1, 0, 0, 102},	//1808 KLocale::setPositivePrefixCurrencySymbol(bool)
    {71, 2803, 103, 1, 0, 0, 103},	//1809 KLocale::setNegativePrefixCurrencySymbol(bool)
    {71, 2663, 118, 1, 0, 0, 104},	//1810 KLocale::setFracDigits(int)
    {71, 2607, 118, 1, 0, 0, 105},	//1811 KLocale::setDecimalPlaces(int)
    {71, 2791, 118, 1, 0, 0, 106},	//1812 KLocale::setMonetaryDecimalPlaces(int)
    {71, 2797, 30, 1, 0, 0, 107},	//1813 KLocale::setMonetaryThousandsSeparator(const QString&)
    {71, 2793, 30, 1, 0, 0, 108},	//1814 KLocale::setMonetaryDecimalSymbol(const QString&)
    {71, 2572, 30, 1, 0, 0, 109},	//1815 KLocale::setCurrencyCode(const QString&)
    {71, 2574, 30, 1, 0, 0, 110},	//1816 KLocale::setCurrencySymbol(const QString&)
    {71, 2795, 1330, 1, 0, 0, 111},	//1817 KLocale::setMonetaryDigitSet(KLocale::DigitSet)
    {71, 2228, 0, 0, Smoke::mf_const, 615, 112},	//1818 KLocale::pageSize() const
    {71, 2821, 118, 1, 0, 0, 113},	//1819 KLocale::setPageSize(int)
    {71, 2072, 0, 0, Smoke::mf_const, 134, 114},	//1820 KLocale::measureSystem() const
    {71, 2781, 1334, 1, 0, 0, 115},	//1821 KLocale::setMeasureSystem(KLocale::MeasureSystem)
    {71, 1759, 30, 1, 0, 0, 116},	//1822 KLocale::insertCatalog(const QString&)
    {71, 2433, 30, 1, 0, 0, 117},	//1823 KLocale::removeCatalog(const QString&)
    {71, 2515, 30, 1, 0, 0, 118},	//1824 KLocale::setActiveCatalog(const QString&)
    {71, 3177, 1336, 3, Smoke::mf_const, 351, 119},	//1825 KLocale::translateQt(const char*, const char*, const char*) const
    {71, 1027, 0, 0, Smoke::mf_const, 354, 120},	//1826 KLocale::allLanguagesList() const
    {71, 1763, 0, 0, Smoke::mf_const, 354, 121},	//1827 KLocale::installedLanguages() const
    {71, 1965, 30, 1, Smoke::mf_const, 351, 122},	//1828 KLocale::languageCodeToName(const QString&) const
    {71, 1021, 0, 0, Smoke::mf_const, 354, 123},	//1829 KLocale::allCountriesList() const
    {71, 1219, 30, 1, Smoke::mf_const, 351, 124},	//1830 KLocale::countryCodeToName(const QString&) const
    {71, 2983, 1340, 5, Smoke::mf_static, 0, 125},	//1831 KLocale::splitLocale(const QString&, QString&, QString&, QString&, QString&)
    {71, 2769, 122, 1, Smoke::mf_static, 0, 126},	//1832 KLocale::setMainCatalog(const char*)
    {71, 1961, 524, 2, Smoke::mf_static, 351, 127},	//1833 KLocale::langLookup(const QString&, const char*)
    {71, 1339, 0, 0, Smoke::mf_static, 351, 128},	//1834 KLocale::defaultLanguage()
    {71, 1337, 0, 0, Smoke::mf_static, 351, 129},	//1835 KLocale::defaultCountry()
    {71, 1338, 0, 0, Smoke::mf_static, 351, 130},	//1836 KLocale::defaultCurrencyCode()
    {71, 3225, 0, 0, Smoke::mf_const, 452, 131},	//1837 KLocale::useTranscript() const
    {71, 1791, 30, 1, 0, 452, 132},	//1838 KLocale::isApplicationTranslatedInto(const QString&)
    {71, 1207, 1159, 1, 0, 0, 133},	//1839 KLocale::copyCatalogsTo(KLocale*)
    {71, 2568, 467, 2, 0, 452, 134},	//1840 KLocale::setCountry(const QString&, KConfig*)
    {71, 2570, 30, 1, 0, 452, 135},	//1841 KLocale::setCountryDivisionCode(const QString&)
    {71, 2691, 467, 2, 0, 452, 136},	//1842 KLocale::setLanguage(const QString&, KConfig*)
    {71, 2691, 141, 1, 0, 452, 137},	//1843 KLocale::setLanguage(const QStringList&)
    {71, 2005, 30, 1, Smoke::mf_const, 351, 138},	//1844 KLocale::localizedFilePath(const QString&) const
    {71, 2431, 30, 1, Smoke::mf_const, 351, 139},	//1845 KLocale::removeAcceleratorMarker(const QString&) const
    {71, 1204, 1346, 3, Smoke::mf_const, 351, 140},	//1846 KLocale::convertDigits(const QString&, KLocale::DigitSet, bool) const
    {71, 2448, 0, 0, 0, 0, 141},	//1847 KLocale::reparseConfiguration()
    {71, 401, 30, 1, Smoke::mf_ctor, 123, 142},	//1848 KLocale::KLocale(const QString&)
    {71, 401, 95, 2, Smoke::mf_ctor, 123, 143},	//1849 KLocale::KLocale(const QString&, const QString&)
    {71, 401, 1350, 3, Smoke::mf_ctor, 123, 144},	//1850 KLocale::KLocale(const QString&, const QString&, const QString&)
    {71, 1387, 1330, 1, Smoke::mf_const, 351, 145},	//1851 KLocale::digitSetToName(KLocale::DigitSet) const
    {71, 1610, 798, 1, Smoke::mf_const, 351, 146},	//1852 KLocale::formatMoney(double) const
    {71, 1610, 1354, 2, Smoke::mf_const, 351, 147},	//1853 KLocale::formatMoney(double, const QString&) const
    {71, 1614, 798, 1, Smoke::mf_const, 351, 148},	//1854 KLocale::formatNumber(double) const
    {71, 1614, 30, 1, Smoke::mf_const, 351, 149},	//1855 KLocale::formatNumber(const QString&) const
    {71, 1614, 1357, 2, Smoke::mf_const, 351, 150},	//1856 KLocale::formatNumber(const QString&, bool) const
    {71, 1589, 1285, 2, Smoke::mf_const, 351, 151},	//1857 KLocale::formatByteSize(double, int) const
    {71, 1589, 1360, 3, Smoke::mf_const, 351, 152},	//1858 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect) const
    {71, 1594, 196, 1, Smoke::mf_const, 351, 153},	//1859 KLocale::formatDate(const QDate&) const
    {71, 1599, 1037, 1, Smoke::mf_const, 351, 154},	//1860 KLocale::formatDateTime(const QDateTime&) const
    {71, 1599, 1364, 2, Smoke::mf_const, 351, 155},	//1861 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    {71, 1599, 1039, 1, Smoke::mf_const, 351, 156},	//1862 KLocale::formatDateTime(const KDateTime&) const
    {71, 1599, 1367, 2, Smoke::mf_const, 351, 157},	//1863 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    {71, 1618, 1045, 1, Smoke::mf_const, 351, 158},	//1864 KLocale::formatTime(const QTime&) const
    {71, 1618, 1370, 2, Smoke::mf_const, 351, 159},	//1865 KLocale::formatTime(const QTime&, bool) const
    {71, 1605, 1045, 1, Smoke::mf_const, 351, 160},	//1866 KLocale::formatLocaleTime(const QTime&) const
    {71, 1294, 1045, 1, Smoke::mf_const, 351, 161},	//1867 KLocale::dayPeriodText(const QTime&) const
    {71, 2385, 30, 1, Smoke::mf_const, 612, 162},	//1868 KLocale::readMoney(const QString&) const
    {71, 2389, 30, 1, Smoke::mf_const, 612, 163},	//1869 KLocale::readNumber(const QString&) const
    {71, 2355, 30, 1, Smoke::mf_const, 276, 164},	//1870 KLocale::readDate(const QString&) const
    {71, 2355, 95, 2, Smoke::mf_const, 276, 165},	//1871 KLocale::readDate(const QString&, const QString&) const
    {71, 2355, 332, 2, Smoke::mf_const, 276, 166},	//1872 KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    {71, 2396, 30, 1, Smoke::mf_const, 361, 167},	//1873 KLocale::readTime(const QString&) const
    {71, 2396, 1373, 2, Smoke::mf_const, 361, 168},	//1874 KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    {71, 2380, 30, 1, Smoke::mf_const, 361, 169},	//1875 KLocale::readLocaleTime(const QString&) const
    {71, 2380, 280, 2, Smoke::mf_const, 361, 170},	//1876 KLocale::readLocaleTime(const QString&, bool*) const
    {71, 2380, 1376, 3, Smoke::mf_const, 361, 171},	//1877 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>) const
    {71, 1961, 30, 1, Smoke::mf_static, 351, 172},	//1878 KLocale::langLookup(const QString&)
    {71, 1204, 1380, 2, Smoke::mf_const, 351, 173},	//1879 KLocale::convertDigits(const QString&, KLocale::DigitSet) const
    {71, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 174},	//1880 KLocale::ParensAround (enum)
    {71, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 175},	//1881 KLocale::BeforeQuantityMoney (enum)
    {71, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 176},	//1882 KLocale::AfterQuantityMoney (enum)
    {71, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 177},	//1883 KLocale::BeforeMoney (enum)
    {71, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 178},	//1884 KLocale::AfterMoney (enum)
    {71, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 179},	//1885 KLocale::ArabicDigits (enum)
    {71, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 180},	//1886 KLocale::ArabicIndicDigits (enum)
    {71, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 181},	//1887 KLocale::EasternArabicIndicDigits (enum)
    {71, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 182},	//1888 KLocale::DevenagariDigits (enum)
    {71, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 183},	//1889 KLocale::BengaliDigits (enum)
    {71, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 184},	//1890 KLocale::GujaratiDigits (enum)
    {71, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 185},	//1891 KLocale::GurmukhiDigits (enum)
    {71, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 186},	//1892 KLocale::KannadaDigits (enum)
    {71, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 187},	//1893 KLocale::KhmerDigits (enum)
    {71, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 188},	//1894 KLocale::MalayalamDigits (enum)
    {71, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 189},	//1895 KLocale::OriyaDigits (enum)
    {71, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 190},	//1896 KLocale::TamilDigits (enum)
    {71, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 191},	//1897 KLocale::TeluguDigits (enum)
    {71, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 192},	//1898 KLocale::ThaiDigits (enum)
    {71, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 193},	//1899 KLocale::DefaultBinaryUnits (enum)
    {71, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 194},	//1900 KLocale::UnitByte (enum)
    {71, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 195},	//1901 KLocale::UnitKiloByte (enum)
    {71, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 196},	//1902 KLocale::UnitMegaByte (enum)
    {71, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 197},	//1903 KLocale::UnitGigaByte (enum)
    {71, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 198},	//1904 KLocale::UnitTeraByte (enum)
    {71, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 199},	//1905 KLocale::UnitPetaByte (enum)
    {71, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 200},	//1906 KLocale::UnitExaByte (enum)
    {71, 789, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 201},	//1907 KLocale::UnitZettaByte (enum)
    {71, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 202},	//1908 KLocale::UnitYottaByte (enum)
    {71, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 203},	//1909 KLocale::UnitLastUnit (enum)
    {71, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 204},	//1910 KLocale::DefaultBinaryDialect (enum)
    {71, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 205},	//1911 KLocale::IECBinaryDialect (enum)
    {71, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 206},	//1912 KLocale::JEDECBinaryDialect (enum)
    {71, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 207},	//1913 KLocale::MetricBinaryDialect (enum)
    {71, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 208},	//1914 KLocale::LastBinaryDialect (enum)
    {71, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 209},	//1915 KLocale::QDateCalendar (enum)
    {71, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 210},	//1916 KLocale::CopticCalendar (enum)
    {71, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 211},	//1917 KLocale::EthiopianCalendar (enum)
    {71, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 212},	//1918 KLocale::GregorianCalendar (enum)
    {71, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 213},	//1919 KLocale::HebrewCalendar (enum)
    {71, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 214},	//1920 KLocale::IslamicCivilCalendar (enum)
    {71, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 215},	//1921 KLocale::IndianNationalCalendar (enum)
    {71, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 216},	//1922 KLocale::JalaliCalendar (enum)
    {71, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 217},	//1923 KLocale::JapaneseCalendar (enum)
    {71, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 218},	//1924 KLocale::JulianCalendar (enum)
    {71, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 219},	//1925 KLocale::MinguoCalendar (enum)
    {71, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 220},	//1926 KLocale::ThaiCalendar (enum)
    {71, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 221},	//1927 KLocale::DefaultWeekNumber (enum)
    {71, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 222},	//1928 KLocale::IsoWeekNumber (enum)
    {71, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 223},	//1929 KLocale::FirstFullWeek (enum)
    {71, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 224},	//1930 KLocale::FirstPartialWeek (enum)
    {71, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 225},	//1931 KLocale::SimpleWeek (enum)
    {71, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 226},	//1932 KLocale::KdeFormat (enum)
    {71, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 227},	//1933 KLocale::PosixFormat (enum)
    {71, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 228},	//1934 KLocale::UnicodeFormat (enum)
    {71, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 229},	//1935 KLocale::LiberalParsing (enum)
    {71, 821, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 230},	//1936 KLocale::Year (enum)
    {71, 823, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 231},	//1937 KLocale::YearName (enum)
    {71, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 232},	//1938 KLocale::Month (enum)
    {71, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 233},	//1939 KLocale::MonthName (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 234},	//1940 KLocale::Day (enum)
    {71, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 235},	//1941 KLocale::DayName (enum)
    {71, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 236},	//1942 KLocale::JulianDay (enum)
    {71, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 237},	//1943 KLocale::EraName (enum)
    {71, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 238},	//1944 KLocale::EraYear (enum)
    {71, 822, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 239},	//1945 KLocale::YearInEra (enum)
    {71, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 240},	//1946 KLocale::DayOfYear (enum)
    {71, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 241},	//1947 KLocale::DayOfYearName (enum)
    {71, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 242},	//1948 KLocale::DayOfWeek (enum)
    {71, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 243},	//1949 KLocale::DayOfWeekName (enum)
    {71, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 244},	//1950 KLocale::Week (enum)
    {71, 808, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 245},	//1951 KLocale::WeekYear (enum)
    {71, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 246},	//1952 KLocale::MonthsInYear (enum)
    {71, 809, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 247},	//1953 KLocale::WeeksInYear (enum)
    {71, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 248},	//1954 KLocale::DaysInYear (enum)
    {71, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 249},	//1955 KLocale::DaysInMonth (enum)
    {71, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 250},	//1956 KLocale::DaysInWeek (enum)
    {71, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 251},	//1957 KLocale::Hour (enum)
    {71, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 252},	//1958 KLocale::Minute (enum)
    {71, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 253},	//1959 KLocale::Second (enum)
    {71, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 254},	//1960 KLocale::Millisecond (enum)
    {71, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 255},	//1961 KLocale::DayPeriod (enum)
    {71, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 256},	//1962 KLocale::DayPeriodHour (enum)
    {71, 765, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 257},	//1963 KLocale::Timezone (enum)
    {71, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 258},	//1964 KLocale::TimezoneName (enum)
    {71, 792, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 259},	//1965 KLocale::UnixTime (enum)
    {71, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 260},	//1966 KLocale::DefaultComponentFormat (enum)
    {71, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 261},	//1967 KLocale::ShortNumber (enum)
    {71, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 262},	//1968 KLocale::LongNumber (enum)
    {71, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 263},	//1969 KLocale::NarrowName (enum)
    {71, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 264},	//1970 KLocale::ShortName (enum)
    {71, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 265},	//1971 KLocale::LongName (enum)
    {71, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 266},	//1972 KLocale::ShortDate (enum)
    {71, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 267},	//1973 KLocale::LongDate (enum)
    {71, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 268},	//1974 KLocale::FancyShortDate (enum)
    {71, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 269},	//1975 KLocale::FancyLongDate (enum)
    {71, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 270},	//1976 KLocale::IsoDate (enum)
    {71, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 271},	//1977 KLocale::IsoWeekDate (enum)
    {71, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 272},	//1978 KLocale::IsoOrdinalDate (enum)
    {71, 763, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 273},	//1979 KLocale::TimeZone (enum)
    {71, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 274},	//1980 KLocale::Seconds (enum)
    {71, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 275},	//1981 KLocale::TimeDefault (enum)
    {71, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 276},	//1982 KLocale::TimeWithoutSeconds (enum)
    {71, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 277},	//1983 KLocale::TimeWithoutAmPm (enum)
    {71, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 278},	//1984 KLocale::TimeDuration (enum)
    {71, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 279},	//1985 KLocale::TimeFoldHours (enum)
    {71, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 280},	//1986 KLocale::NormalFormat (enum)
    {71, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 281},	//1987 KLocale::ShortFormat (enum)
    {71, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 282},	//1988 KLocale::IsoFormat (enum)
    {71, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 283},	//1989 KLocale::IsoWeekFormat (enum)
    {71, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 284},	//1990 KLocale::IsoOrdinalFormat (enum)
    {71, 812, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 285},	//1991 KLocale::WithSeconds (enum)
    {71, 813, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 286},	//1992 KLocale::WithoutSeconds (enum)
    {71, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 287},	//1993 KLocale::ProcessStrict (enum)
    {71, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 288},	//1994 KLocale::ProcessNonStrict (enum)
    {71, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 289},	//1995 KLocale::Metric (enum)
    {71, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 290},	//1996 KLocale::Imperial (enum)
    {71, 3405, 0, 0, Smoke::mf_dtor, 0, 291 },	//1997 KLocale::~KLocale()
    {72, 408, 0, 0, Smoke::mf_ctor, 143, 1},	//1998 KLocalizedString::KLocalizedString()
    {72, 408, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//1999 KLocalizedString::KLocalizedString(const KLocalizedString&)
    {72, 2199, 28, 1, 0, 142, 3},	//2000 KLocalizedString::operator=(const KLocalizedString&)
    {72, 3129, 0, 0, Smoke::mf_const, 351, 4},	//2001 KLocalizedString::toString() const
    {72, 3129, 30, 1, Smoke::mf_const, 351, 5},	//2002 KLocalizedString::toString(const QString&) const
    {72, 3129, 179, 1, Smoke::mf_const, 351, 6},	//2003 KLocalizedString::toString(const KLocale*) const
    {72, 3129, 1383, 2, Smoke::mf_const, 351, 7},	//2004 KLocalizedString::toString(const KLocale*, const QString&) const
    {72, 1824, 0, 0, Smoke::mf_const, 452, 8},	//2005 KLocalizedString::isEmpty() const
    {72, 3062, 1386, 4, Smoke::mf_const, 141, 9},	//2006 KLocalizedString::subs(int, int, int, const QChar&) const
    {72, 3062, 1391, 4, Smoke::mf_const, 141, 10},	//2007 KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    {72, 3062, 1396, 4, Smoke::mf_const, 141, 11},	//2008 KLocalizedString::subs(long, int, int, const QChar&) const
    {72, 3062, 1401, 4, Smoke::mf_const, 141, 12},	//2009 KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    {72, 3062, 1406, 4, Smoke::mf_const, 141, 13},	//2010 KLocalizedString::subs(long long, int, int, const QChar&) const
    {72, 3062, 1411, 4, Smoke::mf_const, 141, 14},	//2011 KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    {72, 3062, 1416, 5, Smoke::mf_const, 141, 15},	//2012 KLocalizedString::subs(double, int, char, int, const QChar&) const
    {72, 3062, 1422, 3, Smoke::mf_const, 141, 16},	//2013 KLocalizedString::subs(QChar, int, const QChar&) const
    {72, 3062, 1426, 3, Smoke::mf_const, 141, 17},	//2014 KLocalizedString::subs(const QString&, int, const QChar&) const
    {72, 1739, 95, 2, Smoke::mf_const, 141, 18},	//2015 KLocalizedString::inContext(const QString&, const QString&) const
    {72, 2138, 1430, 2, Smoke::mf_static, 0, 19},	//2016 KLocalizedString::notifyCatalogsUpdated(const QStringList&, const QList<KCatalogName>&)
    {72, 3062, 118, 1, Smoke::mf_const, 141, 20},	//2017 KLocalizedString::subs(int) const
    {72, 3062, 188, 2, Smoke::mf_const, 141, 21},	//2018 KLocalizedString::subs(int, int) const
    {72, 3062, 184, 3, Smoke::mf_const, 141, 22},	//2019 KLocalizedString::subs(int, int, int) const
    {72, 3062, 952, 1, Smoke::mf_const, 141, 23},	//2020 KLocalizedString::subs(unsigned int) const
    {72, 3062, 1433, 2, Smoke::mf_const, 141, 24},	//2021 KLocalizedString::subs(unsigned int, int) const
    {72, 3062, 1436, 3, Smoke::mf_const, 141, 25},	//2022 KLocalizedString::subs(unsigned int, int, int) const
    {72, 3062, 1292, 1, Smoke::mf_const, 141, 26},	//2023 KLocalizedString::subs(long) const
    {72, 3062, 1440, 2, Smoke::mf_const, 141, 27},	//2024 KLocalizedString::subs(long, int) const
    {72, 3062, 1443, 3, Smoke::mf_const, 141, 28},	//2025 KLocalizedString::subs(long, int, int) const
    {72, 3062, 1177, 1, Smoke::mf_const, 141, 29},	//2026 KLocalizedString::subs(unsigned long) const
    {72, 3062, 1447, 2, Smoke::mf_const, 141, 30},	//2027 KLocalizedString::subs(unsigned long, int) const
    {72, 3062, 1450, 3, Smoke::mf_const, 141, 31},	//2028 KLocalizedString::subs(unsigned long, int, int) const
    {72, 3062, 861, 1, Smoke::mf_const, 141, 32},	//2029 KLocalizedString::subs(long long) const
    {72, 3062, 1454, 2, Smoke::mf_const, 141, 33},	//2030 KLocalizedString::subs(long long, int) const
    {72, 3062, 1457, 3, Smoke::mf_const, 141, 34},	//2031 KLocalizedString::subs(long long, int, int) const
    {72, 3062, 965, 1, Smoke::mf_const, 141, 35},	//2032 KLocalizedString::subs(unsigned long long) const
    {72, 3062, 1461, 2, Smoke::mf_const, 141, 36},	//2033 KLocalizedString::subs(unsigned long long, int) const
    {72, 3062, 1464, 3, Smoke::mf_const, 141, 37},	//2034 KLocalizedString::subs(unsigned long long, int, int) const
    {72, 3062, 798, 1, Smoke::mf_const, 141, 38},	//2035 KLocalizedString::subs(double) const
    {72, 3062, 1285, 2, Smoke::mf_const, 141, 39},	//2036 KLocalizedString::subs(double, int) const
    {72, 3062, 1468, 3, Smoke::mf_const, 141, 40},	//2037 KLocalizedString::subs(double, int, char) const
    {72, 3062, 1472, 4, Smoke::mf_const, 141, 41},	//2038 KLocalizedString::subs(double, int, char, int) const
    {72, 3062, 340, 1, Smoke::mf_const, 141, 42},	//2039 KLocalizedString::subs(QChar) const
    {72, 3062, 1477, 2, Smoke::mf_const, 141, 43},	//2040 KLocalizedString::subs(QChar, int) const
    {72, 3062, 30, 1, Smoke::mf_const, 141, 44},	//2041 KLocalizedString::subs(const QString&) const
    {72, 3062, 1014, 2, Smoke::mf_const, 141, 45},	//2042 KLocalizedString::subs(const QString&, int) const
    {72, 3406, 0, 0, Smoke::mf_dtor, 0, 46 },	//2043 KLocalizedString::~KLocalizedString()
    {73, 410, 1202, 2, Smoke::mf_ctor, 144, 1},	//2044 KLockFile::KLockFile(const QString&, const KComponentData&)
    {73, 2020, 1480, 1, 0, 146, 2},	//2045 KLockFile::lock(QFlags<KLockFile::LockFlag>)
    {73, 1853, 0, 0, Smoke::mf_const, 452, 3},	//2046 KLockFile::isLocked() const
    {73, 3201, 0, 0, 0, 0, 4},	//2047 KLockFile::unlock()
    {73, 2988, 0, 0, Smoke::mf_const, 615, 5},	//2048 KLockFile::staleTime() const
    {73, 2891, 118, 1, 0, 0, 6},	//2049 KLockFile::setStaleTime(int)
    {73, 1658, 1482, 3, 0, 452, 7},	//2050 KLockFile::getLockInfo(int&, QString&, QString&)
    {73, 410, 1486, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 8},	//2051 KLockFile::KLockFile(const KLockFile&)
    {73, 410, 30, 1, Smoke::mf_ctor, 144, 9},	//2052 KLockFile::KLockFile(const QString&)
    {73, 2020, 0, 0, 0, 146, 10},	//2053 KLockFile::lock()
    {73, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 11},	//2054 KLockFile::LockOK (enum)
    {73, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 12},	//2055 KLockFile::LockFail (enum)
    {73, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 13},	//2056 KLockFile::LockError (enum)
    {73, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 14},	//2057 KLockFile::LockStale (enum)
    {73, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 15},	//2058 KLockFile::NoBlockFlag (enum)
    {73, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 16},	//2059 KLockFile::ForceFlag (enum)
    {73, 3407, 0, 0, Smoke::mf_dtor, 0, 17 },	//2060 KLockFile::~KLockFile()
    {74, 414, 0, 0, Smoke::mf_ctor, 147, 1},	//2061 KMD5::KMD5()
    {74, 414, 1108, 2, Smoke::mf_ctor, 147, 2},	//2062 KMD5::KMD5(const char*, int)
    {74, 414, 32, 1, Smoke::mf_ctor, 147, 3},	//2063 KMD5::KMD5(const QByteArray&)
    {74, 3209, 1108, 2, 0, 0, 4},	//2064 KMD5::update(const char*, int)
    {74, 3209, 1488, 2, 0, 0, 5},	//2065 KMD5::update(const unsigned char*, int)
    {74, 3209, 32, 1, 0, 0, 6},	//2066 KMD5::update(const QByteArray&)
    {74, 3209, 1491, 1, 0, 452, 7},	//2067 KMD5::update(QIODevice&)
    {74, 2455, 0, 0, 0, 0, 8},	//2068 KMD5::reset()
    {74, 2340, 0, 0, 0, 607, 9},	//2069 KMD5::rawDigest()
    {74, 2340, 1493, 1, 0, 0, 10},	//2070 KMD5::rawDigest(unsigned char(&)[16])
    {74, 1721, 0, 0, 0, 264, 11},	//2071 KMD5::hexDigest()
    {74, 1721, 1495, 1, 0, 0, 12},	//2072 KMD5::hexDigest(QByteArray&)
    {74, 1089, 0, 0, 0, 264, 13},	//2073 KMD5::base64Digest()
    {74, 3248, 1497, 1, 0, 452, 14},	//2074 KMD5::verify(const unsigned char(&)[16])
    {74, 3248, 32, 1, 0, 452, 15},	//2075 KMD5::verify(const QByteArray&)
    {74, 3159, 1499, 1, Smoke::mf_protected, 0, 16},	//2076 KMD5::transform(const unsigned char[64])
    {74, 1519, 0, 0, Smoke::mf_protected, 0, 17},	//2077 KMD5::finalize()
    {74, 414, 122, 1, Smoke::mf_ctor, 147, 18},	//2078 KMD5::KMD5(const char*)
    {74, 3209, 122, 1, 0, 0, 19},	//2079 KMD5::update(const char*)
    {74, 3209, 1501, 1, 0, 0, 20},	//2080 KMD5::update(const unsigned char*)
    {74, 3408, 0, 0, Smoke::mf_dtor, 0, 21 },	//2081 KMD5::~KMD5()
    {75, 1485, 1503, 3, Smoke::mf_static, 351, 1},	//2082 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    {75, 1485, 1507, 2, Smoke::mf_static, 351, 2},	//2083 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    {75, 1489, 1510, 3, Smoke::mf_static, 351, 3},	//2084 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    {75, 1489, 1514, 2, Smoke::mf_static, 351, 4},	//2085 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    {75, 1485, 1510, 3, Smoke::mf_static, 351, 5},	//2086 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    {75, 1485, 1514, 2, Smoke::mf_static, 351, 6},	//2087 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    {75, 1489, 1503, 3, Smoke::mf_static, 351, 7},	//2088 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    {75, 1489, 1507, 2, Smoke::mf_static, 351, 8},	//2089 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    {75, 1485, 1517, 3, Smoke::mf_static, 351, 9},	//2090 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    {75, 1485, 1521, 2, Smoke::mf_static, 351, 10},	//2091 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    {75, 1485, 1524, 3, Smoke::mf_static, 351, 11},	//2092 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    {75, 1485, 1528, 2, Smoke::mf_static, 351, 12},	//2093 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    {75, 1489, 1517, 3, Smoke::mf_static, 351, 13},	//2094 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    {75, 1489, 1521, 2, Smoke::mf_static, 351, 14},	//2095 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    {75, 1489, 1524, 3, Smoke::mf_static, 351, 15},	//2096 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    {75, 1489, 1528, 2, Smoke::mf_static, 351, 16},	//2097 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    {76, 418, 340, 1, Smoke::mf_ctor, 148, 1},	//2098 KMacroExpanderBase::KMacroExpanderBase(QChar)
    {76, 1485, 1531, 1, 0, 0, 2},	//2099 KMacroExpanderBase::expandMacros(QString&)
    {76, 1489, 1533, 2, 0, 452, 3},	//2100 KMacroExpanderBase::expandMacrosShellQuote(QString&, int&)
    {76, 1489, 1531, 1, 0, 452, 4},	//2101 KMacroExpanderBase::expandMacrosShellQuote(QString&)
    {76, 2646, 340, 1, 0, 0, 5},	//2102 KMacroExpanderBase::setEscapeChar(QChar)
    {76, 1459, 0, 0, Smoke::mf_const, 266, 6},	//2103 KMacroExpanderBase::escapeChar() const
    {76, 1494, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 7},	//2104 KMacroExpanderBase::expandPlainMacro(const QString&, int, QStringList&)
    {76, 1480, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 8},	//2105 KMacroExpanderBase::expandEscapedMacro(const QString&, int, QStringList&)
    {76, 418, 1536, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 9},	//2106 KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    {76, 418, 0, 0, Smoke::mf_ctor, 148, 10},	//2107 KMacroExpanderBase::KMacroExpanderBase()
    {76, 3409, 0, 0, Smoke::mf_dtor, 0, 11 },	//2108 KMacroExpanderBase::~KMacroExpanderBase()
    {77, 2074, 1538, 3, Smoke::mf_static, 0, 1},	//2109 KMessage::message(KMessage::MessageType, const QString&, const QString&)
    {77, 2074, 1542, 2, Smoke::mf_static, 0, 2},	//2110 KMessage::message(KMessage::MessageType, const QString&)
    {77, 2785, 1545, 1, Smoke::mf_static, 0, 3},	//2111 KMessage::setMessageHandler(KMessageHandler*)
    {77, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 4},	//2112 KMessage::Error (enum)
    {77, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 5},	//2113 KMessage::Information (enum)
    {77, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 6},	//2114 KMessage::Warning (enum)
    {77, 724, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 7},	//2115 KMessage::Sorry (enum)
    {77, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 8},	//2116 KMessage::Fatal (enum)
    {78, 2074, 1538, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//2117 KMessageHandler::message(KMessage::MessageType, const QString&, const QString&) [pure virtual]
    {78, 420, 0, 0, Smoke::mf_ctor, 150, 2},	//2118 KMessageHandler::KMessageHandler()
    {78, 420, 1547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 3},	//2119 KMessageHandler::KMessageHandler(const KMessageHandler&)
    {78, 3410, 0, 0, Smoke::mf_dtor, 0, 4 },	//2120 KMessageHandler::~KMessageHandler()
    {79, 1732, 148, 1, Smoke::mf_const, 351, 1},	//2121 KMimeType::iconName(const KUrl&) const
    {79, 1734, 1549, 2, Smoke::mf_static, 351, 2},	//2122 KMimeType::iconNameForUrl(const KUrl&, unsigned int)
    {79, 1506, 148, 1, Smoke::mf_static, 351, 3},	//2123 KMimeType::favIconForUrl(const KUrl&)
    {79, 1176, 148, 1, Smoke::mf_const, 351, 4},	//2124 KMimeType::comment(const KUrl&) const
    {79, 2245, 0, 0, Smoke::mf_const, 354, 5},	//2125 KMimeType::patterns() const
    {79, 2078, 1552, 2, Smoke::mf_static, 191, 6},	//2126 KMimeType::mimeType(const QString&, KMimeType::FindByNameOption)
    {79, 1544, 1555, 5, Smoke::mf_static, 191, 7},	//2127 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool, int*)
    {79, 1539, 1561, 4, Smoke::mf_static, 191, 8},	//2128 KMimeType::findByPath(const QString&, unsigned int, bool, int*)
    {79, 1529, 1566, 2, Smoke::mf_static, 191, 9},	//2129 KMimeType::findByContent(const QByteArray&, int*)
    {79, 1535, 1569, 4, Smoke::mf_static, 191, 10},	//2130 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    {79, 1529, 1574, 2, Smoke::mf_static, 191, 11},	//2131 KMimeType::findByContent(QIODevice*, int*)
    {79, 1535, 1577, 4, Smoke::mf_static, 191, 12},	//2132 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    {79, 1532, 1582, 2, Smoke::mf_static, 191, 13},	//2133 KMimeType::findByFileContent(const QString&, int*)
    {79, 1799, 30, 1, Smoke::mf_static, 452, 14},	//2134 KMimeType::isBinaryData(const QString&)
    {79, 1801, 32, 1, Smoke::mf_static, 452, 15},	//2135 KMimeType::isBufferBinaryData(const QByteArray&)
    {79, 1028, 0, 0, Smoke::mf_static, 322, 16},	//2136 KMimeType::allMimeTypes()
    {79, 1341, 0, 0, Smoke::mf_static, 351, 17},	//2137 KMimeType::defaultMimeType()
    {79, 1342, 0, 0, Smoke::mf_static, 191, 18},	//2138 KMimeType::defaultMimeTypePtr()
    {79, 1812, 0, 0, Smoke::mf_const, 452, 19},	//2139 KMimeType::isDefault() const
    {79, 2231, 0, 0, Smoke::mf_const, 351, 20},	//2140 KMimeType::parentMimeType() const
    {79, 2232, 0, 0, Smoke::mf_const, 354, 21},	//2141 KMimeType::parentMimeTypes() const
    {79, 1029, 0, 0, Smoke::mf_const, 354, 22},	//2142 KMimeType::allParentMimeTypes() const
    {79, 1788, 30, 1, Smoke::mf_const, 452, 23},	//2143 KMimeType::is(const QString&) const
    {79, 3229, 0, 0, Smoke::mf_const, 351, 24},	//2144 KMimeType::userSpecifiedIconName() const
    {79, 2056, 0, 0, Smoke::mf_const, 351, 25},	//2145 KMimeType::mainExtension() const
    {79, 1498, 30, 1, Smoke::mf_static, 351, 26},	//2146 KMimeType::extractKnownExtension(const QString&)
    {79, 2064, 95, 2, Smoke::mf_static, 452, 27},	//2147 KMimeType::matchFileName(const QString&, const QString&)
    {79, 2949, 0, 0, Smoke::mf_static, 615, 28},	//2148 KMimeType::sharedMimeInfoVersion()
    {79, 422, 1585, 2, Smoke::mf_ctor|Smoke::mf_protected, 152, 29},	//2149 KMimeType::KMimeType(QDataStream&, int)
    {79, 422, 1350, 3, Smoke::mf_ctor|Smoke::mf_protected, 152, 30},	//2150 KMimeType::KMimeType(const QString&, const QString&, const QString&)
    {79, 422, 1588, 1, Smoke::mf_ctor|Smoke::mf_protected, 152, 31},	//2151 KMimeType::KMimeType(KMimeTypePrivate&)
    {79, 422, 1590, 3, Smoke::mf_ctor|Smoke::mf_protected, 152, 32},	//2152 KMimeType::KMimeType(KMimeTypePrivate&, const QString&, const QString&)
    {79, 1732, 0, 0, Smoke::mf_const, 351, 33},	//2153 KMimeType::iconName() const
    {79, 1734, 148, 1, Smoke::mf_static, 351, 34},	//2154 KMimeType::iconNameForUrl(const KUrl&)
    {79, 1176, 0, 0, Smoke::mf_const, 351, 35},	//2155 KMimeType::comment() const
    {79, 2078, 30, 1, Smoke::mf_static, 191, 36},	//2156 KMimeType::mimeType(const QString&)
    {79, 1544, 148, 1, Smoke::mf_static, 191, 37},	//2157 KMimeType::findByUrl(const KUrl&)
    {79, 1544, 1549, 2, Smoke::mf_static, 191, 38},	//2158 KMimeType::findByUrl(const KUrl&, unsigned int)
    {79, 1544, 1594, 3, Smoke::mf_static, 191, 39},	//2159 KMimeType::findByUrl(const KUrl&, unsigned int, bool)
    {79, 1544, 1598, 4, Smoke::mf_static, 191, 40},	//2160 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool)
    {79, 1539, 30, 1, Smoke::mf_static, 191, 41},	//2161 KMimeType::findByPath(const QString&)
    {79, 1539, 1007, 2, Smoke::mf_static, 191, 42},	//2162 KMimeType::findByPath(const QString&, unsigned int)
    {79, 1539, 1603, 3, Smoke::mf_static, 191, 43},	//2163 KMimeType::findByPath(const QString&, unsigned int, bool)
    {79, 1529, 32, 1, Smoke::mf_static, 191, 44},	//2164 KMimeType::findByContent(const QByteArray&)
    {79, 1535, 589, 2, Smoke::mf_static, 191, 45},	//2165 KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    {79, 1535, 1607, 3, Smoke::mf_static, 191, 46},	//2166 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    {79, 1529, 1134, 1, Smoke::mf_static, 191, 47},	//2167 KMimeType::findByContent(QIODevice*)
    {79, 1535, 1611, 2, Smoke::mf_static, 191, 48},	//2168 KMimeType::findByNameAndContent(const QString&, QIODevice*)
    {79, 1535, 1614, 3, Smoke::mf_static, 191, 49},	//2169 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    {79, 1532, 30, 1, Smoke::mf_static, 191, 50},	//2170 KMimeType::findByFileContent(const QString&)
    {79, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 51},	//2171 KMimeType::DontResolveAlias (enum)
    {79, 701, 0, 0, Smoke::mf_static|Smoke::mf_enum, 153, 52},	//2172 KMimeType::ResolveAliases (enum)
    {79, 3411, 0, 0, Smoke::mf_dtor, 0, 53 },	//2173 KMimeType::~KMimeType()
    {81, 2320, 1350, 3, Smoke::mf_const, 323, 1},	//2174 KMimeTypeTrader::query(const QString&, const QString&, const QString&) const
    {81, 2270, 95, 2, 0, 192, 2},	//2175 KMimeTypeTrader::preferredService(const QString&, const QString&)
    {81, 2493, 0, 0, Smoke::mf_static, 155, 3},	//2176 KMimeTypeTrader::self()
    {81, 427, 1618, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 4},	//2177 KMimeTypeTrader::KMimeTypeTrader(const KMimeTypeTrader&)
    {81, 2320, 30, 1, Smoke::mf_const, 323, 5},	//2178 KMimeTypeTrader::query(const QString&) const
    {81, 2320, 95, 2, Smoke::mf_const, 323, 6},	//2179 KMimeTypeTrader::query(const QString&, const QString&) const
    {81, 2270, 30, 1, 0, 192, 7},	//2180 KMimeTypeTrader::preferredService(const QString&)
    {81, 3412, 0, 0, Smoke::mf_dtor, 0, 8 },	//2181 KMimeTypeTrader::~KMimeTypeTrader()
    {83, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2182 KPluginFactory::metaObject() const
    {83, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//2183 KPluginFactory::qt_metacast(const char*)
    {83, 3148, 124, 2, Smoke::mf_static, 351, 3},	//2184 KPluginFactory::tr(const char*, const char*)
    {83, 3155, 124, 2, Smoke::mf_static, 351, 4},	//2185 KPluginFactory::trUtf8(const char*, const char*)
    {83, 3148, 127, 3, Smoke::mf_static, 351, 5},	//2186 KPluginFactory::tr(const char*, const char*, int)
    {83, 3155, 127, 3, Smoke::mf_static, 351, 6},	//2187 KPluginFactory::trUtf8(const char*, const char*, int)
    {83, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//2188 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {83, 429, 1620, 3, Smoke::mf_ctor, 157, 8},	//2189 KPluginFactory::KPluginFactory(const char*, const char*, QObject*)
    {83, 429, 1624, 2, Smoke::mf_ctor, 157, 9},	//2190 KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    {83, 429, 1627, 2, Smoke::mf_ctor, 157, 10},	//2191 KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    {83, 429, 146, 1, Smoke::mf_ctor, 157, 11},	//2192 KPluginFactory::KPluginFactory(QObject*)
    {83, 1180, 0, 0, Smoke::mf_const, 40, 12},	//2193 KPluginFactory::componentData() const
    {83, 1222, 1630, 3, 0, 345, 13},	//2194 KPluginFactory::create(QObject*, const char*, const QStringList&)
    {83, 2146, 146, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2195 KPluginFactory::objectCreated(QObject*)
    {83, 429, 1634, 2, Smoke::mf_ctor|Smoke::mf_protected, 157, 15},	//2196 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    {83, 3059, 141, 1, Smoke::mf_protected, 336, 16},	//2197 KPluginFactory::stringListToVariantList(const QStringList&)
    {83, 3246, 1637, 1, Smoke::mf_protected, 354, 17},	//2198 KPluginFactory::variantListToStringList(const QList<QVariant>&)
    {83, 2948, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2199 KPluginFactory::setupTranslations()
    {83, 1232, 1630, 3, Smoke::mf_protected|Smoke::mf_virtual, 345, 19},	//2200 KPluginFactory::createObject(QObject*, const char*, const QStringList&)
    {83, 1234, 1639, 4, Smoke::mf_protected|Smoke::mf_virtual, 156, 20},	//2201 KPluginFactory::createPartObject(QWidget*, QObject*, const char*, const QStringList&)
    {83, 2560, 430, 1, Smoke::mf_protected, 0, 21},	//2202 KPluginFactory::setComponentData(const KComponentData&)
    {83, 1222, 1644, 5, Smoke::mf_protected|Smoke::mf_virtual, 345, 22},	//2203 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {83, 3148, 122, 1, Smoke::mf_static, 351, 23},	//2204 KPluginFactory::tr(const char*)
    {83, 3155, 122, 1, Smoke::mf_static, 351, 24},	//2205 KPluginFactory::trUtf8(const char*)
    {83, 429, 0, 0, Smoke::mf_ctor, 157, 25},	//2206 KPluginFactory::KPluginFactory()
    {83, 429, 122, 1, Smoke::mf_ctor, 157, 26},	//2207 KPluginFactory::KPluginFactory(const char*)
    {83, 429, 124, 2, Smoke::mf_ctor, 157, 27},	//2208 KPluginFactory::KPluginFactory(const char*, const char*)
    {83, 429, 12, 1, Smoke::mf_ctor, 157, 28},	//2209 KPluginFactory::KPluginFactory(const KAboutData&)
    {83, 429, 372, 1, Smoke::mf_ctor, 157, 29},	//2210 KPluginFactory::KPluginFactory(const KAboutData*)
    {83, 1222, 0, 0, 0, 345, 30},	//2211 KPluginFactory::create()
    {83, 1222, 146, 1, 0, 345, 31},	//2212 KPluginFactory::create(QObject*)
    {83, 1222, 1650, 2, 0, 345, 32},	//2213 KPluginFactory::create(QObject*, const char*)
    {83, 429, 1653, 1, Smoke::mf_ctor|Smoke::mf_protected, 157, 33},	//2214 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    {83, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 34},	//2215 KPluginFactory::staticMetaObject() const
    {83, 3413, 0, 0, Smoke::mf_dtor, 0, 35 },	//2216 KPluginFactory::~KPluginFactory()
    {85, 435, 524, 2, Smoke::mf_ctor, 161, 1},	//2217 KPluginInfo::KPluginInfo(const QString&, const char*)
    {85, 435, 1655, 1, Smoke::mf_ctor, 161, 2},	//2218 KPluginInfo::KPluginInfo(const KSharedPtr<KService>)
    {85, 435, 0, 0, Smoke::mf_ctor, 161, 3},	//2219 KPluginInfo::KPluginInfo()
    {85, 1640, 1657, 2, Smoke::mf_static, 319, 4},	//2220 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&, const KConfigGroup&)
    {85, 1628, 1660, 2, Smoke::mf_static, 319, 5},	//2221 KPluginInfo::fromFiles(const QStringList&, const KConfigGroup&)
    {85, 1631, 1663, 2, Smoke::mf_static, 319, 6},	//2222 KPluginInfo::fromKPartsInstanceName(const QString&, const KConfigGroup&)
    {85, 1840, 0, 0, Smoke::mf_const, 452, 7},	//2223 KPluginInfo::isHidden() const
    {85, 2834, 103, 1, 0, 0, 8},	//2224 KPluginInfo::setPluginEnabled(bool)
    {85, 1862, 0, 0, Smoke::mf_const, 452, 9},	//2225 KPluginInfo::isPluginEnabled() const
    {85, 1863, 0, 0, Smoke::mf_const, 452, 10},	//2226 KPluginInfo::isPluginEnabledByDefault() const
    {85, 2294, 30, 1, Smoke::mf_const, 364, 11},	//2227 KPluginInfo::property(const QString&) const
    {85, 2119, 0, 0, Smoke::mf_const, 351, 12},	//2228 KPluginInfo::name() const
    {85, 1176, 0, 0, Smoke::mf_const, 351, 13},	//2229 KPluginInfo::comment() const
    {85, 1730, 0, 0, Smoke::mf_const, 351, 14},	//2230 KPluginInfo::icon() const
    {85, 1438, 0, 0, Smoke::mf_const, 351, 15},	//2231 KPluginInfo::entryPath() const
    {85, 1056, 0, 0, Smoke::mf_const, 351, 16},	//2232 KPluginInfo::author() const
    {85, 1407, 0, 0, Smoke::mf_const, 351, 17},	//2233 KPluginInfo::email() const
    {85, 1131, 0, 0, Smoke::mf_const, 351, 18},	//2234 KPluginInfo::category() const
    {85, 2258, 0, 0, Smoke::mf_const, 351, 19},	//2235 KPluginInfo::pluginName() const
    {85, 3251, 0, 0, Smoke::mf_const, 351, 20},	//2236 KPluginInfo::version() const
    {85, 3271, 0, 0, Smoke::mf_const, 351, 21},	//2237 KPluginInfo::website() const
    {85, 1987, 0, 0, Smoke::mf_const, 351, 22},	//2238 KPluginInfo::license() const
    {85, 1651, 0, 0, Smoke::mf_const, 8, 23},	//2239 KPluginInfo::fullLicense() const
    {85, 1359, 0, 0, Smoke::mf_const, 354, 24},	//2240 KPluginInfo::dependencies() const
    {85, 2496, 0, 0, Smoke::mf_const, 192, 25},	//2241 KPluginInfo::service() const
    {85, 1920, 0, 0, Smoke::mf_const, 323, 26},	//2242 KPluginInfo::kcmServices() const
    {85, 2562, 511, 1, 0, 0, 27},	//2243 KPluginInfo::setConfig(const KConfigGroup&)
    {85, 1185, 0, 0, Smoke::mf_const, 51, 28},	//2244 KPluginInfo::config() const
    {85, 2477, 1666, 1, 0, 0, 29},	//2245 KPluginInfo::save(KConfigGroup)
    {85, 1997, 511, 1, 0, 0, 30},	//2246 KPluginInfo::load(const KConfigGroup&)
    {85, 1347, 0, 0, 0, 0, 31},	//2247 KPluginInfo::defaults()
    {85, 1888, 0, 0, Smoke::mf_const, 452, 32},	//2248 KPluginInfo::isValid() const
    {85, 435, 1668, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 33},	//2249 KPluginInfo::KPluginInfo(const KPluginInfo&)
    {85, 2199, 1668, 1, 0, 160, 34},	//2250 KPluginInfo::operator=(const KPluginInfo&)
    {85, 2202, 1668, 1, Smoke::mf_const, 452, 35},	//2251 KPluginInfo::operator==(const KPluginInfo&) const
    {85, 2175, 1668, 1, Smoke::mf_const, 452, 36},	//2252 KPluginInfo::operator!=(const KPluginInfo&) const
    {85, 2185, 1668, 1, Smoke::mf_const, 452, 37},	//2253 KPluginInfo::operator<(const KPluginInfo&) const
    {85, 2208, 1668, 1, Smoke::mf_const, 452, 38},	//2254 KPluginInfo::operator>(const KPluginInfo&) const
    {85, 435, 30, 1, Smoke::mf_ctor, 161, 39},	//2255 KPluginInfo::KPluginInfo(const QString&)
    {85, 1640, 1670, 1, Smoke::mf_static, 319, 40},	//2256 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&)
    {85, 1628, 141, 1, Smoke::mf_static, 319, 41},	//2257 KPluginInfo::fromFiles(const QStringList&)
    {85, 1631, 30, 1, Smoke::mf_static, 319, 42},	//2258 KPluginInfo::fromKPartsInstanceName(const QString&)
    {85, 2477, 0, 0, 0, 0, 43},	//2259 KPluginInfo::save()
    {85, 1997, 0, 0, 0, 0, 44},	//2260 KPluginInfo::load()
    {85, 3414, 0, 0, Smoke::mf_dtor, 0, 45 },	//2261 KPluginInfo::~KPluginInfo()
    {86, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2262 KPluginLoader::metaObject() const
    {86, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//2263 KPluginLoader::qt_metacast(const char*)
    {86, 3148, 124, 2, Smoke::mf_static, 351, 3},	//2264 KPluginLoader::tr(const char*, const char*)
    {86, 3155, 124, 2, Smoke::mf_static, 351, 4},	//2265 KPluginLoader::trUtf8(const char*, const char*)
    {86, 3148, 127, 3, Smoke::mf_static, 351, 5},	//2266 KPluginLoader::tr(const char*, const char*, int)
    {86, 3155, 127, 3, Smoke::mf_static, 351, 6},	//2267 KPluginLoader::trUtf8(const char*, const char*, int)
    {86, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//2268 KPluginLoader::qt_metacall(QMetaObject::Call, int, void**)
    {86, 440, 1205, 3, Smoke::mf_ctor, 162, 8},	//2269 KPluginLoader::KPluginLoader(const QString&, const KComponentData&, QObject*)
    {86, 440, 1672, 3, Smoke::mf_ctor, 162, 9},	//2270 KPluginLoader::KPluginLoader(const KService&, const KComponentData&, QObject*)
    {86, 1502, 0, 0, 0, 157, 10},	//2271 KPluginLoader::factory()
    {86, 2258, 0, 0, Smoke::mf_const|Smoke::mf_property, 351, 11},	//2272 KPluginLoader::pluginName() const
    {86, 2259, 0, 0, Smoke::mf_const, 631, 12},	//2273 KPluginLoader::pluginVersion() const
    {86, 1454, 0, 0, Smoke::mf_const, 351, 13},	//2274 KPluginLoader::errorString() const
    {86, 1850, 0, 0, Smoke::mf_const, 452, 14},	//2275 KPluginLoader::isLoaded() const
    {86, 1997, 0, 0, Smoke::mf_protected, 452, 15},	//2276 KPluginLoader::load()
    {86, 3148, 122, 1, Smoke::mf_static, 351, 16},	//2277 KPluginLoader::tr(const char*)
    {86, 3155, 122, 1, Smoke::mf_static, 351, 17},	//2278 KPluginLoader::trUtf8(const char*)
    {86, 440, 30, 1, Smoke::mf_ctor, 162, 18},	//2279 KPluginLoader::KPluginLoader(const QString&)
    {86, 440, 1202, 2, Smoke::mf_ctor, 162, 19},	//2280 KPluginLoader::KPluginLoader(const QString&, const KComponentData&)
    {86, 440, 1676, 1, Smoke::mf_ctor, 162, 20},	//2281 KPluginLoader::KPluginLoader(const KService&)
    {86, 440, 1678, 2, Smoke::mf_ctor, 162, 21},	//2282 KPluginLoader::KPluginLoader(const KService&, const KComponentData&)
    {86, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 22},	//2283 KPluginLoader::staticMetaObject() const
    {86, 3415, 0, 0, Smoke::mf_dtor, 0, 23 },	//2284 KPluginLoader::~KPluginLoader()
    {87, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2285 KProcess::metaObject() const
    {87, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//2286 KProcess::qt_metacast(const char*)
    {87, 3148, 124, 2, Smoke::mf_static, 351, 3},	//2287 KProcess::tr(const char*, const char*)
    {87, 3155, 124, 2, Smoke::mf_static, 351, 4},	//2288 KProcess::trUtf8(const char*, const char*)
    {87, 3148, 127, 3, Smoke::mf_static, 351, 5},	//2289 KProcess::tr(const char*, const char*, int)
    {87, 3155, 127, 3, Smoke::mf_static, 351, 6},	//2290 KProcess::trUtf8(const char*, const char*, int)
    {87, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//2291 KProcess::qt_metacall(QMetaObject::Call, int, void**)
    {87, 447, 146, 1, Smoke::mf_ctor, 164, 8},	//2292 KProcess::KProcess(QObject*)
    {87, 2819, 1681, 1, 0, 0, 9},	//2293 KProcess::setOutputChannelMode(KProcess::OutputChannelMode)
    {87, 2227, 0, 0, Smoke::mf_const, 165, 10},	//2294 KProcess::outputChannelMode() const
    {87, 2807, 150, 1, 0, 0, 11},	//2295 KProcess::setNextOpenMode(QFlags<QIODevice::OpenModeFlag>)
    {87, 2635, 1136, 3, 0, 0, 12},	//2296 KProcess::setEnv(const QString&, const QString&, bool)
    {87, 3205, 30, 1, 0, 0, 13},	//2297 KProcess::unsetEnv(const QString&)
    {87, 1162, 0, 0, 0, 0, 14},	//2298 KProcess::clearEnvironment()
    {87, 2850, 533, 2, 0, 0, 15},	//2299 KProcess::setProgram(const QString&, const QStringList&)
    {87, 2850, 141, 1, 0, 0, 16},	//2300 KProcess::setProgram(const QStringList&)
    {87, 2190, 30, 1, 0, 163, 17},	//2301 KProcess::operator<<(const QString&)
    {87, 2190, 141, 1, 0, 163, 18},	//2302 KProcess::operator<<(const QStringList&)
    {87, 1163, 0, 0, 0, 0, 19},	//2303 KProcess::clearProgram()
    {87, 2878, 30, 1, 0, 0, 20},	//2304 KProcess::setShellCommand(const QString&)
    {87, 2287, 0, 0, Smoke::mf_const, 354, 21},	//2305 KProcess::program() const
    {87, 2989, 0, 0, 0, 0, 22},	//2306 KProcess::start()
    {87, 1468, 118, 1, 0, 615, 23},	//2307 KProcess::execute(int)
    {87, 1468, 1683, 3, Smoke::mf_static, 615, 24},	//2308 KProcess::execute(const QString&, const QStringList&, int)
    {87, 1468, 1687, 2, Smoke::mf_static, 615, 25},	//2309 KProcess::execute(const QStringList&, int)
    {87, 2991, 0, 0, 0, 615, 26},	//2310 KProcess::startDetached()
    {87, 2991, 533, 2, Smoke::mf_static, 615, 27},	//2311 KProcess::startDetached(const QString&, const QStringList&)
    {87, 2991, 141, 1, Smoke::mf_static, 615, 28},	//2312 KProcess::startDetached(const QStringList&)
    {87, 2256, 0, 0, Smoke::mf_const, 615, 29},	//2313 KProcess::pid() const
    {87, 447, 1690, 2, Smoke::mf_ctor|Smoke::mf_protected, 164, 30},	//2314 KProcess::KProcess(KProcessPrivate*, QObject*)
    {87, 3148, 122, 1, Smoke::mf_static, 351, 31},	//2315 KProcess::tr(const char*)
    {87, 3155, 122, 1, Smoke::mf_static, 351, 32},	//2316 KProcess::trUtf8(const char*)
    {87, 447, 0, 0, Smoke::mf_ctor, 164, 33},	//2317 KProcess::KProcess()
    {87, 2635, 95, 2, 0, 0, 34},	//2318 KProcess::setEnv(const QString&, const QString&)
    {87, 2850, 30, 1, 0, 0, 35},	//2319 KProcess::setProgram(const QString&)
    {87, 1468, 0, 0, 0, 615, 36},	//2320 KProcess::execute()
    {87, 1468, 30, 1, Smoke::mf_static, 615, 37},	//2321 KProcess::execute(const QString&)
    {87, 1468, 533, 2, Smoke::mf_static, 615, 38},	//2322 KProcess::execute(const QString&, const QStringList&)
    {87, 1468, 141, 1, Smoke::mf_static, 615, 39},	//2323 KProcess::execute(const QStringList&)
    {87, 2991, 30, 1, Smoke::mf_static, 615, 40},	//2324 KProcess::startDetached(const QString&)
    {87, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 41},	//2325 KProcess::staticMetaObject() const
    {87, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 42},	//2326 KProcess::SeparateChannels (enum)
    {87, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 43},	//2327 KProcess::MergedChannels (enum)
    {87, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 44},	//2328 KProcess::ForwardedChannels (enum)
    {87, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 45},	//2329 KProcess::OnlyStdoutChannel (enum)
    {87, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 46},	//2330 KProcess::OnlyStderrChannel (enum)
    {87, 3416, 0, 0, Smoke::mf_dtor, 0, 47 },	//2331 KProcess::~KProcess()
    {89, 2305, 0, 0, Smoke::mf_static, 354, 1},	//2332 KProtocolInfo::protocols()
    {89, 1843, 148, 1, Smoke::mf_static, 452, 2},	//2333 KProtocolInfo::isKnownProtocol(const KUrl&)
    {89, 1843, 30, 1, Smoke::mf_static, 452, 3},	//2334 KProtocolInfo::isKnownProtocol(const QString&)
    {89, 1463, 30, 1, Smoke::mf_static, 351, 4},	//2335 KProtocolInfo::exec(const QString&)
    {89, 1496, 148, 1, Smoke::mf_static, 320, 5},	//2336 KProtocolInfo::extraFields(const KUrl&)
    {89, 1837, 148, 1, Smoke::mf_static, 452, 6},	//2337 KProtocolInfo::isHelperProtocol(const KUrl&)
    {89, 1837, 30, 1, Smoke::mf_static, 452, 7},	//2338 KProtocolInfo::isHelperProtocol(const QString&)
    {89, 1829, 148, 1, Smoke::mf_static, 452, 8},	//2339 KProtocolInfo::isFilterProtocol(const KUrl&)
    {89, 1829, 30, 1, Smoke::mf_static, 452, 9},	//2340 KProtocolInfo::isFilterProtocol(const QString&)
    {89, 1730, 30, 1, Smoke::mf_static, 351, 10},	//2341 KProtocolInfo::icon(const QString&)
    {89, 1185, 30, 1, Smoke::mf_static, 351, 11},	//2342 KProtocolInfo::config(const QString&)
    {89, 2067, 30, 1, Smoke::mf_static, 615, 12},	//2343 KProtocolInfo::maxSlaves(const QString&)
    {89, 2069, 30, 1, Smoke::mf_static, 615, 13},	//2344 KProtocolInfo::maxSlavesPerHost(const QString&)
    {89, 1377, 30, 1, Smoke::mf_static, 452, 14},	//2345 KProtocolInfo::determineMimetypeFromExtension(const QString&)
    {89, 1402, 30, 1, Smoke::mf_static, 351, 15},	//2346 KProtocolInfo::docPath(const QString&)
    {89, 2303, 30, 1, Smoke::mf_static, 351, 16},	//2347 KProtocolInfo::protocolClass(const QString&)
    {89, 2955, 30, 1, Smoke::mf_static, 452, 17},	//2348 KProtocolInfo::showFilePreview(const QString&)
    {89, 1123, 30, 1, Smoke::mf_static, 354, 18},	//2349 KProtocolInfo::capabilities(const QString&)
    {89, 2306, 30, 1, Smoke::mf_static, 351, 19},	//2350 KProtocolInfo::proxiedBy(const QString&)
    {89, 450, 1585, 2, Smoke::mf_ctor, 167, 20},	//2351 KProtocolInfo::KProtocolInfo(QDataStream&, int)
    {89, 1341, 0, 0, Smoke::mf_const, 351, 21},	//2352 KProtocolInfo::defaultMimeType() const
    {89, 1051, 0, 0, Smoke::mf_const, 354, 22},	//2353 KProtocolInfo::archiveMimeTypes() const
    {89, 1121, 0, 0, Smoke::mf_const|Smoke::mf_protected, 452, 23},	//2354 KProtocolInfo::canRenameFromFile() const
    {89, 1122, 0, 0, Smoke::mf_const|Smoke::mf_protected, 452, 24},	//2355 KProtocolInfo::canRenameToFile() const
    {89, 1119, 0, 0, Smoke::mf_const|Smoke::mf_protected, 452, 25},	//2356 KProtocolInfo::canDeleteRecursive() const
    {89, 1517, 0, 0, Smoke::mf_const|Smoke::mf_protected, 3, 26},	//2357 KProtocolInfo::fileNameUsedForCopying() const
    {89, 2044, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 27},	//2358 KProtocolInfo::m_name() const
    {89, 2747, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//2359 KProtocolInfo::setM_name(const QString&)
    {89, 2037, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 29},	//2360 KProtocolInfo::m_exec() const
    {89, 2733, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//2361 KProtocolInfo::setM_exec(const QString&)
    {89, 2039, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 173, 31},	//2362 KProtocolInfo::m_inputType() const
    {89, 2737, 1693, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//2363 KProtocolInfo::setM_inputType(KProtocolInfo::Type)
    {89, 2045, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 173, 33},	//2364 KProtocolInfo::m_outputType() const
    {89, 2749, 1693, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2365 KProtocolInfo::setM_outputType(KProtocolInfo::Type)
    {89, 2042, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 355, 35},	//2366 KProtocolInfo::m_listing() const
    {89, 2743, 141, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 36},	//2367 KProtocolInfo::setM_listing(const QStringList&)
    {89, 2041, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 37},	//2368 KProtocolInfo::m_isSourceProtocol() const
    {89, 2741, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 38},	//2369 KProtocolInfo::setM_isSourceProtocol(bool)
    {89, 2040, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 39},	//2370 KProtocolInfo::m_isHelperProtocol() const
    {89, 2739, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 40},	//2371 KProtocolInfo::setM_isHelperProtocol(bool)
    {89, 2049, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 41},	//2372 KProtocolInfo::m_supportsListing() const
    {89, 2757, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//2373 KProtocolInfo::setM_supportsListing(bool)
    {89, 2053, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 43},	//2374 KProtocolInfo::m_supportsReading() const
    {89, 2765, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//2375 KProtocolInfo::setM_supportsReading(bool)
    {89, 2054, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 45},	//2376 KProtocolInfo::m_supportsWriting() const
    {89, 2767, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 46},	//2377 KProtocolInfo::setM_supportsWriting(bool)
    {89, 2050, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 47},	//2378 KProtocolInfo::m_supportsMakeDir() const
    {89, 2759, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 48},	//2379 KProtocolInfo::setM_supportsMakeDir(bool)
    {89, 2047, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 49},	//2380 KProtocolInfo::m_supportsDeleting() const
    {89, 2753, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//2381 KProtocolInfo::setM_supportsDeleting(bool)
    {89, 2048, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 51},	//2382 KProtocolInfo::m_supportsLinking() const
    {89, 2755, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 52},	//2383 KProtocolInfo::setM_supportsLinking(bool)
    {89, 2051, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 53},	//2384 KProtocolInfo::m_supportsMoving() const
    {89, 2761, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 54},	//2385 KProtocolInfo::setM_supportsMoving(bool)
    {89, 2052, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 55},	//2386 KProtocolInfo::m_supportsOpening() const
    {89, 2763, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 56},	//2387 KProtocolInfo::setM_supportsOpening(bool)
    {89, 2034, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 57},	//2388 KProtocolInfo::m_defaultMimetype() const
    {89, 2727, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 58},	//2389 KProtocolInfo::setM_defaultMimetype(const QString&)
    {89, 2035, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 59},	//2390 KProtocolInfo::m_determineMimetypeFromExtension() const
    {89, 2729, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 60},	//2391 KProtocolInfo::setM_determineMimetypeFromExtension(bool)
    {89, 2038, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 61},	//2392 KProtocolInfo::m_icon() const
    {89, 2735, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 62},	//2393 KProtocolInfo::setM_icon(const QString&)
    {89, 2031, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 63},	//2394 KProtocolInfo::m_canCopyFromFile() const
    {89, 2721, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 64},	//2395 KProtocolInfo::setM_canCopyFromFile(bool)
    {89, 2032, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 452, 65},	//2396 KProtocolInfo::m_canCopyToFile() const
    {89, 2723, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 66},	//2397 KProtocolInfo::setM_canCopyToFile(bool)
    {89, 2033, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 352, 67},	//2398 KProtocolInfo::m_config() const
    {89, 2725, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 68},	//2399 KProtocolInfo::setM_config(const QString&)
    {89, 2043, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 615, 69},	//2400 KProtocolInfo::m_maxSlaves() const
    {89, 2745, 118, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 70},	//2401 KProtocolInfo::setM_maxSlaves(int)
    {89, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 71},	//2402 KProtocolInfo::T_STREAM (enum)
    {89, 746, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 72},	//2403 KProtocolInfo::T_FILESYSTEM (enum)
    {89, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 73},	//2404 KProtocolInfo::T_NONE (enum)
    {89, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 74},	//2405 KProtocolInfo::T_ERROR (enum)
    {89, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 75},	//2406 KProtocolInfo::Name (enum)
    {89, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 76},	//2407 KProtocolInfo::FromUrl (enum)
    {89, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 77},	//2408 KProtocolInfo::DisplayName (enum)
    {89, 3417, 0, 0, Smoke::mf_dtor, 0, 78 },	//2409 KProtocolInfo::~KProtocolInfo()
    {90, 132, 0, 0, Smoke::mf_ctor, 170, 1},	//2410 KProtocolInfo::ExtraField::ExtraField()
    {90, 132, 1695, 2, Smoke::mf_ctor, 170, 2},	//2411 KProtocolInfo::ExtraField::ExtraField(const QString&, KProtocolInfo::ExtraField::Type)
    {90, 132, 1698, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 170, 3},	//2412 KProtocolInfo::ExtraField::ExtraField(const KProtocolInfo::ExtraField&)
    {90, 2119, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 352, 4},	//2413 KProtocolInfo::ExtraField::name() const
    {90, 2799, 30, 1, Smoke::mf_attribute, 0, 5},	//2414 KProtocolInfo::ExtraField::setName(const QString&)
    {90, 3191, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 171, 6},	//2415 KProtocolInfo::ExtraField::type() const
    {90, 2921, 1700, 1, Smoke::mf_attribute, 0, 7},	//2416 KProtocolInfo::ExtraField::setType(KProtocolInfo::ExtraField::Type)
    {90, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 8},	//2417 KProtocolInfo::ExtraField::String (enum)
    {90, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 9},	//2418 KProtocolInfo::ExtraField::DateTime (enum)
    {90, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 10},	//2419 KProtocolInfo::ExtraField::Invalid (enum)
    {90, 3350, 0, 0, Smoke::mf_dtor, 0, 11 },	//2420 KProtocolInfo::ExtraField::~ExtraField()
    {91, 2338, 118, 1, Smoke::mf_static, 351, 1},	//2421 KRandom::randomString(int)
    {91, 2337, 0, 0, Smoke::mf_static, 615, 2},	//2422 KRandom::random()
    {92, 452, 1292, 1, Smoke::mf_ctor, 175, 1},	//2423 KRandomSequence::KRandomSequence(long)
    {92, 452, 1702, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 2},	//2424 KRandomSequence::KRandomSequence(const KRandomSequence&)
    {92, 2199, 1702, 1, 0, 174, 3},	//2425 KRandomSequence::operator=(const KRandomSequence&)
    {92, 2872, 1292, 1, 0, 0, 4},	//2426 KRandomSequence::setSeed(long)
    {92, 1657, 0, 0, 0, 612, 5},	//2427 KRandomSequence::getDouble()
    {92, 1660, 1177, 1, 0, 633, 6},	//2428 KRandomSequence::getLong(unsigned long)
    {92, 1654, 0, 0, 0, 452, 7},	//2429 KRandomSequence::getBool()
    {92, 2088, 118, 1, 0, 0, 8},	//2430 KRandomSequence::modulate(int)
    {92, 452, 0, 0, Smoke::mf_ctor, 175, 9},	//2431 KRandomSequence::KRandomSequence()
    {92, 2872, 0, 0, 0, 0, 10},	//2432 KRandomSequence::setSeed()
    {92, 3418, 0, 0, Smoke::mf_dtor, 0, 11 },	//2433 KRandomSequence::~KRandomSequence()
    {93, 474, 0, 0, Smoke::mf_ctor, 176, 1},	//2434 KSaveFile::KSaveFile()
    {93, 474, 1202, 2, Smoke::mf_ctor, 176, 2},	//2435 KSaveFile::KSaveFile(const QString&, const KComponentData&)
    {93, 2656, 30, 1, 0, 0, 3},	//2436 KSaveFile::setFileName(const QString&)
    {93, 1515, 0, 0, Smoke::mf_const, 351, 4},	//2437 KSaveFile::fileName() const
    {93, 1451, 0, 0, Smoke::mf_const, 281, 5},	//2438 KSaveFile::error() const
    {93, 1454, 0, 0, Smoke::mf_const, 351, 6},	//2439 KSaveFile::errorString() const
    {93, 2162, 150, 1, Smoke::mf_virtual, 452, 7},	//2440 KSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {93, 843, 0, 0, 0, 0, 8},	//2441 KSaveFile::abort()
    {93, 1519, 0, 0, 0, 452, 9},	//2442 KSaveFile::finalize()
    {93, 2626, 103, 1, 0, 0, 10},	//2443 KSaveFile::setDirectWriteFallback(bool)
    {93, 1390, 0, 0, Smoke::mf_const, 452, 11},	//2444 KSaveFile::directWriteFallback() const
    {93, 1083, 95, 2, Smoke::mf_static, 452, 12},	//2445 KSaveFile::backupFile(const QString&, const QString&)
    {93, 2959, 1350, 3, Smoke::mf_static, 452, 13},	//2446 KSaveFile::simpleBackupFile(const QString&, const QString&, const QString&)
    {93, 2141, 1704, 4, Smoke::mf_static, 452, 14},	//2447 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&, const unsigned int)
    {93, 2342, 1350, 3, Smoke::mf_static, 452, 15},	//2448 KSaveFile::rcsBackupFile(const QString&, const QString&, const QString&)
    {93, 474, 30, 1, Smoke::mf_ctor, 176, 16},	//2449 KSaveFile::KSaveFile(const QString&)
    {93, 2162, 0, 0, 0, 452, 17},	//2450 KSaveFile::open()
    {93, 1083, 30, 1, Smoke::mf_static, 452, 18},	//2451 KSaveFile::backupFile(const QString&)
    {93, 2959, 30, 1, Smoke::mf_static, 452, 19},	//2452 KSaveFile::simpleBackupFile(const QString&)
    {93, 2959, 95, 2, Smoke::mf_static, 452, 20},	//2453 KSaveFile::simpleBackupFile(const QString&, const QString&)
    {93, 2141, 30, 1, Smoke::mf_static, 452, 21},	//2454 KSaveFile::numberedBackupFile(const QString&)
    {93, 2141, 95, 2, Smoke::mf_static, 452, 22},	//2455 KSaveFile::numberedBackupFile(const QString&, const QString&)
    {93, 2141, 1350, 3, Smoke::mf_static, 452, 23},	//2456 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&)
    {93, 2342, 30, 1, Smoke::mf_static, 452, 24},	//2457 KSaveFile::rcsBackupFile(const QString&)
    {93, 2342, 95, 2, Smoke::mf_static, 452, 25},	//2458 KSaveFile::rcsBackupFile(const QString&, const QString&)
    {93, 3419, 0, 0, Smoke::mf_dtor, 0, 26 },	//2459 KSaveFile::~KSaveFile()
    {94, 477, 1350, 3, Smoke::mf_ctor, 178, 1},	//2460 KService::KService(const QString&, const QString&, const QString&)
    {94, 477, 30, 1, Smoke::mf_ctor, 178, 2},	//2461 KService::KService(const QString&)
    {94, 477, 1709, 1, Smoke::mf_ctor, 178, 3},	//2462 KService::KService(const KDesktopFile*)
    {94, 477, 1585, 2, Smoke::mf_ctor, 178, 4},	//2463 KService::KService(QDataStream&, int)
    {94, 1790, 0, 0, Smoke::mf_const, 452, 5},	//2464 KService::isApplication() const
    {94, 3191, 0, 0, Smoke::mf_const, 351, 6},	//2465 KService::type() const
    {94, 1463, 0, 0, Smoke::mf_const, 351, 7},	//2466 KService::exec() const
    {94, 1984, 0, 0, Smoke::mf_const, 351, 8},	//2467 KService::library() const
    {94, 1730, 0, 0, Smoke::mf_const, 351, 9},	//2468 KService::icon() const
    {94, 3103, 0, 0, Smoke::mf_const, 452, 10},	//2469 KService::terminal() const
    {94, 3104, 0, 0, Smoke::mf_const, 351, 11},	//2470 KService::terminalOptions() const
    {94, 3073, 0, 0, Smoke::mf_const, 452, 12},	//2471 KService::substituteUid() const
    {94, 3230, 0, 0, Smoke::mf_const, 351, 13},	//2472 KService::username() const
    {94, 1371, 0, 0, Smoke::mf_const, 351, 14},	//2473 KService::desktopEntryPath() const
    {94, 1370, 0, 0, Smoke::mf_const, 351, 15},	//2474 KService::desktopEntryName() const
    {94, 2073, 0, 0, Smoke::mf_const, 351, 16},	//2475 KService::menuId() const
    {94, 3055, 0, 0, Smoke::mf_const, 351, 17},	//2476 KService::storageId() const
    {94, 1322, 0, 0, Smoke::mf_const, 179, 18},	//2477 KService::dbusStartupType() const
    {94, 2241, 0, 0, Smoke::mf_const, 351, 19},	//2478 KService::path() const
    {94, 1176, 0, 0, Smoke::mf_const, 351, 20},	//2479 KService::comment() const
    {94, 1653, 0, 0, Smoke::mf_const, 351, 21},	//2480 KService::genericName() const
    {94, 3207, 0, 0, Smoke::mf_const, 351, 22},	//2481 KService::untranslatedGenericName() const
    {94, 1943, 0, 0, Smoke::mf_const, 354, 23},	//2482 KService::keywords() const
    {94, 1130, 0, 0, Smoke::mf_const, 354, 24},	//2483 KService::categories() const
    {94, 2081, 0, 0, Smoke::mf_const, 354, 25},	//2484 KService::mimeTypes() const
    {94, 2512, 0, 0, Smoke::mf_const, 354, 26},	//2485 KService::serviceTypes() const
    {94, 1711, 30, 1, Smoke::mf_const, 452, 27},	//2486 KService::hasServiceType(const QString&) const
    {94, 1698, 1711, 1, Smoke::mf_const, 452, 28},	//2487 KService::hasMimeType(const KServiceType*) const
    {94, 1698, 30, 1, Smoke::mf_const, 452, 29},	//2488 KService::hasMimeType(const QString&) const
    {94, 1038, 0, 0, Smoke::mf_const, 452, 30},	//2489 KService::allowAsDefault() const
    {94, 857, 0, 0, Smoke::mf_const, 321, 31},	//2490 KService::actions() const
    {94, 1040, 0, 0, Smoke::mf_const, 452, 32},	//2491 KService::allowMultipleFiles() const
    {94, 1756, 0, 0, Smoke::mf_const, 615, 33},	//2492 KService::initialPreference() const
    {94, 2137, 0, 0, Smoke::mf_const, 452, 34},	//2493 KService::noDisplay() const
    {94, 2957, 0, 0, Smoke::mf_const, 452, 35},	//2494 KService::showInKDE() const
    {94, 2230, 0, 0, Smoke::mf_const, 351, 36},	//2495 KService::parentApp() const
    {94, 2257, 0, 0, Smoke::mf_const, 351, 37},	//2496 KService::pluginKeyword() const
    {94, 1402, 0, 0, Smoke::mf_const, 351, 38},	//2497 KService::docPath() const
    {94, 2294, 1713, 2, Smoke::mf_const, 364, 39},	//2498 KService::property(const QString&, QVariant::Type) const
    {94, 2294, 30, 1, Smoke::mf_const, 364, 40},	//2499 KService::property(const QString&) const
    {94, 2013, 0, 0, Smoke::mf_const, 351, 41},	//2500 KService::locateLocal() const
    {94, 2783, 30, 1, 0, 0, 42},	//2501 KService::setMenuId(const QString&)
    {94, 2897, 103, 1, 0, 0, 43},	//2502 KService::setTerminal(bool)
    {94, 2899, 30, 1, 0, 0, 44},	//2503 KService::setTerminalOptions(const QString&)
    {94, 2650, 30, 1, 0, 0, 45},	//2504 KService::setExec(const QString&)
    {94, 2503, 30, 1, Smoke::mf_static, 192, 46},	//2505 KService::serviceByName(const QString&)
    {94, 2499, 30, 1, Smoke::mf_static, 192, 47},	//2506 KService::serviceByDesktopPath(const QString&)
    {94, 2497, 30, 1, Smoke::mf_static, 192, 48},	//2507 KService::serviceByDesktopName(const QString&)
    {94, 2501, 30, 1, Smoke::mf_static, 192, 49},	//2508 KService::serviceByMenuId(const QString&)
    {94, 2505, 30, 1, Smoke::mf_static, 192, 50},	//2509 KService::serviceByStorageId(const QString&)
    {94, 1032, 0, 0, Smoke::mf_static, 323, 51},	//2510 KService::allServices()
    {94, 2132, 1716, 4, Smoke::mf_static, 351, 52},	//2511 KService::newServicePath(bool, const QString&, QString*, const QStringList*)
    {94, 2132, 1721, 2, Smoke::mf_static, 351, 53},	//2512 KService::newServicePath(bool, const QString&)
    {94, 2132, 1724, 3, Smoke::mf_static, 351, 54},	//2513 KService::newServicePath(bool, const QString&, QString*)
    {94, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 55},	//2514 KService::DBusNone (enum)
    {94, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 56},	//2515 KService::DBusUnique (enum)
    {94, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 57},	//2516 KService::DBusMulti (enum)
    {94, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 58},	//2517 KService::DBusWait (enum)
    {94, 3420, 0, 0, Smoke::mf_dtor, 0, 59 },	//2518 KService::~KService()
    {95, 482, 1728, 5, Smoke::mf_ctor, 182, 1},	//2519 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&, bool)
    {95, 482, 0, 0, Smoke::mf_ctor, 182, 2},	//2520 KServiceAction::KServiceAction()
    {95, 482, 1734, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 182, 3},	//2521 KServiceAction::KServiceAction(const KServiceAction&)
    {95, 2199, 1734, 1, 0, 181, 4},	//2522 KServiceAction::operator=(const KServiceAction&)
    {95, 2582, 34, 1, 0, 0, 5},	//2523 KServiceAction::setData(const QVariant&)
    {95, 1262, 0, 0, Smoke::mf_const, 364, 6},	//2524 KServiceAction::data() const
    {95, 2119, 0, 0, Smoke::mf_const, 351, 7},	//2525 KServiceAction::name() const
    {95, 3108, 0, 0, Smoke::mf_const, 351, 8},	//2526 KServiceAction::text() const
    {95, 1730, 0, 0, Smoke::mf_const, 351, 9},	//2527 KServiceAction::icon() const
    {95, 1463, 0, 0, Smoke::mf_const, 351, 10},	//2528 KServiceAction::exec() const
    {95, 2137, 0, 0, Smoke::mf_const, 452, 11},	//2529 KServiceAction::noDisplay() const
    {95, 1871, 0, 0, Smoke::mf_const, 452, 12},	//2530 KServiceAction::isSeparator() const
    {95, 482, 1736, 4, Smoke::mf_ctor, 182, 13},	//2531 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&)
    {95, 3421, 0, 0, Smoke::mf_dtor, 0, 14 },	//2532 KServiceAction::~KServiceAction()
    {96, 486, 30, 1, Smoke::mf_ctor, 184, 1},	//2533 KServiceGroup::KServiceGroup(const QString&)
    {96, 486, 95, 2, Smoke::mf_ctor, 184, 2},	//2534 KServiceGroup::KServiceGroup(const QString&, const QString&)
    {96, 486, 1741, 3, Smoke::mf_ctor, 184, 3},	//2535 KServiceGroup::KServiceGroup(QDataStream&, int, bool)
    {96, 2419, 0, 0, Smoke::mf_const, 351, 4},	//2536 KServiceGroup::relPath() const
    {96, 1125, 0, 0, Smoke::mf_const, 351, 5},	//2537 KServiceGroup::caption() const
    {96, 1730, 0, 0, Smoke::mf_const, 351, 6},	//2538 KServiceGroup::icon() const
    {96, 1176, 0, 0, Smoke::mf_const, 351, 7},	//2539 KServiceGroup::comment() const
    {96, 1151, 0, 0, Smoke::mf_const, 615, 8},	//2540 KServiceGroup::childCount() const
    {96, 2137, 0, 0, Smoke::mf_const, 452, 9},	//2541 KServiceGroup::noDisplay() const
    {96, 2953, 0, 0, Smoke::mf_const, 452, 10},	//2542 KServiceGroup::showEmptyMenu() const
    {96, 2882, 103, 1, 0, 0, 11},	//2543 KServiceGroup::setShowEmptyMenu(bool)
    {96, 2958, 0, 0, Smoke::mf_const, 452, 12},	//2544 KServiceGroup::showInlineHeader() const
    {96, 2884, 103, 1, 0, 0, 13},	//2545 KServiceGroup::setShowInlineHeader(bool)
    {96, 1757, 0, 0, Smoke::mf_const, 452, 14},	//2546 KServiceGroup::inlineAlias() const
    {96, 2679, 103, 1, 0, 0, 15},	//2547 KServiceGroup::setInlineAlias(bool)
    {96, 1039, 0, 0, Smoke::mf_const, 452, 16},	//2548 KServiceGroup::allowInline() const
    {96, 2519, 103, 1, 0, 0, 17},	//2549 KServiceGroup::setAllowInline(bool)
    {96, 1758, 0, 0, Smoke::mf_const, 615, 18},	//2550 KServiceGroup::inlineValue() const
    {96, 2681, 118, 1, 0, 0, 19},	//2551 KServiceGroup::setInlineValue(int)
    {96, 3079, 0, 0, Smoke::mf_const, 354, 20},	//2552 KServiceGroup::suppressGenericNames() const
    {96, 2697, 141, 1, 0, 0, 21},	//2553 KServiceGroup::setLayoutInfo(const QStringList&)
    {96, 1979, 0, 0, Smoke::mf_const, 354, 22},	//2554 KServiceGroup::layoutInfo() const
    {96, 1431, 1745, 4, 0, 327, 23},	//2555 KServiceGroup::entries(bool, bool, bool, bool)
    {96, 1431, 1750, 2, 0, 327, 24},	//2556 KServiceGroup::entries(bool, bool)
    {96, 1431, 103, 1, 0, 327, 25},	//2557 KServiceGroup::entries(bool)
    {96, 1670, 1753, 1, 0, 325, 26},	//2558 KServiceGroup::groupEntries(QFlags<KServiceGroup::EntriesOption>)
    {96, 2507, 1753, 1, 0, 323, 27},	//2559 KServiceGroup::serviceEntries(QFlags<KServiceGroup::EntriesOption>)
    {96, 1097, 0, 0, Smoke::mf_const, 351, 28},	//2560 KServiceGroup::baseGroupName() const
    {96, 1393, 0, 0, Smoke::mf_const, 351, 29},	//2561 KServiceGroup::directoryEntryPath() const
    {96, 1095, 30, 1, Smoke::mf_static, 193, 30},	//2562 KServiceGroup::baseGroup(const QString&)
    {96, 2473, 0, 0, Smoke::mf_static, 193, 31},	//2563 KServiceGroup::root()
    {96, 1667, 30, 1, Smoke::mf_static, 193, 32},	//2564 KServiceGroup::group(const QString&)
    {96, 1153, 30, 1, Smoke::mf_static, 193, 33},	//2565 KServiceGroup::childGroup(const QString&)
    {96, 891, 1755, 1, Smoke::mf_protected, 0, 34},	//2566 KServiceGroup::addEntry(const KSharedPtr<KSycocaEntry>&)
    {96, 1431, 1757, 3, 0, 327, 35},	//2567 KServiceGroup::entries(bool, bool, bool)
    {96, 1431, 0, 0, 0, 327, 36},	//2568 KServiceGroup::entries()
    {96, 1670, 0, 0, 0, 325, 37},	//2569 KServiceGroup::groupEntries()
    {96, 2507, 0, 0, 0, 323, 38},	//2570 KServiceGroup::serviceEntries()
    {96, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 39},	//2571 KServiceGroup::NoOptions (enum)
    {96, 726, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 40},	//2572 KServiceGroup::SortEntries (enum)
    {96, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 41},	//2573 KServiceGroup::ExcludeNoDisplay (enum)
    {96, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 42},	//2574 KServiceGroup::AllowSeparators (enum)
    {96, 725, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 43},	//2575 KServiceGroup::SortByGenericName (enum)
    {96, 3422, 0, 0, Smoke::mf_dtor, 0, 44 },	//2576 KServiceGroup::~KServiceGroup()
    {97, 490, 1761, 1, Smoke::mf_ctor, 187, 1},	//2577 KServiceType::KServiceType(KDesktopFile*)
    {97, 490, 1585, 2, Smoke::mf_ctor, 187, 2},	//2578 KServiceType::KServiceType(QDataStream&, int)
    {97, 1176, 0, 0, Smoke::mf_const, 351, 3},	//2579 KServiceType::comment() const
    {97, 1371, 0, 0, Smoke::mf_const, 351, 4},	//2580 KServiceType::desktopEntryPath() const
    {97, 1814, 0, 0, Smoke::mf_const, 452, 5},	//2581 KServiceType::isDerived() const
    {97, 2233, 0, 0, Smoke::mf_const, 351, 6},	//2582 KServiceType::parentServiceType() const
    {97, 1746, 30, 1, Smoke::mf_const, 452, 7},	//2583 KServiceType::inherits(const QString&) const
    {97, 2297, 30, 1, Smoke::mf_const, 366, 8},	//2584 KServiceType::propertyDef(const QString&) const
    {97, 2299, 0, 0, Smoke::mf_const, 354, 9},	//2585 KServiceType::propertyDefNames() const
    {97, 2300, 0, 0, Smoke::mf_const, 340, 10},	//2586 KServiceType::propertyDefs() const
    {97, 2234, 0, 0, 0, 194, 11},	//2587 KServiceType::parentType()
    {97, 2874, 118, 1, 0, 0, 12},	//2588 KServiceType::setServiceOffersOffset(int)
    {97, 2509, 0, 0, Smoke::mf_const, 615, 13},	//2589 KServiceType::serviceOffersOffset() const
    {97, 2510, 30, 1, Smoke::mf_static, 194, 14},	//2590 KServiceType::serviceType(const QString&)
    {97, 1031, 0, 0, Smoke::mf_static, 326, 15},	//2591 KServiceType::allServiceTypes()
    {97, 490, 1763, 1, Smoke::mf_ctor|Smoke::mf_protected, 187, 16},	//2592 KServiceType::KServiceType(KServiceTypePrivate&)
    {97, 490, 1765, 3, Smoke::mf_ctor|Smoke::mf_protected, 187, 17},	//2593 KServiceType::KServiceType(KServiceTypePrivate&, const QString&, const QString&)
    {97, 3423, 0, 0, Smoke::mf_dtor, 0, 18 },	//2594 KServiceType::~KServiceType()
    {99, 2320, 95, 2, Smoke::mf_const, 323, 1},	//2595 KServiceTypeTrader::query(const QString&, const QString&) const
    {99, 1343, 95, 2, Smoke::mf_const, 323, 2},	//2596 KServiceTypeTrader::defaultOffers(const QString&, const QString&) const
    {99, 2270, 30, 1, Smoke::mf_const, 192, 3},	//2597 KServiceTypeTrader::preferredService(const QString&) const
    {99, 2493, 0, 0, Smoke::mf_static, 189, 4},	//2598 KServiceTypeTrader::self()
    {99, 1047, 1769, 2, Smoke::mf_static, 0, 5},	//2599 KServiceTypeTrader::applyConstraints(QList<KSharedPtr<KService> >&, const QString&)
    {99, 2320, 30, 1, Smoke::mf_const, 323, 6},	//2600 KServiceTypeTrader::query(const QString&) const
    {99, 1343, 30, 1, Smoke::mf_const, 323, 7},	//2601 KServiceTypeTrader::defaultOffers(const QString&) const
    {99, 3424, 0, 0, Smoke::mf_dtor, 0, 8 },	//2602 KServiceTypeTrader::~KServiceTypeTrader()
    {100, 2166, 454, 3, Smoke::mf_static, 195, 1},	//2603 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {100, 2166, 458, 4, Smoke::mf_static, 195, 2},	//2604 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {100, 2166, 0, 0, Smoke::mf_static, 195, 3},	//2605 KSharedConfig::openConfig()
    {100, 2166, 30, 1, Smoke::mf_static, 195, 4},	//2606 KSharedConfig::openConfig(const QString&)
    {100, 2166, 475, 2, Smoke::mf_static, 195, 5},	//2607 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {100, 2166, 430, 1, Smoke::mf_static, 195, 6},	//2608 KSharedConfig::openConfig(const KComponentData&)
    {100, 2166, 478, 2, Smoke::mf_static, 195, 7},	//2609 KSharedConfig::openConfig(const KComponentData&, const QString&)
    {100, 2166, 481, 3, Smoke::mf_static, 195, 8},	//2610 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {100, 3425, 0, 0, Smoke::mf_dtor, 0, 9 },	//2611 KSharedConfig::~KSharedConfig()
    {101, 3110, 30, 1, Smoke::mf_static, 351, 1},	//2612 KShell::tildeExpand(const QString&)
    {101, 2979, 1772, 3, Smoke::mf_static, 354, 2},	//2613 KShell::splitArgs(const QString&, QFlags<KShell::Option>, KShell::Errors*)
    {101, 2979, 30, 1, Smoke::mf_static, 354, 3},	//2614 KShell::splitArgs(const QString&)
    {101, 2979, 1776, 2, Smoke::mf_static, 354, 4},	//2615 KShell::splitArgs(const QString&, QFlags<KShell::Option>)
    {101, 2328, 30, 1, Smoke::mf_static, 351, 5},	//2616 KShell::quoteArg(const QString&)
    {101, 1903, 141, 1, Smoke::mf_static, 351, 6},	//2617 KShell::joinArgs(const QStringList&)
    {101, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 7},	//2618 KShell::NoOptions (enum)
    {101, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 8},	//2619 KShell::TildeExpand (enum)
    {101, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 9},	//2620 KShell::AbortOnMeta (enum)
    {101, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 10},	//2621 KShell::NoError (enum)
    {101, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 11},	//2622 KShell::BadQuoting (enum)
    {101, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 12},	//2623 KShell::FoundMeta (enum)
    {102, 1189, 1779, 4, Smoke::mf_static, 358, 1},	//2624 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short, QObject*)
    {102, 1189, 1784, 3, Smoke::mf_static, 358, 2},	//2625 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short)
    {102, 3087, 1788, 5, Smoke::mf_static, 358, 3},	//2626 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int, QObject*)
    {102, 3087, 1784, 3, Smoke::mf_static, 358, 4},	//2627 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short)
    {102, 3087, 1794, 4, Smoke::mf_static, 358, 5},	//2628 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int)
    {102, 1991, 1799, 4, Smoke::mf_static, 357, 6},	//2629 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short, QObject*)
    {102, 1991, 30, 1, Smoke::mf_static, 357, 7},	//2630 KSocketFactory::listen(const QString&)
    {102, 1991, 1804, 2, Smoke::mf_static, 357, 8},	//2631 KSocketFactory::listen(const QString&, const QHostAddress&)
    {102, 1991, 1807, 3, Smoke::mf_static, 357, 9},	//2632 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short)
    {102, 1267, 1811, 3, Smoke::mf_static, 363, 10},	//2633 KSocketFactory::datagramSocket(const QString&, const QString&, QObject*)
    {102, 1267, 95, 2, Smoke::mf_static, 363, 11},	//2634 KSocketFactory::datagramSocket(const QString&, const QString&)
    {102, 3087, 1815, 3, Smoke::mf_static, 358, 12},	//2635 KSocketFactory::synchronousConnectToHost(const QUrl&, int, QObject*)
    {102, 3087, 1819, 1, Smoke::mf_static, 358, 13},	//2636 KSocketFactory::synchronousConnectToHost(const QUrl&)
    {102, 3087, 1821, 2, Smoke::mf_static, 358, 14},	//2637 KSocketFactory::synchronousConnectToHost(const QUrl&, int)
    {102, 1189, 1824, 4, Smoke::mf_static, 0, 15},	//2638 KSocketFactory::connectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {102, 2308, 95, 2, Smoke::mf_static, 344, 16},	//2639 KSocketFactory::proxyForConnection(const QString&, const QString&)
    {102, 2310, 95, 2, Smoke::mf_static, 344, 17},	//2640 KSocketFactory::proxyForDatagram(const QString&, const QString&)
    {102, 1189, 1829, 2, Smoke::mf_static, 358, 18},	//2641 KSocketFactory::connectToHost(const QUrl&, QObject*)
    {102, 1189, 1819, 1, Smoke::mf_static, 358, 19},	//2642 KSocketFactory::connectToHost(const QUrl&)
    {102, 1189, 1832, 2, Smoke::mf_static, 0, 20},	//2643 KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    {102, 3087, 1835, 3, Smoke::mf_static, 0, 21},	//2644 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&, int)
    {102, 3087, 1832, 2, Smoke::mf_static, 0, 22},	//2645 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&)
    {102, 2312, 30, 1, Smoke::mf_static, 344, 23},	//2646 KSocketFactory::proxyForListening(const QString&)
    {102, 3087, 1839, 5, Smoke::mf_static, 0, 24},	//2647 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short, int)
    {102, 3087, 1824, 4, Smoke::mf_static, 0, 25},	//2648 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {103, 494, 0, 0, Smoke::mf_ctor, 200, 1},	//2649 KStandardDirs::KStandardDirs()
    {103, 983, 30, 1, 0, 0, 2},	//2650 KStandardDirs::addPrefix(const QString&)
    {103, 1011, 30, 1, 0, 0, 3},	//2651 KStandardDirs::addXdgConfigPrefix(const QString&)
    {103, 1013, 30, 1, 0, 0, 4},	//2652 KStandardDirs::addXdgDataPrefix(const QString&)
    {103, 990, 1845, 3, 0, 452, 5},	//2653 KStandardDirs::addResourceType(const char*, const QString&, bool)
    {103, 990, 1849, 4, 0, 452, 6},	//2654 KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    {103, 990, 1854, 4, 0, 452, 7},	//2655 KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    {103, 987, 1845, 3, 0, 452, 8},	//2656 KStandardDirs::addResourceDir(const char*, const QString&, bool)
    {103, 1571, 521, 2, Smoke::mf_const, 351, 9},	//2657 KStandardDirs::findResource(const char*, const QString&) const
    {103, 1867, 521, 2, Smoke::mf_const, 452, 10},	//2658 KStandardDirs::isRestrictedResource(const char*, const QString&) const
    {103, 1104, 1859, 3, Smoke::mf_const, 631, 11},	//2659 KStandardDirs::calcResourceHash(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {103, 1552, 521, 2, Smoke::mf_const, 354, 12},	//2660 KStandardDirs::findDirs(const char*, const QString&) const
    {103, 1573, 521, 2, Smoke::mf_const, 351, 13},	//2661 KStandardDirs::findResourceDir(const char*, const QString&) const
    {103, 1524, 1859, 3, Smoke::mf_const, 354, 14},	//2662 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {103, 1524, 1863, 4, Smoke::mf_const, 354, 15},	//2663 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&) const
    {103, 3098, 30, 1, Smoke::mf_static, 354, 16},	//2664 KStandardDirs::systemPaths(const QString&)
    {103, 1556, 1868, 3, Smoke::mf_static, 351, 17},	//2665 KStandardDirs::findExe(const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {103, 1520, 1872, 4, Smoke::mf_static, 615, 18},	//2666 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {103, 884, 595, 1, 0, 452, 19},	//2667 KStandardDirs::addCustomized(KConfig*)
    {103, 2464, 122, 1, Smoke::mf_const, 354, 20},	//2668 KStandardDirs::resourceDirs(const char*) const
    {103, 1035, 0, 0, Smoke::mf_const, 354, 21},	//2669 KStandardDirs::allTypes() const
    {103, 2481, 1845, 3, Smoke::mf_const, 351, 22},	//2670 KStandardDirs::saveLocation(const char*, const QString&, bool) const
    {103, 2420, 521, 2, 0, 351, 23},	//2671 KStandardDirs::relativeLocation(const char*, const QString&)
    {103, 2057, 1014, 2, Smoke::mf_static, 452, 24},	//2672 KStandardDirs::makeDir(const QString&, int)
    {103, 1923, 122, 1, Smoke::mf_static, 351, 25},	//2673 KStandardDirs::kde_default(const char*)
    {103, 1944, 0, 0, 0, 351, 26},	//2674 KStandardDirs::kfsstnd_prefixes()
    {103, 1945, 0, 0, 0, 351, 27},	//2675 KStandardDirs::kfsstnd_xdg_conf_prefixes()
    {103, 1946, 0, 0, 0, 351, 28},	//2676 KStandardDirs::kfsstnd_xdg_data_prefixes()
    {103, 2007, 0, 0, Smoke::mf_const, 351, 29},	//2677 KStandardDirs::localkdedir() const
    {103, 2009, 0, 0, Smoke::mf_const, 351, 30},	//2678 KStandardDirs::localxdgdatadir() const
    {103, 2008, 0, 0, Smoke::mf_const, 351, 31},	//2679 KStandardDirs::localxdgconfdir() const
    {103, 1761, 122, 1, Smoke::mf_static, 351, 32},	//2680 KStandardDirs::installPath(const char*)
    {103, 1478, 30, 1, Smoke::mf_static, 452, 33},	//2681 KStandardDirs::exists(const QString&)
    {103, 2411, 30, 1, Smoke::mf_static, 351, 34},	//2682 KStandardDirs::realPath(const QString&)
    {103, 2408, 30, 1, Smoke::mf_static, 351, 35},	//2683 KStandardDirs::realFilePath(const QString&)
    {103, 2010, 1877, 3, Smoke::mf_static, 351, 36},	//2684 KStandardDirs::locate(const char*, const QString&, const KComponentData&)
    {103, 2013, 1877, 3, Smoke::mf_static, 351, 37},	//2685 KStandardDirs::locateLocal(const char*, const QString&, const KComponentData&)
    {103, 2013, 1881, 4, Smoke::mf_static, 351, 38},	//2686 KStandardDirs::locateLocal(const char*, const QString&, bool, const KComponentData&)
    {103, 1139, 1014, 2, Smoke::mf_static, 452, 39},	//2687 KStandardDirs::checkAccess(const QString&, int)
    {103, 990, 521, 2, 0, 452, 40},	//2688 KStandardDirs::addResourceType(const char*, const QString&)
    {103, 990, 1886, 3, 0, 452, 41},	//2689 KStandardDirs::addResourceType(const char*, const char*, const QString&)
    {103, 990, 1336, 3, 0, 452, 42},	//2690 KStandardDirs::addResourceType(const char*, const char*, const char*)
    {103, 987, 521, 2, 0, 452, 43},	//2691 KStandardDirs::addResourceDir(const char*, const QString&)
    {103, 1867, 122, 1, Smoke::mf_const, 452, 44},	//2692 KStandardDirs::isRestrictedResource(const char*) const
    {103, 1104, 521, 2, Smoke::mf_const, 631, 45},	//2693 KStandardDirs::calcResourceHash(const char*, const QString&) const
    {103, 1524, 122, 1, Smoke::mf_const, 354, 46},	//2694 KStandardDirs::findAllResources(const char*) const
    {103, 1524, 521, 2, Smoke::mf_const, 354, 47},	//2695 KStandardDirs::findAllResources(const char*, const QString&) const
    {103, 3098, 0, 0, Smoke::mf_static, 354, 48},	//2696 KStandardDirs::systemPaths()
    {103, 1556, 30, 1, Smoke::mf_static, 351, 49},	//2697 KStandardDirs::findExe(const QString&)
    {103, 1556, 95, 2, Smoke::mf_static, 351, 50},	//2698 KStandardDirs::findExe(const QString&, const QString&)
    {103, 1520, 1890, 2, Smoke::mf_static, 615, 51},	//2699 KStandardDirs::findAllExe(QStringList&, const QString&)
    {103, 1520, 1893, 3, Smoke::mf_static, 615, 52},	//2700 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&)
    {103, 2481, 122, 1, Smoke::mf_const, 351, 53},	//2701 KStandardDirs::saveLocation(const char*) const
    {103, 2481, 521, 2, Smoke::mf_const, 351, 54},	//2702 KStandardDirs::saveLocation(const char*, const QString&) const
    {103, 2057, 30, 1, Smoke::mf_static, 452, 55},	//2703 KStandardDirs::makeDir(const QString&)
    {103, 2010, 521, 2, Smoke::mf_static, 351, 56},	//2704 KStandardDirs::locate(const char*, const QString&)
    {103, 2013, 521, 2, Smoke::mf_static, 351, 57},	//2705 KStandardDirs::locateLocal(const char*, const QString&)
    {103, 2013, 1845, 3, Smoke::mf_static, 351, 58},	//2706 KStandardDirs::locateLocal(const char*, const QString&, bool)
    {103, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 59},	//2707 KStandardDirs::NoSearchOptions (enum)
    {103, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 60},	//2708 KStandardDirs::Recursive (enum)
    {103, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 61},	//2709 KStandardDirs::NoDuplicates (enum)
    {103, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 62},	//2710 KStandardDirs::IgnoreExecBit (enum)
    {103, 3426, 0, 0, Smoke::mf_dtor, 0, 63 },	//2711 KStandardDirs::~KStandardDirs()
    {104, 2249, 1897, 3, Smoke::mf_static, 354, 1},	//2712 KStringHandler::perlSplit(const QChar&, const QString&, int)
    {104, 2249, 1901, 2, Smoke::mf_static, 354, 2},	//2713 KStringHandler::perlSplit(const QChar&, const QString&)
    {104, 2249, 1904, 3, Smoke::mf_static, 354, 3},	//2714 KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    {104, 2249, 1908, 2, Smoke::mf_static, 354, 4},	//2715 KStringHandler::perlSplit(const QRegExp&, const QString&)
    {104, 2148, 30, 1, Smoke::mf_static, 351, 5},	//2716 KStringHandler::obscure(const QString&)
    {104, 1126, 141, 1, Smoke::mf_static, 354, 6},	//2717 KStringHandler::capwords(const QStringList&)
    {104, 2125, 1911, 3, Smoke::mf_static, 615, 7},	//2718 KStringHandler::naturalCompare(const QString&, const QString&, Qt::CaseSensitivity)
    {104, 2125, 95, 2, Smoke::mf_static, 615, 8},	//2719 KStringHandler::naturalCompare(const QString&, const QString&)
    {104, 2024, 1014, 2, Smoke::mf_static, 351, 9},	//2720 KStringHandler::lsqueeze(const QString&, int)
    {104, 2024, 30, 1, Smoke::mf_static, 351, 10},	//2721 KStringHandler::lsqueeze(const QString&)
    {104, 2268, 30, 1, Smoke::mf_static, 351, 11},	//2722 KStringHandler::preProcessWrap(const QString&)
    {104, 2249, 1915, 3, Smoke::mf_static, 354, 12},	//2723 KStringHandler::perlSplit(const QString&, const QString&, int)
    {104, 2249, 95, 2, Smoke::mf_static, 354, 13},	//2724 KStringHandler::perlSplit(const QString&, const QString&)
    {104, 3100, 30, 1, Smoke::mf_static, 351, 14},	//2725 KStringHandler::tagUrls(const QString&)
    {104, 1237, 1014, 2, Smoke::mf_static, 351, 15},	//2726 KStringHandler::csqueeze(const QString&, int)
    {104, 1237, 30, 1, Smoke::mf_static, 351, 16},	//2727 KStringHandler::csqueeze(const QString&)
    {104, 1126, 30, 1, Smoke::mf_static, 351, 17},	//2728 KStringHandler::capwords(const QString&)
    {104, 1623, 122, 1, Smoke::mf_static, 351, 18},	//2729 KStringHandler::from8Bit(const char*)
    {104, 1886, 122, 1, Smoke::mf_static, 452, 19},	//2730 KStringHandler::isUtf8(const char*)
    {104, 2474, 1014, 2, Smoke::mf_static, 351, 20},	//2731 KStringHandler::rsqueeze(const QString&, int)
    {104, 2474, 30, 1, Smoke::mf_static, 351, 21},	//2732 KStringHandler::rsqueeze(const QString&)
    {105, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//2733 KSycoca::metaObject() const
    {105, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//2734 KSycoca::qt_metacast(const char*)
    {105, 3148, 124, 2, Smoke::mf_static, 351, 3},	//2735 KSycoca::tr(const char*, const char*)
    {105, 3155, 124, 2, Smoke::mf_static, 351, 4},	//2736 KSycoca::trUtf8(const char*, const char*)
    {105, 3148, 127, 3, Smoke::mf_static, 351, 5},	//2737 KSycoca::tr(const char*, const char*, int)
    {105, 3155, 127, 3, Smoke::mf_static, 351, 6},	//2738 KSycoca::trUtf8(const char*, const char*, int)
    {105, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//2739 KSycoca::qt_metacall(QMetaObject::Call, int, void**)
    {105, 495, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 202, 8},	//2740 KSycoca::KSycoca(bool)
    {105, 3251, 0, 0, Smoke::mf_static, 615, 9},	//2741 KSycoca::version()
    {105, 1798, 0, 0, Smoke::mf_static, 452, 10},	//2742 KSycoca::isAvailable()
    {105, 1554, 1919, 2, 0, 274, 11},	//2743 KSycoca::findEntry(int, KSycocaType&)
    {105, 1560, 1922, 1, 0, 274, 12},	//2744 KSycoca::findFactory(KSycocaFactoryId)
    {105, 1944, 0, 0, 0, 351, 13},	//2745 KSycoca::kfsstnd_prefixes()
    {105, 846, 1924, 1, Smoke::mf_static, 351, 14},	//2746 KSycoca::absoluteFilePath(DatabaseType)
    {105, 1964, 0, 0, 0, 351, 15},	//2747 KSycoca::language()
    {105, 3115, 0, 0, 0, 631, 16},	//2748 KSycoca::timeStamp()
    {105, 3215, 0, 0, 0, 631, 17},	//2749 KSycoca::updateSignature()
    {105, 1030, 0, 0, 0, 354, 18},	//2750 KSycoca::allResourceDirs()
    {105, 893, 1926, 1, 0, 0, 19},	//2751 KSycoca::addFactory(KSycocaFactory*)
    {105, 1803, 0, 0, Smoke::mf_virtual, 452, 20},	//2752 KSycoca::isBuilding()
    {105, 1395, 0, 0, Smoke::mf_static, 0, 21},	//2753 KSycoca::disableAutoRebuild()
    {105, 1804, 122, 1, Smoke::mf_static, 452, 22},	//2754 KSycoca::isChanged(const char*)
    {105, 1584, 0, 0, Smoke::mf_static, 0, 23},	//2755 KSycoca::flagError()
    {105, 2373, 0, 0, Smoke::mf_static, 452, 24},	//2756 KSycoca::readError()
    {105, 1265, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2757 KSycoca::databaseChanged()
    {105, 1265, 141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2758 KSycoca::databaseChanged(const QStringList&)
    {105, 1501, 0, 0, Smoke::mf_protected, 209, 27},	//2759 KSycoca::factories()
    {105, 3058, 0, 0, Smoke::mf_protected, 275, 28},	//2760 KSycoca::stream()
    {105, 3148, 122, 1, Smoke::mf_static, 351, 29},	//2761 KSycoca::tr(const char*)
    {105, 3155, 122, 1, Smoke::mf_static, 351, 30},	//2762 KSycoca::trUtf8(const char*)
    {105, 846, 0, 0, Smoke::mf_static, 351, 31},	//2763 KSycoca::absoluteFilePath()
    {105, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 32},	//2764 KSycoca::staticMetaObject() const
    {105, 2046, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 274, 33},	//2765 KSycoca::m_str_deprecated() const
    {105, 2751, 1928, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2766 KSycoca::setM_str_deprecated(QDataStream*)
    {105, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 35},	//2767 KSycoca::LocalDatabase (enum)
    {105, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 36},	//2768 KSycoca::GlobalDatabase (enum)
    {105, 3427, 0, 0, Smoke::mf_dtor, 0, 37 },	//2769 KSycoca::~KSycoca()
    {106, 497, 0, 0, Smoke::mf_ctor, 205, 1},	//2770 KSycocaEntry::KSycocaEntry()
    {106, 1883, 1930, 1, Smoke::mf_const, 452, 2},	//2771 KSycocaEntry::isType(KSycocaType) const
    {106, 3084, 0, 0, Smoke::mf_const, 210, 3},	//2772 KSycocaEntry::sycocaType() const
    {106, 2346, 1932, 2, Smoke::mf_static, 0, 4},	//2773 KSycocaEntry::read(QDataStream&, QString&)
    {106, 2346, 1935, 2, Smoke::mf_static, 0, 5},	//2774 KSycocaEntry::read(QDataStream&, QStringList&)
    {106, 2119, 0, 0, Smoke::mf_const, 351, 6},	//2775 KSycocaEntry::name() const
    {106, 1438, 0, 0, Smoke::mf_const, 351, 7},	//2776 KSycocaEntry::entryPath() const
    {106, 3055, 0, 0, Smoke::mf_const, 351, 8},	//2777 KSycocaEntry::storageId() const
    {106, 1888, 0, 0, Smoke::mf_const, 452, 9},	//2778 KSycocaEntry::isValid() const
    {106, 1813, 0, 0, Smoke::mf_const, 452, 10},	//2779 KSycocaEntry::isDeleted() const
    {106, 2294, 30, 1, Smoke::mf_const, 364, 11},	//2780 KSycocaEntry::property(const QString&) const
    {106, 2301, 0, 0, Smoke::mf_const, 354, 12},	//2781 KSycocaEntry::propertyNames() const
    {106, 2617, 103, 1, 0, 0, 13},	//2782 KSycocaEntry::setDeleted(bool)
    {106, 1871, 0, 0, Smoke::mf_const, 452, 14},	//2783 KSycocaEntry::isSeparator() const
    {106, 2152, 0, 0, Smoke::mf_const, 615, 15},	//2784 KSycocaEntry::offset() const
    {106, 2477, 381, 1, 0, 0, 16},	//2785 KSycocaEntry::save(QDataStream&)
    {106, 497, 1938, 1, Smoke::mf_ctor|Smoke::mf_protected, 205, 17},	//2786 KSycocaEntry::KSycocaEntry(KSycocaEntryPrivate&)
    {106, 3428, 0, 0, Smoke::mf_dtor, 0, 18 },	//2787 KSycocaEntry::~KSycocaEntry()
    {110, 499, 1940, 6, Smoke::mf_ctor, 212, 1},	//2788 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {110, 499, 1947, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 212, 2},	//2789 KSystemTimeZone::KSystemTimeZone(const KSystemTimeZone&)
    {110, 499, 1949, 2, Smoke::mf_ctor, 212, 3},	//2790 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&)
    {110, 499, 1952, 3, Smoke::mf_ctor, 212, 4},	//2791 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&)
    {110, 499, 1956, 4, Smoke::mf_ctor, 212, 5},	//2792 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float)
    {110, 499, 1961, 5, Smoke::mf_ctor, 212, 6},	//2793 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float)
    {110, 3429, 0, 0, Smoke::mf_dtor, 0, 7 },	//2794 KSystemTimeZone::~KSystemTimeZone()
    {111, 506, 1940, 6, Smoke::mf_ctor, 213, 1},	//2795 KSystemTimeZoneBackend::KSystemTimeZoneBackend(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {111, 1165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 2},	//2796 KSystemTimeZoneBackend::clone() const
    {111, 3191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 3},	//2797 KSystemTimeZoneBackend::type() const
    {111, 2158, 1967, 3, Smoke::mf_const|Smoke::mf_virtual, 615, 4},	//2798 KSystemTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {111, 2155, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 5},	//2799 KSystemTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {111, 2152, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 6},	//2800 KSystemTimeZoneBackend::offset(const KTimeZone*, long int) const
    {111, 1821, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 7},	//2801 KSystemTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {111, 1818, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 8},	//2802 KSystemTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {111, 506, 1977, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 213, 9},	//2803 KSystemTimeZoneBackend::KSystemTimeZoneBackend(const KSystemTimeZoneBackend&)
    {111, 3430, 0, 0, Smoke::mf_dtor, 0, 10 },	//2804 KSystemTimeZoneBackend::~KSystemTimeZoneBackend()
    {112, 509, 0, 0, Smoke::mf_ctor, 214, 1},	//2805 KSystemTimeZoneSource::KSystemTimeZoneSource()
    {112, 2236, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 232, 2},	//2806 KSystemTimeZoneSource::parse(const KTimeZone&) const
    {112, 2995, 0, 0, Smoke::mf_static, 0, 3},	//2807 KSystemTimeZoneSource::startParseBlock()
    {112, 1430, 0, 0, Smoke::mf_static, 0, 4},	//2808 KSystemTimeZoneSource::endParseBlock()
    {112, 509, 1979, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 214, 5},	//2809 KSystemTimeZoneSource::KSystemTimeZoneSource(const KSystemTimeZoneSource&)
    {112, 3431, 0, 0, Smoke::mf_dtor, 0, 6 },	//2810 KSystemTimeZoneSource::~KSystemTimeZoneSource()
    {113, 2077, 0, 0, Smoke::mf_const, 584, 1},	//2811 KSystemTimeZones::metaObject() const
    {113, 2318, 122, 1, 0, 638, 2},	//2812 KSystemTimeZones::qt_metacast(const char*)
    {113, 3148, 124, 2, Smoke::mf_static, 351, 3},	//2813 KSystemTimeZones::tr(const char*, const char*)
    {113, 3155, 124, 2, Smoke::mf_static, 351, 4},	//2814 KSystemTimeZones::trUtf8(const char*, const char*)
    {113, 3148, 127, 3, Smoke::mf_static, 351, 5},	//2815 KSystemTimeZones::tr(const char*, const char*, int)
    {113, 3155, 127, 3, Smoke::mf_static, 351, 6},	//2816 KSystemTimeZones::trUtf8(const char*, const char*, int)
    {113, 2316, 131, 3, 0, 615, 7},	//2817 KSystemTimeZones::qt_metacall(QMetaObject::Call, int, void**)
    {113, 3118, 0, 0, Smoke::mf_static, 234, 8},	//2818 KSystemTimeZones::timeZones()
    {113, 3343, 0, 0, Smoke::mf_static, 580, 9},	//2819 KSystemTimeZones::zones()
    {113, 3340, 30, 1, Smoke::mf_static, 217, 10},	//2820 KSystemTimeZones::zone(const QString&)
    {113, 2405, 30, 1, Smoke::mf_static, 217, 11},	//2821 KSystemTimeZones::readZone(const QString&)
    {113, 2001, 0, 0, Smoke::mf_static, 217, 12},	//2822 KSystemTimeZones::local()
    {113, 2410, 0, 0, Smoke::mf_static, 217, 13},	//2823 KSystemTimeZones::realLocalZone()
    {113, 2707, 1041, 1, Smoke::mf_static, 0, 14},	//2824 KSystemTimeZones::setLocalZone(const KTimeZone&)
    {113, 1877, 0, 0, Smoke::mf_static, 452, 15},	//2825 KSystemTimeZones::isSimulated()
    {113, 3342, 0, 0, Smoke::mf_static, 351, 16},	//2826 KSystemTimeZones::zoneinfoDir()
    {113, 1882, 0, 0, Smoke::mf_static, 452, 17},	//2827 KSystemTimeZones::isTimeZoneDaemonAvailable()
    {113, 3148, 122, 1, Smoke::mf_static, 351, 18},	//2828 KSystemTimeZones::tr(const char*)
    {113, 3155, 122, 1, Smoke::mf_static, 351, 19},	//2829 KSystemTimeZones::trUtf8(const char*)
    {113, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 20},	//2830 KSystemTimeZones::staticMetaObject() const
    {113, 3432, 0, 0, Smoke::mf_dtor, 0, 21 },	//2831 KSystemTimeZones::~KSystemTimeZones()
    {114, 511, 1014, 2, Smoke::mf_ctor, 215, 1},	//2832 KTempDir::KTempDir(const QString&, int)
    {114, 2538, 103, 1, 0, 0, 2},	//2833 KTempDir::setAutoRemove(bool)
    {114, 1069, 0, 0, Smoke::mf_const, 452, 3},	//2834 KTempDir::autoRemove() const
    {114, 3050, 0, 0, Smoke::mf_const, 615, 4},	//2835 KTempDir::status() const
    {114, 2119, 0, 0, Smoke::mf_const, 351, 5},	//2836 KTempDir::name() const
    {114, 3197, 0, 0, 0, 0, 6},	//2837 KTempDir::unlink()
    {114, 1478, 0, 0, Smoke::mf_const, 452, 7},	//2838 KTempDir::exists() const
    {114, 2435, 30, 1, Smoke::mf_static, 452, 8},	//2839 KTempDir::removeDir(const QString&)
    {114, 1222, 1014, 2, Smoke::mf_protected, 452, 9},	//2840 KTempDir::create(const QString&, int)
    {114, 511, 0, 0, Smoke::mf_ctor, 215, 10},	//2841 KTempDir::KTempDir()
    {114, 511, 30, 1, Smoke::mf_ctor, 215, 11},	//2842 KTempDir::KTempDir(const QString&)
    {114, 3433, 0, 0, Smoke::mf_dtor, 0, 12 },	//2843 KTempDir::~KTempDir()
    {115, 514, 430, 1, Smoke::mf_ctor, 216, 1},	//2844 KTemporaryFile::KTemporaryFile(const KComponentData&)
    {115, 2842, 30, 1, 0, 0, 2},	//2845 KTemporaryFile::setPrefix(const QString&)
    {115, 2895, 30, 1, 0, 0, 3},	//2846 KTemporaryFile::setSuffix(const QString&)
    {115, 514, 0, 0, Smoke::mf_ctor, 216, 4},	//2847 KTemporaryFile::KTemporaryFile()
    {115, 3434, 0, 0, Smoke::mf_dtor, 0, 5 },	//2848 KTemporaryFile::~KTemporaryFile()
    {116, 516, 0, 0, Smoke::mf_ctor, 219, 1},	//2849 KTimeZone::KTimeZone()
    {116, 516, 30, 1, Smoke::mf_ctor, 219, 2},	//2850 KTimeZone::KTimeZone(const QString&)
    {116, 516, 1041, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 219, 3},	//2851 KTimeZone::KTimeZone(const KTimeZone&)
    {116, 2199, 1041, 1, 0, 218, 4},	//2852 KTimeZone::operator=(const KTimeZone&)
    {116, 2202, 1041, 1, Smoke::mf_const, 452, 5},	//2853 KTimeZone::operator==(const KTimeZone&) const
    {116, 2175, 1041, 1, Smoke::mf_const, 452, 6},	//2854 KTimeZone::operator!=(const KTimeZone&) const
    {116, 3191, 0, 0, Smoke::mf_const, 264, 7},	//2855 KTimeZone::type() const
    {116, 1888, 0, 0, Smoke::mf_const, 452, 8},	//2856 KTimeZone::isValid() const
    {116, 2119, 0, 0, Smoke::mf_const, 351, 9},	//2857 KTimeZone::name() const
    {116, 1218, 0, 0, Smoke::mf_const, 351, 10},	//2858 KTimeZone::countryCode() const
    {116, 1978, 0, 0, Smoke::mf_const, 614, 11},	//2859 KTimeZone::latitude() const
    {116, 2023, 0, 0, Smoke::mf_const, 614, 12},	//2860 KTimeZone::longitude() const
    {116, 1176, 0, 0, Smoke::mf_const, 351, 13},	//2861 KTimeZone::comment() const
    {116, 842, 0, 0, Smoke::mf_const, 333, 14},	//2862 KTimeZone::abbreviations() const
    {116, 840, 1037, 1, Smoke::mf_const, 264, 15},	//2863 KTimeZone::abbreviation(const QDateTime&) const
    {116, 3239, 0, 0, Smoke::mf_const, 337, 16},	//2864 KTimeZone::utcOffsets() const
    {116, 1202, 1981, 2, Smoke::mf_const, 278, 17},	//2865 KTimeZone::convert(const KTimeZone&, const QDateTime&) const
    {116, 3137, 1037, 1, Smoke::mf_const, 278, 18},	//2866 KTimeZone::toUtc(const QDateTime&) const
    {116, 3141, 1984, 2, Smoke::mf_const, 278, 19},	//2867 KTimeZone::toZoneTime(const QDateTime&, bool*) const
    {116, 1254, 1987, 1, Smoke::mf_const, 615, 20},	//2868 KTimeZone::currentOffset(Qt::TimeSpec) const
    {116, 2158, 1989, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 21},	//2869 KTimeZone::offsetAtZoneTime(const QDateTime&, int*) const
    {116, 2155, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 22},	//2870 KTimeZone::offsetAtUtc(const QDateTime&) const
    {116, 2152, 1992, 1, Smoke::mf_const|Smoke::mf_virtual, 615, 23},	//2871 KTimeZone::offset(long int) const
    {116, 1821, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 24},	//2872 KTimeZone::isDstAtUtc(const QDateTime&) const
    {116, 1818, 1992, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 25},	//2873 KTimeZone::isDst(long int) const
    {116, 2255, 0, 0, Smoke::mf_const, 329, 26},	//2874 KTimeZone::phases() const
    {116, 1717, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 27},	//2875 KTimeZone::hasTransitions() const
    {116, 3173, 1994, 2, Smoke::mf_const, 330, 28},	//2876 KTimeZone::transitions(const QDateTime&, const QDateTime&) const
    {116, 3161, 1997, 3, Smoke::mf_const, 532, 29},	//2877 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {116, 3165, 2001, 3, Smoke::mf_const, 615, 30},	//2878 KTimeZone::transitionIndex(const QDateTime&, int*, bool*) const
    {116, 3169, 2005, 3, Smoke::mf_const, 334, 31},	//2879 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {116, 1982, 0, 0, Smoke::mf_const, 328, 32},	//2880 KTimeZone::leapSecondChanges() const
    {116, 2972, 0, 0, Smoke::mf_const, 233, 33},	//2881 KTimeZone::source() const
    {116, 2236, 0, 0, Smoke::mf_const, 452, 34},	//2882 KTimeZone::parse() const
    {116, 1262, 103, 1, Smoke::mf_const, 536, 35},	//2883 KTimeZone::data(bool) const
    {116, 3213, 1041, 1, 0, 452, 36},	//2884 KTimeZone::updateBase(const KTimeZone&)
    {116, 1649, 1992, 1, Smoke::mf_static, 278, 37},	//2885 KTimeZone::fromTime_t(long int)
    {116, 3135, 1037, 1, Smoke::mf_static, 620, 38},	//2886 KTimeZone::toTime_t(const QDateTime&)
    {116, 3237, 0, 0, Smoke::mf_static, 217, 39},	//2887 KTimeZone::utc()
    {116, 516, 2009, 1, Smoke::mf_ctor|Smoke::mf_protected, 219, 40},	//2888 KTimeZone::KTimeZone(KTimeZoneBackend*)
    {116, 2582, 2011, 2, Smoke::mf_protected, 0, 41},	//2889 KTimeZone::setData(KTimeZoneData*, KTimeZoneSource*)
    {116, 3141, 1037, 1, Smoke::mf_const, 278, 42},	//2890 KTimeZone::toZoneTime(const QDateTime&) const
    {116, 1254, 0, 0, Smoke::mf_const, 615, 43},	//2891 KTimeZone::currentOffset() const
    {116, 2158, 1037, 1, Smoke::mf_const, 615, 44},	//2892 KTimeZone::offsetAtZoneTime(const QDateTime&) const
    {116, 3173, 0, 0, Smoke::mf_const, 330, 45},	//2893 KTimeZone::transitions() const
    {116, 3173, 1037, 1, Smoke::mf_const, 330, 46},	//2894 KTimeZone::transitions(const QDateTime&) const
    {116, 3161, 1037, 1, Smoke::mf_const, 532, 47},	//2895 KTimeZone::transition(const QDateTime&) const
    {116, 3161, 2014, 2, Smoke::mf_const, 532, 48},	//2896 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**) const
    {116, 3165, 1037, 1, Smoke::mf_const, 615, 49},	//2897 KTimeZone::transitionIndex(const QDateTime&) const
    {116, 3165, 1989, 2, Smoke::mf_const, 615, 50},	//2898 KTimeZone::transitionIndex(const QDateTime&, int*) const
    {116, 3169, 2017, 1, Smoke::mf_const, 334, 51},	//2899 KTimeZone::transitionTimes(const KTimeZone::Phase&) const
    {116, 3169, 2019, 2, Smoke::mf_const, 334, 52},	//2900 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {116, 1262, 0, 0, Smoke::mf_const, 536, 53},	//2901 KTimeZone::data() const
    {116, 2582, 2022, 1, Smoke::mf_protected, 0, 54},	//2902 KTimeZone::setData(KTimeZoneData*)
    {116, 183, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 603, 55},	//2903 KTimeZone::InvalidOffset() const
    {116, 184, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 605, 56},	//2904 KTimeZone::InvalidTime_t() const
    {116, 772, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 601, 57},	//2905 KTimeZone::UNKNOWN() const
    {116, 3435, 0, 0, Smoke::mf_dtor, 0, 58 },	//2906 KTimeZone::~KTimeZone()
    {117, 567, 0, 0, Smoke::mf_ctor, 222, 1},	//2907 KTimeZone::LeapSeconds::LeapSeconds()
    {117, 567, 2024, 3, Smoke::mf_ctor, 222, 2},	//2908 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int, const QString&)
    {117, 567, 2028, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 3},	//2909 KTimeZone::LeapSeconds::LeapSeconds(const KTimeZone::LeapSeconds&)
    {117, 2199, 2028, 1, 0, 221, 4},	//2910 KTimeZone::LeapSeconds::operator=(const KTimeZone::LeapSeconds&)
    {117, 2185, 2028, 1, Smoke::mf_const, 452, 5},	//2911 KTimeZone::LeapSeconds::operator<(const KTimeZone::LeapSeconds&) const
    {117, 1888, 0, 0, Smoke::mf_const, 452, 6},	//2912 KTimeZone::LeapSeconds::isValid() const
    {117, 1278, 0, 0, Smoke::mf_const, 278, 7},	//2913 KTimeZone::LeapSeconds::dateTime() const
    {117, 1983, 0, 0, Smoke::mf_const, 615, 8},	//2914 KTimeZone::LeapSeconds::leapSeconds() const
    {117, 1176, 0, 0, Smoke::mf_const, 351, 9},	//2915 KTimeZone::LeapSeconds::comment() const
    {117, 567, 2030, 2, Smoke::mf_ctor, 222, 10},	//2916 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int)
    {117, 3448, 0, 0, Smoke::mf_dtor, 0, 11 },	//2917 KTimeZone::LeapSeconds::~LeapSeconds()
    {118, 662, 0, 0, Smoke::mf_ctor, 225, 1},	//2918 KTimeZone::Phase::Phase()
    {118, 662, 2033, 4, Smoke::mf_ctor, 225, 2},	//2919 KTimeZone::Phase::Phase(int, const QByteArray&, bool, const QString&)
    {118, 662, 2038, 4, Smoke::mf_ctor, 225, 3},	//2920 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool, const QString&)
    {118, 662, 2017, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 4},	//2921 KTimeZone::Phase::Phase(const KTimeZone::Phase&)
    {118, 2199, 2017, 1, 0, 224, 5},	//2922 KTimeZone::Phase::operator=(const KTimeZone::Phase&)
    {118, 2202, 2017, 1, Smoke::mf_const, 452, 6},	//2923 KTimeZone::Phase::operator==(const KTimeZone::Phase&) const
    {118, 2175, 2017, 1, Smoke::mf_const, 452, 7},	//2924 KTimeZone::Phase::operator!=(const KTimeZone::Phase&) const
    {118, 3238, 0, 0, Smoke::mf_const, 615, 8},	//2925 KTimeZone::Phase::utcOffset() const
    {118, 842, 0, 0, Smoke::mf_const, 333, 9},	//2926 KTimeZone::Phase::abbreviations() const
    {118, 1818, 0, 0, Smoke::mf_const, 452, 10},	//2927 KTimeZone::Phase::isDst() const
    {118, 1176, 0, 0, Smoke::mf_const, 351, 11},	//2928 KTimeZone::Phase::comment() const
    {118, 662, 2043, 3, Smoke::mf_ctor, 225, 12},	//2929 KTimeZone::Phase::Phase(int, const QByteArray&, bool)
    {118, 662, 2047, 3, Smoke::mf_ctor, 225, 13},	//2930 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool)
    {118, 3450, 0, 0, Smoke::mf_dtor, 0, 14 },	//2931 KTimeZone::Phase::~Phase()
    {119, 767, 0, 0, Smoke::mf_ctor, 228, 1},	//2932 KTimeZone::Transition::Transition()
    {119, 767, 2051, 2, Smoke::mf_ctor, 228, 2},	//2933 KTimeZone::Transition::Transition(const QDateTime&, const KTimeZone::Phase&)
    {119, 767, 2054, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 228, 3},	//2934 KTimeZone::Transition::Transition(const KTimeZone::Transition&)
    {119, 2199, 2054, 1, 0, 227, 4},	//2935 KTimeZone::Transition::operator=(const KTimeZone::Transition&)
    {119, 3112, 0, 0, Smoke::mf_const, 278, 5},	//2936 KTimeZone::Transition::time() const
    {119, 2254, 0, 0, Smoke::mf_const, 223, 6},	//2937 KTimeZone::Transition::phase() const
    {119, 2185, 2054, 1, Smoke::mf_const, 452, 7},	//2938 KTimeZone::Transition::operator<(const KTimeZone::Transition&) const
    {119, 3453, 0, 0, Smoke::mf_dtor, 0, 8 },	//2939 KTimeZone::Transition::~Transition()
    {120, 519, 0, 0, Smoke::mf_ctor, 230, 1},	//2940 KTimeZoneBackend::KTimeZoneBackend()
    {120, 519, 30, 1, Smoke::mf_ctor, 230, 2},	//2941 KTimeZoneBackend::KTimeZoneBackend(const QString&)
    {120, 519, 2056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 3},	//2942 KTimeZoneBackend::KTimeZoneBackend(const KTimeZoneBackend&)
    {120, 2199, 2056, 1, 0, 229, 4},	//2943 KTimeZoneBackend::operator=(const KTimeZoneBackend&)
    {120, 1165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 5},	//2944 KTimeZoneBackend::clone() const
    {120, 3191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 6},	//2945 KTimeZoneBackend::type() const
    {120, 2158, 1967, 3, Smoke::mf_const|Smoke::mf_virtual, 615, 7},	//2946 KTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {120, 2155, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 8},	//2947 KTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {120, 2152, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 615, 9},	//2948 KTimeZoneBackend::offset(const KTimeZone*, long int) const
    {120, 1821, 1971, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 10},	//2949 KTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {120, 1818, 1974, 2, Smoke::mf_const|Smoke::mf_virtual, 452, 11},	//2950 KTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {120, 1717, 2058, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 12},	//2951 KTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {120, 519, 2060, 6, Smoke::mf_ctor|Smoke::mf_protected, 230, 13},	//2952 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {120, 519, 2067, 2, Smoke::mf_ctor|Smoke::mf_protected, 230, 14},	//2953 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&)
    {120, 519, 2070, 3, Smoke::mf_ctor|Smoke::mf_protected, 230, 15},	//2954 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&)
    {120, 519, 2074, 4, Smoke::mf_ctor|Smoke::mf_protected, 230, 16},	//2955 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float)
    {120, 519, 2079, 5, Smoke::mf_ctor|Smoke::mf_protected, 230, 17},	//2956 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float)
    {120, 3436, 0, 0, Smoke::mf_dtor, 0, 18 },	//2957 KTimeZoneBackend::~KTimeZoneBackend()
    {121, 527, 0, 0, Smoke::mf_ctor, 232, 1},	//2958 KTimeZoneData::KTimeZoneData()
    {121, 527, 2085, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 232, 2},	//2959 KTimeZoneData::KTimeZoneData(const KTimeZoneData&)
    {121, 2199, 2085, 1, 0, 231, 3},	//2960 KTimeZoneData::operator=(const KTimeZoneData&)
    {121, 1165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 232, 4},	//2961 KTimeZoneData::clone() const
    {121, 842, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 333, 5},	//2962 KTimeZoneData::abbreviations() const
    {121, 840, 1037, 1, Smoke::mf_const|Smoke::mf_virtual, 264, 6},	//2963 KTimeZoneData::abbreviation(const QDateTime&) const
    {121, 3239, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 337, 7},	//2964 KTimeZoneData::utcOffsets() const
    {121, 2277, 0, 0, Smoke::mf_const, 615, 8},	//2965 KTimeZoneData::previousUtcOffset() const
    {121, 2255, 0, 0, Smoke::mf_const, 329, 9},	//2966 KTimeZoneData::phases() const
    {121, 1717, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 10},	//2967 KTimeZoneData::hasTransitions() const
    {121, 3173, 1994, 2, Smoke::mf_const, 330, 11},	//2968 KTimeZoneData::transitions(const QDateTime&, const QDateTime&) const
    {121, 3161, 1997, 3, Smoke::mf_const, 532, 12},	//2969 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {121, 3165, 2001, 3, Smoke::mf_const, 615, 13},	//2970 KTimeZoneData::transitionIndex(const QDateTime&, int*, bool*) const
    {121, 3169, 2005, 3, Smoke::mf_const, 334, 14},	//2971 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {121, 1982, 0, 0, Smoke::mf_const, 328, 15},	//2972 KTimeZoneData::leapSecondChanges() const
    {121, 1980, 1037, 1, Smoke::mf_const, 220, 16},	//2973 KTimeZoneData::leapSecondChange(const QDateTime&) const
    {121, 2831, 2087, 2, Smoke::mf_protected, 0, 17},	//2974 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, const KTimeZone::Phase&)
    {121, 2831, 2090, 2, Smoke::mf_protected, 0, 18},	//2975 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, int)
    {121, 2917, 2093, 1, Smoke::mf_protected, 0, 19},	//2976 KTimeZoneData::setTransitions(const QList<KTimeZone::Transition>&)
    {121, 2699, 2095, 1, Smoke::mf_protected, 0, 20},	//2977 KTimeZoneData::setLeapSecondChanges(const QList<KTimeZone::LeapSeconds>&)
    {121, 3173, 0, 0, Smoke::mf_const, 330, 21},	//2978 KTimeZoneData::transitions() const
    {121, 3173, 1037, 1, Smoke::mf_const, 330, 22},	//2979 KTimeZoneData::transitions(const QDateTime&) const
    {121, 3161, 1037, 1, Smoke::mf_const, 532, 23},	//2980 KTimeZoneData::transition(const QDateTime&) const
    {121, 3161, 2014, 2, Smoke::mf_const, 532, 24},	//2981 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**) const
    {121, 3165, 1037, 1, Smoke::mf_const, 615, 25},	//2982 KTimeZoneData::transitionIndex(const QDateTime&) const
    {121, 3165, 1989, 2, Smoke::mf_const, 615, 26},	//2983 KTimeZoneData::transitionIndex(const QDateTime&, int*) const
    {121, 3169, 2017, 1, Smoke::mf_const, 334, 27},	//2984 KTimeZoneData::transitionTimes(const KTimeZone::Phase&) const
    {121, 3169, 2019, 2, Smoke::mf_const, 334, 28},	//2985 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {121, 3437, 0, 0, Smoke::mf_dtor, 0, 29 },	//2986 KTimeZoneData::~KTimeZoneData()
    {122, 529, 0, 0, Smoke::mf_ctor, 233, 1},	//2987 KTimeZoneSource::KTimeZoneSource()
    {122, 2236, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 232, 2},	//2988 KTimeZoneSource::parse(const KTimeZone&) const
    {122, 3226, 0, 0, Smoke::mf_const, 452, 3},	//2989 KTimeZoneSource::useZoneParse() const
    {122, 529, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 233, 4},	//2990 KTimeZoneSource::KTimeZoneSource(bool)
    {122, 529, 2097, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 233, 5},	//2991 KTimeZoneSource::KTimeZoneSource(const KTimeZoneSource&)
    {122, 3438, 0, 0, Smoke::mf_dtor, 0, 6 },	//2992 KTimeZoneSource::~KTimeZoneSource()
    {123, 532, 0, 0, Smoke::mf_ctor, 234, 1},	//2993 KTimeZones::KTimeZones()
    {123, 3340, 30, 1, Smoke::mf_const, 217, 2},	//2994 KTimeZones::zone(const QString&) const
    {123, 3343, 0, 0, Smoke::mf_const, 580, 3},	//2995 KTimeZones::zones() const
    {123, 859, 1041, 1, 0, 452, 4},	//2996 KTimeZones::add(const KTimeZone&)
    {123, 2428, 1041, 1, 0, 217, 5},	//2997 KTimeZones::remove(const KTimeZone&)
    {123, 2428, 30, 1, 0, 217, 6},	//2998 KTimeZones::remove(const QString&)
    {123, 1161, 0, 0, 0, 0, 7},	//2999 KTimeZones::clear()
    {123, 3439, 0, 0, Smoke::mf_dtor, 0, 8 },	//3000 KTimeZones::~KTimeZones()
    {124, 2077, 0, 0, Smoke::mf_const, 584, 1},	//3001 KToolInvocation::metaObject() const
    {124, 2318, 122, 1, 0, 638, 2},	//3002 KToolInvocation::qt_metacast(const char*)
    {124, 3148, 124, 2, Smoke::mf_static, 351, 3},	//3003 KToolInvocation::tr(const char*, const char*)
    {124, 3155, 124, 2, Smoke::mf_static, 351, 4},	//3004 KToolInvocation::trUtf8(const char*, const char*)
    {124, 3148, 127, 3, Smoke::mf_static, 351, 5},	//3005 KToolInvocation::tr(const char*, const char*, int)
    {124, 3155, 127, 3, Smoke::mf_static, 351, 6},	//3006 KToolInvocation::trUtf8(const char*, const char*, int)
    {124, 2316, 131, 3, 0, 615, 7},	//3007 KToolInvocation::qt_metacall(QMetaObject::Call, int, void**)
    {124, 2493, 0, 0, Smoke::mf_static, 235, 8},	//3008 KToolInvocation::self()
    {124, 1770, 2099, 3, Smoke::mf_static|Smoke::mf_slot, 0, 9},	//3009 KToolInvocation::invokeHelp(const QString&, const QString&, const QByteArray&)
    {124, 1774, 2099, 3, Smoke::mf_static|Smoke::mf_slot, 0, 10},	//3010 KToolInvocation::invokeMailer(const QString&, const QString&, const QByteArray&)
    {124, 1774, 2103, 3, Smoke::mf_static|Smoke::mf_slot, 0, 11},	//3011 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&, bool)
    {124, 1774, 2107, 8, Smoke::mf_static|Smoke::mf_slot, 0, 12},	//3012 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&)
    {124, 1767, 589, 2, Smoke::mf_static|Smoke::mf_slot, 0, 13},	//3013 KToolInvocation::invokeBrowser(const QString&, const QByteArray&)
    {124, 1784, 2099, 3, Smoke::mf_static|Smoke::mf_slot, 0, 14},	//3014 KToolInvocation::invokeTerminal(const QString&, const QString&, const QByteArray&)
    {124, 1957, 0, 0, Smoke::mf_static, 260, 15},	//3015 KToolInvocation::klauncher()
    {124, 3025, 2116, 7, Smoke::mf_static, 615, 16},	//3016 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 3025, 2124, 7, Smoke::mf_static, 615, 17},	//3017 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 3011, 2116, 7, Smoke::mf_static, 615, 18},	//3018 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 3011, 2124, 7, Smoke::mf_static, 615, 19},	//3019 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 2997, 2116, 7, Smoke::mf_static, 615, 20},	//3020 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 2997, 2124, 7, Smoke::mf_static, 615, 21},	//3021 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {124, 1925, 2132, 5, Smoke::mf_static, 615, 22},	//3022 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {124, 1931, 2132, 5, Smoke::mf_static, 615, 23},	//3023 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {124, 1916, 2138, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3024 KToolInvocation::kapplication_hook(QStringList&, QByteArray&)
    {124, 3148, 122, 1, Smoke::mf_static, 351, 25},	//3025 KToolInvocation::tr(const char*)
    {124, 3155, 122, 1, Smoke::mf_static, 351, 26},	//3026 KToolInvocation::trUtf8(const char*)
    {124, 1770, 0, 0, Smoke::mf_static|Smoke::mf_slot, 0, 27},	//3027 KToolInvocation::invokeHelp()
    {124, 1770, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 28},	//3028 KToolInvocation::invokeHelp(const QString&)
    {124, 1770, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 29},	//3029 KToolInvocation::invokeHelp(const QString&, const QString&)
    {124, 1774, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 30},	//3030 KToolInvocation::invokeMailer(const QString&, const QString&)
    {124, 1774, 148, 1, Smoke::mf_static|Smoke::mf_slot, 0, 31},	//3031 KToolInvocation::invokeMailer(const KUrl&)
    {124, 1774, 2141, 2, Smoke::mf_static|Smoke::mf_slot, 0, 32},	//3032 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&)
    {124, 1774, 2144, 5, Smoke::mf_static|Smoke::mf_slot, 0, 33},	//3033 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&)
    {124, 1774, 2150, 6, Smoke::mf_static|Smoke::mf_slot, 0, 34},	//3034 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&)
    {124, 1774, 2157, 7, Smoke::mf_static|Smoke::mf_slot, 0, 35},	//3035 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&)
    {124, 1767, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 36},	//3036 KToolInvocation::invokeBrowser(const QString&)
    {124, 1784, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 37},	//3037 KToolInvocation::invokeTerminal(const QString&)
    {124, 1784, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 38},	//3038 KToolInvocation::invokeTerminal(const QString&, const QString&)
    {124, 3025, 95, 2, Smoke::mf_static, 615, 39},	//3039 KToolInvocation::startServiceByName(const QString&, const QString&)
    {124, 3025, 2165, 3, Smoke::mf_static, 615, 40},	//3040 KToolInvocation::startServiceByName(const QString&, const QString&, QString*)
    {124, 3025, 2169, 4, Smoke::mf_static, 615, 41},	//3041 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*)
    {124, 3025, 2174, 5, Smoke::mf_static, 615, 42},	//3042 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*)
    {124, 3025, 2180, 6, Smoke::mf_static, 615, 43},	//3043 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {124, 3025, 30, 1, Smoke::mf_static, 615, 44},	//3044 KToolInvocation::startServiceByName(const QString&)
    {124, 3025, 533, 2, Smoke::mf_static, 615, 45},	//3045 KToolInvocation::startServiceByName(const QString&, const QStringList&)
    {124, 3025, 2187, 3, Smoke::mf_static, 615, 46},	//3046 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*)
    {124, 3025, 2191, 4, Smoke::mf_static, 615, 47},	//3047 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*)
    {124, 3025, 2196, 5, Smoke::mf_static, 615, 48},	//3048 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*)
    {124, 3025, 2202, 6, Smoke::mf_static, 615, 49},	//3049 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {124, 3011, 95, 2, Smoke::mf_static, 615, 50},	//3050 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&)
    {124, 3011, 2165, 3, Smoke::mf_static, 615, 51},	//3051 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*)
    {124, 3011, 2169, 4, Smoke::mf_static, 615, 52},	//3052 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*)
    {124, 3011, 2174, 5, Smoke::mf_static, 615, 53},	//3053 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*)
    {124, 3011, 2180, 6, Smoke::mf_static, 615, 54},	//3054 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {124, 3011, 30, 1, Smoke::mf_static, 615, 55},	//3055 KToolInvocation::startServiceByDesktopPath(const QString&)
    {124, 3011, 533, 2, Smoke::mf_static, 615, 56},	//3056 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&)
    {124, 3011, 2187, 3, Smoke::mf_static, 615, 57},	//3057 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*)
    {124, 3011, 2191, 4, Smoke::mf_static, 615, 58},	//3058 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*)
    {124, 3011, 2196, 5, Smoke::mf_static, 615, 59},	//3059 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*)
    {124, 3011, 2202, 6, Smoke::mf_static, 615, 60},	//3060 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {124, 2997, 95, 2, Smoke::mf_static, 615, 61},	//3061 KToolInvocation::startServiceByDesktopName(const QString&, const QString&)
    {124, 2997, 2165, 3, Smoke::mf_static, 615, 62},	//3062 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*)
    {124, 2997, 2169, 4, Smoke::mf_static, 615, 63},	//3063 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*)
    {124, 2997, 2174, 5, Smoke::mf_static, 615, 64},	//3064 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*)
    {124, 2997, 2180, 6, Smoke::mf_static, 615, 65},	//3065 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {124, 2997, 30, 1, Smoke::mf_static, 615, 66},	//3066 KToolInvocation::startServiceByDesktopName(const QString&)
    {124, 2997, 533, 2, Smoke::mf_static, 615, 67},	//3067 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&)
    {124, 2997, 2187, 3, Smoke::mf_static, 615, 68},	//3068 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*)
    {124, 2997, 2191, 4, Smoke::mf_static, 615, 69},	//3069 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*)
    {124, 2997, 2196, 5, Smoke::mf_static, 615, 70},	//3070 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*)
    {124, 2997, 2202, 6, Smoke::mf_static, 615, 71},	//3071 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {124, 1925, 30, 1, Smoke::mf_static, 615, 72},	//3072 KToolInvocation::kdeinitExec(const QString&)
    {124, 1925, 533, 2, Smoke::mf_static, 615, 73},	//3073 KToolInvocation::kdeinitExec(const QString&, const QStringList&)
    {124, 1925, 2187, 3, Smoke::mf_static, 615, 74},	//3074 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*)
    {124, 1925, 2209, 4, Smoke::mf_static, 615, 75},	//3075 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*)
    {124, 1931, 30, 1, Smoke::mf_static, 615, 76},	//3076 KToolInvocation::kdeinitExecWait(const QString&)
    {124, 1931, 533, 2, Smoke::mf_static, 615, 77},	//3077 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&)
    {124, 1931, 2187, 3, Smoke::mf_static, 615, 78},	//3078 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*)
    {124, 1931, 2209, 4, Smoke::mf_static, 615, 79},	//3079 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*)
    {124, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 80},	//3080 KToolInvocation::staticMetaObject() const
    {124, 3440, 0, 0, Smoke::mf_dtor, 0, 81 },	//3081 KToolInvocation::~KToolInvocation()
    {125, 533, 2214, 6, Smoke::mf_ctor, 236, 1},	//3082 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {125, 533, 2221, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 236, 2},	//3083 KTzfileTimeZone::KTzfileTimeZone(const KTzfileTimeZone&)
    {125, 533, 2223, 2, Smoke::mf_ctor, 236, 3},	//3084 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&)
    {125, 533, 2226, 3, Smoke::mf_ctor, 236, 4},	//3085 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&)
    {125, 533, 2230, 4, Smoke::mf_ctor, 236, 5},	//3086 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float)
    {125, 533, 2235, 5, Smoke::mf_ctor, 236, 6},	//3087 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float)
    {125, 3441, 0, 0, Smoke::mf_dtor, 0, 7 },	//3088 KTzfileTimeZone::~KTzfileTimeZone()
    {126, 540, 2214, 6, Smoke::mf_ctor, 237, 1},	//3089 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {126, 1165, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 2},	//3090 KTzfileTimeZoneBackend::clone() const
    {126, 3191, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 264, 3},	//3091 KTzfileTimeZoneBackend::type() const
    {126, 1717, 2058, 1, Smoke::mf_const|Smoke::mf_virtual, 452, 4},	//3092 KTzfileTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {126, 540, 2241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 237, 5},	//3093 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(const KTzfileTimeZoneBackend&)
    {126, 3442, 0, 0, Smoke::mf_dtor, 0, 6 },	//3094 KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend()
    {127, 543, 30, 1, Smoke::mf_ctor, 238, 1},	//3095 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const QString&)
    {127, 2019, 0, 0, Smoke::mf_const, 351, 2},	//3096 KTzfileTimeZoneSource::location() const
    {127, 2236, 1041, 1, Smoke::mf_const|Smoke::mf_virtual, 232, 3},	//3097 KTzfileTimeZoneSource::parse(const KTimeZone&) const
    {127, 543, 2243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 238, 4},	//3098 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const KTzfileTimeZoneSource&)
    {127, 3443, 0, 0, Smoke::mf_dtor, 0, 5 },	//3099 KTzfileTimeZoneSource::~KTzfileTimeZoneSource()
    {128, 546, 0, 0, Smoke::mf_ctor, 241, 1},	//3100 KUrl::KUrl()
    {128, 546, 30, 1, Smoke::mf_ctor, 241, 2},	//3101 KUrl::KUrl(const QString&)
    {128, 546, 122, 1, Smoke::mf_ctor, 241, 3},	//3102 KUrl::KUrl(const char*)
    {128, 546, 32, 1, Smoke::mf_ctor, 241, 4},	//3103 KUrl::KUrl(const QByteArray&)
    {128, 546, 148, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 241, 5},	//3104 KUrl::KUrl(const KUrl&)
    {128, 546, 1819, 1, Smoke::mf_ctor, 241, 6},	//3105 KUrl::KUrl(const QUrl&)
    {128, 546, 152, 2, Smoke::mf_ctor, 241, 7},	//3106 KUrl::KUrl(const KUrl&, const QString&)
    {128, 2302, 0, 0, Smoke::mf_const, 351, 8},	//3107 KUrl::protocol() const
    {128, 2862, 30, 1, 0, 0, 9},	//3108 KUrl::setProtocol(const QString&)
    {128, 3227, 0, 0, Smoke::mf_const, 351, 10},	//3109 KUrl::user() const
    {128, 2927, 30, 1, 0, 0, 11},	//3110 KUrl::setUser(const QString&)
    {128, 1719, 0, 0, Smoke::mf_const, 452, 12},	//3111 KUrl::hasUser() const
    {128, 2240, 0, 0, Smoke::mf_const, 351, 13},	//3112 KUrl::pass() const
    {128, 2825, 30, 1, 0, 0, 14},	//3113 KUrl::setPass(const QString&)
    {128, 1707, 0, 0, Smoke::mf_const, 452, 15},	//3114 KUrl::hasPass() const
    {128, 1692, 0, 0, Smoke::mf_const, 452, 16},	//3115 KUrl::hasHost() const
    {128, 2241, 2245, 1, Smoke::mf_const, 351, 17},	//3116 KUrl::path(KUrl::AdjustPathOption) const
    {128, 3123, 2245, 1, Smoke::mf_const, 351, 18},	//3117 KUrl::toLocalFile(KUrl::AdjustPathOption) const
    {128, 2827, 30, 1, 0, 0, 19},	//3118 KUrl::setPath(const QString&)
    {128, 1708, 0, 0, Smoke::mf_const, 452, 20},	//3119 KUrl::hasPath() const
    {128, 1159, 2247, 1, 0, 0, 21},	//3120 KUrl::cleanPath(const KUrl::CleanPathOption&)
    {128, 1018, 2245, 1, 0, 0, 22},	//3121 KUrl::adjustPath(KUrl::AdjustPathOption)
    {128, 2630, 30, 1, 0, 0, 23},	//3122 KUrl::setEncodedPathAndQuery(const QString&)
    {128, 1420, 2249, 2, Smoke::mf_const, 351, 24},	//3123 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&) const
    {128, 2864, 30, 1, 0, 0, 25},	//3124 KUrl::setQuery(const QString&)
    {128, 2320, 0, 0, Smoke::mf_const, 351, 26},	//3125 KUrl::query() const
    {128, 2413, 0, 0, Smoke::mf_const, 351, 27},	//3126 KUrl::ref() const
    {128, 2868, 30, 1, 0, 0, 28},	//3127 KUrl::setRef(const QString&)
    {128, 1710, 0, 0, Smoke::mf_const, 452, 29},	//3128 KUrl::hasRef() const
    {128, 1725, 0, 0, Smoke::mf_const, 351, 30},	//3129 KUrl::htmlRef() const
    {128, 1419, 0, 0, Smoke::mf_const, 351, 31},	//3130 KUrl::encodedHtmlRef() const
    {128, 2669, 30, 1, 0, 0, 32},	//3131 KUrl::setHTMLRef(const QString&)
    {128, 1690, 0, 0, Smoke::mf_const, 452, 33},	//3132 KUrl::hasHTMLRef() const
    {128, 1851, 0, 0, Smoke::mf_const, 452, 34},	//3133 KUrl::isLocalFile() const
    {128, 2654, 30, 1, 0, 0, 35},	//3134 KUrl::setFileEncoding(const QString&)
    {128, 1512, 0, 0, Smoke::mf_const, 351, 36},	//3135 KUrl::fileEncoding() const
    {128, 1713, 0, 0, Smoke::mf_const, 452, 37},	//3136 KUrl::hasSubUrl() const
    {128, 981, 30, 1, 0, 0, 38},	//3137 KUrl::addPath(const QString&)
    {128, 2326, 2252, 1, Smoke::mf_const, 339, 39},	//3138 KUrl::queryItems(const QFlags<KUrl::QueryItemsOption>&) const
    {128, 2324, 30, 1, Smoke::mf_const, 351, 40},	//3139 KUrl::queryItem(const QString&) const
    {128, 985, 95, 2, 0, 0, 41},	//3140 KUrl::addQueryItem(const QString&, const QString&)
    {128, 2656, 30, 1, 0, 0, 42},	//3141 KUrl::setFileName(const QString&)
    {128, 1515, 2254, 1, Smoke::mf_const, 351, 43},	//3142 KUrl::fileName(const QFlags<KUrl::DirectoryOption>&) const
    {128, 1391, 2254, 1, Smoke::mf_const, 351, 44},	//3143 KUrl::directory(const QFlags<KUrl::DirectoryOption>&) const
    {128, 2628, 30, 1, 0, 0, 45},	//3144 KUrl::setDirectory(const QString&)
    {128, 1132, 30, 1, 0, 452, 46},	//3145 KUrl::cd(const QString&)
    {128, 3216, 2245, 1, Smoke::mf_const, 351, 47},	//3146 KUrl::url(KUrl::AdjustPathOption) const
    {128, 2275, 2245, 1, Smoke::mf_const, 351, 48},	//3147 KUrl::prettyUrl(KUrl::AdjustPathOption) const
    {128, 2243, 0, 0, Smoke::mf_const, 351, 49},	//3148 KUrl::pathOrUrl() const
    {128, 2243, 2245, 1, Smoke::mf_const, 351, 50},	//3149 KUrl::pathOrUrl(KUrl::AdjustPathOption) const
    {128, 3126, 0, 0, Smoke::mf_const, 351, 51},	//3150 KUrl::toMimeDataString() const
    {128, 3208, 0, 0, Smoke::mf_const, 239, 52},	//3151 KUrl::upUrl() const
    {128, 2199, 148, 1, 0, 240, 53},	//3152 KUrl::operator=(const KUrl&)
    {128, 2199, 122, 1, 0, 240, 54},	//3153 KUrl::operator=(const char*)
    {128, 2199, 32, 1, 0, 240, 55},	//3154 KUrl::operator=(const QByteArray&)
    {128, 2199, 30, 1, 0, 240, 56},	//3155 KUrl::operator=(const QString&)
    {128, 2202, 148, 1, Smoke::mf_const, 452, 57},	//3156 KUrl::operator==(const KUrl&) const
    {128, 2202, 30, 1, Smoke::mf_const, 452, 58},	//3157 KUrl::operator==(const QString&) const
    {128, 2175, 148, 1, Smoke::mf_const, 452, 59},	//3158 KUrl::operator!=(const KUrl&) const
    {128, 2175, 30, 1, Smoke::mf_const, 452, 60},	//3159 KUrl::operator!=(const QString&) const
    {128, 2174, 0, 0, Smoke::mf_const, 364, 61},	//3160 KUrl::operator QVariant() const
    {128, 1167, 2256, 2, Smoke::mf_const, 452, 62},	//3161 KUrl::cmp(const KUrl&, bool) const
    {128, 1440, 2259, 2, Smoke::mf_const, 452, 63},	//3162 KUrl::equals(const KUrl&, const QFlags<KUrl::EqualsOption>&) const
    {128, 1860, 148, 1, Smoke::mf_const, 452, 64},	//3163 KUrl::isParentOf(const KUrl&) const
    {128, 2976, 30, 1, Smoke::mf_static, 247, 65},	//3164 KUrl::split(const QString&)
    {128, 2976, 148, 1, Smoke::mf_static, 247, 66},	//3165 KUrl::split(const KUrl&)
    {128, 1901, 2262, 1, Smoke::mf_static, 239, 67},	//3166 KUrl::join(const KUrl::List&)
    {128, 1636, 30, 1, Smoke::mf_static, 239, 68},	//3167 KUrl::fromPath(const QString&)
    {128, 1638, 30, 1, Smoke::mf_static, 239, 69},	//3168 KUrl::fromPathOrUrl(const QString&)
    {128, 1634, 32, 1, Smoke::mf_static, 239, 70},	//3169 KUrl::fromMimeDataByteArray(const QByteArray&)
    {128, 2260, 2264, 3, Smoke::mf_const, 0, 71},	//3170 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags) const
    {128, 1415, 30, 1, Smoke::mf_static, 351, 72},	//3171 KUrl::encode_string(const QString&)
    {128, 1417, 30, 1, Smoke::mf_static, 351, 73},	//3172 KUrl::encode_string_no_slash(const QString&)
    {128, 1332, 30, 1, Smoke::mf_static, 351, 74},	//3173 KUrl::decode_string(const QString&)
    {128, 1865, 30, 1, Smoke::mf_static, 452, 75},	//3174 KUrl::isRelativeUrl(const QString&)
    {128, 2425, 2268, 2, Smoke::mf_static, 351, 76},	//3175 KUrl::relativeUrl(const KUrl&, const KUrl&)
    {128, 2422, 287, 3, Smoke::mf_static, 351, 77},	//3176 KUrl::relativePath(const QString&, const QString&, bool*)
    {128, 2241, 0, 0, Smoke::mf_const, 351, 78},	//3177 KUrl::path() const
    {128, 3123, 0, 0, Smoke::mf_const, 351, 79},	//3178 KUrl::toLocalFile() const
    {128, 1159, 0, 0, 0, 0, 80},	//3179 KUrl::cleanPath()
    {128, 1420, 0, 0, Smoke::mf_const, 351, 81},	//3180 KUrl::encodedPathAndQuery() const
    {128, 1420, 2245, 1, Smoke::mf_const, 351, 82},	//3181 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption) const
    {128, 2326, 0, 0, Smoke::mf_const, 339, 83},	//3182 KUrl::queryItems() const
    {128, 1515, 0, 0, Smoke::mf_const, 351, 84},	//3183 KUrl::fileName() const
    {128, 1391, 0, 0, Smoke::mf_const, 351, 85},	//3184 KUrl::directory() const
    {128, 3216, 0, 0, Smoke::mf_const, 351, 86},	//3185 KUrl::url() const
    {128, 2275, 0, 0, Smoke::mf_const, 351, 87},	//3186 KUrl::prettyUrl() const
    {128, 1167, 148, 1, Smoke::mf_const, 452, 88},	//3187 KUrl::cmp(const KUrl&) const
    {128, 1440, 148, 1, Smoke::mf_const, 452, 89},	//3188 KUrl::equals(const KUrl&) const
    {128, 2260, 2271, 1, Smoke::mf_const, 0, 90},	//3189 KUrl::populateMimeData(QMimeData*) const
    {128, 2260, 2273, 2, Smoke::mf_const, 0, 91},	//3190 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&) const
    {128, 2422, 95, 2, Smoke::mf_static, 351, 92},	//3191 KUrl::relativePath(const QString&, const QString&)
    {128, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 93},	//3192 KUrl::DefaultMimeDataFlags (enum)
    {128, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 249, 94},	//3193 KUrl::NoTextExport (enum)
    {128, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 95},	//3194 KUrl::RemoveTrailingSlash (enum)
    {128, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 96},	//3195 KUrl::LeaveTrailingSlash (enum)
    {128, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 97},	//3196 KUrl::AddTrailingSlash (enum)
    {128, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 98},	//3197 KUrl::SimplifyDirSeparators (enum)
    {128, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 99},	//3198 KUrl::KeepDirSeparators (enum)
    {128, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 100},	//3199 KUrl::PermitEmptyPath (enum)
    {128, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 245, 101},	//3200 KUrl::AvoidEmptyPath (enum)
    {128, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 250, 102},	//3201 KUrl::CaseInsensitiveKeys (enum)
    {128, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 103},	//3202 KUrl::ObeyTrailingSlash (enum)
    {128, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 104},	//3203 KUrl::AppendTrailingSlash (enum)
    {128, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 105},	//3204 KUrl::IgnoreTrailingSlash (enum)
    {128, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 106},	//3205 KUrl::CompareWithoutTrailingSlash (enum)
    {128, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 107},	//3206 KUrl::CompareWithoutFragment (enum)
    {128, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 246, 108},	//3207 KUrl::AllowEmptyPath (enum)
    {128, 3444, 0, 0, Smoke::mf_dtor, 0, 109 },	//3208 KUrl::~KUrl()
    {129, 550, 2276, 1, Smoke::mf_ctor, 253, 1},	//3209 KUser::KUser(KUser::UIDMode)
    {129, 550, 952, 1, Smoke::mf_ctor, 253, 2},	//3210 KUser::KUser(unsigned int)
    {129, 550, 30, 1, Smoke::mf_ctor, 253, 3},	//3211 KUser::KUser(const QString&)
    {129, 550, 122, 1, Smoke::mf_ctor, 253, 4},	//3212 KUser::KUser(const char*)
    {129, 550, 2278, 1, Smoke::mf_ctor, 253, 5},	//3213 KUser::KUser(const passwd*)
    {129, 550, 2280, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 253, 6},	//3214 KUser::KUser(const KUser&)
    {129, 2199, 2280, 1, 0, 252, 7},	//3215 KUser::operator=(const KUser&)
    {129, 2202, 2280, 1, Smoke::mf_const, 452, 8},	//3216 KUser::operator==(const KUser&) const
    {129, 2175, 2280, 1, Smoke::mf_const, 452, 9},	//3217 KUser::operator!=(const KUser&) const
    {129, 1888, 0, 0, Smoke::mf_const, 452, 10},	//3218 KUser::isValid() const
    {129, 3193, 0, 0, Smoke::mf_const, 631, 11},	//3219 KUser::uid() const
    {129, 1666, 0, 0, Smoke::mf_const, 631, 12},	//3220 KUser::gid() const
    {129, 1879, 0, 0, Smoke::mf_const, 452, 13},	//3221 KUser::isSuperUser() const
    {129, 2022, 0, 0, Smoke::mf_const, 351, 14},	//3222 KUser::loginName() const
    {129, 1652, 0, 0, Smoke::mf_const, 351, 15},	//3223 KUser::fullName() const
    {129, 1723, 0, 0, Smoke::mf_const, 351, 16},	//3224 KUser::homeDir() const
    {129, 1500, 0, 0, Smoke::mf_const, 351, 17},	//3225 KUser::faceIconPath() const
    {129, 2950, 0, 0, Smoke::mf_const, 351, 18},	//3226 KUser::shell() const
    {129, 1676, 0, 0, Smoke::mf_const, 332, 19},	//3227 KUser::groups() const
    {129, 1675, 0, 0, Smoke::mf_const, 354, 20},	//3228 KUser::groupNames() const
    {129, 2294, 2282, 1, Smoke::mf_const, 364, 21},	//3229 KUser::property(KUser::UserProperty) const
    {129, 1037, 0, 0, Smoke::mf_static, 331, 22},	//3230 KUser::allUsers()
    {129, 1036, 0, 0, Smoke::mf_static, 354, 23},	//3231 KUser::allUserNames()
    {129, 550, 0, 0, Smoke::mf_ctor, 253, 24},	//3232 KUser::KUser()
    {129, 800, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 25},	//3233 KUser::UseEffectiveUID (enum)
    {129, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 254, 26},	//3234 KUser::UseRealUserID (enum)
    {129, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 27},	//3235 KUser::FullName (enum)
    {129, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 28},	//3236 KUser::RoomNumber (enum)
    {129, 814, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 29},	//3237 KUser::WorkPhone (enum)
    {129, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 255, 30},	//3238 KUser::HomePhone (enum)
    {129, 3445, 0, 0, Smoke::mf_dtor, 0, 31 },	//3239 KUser::~KUser()
    {130, 553, 30, 1, Smoke::mf_ctor, 258, 1},	//3240 KUserGroup::KUserGroup(const QString&)
    {130, 553, 122, 1, Smoke::mf_ctor, 258, 2},	//3241 KUserGroup::KUserGroup(const char*)
    {130, 553, 2276, 1, Smoke::mf_ctor, 258, 3},	//3242 KUserGroup::KUserGroup(KUser::UIDMode)
    {130, 553, 952, 1, Smoke::mf_ctor, 258, 4},	//3243 KUserGroup::KUserGroup(unsigned int)
    {130, 553, 2284, 1, Smoke::mf_ctor, 258, 5},	//3244 KUserGroup::KUserGroup(const group*)
    {130, 553, 2286, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 258, 6},	//3245 KUserGroup::KUserGroup(const KUserGroup&)
    {130, 2199, 2286, 1, 0, 257, 7},	//3246 KUserGroup::operator=(const KUserGroup&)
    {130, 2202, 2286, 1, Smoke::mf_const, 452, 8},	//3247 KUserGroup::operator==(const KUserGroup&) const
    {130, 2175, 2286, 1, Smoke::mf_const, 452, 9},	//3248 KUserGroup::operator!=(const KUserGroup&) const
    {130, 1888, 0, 0, Smoke::mf_const, 452, 10},	//3249 KUserGroup::isValid() const
    {130, 1666, 0, 0, Smoke::mf_const, 631, 11},	//3250 KUserGroup::gid() const
    {130, 2119, 0, 0, Smoke::mf_const, 351, 12},	//3251 KUserGroup::name() const
    {130, 3231, 0, 0, Smoke::mf_const, 331, 13},	//3252 KUserGroup::users() const
    {130, 3228, 0, 0, Smoke::mf_const, 354, 14},	//3253 KUserGroup::userNames() const
    {130, 1026, 0, 0, Smoke::mf_static, 332, 15},	//3254 KUserGroup::allGroups()
    {130, 1025, 0, 0, Smoke::mf_static, 354, 16},	//3255 KUserGroup::allGroupNames()
    {130, 553, 0, 0, Smoke::mf_ctor, 258, 17},	//3256 KUserGroup::KUserGroup()
    {130, 3446, 0, 0, Smoke::mf_dtor, 0, 18 },	//3257 KUserGroup::~KUserGroup()
    {131, 556, 340, 1, Smoke::mf_ctor|Smoke::mf_explicit, 259, 1},	//3258 KWordMacroExpander::KWordMacroExpander(QChar)
    {131, 1494, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 2},	//3259 KWordMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {131, 1480, 342, 3, Smoke::mf_protected|Smoke::mf_virtual, 615, 3},	//3260 KWordMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {131, 1482, 757, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 452, 4},	//3261 KWordMacroExpander::expandMacro(const QString&, QStringList&) [pure virtual]
    {131, 556, 2288, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 259, 5},	//3262 KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    {131, 556, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 259, 6},	//3263 KWordMacroExpander::KWordMacroExpander()
    {131, 3447, 0, 0, Smoke::mf_dtor, 0, 7 },	//3264 KWordMacroExpander::~KWordMacroExpander()
    {132, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//3265 OrgKdeKLauncherInterface::metaObject() const
    {132, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//3266 OrgKdeKLauncherInterface::qt_metacast(const char*)
    {132, 3148, 124, 2, Smoke::mf_static, 351, 3},	//3267 OrgKdeKLauncherInterface::tr(const char*, const char*)
    {132, 3155, 124, 2, Smoke::mf_static, 351, 4},	//3268 OrgKdeKLauncherInterface::trUtf8(const char*, const char*)
    {132, 3148, 127, 3, Smoke::mf_static, 351, 5},	//3269 OrgKdeKLauncherInterface::tr(const char*, const char*, int)
    {132, 3155, 127, 3, Smoke::mf_static, 351, 6},	//3270 OrgKdeKLauncherInterface::trUtf8(const char*, const char*, int)
    {132, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//3271 OrgKdeKLauncherInterface::qt_metacall(QMetaObject::Call, int, void**)
    {132, 3046, 0, 0, Smoke::mf_static, 600, 8},	//3272 OrgKdeKLauncherInterface::staticInterfaceName()
    {132, 650, 2290, 4, Smoke::mf_ctor, 260, 9},	//3273 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&, QObject*)
    {132, 1070, 0, 0, Smoke::mf_slot, 272, 10},	//3274 OrgKdeKLauncherInterface::autoStart()
    {132, 1070, 118, 1, Smoke::mf_slot, 272, 11},	//3275 OrgKdeKLauncherInterface::autoStart(int)
    {132, 1465, 2295, 4, Smoke::mf_slot, 272, 12},	//3276 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&, const QStringList&, const QString&)
    {132, 1465, 533, 2, Smoke::mf_slot, 272, 13},	//3277 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&)
    {132, 1937, 2300, 7, Smoke::mf_slot, 271, 14},	//3278 OrgKdeKLauncherInterface::kdeinit_exec(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {132, 1939, 2300, 7, Smoke::mf_slot, 271, 15},	//3279 OrgKdeKLauncherInterface::kdeinit_exec_wait(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {132, 2448, 0, 0, Smoke::mf_slot, 272, 16},	//3280 OrgKdeKLauncherInterface::reparseConfiguration()
    {132, 2451, 95, 2, Smoke::mf_slot, 271, 17},	//3281 OrgKdeKLauncherInterface::requestHoldSlave(const QString&, const QString&)
    {132, 2453, 2308, 4, Smoke::mf_slot, 271, 18},	//3282 OrgKdeKLauncherInterface::requestSlave(const QString&, const QString&, const QString&, QString&)
    {132, 2695, 95, 2, Smoke::mf_slot, 272, 19},	//3283 OrgKdeKLauncherInterface::setLaunchEnv(const QString&, const QString&)
    {132, 3039, 2313, 8, Smoke::mf_slot, 271, 20},	//3284 OrgKdeKLauncherInterface::start_service_by_desktop_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {132, 3041, 2313, 8, Smoke::mf_slot, 271, 21},	//3285 OrgKdeKLauncherInterface::start_service_by_desktop_path(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {132, 3043, 2313, 8, Smoke::mf_slot, 271, 22},	//3286 OrgKdeKLauncherInterface::start_service_by_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {132, 3263, 118, 1, Smoke::mf_slot, 272, 23},	//3287 OrgKdeKLauncherInterface::waitForSlave(int)
    {132, 1145, 30, 1, Smoke::mf_slot, 270, 24},	//3288 OrgKdeKLauncherInterface::checkForHeldSlave(const QString&)
    {132, 1072, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3289 OrgKdeKLauncherInterface::autoStart0Done()
    {132, 1073, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//3290 OrgKdeKLauncherInterface::autoStart1Done()
    {132, 1074, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//3291 OrgKdeKLauncherInterface::autoStart2Done()
    {132, 3148, 122, 1, Smoke::mf_static, 351, 28},	//3292 OrgKdeKLauncherInterface::tr(const char*)
    {132, 3155, 122, 1, Smoke::mf_static, 351, 29},	//3293 OrgKdeKLauncherInterface::trUtf8(const char*)
    {132, 650, 2322, 3, Smoke::mf_ctor, 260, 30},	//3294 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&)
    {132, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 31},	//3295 OrgKdeKLauncherInterface::staticMetaObject() const
    {132, 3449, 0, 0, Smoke::mf_dtor, 0, 32 },	//3296 OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface()
    {134, 1102, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3297 QAbstractSocket::bytesAvailable() const
    {134, 1103, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3298 QAbstractSocket::bytesToWrite() const
    {134, 1120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3299 QAbstractSocket::canReadLine() const
    {134, 1166, 0, 0, Smoke::mf_virtual, 0, 0},	//3300 QAbstractSocket::close()
    {134, 1872, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3301 QAbstractSocket::isSequential() const
    {134, 1055, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3302 QAbstractSocket::atEnd() const
    {134, 3262, 118, 1, Smoke::mf_virtual, 452, 0},	//3303 QAbstractSocket::waitForReadyRead(int)
    {134, 3258, 118, 1, Smoke::mf_virtual, 452, 0},	//3304 QAbstractSocket::waitForBytesWritten(int)
    {134, 2353, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3305 QAbstractSocket::readData(char*, long long)
    {134, 2379, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3306 QAbstractSocket::readLineData(char*, long long)
    {134, 3307, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3307 QAbstractSocket::writeData(const char*, long long)
    {134, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 12},	//3308 QAbstractSocket::ConnectionRefusedError (enum)
    {134, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 13},	//3309 QAbstractSocket::RemoteHostClosedError (enum)
    {134, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 14},	//3310 QAbstractSocket::HostNotFoundError (enum)
    {134, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 15},	//3311 QAbstractSocket::SocketAccessError (enum)
    {134, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 16},	//3312 QAbstractSocket::SocketResourceError (enum)
    {134, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 17},	//3313 QAbstractSocket::SocketTimeoutError (enum)
    {134, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 18},	//3314 QAbstractSocket::DatagramTooLargeError (enum)
    {134, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 19},	//3315 QAbstractSocket::NetworkError (enum)
    {134, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 20},	//3316 QAbstractSocket::AddressInUseError (enum)
    {134, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 21},	//3317 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {134, 799, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 22},	//3318 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {134, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 23},	//3319 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {134, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 24},	//3320 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {134, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 25},	//3321 QAbstractSocket::SslHandshakeFailedError (enum)
    {134, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 26},	//3322 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {134, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 27},	//3323 QAbstractSocket::ProxyConnectionClosedError (enum)
    {134, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 28},	//3324 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {134, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 29},	//3325 QAbstractSocket::ProxyNotFoundError (enum)
    {134, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 30},	//3326 QAbstractSocket::ProxyProtocolError (enum)
    {134, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 31},	//3327 QAbstractSocket::UnknownSocketError (enum)
    {139, 1188, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3328 QDBusAbstractInterface::connectNotify(const char*)
    {139, 1398, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3329 QDBusAbstractInterface::disconnectNotify(const char*)
    {147, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 0},	//3330 QFile::metaObject() const
    {147, 2318, 122, 1, Smoke::mf_virtual, 638, 0},	//3331 QFile::qt_metacast(const char*)
    {147, 2316, 131, 3, Smoke::mf_virtual, 615, 0},	//3332 QFile::qt_metacall(QMetaObject::Call, int, void**)
    {147, 1872, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3333 QFile::isSequential() const
    {147, 1166, 0, 0, Smoke::mf_virtual, 0, 0},	//3334 QFile::close()
    {147, 2963, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3335 QFile::size() const
    {147, 2264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3336 QFile::pos() const
    {147, 2491, 861, 1, Smoke::mf_virtual, 452, 0},	//3337 QFile::seek(long long)
    {147, 1055, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3338 QFile::atEnd() const
    {147, 1514, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//3339 QFile::fileEngine() const
    {147, 2353, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3340 QFile::readData(char*, long long)
    {147, 3307, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3341 QFile::writeData(const char*, long long)
    {147, 2379, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3342 QFile::readLineData(char*, long long)
    {147, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 14},	//3343 QFile::NoError (enum)
    {147, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 15},	//3344 QFile::ReadError (enum)
    {147, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 16},	//3345 QFile::WriteError (enum)
    {147, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 17},	//3346 QFile::FatalError (enum)
    {147, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 18},	//3347 QFile::ResourceError (enum)
    {147, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 19},	//3348 QFile::OpenError (enum)
    {147, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 20},	//3349 QFile::AbortError (enum)
    {147, 760, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 21},	//3350 QFile::TimeOutError (enum)
    {147, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 22},	//3351 QFile::UnspecifiedError (enum)
    {147, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 23},	//3352 QFile::RemoveError (enum)
    {147, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 24},	//3353 QFile::RenameError (enum)
    {147, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 25},	//3354 QFile::PositionError (enum)
    {147, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 26},	//3355 QFile::ResizeError (enum)
    {147, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 27},	//3356 QFile::PermissionsError (enum)
    {147, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 281, 28},	//3357 QFile::CopyError (enum)
    {149, 2190, 2326, 2, Smoke::mf_static, 273, 1},	//3358 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {149, 1949, 124, 2, Smoke::mf_static, 141, 2},	//3359 QGlobalSpace::ki18nc(const char*, const char*)
    {149, 2202, 2329, 2, Smoke::mf_static, 452, 3},	//3360 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {149, 2218, 2332, 2, Smoke::mf_static, 273, 4},	//3361 QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    {149, 1951, 1336, 3, Smoke::mf_static, 141, 5},	//3362 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {149, 1918, 124, 2, Smoke::mf_static, 615, 6},	//3363 QGlobalSpace::kasciistricmp(const char*, const char*)
    {149, 2220, 2335, 2, Smoke::mf_static, 308, 7},	//3364 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {149, 2220, 2338, 2, Smoke::mf_static, 299, 8},	//3365 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {149, 2220, 2341, 2, Smoke::mf_static, 297, 9},	//3366 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {149, 2220, 2344, 2, Smoke::mf_static, 284, 10},	//3367 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {149, 1728, 124, 2, Smoke::mf_static, 351, 11},	//3368 QGlobalSpace::i18nc(const char*, const char*)
    {149, 2181, 589, 2, Smoke::mf_static, 591, 12},	//3369 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {149, 2220, 2347, 2, Smoke::mf_static, 308, 13},	//3370 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    {149, 2220, 2350, 2, Smoke::mf_static, 308, 14},	//3371 QGlobalSpace::operator|(KLockFile::LockFlag, int)
    {149, 2185, 521, 2, Smoke::mf_static, 452, 15},	//3372 QGlobalSpace::operator<(const char*, const QString&)
    {149, 2220, 2353, 2, Smoke::mf_static, 308, 16},	//3373 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {149, 2185, 2356, 2, Smoke::mf_static, 452, 17},	//3374 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {149, 2208, 2329, 2, Smoke::mf_static, 452, 18},	//3375 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {149, 2220, 2359, 2, Smoke::mf_static, 308, 19},	//3376 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {149, 2220, 2362, 2, Smoke::mf_static, 297, 20},	//3377 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {149, 2175, 2365, 2, Smoke::mf_static, 452, 21},	//3378 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {149, 2185, 2365, 2, Smoke::mf_static, 452, 22},	//3379 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {149, 2220, 2368, 2, Smoke::mf_static, 294, 23},	//3380 QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    {149, 2181, 524, 2, Smoke::mf_static, 591, 24},	//3381 QGlobalSpace::operator+(const QString&, const char*)
    {149, 2208, 2356, 2, Smoke::mf_static, 452, 25},	//3382 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {149, 2181, 2371, 2, Smoke::mf_static, 591, 26},	//3383 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {149, 2220, 2374, 2, Smoke::mf_static, 284, 27},	//3384 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {149, 2220, 2377, 2, Smoke::mf_static, 308, 28},	//3385 QGlobalSpace::operator|(KAutostart::Condition, int)
    {149, 2194, 2356, 2, Smoke::mf_static, 452, 29},	//3386 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {149, 2190, 2380, 2, Smoke::mf_static, 273, 30},	//3387 QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    {149, 2175, 521, 2, Smoke::mf_static, 452, 31},	//3388 QGlobalSpace::operator!=(const char*, const QString&)
    {149, 2220, 2383, 2, Smoke::mf_static, 308, 32},	//3389 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {149, 2220, 2386, 2, Smoke::mf_static, 288, 33},	//3390 QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    {149, 2220, 2389, 2, Smoke::mf_static, 294, 34},	//3391 QGlobalSpace::operator|(KShell::Option, KShell::Option)
    {149, 2181, 2392, 2, Smoke::mf_static, 591, 35},	//3392 QGlobalSpace::operator+(const QString&, char)
    {149, 2220, 2395, 2, Smoke::mf_static, 298, 36},	//3393 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {149, 2220, 2398, 2, Smoke::mf_static, 308, 37},	//3394 QGlobalSpace::operator|(KJob::Capability, int)
    {149, 2220, 2401, 2, Smoke::mf_static, 298, 38},	//3395 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {149, 2220, 2404, 2, Smoke::mf_static, 295, 39},	//3396 QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    {149, 2220, 2407, 2, Smoke::mf_static, 285, 40},	//3397 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {149, 2202, 2365, 2, Smoke::mf_static, 452, 41},	//3398 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {149, 2220, 2410, 2, Smoke::mf_static, 289, 42},	//3399 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {149, 2181, 2413, 2, Smoke::mf_static, 591, 43},	//3400 QGlobalSpace::operator+(char, const QString&)
    {149, 2175, 2416, 2, Smoke::mf_static, 452, 44},	//3401 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {149, 2208, 521, 2, Smoke::mf_static, 452, 45},	//3402 QGlobalSpace::operator>(const char*, const QString&)
    {149, 2202, 2356, 2, Smoke::mf_static, 452, 46},	//3403 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {149, 1726, 122, 1, Smoke::mf_static, 351, 47},	//3404 QGlobalSpace::i18n(const char*)
    {149, 2218, 2419, 2, Smoke::mf_static, 273, 48},	//3405 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {149, 2220, 2422, 2, Smoke::mf_static, 308, 49},	//3406 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {149, 2220, 2425, 2, Smoke::mf_static, 290, 50},	//3407 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {149, 2220, 2428, 2, Smoke::mf_static, 285, 51},	//3408 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {149, 2220, 2431, 2, Smoke::mf_static, 290, 52},	//3409 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {149, 2220, 2434, 2, Smoke::mf_static, 308, 53},	//3410 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {149, 2185, 2329, 2, Smoke::mf_static, 452, 54},	//3411 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {149, 2220, 2437, 2, Smoke::mf_static, 291, 55},	//3412 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {149, 1913, 0, 0, Smoke::mf_static, 0, 56},	//3413 QGlobalSpace::kClearDebugConfig()
    {149, 2213, 2356, 2, Smoke::mf_static, 452, 57},	//3414 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {149, 1907, 2440, 1, Smoke::mf_static, 456, 58},	//3415 QGlobalSpace::kAsciiToLower(char*)
    {149, 2220, 2442, 2, Smoke::mf_static, 299, 59},	//3416 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {149, 2220, 2445, 2, Smoke::mf_static, 286, 60},	//3417 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    {149, 2220, 2448, 2, Smoke::mf_static, 287, 61},	//3418 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {149, 2220, 2451, 2, Smoke::mf_static, 292, 62},	//3419 QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    {149, 2220, 2454, 2, Smoke::mf_static, 282, 63},	//3420 QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    {149, 2194, 521, 2, Smoke::mf_static, 452, 64},	//3421 QGlobalSpace::operator<=(const char*, const QString&)
    {149, 2220, 2457, 2, Smoke::mf_static, 296, 65},	//3422 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {149, 2194, 2329, 2, Smoke::mf_static, 452, 66},	//3423 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {149, 2220, 2460, 2, Smoke::mf_static, 283, 67},	//3424 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {149, 2181, 521, 2, Smoke::mf_static, 591, 68},	//3425 QGlobalSpace::operator+(const char*, const QString&)
    {149, 2220, 2463, 2, Smoke::mf_static, 282, 69},	//3426 QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    {149, 2220, 2466, 2, Smoke::mf_static, 287, 70},	//3427 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {149, 2220, 2469, 2, Smoke::mf_static, 300, 71},	//3428 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {149, 2220, 2472, 2, Smoke::mf_static, 308, 72},	//3429 QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    {149, 2220, 2475, 2, Smoke::mf_static, 308, 73},	//3430 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {149, 2220, 2478, 2, Smoke::mf_static, 286, 74},	//3431 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    {149, 1909, 2440, 1, Smoke::mf_static, 456, 75},	//3432 QGlobalSpace::kAsciiToUpper(char*)
    {149, 1911, 118, 1, Smoke::mf_static, 351, 76},	//3433 QGlobalSpace::kBacktrace(int)
    {149, 1911, 0, 0, Smoke::mf_static, 351, 77},	//3434 QGlobalSpace::kBacktrace()
    {149, 1921, 118, 1, Smoke::mf_static, 351, 78},	//3435 QGlobalSpace::kdBacktrace(int)
    {149, 1921, 0, 0, Smoke::mf_static, 351, 79},	//3436 QGlobalSpace::kdBacktrace()
    {149, 2220, 2481, 2, Smoke::mf_static, 308, 80},	//3437 QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    {149, 2220, 2484, 2, Smoke::mf_static, 288, 81},	//3438 QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    {149, 2220, 2487, 2, Smoke::mf_static, 283, 82},	//3439 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    {149, 2220, 2490, 2, Smoke::mf_static, 292, 83},	//3440 QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    {149, 2220, 2493, 2, Smoke::mf_static, 296, 84},	//3441 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {149, 2220, 2496, 2, Smoke::mf_static, 308, 85},	//3442 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {149, 2220, 2499, 2, Smoke::mf_static, 300, 86},	//3443 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {149, 3152, 124, 2, Smoke::mf_static, 351, 87},	//3444 QGlobalSpace::tr2i18n(const char*, const char*)
    {149, 3152, 122, 1, Smoke::mf_static, 351, 88},	//3445 QGlobalSpace::tr2i18n(const char*)
    {149, 2175, 2329, 2, Smoke::mf_static, 452, 89},	//3446 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {149, 2202, 2416, 2, Smoke::mf_static, 452, 90},	//3447 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {149, 2220, 2502, 2, Smoke::mf_static, 291, 91},	//3448 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {149, 2220, 2505, 2, Smoke::mf_static, 308, 92},	//3449 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {149, 2175, 2356, 2, Smoke::mf_static, 452, 93},	//3450 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {149, 2220, 2508, 2, Smoke::mf_static, 308, 94},	//3451 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {149, 2220, 2511, 2, Smoke::mf_static, 295, 95},	//3452 QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    {149, 2185, 2416, 2, Smoke::mf_static, 452, 96},	//3453 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {149, 2220, 2514, 2, Smoke::mf_static, 289, 97},	//3454 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {149, 1914, 118, 1, Smoke::mf_static, 351, 98},	//3455 QGlobalSpace::kRealBacktrace(int)
    {149, 2202, 521, 2, Smoke::mf_static, 452, 99},	//3456 QGlobalSpace::operator==(const char*, const QString&)
    {149, 2220, 2517, 2, Smoke::mf_static, 308, 100},	//3457 QGlobalSpace::operator|(KShell::Option, int)
    {149, 1953, 124, 2, Smoke::mf_static, 141, 101},	//3458 QGlobalSpace::ki18np(const char*, const char*)
    {149, 2213, 521, 2, Smoke::mf_static, 452, 102},	//3459 QGlobalSpace::operator>=(const char*, const QString&)
    {149, 2213, 2329, 2, Smoke::mf_static, 452, 103},	//3460 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {149, 1947, 122, 1, Smoke::mf_static, 141, 104},	//3461 QGlobalSpace::ki18n(const char*)
    {149, 2220, 2520, 2, Smoke::mf_static, 308, 105},	//3462 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    {149, 834, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 106},	//3463 QGlobalSpace::_ISupper (enum)
    {149, 830, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 107},	//3464 QGlobalSpace::_ISlower (enum)
    {149, 825, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 108},	//3465 QGlobalSpace::_ISalpha (enum)
    {149, 828, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 109},	//3466 QGlobalSpace::_ISdigit (enum)
    {149, 835, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 110},	//3467 QGlobalSpace::_ISxdigit (enum)
    {149, 833, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 111},	//3468 QGlobalSpace::_ISspace (enum)
    {149, 831, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 112},	//3469 QGlobalSpace::_ISprint (enum)
    {149, 829, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 113},	//3470 QGlobalSpace::_ISgraph (enum)
    {149, 826, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 114},	//3471 QGlobalSpace::_ISblank (enum)
    {149, 827, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 115},	//3472 QGlobalSpace::_IScntrl (enum)
    {149, 832, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 116},	//3473 QGlobalSpace::_ISpunct (enum)
    {149, 824, 0, 0, Smoke::mf_static|Smoke::mf_enum, 619, 117},	//3474 QGlobalSpace::_ISalnum (enum)
    {149, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 118},	//3475 QGlobalSpace::ITIMER_REAL (enum)
    {149, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 119},	//3476 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {149, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 120},	//3477 QGlobalSpace::ITIMER_PROF (enum)
    {149, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 121},	//3478 QGlobalSpace::KST_KSycocaEntry (enum)
    {149, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 122},	//3479 QGlobalSpace::KST_KService (enum)
    {149, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 123},	//3480 QGlobalSpace::KST_KServiceType (enum)
    {149, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 124},	//3481 QGlobalSpace::KST_KMimeType (enum)
    {149, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 125},	//3482 QGlobalSpace::KST_KFolderMimeType (enum)
    {149, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 126},	//3483 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {149, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 127},	//3484 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {149, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 128},	//3485 QGlobalSpace::KST_KServiceGroup (enum)
    {149, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 129},	//3486 QGlobalSpace::KST_KImageIOFormat (enum)
    {149, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 130},	//3487 QGlobalSpace::KST_KProtocolInfo (enum)
    {149, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 131},	//3488 QGlobalSpace::KST_KServiceSeparator (enum)
    {149, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 132},	//3489 QGlobalSpace::KST_KCustom (enum)
    {149, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 133},	//3490 QGlobalSpace::KST_KServiceFactory (enum)
    {149, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 134},	//3491 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {149, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 135},	//3492 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {149, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 136},	//3493 QGlobalSpace::KST_KImageIO (enum)
    {149, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 137},	//3494 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {149, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 138},	//3495 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {149, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 139},	//3496 QGlobalSpace::KST_CTimeInfo (enum)
    {149, 838, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 140},	//3497 QGlobalSpace::__codecvt_ok (enum)
    {149, 839, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 141},	//3498 QGlobalSpace::__codecvt_partial (enum)
    {149, 836, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 142},	//3499 QGlobalSpace::__codecvt_error (enum)
    {149, 837, 0, 0, Smoke::mf_static|Smoke::mf_enum, 450, 143},	//3500 QGlobalSpace::__codecvt_noconv (enum)
    {151, 2162, 150, 1, Smoke::mf_virtual, 452, 0},	//3501 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {151, 2264, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3502 QIODevice::pos() const
    {151, 2963, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3503 QIODevice::size() const
    {151, 2491, 861, 1, Smoke::mf_virtual, 452, 0},	//3504 QIODevice::seek(long long)
    {151, 2455, 0, 0, Smoke::mf_virtual, 452, 0},	//3505 QIODevice::reset()
    {151, 1102, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3506 QIODevice::bytesAvailable() const
    {151, 1103, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3507 QIODevice::bytesToWrite() const
    {151, 1120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3508 QIODevice::canReadLine() const
    {151, 3262, 118, 1, Smoke::mf_virtual, 452, 0},	//3509 QIODevice::waitForReadyRead(int)
    {151, 3258, 118, 1, Smoke::mf_virtual, 452, 0},	//3510 QIODevice::waitForBytesWritten(int)
    {151, 2379, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3511 QIODevice::readLineData(char*, long long)
    {151, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 12},	//3512 QIODevice::NotOpen (enum)
    {151, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 13},	//3513 QIODevice::ReadOnly (enum)
    {151, 817, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 14},	//3514 QIODevice::WriteOnly (enum)
    {151, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 15},	//3515 QIODevice::ReadWrite (enum)
    {151, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 16},	//3516 QIODevice::Append (enum)
    {151, 770, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 17},	//3517 QIODevice::Truncate (enum)
    {151, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 18},	//3518 QIODevice::Text (enum)
    {151, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 307, 19},	//3519 QIODevice::Unbuffered (enum)
    {158, 1460, 2523, 1, Smoke::mf_virtual, 452, 0},	//3520 QObject::event(QEvent*)
    {158, 1461, 2525, 2, Smoke::mf_virtual, 452, 0},	//3521 QObject::eventFilter(QObject*, QEvent*)
    {158, 3119, 2528, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3522 QObject::timerEvent(QTimerEvent*)
    {158, 1152, 2530, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3523 QObject::childEvent(QChildEvent*)
    {158, 1260, 2523, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3524 QObject::customEvent(QEvent*)
    {158, 1188, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3525 QObject::connectNotify(const char*)
    {158, 1398, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3526 QObject::disconnectNotify(const char*)
    {161, 3262, 118, 1, Smoke::mf_virtual, 452, 0},	//3527 QProcess::waitForReadyRead(int)
    {161, 3258, 118, 1, Smoke::mf_virtual, 452, 0},	//3528 QProcess::waitForBytesWritten(int)
    {161, 1102, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3529 QProcess::bytesAvailable() const
    {161, 1103, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 621, 0},	//3530 QProcess::bytesToWrite() const
    {161, 1872, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3531 QProcess::isSequential() const
    {161, 1120, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3532 QProcess::canReadLine() const
    {161, 1166, 0, 0, Smoke::mf_virtual, 0, 0},	//3533 QProcess::close()
    {161, 1055, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 452, 0},	//3534 QProcess::atEnd() const
    {161, 2947, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3535 QProcess::setupChildProcess()
    {161, 2353, 1144, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3536 QProcess::readData(char*, long long)
    {161, 3307, 1147, 2, Smoke::mf_protected|Smoke::mf_virtual, 621, 0},	//3537 QProcess::writeData(const char*, long long)
    {168, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 0},	//3538 QTemporaryFile::metaObject() const
    {168, 2318, 122, 1, Smoke::mf_virtual, 638, 0},	//3539 QTemporaryFile::qt_metacast(const char*)
    {168, 2316, 131, 3, Smoke::mf_virtual, 615, 0},	//3540 QTemporaryFile::qt_metacall(QMetaObject::Call, int, void**)
    {168, 1514, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//3541 QTemporaryFile::fileEngine() const
    {168, 2162, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 452, 0},	//3542 QTemporaryFile::open(QFlags<QIODevice::OpenModeFlag>)
    {177, 1340, 0, 0, Smoke::mf_static, 351, 1},	//3543 Sonnet::defaultLanguageName()
    {177, 1375, 30, 1, Smoke::mf_static, 351, 2},	//3544 Sonnet::detectLanguage(const QString&)
    {178, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 584, 1},	//3545 Sonnet::BackgroundChecker::metaObject() const
    {178, 2318, 122, 1, Smoke::mf_virtual, 638, 2},	//3546 Sonnet::BackgroundChecker::qt_metacast(const char*)
    {178, 3148, 124, 2, Smoke::mf_static, 351, 3},	//3547 Sonnet::BackgroundChecker::tr(const char*, const char*)
    {178, 3155, 124, 2, Smoke::mf_static, 351, 4},	//3548 Sonnet::BackgroundChecker::trUtf8(const char*, const char*)
    {178, 3148, 127, 3, Smoke::mf_static, 351, 5},	//3549 Sonnet::BackgroundChecker::tr(const char*, const char*, int)
    {178, 3155, 127, 3, Smoke::mf_static, 351, 6},	//3550 Sonnet::BackgroundChecker::trUtf8(const char*, const char*, int)
    {178, 2316, 131, 3, Smoke::mf_virtual, 615, 7},	//3551 Sonnet::BackgroundChecker::qt_metacall(QMetaObject::Call, int, void**)
    {178, 35, 146, 1, Smoke::mf_ctor, 445, 8},	//3552 Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    {178, 35, 2532, 2, Smoke::mf_ctor, 445, 9},	//3553 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&, QObject*)
    {178, 2901, 30, 1, 0, 0, 10},	//3554 Sonnet::BackgroundChecker::setText(const QString&)
    {178, 3108, 0, 0, Smoke::mf_const, 351, 11},	//3555 Sonnet::BackgroundChecker::text() const
    {178, 1247, 0, 0, Smoke::mf_const, 351, 12},	//3556 Sonnet::BackgroundChecker::currentContext() const
    {178, 2975, 0, 0, Smoke::mf_const, 446, 13},	//3557 Sonnet::BackgroundChecker::speller() const
    {178, 2889, 2535, 1, 0, 0, 14},	//3558 Sonnet::BackgroundChecker::setSpeller(const Sonnet::Speller&)
    {178, 1149, 30, 1, 0, 452, 15},	//3559 Sonnet::BackgroundChecker::checkWord(const QString&)
    {178, 3077, 30, 1, Smoke::mf_const, 354, 16},	//3560 Sonnet::BackgroundChecker::suggest(const QString&) const
    {178, 1009, 30, 1, 0, 452, 17},	//3561 Sonnet::BackgroundChecker::addWordToPersonal(const QString&)
    {178, 2466, 595, 1, 0, 0, 18},	//3562 Sonnet::BackgroundChecker::restore(KConfig*)
    {178, 2989, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//3563 Sonnet::BackgroundChecker::start()
    {178, 3053, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//3564 Sonnet::BackgroundChecker::stop()
    {178, 2449, 2537, 3, Smoke::mf_slot, 0, 21},	//3565 Sonnet::BackgroundChecker::replace(int, const QString&, const QString&)
    {178, 1136, 30, 1, Smoke::mf_slot, 0, 22},	//3566 Sonnet::BackgroundChecker::changeLanguage(const QString&)
    {178, 1201, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//3567 Sonnet::BackgroundChecker::continueChecking()
    {178, 2083, 1014, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3568 Sonnet::BackgroundChecker::misspelling(const QString&, int)
    {178, 1404, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3569 Sonnet::BackgroundChecker::done()
    {178, 1511, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 351, 26},	//3570 Sonnet::BackgroundChecker::fetchMoreText()
    {178, 1577, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//3571 Sonnet::BackgroundChecker::finishedCurrentFeed()
    {178, 2964, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 28},	//3572 Sonnet::BackgroundChecker::slotEngineDone()
    {178, 3148, 122, 1, Smoke::mf_static, 351, 29},	//3573 Sonnet::BackgroundChecker::tr(const char*)
    {178, 3155, 122, 1, Smoke::mf_static, 351, 30},	//3574 Sonnet::BackgroundChecker::trUtf8(const char*)
    {178, 35, 0, 0, Smoke::mf_ctor, 445, 31},	//3575 Sonnet::BackgroundChecker::BackgroundChecker()
    {178, 35, 2535, 1, Smoke::mf_ctor, 445, 32},	//3576 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    {178, 3047, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 583, 33},	//3577 Sonnet::BackgroundChecker::staticMetaObject() const
    {178, 3347, 0, 0, Smoke::mf_dtor, 0, 34 },	//3578 Sonnet::BackgroundChecker::~BackgroundChecker()
    {179, 732, 30, 1, Smoke::mf_ctor, 448, 1},	//3579 Sonnet::Speller::Speller(const QString&)
    {179, 732, 2535, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 448, 2},	//3580 Sonnet::Speller::Speller(const Sonnet::Speller&)
    {179, 2199, 2535, 1, 0, 447, 3},	//3581 Sonnet::Speller::operator=(const Sonnet::Speller&)
    {179, 1888, 0, 0, Smoke::mf_const, 452, 4},	//3582 Sonnet::Speller::isValid() const
    {179, 2691, 30, 1, 0, 0, 5},	//3583 Sonnet::Speller::setLanguage(const QString&)
    {179, 1964, 0, 0, Smoke::mf_const, 351, 6},	//3584 Sonnet::Speller::language() const
    {179, 1809, 30, 1, Smoke::mf_const, 452, 7},	//3585 Sonnet::Speller::isCorrect(const QString&) const
    {179, 1856, 30, 1, Smoke::mf_const, 452, 8},	//3586 Sonnet::Speller::isMisspelled(const QString&) const
    {179, 3077, 30, 1, Smoke::mf_const, 354, 9},	//3587 Sonnet::Speller::suggest(const QString&) const
    {179, 1143, 757, 2, Smoke::mf_const, 452, 10},	//3588 Sonnet::Speller::checkAndSuggest(const QString&, QStringList&) const
    {179, 3056, 95, 2, 0, 452, 11},	//3589 Sonnet::Speller::storeReplacement(const QString&, const QString&)
    {179, 1005, 30, 1, 0, 452, 12},	//3590 Sonnet::Speller::addToPersonal(const QString&)
    {179, 1007, 30, 1, 0, 452, 13},	//3591 Sonnet::Speller::addToSession(const QString&)
    {179, 2477, 595, 1, 0, 0, 14},	//3592 Sonnet::Speller::save(KConfig*)
    {179, 2466, 595, 1, 0, 0, 15},	//3593 Sonnet::Speller::restore(KConfig*)
    {179, 1078, 0, 0, Smoke::mf_const, 354, 16},	//3594 Sonnet::Speller::availableBackends() const
    {179, 1082, 0, 0, Smoke::mf_const, 354, 17},	//3595 Sonnet::Speller::availableLanguages() const
    {179, 1081, 0, 0, Smoke::mf_const, 354, 18},	//3596 Sonnet::Speller::availableLanguageNames() const
    {179, 1079, 0, 0, Smoke::mf_const, 339, 19},	//3597 Sonnet::Speller::availableDictionaries() const
    {179, 2614, 30, 1, 0, 0, 20},	//3598 Sonnet::Speller::setDefaultLanguage(const QString&)
    {179, 1339, 0, 0, Smoke::mf_const, 351, 21},	//3599 Sonnet::Speller::defaultLanguage() const
    {179, 2612, 30, 1, 0, 0, 22},	//3600 Sonnet::Speller::setDefaultClient(const QString&)
    {179, 1336, 0, 0, Smoke::mf_const, 351, 23},	//3601 Sonnet::Speller::defaultClient() const
    {179, 2529, 2541, 2, 0, 0, 24},	//3602 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute, bool)
    {179, 3106, 2544, 1, Smoke::mf_const, 452, 25},	//3603 Sonnet::Speller::testAttribute(Sonnet::Speller::Attribute) const
    {179, 732, 0, 0, Smoke::mf_ctor, 448, 26},	//3604 Sonnet::Speller::Speller()
    {179, 2529, 2544, 1, 0, 0, 27},	//3605 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute)
    {179, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 28},	//3606 Sonnet::Speller::CheckUppercase (enum)
    {179, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 29},	//3607 Sonnet::Speller::SkipRunTogether (enum)
    {179, 3452, 0, 0, Smoke::mf_dtor, 0, 30 },	//3608 Sonnet::Speller::~Speller()
    {181, 1958, 0, 0, Smoke::mf_ctor, 618, 1},	//3609 kndbgstream::kndbgstream()
    {181, 1958, 2546, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 618, 2},	//3610 kndbgstream::kndbgstream(const kndbgstream&)
    {181, 3454, 0, 0, Smoke::mf_dtor, 0, 3 },	//3611 kndbgstream::~kndbgstream()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    218,  // KAutoSaveFile::KAutoSaveFile(QObject*)
    227,  // KAutoSaveFile::KAutoSaveFile(const KUrl&)
    0,
    147,  // KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    148,  // KAuth::ActionReply::ActionReply(int)
    0,
    1659,  // KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    1671,  // KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    0,
    3552,  // Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    3576,  // Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    0,
    2083,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    2087,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    2091,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    2093,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    0,
    2082,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    2086,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    2090,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    2092,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    2085,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    2089,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    2095,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    2097,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    0,
    2084,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    2088,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    2094,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    2096,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    2164,  // KMimeType::findByContent(const QByteArray&)
    2167,  // KMimeType::findByContent(QIODevice*)
    0,
    2129,  // KMimeType::findByContent(const QByteArray&, int*)
    2131,  // KMimeType::findByContent(QIODevice*, int*)
    0,
    2165,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    2168,  // KMimeType::findByNameAndContent(const QString&, QIODevice*)
    0,
    2166,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    2169,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    0,
    2130,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    2132,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    0,
    2098,  // KMacroExpanderBase::KMacroExpanderBase(QChar)
    2106,  // KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    0,
    533,  // KComponentData::KComponentData(const KComponentData&)
    548,  // KComponentData::KComponentData(const QByteArray&)
    550,  // KComponentData::KComponentData(const KAboutData&)
    551,  // KComponentData::KComponentData(const KAboutData*)
    0,
    538,  // KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    539,  // KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    0,
    3213,  // KUser::KUser(const passwd*)
    3214,  // KUser::KUser(const KUser&)
    0,
    3209,  // KUser::KUser(KUser::UIDMode)
    3210,  // KUser::KUser(unsigned int)
    3211,  // KUser::KUser(const QString&)
    3212,  // KUser::KUser(const char*)
    0,
    288,  // KCalendarSystem::KCalendarSystem(const KLocale*)
    427,  // KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    0,
    283,  // KCalendarSystem::calendarLabel(const QString&)
    393,  // KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    0,
    389,  // KCalendarSystem::create(const QString&)
    391,  // KCalendarSystem::create(KLocale::CalendarSystem)
    0,
    277,  // KCalendarSystem::create(const QString&, const KLocale*)
    279,  // KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    0,
    390,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    392,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    0,
    278,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    280,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    0,
    365,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    420,  // KCalendarSystem::formatDate(const QDate&, const QString&) const
    422,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    0,
    366,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    421,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    423,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    0,
    367,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    368,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    0,
    369,  // KCalendarSystem::readDate(const QString&, bool*) const
    425,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    426,  // KCalendarSystem::readDate(const QString&, const QString&) const
    0,
    370,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    371,  // KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    0,
    334,  // KCalendarSystem::week(const QDate&, int*) const
    400,  // KCalendarSystem::week(const QDate&, KLocale::WeekNumberSystem) const
    0,
    3258,  // KWordMacroExpander::KWordMacroExpander(QChar)
    3262,  // KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    0,
    2307,  // KProcess::execute(int)
    2321,  // KProcess::execute(const QString&)
    0,
    1296,  // KDebug::hasNullOutputQtDebugMsg(int)
    1304,  // KDebug::hasNullOutputQtDebugMsg(bool)
    0,
    2577,  // KServiceType::KServiceType(KDesktopFile*)
    2592,  // KServiceType::KServiceType(KServiceTypePrivate&)
    0,
    2066,  // KMD5::update(const QByteArray&)
    2067,  // KMD5::update(QIODevice&)
    0,
    2079,  // KMD5::update(const char*)
    2080,  // KMD5::update(const unsigned char*)
    0,
    2064,  // KMD5::update(const char*, int)
    2065,  // KMD5::update(const unsigned char*, int)
    0,
    3244,  // KUserGroup::KUserGroup(const group*)
    3245,  // KUserGroup::KUserGroup(const KUserGroup&)
    0,
    3240,  // KUserGroup::KUserGroup(const QString&)
    3241,  // KUserGroup::KUserGroup(const char*)
    3242,  // KUserGroup::KUserGroup(KUser::UIDMode)
    3243,  // KUserGroup::KUserGroup(unsigned int)
    0,
    2713,  // KStringHandler::perlSplit(const QChar&, const QString&)
    2715,  // KStringHandler::perlSplit(const QRegExp&, const QString&)
    0,
    2712,  // KStringHandler::perlSplit(const QChar&, const QString&, int)
    2714,  // KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    0,
    841,  // KCoreConfigSkeleton::config()
    842,  // KCoreConfigSkeleton::config() const
    0,
    847,  // KCoreConfigSkeleton::findItem(const QString&)
    848,  // KCoreConfigSkeleton::findItem(const QString&) const
    0,
    845,  // KCoreConfigSkeleton::isImmutable(const QString&)
    846,  // KCoreConfigSkeleton::isImmutable(const QString&) const
    0,
    3378,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    3401,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    3450,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    0,
    3381,  // QGlobalSpace::operator+(const QString&, const char*)
    3392,  // QGlobalSpace::operator+(const QString&, char)
    3400,  // QGlobalSpace::operator+(char, const QString&)
    3425,  // QGlobalSpace::operator+(const char*, const QString&)
    0,
    3374,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    3379,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    3453,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3358,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    3387,  // QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    0,
    3398,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    3403,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    3447,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3361,  // QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    3405,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    0,
    3364,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    3365,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    3366,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    3367,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    3370,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    3371,  // QGlobalSpace::operator|(KLockFile::LockFlag, int)
    3373,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    3376,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    3377,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    3380,  // QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    3384,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    3385,  // QGlobalSpace::operator|(KAutostart::Condition, int)
    3389,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    3390,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    3391,  // QGlobalSpace::operator|(KShell::Option, KShell::Option)
    3393,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    3394,  // QGlobalSpace::operator|(KJob::Capability, int)
    3395,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    3396,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    3397,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    3399,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    3406,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    3407,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    3408,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    3409,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    3410,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    3412,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    3416,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    3417,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    3418,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    3419,  // QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    3420,  // QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    3422,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    3424,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    3426,  // QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    3427,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    3428,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    3429,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    3430,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    3431,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    3437,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    3438,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    3439,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    3440,  // QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    3441,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    3442,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    3443,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    3448,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    3449,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    3451,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    3452,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    3454,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    3457,  // QGlobalSpace::operator|(KShell::Option, int)
    3462,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    0,
    96,  // KAboutPerson::KAboutPerson(const KAboutPerson&)
    103,  // KAboutPerson::KAboutPerson(const KLocalizedString&)
    0,
    1100,  // KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    1124,  // KCurrencyCode::KCurrencyCode(const QFileInfo&)
    0,
    2641,  // KSocketFactory::connectToHost(const QUrl&, QObject*)
    2643,  // KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    0,
    3103,  // KUrl::KUrl(const QByteArray&)
    3104,  // KUrl::KUrl(const KUrl&)
    3105,  // KUrl::KUrl(const QUrl&)
    0,
    3101,  // KUrl::KUrl(const QString&)
    3102,  // KUrl::KUrl(const char*)
    0,
    3152,  // KUrl::operator=(const KUrl&)
    3154,  // KUrl::operator=(const QByteArray&)
    0,
    3153,  // KUrl::operator=(const char*)
    3155,  // KUrl::operator=(const QString&)
    0,
    1177,  // KDateTime::KDateTime(const QDateTime&)
    1178,  // KDateTime::KDateTime(const KDateTime&)
    1240,  // KDateTime::KDateTime(const QDate&)
    0,
    1174,  // KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    1176,  // KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    1241,  // KDateTime::KDateTime(const QDate&, const QTime&)
    0,
    1244,  // KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    1245,  // KDateTime::fromString(const QString&, const QString&)
    0,
    1224,  // KDateTime::toString(const QString&) const
    1225,  // KDateTime::toString(KDateTime::TimeFormat) const
    0,
    1201,  // KDateTime::toTimeSpec(const KDateTime::Spec&) const
    1202,  // KDateTime::toTimeSpec(const KDateTime&) const
    0,
    1325,  // KDesktopFile::actionGroup(const QString&)
    1326,  // KDesktopFile::actionGroup(const QString&) const
    0,
    2653,  // KStandardDirs::addResourceType(const char*, const QString&, bool)
    2689,  // KStandardDirs::addResourceType(const char*, const char*, const QString&)
    2690,  // KStandardDirs::addResourceType(const char*, const char*, const char*)
    0,
    2654,  // KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    2655,  // KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    0,
    2851,  // KTimeZone::KTimeZone(const KTimeZone&)
    2888,  // KTimeZone::KTimeZone(KTimeZoneBackend*)
    0,
    662,  // KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    663,  // KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    664,  // KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    665,  // KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    0,
    666,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    667,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    0,
    678,  // KConfigGroup::changeGroup(const QString&)
    679,  // KConfigGroup::changeGroup(const char*)
    0,
    676,  // KConfigGroup::config()
    677,  // KConfigGroup::config() const
    0,
    772,  // KConfigGroup::deleteEntry(const QString&)
    773,  // KConfigGroup::deleteEntry(const char*)
    0,
    725,  // KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    726,  // KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    685,  // KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    746,  // KConfigGroup::deleteGroup(const QString&)
    747,  // KConfigGroup::deleteGroup(const char*)
    0,
    687,  // KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    688,  // KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    738,  // KConfigGroup::groupImpl(const QByteArray&)
    739,  // KConfigGroup::groupImpl(const QByteArray&) const
    0,
    734,  // KConfigGroup::hasDefault(const QString&) const
    735,  // KConfigGroup::hasDefault(const char*) const
    0,
    727,  // KConfigGroup::hasKey(const QString&) const
    728,  // KConfigGroup::hasKey(const char*) const
    0,
    730,  // KConfigGroup::isEntryImmutable(const QString&) const
    731,  // KConfigGroup::isEntryImmutable(const char*) const
    0,
    748,  // KConfigGroup::readEntry(const QString&) const
    749,  // KConfigGroup::readEntry(const char*) const
    0,
    689,  // KConfigGroup::readEntry(const QString&, const QVariant&) const
    690,  // KConfigGroup::readEntry(const char*, const QVariant&) const
    0,
    691,  // KConfigGroup::readEntry(const QString&, const QString&) const
    692,  // KConfigGroup::readEntry(const char*, const QString&) const
    693,  // KConfigGroup::readEntry(const QString&, const char*) const
    694,  // KConfigGroup::readEntry(const char*, const char*) const
    0,
    695,  // KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    696,  // KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    697,  // KConfigGroup::readEntry(const QString&, const QStringList&) const
    698,  // KConfigGroup::readEntry(const char*, const QStringList&) const
    0,
    752,  // KConfigGroup::readEntryUntranslated(const QString&) const
    753,  // KConfigGroup::readEntryUntranslated(const char*) const
    0,
    705,  // KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    706,  // KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    0,
    701,  // KConfigGroup::readPathEntry(const QString&, const QString&) const
    702,  // KConfigGroup::readPathEntry(const char*, const QString&) const
    0,
    703,  // KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    704,  // KConfigGroup::readPathEntry(const char*, const QStringList&) const
    0,
    750,  // KConfigGroup::readXdgListEntry(const QString&) const
    751,  // KConfigGroup::readXdgListEntry(const char*) const
    0,
    699,  // KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    700,  // KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    0,
    732,  // KConfigGroup::revertToDefault(const QString&)
    733,  // KConfigGroup::revertToDefault(const char*)
    0,
    754,  // KConfigGroup::writeEntry(const QString&, const QVariant&)
    755,  // KConfigGroup::writeEntry(const char*, const QVariant&)
    758,  // KConfigGroup::writeEntry(const QString&, const QByteArray&)
    759,  // KConfigGroup::writeEntry(const char*, const QByteArray&)
    0,
    707,  // KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    708,  // KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    711,  // KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    712,  // KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    756,  // KConfigGroup::writeEntry(const QString&, const QString&)
    757,  // KConfigGroup::writeEntry(const char*, const QString&)
    760,  // KConfigGroup::writeEntry(const QString&, const char*)
    761,  // KConfigGroup::writeEntry(const char*, const char*)
    0,
    709,  // KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    710,  // KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    713,  // KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    714,  // KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    762,  // KConfigGroup::writeEntry(const QString&, const QStringList&)
    763,  // KConfigGroup::writeEntry(const char*, const QStringList&)
    764,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    765,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    0,
    715,  // KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    716,  // KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    717,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    718,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    768,  // KConfigGroup::writePathEntry(const QString&, const QString&)
    769,  // KConfigGroup::writePathEntry(const char*, const QString&)
    0,
    721,  // KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    722,  // KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    770,  // KConfigGroup::writePathEntry(const QString&, const QStringList&)
    771,  // KConfigGroup::writePathEntry(const char*, const QStringList&)
    0,
    723,  // KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    724,  // KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    766,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    767,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    0,
    719,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    720,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    512,  // KCmdLineOptions::add(const KCmdLineOptions&)
    513,  // KCmdLineOptions::add(const QByteArray&)
    0,
    1270,  // KDateTime::Spec::Spec(const KTimeZone&)
    1272,  // KDateTime::Spec::Spec(const KDateTime::Spec&)
    0,
    2017,  // KLocalizedString::subs(int) const
    2020,  // KLocalizedString::subs(unsigned int) const
    2023,  // KLocalizedString::subs(long) const
    2026,  // KLocalizedString::subs(unsigned long) const
    2029,  // KLocalizedString::subs(long long) const
    2032,  // KLocalizedString::subs(unsigned long long) const
    2035,  // KLocalizedString::subs(double) const
    2041,  // KLocalizedString::subs(const QString&) const
    0,
    2018,  // KLocalizedString::subs(int, int) const
    2021,  // KLocalizedString::subs(unsigned int, int) const
    2024,  // KLocalizedString::subs(long, int) const
    2027,  // KLocalizedString::subs(unsigned long, int) const
    2030,  // KLocalizedString::subs(long long, int) const
    2033,  // KLocalizedString::subs(unsigned long long, int) const
    2036,  // KLocalizedString::subs(double, int) const
    2042,  // KLocalizedString::subs(const QString&, int) const
    0,
    2019,  // KLocalizedString::subs(int, int, int) const
    2022,  // KLocalizedString::subs(unsigned int, int, int) const
    2025,  // KLocalizedString::subs(long, int, int) const
    2028,  // KLocalizedString::subs(unsigned long, int, int) const
    2031,  // KLocalizedString::subs(long long, int, int) const
    2034,  // KLocalizedString::subs(unsigned long long, int, int) const
    2037,  // KLocalizedString::subs(double, int, char) const
    0,
    2006,  // KLocalizedString::subs(int, int, int, const QChar&) const
    2007,  // KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    2008,  // KLocalizedString::subs(long, int, int, const QChar&) const
    2009,  // KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    2010,  // KLocalizedString::subs(long long, int, int, const QChar&) const
    2011,  // KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    0,
    1479,  // KGlobal::staticQString(const QString&)
    1489,  // KGlobal::staticQString(const char*)
    0,
    440,  // KCharMacroExpander::KCharMacroExpander(QChar)
    444,  // KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    0,
    604,  // KConfig::KConfig(KConfigPrivate&)
    608,  // KConfig::KConfig(const KComponentData&)
    0,
    607,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    611,  // KConfig::KConfig(const QString&, const QString&)
    0,
    576,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    578,  // KConfig::KConfig(const QString&, const QString&, const char*)
    0,
    600,  // KConfig::groupImpl(const QByteArray&)
    601,  // KConfig::groupImpl(const QByteArray&) const
    0,
    2192,  // KPluginFactory::KPluginFactory(QObject*)
    2209,  // KPluginFactory::KPluginFactory(const KAboutData&)
    2210,  // KPluginFactory::KPluginFactory(const KAboutData*)
    2214,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    0,
    2190,  // KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    2191,  // KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    2196,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    0,
    934,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    935,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    0,
    927,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    928,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    0,
    650,  // KConfigBase::deleteGroup(const QString&)
    651,  // KConfigBase::deleteGroup(const char*)
    0,
    633,  // KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    634,  // KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    626,  // KConfigBase::group(const QByteArray&)
    629,  // KConfigBase::group(const QByteArray&) const
    0,
    627,  // KConfigBase::group(const QString&)
    628,  // KConfigBase::group(const char*)
    630,  // KConfigBase::group(const QString&) const
    631,  // KConfigBase::group(const char*) const
    0,
    644,  // KConfigBase::groupImpl(const QByteArray&)
    645,  // KConfigBase::groupImpl(const QByteArray&) const
    0,
    623,  // KConfigBase::hasGroup(const QString&) const
    624,  // KConfigBase::hasGroup(const char*) const
    0,
    640,  // KConfigBase::isGroupImmutable(const QString&) const
    641,  // KConfigBase::isGroupImmutable(const char*) const
    0,
    1860,  // KLocale::formatDateTime(const QDateTime&) const
    1862,  // KLocale::formatDateTime(const KDateTime&) const
    0,
    1861,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    1863,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    0,
    1752,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    1753,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    0,
    1854,  // KLocale::formatNumber(double) const
    1855,  // KLocale::formatNumber(const QString&) const
    0,
    1741,  // KLocale::formatNumber(double, int) const
    1856,  // KLocale::formatNumber(const QString&, bool) const
    0,
    1774,  // KLocale::readDate(const QString&, bool*) const
    1871,  // KLocale::readDate(const QString&, const QString&) const
    1872,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    0,
    1775,  // KLocale::readDate(const QString&, const QString&, bool*) const
    1776,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    0,
    1777,  // KLocale::readTime(const QString&, bool*) const
    1874,  // KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    0,
    1770,  // KLocale::weekNumberSystem()
    1771,  // KLocale::weekNumberSystem() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 149, 85},	// KAboutData::FullName
    {1, 281, 2},	// KAboutData::KAboutData#
    {1, 282, 59},	// KAboutData::KAboutData####
    {1, 283, 60},	// KAboutData::KAboutData#####
    {1, 284, 61},	// KAboutData::KAboutData#####$
    {1, 285, 62},	// KAboutData::KAboutData#####$#
    {1, 286, 63},	// KAboutData::KAboutData#####$##
    {1, 287, 64},	// KAboutData::KAboutData#####$###
    {1, 288, 1},	// KAboutData::KAboutData#####$####
    {1, 573, 79},	// KAboutData::License_Artistic
    {1, 574, 78},	// KAboutData::License_BSD
    {1, 575, 71},	// KAboutData::License_Custom
    {1, 576, 72},	// KAboutData::License_File
    {1, 577, 74},	// KAboutData::License_GPL
    {1, 578, 75},	// KAboutData::License_GPL_V2
    {1, 579, 82},	// KAboutData::License_GPL_V3
    {1, 580, 76},	// KAboutData::License_LGPL
    {1, 581, 77},	// KAboutData::License_LGPL_V2
    {1, 582, 83},	// KAboutData::License_LGPL_V3
    {1, 583, 80},	// KAboutData::License_QPL
    {1, 584, 81},	// KAboutData::License_QPL_V1_0
    {1, 585, 73},	// KAboutData::License_Unknown
    {1, 712, 84},	// KAboutData::ShortName
    {1, 845, 48},	// KAboutData::aboutTranslationTeam
    {1, 866, 65},	// KAboutData::addAuthor#
    {1, 867, 66},	// KAboutData::addAuthor##
    {1, 868, 67},	// KAboutData::addAuthor###
    {1, 869, 4},	// KAboutData::addAuthor####
    {1, 870, 5},	// KAboutData::addAuthor#####
    {1, 879, 68},	// KAboutData::addCredit#
    {1, 880, 69},	// KAboutData::addCredit##
    {1, 881, 70},	// KAboutData::addCredit###
    {1, 882, 6},	// KAboutData::addCredit####
    {1, 883, 7},	// KAboutData::addCredit#####
    {1, 971, 22},	// KAboutData::addLicense$
    {1, 973, 10},	// KAboutData::addLicenseText#
    {1, 975, 12},	// KAboutData::addLicenseTextFile$
    {1, 1046, 29},	// KAboutData::appName
    {1, 1067, 45},	// KAboutData::authors
    {1, 1099, 43},	// KAboutData::bugAddress
    {1, 1129, 41},	// KAboutData::catalogName
    {1, 1214, 53},	// KAboutData::copyrightStatement
    {1, 1236, 46},	// KAboutData::credits
    {1, 1257, 54},	// KAboutData::customAuthorPlainText
    {1, 1258, 55},	// KAboutData::customAuthorRichText
    {1, 1259, 56},	// KAboutData::customAuthorTextEnabled
    {1, 1724, 42},	// KAboutData::homepage
    {1, 1764, 44},	// KAboutData::internalBugAddress
    {1, 1765, 33},	// KAboutData::internalProgramName
    {1, 1766, 39},	// KAboutData::internalVersion
    {1, 1987, 50},	// KAboutData::license
    {1, 1989, 51},	// KAboutData::licenseName$
    {1, 1990, 52},	// KAboutData::licenses
    {1, 2150, 37},	// KAboutData::ocsProviderUrl
    {1, 2200, 3},	// KAboutData::operator=#
    {1, 2222, 32},	// KAboutData::organizationDomain
    {1, 2223, 49},	// KAboutData::otherText
    {1, 2286, 30},	// KAboutData::productName
    {1, 2288, 35},	// KAboutData::programIconName
    {1, 2289, 36},	// KAboutData::programLogo
    {1, 2290, 31},	// KAboutData::programName
    {1, 2526, 13},	// KAboutData::setAppName#
    {1, 2547, 26},	// KAboutData::setBugAddress#
    {1, 2555, 20},	// KAboutData::setCatalogName#
    {1, 2567, 23},	// KAboutData::setCopyrightStatement#
    {1, 2579, 57},	// KAboutData::setCustomAuthorText##
    {1, 2676, 25},	// KAboutData::setHomepage#
    {1, 2702, 21},	// KAboutData::setLicense$
    {1, 2704, 9},	// KAboutData::setLicenseText#
    {1, 2706, 11},	// KAboutData::setLicenseTextFile$
    {1, 2810, 17},	// KAboutData::setOcsProvider#
    {1, 2812, 27},	// KAboutData::setOrganizationDomain#
    {1, 2816, 24},	// KAboutData::setOtherText#
    {1, 2849, 28},	// KAboutData::setProductName#
    {1, 2855, 15},	// KAboutData::setProgramIconName$
    {1, 2857, 16},	// KAboutData::setProgramLogo#
    {1, 2859, 14},	// KAboutData::setProgramName#
    {1, 2881, 19},	// KAboutData::setShortDescription#
    {1, 2920, 8},	// KAboutData::setTranslator##
    {1, 2930, 18},	// KAboutData::setVersion#
    {1, 2951, 40},	// KAboutData::shortDescription
    {1, 3176, 34},	// KAboutData::translateInternalProgramName
    {1, 3189, 47},	// KAboutData::translators
    {1, 3204, 58},	// KAboutData::unsetCustomAuthorText
    {1, 3251, 38},	// KAboutData::version
    {1, 3371, 86},	// KAboutData::~KAboutData
    {2, 290, 87},	// KAboutLicense::KAboutLicense#
    {2, 1101, 92},	// KAboutLicense::byKeyword$
    {2, 1941, 91},	// KAboutLicense::key
    {2, 2120, 90},	// KAboutLicense::name$
    {2, 2200, 88},	// KAboutLicense::operator=#
    {2, 3108, 89},	// KAboutLicense::text
    {2, 3372, 93},	// KAboutLicense::~KAboutLicense
    {3, 292, -228},	// KAboutPerson::KAboutPerson#
    {3, 293, 104},	// KAboutPerson::KAboutPerson##
    {3, 294, 105},	// KAboutPerson::KAboutPerson###
    {3, 295, 94},	// KAboutPerson::KAboutPerson####
    {3, 296, 95},	// KAboutPerson::KAboutPerson#####
    {3, 1408, 100},	// KAboutPerson::emailAddress
    {3, 2119, 98},	// KAboutPerson::name
    {3, 2151, 102},	// KAboutPerson::ocsUsername
    {3, 2200, 97},	// KAboutPerson::operator=#
    {3, 3102, 99},	// KAboutPerson::task
    {3, 3270, 101},	// KAboutPerson::webAddress
    {3, 3373, 106},	// KAboutPerson::~KAboutPerson
    {4, 4, 107},	// KAuth::Action::Action
    {4, 5, 108},	// KAuth::Action::Action#
    {4, 6, 109},	// KAuth::Action::Action$
    {4, 7, 110},	// KAuth::Action::Action$$
    {4, 27, 143},	// KAuth::Action::AuthRequired
    {4, 30, 142},	// KAuth::Action::Authorized
    {4, 101, 139},	// KAuth::Action::Denied
    {4, 125, 140},	// KAuth::Action::Error
    {4, 180, 141},	// KAuth::Action::Invalid
    {4, 802, 144},	// KAuth::Action::UserCancelled
    {4, 864, 125},	// KAuth::Action::addArgument$#
    {4, 1054, 124},	// KAuth::Action::arguments
    {4, 1057, 126},	// KAuth::Action::authorize
    {4, 1374, 117},	// KAuth::Action::details
    {4, 1406, 127},	// KAuth::Action::earlyAuthorize
    {4, 1468, 129},	// KAuth::Action::execute
    {4, 1469, 130},	// KAuth::Action::execute$
    {4, 1475, 133},	// KAuth::Action::executeActions??$
    {4, 1476, 134},	// KAuth::Action::executeActions??$#
    {4, 1477, 132},	// KAuth::Action::executesAsync
    {4, 1691, 121},	// KAuth::Action::hasHelper
    {4, 1720, 119},	// KAuth::Action::helperID
    {4, 1888, 118},	// KAuth::Action::isValid
    {4, 2119, 114},	// KAuth::Action::name
    {4, 2176, 113},	// KAuth::Action::operator!=#
    {4, 2200, 111},	// KAuth::Action::operator=#
    {4, 2203, 112},	// KAuth::Action::operator==#
    {4, 2235, 138},	// KAuth::Action::parentWidget
    {4, 2528, 123},	// KAuth::Action::setArguments?
    {4, 2620, 116},	// KAuth::Action::setDetails$
    {4, 2653, 131},	// KAuth::Action::setExecutesAsync$
    {4, 2674, 120},	// KAuth::Action::setHelperID$
    {4, 2800, 115},	// KAuth::Action::setName$
    {4, 2824, 137},	// KAuth::Action::setParentWidget#
    {4, 3050, 128},	// KAuth::Action::status
    {4, 3053, 135},	// KAuth::Action::stop
    {4, 3054, 136},	// KAuth::Action::stop$
    {4, 3268, 122},	// KAuth::Action::watcher
    {4, 3344, 145},	// KAuth::Action::~Action
    {5, 8, 146},	// KAuth::ActionReply::ActionReply
    {5, 9, 149},	// KAuth::ActionReply::ActionReply#
    {5, 10, -4},	// KAuth::ActionReply::ActionReply$
    {5, 28, 181},	// KAuth::ActionReply::AuthorizationDenied
    {5, 29, 170},	// KAuth::ActionReply::AuthorizationDeniedReply
    {5, 76, 184},	// KAuth::ActionReply::DBusError
    {5, 77, 173},	// KAuth::ActionReply::DBusErrorReply
    {5, 158, 183},	// KAuth::ActionReply::HelperBusy
    {5, 159, 172},	// KAuth::ActionReply::HelperBusyReply
    {5, 160, 175},	// KAuth::ActionReply::HelperError
    {5, 161, 166},	// KAuth::ActionReply::HelperErrorReply
    {5, 181, 180},	// KAuth::ActionReply::InvalidAction
    {5, 182, 169},	// KAuth::ActionReply::InvalidActionReply
    {5, 297, 174},	// KAuth::ActionReply::KAuthError
    {5, 624, 177},	// KAuth::ActionReply::NoError
    {5, 628, 178},	// KAuth::ActionReply::NoResponder
    {5, 629, 167},	// KAuth::ActionReply::NoResponderReply
    {5, 631, 179},	// KAuth::ActionReply::NoSuchAction
    {5, 632, 168},	// KAuth::ActionReply::NoSuchActionReply
    {5, 741, 176},	// KAuth::ActionReply::Success
    {5, 742, 165},	// KAuth::ActionReply::SuccessReply
    {5, 802, 182},	// KAuth::ActionReply::UserCancelled
    {5, 803, 171},	// KAuth::ActionReply::UserCancelledReply
    {5, 887, 152},	// KAuth::ActionReply::addData$#
    {5, 1262, 151},	// KAuth::ActionReply::data
    {5, 1369, 161},	// KAuth::ActionReply::deserialize#
    {5, 1452, 156},	// KAuth::ActionReply::errorCode
    {5, 1453, 158},	// KAuth::ActionReply::errorDescription
    {5, 1505, 155},	// KAuth::ActionReply::failed
    {5, 2176, 164},	// KAuth::ActionReply::operator!=#
    {5, 2200, 162},	// KAuth::ActionReply::operator=#
    {5, 2203, 163},	// KAuth::ActionReply::operator==#
    {5, 2494, 160},	// KAuth::ActionReply::serialized
    {5, 2585, 150},	// KAuth::ActionReply::setData?
    {5, 2641, 157},	// KAuth::ActionReply::setErrorCode$
    {5, 2643, 159},	// KAuth::ActionReply::setErrorDescription$
    {5, 3076, 154},	// KAuth::ActionReply::succeeded
    {5, 3191, 153},	// KAuth::ActionReply::type
    {5, 3345, 185},	// KAuth::ActionReply::~ActionReply
    {6, 851, 194},	// KAuth::ActionWatcher::action
    {6, 855, 196},	// KAuth::ActionWatcher::actionPerformed#
    {6, 856, 195},	// KAuth::ActionWatcher::actionStarted
    {6, 2077, 186},	// KAuth::ActionWatcher::metaObject
    {6, 2292, 197},	// KAuth::ActionWatcher::progressStep$
    {6, 2293, 198},	// KAuth::ActionWatcher::progressStep?
    {6, 2317, 192},	// KAuth::ActionWatcher::qt_metacall$$?
    {6, 2319, 187},	// KAuth::ActionWatcher::qt_metacast$
    {6, 3047, 202},	// KAuth::ActionWatcher::staticMetaObject
    {6, 3052, 199},	// KAuth::ActionWatcher::statusChanged$
    {6, 3149, 200},	// KAuth::ActionWatcher::tr$
    {6, 3150, 188},	// KAuth::ActionWatcher::tr$$
    {6, 3151, 190},	// KAuth::ActionWatcher::tr$$$
    {6, 3156, 201},	// KAuth::ActionWatcher::trUtf8$
    {6, 3157, 189},	// KAuth::ActionWatcher::trUtf8$$
    {6, 3158, 191},	// KAuth::ActionWatcher::trUtf8$$$
    {6, 3269, 193},	// KAuth::ActionWatcher::watcher$
    {6, 3346, 203},	// KAuth::ActionWatcher::~ActionWatcher
    {7, 1042, 208},	// KAuthorized::allowUrlAction$##
    {7, 1058, 205},	// KAuthorized::authorize$
    {7, 1060, 209},	// KAuthorized::authorizeControlModule$
    {7, 1062, 206},	// KAuthorized::authorizeControlModules?
    {7, 1064, 207},	// KAuthorized::authorizeKAction$
    {7, 1066, 204},	// KAuthorized::authorizeUrlAction$##
    {8, 298, 228},	// KAutoSaveFile::KAutoSaveFile
    {8, 299, -1},	// KAutoSaveFile::KAutoSaveFile#
    {8, 300, 217},	// KAutoSaveFile::KAutoSaveFile##
    {8, 1033, 230},	// KAutoSaveFile::allStaleFiles
    {8, 1034, 224},	// KAutoSaveFile::allStaleFiles$
    {8, 2062, 219},	// KAutoSaveFile::managedFile
    {8, 2077, 210},	// KAutoSaveFile::metaObject
    {8, 2163, 222},	// KAutoSaveFile::open$
    {8, 2317, 216},	// KAutoSaveFile::qt_metacall$$?
    {8, 2319, 211},	// KAutoSaveFile::qt_metacast$
    {8, 2427, 221},	// KAutoSaveFile::releaseLock
    {8, 2772, 220},	// KAutoSaveFile::setManagedFile#
    {8, 2986, 229},	// KAutoSaveFile::staleFiles#
    {8, 2987, 223},	// KAutoSaveFile::staleFiles#$
    {8, 3047, 231},	// KAutoSaveFile::staticMetaObject
    {8, 3149, 225},	// KAutoSaveFile::tr$
    {8, 3150, 212},	// KAutoSaveFile::tr$$
    {8, 3151, 214},	// KAutoSaveFile::tr$$$
    {8, 3156, 226},	// KAutoSaveFile::trUtf8$
    {8, 3157, 213},	// KAutoSaveFile::trUtf8$$
    {8, 3158, 215},	// KAutoSaveFile::trUtf8$$$
    {8, 3374, 232},	// KAutoSaveFile::~KAutoSaveFile
    {9, 21, 275},	// KAutostart::Applications
    {9, 40, 273},	// KAutostart::BaseDesktop
    {9, 50, 272},	// KAutostart::CheckAll
    {9, 51, 270},	// KAutostart::CheckCommand
    {9, 52, 271},	// KAutostart::CheckCondition
    {9, 102, 274},	// KAutostart::DesktopServices
    {9, 301, 264},	// KAutostart::KAutostart
    {9, 302, 265},	// KAutostart::KAutostart$
    {9, 303, 240},	// KAutostart::KAutostart$#
    {9, 622, 269},	// KAutostart::NoConditions
    {9, 1002, 254},	// KAutostart::addToAllowedEnvironments$
    {9, 1004, 258},	// KAutostart::addToExcludedEnvironments$
    {9, 1043, 252},	// KAutostart::allowedEnvironments
    {9, 1075, 266},	// KAutostart::autostarts
    {9, 1076, 267},	// KAutostart::autostarts$
    {9, 1077, 242},	// KAutostart::autostarts$$
    {9, 1142, 261},	// KAutostart::checkAllowedEnvironment$
    {9, 1174, 243},	// KAutostart::command
    {9, 1175, 248},	// KAutostart::commandToCheck
    {9, 1462, 256},	// KAutostart::excludedEnvironments
    {9, 1874, 247},	// KAutostart::isServiceRegistered$
    {9, 2077, 233},	// KAutostart::metaObject
    {9, 2317, 239},	// KAutostart::qt_metacall$$?
    {9, 2319, 234},	// KAutostart::qt_metacast$
    {9, 2438, 255},	// KAutostart::removeFromAllowedEnvironments$
    {9, 2440, 259},	// KAutostart::removeFromExcludedEnvironments$
    {9, 2524, 253},	// KAutostart::setAllowedEnvironments?
    {9, 2543, 241},	// KAutostart::setAutostarts$
    {9, 2557, 244},	// KAutostart::setCommand$
    {9, 2559, 249},	// KAutostart::setCommandToCheck$
    {9, 2649, 257},	// KAutostart::setExcludedEnvironments?
    {9, 2894, 251},	// KAutostart::setStartPhase$
    {9, 2932, 246},	// KAutostart::setVisibleName$
    {9, 2990, 260},	// KAutostart::startAfter
    {9, 2996, 250},	// KAutostart::startPhase
    {9, 3047, 268},	// KAutostart::staticMetaObject
    {9, 3149, 262},	// KAutostart::tr$
    {9, 3150, 235},	// KAutostart::tr$$
    {9, 3151, 237},	// KAutostart::tr$$$
    {9, 3156, 263},	// KAutostart::trUtf8$
    {9, 3157, 236},	// KAutostart::trUtf8$$
    {9, 3158, 238},	// KAutostart::trUtf8$$$
    {9, 3256, 245},	// KAutostart::visibleName
    {9, 3375, 276},	// KAutostart::~KAutostart
    {10, 304, 394},	// KCalendarSystem::KCalendarSystem
    {10, 305, -67},	// KCalendarSystem::KCalendarSystem#
    {10, 306, 428},	// KCalendarSystem::KCalendarSystem#?
    {10, 307, 387},	// KCalendarSystem::KCalendarSystem#?#
    {10, 308, 395},	// KCalendarSystem::KCalendarSystem?
    {10, 309, 289},	// KCalendarSystem::KCalendarSystem?#
    {10, 596, 437},	// KCalendarSystem::LongDayName
    {10, 597, 430},	// KCalendarSystem::LongFormat
    {10, 598, 432},	// KCalendarSystem::LongName
    {10, 599, 434},	// KCalendarSystem::LongNamePossessive
    {10, 615, 438},	// KCalendarSystem::NarrowDayName
    {10, 616, 435},	// KCalendarSystem::NarrowName
    {10, 710, 436},	// KCalendarSystem::ShortDayName
    {10, 711, 429},	// KCalendarSystem::ShortFormat
    {10, 712, 431},	// KCalendarSystem::ShortName
    {10, 713, 433},	// KCalendarSystem::ShortNamePossessive
    {10, 889, 315},	// KCalendarSystem::addDays#$
    {10, 979, 314},	// KCalendarSystem::addMonths#$
    {10, 1016, 313},	// KCalendarSystem::addYears#$
    {10, 1050, 374},	// KCalendarSystem::applyShortYearWindow$
    {10, 1108, 292},	// KCalendarSystem::calendarLabel
    {10, 1109, -70},	// KCalendarSystem::calendarLabel$
    {10, 1110, 284},	// KCalendarSystem::calendarLabel$#
    {10, 1111, 291},	// KCalendarSystem::calendarSystem
    {10, 1112, 286},	// KCalendarSystem::calendarSystem$
    {10, 1114, 285},	// KCalendarSystem::calendarSystemForCalendarType$
    {10, 1115, 281},	// KCalendarSystem::calendarSystems
    {10, 1116, 282},	// KCalendarSystem::calendarSystemsList
    {10, 1117, 290},	// KCalendarSystem::calendarType
    {10, 1118, 287},	// KCalendarSystem::calendarType$
    {10, 1222, 388},	// KCalendarSystem::create
    {10, 1226, -73},	// KCalendarSystem::create$
    {10, 1227, -76},	// KCalendarSystem::create$#
    {10, 1230, -79},	// KCalendarSystem::create$?
    {10, 1231, -82},	// KCalendarSystem::create$?#
    {10, 1272, 316},	// KCalendarSystem::dateDifference##$$$$
    {10, 1281, 382},	// KCalendarSystem::dateToJulianDay$$$$
    {10, 1284, 309},	// KCalendarSystem::day#
    {10, 1286, 332},	// KCalendarSystem::dayOfWeek#
    {10, 1288, 355},	// KCalendarSystem::dayOfWeekString#
    {10, 1290, 331},	// KCalendarSystem::dayOfYear#
    {10, 1292, 413},	// KCalendarSystem::dayOfYearString#
    {10, 1293, 354},	// KCalendarSystem::dayOfYearString#$
    {10, 1298, 411},	// KCalendarSystem::dayString#
    {10, 1299, 352},	// KCalendarSystem::dayString#$
    {10, 1301, 364},	// KCalendarSystem::dayStringToInteger$$
    {10, 1303, 319},	// KCalendarSystem::daysDifference##
    {10, 1305, 328},	// KCalendarSystem::daysInMonth#
    {10, 1306, 329},	// KCalendarSystem::daysInMonth$$
    {10, 1308, 418},	// KCalendarSystem::daysInMonthString#
    {10, 1309, 360},	// KCalendarSystem::daysInMonthString#$
    {10, 1311, 330},	// KCalendarSystem::daysInWeek#
    {10, 1313, 361},	// KCalendarSystem::daysInWeekString#
    {10, 1315, 326},	// KCalendarSystem::daysInYear#
    {10, 1316, 327},	// KCalendarSystem::daysInYear$
    {10, 1318, 417},	// KCalendarSystem::daysInYearString#
    {10, 1319, 359},	// KCalendarSystem::daysInYearString#$
    {10, 1405, 294},	// KCalendarSystem::earliestValidDate
    {10, 1439, 293},	// KCalendarSystem::epoch
    {10, 1446, 396},	// KCalendarSystem::eraName#
    {10, 1447, 310},	// KCalendarSystem::eraName#$
    {10, 1449, 397},	// KCalendarSystem::eraYear#
    {10, 1450, 311},	// KCalendarSystem::eraYear#$
    {10, 1578, 403},	// KCalendarSystem::firstDayOfMonth
    {10, 1579, 344},	// KCalendarSystem::firstDayOfMonth#
    {10, 1580, 342},	// KCalendarSystem::firstDayOfMonth$$
    {10, 1581, 401},	// KCalendarSystem::firstDayOfYear
    {10, 1582, 340},	// KCalendarSystem::firstDayOfYear#
    {10, 1583, 338},	// KCalendarSystem::firstDayOfYear$
    {10, 1595, 419},	// KCalendarSystem::formatDate#
    {10, 1596, -85},	// KCalendarSystem::formatDate#$
    {10, 1597, -89},	// KCalendarSystem::formatDate#$$
    {10, 1598, -93},	// KCalendarSystem::formatDate#$$$
    {10, 1656, 306},	// KCalendarSystem::getDate#$$$
    {10, 1847, 337},	// KCalendarSystem::isLeapYear#
    {10, 1848, 336},	// KCalendarSystem::isLeapYear$
    {10, 1854, 377},	// KCalendarSystem::isLunar
    {10, 1855, 378},	// KCalendarSystem::isLunisolar
    {10, 1864, 380},	// KCalendarSystem::isProleptic
    {10, 1878, 379},	// KCalendarSystem::isSolar
    {10, 1889, 300},	// KCalendarSystem::isValid#
    {10, 1891, 297},	// KCalendarSystem::isValid$$
    {10, 1892, 296},	// KCalendarSystem::isValid$$$
    {10, 1893, 298},	// KCalendarSystem::isValid$$$$
    {10, 1895, 299},	// KCalendarSystem::isValidIsoWeekDate$$$
    {10, 1906, 381},	// KCalendarSystem::julianDayToDate$$$$
    {10, 1970, 404},	// KCalendarSystem::lastDayOfMonth
    {10, 1971, 345},	// KCalendarSystem::lastDayOfMonth#
    {10, 1972, 343},	// KCalendarSystem::lastDayOfMonth$$
    {10, 1973, 402},	// KCalendarSystem::lastDayOfYear
    {10, 1974, 341},	// KCalendarSystem::lastDayOfYear#
    {10, 1975, 339},	// KCalendarSystem::lastDayOfYear$
    {10, 1977, 295},	// KCalendarSystem::latestValidDate
    {10, 2004, 383},	// KCalendarSystem::locale
    {10, 2100, 308},	// KCalendarSystem::month#
    {10, 2102, 406},	// KCalendarSystem::monthName#
    {10, 2103, 347},	// KCalendarSystem::monthName#$
    {10, 2104, 405},	// KCalendarSystem::monthName$$
    {10, 2105, 346},	// KCalendarSystem::monthName$$$
    {10, 2107, 410},	// KCalendarSystem::monthString#
    {10, 2108, 351},	// KCalendarSystem::monthString#$
    {10, 2110, 363},	// KCalendarSystem::monthStringToInteger$$
    {10, 2112, 318},	// KCalendarSystem::monthsDifference##
    {10, 2114, 320},	// KCalendarSystem::monthsInYear#
    {10, 2115, 321},	// KCalendarSystem::monthsInYear$
    {10, 2117, 415},	// KCalendarSystem::monthsInYearString#
    {10, 2118, 357},	// KCalendarSystem::monthsInYearString#$
    {10, 2356, 424},	// KCalendarSystem::readDate$
    {10, 2357, -96},	// KCalendarSystem::readDate$$
    {10, 2358, -100},	// KCalendarSystem::readDate$$$
    {10, 2359, 372},	// KCalendarSystem::readDate$$$$
    {10, 2590, 302},	// KCalendarSystem::setDate#$$
    {10, 2591, 301},	// KCalendarSystem::setDate#$$$
    {10, 2592, 303},	// KCalendarSystem::setDate#$$$$
    {10, 2598, 304},	// KCalendarSystem::setDateIsoWeek#$$$
    {10, 2672, 386},	// KCalendarSystem::setHasYear0$
    {10, 2774, 385},	// KCalendarSystem::setMaxDaysInWeek$
    {10, 2776, 384},	// KCalendarSystem::setMaxMonthsInYear$
    {10, 2946, 305},	// KCalendarSystem::setYMD#$$$
    {10, 2952, 373},	// KCalendarSystem::shortYearWindowStartYear
    {10, 3273, 399},	// KCalendarSystem::week#
    {10, 3274, -103},	// KCalendarSystem::week#$
    {10, 3275, 335},	// KCalendarSystem::week#$$
    {10, 3277, 408},	// KCalendarSystem::weekDayName#
    {10, 3278, 349},	// KCalendarSystem::weekDayName#$
    {10, 3279, 407},	// KCalendarSystem::weekDayName$
    {10, 3280, 348},	// KCalendarSystem::weekDayName$$
    {10, 3281, 376},	// KCalendarSystem::weekDayOfPray
    {10, 3283, 398},	// KCalendarSystem::weekNumber#
    {10, 3284, 333},	// KCalendarSystem::weekNumber#$
    {10, 3286, 414},	// KCalendarSystem::weekNumberString#
    {10, 3287, 356},	// KCalendarSystem::weekNumberString#$
    {10, 3289, 375},	// KCalendarSystem::weekStartDay
    {10, 3291, 322},	// KCalendarSystem::weeksInYear#
    {10, 3292, 323},	// KCalendarSystem::weeksInYear#$
    {10, 3293, 324},	// KCalendarSystem::weeksInYear$
    {10, 3294, 325},	// KCalendarSystem::weeksInYear$$
    {10, 3296, 416},	// KCalendarSystem::weeksInYearString#
    {10, 3297, 358},	// KCalendarSystem::weeksInYearString#$
    {10, 3327, 307},	// KCalendarSystem::year#
    {10, 3329, 312},	// KCalendarSystem::yearInEra#
    {10, 3331, 412},	// KCalendarSystem::yearInEraString#
    {10, 3332, 353},	// KCalendarSystem::yearInEraString#$
    {10, 3334, 409},	// KCalendarSystem::yearString#
    {10, 3335, 350},	// KCalendarSystem::yearString#$
    {10, 3337, 362},	// KCalendarSystem::yearStringToInteger$$
    {10, 3339, 317},	// KCalendarSystem::yearsDifference##
    {10, 3376, 439},	// KCalendarSystem::~KCalendarSystem
    {13, 310, 445},	// KCharMacroExpander::KCharMacroExpander
    {13, 311, -446},	// KCharMacroExpander::KCharMacroExpander#
    {13, 1481, 442},	// KCharMacroExpander::expandEscapedMacro$$?
    {13, 1483, 443},	// KCharMacroExpander::expandMacro#?
    {13, 1495, 441},	// KCharMacroExpander::expandPlainMacro$$?
    {13, 3377, 446},	// KCharMacroExpander::~KCharMacroExpander
    {14, 312, 447},	// KCharsets::KCharsets
    {14, 313, 460},	// KCharsets::KCharsets#
    {14, 1080, 454},	// KCharsets::availableEncodingNames
    {14, 1172, 448},	// KCharsets::codecForName$
    {14, 1173, 449},	// KCharsets::codecForName$$
    {14, 1366, 458},	// KCharsets::descriptionForEncoding$
    {14, 1367, 455},	// KCharsets::descriptiveEncodingNames
    {14, 1426, 459},	// KCharsets::encodingForName$
    {14, 1429, 456},	// KCharsets::encodingsByScript
    {14, 1626, 450},	// KCharsets::fromEntity$
    {14, 1627, 451},	// KCharsets::fromEntity$$
    {14, 1968, 457},	// KCharsets::languageForEncoding$
    {14, 2458, 453},	// KCharsets::resolveEntities$
    {14, 3122, 452},	// KCharsets::toEntity#
    {14, 3378, 461},	// KCharsets::~KCharsets
    {15, 62, 503},	// KCmdLineArgs::CmdLineArgKDE
    {15, 63, 505},	// KCmdLineArgs::CmdLineArgNone
    {15, 64, 502},	// KCmdLineArgs::CmdLineArgQt
    {15, 65, 504},	// KCmdLineArgs::CmdLineArgsMask
    {15, 315, 492},	// KCmdLineArgs::KCmdLineArgs#
    {15, 316, 491},	// KCmdLineArgs::KCmdLineArgs###
    {15, 699, 506},	// KCmdLineArgs::Reserved
    {15, 844, 490},	// KCmdLineArgs::aboutData
    {15, 872, 497},	// KCmdLineArgs::addCmdLineOptions#
    {15, 873, 498},	// KCmdLineArgs::addCmdLineOptions##
    {15, 874, 499},	// KCmdLineArgs::addCmdLineOptions###
    {15, 875, 466},	// KCmdLineArgs::addCmdLineOptions####
    {15, 996, 496},	// KCmdLineArgs::addStdCmdLineOptions
    {15, 997, 465},	// KCmdLineArgs::addStdCmdLineOptions$
    {15, 1000, 485},	// KCmdLineArgs::addTempFileOption
    {15, 1020, 489},	// KCmdLineArgs::allArguments
    {15, 1046, 469},	// KCmdLineArgs::appName
    {15, 1053, 477},	// KCmdLineArgs::arg$
    {15, 1161, 481},	// KCmdLineArgs::clear
    {15, 1215, 476},	// KCmdLineArgs::count
    {15, 1261, 468},	// KCmdLineArgs::cwd
    {15, 1414, 472},	// KCmdLineArgs::enable_i18n
    {15, 1663, 473},	// KCmdLineArgs::getOption#
    {15, 1665, 474},	// KCmdLineArgs::getOptionList#
    {15, 1749, 464},	// KCmdLineArgs::init#
    {15, 1751, 495},	// KCmdLineArgs::init$?#
    {15, 1752, 493},	// KCmdLineArgs::init$?####
    {15, 1753, 494},	// KCmdLineArgs::init$?#####
    {15, 1754, 462},	// KCmdLineArgs::init$?#####$
    {15, 1755, 463},	// KCmdLineArgs::init$?#$
    {15, 1876, 475},	// KCmdLineArgs::isSet#
    {15, 1881, 486},	// KCmdLineArgs::isTempFileSet
    {15, 2000, 483},	// KCmdLineArgs::loadAppArgs#
    {15, 2061, 479},	// KCmdLineArgs::makeURL#
    {15, 2238, 500},	// KCmdLineArgs::parsedArgs
    {15, 2239, 467},	// KCmdLineArgs::parsedArgs#
    {15, 2314, 487},	// KCmdLineArgs::qtArgc
    {15, 2315, 488},	// KCmdLineArgs::qtArgv
    {15, 2455, 482},	// KCmdLineArgs::reset
    {15, 2480, 484},	// KCmdLineArgs::saveAppArgs#
    {15, 2581, 480},	// KCmdLineArgs::setCwd#
    {15, 3217, 478},	// KCmdLineArgs::url$
    {15, 3218, 501},	// KCmdLineArgs::usage
    {15, 3219, 470},	// KCmdLineArgs::usage#
    {15, 3221, 471},	// KCmdLineArgs::usageError$
    {15, 3379, 507},	// KCmdLineArgs::~KCmdLineArgs
    {16, 317, 508},	// KCmdLineOptions::KCmdLineOptions
    {16, 318, 509},	// KCmdLineOptions::KCmdLineOptions#
    {16, 860, -404},	// KCmdLineOptions::add#
    {16, 861, 514},	// KCmdLineOptions::add##
    {16, 862, 511},	// KCmdLineOptions::add###
    {16, 2200, 510},	// KCmdLineOptions::operator=#
    {16, 3380, 515},	// KCmdLineOptions::~KCmdLineOptions
    {17, 1087, 522},	// KCodecs::base64Decode#
    {17, 1088, 524},	// KCodecs::base64Decode##
    {17, 1091, 531},	// KCodecs::base64Encode#
    {17, 1092, 527},	// KCodecs::base64Encode##
    {17, 1093, 526},	// KCodecs::base64Encode##$
    {17, 1094, 530},	// KCodecs::base64Encode#$
    {17, 1329, 520},	// KCodecs::decodeRFC2047String$
    {17, 2331, 521},	// KCodecs::quotedPrintableDecode#
    {17, 2332, 519},	// KCodecs::quotedPrintableDecode##
    {17, 2334, 529},	// KCodecs::quotedPrintableEncode#
    {17, 2335, 523},	// KCodecs::quotedPrintableEncode##$
    {17, 2336, 528},	// KCodecs::quotedPrintableEncode#$
    {17, 3241, 517},	// KCodecs::uudecode#
    {17, 3242, 518},	// KCodecs::uudecode##
    {17, 3244, 516},	// KCodecs::uuencode#
    {17, 3245, 525},	// KCodecs::uuencode##
    {18, 319, 532},	// KComponentData::KComponentData
    {18, 320, -51},	// KComponentData::KComponentData#
    {18, 321, 549},	// KComponentData::KComponentData##
    {18, 322, 537},	// KComponentData::KComponentData##$
    {18, 323, -56},	// KComponentData::KComponentData#$
    {18, 694, 552},	// KComponentData::RegisterAsMainComponent
    {18, 718, 553},	// KComponentData::SkipMainComponentRegistration
    {18, 844, 543},	// KComponentData::aboutData
    {18, 1129, 546},	// KComponentData::catalogName
    {18, 1181, 545},	// KComponentData::componentName
    {18, 1185, 542},	// KComponentData::config
    {18, 1394, 541},	// KComponentData::dirs
    {18, 1888, 540},	// KComponentData::isValid
    {18, 2176, 536},	// KComponentData::operator!=#
    {18, 2200, 534},	// KComponentData::operator=#
    {18, 2203, 535},	// KComponentData::operator==#
    {18, 2514, 544},	// KComponentData::setAboutData#
    {18, 2565, 547},	// KComponentData::setConfigName$
    {18, 3381, 554},	// KComponentData::~KComponentData
    {19, 324, 573},	// KCompositeJob::KCompositeJob
    {19, 325, 562},	// KCompositeJob::KCompositeJob#
    {19, 326, 570},	// KCompositeJob::KCompositeJob##
    {19, 999, 563},	// KCompositeJob::addSubjob#
    {19, 1164, 567},	// KCompositeJob::clearSubjobs
    {19, 1714, 565},	// KCompositeJob::hasSubjobs
    {19, 2077, 555},	// KCompositeJob::metaObject
    {19, 2317, 561},	// KCompositeJob::qt_metacall$$?
    {19, 2319, 556},	// KCompositeJob::qt_metacast$
    {19, 2442, 564},	// KCompositeJob::removeSubjob#
    {19, 2966, 569},	// KCompositeJob::slotInfoMessage#$$
    {19, 2968, 568},	// KCompositeJob::slotResult#
    {19, 3047, 574},	// KCompositeJob::staticMetaObject
    {19, 3061, 566},	// KCompositeJob::subjobs
    {19, 3149, 571},	// KCompositeJob::tr$
    {19, 3150, 557},	// KCompositeJob::tr$$
    {19, 3151, 559},	// KCompositeJob::tr$$$
    {19, 3156, 572},	// KCompositeJob::trUtf8$
    {19, 3157, 558},	// KCompositeJob::trUtf8$$
    {19, 3158, 560},	// KCompositeJob::trUtf8$$$
    {19, 3382, 575},	// KCompositeJob::~KCompositeJob
    {21, 47, 616},	// KConfig::CascadeConfig
    {21, 148, 620},	// KConfig::FullConfig
    {21, 176, 615},	// KConfig::IncludeGlobals
    {21, 327, 605},	// KConfig::KConfig
    {21, 328, -449},	// KConfig::KConfig#
    {21, 329, 609},	// KConfig::KConfig#$
    {21, 330, 610},	// KConfig::KConfig#$$
    {21, 331, 577},	// KConfig::KConfig#$$$
    {21, 332, 606},	// KConfig::KConfig$
    {21, 333, -452},	// KConfig::KConfig$$
    {21, 334, -455},	// KConfig::KConfig$$$
    {21, 621, 618},	// KConfig::NoCascade
    {21, 625, 619},	// KConfig::NoGlobals
    {21, 715, 617},	// KConfig::SimpleConfig
    {21, 850, 584},	// KConfig::accessMode
    {21, 877, 589},	// KConfig::addConfigSources?
    {21, 1148, 587},	// KConfig::checkUpdate$$
    {21, 1180, 579},	// KConfig::componentData
    {21, 1212, 612},	// KConfig::copyTo$
    {21, 1213, 586},	// KConfig::copyTo$#
    {21, 1357, 614},	// KConfig::deleteGroupImpl#
    {21, 1358, 602},	// KConfig::deleteGroupImpl#$
    {21, 1436, 613},	// KConfig::entryMap
    {21, 1437, 598},	// KConfig::entryMap$
    {21, 1588, 596},	// KConfig::forceGlobal
    {21, 1673, -458},	// KConfig::groupImpl#
    {21, 1674, 597},	// KConfig::groupList
    {21, 1689, 599},	// KConfig::hasGroupImpl#
    {21, 1808, 585},	// KConfig::isConfigWritable$
    {21, 1817, 582},	// KConfig::isDirty
    {21, 1836, 603},	// KConfig::isGroupImmutableImpl#
    {21, 1841, 594},	// KConfig::isImmutable
    {21, 2004, 590},	// KConfig::locale
    {21, 2063, 583},	// KConfig::markAsClean
    {21, 2119, 580},	// KConfig::name
    {21, 2362, 593},	// KConfig::readDefaults
    {21, 2448, 588},	// KConfig::reparseConfiguration
    {21, 2662, 595},	// KConfig::setForceGlobal$
    {21, 2712, 591},	// KConfig::setLocale$
    {21, 2867, 592},	// KConfig::setReadDefaults$
    {21, 3086, 581},	// KConfig::sync
    {21, 3383, 621},	// KConfig::~KConfig
    {22, 150, 654},	// KConfigBase::Global
    {22, 335, 642},	// KConfigBase::KConfigBase
    {22, 336, 648},	// KConfigBase::KConfigBase#
    {22, 590, 655},	// KConfigBase::Localized
    {22, 618, 657},	// KConfigBase::NoAccess
    {22, 635, 656},	// KConfigBase::Normal
    {22, 661, 653},	// KConfigBase::Persistent
    {22, 688, 658},	// KConfigBase::ReadOnly
    {22, 692, 659},	// KConfigBase::ReadWrite
    {22, 850, 637},	// KConfigBase::accessMode
    {22, 1352, 649},	// KConfigBase::deleteGroup#
    {22, 1353, 632},	// KConfigBase::deleteGroup#$
    {22, 1354, -476},	// KConfigBase::deleteGroup$
    {22, 1355, -479},	// KConfigBase::deleteGroup$$
    {22, 1357, 652},	// KConfigBase::deleteGroupImpl#
    {22, 1358, 646},	// KConfigBase::deleteGroupImpl#$
    {22, 1668, -482},	// KConfigBase::group#
    {22, 1669, -485},	// KConfigBase::group$
    {22, 1673, -490},	// KConfigBase::groupImpl#
    {22, 1674, 622},	// KConfigBase::groupList
    {22, 1686, 625},	// KConfigBase::hasGroup#
    {22, 1687, -493},	// KConfigBase::hasGroup$
    {22, 1689, 643},	// KConfigBase::hasGroupImpl#
    {22, 1833, 639},	// KConfigBase::isGroupImmutable#
    {22, 1834, -496},	// KConfigBase::isGroupImmutable$
    {22, 1836, 647},	// KConfigBase::isGroupImmutableImpl#
    {22, 1841, 638},	// KConfigBase::isImmutable
    {22, 2063, 636},	// KConfigBase::markAsClean
    {22, 3086, 635},	// KConfigBase::sync
    {22, 3384, 660},	// KConfigBase::~KConfigBase
    {23, 337, 661},	// KConfigGroup::KConfigGroup
    {23, 338, 668},	// KConfigGroup::KConfigGroup#
    {23, 339, -280},	// KConfigGroup::KConfigGroup#$
    {23, 340, -285},	// KConfigGroup::KConfigGroup?$
    {23, 850, 675},	// KConfigGroup::accessMode
    {23, 1135, -288},	// KConfigGroup::changeGroup$
    {23, 1185, -291},	// KConfigGroup::config
    {23, 1210, 742},	// KConfigGroup::copyTo#
    {23, 1211, 680},	// KConfigGroup::copyTo#$
    {23, 1349, -294},	// KConfigGroup::deleteEntry$
    {23, 1350, -297},	// KConfigGroup::deleteEntry$$
    {23, 1351, 744},	// KConfigGroup::deleteGroup
    {23, 1352, 745},	// KConfigGroup::deleteGroup#
    {23, 1353, 686},	// KConfigGroup::deleteGroup#$
    {23, 1354, -300},	// KConfigGroup::deleteGroup$
    {23, 1355, -304},	// KConfigGroup::deleteGroup$$
    {23, 1358, 740},	// KConfigGroup::deleteGroupImpl#$
    {23, 1436, 736},	// KConfigGroup::entryMap
    {23, 1478, 672},	// KConfigGroup::exists
    {23, 1673, -307},	// KConfigGroup::groupImpl#
    {23, 1674, 683},	// KConfigGroup::groupList
    {23, 1683, -310},	// KConfigGroup::hasDefault$
    {23, 1689, 737},	// KConfigGroup::hasGroupImpl#
    {23, 1694, -313},	// KConfigGroup::hasKey$
    {23, 1826, -316},	// KConfigGroup::isEntryImmutable$
    {23, 1836, 741},	// KConfigGroup::isGroupImmutableImpl#
    {23, 1841, 729},	// KConfigGroup::isImmutable
    {23, 1888, 670},	// KConfigGroup::isValid
    {23, 1942, 684},	// KConfigGroup::keyList
    {23, 2063, 674},	// KConfigGroup::markAsClean
    {23, 2119, 671},	// KConfigGroup::name
    {23, 2200, 669},	// KConfigGroup::operator=#
    {23, 2229, 682},	// KConfigGroup::parent
    {23, 2366, -319},	// KConfigGroup::readEntry$
    {23, 2367, -322},	// KConfigGroup::readEntry$#
    {23, 2368, -325},	// KConfigGroup::readEntry$$
    {23, 2369, -330},	// KConfigGroup::readEntry$?
    {23, 2371, -335},	// KConfigGroup::readEntryUntranslated$
    {23, 2372, -338},	// KConfigGroup::readEntryUntranslated$$
    {23, 2394, -341},	// KConfigGroup::readPathEntry$$
    {23, 2395, -344},	// KConfigGroup::readPathEntry$?
    {23, 2403, -347},	// KConfigGroup::readXdgListEntry$
    {23, 2404, -350},	// KConfigGroup::readXdgListEntry$?
    {23, 2446, 743},	// KConfigGroup::reparent#
    {23, 2447, 681},	// KConfigGroup::reparent#$
    {23, 2472, -353},	// KConfigGroup::revertToDefault$
    {23, 3086, 673},	// KConfigGroup::sync
    {23, 3310, -356},	// KConfigGroup::writeEntry$#
    {23, 3311, -361},	// KConfigGroup::writeEntry$#$
    {23, 3312, -366},	// KConfigGroup::writeEntry$$
    {23, 3313, -371},	// KConfigGroup::writeEntry$$$
    {23, 3314, -376},	// KConfigGroup::writeEntry$?
    {23, 3315, -381},	// KConfigGroup::writeEntry$?$
    {23, 3319, -386},	// KConfigGroup::writePathEntry$$
    {23, 3320, -389},	// KConfigGroup::writePathEntry$$$
    {23, 3321, -392},	// KConfigGroup::writePathEntry$?
    {23, 3322, -395},	// KConfigGroup::writePathEntry$?$
    {23, 3324, -398},	// KConfigGroup::writeXdgListEntry$?
    {23, 3325, -401},	// KConfigGroup::writeXdgListEntry$?$
    {23, 3385, 774},	// KConfigGroup::~KConfigGroup
    {25, 342, 800},	// KConfigSkeletonItem::KConfigSkeletonItem#
    {25, 343, 775},	// KConfigSkeletonItem::KConfigSkeletonItem$$
    {25, 1667, 777},	// KConfigSkeletonItem::group
    {25, 1828, 792},	// KConfigSkeletonItem::isEqual#
    {25, 1841, 798},	// KConfigSkeletonItem::isImmutable
    {25, 1941, 779},	// KConfigSkeletonItem::key
    {25, 1960, 783},	// KConfigSkeletonItem::label
    {25, 2027, 801},	// KConfigSkeletonItem::mGroup
    {25, 2028, 803},	// KConfigSkeletonItem::mKey
    {25, 2029, 805},	// KConfigSkeletonItem::mName
    {25, 2071, 795},	// KConfigSkeletonItem::maxValue
    {25, 2082, 794},	// KConfigSkeletonItem::minValue
    {25, 2119, 781},	// KConfigSkeletonItem::name
    {25, 2294, 793},	// KConfigSkeletonItem::property
    {25, 2352, 788},	// KConfigSkeletonItem::readConfig#
    {25, 2361, 790},	// KConfigSkeletonItem::readDefault#
    {25, 2378, 799},	// KConfigSkeletonItem::readImmutability#
    {25, 2611, 796},	// KConfigSkeletonItem::setDefault
    {25, 2668, 776},	// KConfigSkeletonItem::setGroup$
    {25, 2688, 778},	// KConfigSkeletonItem::setKey$
    {25, 2690, 782},	// KConfigSkeletonItem::setLabel$
    {25, 2714, 802},	// KConfigSkeletonItem::setMGroup$
    {25, 2716, 804},	// KConfigSkeletonItem::setMKey$
    {25, 2718, 806},	// KConfigSkeletonItem::setMName$
    {25, 2800, 780},	// KConfigSkeletonItem::setName$
    {25, 2861, 791},	// KConfigSkeletonItem::setProperty#
    {25, 2914, 784},	// KConfigSkeletonItem::setToolTip$
    {25, 2940, 786},	// KConfigSkeletonItem::setWhatsThis$
    {25, 3083, 797},	// KConfigSkeletonItem::swapDefault
    {25, 3144, 785},	// KConfigSkeletonItem::toolTip
    {25, 3298, 787},	// KConfigSkeletonItem::whatsThis
    {25, 3306, 789},	// KConfigSkeletonItem::writeConfig#
    {25, 3386, 807},	// KConfigSkeletonItem::~KConfigSkeletonItem
    {26, 344, 857},	// KCoreConfigSkeleton::KCoreConfigSkeleton
    {26, 345, 858},	// KCoreConfigSkeleton::KCoreConfigSkeleton$
    {26, 346, 815},	// KCoreConfigSkeleton::KCoreConfigSkeleton$#
    {26, 347, 859},	// KCoreConfigSkeleton::KCoreConfigSkeleton?
    {26, 348, 816},	// KCoreConfigSkeleton::KCoreConfigSkeleton?#
    {26, 896, 860},	// KCoreConfigSkeleton::addItem#
    {26, 897, 822},	// KCoreConfigSkeleton::addItem#$
    {26, 899, 869},	// KCoreConfigSkeleton::addItemBool$$
    {26, 900, 870},	// KCoreConfigSkeleton::addItemBool$$$
    {26, 901, 827},	// KCoreConfigSkeleton::addItemBool$$$$
    {26, 903, 891},	// KCoreConfigSkeleton::addItemDateTime$#
    {26, 904, 892},	// KCoreConfigSkeleton::addItemDateTime$##
    {26, 905, 838},	// KCoreConfigSkeleton::addItemDateTime$##$
    {26, 907, 883},	// KCoreConfigSkeleton::addItemDouble$$
    {26, 908, 884},	// KCoreConfigSkeleton::addItemDouble$$$
    {26, 909, 834},	// KCoreConfigSkeleton::addItemDouble$$$$
    {26, 911, 871},	// KCoreConfigSkeleton::addItemInt$$
    {26, 912, 872},	// KCoreConfigSkeleton::addItemInt$$$
    {26, 913, 828},	// KCoreConfigSkeleton::addItemInt$$$$
    {26, 915, 877},	// KCoreConfigSkeleton::addItemInt64$$
    {26, 916, 878},	// KCoreConfigSkeleton::addItemInt64$$$
    {26, 917, 831},	// KCoreConfigSkeleton::addItemInt64$$$$
    {26, 919, 895},	// KCoreConfigSkeleton::addItemIntList$?
    {26, 920, 896},	// KCoreConfigSkeleton::addItemIntList$??
    {26, 921, 840},	// KCoreConfigSkeleton::addItemIntList$??$
    {26, 923, 875},	// KCoreConfigSkeleton::addItemLongLong$$
    {26, 924, 876},	// KCoreConfigSkeleton::addItemLongLong$$$
    {26, 925, 830},	// KCoreConfigSkeleton::addItemLongLong$$$$
    {26, 927, 863},	// KCoreConfigSkeleton::addItemPassword$$
    {26, 928, 864},	// KCoreConfigSkeleton::addItemPassword$$$
    {26, 929, 824},	// KCoreConfigSkeleton::addItemPassword$$$$
    {26, 931, 865},	// KCoreConfigSkeleton::addItemPath$$
    {26, 932, 866},	// KCoreConfigSkeleton::addItemPath$$$
    {26, 933, 825},	// KCoreConfigSkeleton::addItemPath$$$$
    {26, 935, 887},	// KCoreConfigSkeleton::addItemPoint$#
    {26, 936, 888},	// KCoreConfigSkeleton::addItemPoint$##
    {26, 937, 836},	// KCoreConfigSkeleton::addItemPoint$##$
    {26, 939, 867},	// KCoreConfigSkeleton::addItemProperty$#
    {26, 940, 868},	// KCoreConfigSkeleton::addItemProperty$##
    {26, 941, 826},	// KCoreConfigSkeleton::addItemProperty$##$
    {26, 943, 885},	// KCoreConfigSkeleton::addItemRect$#
    {26, 944, 886},	// KCoreConfigSkeleton::addItemRect$##
    {26, 945, 835},	// KCoreConfigSkeleton::addItemRect$##$
    {26, 947, 889},	// KCoreConfigSkeleton::addItemSize$#
    {26, 948, 890},	// KCoreConfigSkeleton::addItemSize$##
    {26, 949, 837},	// KCoreConfigSkeleton::addItemSize$##$
    {26, 951, 861},	// KCoreConfigSkeleton::addItemString$$
    {26, 952, 862},	// KCoreConfigSkeleton::addItemString$$$
    {26, 953, 823},	// KCoreConfigSkeleton::addItemString$$$$
    {26, 955, 893},	// KCoreConfigSkeleton::addItemStringList$?
    {26, 956, 894},	// KCoreConfigSkeleton::addItemStringList$??
    {26, 957, 839},	// KCoreConfigSkeleton::addItemStringList$??$
    {26, 959, 873},	// KCoreConfigSkeleton::addItemUInt$$
    {26, 960, 874},	// KCoreConfigSkeleton::addItemUInt$$$
    {26, 961, 829},	// KCoreConfigSkeleton::addItemUInt$$$$
    {26, 963, 881},	// KCoreConfigSkeleton::addItemUInt64$$
    {26, 964, 882},	// KCoreConfigSkeleton::addItemUInt64$$$
    {26, 965, 833},	// KCoreConfigSkeleton::addItemUInt64$$$$
    {26, 967, 879},	// KCoreConfigSkeleton::addItemULongLong$$
    {26, 968, 880},	// KCoreConfigSkeleton::addItemULongLong$$$
    {26, 969, 832},	// KCoreConfigSkeleton::addItemULongLong$$$$
    {26, 1185, -141},	// KCoreConfigSkeleton::config
    {26, 1187, 850},	// KCoreConfigSkeleton::configChanged
    {26, 1250, 821},	// KCoreConfigSkeleton::currentGroup
    {26, 1567, -144},	// KCoreConfigSkeleton::findItem$
    {26, 1842, -147},	// KCoreConfigSkeleton::isImmutable$
    {26, 1899, 844},	// KCoreConfigSkeleton::items
    {26, 2077, 808},	// KCoreConfigSkeleton::metaObject
    {26, 2317, 814},	// KCoreConfigSkeleton::qt_metacall$$?
    {26, 2319, 809},	// KCoreConfigSkeleton::qt_metacast$
    {26, 2351, 818},	// KCoreConfigSkeleton::readConfig
    {26, 2577, 820},	// KCoreConfigSkeleton::setCurrentGroup$
    {26, 2616, 817},	// KCoreConfigSkeleton::setDefaults
    {26, 2877, 843},	// KCoreConfigSkeleton::setSharedConfig?
    {26, 3047, 897},	// KCoreConfigSkeleton::staticMetaObject
    {26, 3149, 855},	// KCoreConfigSkeleton::tr$
    {26, 3150, 810},	// KCoreConfigSkeleton::tr$$
    {26, 3151, 812},	// KCoreConfigSkeleton::tr$$$
    {26, 3156, 856},	// KCoreConfigSkeleton::trUtf8$
    {26, 3157, 811},	// KCoreConfigSkeleton::trUtf8$$
    {26, 3158, 813},	// KCoreConfigSkeleton::trUtf8$$$
    {26, 3224, 849},	// KCoreConfigSkeleton::useDefaults$
    {26, 3232, 853},	// KCoreConfigSkeleton::usrReadConfig
    {26, 3233, 852},	// KCoreConfigSkeleton::usrSetDefaults
    {26, 3235, 851},	// KCoreConfigSkeleton::usrUseDefaults$
    {26, 3236, 854},	// KCoreConfigSkeleton::usrWriteConfig
    {26, 3305, 819},	// KCoreConfigSkeleton::writeConfig
    {26, 3387, 898},	// KCoreConfigSkeleton::~KCoreConfigSkeleton
    {27, 194, 904},	// KCoreConfigSkeleton::ItemBool::ItemBool#
    {27, 195, 905},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$
    {27, 196, 899},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$$
    {27, 1828, 902},	// KCoreConfigSkeleton::ItemBool::isEqual#
    {27, 2294, 903},	// KCoreConfigSkeleton::ItemBool::property
    {27, 2352, 900},	// KCoreConfigSkeleton::ItemBool::readConfig#
    {27, 2861, 901},	// KCoreConfigSkeleton::ItemBool::setProperty#
    {27, 3351, 906},	// KCoreConfigSkeleton::ItemBool::~ItemBool
    {28, 198, 912},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime#
    {28, 199, 913},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$#
    {28, 200, 907},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$##
    {28, 1828, 910},	// KCoreConfigSkeleton::ItemDateTime::isEqual#
    {28, 2294, 911},	// KCoreConfigSkeleton::ItemDateTime::property
    {28, 2352, 908},	// KCoreConfigSkeleton::ItemDateTime::readConfig#
    {28, 2861, 909},	// KCoreConfigSkeleton::ItemDateTime::setProperty#
    {28, 3352, 914},	// KCoreConfigSkeleton::ItemDateTime::~ItemDateTime
    {29, 202, 924},	// KCoreConfigSkeleton::ItemDouble::ItemDouble#
    {29, 203, 925},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$
    {29, 204, 915},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$$
    {29, 1828, 918},	// KCoreConfigSkeleton::ItemDouble::isEqual#
    {29, 2071, 921},	// KCoreConfigSkeleton::ItemDouble::maxValue
    {29, 2082, 920},	// KCoreConfigSkeleton::ItemDouble::minValue
    {29, 2294, 919},	// KCoreConfigSkeleton::ItemDouble::property
    {29, 2352, 916},	// KCoreConfigSkeleton::ItemDouble::readConfig#
    {29, 2780, 923},	// KCoreConfigSkeleton::ItemDouble::setMaxValue$
    {29, 2788, 922},	// KCoreConfigSkeleton::ItemDouble::setMinValue$
    {29, 2861, 917},	// KCoreConfigSkeleton::ItemDouble::setProperty#
    {29, 3353, 926},	// KCoreConfigSkeleton::ItemDouble::~ItemDouble
    {30, 206, 933},	// KCoreConfigSkeleton::ItemEnum::ItemEnum#
    {30, 207, -470},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?
    {30, 208, -473},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?$
    {30, 1157, 929},	// KCoreConfigSkeleton::ItemEnum::choices
    {30, 1158, 930},	// KCoreConfigSkeleton::ItemEnum::choices2
    {30, 2352, 931},	// KCoreConfigSkeleton::ItemEnum::readConfig#
    {30, 3306, 932},	// KCoreConfigSkeleton::ItemEnum::writeConfig#
    {30, 3354, 936},	// KCoreConfigSkeleton::ItemEnum::~ItemEnum
    {31, 56, 937},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice
    {31, 57, 938},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice#
    {31, 1960, 941},	// KCoreConfigSkeleton::ItemEnum::Choice::label
    {31, 2119, 939},	// KCoreConfigSkeleton::ItemEnum::Choice::name
    {31, 2690, 942},	// KCoreConfigSkeleton::ItemEnum::Choice::setLabel$
    {31, 2800, 940},	// KCoreConfigSkeleton::ItemEnum::Choice::setName$
    {31, 2940, 944},	// KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis$
    {31, 3298, 943},	// KCoreConfigSkeleton::ItemEnum::Choice::whatsThis
    {31, 3348, 945},	// KCoreConfigSkeleton::ItemEnum::Choice::~Choice
    {32, 58, 946},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2
    {32, 59, 947},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2#
    {32, 1960, 950},	// KCoreConfigSkeleton::ItemEnum::Choice2::label
    {32, 2119, 948},	// KCoreConfigSkeleton::ItemEnum::Choice2::name
    {32, 2690, 951},	// KCoreConfigSkeleton::ItemEnum::Choice2::setLabel$
    {32, 2800, 949},	// KCoreConfigSkeleton::ItemEnum::Choice2::setName$
    {32, 2914, 953},	// KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip$
    {32, 2940, 955},	// KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis$
    {32, 3144, 952},	// KCoreConfigSkeleton::ItemEnum::Choice2::toolTip
    {32, 3298, 954},	// KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis
    {32, 3349, 956},	// KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2
    {33, 210, 966},	// KCoreConfigSkeleton::ItemInt::ItemInt#
    {33, 211, 967},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$
    {33, 212, 957},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$$
    {33, 1828, 960},	// KCoreConfigSkeleton::ItemInt::isEqual#
    {33, 2071, 963},	// KCoreConfigSkeleton::ItemInt::maxValue
    {33, 2082, 962},	// KCoreConfigSkeleton::ItemInt::minValue
    {33, 2294, 961},	// KCoreConfigSkeleton::ItemInt::property
    {33, 2352, 958},	// KCoreConfigSkeleton::ItemInt::readConfig#
    {33, 2780, 965},	// KCoreConfigSkeleton::ItemInt::setMaxValue$
    {33, 2788, 964},	// KCoreConfigSkeleton::ItemInt::setMinValue$
    {33, 2861, 959},	// KCoreConfigSkeleton::ItemInt::setProperty#
    {33, 3355, 968},	// KCoreConfigSkeleton::ItemInt::~ItemInt
    {34, 214, 974},	// KCoreConfigSkeleton::ItemIntList::ItemIntList#
    {34, 215, 975},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$?
    {34, 216, 969},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$??
    {34, 1828, 972},	// KCoreConfigSkeleton::ItemIntList::isEqual#
    {34, 2294, 973},	// KCoreConfigSkeleton::ItemIntList::property
    {34, 2352, 970},	// KCoreConfigSkeleton::ItemIntList::readConfig#
    {34, 2861, 971},	// KCoreConfigSkeleton::ItemIntList::setProperty#
    {34, 3356, 976},	// KCoreConfigSkeleton::ItemIntList::~ItemIntList
    {35, 218, 986},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong#
    {35, 219, 987},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$
    {35, 220, 977},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$$
    {35, 1828, 980},	// KCoreConfigSkeleton::ItemLongLong::isEqual#
    {35, 2071, 983},	// KCoreConfigSkeleton::ItemLongLong::maxValue
    {35, 2082, 982},	// KCoreConfigSkeleton::ItemLongLong::minValue
    {35, 2294, 981},	// KCoreConfigSkeleton::ItemLongLong::property
    {35, 2352, 978},	// KCoreConfigSkeleton::ItemLongLong::readConfig#
    {35, 2780, 985},	// KCoreConfigSkeleton::ItemLongLong::setMaxValue$
    {35, 2788, 984},	// KCoreConfigSkeleton::ItemLongLong::setMinValue$
    {35, 2861, 979},	// KCoreConfigSkeleton::ItemLongLong::setProperty#
    {35, 3357, 988},	// KCoreConfigSkeleton::ItemLongLong::~ItemLongLong
    {36, 222, 990},	// KCoreConfigSkeleton::ItemPassword::ItemPassword#
    {36, 223, 991},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$
    {36, 224, 989},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$$
    {36, 3358, 992},	// KCoreConfigSkeleton::ItemPassword::~ItemPassword
    {37, 226, 994},	// KCoreConfigSkeleton::ItemPath::ItemPath#
    {37, 227, 995},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$
    {37, 228, 993},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$$
    {37, 3359, 996},	// KCoreConfigSkeleton::ItemPath::~ItemPath
    {38, 230, 1000},	// KCoreConfigSkeleton::ItemPathList::ItemPathList#
    {38, 231, 1001},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$?
    {38, 232, 997},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$??
    {38, 2352, 998},	// KCoreConfigSkeleton::ItemPathList::readConfig#
    {38, 3306, 999},	// KCoreConfigSkeleton::ItemPathList::writeConfig#
    {38, 3360, 1002},	// KCoreConfigSkeleton::ItemPathList::~ItemPathList
    {39, 234, 1008},	// KCoreConfigSkeleton::ItemPoint::ItemPoint#
    {39, 235, 1009},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$#
    {39, 236, 1003},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$##
    {39, 1828, 1006},	// KCoreConfigSkeleton::ItemPoint::isEqual#
    {39, 2294, 1007},	// KCoreConfigSkeleton::ItemPoint::property
    {39, 2352, 1004},	// KCoreConfigSkeleton::ItemPoint::readConfig#
    {39, 2861, 1005},	// KCoreConfigSkeleton::ItemPoint::setProperty#
    {39, 3361, 1010},	// KCoreConfigSkeleton::ItemPoint::~ItemPoint
    {40, 238, 1016},	// KCoreConfigSkeleton::ItemProperty::ItemProperty#
    {40, 239, 1017},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$#
    {40, 240, 1011},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$##
    {40, 1828, 1014},	// KCoreConfigSkeleton::ItemProperty::isEqual#
    {40, 2294, 1015},	// KCoreConfigSkeleton::ItemProperty::property
    {40, 2352, 1012},	// KCoreConfigSkeleton::ItemProperty::readConfig#
    {40, 2861, 1013},	// KCoreConfigSkeleton::ItemProperty::setProperty#
    {40, 3362, 1018},	// KCoreConfigSkeleton::ItemProperty::~ItemProperty
    {41, 242, 1024},	// KCoreConfigSkeleton::ItemRect::ItemRect#
    {41, 243, 1025},	// KCoreConfigSkeleton::ItemRect::ItemRect$$#
    {41, 244, 1019},	// KCoreConfigSkeleton::ItemRect::ItemRect$$##
    {41, 1828, 1022},	// KCoreConfigSkeleton::ItemRect::isEqual#
    {41, 2294, 1023},	// KCoreConfigSkeleton::ItemRect::property
    {41, 2352, 1020},	// KCoreConfigSkeleton::ItemRect::readConfig#
    {41, 2861, 1021},	// KCoreConfigSkeleton::ItemRect::setProperty#
    {41, 3363, 1026},	// KCoreConfigSkeleton::ItemRect::~ItemRect
    {42, 246, 1032},	// KCoreConfigSkeleton::ItemSize::ItemSize#
    {42, 247, 1033},	// KCoreConfigSkeleton::ItemSize::ItemSize$$#
    {42, 248, 1027},	// KCoreConfigSkeleton::ItemSize::ItemSize$$##
    {42, 1828, 1030},	// KCoreConfigSkeleton::ItemSize::isEqual#
    {42, 2294, 1031},	// KCoreConfigSkeleton::ItemSize::property
    {42, 2352, 1028},	// KCoreConfigSkeleton::ItemSize::readConfig#
    {42, 2861, 1029},	// KCoreConfigSkeleton::ItemSize::setProperty#
    {42, 3364, 1034},	// KCoreConfigSkeleton::ItemSize::~ItemSize
    {43, 250, 1041},	// KCoreConfigSkeleton::ItemString::ItemString#
    {43, 251, 1042},	// KCoreConfigSkeleton::ItemString::ItemString$$$
    {43, 252, 1043},	// KCoreConfigSkeleton::ItemString::ItemString$$$$
    {43, 253, 1035},	// KCoreConfigSkeleton::ItemString::ItemString$$$$$
    {43, 635, 1044},	// KCoreConfigSkeleton::ItemString::Normal
    {43, 657, 1045},	// KCoreConfigSkeleton::ItemString::Password
    {43, 658, 1046},	// KCoreConfigSkeleton::ItemString::Path
    {43, 1828, 1039},	// KCoreConfigSkeleton::ItemString::isEqual#
    {43, 2294, 1040},	// KCoreConfigSkeleton::ItemString::property
    {43, 2352, 1037},	// KCoreConfigSkeleton::ItemString::readConfig#
    {43, 2861, 1038},	// KCoreConfigSkeleton::ItemString::setProperty#
    {43, 3306, 1036},	// KCoreConfigSkeleton::ItemString::writeConfig#
    {43, 3365, 1047},	// KCoreConfigSkeleton::ItemString::~ItemString
    {44, 255, 1053},	// KCoreConfigSkeleton::ItemStringList::ItemStringList#
    {44, 256, 1054},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$?
    {44, 257, 1048},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$??
    {44, 1828, 1051},	// KCoreConfigSkeleton::ItemStringList::isEqual#
    {44, 2294, 1052},	// KCoreConfigSkeleton::ItemStringList::property
    {44, 2352, 1049},	// KCoreConfigSkeleton::ItemStringList::readConfig#
    {44, 2861, 1050},	// KCoreConfigSkeleton::ItemStringList::setProperty#
    {44, 3366, 1055},	// KCoreConfigSkeleton::ItemStringList::~ItemStringList
    {45, 259, 1065},	// KCoreConfigSkeleton::ItemUInt::ItemUInt#
    {45, 260, 1066},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$
    {45, 261, 1056},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$$
    {45, 1828, 1059},	// KCoreConfigSkeleton::ItemUInt::isEqual#
    {45, 2071, 1062},	// KCoreConfigSkeleton::ItemUInt::maxValue
    {45, 2082, 1061},	// KCoreConfigSkeleton::ItemUInt::minValue
    {45, 2294, 1060},	// KCoreConfigSkeleton::ItemUInt::property
    {45, 2352, 1057},	// KCoreConfigSkeleton::ItemUInt::readConfig#
    {45, 2780, 1064},	// KCoreConfigSkeleton::ItemUInt::setMaxValue$
    {45, 2788, 1063},	// KCoreConfigSkeleton::ItemUInt::setMinValue$
    {45, 2861, 1058},	// KCoreConfigSkeleton::ItemUInt::setProperty#
    {45, 3367, 1067},	// KCoreConfigSkeleton::ItemUInt::~ItemUInt
    {46, 263, 1077},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong#
    {46, 264, 1078},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$
    {46, 265, 1068},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$$
    {46, 1828, 1071},	// KCoreConfigSkeleton::ItemULongLong::isEqual#
    {46, 2071, 1074},	// KCoreConfigSkeleton::ItemULongLong::maxValue
    {46, 2082, 1073},	// KCoreConfigSkeleton::ItemULongLong::minValue
    {46, 2294, 1072},	// KCoreConfigSkeleton::ItemULongLong::property
    {46, 2352, 1069},	// KCoreConfigSkeleton::ItemULongLong::readConfig#
    {46, 2780, 1076},	// KCoreConfigSkeleton::ItemULongLong::setMaxValue$
    {46, 2788, 1075},	// KCoreConfigSkeleton::ItemULongLong::setMinValue$
    {46, 2861, 1070},	// KCoreConfigSkeleton::ItemULongLong::setProperty#
    {46, 3368, 1079},	// KCoreConfigSkeleton::ItemULongLong::~ItemULongLong
    {47, 267, 1086},	// KCoreConfigSkeleton::ItemUrl::ItemUrl#
    {47, 268, 1087},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$#
    {47, 269, 1080},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$##
    {47, 1828, 1084},	// KCoreConfigSkeleton::ItemUrl::isEqual#
    {47, 2294, 1085},	// KCoreConfigSkeleton::ItemUrl::property
    {47, 2352, 1082},	// KCoreConfigSkeleton::ItemUrl::readConfig#
    {47, 2861, 1083},	// KCoreConfigSkeleton::ItemUrl::setProperty#
    {47, 3306, 1081},	// KCoreConfigSkeleton::ItemUrl::writeConfig#
    {47, 3369, 1088},	// KCoreConfigSkeleton::ItemUrl::~ItemUrl
    {48, 271, 1095},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList#
    {48, 272, 1096},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$?
    {48, 273, 1089},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$??
    {48, 1828, 1093},	// KCoreConfigSkeleton::ItemUrlList::isEqual#
    {48, 2294, 1094},	// KCoreConfigSkeleton::ItemUrlList::property
    {48, 2352, 1090},	// KCoreConfigSkeleton::ItemUrlList::readConfig#
    {48, 2861, 1092},	// KCoreConfigSkeleton::ItemUrlList::setProperty#
    {48, 3306, 1091},	// KCoreConfigSkeleton::ItemUrlList::writeConfig#
    {48, 3370, 1097},	// KCoreConfigSkeleton::ItemUrlList::~ItemUrlList
    {49, 11, 1128},	// KCurrencyCode::ActiveCurrency
    {49, 350, -231},	// KCurrencyCode::KCurrencyCode#
    {49, 351, 1099},	// KCurrencyCode::KCurrencyCode#$
    {49, 352, 1123},	// KCurrencyCode::KCurrencyCode$
    {49, 353, 1098},	// KCurrencyCode::KCurrencyCode$$
    {49, 643, 1130},	// KCurrencyCode::ObsoleteCurrency
    {49, 744, 1129},	// KCurrencyCode::SuspendedCurrency
    {49, 1022, 1126},	// KCurrencyCode::allCurrencyCodesList
    {49, 1023, 1121},	// KCurrencyCode::allCurrencyCodesList$
    {49, 1216, 1118},	// KCurrencyCode::countriesUsingCurrency
    {49, 1244, 1127},	// KCurrencyCode::currencyCodeToName$
    {49, 1245, 1122},	// KCurrencyCode::currencyCodeToName$$
    {49, 1275, 1107},	// KCurrencyCode::dateIntroduced
    {49, 1277, 1108},	// KCurrencyCode::dateSuspended
    {49, 1282, 1109},	// KCurrencyCode::dateWithdrawn
    {49, 1323, 1117},	// KCurrencyCode::decimalPlaces
    {49, 1346, 1111},	// KCurrencyCode::defaultSymbol
    {49, 1715, 1113},	// KCurrencyCode::hasSubunits
    {49, 1716, 1114},	// KCurrencyCode::hasSubunitsInCirculation
    {49, 1888, 1119},	// KCurrencyCode::isValid
    {49, 1890, 1125},	// KCurrencyCode::isValid$
    {49, 1891, 1120},	// KCurrencyCode::isValid$$
    {49, 1896, 1102},	// KCurrencyCode::isoCurrencyCode
    {49, 1897, 1103},	// KCurrencyCode::isoCurrencyCodeNumeric
    {49, 1898, 1105},	// KCurrencyCode::isoName
    {49, 2119, 1104},	// KCurrencyCode::name
    {49, 2200, 1101},	// KCurrencyCode::operator=#
    {49, 3050, 1106},	// KCurrencyCode::status
    {49, 3074, 1115},	// KCurrencyCode::subunitSymbol
    {49, 3075, 1116},	// KCurrencyCode::subunitsPerUnit
    {49, 3085, 1110},	// KCurrencyCode::symbolList
    {49, 3195, 1112},	// KCurrencyCode::unambiguousSymbol
    {49, 3388, 1131},	// KCurrencyCode::~KCurrencyCode
    {50, 849, 1136},	// KDE::access$$
    {50, 1156, 1142},	// KDE::chmod$$
    {50, 1587, 1140},	// KDE::fopen$$
    {50, 2086, 1133},	// KDE::mkdir$$
    {50, 2164, 1135},	// KDE::open$$
    {50, 2165, 1134},	// KDE::open$$$
    {50, 2444, 1143},	// KDE::rename$$
    {50, 3251, 1137},	// KDE::version
    {50, 3252, 1138},	// KDE::versionMajor
    {50, 3253, 1139},	// KDE::versionMinor
    {50, 3254, 1132},	// KDE::versionRelease
    {50, 3255, 1141},	// KDE::versionString
    {51, 354, 1160},	// KDEDModule::KDEDModule
    {51, 355, 1151},	// KDEDModule::KDEDModule#
    {51, 2077, 1144},	// KDEDModule::metaObject
    {51, 2091, 1154},	// KDEDModule::moduleDeleted#
    {51, 2092, 1153},	// KDEDModule::moduleName
    {51, 2094, 1157},	// KDEDModule::moduleRegistered#
    {51, 2317, 1150},	// KDEDModule::qt_metacall$$?
    {51, 2319, 1145},	// KDEDModule::qt_metacast$
    {51, 2790, 1152},	// KDEDModule::setModuleName$
    {51, 3047, 1161},	// KDEDModule::staticMetaObject
    {51, 3149, 1158},	// KDEDModule::tr$
    {51, 3150, 1146},	// KDEDModule::tr$$
    {51, 3151, 1148},	// KDEDModule::tr$$$
    {51, 3156, 1159},	// KDEDModule::trUtf8$
    {51, 3157, 1147},	// KDEDModule::trUtf8$$
    {51, 3158, 1149},	// KDEDModule::trUtf8$$$
    {51, 3300, 1155},	// KDEDModule::windowRegistered$
    {51, 3302, 1156},	// KDEDModule::windowUnregistered$
    {51, 3389, 1162},	// KDEDModule::~KDEDModule
    {52, 356, 1163},	// KDEPluginVerificationData::KDEPluginVerificationData
    {52, 357, 1164},	// KDEPluginVerificationData::KDEPluginVerificationData#
    {52, 358, 1167},	// KDEPluginVerificationData::KDEVersion
    {52, 359, 1169},	// KDEPluginVerificationData::KDEVersionString
    {52, 668, 1171},	// KDEPluginVerificationData::PluginVerificationDataVersion
    {52, 1264, 1165},	// KDEPluginVerificationData::dataVersion
    {52, 2587, 1166},	// KDEPluginVerificationData::setDataVersion$
    {52, 2684, 1168},	// KDEPluginVerificationData::setKDEVersion$
    {52, 2686, 1170},	// KDEPluginVerificationData::setKDEVersionString$
    {52, 3390, 1172},	// KDEPluginVerificationData::~KDEPluginVerificationData
    {53, 14, 1263},	// KDateTime::After
    {53, 25, 1262},	// KDateTime::AtEnd
    {53, 26, 1260},	// KDateTime::AtStart
    {53, 41, 1259},	// KDateTime::Before
    {53, 60, 1252},	// KDateTime::ClockTime
    {53, 116, 1267},	// KDateTime::EndsAt
    {53, 117, 1264},	// KDateTime::Equal
    {53, 169, 1253},	// KDateTime::ISODate
    {53, 179, 1261},	// KDateTime::Inside
    {53, 180, 1247},	// KDateTime::Invalid
    {53, 360, 1173},	// KDateTime::KDateTime
    {53, 361, -250},	// KDateTime::KDateTime#
    {53, 362, -254},	// KDateTime::KDateTime##
    {53, 363, 1175},	// KDateTime::KDateTime###
    {53, 588, 1257},	// KDateTime::LocalDate
    {53, 589, 1251},	// KDateTime::LocalZone
    {53, 644, 1249},	// KDateTime::OffsetFromUTC
    {53, 655, 1265},	// KDateTime::Outside
    {53, 681, 1256},	// KDateTime::QtTextDate
    {53, 683, 1258},	// KDateTime::RFC3339Date
    {53, 684, 1254},	// KDateTime::RFCDate
    {53, 685, 1255},	// KDateTime::RFCDateDay
    {53, 739, 1266},	// KDateTime::StartsAt
    {53, 763, 1250},	// KDateTime::TimeZone
    {53, 773, 1248},	// KDateTime::UTC
    {53, 890, 1213},	// KDateTime::addDays$
    {53, 977, 1211},	// KDateTime::addMSecs$
    {53, 980, 1214},	// KDateTime::addMonths$
    {53, 995, 1212},	// KDateTime::addSecs$
    {53, 1017, 1215},	// KDateTime::addYears$
    {53, 1179, 1230},	// KDateTime::compare#
    {53, 1249, 1221},	// KDateTime::currentDateTime#
    {53, 1251, 1222},	// KDateTime::currentLocalDate
    {53, 1252, 1219},	// KDateTime::currentLocalDateTime
    {53, 1253, 1223},	// KDateTime::currentLocalTime
    {53, 1256, 1220},	// KDateTime::currentUtcDateTime
    {53, 1270, 1183},	// KDateTime::date
    {53, 1278, 1185},	// KDateTime::dateTime
    {53, 1321, 1218},	// KDateTime::daysTo#
    {53, 1373, 1237},	// KDateTime::detach
    {53, 1644, 1243},	// KDateTime::fromString$
    {53, 1645, -258},	// KDateTime::fromString$$
    {53, 1646, 1246},	// KDateTime::fromString$$#
    {53, 1647, 1227},	// KDateTime::fromString$$#$
    {53, 1648, 1226},	// KDateTime::fromString$$$
    {53, 1806, 1190},	// KDateTime::isClockTime
    {53, 1811, 1182},	// KDateTime::isDateOnly
    {53, 1852, 1189},	// KDateTime::isLocalZone
    {53, 1858, 1180},	// KDateTime::isNull
    {53, 1859, 1192},	// KDateTime::isOffsetFromUtc
    {53, 1870, 1194},	// KDateTime::isSecondOccurrence
    {53, 1885, 1191},	// KDateTime::isUtc
    {53, 1888, 1181},	// KDateTime::isValid
    {53, 2176, 1232},	// KDateTime::operator!=#
    {53, 2186, 1233},	// KDateTime::operator<#
    {53, 2195, 1234},	// KDateTime::operator<=#
    {53, 2200, 1179},	// KDateTime::operator=#
    {53, 2203, 1231},	// KDateTime::operator==#
    {53, 2209, 1235},	// KDateTime::operator>#
    {53, 2214, 1236},	// KDateTime::operator>=#
    {53, 2226, 1229},	// KDateTime::outOfRange
    {53, 2407, 1239},	// KDateTime::realCurrentLocalDateTime
    {53, 2488, 1216},	// KDateTime::secsTo#
    {53, 2490, 1217},	// KDateTime::secsTo_long#
    {53, 2589, 1206},	// KDateTime::setDate#
    {53, 2602, 1205},	// KDateTime::setDateOnly$
    {53, 2604, 1208},	// KDateTime::setDateTime#
    {53, 2666, 1228},	// KDateTime::setFromStringDefault#
    {53, 2871, 1210},	// KDateTime::setSecondOccurrence$
    {53, 2887, 1238},	// KDateTime::setSimulatedSystemTime#
    {53, 2906, 1207},	// KDateTime::setTime#
    {53, 2910, 1209},	// KDateTime::setTimeSpec#
    {53, 2912, 1204},	// KDateTime::setTime_t$
    {53, 3112, 1184},	// KDateTime::time
    {53, 3114, 1187},	// KDateTime::timeSpec
    {53, 3116, 1188},	// KDateTime::timeType
    {53, 3117, 1186},	// KDateTime::timeZone
    {53, 3120, 1199},	// KDateTime::toClockTime
    {53, 3125, 1198},	// KDateTime::toLocalZone
    {53, 3127, 1196},	// KDateTime::toOffsetFromUtc
    {53, 3128, 1197},	// KDateTime::toOffsetFromUtc$
    {53, 3129, 1242},	// KDateTime::toString
    {53, 3132, -261},	// KDateTime::toString$
    {53, 3134, -264},	// KDateTime::toTimeSpec#
    {53, 3135, 1203},	// KDateTime::toTime_t
    {53, 3137, 1195},	// KDateTime::toUtc
    {53, 3140, 1200},	// KDateTime::toZone#
    {53, 3238, 1193},	// KDateTime::utcOffset
    {53, 3391, 1268},	// KDateTime::~KDateTime
    {54, 60, 1288},	// KDateTime::Spec::ClockTime
    {54, 589, 1290},	// KDateTime::Spec::LocalZone
    {54, 645, 1289},	// KDateTime::Spec::OffsetFromUTC$
    {54, 728, 1269},	// KDateTime::Spec::Spec
    {54, 729, -407},	// KDateTime::Spec::Spec#
    {54, 730, 1291},	// KDateTime::Spec::Spec$
    {54, 731, 1271},	// KDateTime::Spec::Spec$$
    {54, 773, 1287},	// KDateTime::Spec::UTC
    {54, 1444, 1286},	// KDateTime::Spec::equivalentTo#
    {54, 1806, 1278},	// KDateTime::Spec::isClockTime
    {54, 1852, 1277},	// KDateTime::Spec::isLocalZone
    {54, 1859, 1280},	// KDateTime::Spec::isOffsetFromUtc
    {54, 1885, 1279},	// KDateTime::Spec::isUtc
    {54, 1888, 1274},	// KDateTime::Spec::isValid
    {54, 2176, 1285},	// KDateTime::Spec::operator!=#
    {54, 2200, 1273},	// KDateTime::Spec::operator=#
    {54, 2203, 1284},	// KDateTime::Spec::operator==#
    {54, 2922, 1283},	// KDateTime::Spec::setType#
    {54, 2923, 1292},	// KDateTime::Spec::setType$
    {54, 2924, 1282},	// KDateTime::Spec::setType$$
    {54, 3117, 1275},	// KDateTime::Spec::timeZone
    {54, 3191, 1276},	// KDateTime::Spec::type
    {54, 3238, 1281},	// KDateTime::Spec::utcOffset
    {54, 3451, 1293},	// KDateTime::Spec::~Spec
    {55, 365, 1299},	// KDebug::KDebug#
    {55, 366, 1300},	// KDebug::KDebug$
    {55, 367, 1301},	// KDebug::KDebug$$
    {55, 368, 1302},	// KDebug::KDebug$$$
    {55, 369, 1294},	// KDebug::KDebug$$$$
    {55, 1703, 1295},	// KDebug::hasNullOutput$$$$
    {55, 1704, 1303},	// KDebug::hasNullOutputQtDebugMsg
    {55, 1705, -112},	// KDebug::hasNullOutputQtDebugMsg$
    {55, 1706, 1297},	// KDebug::hasNullOutputQtDebugMsg$$
    {55, 2415, 1305},	// KDebug::registerArea#
    {55, 2416, 1298},	// KDebug::registerArea#$
    {55, 3392, 1306},	// KDebug::~KDebug
    {56, 370, 1307},	// KDebugTag::KDebugTag
    {56, 371, 1308},	// KDebugTag::KDebugTag#
    {56, 3393, 1309},	// KDebugTag::~KDebugTag
    {57, 373, 1311},	// KDesktopFile::KDesktopFile$
    {57, 374, 1310},	// KDesktopFile::KDesktopFile$$
    {57, 853, -267},	// KDesktopFile::actionGroup$
    {57, 1212, 1336},	// KDesktopFile::copyTo$
    {57, 1372, 1315},	// KDesktopFile::desktopGroup
    {57, 1515, 1337},	// KDesktopFile::fileName
    {57, 1678, 1327},	// KDesktopFile::hasActionGroup$
    {57, 1679, 1329},	// KDesktopFile::hasApplicationType
    {57, 1684, 1331},	// KDesktopFile::hasDeviceType
    {57, 1695, 1328},	// KDesktopFile::hasLinkType
    {57, 1701, 1330},	// KDesktopFile::hasMimeTypeType
    {57, 1794, 1313},	// KDesktopFile::isAuthorizedDesktopFile$
    {57, 1816, 1312},	// KDesktopFile::isDesktopFile$
    {57, 2014, 1314},	// KDesktopFile::locateLocal$
    {57, 2137, 1335},	// KDesktopFile::noDisplay
    {57, 2349, 1324},	// KDesktopFile::readActions
    {57, 2350, 1319},	// KDesktopFile::readComment
    {57, 2363, 1322},	// KDesktopFile::readDevice
    {57, 2364, 1333},	// KDesktopFile::readDocPath
    {57, 2374, 1320},	// KDesktopFile::readGenericName
    {57, 2376, 1317},	// KDesktopFile::readIcon
    {57, 2388, 1318},	// KDesktopFile::readName
    {57, 2392, 1321},	// KDesktopFile::readPath
    {57, 2400, 1316},	// KDesktopFile::readType
    {57, 2401, 1323},	// KDesktopFile::readUrl
    {57, 2463, 1338},	// KDesktopFile::resource
    {57, 2971, 1334},	// KDesktopFile::sortOrder
    {57, 3190, 1332},	// KDesktopFile::tryExec
    {57, 3394, 1339},	// KDesktopFile::~KDesktopFile
    {58, 22, 1372},	// KEncodingDetector::Arabic
    {58, 32, 1364},	// KEncodingDetector::AutoDetectedEncoding
    {58, 34, 1365},	// KEncodingDetector::BOM
    {58, 39, 1373},	// KEncodingDetector::Baltic
    {58, 49, 1374},	// KEncodingDetector::CentralEuropean
    {58, 54, 1375},	// KEncodingDetector::ChineseSimplified
    {58, 55, 1376},	// KEncodingDetector::ChineseTraditional
    {58, 75, 1377},	// KEncodingDetector::Cyrillic
    {58, 98, 1363},	// KEncodingDetector::DefaultEncoding
    {58, 112, 1368},	// KEncodingDetector::EncodingFromHTTPHeader
    {58, 113, 1367},	// KEncodingDetector::EncodingFromMetaTag
    {58, 114, 1366},	// KEncodingDetector::EncodingFromXMLHeader
    {58, 152, 1378},	// KEncodingDetector::Greek
    {58, 156, 1379},	// KEncodingDetector::Hebrew
    {58, 276, 1380},	// KEncodingDetector::Japanese
    {58, 375, 1340},	// KEncodingDetector::KEncodingDetector
    {58, 376, 1361},	// KEncodingDetector::KEncodingDetector#
    {58, 377, 1362},	// KEncodingDetector::KEncodingDetector#$
    {58, 378, 1341},	// KEncodingDetector::KEncodingDetector#$$
    {58, 565, 1381},	// KEncodingDetector::Korean
    {58, 634, 1370},	// KEncodingDetector::None
    {58, 638, 1382},	// KEncodingDetector::NorthernSaami
    {58, 707, 1371},	// KEncodingDetector::SemiautomaticDetection
    {58, 727, 1383},	// KEncodingDetector::SouthEasternEurope
    {58, 753, 1384},	// KEncodingDetector::Thai
    {58, 771, 1385},	// KEncodingDetector::Turkish
    {58, 778, 1386},	// KEncodingDetector::Unicode
    {58, 804, 1369},	// KEncodingDetector::UserChosenEncoding
    {58, 810, 1387},	// KEncodingDetector::WesternEuropean
    {58, 1045, 1359},	// KEncodingDetector::analyze$$
    {58, 1068, 1346},	// KEncodingDetector::autoDetectLanguage
    {58, 1326, 1349},	// KEncodingDetector::decode#
    {58, 1327, 1348},	// KEncodingDetector::decode$$
    {58, 1331, 1350},	// KEncodingDetector::decodeWithBuffering$$
    {58, 1334, 1351},	// KEncodingDetector::decodedInvalidCharacters
    {58, 1335, 1360},	// KEncodingDetector::decoder
    {58, 1423, 1343},	// KEncodingDetector::encoding
    {58, 1424, 1347},	// KEncodingDetector::encodingChoiceSource
    {58, 1458, 1358},	// KEncodingDetector::errorsIfUtf8$$
    {58, 1585, 1353},	// KEncodingDetector::flush
    {58, 1681, 1356},	// KEncodingDetector::hasAutoDetectionForScript$
    {58, 2124, 1355},	// KEncodingDetector::nameForScript$
    {58, 2282, 1357},	// KEncodingDetector::processNull$$
    {58, 2456, 1352},	// KEncodingDetector::resetDecoder
    {58, 2486, 1354},	// KEncodingDetector::scriptForName$
    {58, 2535, 1345},	// KEncodingDetector::setAutoDetectLanguage$
    {58, 2634, 1342},	// KEncodingDetector::setEncoding$$
    {58, 3257, 1344},	// KEncodingDetector::visuallyOrdered
    {58, 3395, 1388},	// KEncodingDetector::~KEncodingDetector
    {59, 22, 1408},	// KEncodingProber::Arabic
    {59, 39, 1409},	// KEncodingProber::Baltic
    {59, 49, 1410},	// KEncodingProber::CentralEuropean
    {59, 54, 1411},	// KEncodingProber::ChineseSimplified
    {59, 55, 1412},	// KEncodingProber::ChineseTraditional
    {59, 75, 1413},	// KEncodingProber::Cyrillic
    {59, 145, 1403},	// KEncodingProber::FoundIt
    {59, 152, 1414},	// KEncodingProber::Greek
    {59, 156, 1415},	// KEncodingProber::Hebrew
    {59, 276, 1416},	// KEncodingProber::Japanese
    {59, 379, 1402},	// KEncodingProber::KEncodingProber
    {59, 380, 1401},	// KEncodingProber::KEncodingProber#
    {59, 381, 1389},	// KEncodingProber::KEncodingProber$
    {59, 565, 1417},	// KEncodingProber::Korean
    {59, 634, 1406},	// KEncodingProber::None
    {59, 638, 1418},	// KEncodingProber::NorthernSaami
    {59, 639, 1404},	// KEncodingProber::NotMe
    {59, 654, 1419},	// KEncodingProber::Other
    {59, 671, 1405},	// KEncodingProber::Probing
    {59, 727, 1420},	// KEncodingProber::SouthEasternEurope
    {59, 753, 1421},	// KEncodingProber::Thai
    {59, 771, 1422},	// KEncodingProber::Turkish
    {59, 778, 1423},	// KEncodingProber::Unicode
    {59, 790, 1407},	// KEncodingProber::Universal
    {59, 810, 1424},	// KEncodingProber::WesternEuropean
    {59, 1184, 1396},	// KEncodingProber::confidence
    {59, 1423, 1395},	// KEncodingProber::encoding
    {59, 1428, 1394},	// KEncodingProber::encodingName
    {59, 1509, 1391},	// KEncodingProber::feed#
    {59, 1510, 1392},	// KEncodingProber::feed$$
    {59, 2122, 1400},	// KEncodingProber::nameForProberType$
    {59, 2278, 1397},	// KEncodingProber::proberType
    {59, 2280, 1399},	// KEncodingProber::proberTypeForName$
    {59, 2455, 1390},	// KEncodingProber::reset
    {59, 2845, 1398},	// KEncodingProber::setProberType$
    {59, 3045, 1393},	// KEncodingProber::state
    {59, 3396, 1425},	// KEncodingProber::~KEncodingProber
    {60, 115, 1453},	// KFilterBase::End
    {60, 125, 1454},	// KFilterBase::Error
    {60, 382, 1426},	// KFilterBase::KFilterBase
    {60, 626, 1455},	// KFilterBase::NoHeaders
    {60, 646, 1452},	// KFilterBase::Ok
    {60, 811, 1456},	// KFilterBase::WithHeaders
    {60, 1183, 1442},	// KFilterBase::compress$
    {60, 1379, 1428},	// KFilterBase::device
    {60, 1518, 1444},	// KFilterBase::filterFlags
    {60, 1563, 1445},	// KFilterBase::findFilterByFileName$
    {60, 1565, 1446},	// KFilterBase::findFilterByMimeType$
    {60, 1737, 1438},	// KFilterBase::inBufferAvailable
    {60, 1738, 1437},	// KFilterBase::inBufferEmpty
    {60, 1750, 1429},	// KFilterBase::init$
    {60, 2030, 1450},	// KFilterBase::m_bAutoDel
    {60, 2036, 1448},	// KFilterBase::m_dev
    {60, 2087, 1430},	// KFilterBase::mode
    {60, 2224, 1440},	// KFilterBase::outBufferAvailable
    {60, 2225, 1439},	// KFilterBase::outBufferFull
    {60, 2375, 1433},	// KFilterBase::readHeader
    {60, 2455, 1432},	// KFilterBase::reset
    {60, 2622, 1447},	// KFilterBase::setDevice#
    {60, 2623, 1427},	// KFilterBase::setDevice#$
    {60, 2660, 1443},	// KFilterBase::setFilterFlags$
    {60, 2678, 1436},	// KFilterBase::setInBuffer$$
    {60, 2720, 1451},	// KFilterBase::setM_bAutoDel$
    {60, 2732, 1449},	// KFilterBase::setM_dev#
    {60, 2818, 1435},	// KFilterBase::setOutBuffer$$
    {60, 3105, 1431},	// KFilterBase::terminate
    {60, 3196, 1441},	// KFilterBase::uncompress
    {60, 3317, 1434},	// KFilterBase::writeHeader#
    {60, 3397, 1457},	// KFilterBase::~KFilterBase
    {61, 1055, 1463},	// KFilterDev::atEnd
    {61, 1166, 1459},	// KFilterDev::close
    {61, 1380, 1470},	// KFilterDev::device#$
    {61, 1381, 1465},	// KFilterDev::device#$$
    {61, 1383, 1468},	// KFilterDev::deviceForFile$
    {61, 1384, 1469},	// KFilterDev::deviceForFile$$
    {61, 1385, 1464},	// KFilterDev::deviceForFile$$$
    {61, 2163, 1458},	// KFilterDev::open$
    {61, 2354, 1466},	// KFilterDev::readData$$
    {61, 2492, 1462},	// KFilterDev::seek$
    {61, 2814, 1460},	// KFilterDev::setOrigFileName#
    {61, 2888, 1461},	// KFilterDev::setSkipHeaders
    {61, 3308, 1467},	// KFilterDev::writeData$$
    {61, 3398, 1471},	// KFilterDev::~KFilterDev
    {62, 106, 1492},	// KGlobal::DoCopyCatalogs
    {62, 108, 1493},	// KGlobal::DontCopyCatalogs
    {62, 858, 1486},	// KGlobal::activeComponent
    {62, 1125, 1491},	// KGlobal::caption
    {62, 1138, 1474},	// KGlobal::charsets
    {62, 1185, 1483},	// KGlobal::config
    {62, 1360, 1482},	// KGlobal::deref
    {62, 1394, 1473},	// KGlobal::dirs
    {62, 1551, 1478},	// KGlobal::findDirectChild_helper##
    {62, 1696, 1484},	// KGlobal::hasLocale
    {62, 1697, 1476},	// KGlobal::hasMainComponent
    {62, 1760, 1477},	// KGlobal::insertCatalog$
    {62, 2004, 1490},	// KGlobal::locale
    {62, 2055, 1472},	// KGlobal::mainComponent
    {62, 2413, 1480},	// KGlobal::ref
    {62, 2518, 1475},	// KGlobal::setActiveComponent#
    {62, 2522, 1481},	// KGlobal::setAllowQuit$
    {62, 2710, 1488},	// KGlobal::setLocale#
    {62, 2711, 1487},	// KGlobal::setLocale#$
    {62, 3049, -443},	// KGlobal::staticQString$
    {62, 3194, 1485},	// KGlobal::umask
    {63, 46, 1544},	// KJob::Bytes
    {63, 104, 1546},	// KJob::Directories
    {63, 111, 1551},	// KJob::EmitResult
    {63, 140, 1545},	// KJob::Files
    {63, 383, 1537},	// KJob::KJob
    {63, 384, 1501},	// KJob::KJob#
    {63, 385, 1534},	// KJob::KJob##
    {63, 563, 1548},	// KJob::Killable
    {63, 564, 1553},	// KJob::KilledJobError
    {63, 620, 1547},	// KJob::NoCapabilities
    {63, 624, 1552},	// KJob::NoError
    {63, 682, 1550},	// KJob::Quietly
    {63, 743, 1549},	// KJob::Suspendable
    {63, 805, 1554},	// KJob::UserDefinedError
    {63, 1123, 1504},	// KJob::capabilities
    {63, 1362, 1539},	// KJob::description#$
    {63, 1363, 1540},	// KJob::description#$?
    {63, 1364, 1523},	// KJob::description#$??
    {63, 1399, 1510},	// KJob::doKill
    {63, 1400, 1512},	// KJob::doResume
    {63, 1401, 1511},	// KJob::doSuspend
    {63, 1410, 1532},	// KJob::emitPercent$$
    {63, 1411, 1531},	// KJob::emitResult
    {63, 1413, 1533},	// KJob::emitSpeed$
    {63, 1451, 1515},	// KJob::error
    {63, 1454, 1517},	// KJob::errorString
    {63, 1456, 1516},	// KJob::errorText
    {63, 1463, 1514},	// KJob::exec
    {63, 1744, 1541},	// KJob::infoMessage#$
    {63, 1745, 1524},	// KJob::infoMessage#$$
    {63, 1795, 1522},	// KJob::isAutoDelete
    {63, 1880, 1505},	// KJob::isSuspended
    {63, 1955, 1538},	// KJob::kill
    {63, 1956, 1507},	// KJob::kill$
    {63, 2077, 1494},	// KJob::metaObject
    {63, 2247, 1520},	// KJob::percent
    {63, 2285, 1518},	// KJob::processedAmount$
    {63, 2317, 1500},	// KJob::qt_metacall$$?
    {63, 2319, 1495},	// KJob::qt_metacast$
    {63, 2468, 1509},	// KJob::resume
    {63, 2533, 1521},	// KJob::setAutoDelete$
    {63, 2553, 1513},	// KJob::setCapabilities$
    {63, 2639, 1526},	// KJob::setError$
    {63, 2645, 1527},	// KJob::setErrorText$
    {63, 2830, 1530},	// KJob::setPercent$
    {63, 2847, 1528},	// KJob::setProcessedAmount$$
    {63, 2916, 1529},	// KJob::setTotalAmount$$
    {63, 2926, 1502},	// KJob::setUiDelegate#
    {63, 2989, 1506},	// KJob::start
    {63, 3047, 1543},	// KJob::staticMetaObject
    {63, 3080, 1508},	// KJob::suspend
    {63, 3147, 1519},	// KJob::totalAmount$
    {63, 3149, 1535},	// KJob::tr$
    {63, 3150, 1496},	// KJob::tr$$
    {63, 3151, 1498},	// KJob::tr$$$
    {63, 3156, 1536},	// KJob::trUtf8$
    {63, 3157, 1497},	// KJob::trUtf8$$
    {63, 3158, 1499},	// KJob::trUtf8$$$
    {63, 3192, 1503},	// KJob::uiDelegate
    {63, 3266, 1542},	// KJob::warning#$
    {63, 3267, 1525},	// KJob::warning#$$
    {63, 3399, 1555},	// KJob::~KJob
    {65, 386, 1578},	// KJobTrackerInterface::KJobTrackerInterface
    {65, 387, 1563},	// KJobTrackerInterface::KJobTrackerInterface#
    {65, 1364, 1569},	// KJobTrackerInterface::description#$??
    {65, 1576, 1566},	// KJobTrackerInterface::finished#
    {65, 1745, 1570},	// KJobTrackerInterface::infoMessage#$$
    {65, 2077, 1556},	// KJobTrackerInterface::metaObject
    {65, 2248, 1574},	// KJobTrackerInterface::percent#$
    {65, 2284, 1573},	// KJobTrackerInterface::processedAmount#$$
    {65, 2317, 1562},	// KJobTrackerInterface::qt_metacall$$?
    {65, 2319, 1557},	// KJobTrackerInterface::qt_metacast$
    {65, 2418, 1564},	// KJobTrackerInterface::registerJob#
    {65, 2470, 1568},	// KJobTrackerInterface::resumed#
    {65, 2974, 1575},	// KJobTrackerInterface::speed#$
    {65, 3047, 1579},	// KJobTrackerInterface::staticMetaObject
    {65, 3082, 1567},	// KJobTrackerInterface::suspended#
    {65, 3146, 1572},	// KJobTrackerInterface::totalAmount#$$
    {65, 3149, 1576},	// KJobTrackerInterface::tr$
    {65, 3150, 1558},	// KJobTrackerInterface::tr$$
    {65, 3151, 1560},	// KJobTrackerInterface::tr$$$
    {65, 3156, 1577},	// KJobTrackerInterface::trUtf8$
    {65, 3157, 1559},	// KJobTrackerInterface::trUtf8$$
    {65, 3158, 1561},	// KJobTrackerInterface::trUtf8$$$
    {65, 3203, 1565},	// KJobTrackerInterface::unregisterJob#
    {65, 3267, 1571},	// KJobTrackerInterface::warning#$$
    {65, 3400, 1580},	// KJobTrackerInterface::~KJobTrackerInterface
    {66, 388, 1588},	// KJobUiDelegate::KJobUiDelegate
    {66, 1796, 1592},	// KJobUiDelegate::isAutoErrorHandlingEnabled
    {66, 1797, 1594},	// KJobUiDelegate::isAutoWarningHandlingEnabled
    {66, 1900, 1589},	// KJobUiDelegate::job
    {66, 2077, 1581},	// KJobUiDelegate::metaObject
    {66, 2317, 1587},	// KJobUiDelegate::qt_metacall$$?
    {66, 2319, 1582},	// KJobUiDelegate::qt_metacast$
    {66, 2537, 1591},	// KJobUiDelegate::setAutoErrorHandlingEnabled$
    {66, 2541, 1593},	// KJobUiDelegate::setAutoWarningHandlingEnabled$
    {66, 2954, 1590},	// KJobUiDelegate::showErrorMessage
    {66, 2970, 1595},	// KJobUiDelegate::slotWarning#$$
    {66, 3047, 1598},	// KJobUiDelegate::staticMetaObject
    {66, 3149, 1596},	// KJobUiDelegate::tr$
    {66, 3150, 1583},	// KJobUiDelegate::tr$$
    {66, 3151, 1585},	// KJobUiDelegate::tr$$$
    {66, 3156, 1597},	// KJobUiDelegate::trUtf8$
    {66, 3157, 1584},	// KJobUiDelegate::trUtf8$$
    {66, 3158, 1586},	// KJobUiDelegate::trUtf8$$$
    {66, 3401, 1599},	// KJobUiDelegate::~KJobUiDelegate
    {67, 120, 1622},	// KLibLoader::ErrNoComponent
    {67, 121, 1621},	// KLibLoader::ErrNoFactory
    {67, 122, 1620},	// KLibLoader::ErrNoLibrary
    {67, 123, 1624},	// KLibLoader::ErrNoServiceFound
    {67, 124, 1623},	// KLibLoader::ErrServiceProvidesNoLibrary
    {67, 1455, 1613},	// KLibLoader::errorString$
    {67, 1503, 1616},	// KLibLoader::factory$
    {67, 1504, 1607},	// KLibLoader::factory$$
    {67, 1569, 1618},	// KLibLoader::findLibrary$
    {67, 1570, 1612},	// KLibLoader::findLibrary$#
    {67, 1976, 1609},	// KLibLoader::lastErrorMessage
    {67, 1985, 1617},	// KLibLoader::library$
    {67, 1986, 1608},	// KLibLoader::library$$
    {67, 2077, 1600},	// KLibLoader::metaObject
    {67, 2317, 1606},	// KLibLoader::qt_metacall$$?
    {67, 2319, 1601},	// KLibLoader::qt_metacast$
    {67, 2493, 1611},	// KLibLoader::self
    {67, 3047, 1619},	// KLibLoader::staticMetaObject
    {67, 3149, 1614},	// KLibLoader::tr$
    {67, 3150, 1602},	// KLibLoader::tr$$
    {67, 3151, 1604},	// KLibLoader::tr$$$
    {67, 3156, 1615},	// KLibLoader::trUtf8$
    {67, 3157, 1603},	// KLibLoader::trUtf8$$
    {67, 3158, 1605},	// KLibLoader::trUtf8$$$
    {67, 3200, 1610},	// KLibLoader::unloadLibrary$
    {68, 389, 1642},	// KLibrary::KLibrary
    {68, 390, 1632},	// KLibrary::KLibrary#
    {68, 391, 1643},	// KLibrary::KLibrary$
    {68, 392, 1644},	// KLibrary::KLibrary$#
    {68, 393, 1633},	// KLibrary::KLibrary$##
    {68, 394, 1645},	// KLibrary::KLibrary$$
    {68, 395, 1646},	// KLibrary::KLibrary$$#
    {68, 396, 1634},	// KLibrary::KLibrary$$##
    {68, 1502, 1647},	// KLibrary::factory
    {68, 1503, 1635},	// KLibrary::factory$
    {68, 2077, 1625},	// KLibrary::metaObject
    {68, 2317, 1631},	// KLibrary::qt_metacall$$?
    {68, 2319, 1626},	// KLibrary::qt_metacast$
    {68, 2460, 1637},	// KLibrary::resolveFunction$
    {68, 2462, 1636},	// KLibrary::resolveSymbol$
    {68, 2657, 1648},	// KLibrary::setFileName$
    {68, 2658, 1638},	// KLibrary::setFileName$#
    {68, 3047, 1649},	// KLibrary::staticMetaObject
    {68, 3149, 1640},	// KLibrary::tr$
    {68, 3150, 1627},	// KLibrary::tr$$
    {68, 3151, 1629},	// KLibrary::tr$$$
    {68, 3156, 1641},	// KLibrary::trUtf8$
    {68, 3157, 1628},	// KLibrary::trUtf8$$
    {68, 3158, 1630},	// KLibrary::trUtf8$$$
    {68, 3198, 1639},	// KLibrary::unload
    {68, 3402, 1650},	// KLibrary::~KLibrary
    {69, 3, 1674},	// KLocalSocket::AbstractUnixSocket
    {69, 397, 1669},	// KLocalSocket::KLocalSocket
    {69, 398, 1658},	// KLocalSocket::KLocalSocket#
    {69, 791, 1673},	// KLocalSocket::UnixSocket
    {69, 794, 1675},	// KLocalSocket::UnknownLocalSocketType
    {69, 1196, 1665},	// KLocalSocket::connectToHostImplementation$$$
    {69, 1198, 1670},	// KLocalSocket::connectToPath$
    {69, 1199, -7},	// KLocalSocket::connectToPath$$
    {69, 1200, 1660},	// KLocalSocket::connectToPath$$$
    {69, 1396, 1666},	// KLocalSocket::disconnectFromHostImplementation
    {69, 1397, 1661},	// KLocalSocket::disconnectFromPath
    {69, 2002, 1663},	// KLocalSocket::localPath
    {69, 2003, 1662},	// KLocalSocket::localSocketType
    {69, 2077, 1651},	// KLocalSocket::metaObject
    {69, 2246, 1664},	// KLocalSocket::peerPath
    {69, 2317, 1657},	// KLocalSocket::qt_metacall$$?
    {69, 2319, 1652},	// KLocalSocket::qt_metacast$
    {69, 3047, 1672},	// KLocalSocket::staticMetaObject
    {69, 3149, 1667},	// KLocalSocket::tr$
    {69, 3150, 1653},	// KLocalSocket::tr$$
    {69, 3151, 1655},	// KLocalSocket::tr$$$
    {69, 3156, 1668},	// KLocalSocket::trUtf8$
    {69, 3157, 1654},	// KLocalSocket::trUtf8$$
    {69, 3158, 1656},	// KLocalSocket::trUtf8$$$
    {69, 3403, 1676},	// KLocalSocket::~KLocalSocket
    {70, 399, 1701},	// KLocalSocketServer::KLocalSocketServer
    {70, 400, 1684},	// KLocalSocketServer::KLocalSocketServer#
    {70, 1166, 1686},	// KLocalSocketServer::close
    {70, 1454, 1696},	// KLocalSocketServer::errorString
    {70, 1709, 1693},	// KLocalSocketServer::hasPendingConnections
    {70, 1742, 1697},	// KLocalSocketServer::incomingConnection$
    {70, 1849, 1687},	// KLocalSocketServer::isListening
    {70, 1992, 1702},	// KLocalSocketServer::listen$
    {70, 1996, 1685},	// KLocalSocketServer::listen$$
    {70, 2002, 1691},	// KLocalSocketServer::localPath
    {70, 2003, 1690},	// KLocalSocketServer::localSocketType
    {70, 2066, 1689},	// KLocalSocketServer::maxPendingConnections
    {70, 2077, 1677},	// KLocalSocketServer::metaObject
    {70, 2131, 1698},	// KLocalSocketServer::newConnection
    {70, 2136, 1694},	// KLocalSocketServer::nextPendingConnection
    {70, 2317, 1683},	// KLocalSocketServer::qt_metacall$$?
    {70, 2319, 1678},	// KLocalSocketServer::qt_metacast$
    {70, 2495, 1695},	// KLocalSocketServer::serverError
    {70, 2778, 1688},	// KLocalSocketServer::setMaxPendingConnections$
    {70, 3047, 1705},	// KLocalSocketServer::staticMetaObject
    {70, 3149, 1699},	// KLocalSocketServer::tr$
    {70, 3150, 1679},	// KLocalSocketServer::tr$$
    {70, 3151, 1681},	// KLocalSocketServer::tr$$$
    {70, 3156, 1700},	// KLocalSocketServer::trUtf8$
    {70, 3157, 1680},	// KLocalSocketServer::trUtf8$$
    {70, 3158, 1682},	// KLocalSocketServer::trUtf8$$$
    {70, 3259, 1703},	// KLocalSocketServer::waitForNewConnection
    {70, 3260, 1704},	// KLocalSocketServer::waitForNewConnection$
    {70, 3261, 1692},	// KLocalSocketServer::waitForNewConnection$$
    {70, 3404, 1706},	// KLocalSocketServer::~KLocalSocketServer
    {71, 15, 1884},	// KLocale::AfterMoney
    {71, 16, 1882},	// KLocale::AfterQuantityMoney
    {71, 23, 1885},	// KLocale::ArabicDigits
    {71, 24, 1886},	// KLocale::ArabicIndicDigits
    {71, 42, 1883},	// KLocale::BeforeMoney
    {71, 43, 1881},	// KLocale::BeforeQuantityMoney
    {71, 44, 1889},	// KLocale::BengaliDigits
    {71, 71, 1916},	// KLocale::CopticCalendar
    {71, 84, 1940},	// KLocale::Day
    {71, 85, 1941},	// KLocale::DayName
    {71, 86, 1948},	// KLocale::DayOfWeek
    {71, 87, 1949},	// KLocale::DayOfWeekName
    {71, 88, 1946},	// KLocale::DayOfYear
    {71, 89, 1947},	// KLocale::DayOfYearName
    {71, 90, 1961},	// KLocale::DayPeriod
    {71, 91, 1962},	// KLocale::DayPeriodHour
    {71, 92, 1955},	// KLocale::DaysInMonth
    {71, 93, 1956},	// KLocale::DaysInWeek
    {71, 94, 1954},	// KLocale::DaysInYear
    {71, 95, 1910},	// KLocale::DefaultBinaryDialect
    {71, 96, 1899},	// KLocale::DefaultBinaryUnits
    {71, 97, 1966},	// KLocale::DefaultComponentFormat
    {71, 100, 1927},	// KLocale::DefaultWeekNumber
    {71, 103, 1888},	// KLocale::DevenagariDigits
    {71, 110, 1887},	// KLocale::EasternArabicIndicDigits
    {71, 118, 1943},	// KLocale::EraName
    {71, 119, 1944},	// KLocale::EraYear
    {71, 126, 1917},	// KLocale::EthiopianCalendar
    {71, 136, 1975},	// KLocale::FancyLongDate
    {71, 137, 1974},	// KLocale::FancyShortDate
    {71, 141, 1929},	// KLocale::FirstFullWeek
    {71, 142, 1930},	// KLocale::FirstPartialWeek
    {71, 153, 1918},	// KLocale::GregorianCalendar
    {71, 154, 1890},	// KLocale::GujaratiDigits
    {71, 155, 1891},	// KLocale::GurmukhiDigits
    {71, 157, 1919},	// KLocale::HebrewCalendar
    {71, 165, 1957},	// KLocale::Hour
    {71, 166, 1911},	// KLocale::IECBinaryDialect
    {71, 175, 1996},	// KLocale::Imperial
    {71, 177, 1921},	// KLocale::IndianNationalCalendar
    {71, 185, 1920},	// KLocale::IslamicCivilCalendar
    {71, 186, 1976},	// KLocale::IsoDate
    {71, 187, 1988},	// KLocale::IsoFormat
    {71, 188, 1978},	// KLocale::IsoOrdinalDate
    {71, 189, 1990},	// KLocale::IsoOrdinalFormat
    {71, 190, 1977},	// KLocale::IsoWeekDate
    {71, 191, 1989},	// KLocale::IsoWeekFormat
    {71, 192, 1928},	// KLocale::IsoWeekNumber
    {71, 274, 1912},	// KLocale::JEDECBinaryDialect
    {71, 275, 1922},	// KLocale::JalaliCalendar
    {71, 277, 1923},	// KLocale::JapaneseCalendar
    {71, 278, 1924},	// KLocale::JulianCalendar
    {71, 279, 1942},	// KLocale::JulianDay
    {71, 402, 1709},	// KLocale::KLocale#
    {71, 403, 1848},	// KLocale::KLocale$
    {71, 404, 1849},	// KLocale::KLocale$$
    {71, 405, 1850},	// KLocale::KLocale$$$
    {71, 406, 1708},	// KLocale::KLocale$$$#
    {71, 407, 1707},	// KLocale::KLocale$?
    {71, 558, 1892},	// KLocale::KannadaDigits
    {71, 559, 1932},	// KLocale::KdeFormat
    {71, 562, 1893},	// KLocale::KhmerDigits
    {71, 566, 1914},	// KLocale::LastBinaryDialect
    {71, 572, 1935},	// KLocale::LiberalParsing
    {71, 595, 1973},	// KLocale::LongDate
    {71, 598, 1971},	// KLocale::LongName
    {71, 600, 1968},	// KLocale::LongNumber
    {71, 602, 1894},	// KLocale::MalayalamDigits
    {71, 604, 1995},	// KLocale::Metric
    {71, 605, 1913},	// KLocale::MetricBinaryDialect
    {71, 606, 1960},	// KLocale::Millisecond
    {71, 607, 1925},	// KLocale::MinguoCalendar
    {71, 608, 1958},	// KLocale::Minute
    {71, 609, 1938},	// KLocale::Month
    {71, 610, 1939},	// KLocale::MonthName
    {71, 611, 1952},	// KLocale::MonthsInYear
    {71, 616, 1969},	// KLocale::NarrowName
    {71, 637, 1986},	// KLocale::NormalFormat
    {71, 653, 1895},	// KLocale::OriyaDigits
    {71, 656, 1880},	// KLocale::ParensAround
    {71, 670, 1933},	// KLocale::PosixFormat
    {71, 672, 1994},	// KLocale::ProcessNonStrict
    {71, 673, 1993},	// KLocale::ProcessStrict
    {71, 680, 1915},	// KLocale::QDateCalendar
    {71, 705, 1959},	// KLocale::Second
    {71, 706, 1980},	// KLocale::Seconds
    {71, 709, 1972},	// KLocale::ShortDate
    {71, 711, 1987},	// KLocale::ShortFormat
    {71, 712, 1970},	// KLocale::ShortName
    {71, 714, 1967},	// KLocale::ShortNumber
    {71, 716, 1931},	// KLocale::SimpleWeek
    {71, 749, 1896},	// KLocale::TamilDigits
    {71, 751, 1897},	// KLocale::TeluguDigits
    {71, 754, 1926},	// KLocale::ThaiCalendar
    {71, 755, 1898},	// KLocale::ThaiDigits
    {71, 757, 1981},	// KLocale::TimeDefault
    {71, 758, 1984},	// KLocale::TimeDuration
    {71, 759, 1985},	// KLocale::TimeFoldHours
    {71, 761, 1983},	// KLocale::TimeWithoutAmPm
    {71, 762, 1982},	// KLocale::TimeWithoutSeconds
    {71, 763, 1979},	// KLocale::TimeZone
    {71, 765, 1963},	// KLocale::Timezone
    {71, 766, 1964},	// KLocale::TimezoneName
    {71, 779, 1934},	// KLocale::UnicodeFormat
    {71, 780, 1900},	// KLocale::UnitByte
    {71, 781, 1906},	// KLocale::UnitExaByte
    {71, 782, 1903},	// KLocale::UnitGigaByte
    {71, 783, 1901},	// KLocale::UnitKiloByte
    {71, 784, 1909},	// KLocale::UnitLastUnit
    {71, 785, 1902},	// KLocale::UnitMegaByte
    {71, 786, 1905},	// KLocale::UnitPetaByte
    {71, 787, 1904},	// KLocale::UnitTeraByte
    {71, 788, 1908},	// KLocale::UnitYottaByte
    {71, 789, 1907},	// KLocale::UnitZettaByte
    {71, 792, 1965},	// KLocale::UnixTime
    {71, 807, 1950},	// KLocale::Week
    {71, 808, 1951},	// KLocale::WeekYear
    {71, 809, 1953},	// KLocale::WeeksInYear
    {71, 812, 1991},	// KLocale::WithSeconds
    {71, 813, 1992},	// KLocale::WithoutSeconds
    {71, 821, 1936},	// KLocale::Year
    {71, 822, 1945},	// KLocale::YearInEra
    {71, 823, 1937},	// KLocale::YearName
    {71, 1021, 1829},	// KLocale::allCountriesList
    {71, 1024, 1721},	// KLocale::allDigitSetsList
    {71, 1027, 1826},	// KLocale::allLanguagesList
    {71, 1098, 1746},	// KLocale::binaryUnitDialect
    {71, 1107, 1764},	// KLocale::calendar
    {71, 1111, 1766},	// KLocale::calendarSystem
    {71, 1117, 1765},	// KLocale::calendarType
    {71, 1170, 1787},	// KLocale::codecForEncoding
    {71, 1205, 1879},	// KLocale::convertDigits$$
    {71, 1206, 1846},	// KLocale::convertDigits$$$
    {71, 1208, 1839},	// KLocale::copyCatalogsTo#
    {71, 1217, 1781},	// KLocale::country
    {71, 1220, 1830},	// KLocale::countryCodeToName$
    {71, 1221, 1782},	// KLocale::countryDivisionCode
    {71, 1240, 1726},	// KLocale::currency
    {71, 1241, 1725},	// KLocale::currencyCode
    {71, 1242, 1784},	// KLocale::currencyCodeList
    {71, 1246, 1727},	// KLocale::currencySymbol
    {71, 1273, 1798},	// KLocale::dateFormat
    {71, 1274, 1799},	// KLocale::dateFormatShort
    {71, 1276, 1754},	// KLocale::dateMonthNamePossessive
    {71, 1279, 1757},	// KLocale::dateTimeDigitSet
    {71, 1295, 1867},	// KLocale::dayPeriodText#
    {71, 1296, 1759},	// KLocale::dayPeriodText#$
    {71, 1323, 1733},	// KLocale::decimalPlaces
    {71, 1324, 1722},	// KLocale::decimalSymbol
    {71, 1337, 1835},	// KLocale::defaultCountry
    {71, 1338, 1836},	// KLocale::defaultCurrencyCode
    {71, 1339, 1834},	// KLocale::defaultLanguage
    {71, 1386, 1724},	// KLocale::digitSet
    {71, 1388, 1851},	// KLocale::digitSetToName$
    {71, 1389, 1720},	// KLocale::digitSetToName$$
    {71, 1423, 1785},	// KLocale::encoding
    {71, 1427, 1786},	// KLocale::encodingMib
    {71, 1513, 1788},	// KLocale::fileEncodingMib
    {71, 1590, 1744},	// KLocale::formatByteSize$
    {71, 1591, 1857},	// KLocale::formatByteSize$$
    {71, 1592, 1858},	// KLocale::formatByteSize$$$
    {71, 1593, 1745},	// KLocale::formatByteSize$$$$
    {71, 1595, 1859},	// KLocale::formatDate#
    {71, 1596, 1751},	// KLocale::formatDate#$
    {71, 1600, -499},	// KLocale::formatDateTime#
    {71, 1601, -502},	// KLocale::formatDateTime#$
    {71, 1602, -505},	// KLocale::formatDateTime#$$
    {71, 1604, 1748},	// KLocale::formatDuration$
    {71, 1606, 1866},	// KLocale::formatLocaleTime#
    {71, 1607, 1756},	// KLocale::formatLocaleTime#$
    {71, 1609, 1743},	// KLocale::formatLong$
    {71, 1611, 1852},	// KLocale::formatMoney$
    {71, 1612, 1853},	// KLocale::formatMoney$$
    {71, 1613, 1740},	// KLocale::formatMoney$$$
    {71, 1615, -508},	// KLocale::formatNumber$
    {71, 1616, -511},	// KLocale::formatNumber$$
    {71, 1617, 1742},	// KLocale::formatNumber$$$
    {71, 1619, 1864},	// KLocale::formatTime#
    {71, 1620, 1865},	// KLocale::formatTime#$
    {71, 1621, 1755},	// KLocale::formatTime#$$
    {71, 1622, 1732},	// KLocale::fracDigits
    {71, 1760, 1822},	// KLocale::insertCatalog$
    {71, 1763, 1827},	// KLocale::installedLanguages
    {71, 1792, 1838},	// KLocale::isApplicationTranslatedInto$
    {71, 1962, 1878},	// KLocale::langLookup$
    {71, 1963, 1833},	// KLocale::langLookup$$
    {71, 1964, 1780},	// KLocale::language
    {71, 1966, 1828},	// KLocale::languageCodeToName$
    {71, 1969, 1783},	// KLocale::languageList
    {71, 2006, 1844},	// KLocale::localizedFilePath$
    {71, 2072, 1820},	// KLocale::measureSystem
    {71, 2095, 1734},	// KLocale::monetaryDecimalPlaces
    {71, 2096, 1728},	// KLocale::monetaryDecimalSymbol
    {71, 2097, 1739},	// KLocale::monetaryDigitSet
    {71, 2098, 1729},	// KLocale::monetaryThousandsSeparator
    {71, 2128, 1738},	// KLocale::negativeMonetarySignPosition
    {71, 2129, 1736},	// KLocale::negativePrefixCurrencySymbol
    {71, 2130, 1731},	// KLocale::negativeSign
    {71, 2140, 1750},	// KLocale::nounDeclension
    {71, 2200, 1710},	// KLocale::operator=#
    {71, 2228, 1818},	// KLocale::pageSize
    {71, 2265, 1737},	// KLocale::positiveMonetarySignPosition
    {71, 2266, 1735},	// KLocale::positivePrefixCurrencySymbol
    {71, 2267, 1730},	// KLocale::positiveSign
    {71, 2274, 1749},	// KLocale::prettyFormatDuration$
    {71, 2356, 1870},	// KLocale::readDate$
    {71, 2357, -514},	// KLocale::readDate$$
    {71, 2358, -518},	// KLocale::readDate$$$
    {71, 2381, 1875},	// KLocale::readLocaleTime$
    {71, 2382, 1876},	// KLocale::readLocaleTime$$
    {71, 2383, 1877},	// KLocale::readLocaleTime$$$
    {71, 2384, 1779},	// KLocale::readLocaleTime$$$$
    {71, 2386, 1868},	// KLocale::readMoney$
    {71, 2387, 1772},	// KLocale::readMoney$$
    {71, 2390, 1869},	// KLocale::readNumber$
    {71, 2391, 1773},	// KLocale::readNumber$$
    {71, 2397, 1873},	// KLocale::readTime$
    {71, 2398, -521},	// KLocale::readTime$$
    {71, 2399, 1778},	// KLocale::readTime$$$
    {71, 2432, 1845},	// KLocale::removeAcceleratorMarker$
    {71, 2434, 1823},	// KLocale::removeCatalog$
    {71, 2448, 1847},	// KLocale::reparseConfiguration
    {71, 2516, 1824},	// KLocale::setActiveCatalog$
    {71, 2545, 1747},	// KLocale::setBinaryUnitDialect$
    {71, 2549, 1767},	// KLocale::setCalendar$
    {71, 2551, 1768},	// KLocale::setCalendarSystem$
    {71, 2569, 1840},	// KLocale::setCountry$#
    {71, 2571, 1841},	// KLocale::setCountryDivisionCode$
    {71, 2573, 1815},	// KLocale::setCurrencyCode$
    {71, 2575, 1816},	// KLocale::setCurrencySymbol$
    {71, 2594, 1789},	// KLocale::setDateFormat$
    {71, 2596, 1790},	// KLocale::setDateFormatShort$
    {71, 2600, 1791},	// KLocale::setDateMonthNamePossessive$
    {71, 2606, 1793},	// KLocale::setDateTimeDigitSet$
    {71, 2608, 1811},	// KLocale::setDecimalPlaces$
    {71, 2610, 1801},	// KLocale::setDecimalSymbol$
    {71, 2625, 1805},	// KLocale::setDigitSet$
    {71, 2633, 1719},	// KLocale::setEncoding$
    {71, 2664, 1810},	// KLocale::setFracDigits$
    {71, 2693, 1842},	// KLocale::setLanguage$#
    {71, 2694, 1843},	// KLocale::setLanguage?
    {71, 2770, 1832},	// KLocale::setMainCatalog$
    {71, 2782, 1821},	// KLocale::setMeasureSystem$
    {71, 2792, 1812},	// KLocale::setMonetaryDecimalPlaces$
    {71, 2794, 1814},	// KLocale::setMonetaryDecimalSymbol$
    {71, 2796, 1817},	// KLocale::setMonetaryDigitSet$
    {71, 2798, 1813},	// KLocale::setMonetaryThousandsSeparator$
    {71, 2802, 1807},	// KLocale::setNegativeMonetarySignPosition$
    {71, 2804, 1809},	// KLocale::setNegativePrefixCurrencySymbol$
    {71, 2806, 1804},	// KLocale::setNegativeSign$
    {71, 2822, 1819},	// KLocale::setPageSize$
    {71, 2837, 1806},	// KLocale::setPositiveMonetarySignPosition$
    {71, 2839, 1808},	// KLocale::setPositivePrefixCurrencySymbol$
    {71, 2841, 1803},	// KLocale::setPositiveSign$
    {71, 2904, 1802},	// KLocale::setThousandsSeparator$
    {71, 2908, 1792},	// KLocale::setTimeFormat$
    {71, 2934, 1797},	// KLocale::setWeekDayOfPray$
    {71, 2936, 1769},	// KLocale::setWeekNumberSystem$
    {71, 2938, 1794},	// KLocale::setWeekStartDay$
    {71, 2942, 1796},	// KLocale::setWorkingWeekEndDay$
    {71, 2944, 1795},	// KLocale::setWorkingWeekStartDay$
    {71, 2984, 1831},	// KLocale::splitLocale$$$$$
    {71, 3109, 1723},	// KLocale::thousandsSeparator
    {71, 3113, 1800},	// KLocale::timeFormat
    {71, 3178, 1825},	// KLocale::translateQt$$$
    {71, 3180, 1712},	// KLocale::translateRaw$$$
    {71, 3181, 1714},	// KLocale::translateRaw$$$$
    {71, 3182, 1716},	// KLocale::translateRaw$$$$$
    {71, 3183, 1718},	// KLocale::translateRaw$$$$$$
    {71, 3185, 1711},	// KLocale::translateRawFrom$$$$
    {71, 3186, 1713},	// KLocale::translateRawFrom$$$$$
    {71, 3187, 1715},	// KLocale::translateRawFrom$$$$$$
    {71, 3188, 1717},	// KLocale::translateRawFrom$$$$$$$
    {71, 3222, 1758},	// KLocale::use12Clock
    {71, 3225, 1837},	// KLocale::useTranscript
    {71, 3281, 1763},	// KLocale::weekDayOfPray
    {71, 3288, -524},	// KLocale::weekNumberSystem
    {71, 3289, 1760},	// KLocale::weekStartDay
    {71, 3303, 1762},	// KLocale::workingWeekEndDay
    {71, 3304, 1761},	// KLocale::workingWeekStartDay
    {71, 3405, 1997},	// KLocale::~KLocale
    {72, 408, 1998},	// KLocalizedString::KLocalizedString
    {72, 409, 1999},	// KLocalizedString::KLocalizedString#
    {72, 1740, 2015},	// KLocalizedString::inContext$$
    {72, 1824, 2005},	// KLocalizedString::isEmpty
    {72, 2139, 2016},	// KLocalizedString::notifyCatalogsUpdated??
    {72, 2200, 2000},	// KLocalizedString::operator=#
    {72, 3063, 2039},	// KLocalizedString::subs#
    {72, 3064, 2040},	// KLocalizedString::subs#$
    {72, 3065, 2013},	// KLocalizedString::subs#$#
    {72, 3066, -410},	// KLocalizedString::subs$
    {72, 3067, -419},	// KLocalizedString::subs$$
    {72, 3068, 2014},	// KLocalizedString::subs$$#
    {72, 3069, -428},	// KLocalizedString::subs$$$
    {72, 3070, -436},	// KLocalizedString::subs$$$#
    {72, 3071, 2038},	// KLocalizedString::subs$$$$
    {72, 3072, 2012},	// KLocalizedString::subs$$$$#
    {72, 3129, 2001},	// KLocalizedString::toString
    {72, 3130, 2003},	// KLocalizedString::toString#
    {72, 3131, 2004},	// KLocalizedString::toString#$
    {72, 3132, 2002},	// KLocalizedString::toString$
    {72, 3406, 2043},	// KLocalizedString::~KLocalizedString
    {73, 143, 2059},	// KLockFile::ForceFlag
    {73, 411, 2051},	// KLockFile::KLockFile#
    {73, 412, 2052},	// KLockFile::KLockFile$
    {73, 413, 2044},	// KLockFile::KLockFile$#
    {73, 591, 2056},	// KLockFile::LockError
    {73, 592, 2055},	// KLockFile::LockFail
    {73, 593, 2054},	// KLockFile::LockOK
    {73, 594, 2057},	// KLockFile::LockStale
    {73, 619, 2058},	// KLockFile::NoBlockFlag
    {73, 1659, 2050},	// KLockFile::getLockInfo$$$
    {73, 1853, 2046},	// KLockFile::isLocked
    {73, 2020, 2053},	// KLockFile::lock
    {73, 2021, 2045},	// KLockFile::lock$
    {73, 2892, 2049},	// KLockFile::setStaleTime$
    {73, 2988, 2048},	// KLockFile::staleTime
    {73, 3201, 2047},	// KLockFile::unlock
    {73, 3407, 2060},	// KLockFile::~KLockFile
    {74, 414, 2061},	// KMD5::KMD5
    {74, 415, 2063},	// KMD5::KMD5#
    {74, 416, 2078},	// KMD5::KMD5$
    {74, 417, 2062},	// KMD5::KMD5$$
    {74, 1089, 2073},	// KMD5::base64Digest
    {74, 1519, 2077},	// KMD5::finalize
    {74, 1721, 2071},	// KMD5::hexDigest
    {74, 1722, 2072},	// KMD5::hexDigest#
    {74, 2340, 2069},	// KMD5::rawDigest
    {74, 2341, 2070},	// KMD5::rawDigest$
    {74, 2455, 2068},	// KMD5::reset
    {74, 3160, 2076},	// KMD5::transform$
    {74, 3210, -118},	// KMD5::update#
    {74, 3211, -121},	// KMD5::update$
    {74, 3212, -124},	// KMD5::update$$
    {74, 3249, 2075},	// KMD5::verify#
    {74, 3250, 2074},	// KMD5::verify$
    {74, 3408, 2081},	// KMD5::~KMD5
    {75, 1487, -13},	// KMacroExpander::expandMacros$?
    {75, 1488, -18},	// KMacroExpander::expandMacros$?#
    {75, 1492, -23},	// KMacroExpander::expandMacrosShellQuote$?
    {75, 1493, -28},	// KMacroExpander::expandMacrosShellQuote$?#
    {76, 418, 2107},	// KMacroExpanderBase::KMacroExpanderBase
    {76, 419, -48},	// KMacroExpanderBase::KMacroExpanderBase#
    {76, 1459, 2103},	// KMacroExpanderBase::escapeChar
    {76, 1481, 2105},	// KMacroExpanderBase::expandEscapedMacro$$?
    {76, 1486, 2099},	// KMacroExpanderBase::expandMacros$
    {76, 1490, 2101},	// KMacroExpanderBase::expandMacrosShellQuote$
    {76, 1491, 2100},	// KMacroExpanderBase::expandMacrosShellQuote$$
    {76, 1495, 2104},	// KMacroExpanderBase::expandPlainMacro$$?
    {76, 2647, 2102},	// KMacroExpanderBase::setEscapeChar#
    {76, 3409, 2108},	// KMacroExpanderBase::~KMacroExpanderBase
    {77, 125, 2112},	// KMessage::Error
    {77, 138, 2116},	// KMessage::Fatal
    {77, 178, 2113},	// KMessage::Information
    {77, 724, 2115},	// KMessage::Sorry
    {77, 806, 2114},	// KMessage::Warning
    {77, 2075, 2110},	// KMessage::message$$
    {77, 2076, 2109},	// KMessage::message$$$
    {77, 2786, 2111},	// KMessage::setMessageHandler#
    {78, 420, 2118},	// KMessageHandler::KMessageHandler
    {78, 421, 2119},	// KMessageHandler::KMessageHandler#
    {78, 2076, 2117},	// KMessageHandler::message$$$
    {78, 3410, 2120},	// KMessageHandler::~KMessageHandler
    {79, 109, 2171},	// KMimeType::DontResolveAlias
    {79, 423, 2151},	// KMimeType::KMimeType#
    {79, 424, 2149},	// KMimeType::KMimeType#$
    {79, 425, 2152},	// KMimeType::KMimeType#$$
    {79, 426, 2150},	// KMimeType::KMimeType$$$
    {79, 701, 2172},	// KMimeType::ResolveAliases
    {79, 1028, 2136},	// KMimeType::allMimeTypes
    {79, 1029, 2142},	// KMimeType::allParentMimeTypes
    {79, 1176, 2155},	// KMimeType::comment
    {79, 1177, 2124},	// KMimeType::comment#
    {79, 1341, 2137},	// KMimeType::defaultMimeType
    {79, 1342, 2138},	// KMimeType::defaultMimeTypePtr
    {79, 1499, 2146},	// KMimeType::extractKnownExtension$
    {79, 1507, 2123},	// KMimeType::favIconForUrl#
    {79, 1530, -33},	// KMimeType::findByContent#
    {79, 1531, -36},	// KMimeType::findByContent#$
    {79, 1533, 2170},	// KMimeType::findByFileContent$
    {79, 1534, 2133},	// KMimeType::findByFileContent$$
    {79, 1536, -39},	// KMimeType::findByNameAndContent$#
    {79, 1537, -42},	// KMimeType::findByNameAndContent$#$
    {79, 1538, -45},	// KMimeType::findByNameAndContent$#$$
    {79, 1540, 2161},	// KMimeType::findByPath$
    {79, 1541, 2162},	// KMimeType::findByPath$$
    {79, 1542, 2163},	// KMimeType::findByPath$$$
    {79, 1543, 2128},	// KMimeType::findByPath$$$$
    {79, 1545, 2157},	// KMimeType::findByUrl#
    {79, 1546, 2158},	// KMimeType::findByUrl#$
    {79, 1547, 2159},	// KMimeType::findByUrl#$$
    {79, 1548, 2160},	// KMimeType::findByUrl#$$$
    {79, 1549, 2127},	// KMimeType::findByUrl#$$$$
    {79, 1732, 2153},	// KMimeType::iconName
    {79, 1733, 2121},	// KMimeType::iconName#
    {79, 1735, 2154},	// KMimeType::iconNameForUrl#
    {79, 1736, 2122},	// KMimeType::iconNameForUrl#$
    {79, 1789, 2143},	// KMimeType::is$
    {79, 1800, 2134},	// KMimeType::isBinaryData$
    {79, 1802, 2135},	// KMimeType::isBufferBinaryData#
    {79, 1812, 2139},	// KMimeType::isDefault
    {79, 2056, 2145},	// KMimeType::mainExtension
    {79, 2065, 2147},	// KMimeType::matchFileName$$
    {79, 2079, 2156},	// KMimeType::mimeType$
    {79, 2080, 2126},	// KMimeType::mimeType$$
    {79, 2231, 2140},	// KMimeType::parentMimeType
    {79, 2232, 2141},	// KMimeType::parentMimeTypes
    {79, 2245, 2125},	// KMimeType::patterns
    {79, 2949, 2148},	// KMimeType::sharedMimeInfoVersion
    {79, 3229, 2144},	// KMimeType::userSpecifiedIconName
    {79, 3411, 2173},	// KMimeType::~KMimeType
    {81, 428, 2177},	// KMimeTypeTrader::KMimeTypeTrader#
    {81, 2271, 2180},	// KMimeTypeTrader::preferredService$
    {81, 2272, 2175},	// KMimeTypeTrader::preferredService$$
    {81, 2321, 2178},	// KMimeTypeTrader::query$
    {81, 2322, 2179},	// KMimeTypeTrader::query$$
    {81, 2323, 2174},	// KMimeTypeTrader::query$$$
    {81, 2493, 2176},	// KMimeTypeTrader::self
    {81, 3412, 2181},	// KMimeTypeTrader::~KMimeTypeTrader
    {83, 429, 2206},	// KPluginFactory::KPluginFactory
    {83, 430, -461},	// KPluginFactory::KPluginFactory#
    {83, 431, -466},	// KPluginFactory::KPluginFactory##
    {83, 432, 2207},	// KPluginFactory::KPluginFactory$
    {83, 433, 2208},	// KPluginFactory::KPluginFactory$$
    {83, 434, 2189},	// KPluginFactory::KPluginFactory$$#
    {83, 1180, 2193},	// KPluginFactory::componentData
    {83, 1222, 2211},	// KPluginFactory::create
    {83, 1223, 2212},	// KPluginFactory::create#
    {83, 1224, 2213},	// KPluginFactory::create#$
    {83, 1225, 2194},	// KPluginFactory::create#$?
    {83, 1228, 2203},	// KPluginFactory::create$##?$
    {83, 1233, 2200},	// KPluginFactory::createObject#$?
    {83, 1235, 2201},	// KPluginFactory::createPartObject##$?
    {83, 2077, 2182},	// KPluginFactory::metaObject
    {83, 2147, 2195},	// KPluginFactory::objectCreated#
    {83, 2317, 2188},	// KPluginFactory::qt_metacall$$?
    {83, 2319, 2183},	// KPluginFactory::qt_metacast$
    {83, 2561, 2202},	// KPluginFactory::setComponentData#
    {83, 2948, 2199},	// KPluginFactory::setupTranslations
    {83, 3047, 2215},	// KPluginFactory::staticMetaObject
    {83, 3060, 2197},	// KPluginFactory::stringListToVariantList?
    {83, 3149, 2204},	// KPluginFactory::tr$
    {83, 3150, 2184},	// KPluginFactory::tr$$
    {83, 3151, 2186},	// KPluginFactory::tr$$$
    {83, 3156, 2205},	// KPluginFactory::trUtf8$
    {83, 3157, 2185},	// KPluginFactory::trUtf8$$
    {83, 3158, 2187},	// KPluginFactory::trUtf8$$$
    {83, 3247, 2198},	// KPluginFactory::variantListToStringList?
    {83, 3413, 2216},	// KPluginFactory::~KPluginFactory
    {85, 435, 2219},	// KPluginInfo::KPluginInfo
    {85, 436, 2249},	// KPluginInfo::KPluginInfo#
    {85, 437, 2255},	// KPluginInfo::KPluginInfo$
    {85, 438, 2217},	// KPluginInfo::KPluginInfo$$
    {85, 439, 2218},	// KPluginInfo::KPluginInfo?
    {85, 1056, 2232},	// KPluginInfo::author
    {85, 1131, 2234},	// KPluginInfo::category
    {85, 1176, 2229},	// KPluginInfo::comment
    {85, 1185, 2244},	// KPluginInfo::config
    {85, 1347, 2247},	// KPluginInfo::defaults
    {85, 1359, 2240},	// KPluginInfo::dependencies
    {85, 1407, 2233},	// KPluginInfo::email
    {85, 1438, 2231},	// KPluginInfo::entryPath
    {85, 1629, 2257},	// KPluginInfo::fromFiles?
    {85, 1630, 2221},	// KPluginInfo::fromFiles?#
    {85, 1632, 2258},	// KPluginInfo::fromKPartsInstanceName$
    {85, 1633, 2222},	// KPluginInfo::fromKPartsInstanceName$#
    {85, 1641, 2256},	// KPluginInfo::fromServices?
    {85, 1642, 2220},	// KPluginInfo::fromServices?#
    {85, 1651, 2239},	// KPluginInfo::fullLicense
    {85, 1730, 2230},	// KPluginInfo::icon
    {85, 1840, 2223},	// KPluginInfo::isHidden
    {85, 1862, 2225},	// KPluginInfo::isPluginEnabled
    {85, 1863, 2226},	// KPluginInfo::isPluginEnabledByDefault
    {85, 1888, 2248},	// KPluginInfo::isValid
    {85, 1920, 2242},	// KPluginInfo::kcmServices
    {85, 1987, 2238},	// KPluginInfo::license
    {85, 1997, 2260},	// KPluginInfo::load
    {85, 1998, 2246},	// KPluginInfo::load#
    {85, 2119, 2228},	// KPluginInfo::name
    {85, 2176, 2252},	// KPluginInfo::operator!=#
    {85, 2186, 2253},	// KPluginInfo::operator<#
    {85, 2200, 2250},	// KPluginInfo::operator=#
    {85, 2203, 2251},	// KPluginInfo::operator==#
    {85, 2209, 2254},	// KPluginInfo::operator>#
    {85, 2258, 2235},	// KPluginInfo::pluginName
    {85, 2295, 2227},	// KPluginInfo::property$
    {85, 2477, 2259},	// KPluginInfo::save
    {85, 2478, 2245},	// KPluginInfo::save#
    {85, 2496, 2241},	// KPluginInfo::service
    {85, 2563, 2243},	// KPluginInfo::setConfig#
    {85, 2835, 2224},	// KPluginInfo::setPluginEnabled$
    {85, 3251, 2236},	// KPluginInfo::version
    {85, 3271, 2237},	// KPluginInfo::website
    {85, 3414, 2261},	// KPluginInfo::~KPluginInfo
    {86, 441, 2281},	// KPluginLoader::KPluginLoader#
    {86, 442, 2282},	// KPluginLoader::KPluginLoader##
    {86, 443, 2270},	// KPluginLoader::KPluginLoader###
    {86, 444, 2279},	// KPluginLoader::KPluginLoader$
    {86, 445, 2280},	// KPluginLoader::KPluginLoader$#
    {86, 446, 2269},	// KPluginLoader::KPluginLoader$##
    {86, 1454, 2274},	// KPluginLoader::errorString
    {86, 1502, 2271},	// KPluginLoader::factory
    {86, 1850, 2275},	// KPluginLoader::isLoaded
    {86, 1997, 2276},	// KPluginLoader::load
    {86, 2077, 2262},	// KPluginLoader::metaObject
    {86, 2258, 2272},	// KPluginLoader::pluginName
    {86, 2259, 2273},	// KPluginLoader::pluginVersion
    {86, 2317, 2268},	// KPluginLoader::qt_metacall$$?
    {86, 2319, 2263},	// KPluginLoader::qt_metacast$
    {86, 3047, 2283},	// KPluginLoader::staticMetaObject
    {86, 3149, 2277},	// KPluginLoader::tr$
    {86, 3150, 2264},	// KPluginLoader::tr$$
    {86, 3151, 2266},	// KPluginLoader::tr$$$
    {86, 3156, 2278},	// KPluginLoader::trUtf8$
    {86, 3157, 2265},	// KPluginLoader::trUtf8$$
    {86, 3158, 2267},	// KPluginLoader::trUtf8$$$
    {86, 3415, 2284},	// KPluginLoader::~KPluginLoader
    {87, 144, 2328},	// KProcess::ForwardedChannels
    {87, 447, 2317},	// KProcess::KProcess
    {87, 448, 2292},	// KProcess::KProcess#
    {87, 449, 2314},	// KProcess::KProcess##
    {87, 603, 2327},	// KProcess::MergedChannels
    {87, 647, 2330},	// KProcess::OnlyStderrChannel
    {87, 648, 2329},	// KProcess::OnlyStdoutChannel
    {87, 708, 2326},	// KProcess::SeparateChannels
    {87, 1162, 2298},	// KProcess::clearEnvironment
    {87, 1163, 2303},	// KProcess::clearProgram
    {87, 1468, 2320},	// KProcess::execute
    {87, 1469, -109},	// KProcess::execute$
    {87, 1470, 2322},	// KProcess::execute$?
    {87, 1471, 2308},	// KProcess::execute$?$
    {87, 1472, 2323},	// KProcess::execute?
    {87, 1473, 2309},	// KProcess::execute?$
    {87, 2077, 2285},	// KProcess::metaObject
    {87, 2192, 2301},	// KProcess::operator<<$
    {87, 2193, 2302},	// KProcess::operator<<?
    {87, 2227, 2294},	// KProcess::outputChannelMode
    {87, 2256, 2313},	// KProcess::pid
    {87, 2287, 2305},	// KProcess::program
    {87, 2317, 2291},	// KProcess::qt_metacall$$?
    {87, 2319, 2286},	// KProcess::qt_metacast$
    {87, 2636, 2318},	// KProcess::setEnv$$
    {87, 2637, 2296},	// KProcess::setEnv$$$
    {87, 2808, 2295},	// KProcess::setNextOpenMode$
    {87, 2820, 2293},	// KProcess::setOutputChannelMode$
    {87, 2851, 2319},	// KProcess::setProgram$
    {87, 2852, 2299},	// KProcess::setProgram$?
    {87, 2853, 2300},	// KProcess::setProgram?
    {87, 2879, 2304},	// KProcess::setShellCommand$
    {87, 2989, 2306},	// KProcess::start
    {87, 2991, 2310},	// KProcess::startDetached
    {87, 2992, 2324},	// KProcess::startDetached$
    {87, 2993, 2311},	// KProcess::startDetached$?
    {87, 2994, 2312},	// KProcess::startDetached?
    {87, 3047, 2325},	// KProcess::staticMetaObject
    {87, 3149, 2315},	// KProcess::tr$
    {87, 3150, 2287},	// KProcess::tr$$
    {87, 3151, 2289},	// KProcess::tr$$$
    {87, 3156, 2316},	// KProcess::trUtf8$
    {87, 3157, 2288},	// KProcess::trUtf8$$
    {87, 3158, 2290},	// KProcess::trUtf8$$$
    {87, 3206, 2297},	// KProcess::unsetEnv$
    {87, 3416, 2331},	// KProcess::~KProcess
    {89, 105, 2408},	// KProtocolInfo::DisplayName
    {89, 147, 2407},	// KProtocolInfo::FromUrl
    {89, 451, 2351},	// KProtocolInfo::KProtocolInfo#$
    {89, 614, 2406},	// KProtocolInfo::Name
    {89, 745, 2405},	// KProtocolInfo::T_ERROR
    {89, 746, 2403},	// KProtocolInfo::T_FILESYSTEM
    {89, 747, 2404},	// KProtocolInfo::T_NONE
    {89, 748, 2402},	// KProtocolInfo::T_STREAM
    {89, 1051, 2353},	// KProtocolInfo::archiveMimeTypes
    {89, 1119, 2356},	// KProtocolInfo::canDeleteRecursive
    {89, 1121, 2354},	// KProtocolInfo::canRenameFromFile
    {89, 1122, 2355},	// KProtocolInfo::canRenameToFile
    {89, 1124, 2349},	// KProtocolInfo::capabilities$
    {89, 1186, 2342},	// KProtocolInfo::config$
    {89, 1341, 2352},	// KProtocolInfo::defaultMimeType
    {89, 1378, 2345},	// KProtocolInfo::determineMimetypeFromExtension$
    {89, 1403, 2346},	// KProtocolInfo::docPath$
    {89, 1464, 2335},	// KProtocolInfo::exec$
    {89, 1497, 2336},	// KProtocolInfo::extraFields#
    {89, 1517, 2357},	// KProtocolInfo::fileNameUsedForCopying
    {89, 1731, 2341},	// KProtocolInfo::icon$
    {89, 1830, 2339},	// KProtocolInfo::isFilterProtocol#
    {89, 1831, 2340},	// KProtocolInfo::isFilterProtocol$
    {89, 1838, 2337},	// KProtocolInfo::isHelperProtocol#
    {89, 1839, 2338},	// KProtocolInfo::isHelperProtocol$
    {89, 1844, 2333},	// KProtocolInfo::isKnownProtocol#
    {89, 1845, 2334},	// KProtocolInfo::isKnownProtocol$
    {89, 2031, 2394},	// KProtocolInfo::m_canCopyFromFile
    {89, 2032, 2396},	// KProtocolInfo::m_canCopyToFile
    {89, 2033, 2398},	// KProtocolInfo::m_config
    {89, 2034, 2388},	// KProtocolInfo::m_defaultMimetype
    {89, 2035, 2390},	// KProtocolInfo::m_determineMimetypeFromExtension
    {89, 2037, 2360},	// KProtocolInfo::m_exec
    {89, 2038, 2392},	// KProtocolInfo::m_icon
    {89, 2039, 2362},	// KProtocolInfo::m_inputType
    {89, 2040, 2370},	// KProtocolInfo::m_isHelperProtocol
    {89, 2041, 2368},	// KProtocolInfo::m_isSourceProtocol
    {89, 2042, 2366},	// KProtocolInfo::m_listing
    {89, 2043, 2400},	// KProtocolInfo::m_maxSlaves
    {89, 2044, 2358},	// KProtocolInfo::m_name
    {89, 2045, 2364},	// KProtocolInfo::m_outputType
    {89, 2047, 2380},	// KProtocolInfo::m_supportsDeleting
    {89, 2048, 2382},	// KProtocolInfo::m_supportsLinking
    {89, 2049, 2372},	// KProtocolInfo::m_supportsListing
    {89, 2050, 2378},	// KProtocolInfo::m_supportsMakeDir
    {89, 2051, 2384},	// KProtocolInfo::m_supportsMoving
    {89, 2052, 2386},	// KProtocolInfo::m_supportsOpening
    {89, 2053, 2374},	// KProtocolInfo::m_supportsReading
    {89, 2054, 2376},	// KProtocolInfo::m_supportsWriting
    {89, 2068, 2343},	// KProtocolInfo::maxSlaves$
    {89, 2070, 2344},	// KProtocolInfo::maxSlavesPerHost$
    {89, 2304, 2347},	// KProtocolInfo::protocolClass$
    {89, 2305, 2332},	// KProtocolInfo::protocols
    {89, 2307, 2350},	// KProtocolInfo::proxiedBy$
    {89, 2722, 2395},	// KProtocolInfo::setM_canCopyFromFile$
    {89, 2724, 2397},	// KProtocolInfo::setM_canCopyToFile$
    {89, 2726, 2399},	// KProtocolInfo::setM_config$
    {89, 2728, 2389},	// KProtocolInfo::setM_defaultMimetype$
    {89, 2730, 2391},	// KProtocolInfo::setM_determineMimetypeFromExtension$
    {89, 2734, 2361},	// KProtocolInfo::setM_exec$
    {89, 2736, 2393},	// KProtocolInfo::setM_icon$
    {89, 2738, 2363},	// KProtocolInfo::setM_inputType$
    {89, 2740, 2371},	// KProtocolInfo::setM_isHelperProtocol$
    {89, 2742, 2369},	// KProtocolInfo::setM_isSourceProtocol$
    {89, 2744, 2367},	// KProtocolInfo::setM_listing?
    {89, 2746, 2401},	// KProtocolInfo::setM_maxSlaves$
    {89, 2748, 2359},	// KProtocolInfo::setM_name$
    {89, 2750, 2365},	// KProtocolInfo::setM_outputType$
    {89, 2754, 2381},	// KProtocolInfo::setM_supportsDeleting$
    {89, 2756, 2383},	// KProtocolInfo::setM_supportsLinking$
    {89, 2758, 2373},	// KProtocolInfo::setM_supportsListing$
    {89, 2760, 2379},	// KProtocolInfo::setM_supportsMakeDir$
    {89, 2762, 2385},	// KProtocolInfo::setM_supportsMoving$
    {89, 2764, 2387},	// KProtocolInfo::setM_supportsOpening$
    {89, 2766, 2375},	// KProtocolInfo::setM_supportsReading$
    {89, 2768, 2377},	// KProtocolInfo::setM_supportsWriting$
    {89, 2956, 2348},	// KProtocolInfo::showFilePreview$
    {89, 3417, 2409},	// KProtocolInfo::~KProtocolInfo
    {90, 83, 2418},	// KProtocolInfo::ExtraField::DateTime
    {90, 132, 2410},	// KProtocolInfo::ExtraField::ExtraField
    {90, 133, 2412},	// KProtocolInfo::ExtraField::ExtraField#
    {90, 134, 2411},	// KProtocolInfo::ExtraField::ExtraField$$
    {90, 180, 2419},	// KProtocolInfo::ExtraField::Invalid
    {90, 740, 2417},	// KProtocolInfo::ExtraField::String
    {90, 2119, 2413},	// KProtocolInfo::ExtraField::name
    {90, 2800, 2414},	// KProtocolInfo::ExtraField::setName$
    {90, 2923, 2416},	// KProtocolInfo::ExtraField::setType$
    {90, 3191, 2415},	// KProtocolInfo::ExtraField::type
    {90, 3350, 2420},	// KProtocolInfo::ExtraField::~ExtraField
    {91, 2337, 2422},	// KRandom::random
    {91, 2339, 2421},	// KRandom::randomString$
    {92, 452, 2431},	// KRandomSequence::KRandomSequence
    {92, 453, 2424},	// KRandomSequence::KRandomSequence#
    {92, 454, 2423},	// KRandomSequence::KRandomSequence$
    {92, 1654, 2429},	// KRandomSequence::getBool
    {92, 1657, 2427},	// KRandomSequence::getDouble
    {92, 1661, 2428},	// KRandomSequence::getLong$
    {92, 2089, 2430},	// KRandomSequence::modulate$
    {92, 2200, 2425},	// KRandomSequence::operator=#
    {92, 2872, 2432},	// KRandomSequence::setSeed
    {92, 2873, 2426},	// KRandomSequence::setSeed$
    {92, 3418, 2433},	// KRandomSequence::~KRandomSequence
    {93, 474, 2434},	// KSaveFile::KSaveFile
    {93, 475, 2449},	// KSaveFile::KSaveFile$
    {93, 476, 2435},	// KSaveFile::KSaveFile$#
    {93, 843, 2441},	// KSaveFile::abort
    {93, 1084, 2451},	// KSaveFile::backupFile$
    {93, 1085, 2445},	// KSaveFile::backupFile$$
    {93, 1390, 2444},	// KSaveFile::directWriteFallback
    {93, 1451, 2438},	// KSaveFile::error
    {93, 1454, 2439},	// KSaveFile::errorString
    {93, 1515, 2437},	// KSaveFile::fileName
    {93, 1519, 2442},	// KSaveFile::finalize
    {93, 2142, 2454},	// KSaveFile::numberedBackupFile$
    {93, 2143, 2455},	// KSaveFile::numberedBackupFile$$
    {93, 2144, 2456},	// KSaveFile::numberedBackupFile$$$
    {93, 2145, 2447},	// KSaveFile::numberedBackupFile$$$$
    {93, 2162, 2450},	// KSaveFile::open
    {93, 2163, 2440},	// KSaveFile::open$
    {93, 2343, 2457},	// KSaveFile::rcsBackupFile$
    {93, 2344, 2458},	// KSaveFile::rcsBackupFile$$
    {93, 2345, 2448},	// KSaveFile::rcsBackupFile$$$
    {93, 2627, 2443},	// KSaveFile::setDirectWriteFallback$
    {93, 2657, 2436},	// KSaveFile::setFileName$
    {93, 2960, 2452},	// KSaveFile::simpleBackupFile$
    {93, 2961, 2453},	// KSaveFile::simpleBackupFile$$
    {93, 2962, 2446},	// KSaveFile::simpleBackupFile$$$
    {93, 3419, 2459},	// KSaveFile::~KSaveFile
    {94, 78, 2516},	// KService::DBusMulti
    {94, 79, 2514},	// KService::DBusNone
    {94, 80, 2515},	// KService::DBusUnique
    {94, 81, 2517},	// KService::DBusWait
    {94, 478, 2462},	// KService::KService#
    {94, 479, 2463},	// KService::KService#$
    {94, 480, 2461},	// KService::KService$
    {94, 481, 2460},	// KService::KService$$$
    {94, 857, 2490},	// KService::actions
    {94, 1032, 2510},	// KService::allServices
    {94, 1038, 2489},	// KService::allowAsDefault
    {94, 1040, 2491},	// KService::allowMultipleFiles
    {94, 1130, 2483},	// KService::categories
    {94, 1176, 2479},	// KService::comment
    {94, 1322, 2477},	// KService::dbusStartupType
    {94, 1370, 2474},	// KService::desktopEntryName
    {94, 1371, 2473},	// KService::desktopEntryPath
    {94, 1402, 2497},	// KService::docPath
    {94, 1463, 2466},	// KService::exec
    {94, 1653, 2480},	// KService::genericName
    {94, 1699, 2487},	// KService::hasMimeType#
    {94, 1700, 2488},	// KService::hasMimeType$
    {94, 1712, 2486},	// KService::hasServiceType$
    {94, 1730, 2468},	// KService::icon
    {94, 1756, 2492},	// KService::initialPreference
    {94, 1790, 2464},	// KService::isApplication
    {94, 1943, 2482},	// KService::keywords
    {94, 1984, 2467},	// KService::library
    {94, 2013, 2500},	// KService::locateLocal
    {94, 2073, 2475},	// KService::menuId
    {94, 2081, 2484},	// KService::mimeTypes
    {94, 2133, 2512},	// KService::newServicePath$$
    {94, 2134, 2513},	// KService::newServicePath$$$
    {94, 2135, 2511},	// KService::newServicePath$$$?
    {94, 2137, 2493},	// KService::noDisplay
    {94, 2230, 2495},	// KService::parentApp
    {94, 2241, 2478},	// KService::path
    {94, 2257, 2496},	// KService::pluginKeyword
    {94, 2295, 2499},	// KService::property$
    {94, 2296, 2498},	// KService::property$$
    {94, 2498, 2507},	// KService::serviceByDesktopName$
    {94, 2500, 2506},	// KService::serviceByDesktopPath$
    {94, 2502, 2508},	// KService::serviceByMenuId$
    {94, 2504, 2505},	// KService::serviceByName$
    {94, 2506, 2509},	// KService::serviceByStorageId$
    {94, 2512, 2485},	// KService::serviceTypes
    {94, 2651, 2504},	// KService::setExec$
    {94, 2784, 2501},	// KService::setMenuId$
    {94, 2898, 2502},	// KService::setTerminal$
    {94, 2900, 2503},	// KService::setTerminalOptions$
    {94, 2957, 2494},	// KService::showInKDE
    {94, 3055, 2476},	// KService::storageId
    {94, 3073, 2471},	// KService::substituteUid
    {94, 3103, 2469},	// KService::terminal
    {94, 3104, 2470},	// KService::terminalOptions
    {94, 3191, 2465},	// KService::type
    {94, 3207, 2481},	// KService::untranslatedGenericName
    {94, 3230, 2472},	// KService::username
    {94, 3420, 2518},	// KService::~KService
    {95, 482, 2520},	// KServiceAction::KServiceAction
    {95, 483, 2521},	// KServiceAction::KServiceAction#
    {95, 484, 2531},	// KServiceAction::KServiceAction$$$$
    {95, 485, 2519},	// KServiceAction::KServiceAction$$$$$
    {95, 1262, 2524},	// KServiceAction::data
    {95, 1463, 2528},	// KServiceAction::exec
    {95, 1730, 2527},	// KServiceAction::icon
    {95, 1871, 2530},	// KServiceAction::isSeparator
    {95, 2119, 2525},	// KServiceAction::name
    {95, 2137, 2529},	// KServiceAction::noDisplay
    {95, 2200, 2522},	// KServiceAction::operator=#
    {95, 2583, 2523},	// KServiceAction::setData#
    {95, 3108, 2526},	// KServiceAction::text
    {95, 3421, 2532},	// KServiceAction::~KServiceAction
    {96, 18, 2574},	// KServiceGroup::AllowSeparators
    {96, 127, 2573},	// KServiceGroup::ExcludeNoDisplay
    {96, 487, 2535},	// KServiceGroup::KServiceGroup#$$
    {96, 488, 2533},	// KServiceGroup::KServiceGroup$
    {96, 489, 2534},	// KServiceGroup::KServiceGroup$$
    {96, 627, 2571},	// KServiceGroup::NoOptions
    {96, 725, 2575},	// KServiceGroup::SortByGenericName
    {96, 726, 2572},	// KServiceGroup::SortEntries
    {96, 892, 2566},	// KServiceGroup::addEntry?
    {96, 1039, 2548},	// KServiceGroup::allowInline
    {96, 1096, 2562},	// KServiceGroup::baseGroup$
    {96, 1097, 2560},	// KServiceGroup::baseGroupName
    {96, 1125, 2537},	// KServiceGroup::caption
    {96, 1151, 2540},	// KServiceGroup::childCount
    {96, 1154, 2565},	// KServiceGroup::childGroup$
    {96, 1176, 2539},	// KServiceGroup::comment
    {96, 1393, 2561},	// KServiceGroup::directoryEntryPath
    {96, 1431, 2568},	// KServiceGroup::entries
    {96, 1432, 2557},	// KServiceGroup::entries$
    {96, 1433, 2556},	// KServiceGroup::entries$$
    {96, 1434, 2567},	// KServiceGroup::entries$$$
    {96, 1435, 2555},	// KServiceGroup::entries$$$$
    {96, 1669, 2564},	// KServiceGroup::group$
    {96, 1670, 2569},	// KServiceGroup::groupEntries
    {96, 1671, 2558},	// KServiceGroup::groupEntries$
    {96, 1730, 2538},	// KServiceGroup::icon
    {96, 1757, 2546},	// KServiceGroup::inlineAlias
    {96, 1758, 2550},	// KServiceGroup::inlineValue
    {96, 1979, 2554},	// KServiceGroup::layoutInfo
    {96, 2137, 2541},	// KServiceGroup::noDisplay
    {96, 2419, 2536},	// KServiceGroup::relPath
    {96, 2473, 2563},	// KServiceGroup::root
    {96, 2507, 2570},	// KServiceGroup::serviceEntries
    {96, 2508, 2559},	// KServiceGroup::serviceEntries$
    {96, 2520, 2549},	// KServiceGroup::setAllowInline$
    {96, 2680, 2547},	// KServiceGroup::setInlineAlias$
    {96, 2682, 2551},	// KServiceGroup::setInlineValue$
    {96, 2698, 2553},	// KServiceGroup::setLayoutInfo?
    {96, 2883, 2543},	// KServiceGroup::setShowEmptyMenu$
    {96, 2885, 2545},	// KServiceGroup::setShowInlineHeader$
    {96, 2953, 2542},	// KServiceGroup::showEmptyMenu
    {96, 2958, 2544},	// KServiceGroup::showInlineHeader
    {96, 3079, 2552},	// KServiceGroup::suppressGenericNames
    {96, 3422, 2576},	// KServiceGroup::~KServiceGroup
    {97, 491, -115},	// KServiceType::KServiceType#
    {97, 492, 2578},	// KServiceType::KServiceType#$
    {97, 493, 2593},	// KServiceType::KServiceType#$$
    {97, 1031, 2591},	// KServiceType::allServiceTypes
    {97, 1176, 2579},	// KServiceType::comment
    {97, 1371, 2580},	// KServiceType::desktopEntryPath
    {97, 1747, 2583},	// KServiceType::inherits$
    {97, 1814, 2581},	// KServiceType::isDerived
    {97, 2233, 2582},	// KServiceType::parentServiceType
    {97, 2234, 2587},	// KServiceType::parentType
    {97, 2298, 2584},	// KServiceType::propertyDef$
    {97, 2299, 2585},	// KServiceType::propertyDefNames
    {97, 2300, 2586},	// KServiceType::propertyDefs
    {97, 2509, 2589},	// KServiceType::serviceOffersOffset
    {97, 2511, 2590},	// KServiceType::serviceType$
    {97, 2875, 2588},	// KServiceType::setServiceOffersOffset$
    {97, 3423, 2594},	// KServiceType::~KServiceType
    {99, 1048, 2599},	// KServiceTypeTrader::applyConstraints?$
    {99, 1344, 2601},	// KServiceTypeTrader::defaultOffers$
    {99, 1345, 2596},	// KServiceTypeTrader::defaultOffers$$
    {99, 2271, 2597},	// KServiceTypeTrader::preferredService$
    {99, 2321, 2600},	// KServiceTypeTrader::query$
    {99, 2322, 2595},	// KServiceTypeTrader::query$$
    {99, 2493, 2598},	// KServiceTypeTrader::self
    {99, 3424, 2602},	// KServiceTypeTrader::~KServiceTypeTrader
    {100, 2166, 2605},	// KSharedConfig::openConfig
    {100, 2167, 2608},	// KSharedConfig::openConfig#
    {100, 2168, 2609},	// KSharedConfig::openConfig#$
    {100, 2169, 2610},	// KSharedConfig::openConfig#$$
    {100, 2170, 2604},	// KSharedConfig::openConfig#$$$
    {100, 2171, 2606},	// KSharedConfig::openConfig$
    {100, 2172, 2607},	// KSharedConfig::openConfig$$
    {100, 2173, 2603},	// KSharedConfig::openConfig$$$
    {100, 3425, 2611},	// KSharedConfig::~KSharedConfig
    {101, 2, 2620},	// KShell::AbortOnMeta
    {101, 38, 2622},	// KShell::BadQuoting
    {101, 146, 2623},	// KShell::FoundMeta
    {101, 624, 2621},	// KShell::NoError
    {101, 627, 2618},	// KShell::NoOptions
    {101, 756, 2619},	// KShell::TildeExpand
    {101, 1904, 2617},	// KShell::joinArgs?
    {101, 2329, 2616},	// KShell::quoteArg$
    {101, 2980, 2614},	// KShell::splitArgs$
    {101, 2981, 2615},	// KShell::splitArgs$$
    {101, 2982, 2613},	// KShell::splitArgs$$$
    {101, 3111, 2612},	// KShell::tildeExpand$
    {102, 1190, 2642},	// KSocketFactory::connectToHost#
    {102, 1191, -234},	// KSocketFactory::connectToHost##
    {102, 1192, 2638},	// KSocketFactory::connectToHost#$$$
    {102, 1193, 2625},	// KSocketFactory::connectToHost$$$
    {102, 1194, 2624},	// KSocketFactory::connectToHost$$$#
    {102, 1268, 2634},	// KSocketFactory::datagramSocket$$
    {102, 1269, 2633},	// KSocketFactory::datagramSocket$$#
    {102, 1992, 2630},	// KSocketFactory::listen$
    {102, 1993, 2631},	// KSocketFactory::listen$#
    {102, 1994, 2632},	// KSocketFactory::listen$#$
    {102, 1995, 2629},	// KSocketFactory::listen$#$#
    {102, 2309, 2639},	// KSocketFactory::proxyForConnection$$
    {102, 2311, 2640},	// KSocketFactory::proxyForDatagram$$
    {102, 2313, 2646},	// KSocketFactory::proxyForListening$
    {102, 3088, 2636},	// KSocketFactory::synchronousConnectToHost#
    {102, 3089, 2645},	// KSocketFactory::synchronousConnectToHost##
    {102, 3090, 2644},	// KSocketFactory::synchronousConnectToHost##$
    {102, 3091, 2637},	// KSocketFactory::synchronousConnectToHost#$
    {102, 3092, 2635},	// KSocketFactory::synchronousConnectToHost#$#
    {102, 3093, 2648},	// KSocketFactory::synchronousConnectToHost#$$$
    {102, 3094, 2647},	// KSocketFactory::synchronousConnectToHost#$$$$
    {102, 3095, 2627},	// KSocketFactory::synchronousConnectToHost$$$
    {102, 3096, 2628},	// KSocketFactory::synchronousConnectToHost$$$$
    {102, 3097, 2626},	// KSocketFactory::synchronousConnectToHost$$$$#
    {103, 173, 2710},	// KStandardDirs::IgnoreExecBit
    {103, 494, 2649},	// KStandardDirs::KStandardDirs
    {103, 623, 2709},	// KStandardDirs::NoDuplicates
    {103, 630, 2707},	// KStandardDirs::NoSearchOptions
    {103, 693, 2708},	// KStandardDirs::Recursive
    {103, 885, 2667},	// KStandardDirs::addCustomized#
    {103, 984, 2650},	// KStandardDirs::addPrefix$
    {103, 988, 2691},	// KStandardDirs::addResourceDir$$
    {103, 989, 2656},	// KStandardDirs::addResourceDir$$$
    {103, 991, 2688},	// KStandardDirs::addResourceType$$
    {103, 992, -270},	// KStandardDirs::addResourceType$$$
    {103, 993, -274},	// KStandardDirs::addResourceType$$$$
    {103, 1012, 2651},	// KStandardDirs::addXdgConfigPrefix$
    {103, 1014, 2652},	// KStandardDirs::addXdgDataPrefix$
    {103, 1035, 2669},	// KStandardDirs::allTypes
    {103, 1105, 2693},	// KStandardDirs::calcResourceHash$$
    {103, 1106, 2659},	// KStandardDirs::calcResourceHash$$$
    {103, 1140, 2687},	// KStandardDirs::checkAccess$$
    {103, 1479, 2681},	// KStandardDirs::exists$
    {103, 1521, 2699},	// KStandardDirs::findAllExe?$
    {103, 1522, 2700},	// KStandardDirs::findAllExe?$$
    {103, 1523, 2666},	// KStandardDirs::findAllExe?$$$
    {103, 1525, 2694},	// KStandardDirs::findAllResources$
    {103, 1526, 2695},	// KStandardDirs::findAllResources$$
    {103, 1527, 2662},	// KStandardDirs::findAllResources$$$
    {103, 1528, 2663},	// KStandardDirs::findAllResources$$$?
    {103, 1553, 2660},	// KStandardDirs::findDirs$$
    {103, 1557, 2697},	// KStandardDirs::findExe$
    {103, 1558, 2698},	// KStandardDirs::findExe$$
    {103, 1559, 2665},	// KStandardDirs::findExe$$$
    {103, 1572, 2657},	// KStandardDirs::findResource$$
    {103, 1574, 2661},	// KStandardDirs::findResourceDir$$
    {103, 1762, 2680},	// KStandardDirs::installPath$
    {103, 1868, 2692},	// KStandardDirs::isRestrictedResource$
    {103, 1869, 2658},	// KStandardDirs::isRestrictedResource$$
    {103, 1924, 2673},	// KStandardDirs::kde_default$
    {103, 1944, 2674},	// KStandardDirs::kfsstnd_prefixes
    {103, 1945, 2675},	// KStandardDirs::kfsstnd_xdg_conf_prefixes
    {103, 1946, 2676},	// KStandardDirs::kfsstnd_xdg_data_prefixes
    {103, 2007, 2677},	// KStandardDirs::localkdedir
    {103, 2008, 2679},	// KStandardDirs::localxdgconfdir
    {103, 2009, 2678},	// KStandardDirs::localxdgdatadir
    {103, 2011, 2704},	// KStandardDirs::locate$$
    {103, 2012, 2684},	// KStandardDirs::locate$$#
    {103, 2015, 2705},	// KStandardDirs::locateLocal$$
    {103, 2016, 2685},	// KStandardDirs::locateLocal$$#
    {103, 2017, 2706},	// KStandardDirs::locateLocal$$$
    {103, 2018, 2686},	// KStandardDirs::locateLocal$$$#
    {103, 2058, 2703},	// KStandardDirs::makeDir$
    {103, 2059, 2672},	// KStandardDirs::makeDir$$
    {103, 2409, 2683},	// KStandardDirs::realFilePath$
    {103, 2412, 2682},	// KStandardDirs::realPath$
    {103, 2421, 2671},	// KStandardDirs::relativeLocation$$
    {103, 2465, 2668},	// KStandardDirs::resourceDirs$
    {103, 2482, 2701},	// KStandardDirs::saveLocation$
    {103, 2483, 2702},	// KStandardDirs::saveLocation$$
    {103, 2484, 2670},	// KStandardDirs::saveLocation$$$
    {103, 3098, 2696},	// KStandardDirs::systemPaths
    {103, 3099, 2664},	// KStandardDirs::systemPaths$
    {103, 3426, 2711},	// KStandardDirs::~KStandardDirs
    {104, 1127, 2728},	// KStringHandler::capwords$
    {104, 1128, 2717},	// KStringHandler::capwords?
    {104, 1238, 2727},	// KStringHandler::csqueeze$
    {104, 1239, 2726},	// KStringHandler::csqueeze$$
    {104, 1624, 2729},	// KStringHandler::from8Bit$
    {104, 1887, 2730},	// KStringHandler::isUtf8$
    {104, 2025, 2721},	// KStringHandler::lsqueeze$
    {104, 2026, 2720},	// KStringHandler::lsqueeze$$
    {104, 2126, 2719},	// KStringHandler::naturalCompare$$
    {104, 2127, 2718},	// KStringHandler::naturalCompare$$$
    {104, 2149, 2716},	// KStringHandler::obscure$
    {104, 2250, -135},	// KStringHandler::perlSplit#$
    {104, 2251, -138},	// KStringHandler::perlSplit#$$
    {104, 2252, 2724},	// KStringHandler::perlSplit$$
    {104, 2253, 2723},	// KStringHandler::perlSplit$$$
    {104, 2269, 2722},	// KStringHandler::preProcessWrap$
    {104, 2475, 2732},	// KStringHandler::rsqueeze$
    {104, 2476, 2731},	// KStringHandler::rsqueeze$$
    {104, 3101, 2725},	// KStringHandler::tagUrls$
    {105, 151, 2768},	// KSycoca::GlobalDatabase
    {105, 496, 2740},	// KSycoca::KSycoca$
    {105, 587, 2767},	// KSycoca::LocalDatabase
    {105, 846, 2763},	// KSycoca::absoluteFilePath
    {105, 847, 2746},	// KSycoca::absoluteFilePath?
    {105, 894, 2751},	// KSycoca::addFactory#
    {105, 1030, 2750},	// KSycoca::allResourceDirs
    {105, 1265, 2757},	// KSycoca::databaseChanged
    {105, 1266, 2758},	// KSycoca::databaseChanged?
    {105, 1395, 2753},	// KSycoca::disableAutoRebuild
    {105, 1501, 2759},	// KSycoca::factories
    {105, 1555, 2743},	// KSycoca::findEntry$$
    {105, 1561, 2744},	// KSycoca::findFactory$
    {105, 1584, 2755},	// KSycoca::flagError
    {105, 1798, 2742},	// KSycoca::isAvailable
    {105, 1803, 2752},	// KSycoca::isBuilding
    {105, 1805, 2754},	// KSycoca::isChanged$
    {105, 1944, 2745},	// KSycoca::kfsstnd_prefixes
    {105, 1964, 2747},	// KSycoca::language
    {105, 2046, 2765},	// KSycoca::m_str_deprecated
    {105, 2077, 2733},	// KSycoca::metaObject
    {105, 2317, 2739},	// KSycoca::qt_metacall$$?
    {105, 2319, 2734},	// KSycoca::qt_metacast$
    {105, 2373, 2756},	// KSycoca::readError
    {105, 2752, 2766},	// KSycoca::setM_str_deprecated#
    {105, 3047, 2764},	// KSycoca::staticMetaObject
    {105, 3058, 2760},	// KSycoca::stream
    {105, 3115, 2748},	// KSycoca::timeStamp
    {105, 3149, 2761},	// KSycoca::tr$
    {105, 3150, 2735},	// KSycoca::tr$$
    {105, 3151, 2737},	// KSycoca::tr$$$
    {105, 3156, 2762},	// KSycoca::trUtf8$
    {105, 3157, 2736},	// KSycoca::trUtf8$$
    {105, 3158, 2738},	// KSycoca::trUtf8$$$
    {105, 3215, 2749},	// KSycoca::updateSignature
    {105, 3251, 2741},	// KSycoca::version
    {105, 3427, 2769},	// KSycoca::~KSycoca
    {106, 497, 2770},	// KSycocaEntry::KSycocaEntry
    {106, 498, 2786},	// KSycocaEntry::KSycocaEntry#
    {106, 1438, 2776},	// KSycocaEntry::entryPath
    {106, 1813, 2779},	// KSycocaEntry::isDeleted
    {106, 1871, 2783},	// KSycocaEntry::isSeparator
    {106, 1884, 2771},	// KSycocaEntry::isType$
    {106, 1888, 2778},	// KSycocaEntry::isValid
    {106, 2119, 2775},	// KSycocaEntry::name
    {106, 2152, 2784},	// KSycocaEntry::offset
    {106, 2295, 2780},	// KSycocaEntry::property$
    {106, 2301, 2781},	// KSycocaEntry::propertyNames
    {106, 2347, 2773},	// KSycocaEntry::read#$
    {106, 2348, 2774},	// KSycocaEntry::read#?
    {106, 2478, 2785},	// KSycocaEntry::save#
    {106, 2618, 2782},	// KSycocaEntry::setDeleted$
    {106, 3055, 2777},	// KSycocaEntry::storageId
    {106, 3084, 2772},	// KSycocaEntry::sycocaType
    {106, 3428, 2787},	// KSycocaEntry::~KSycocaEntry
    {110, 500, 2789},	// KSystemTimeZone::KSystemTimeZone#
    {110, 501, 2790},	// KSystemTimeZone::KSystemTimeZone#$
    {110, 502, 2791},	// KSystemTimeZone::KSystemTimeZone#$$
    {110, 503, 2792},	// KSystemTimeZone::KSystemTimeZone#$$$
    {110, 504, 2793},	// KSystemTimeZone::KSystemTimeZone#$$$$
    {110, 505, 2788},	// KSystemTimeZone::KSystemTimeZone#$$$$$
    {110, 3429, 2794},	// KSystemTimeZone::~KSystemTimeZone
    {111, 507, 2803},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#
    {111, 508, 2795},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#$$$$$
    {111, 1165, 2796},	// KSystemTimeZoneBackend::clone
    {111, 1819, 2802},	// KSystemTimeZoneBackend::isDst#$
    {111, 1823, 2801},	// KSystemTimeZoneBackend::isDstAtUtc##
    {111, 2153, 2800},	// KSystemTimeZoneBackend::offset#$
    {111, 2157, 2799},	// KSystemTimeZoneBackend::offsetAtUtc##
    {111, 2160, 2798},	// KSystemTimeZoneBackend::offsetAtZoneTime##$
    {111, 3191, 2797},	// KSystemTimeZoneBackend::type
    {111, 3430, 2804},	// KSystemTimeZoneBackend::~KSystemTimeZoneBackend
    {112, 509, 2805},	// KSystemTimeZoneSource::KSystemTimeZoneSource
    {112, 510, 2809},	// KSystemTimeZoneSource::KSystemTimeZoneSource#
    {112, 1430, 2808},	// KSystemTimeZoneSource::endParseBlock
    {112, 2237, 2806},	// KSystemTimeZoneSource::parse#
    {112, 2995, 2807},	// KSystemTimeZoneSource::startParseBlock
    {112, 3431, 2810},	// KSystemTimeZoneSource::~KSystemTimeZoneSource
    {113, 1877, 2825},	// KSystemTimeZones::isSimulated
    {113, 1882, 2827},	// KSystemTimeZones::isTimeZoneDaemonAvailable
    {113, 2001, 2822},	// KSystemTimeZones::local
    {113, 2077, 2811},	// KSystemTimeZones::metaObject
    {113, 2317, 2817},	// KSystemTimeZones::qt_metacall$$?
    {113, 2319, 2812},	// KSystemTimeZones::qt_metacast$
    {113, 2406, 2821},	// KSystemTimeZones::readZone$
    {113, 2410, 2823},	// KSystemTimeZones::realLocalZone
    {113, 2708, 2824},	// KSystemTimeZones::setLocalZone#
    {113, 3047, 2830},	// KSystemTimeZones::staticMetaObject
    {113, 3118, 2818},	// KSystemTimeZones::timeZones
    {113, 3149, 2828},	// KSystemTimeZones::tr$
    {113, 3150, 2813},	// KSystemTimeZones::tr$$
    {113, 3151, 2815},	// KSystemTimeZones::tr$$$
    {113, 3156, 2829},	// KSystemTimeZones::trUtf8$
    {113, 3157, 2814},	// KSystemTimeZones::trUtf8$$
    {113, 3158, 2816},	// KSystemTimeZones::trUtf8$$$
    {113, 3341, 2820},	// KSystemTimeZones::zone$
    {113, 3342, 2826},	// KSystemTimeZones::zoneinfoDir
    {113, 3343, 2819},	// KSystemTimeZones::zones
    {113, 3432, 2831},	// KSystemTimeZones::~KSystemTimeZones
    {114, 511, 2841},	// KTempDir::KTempDir
    {114, 512, 2842},	// KTempDir::KTempDir$
    {114, 513, 2832},	// KTempDir::KTempDir$$
    {114, 1069, 2834},	// KTempDir::autoRemove
    {114, 1229, 2840},	// KTempDir::create$$
    {114, 1478, 2838},	// KTempDir::exists
    {114, 2119, 2836},	// KTempDir::name
    {114, 2436, 2839},	// KTempDir::removeDir$
    {114, 2539, 2833},	// KTempDir::setAutoRemove$
    {114, 3050, 2835},	// KTempDir::status
    {114, 3197, 2837},	// KTempDir::unlink
    {114, 3433, 2843},	// KTempDir::~KTempDir
    {115, 514, 2847},	// KTemporaryFile::KTemporaryFile
    {115, 515, 2844},	// KTemporaryFile::KTemporaryFile#
    {115, 2843, 2845},	// KTemporaryFile::setPrefix$
    {115, 2896, 2846},	// KTemporaryFile::setSuffix$
    {115, 3434, 2848},	// KTemporaryFile::~KTemporaryFile
    {116, 183, 2903},	// KTimeZone::InvalidOffset
    {116, 184, 2904},	// KTimeZone::InvalidTime_t
    {116, 516, 2849},	// KTimeZone::KTimeZone
    {116, 517, -277},	// KTimeZone::KTimeZone#
    {116, 518, 2850},	// KTimeZone::KTimeZone$
    {116, 772, 2905},	// KTimeZone::UNKNOWN
    {116, 841, 2863},	// KTimeZone::abbreviation#
    {116, 842, 2862},	// KTimeZone::abbreviations
    {116, 1176, 2861},	// KTimeZone::comment
    {116, 1203, 2865},	// KTimeZone::convert##
    {116, 1218, 2858},	// KTimeZone::countryCode
    {116, 1254, 2891},	// KTimeZone::currentOffset
    {116, 1255, 2868},	// KTimeZone::currentOffset$
    {116, 1262, 2901},	// KTimeZone::data
    {116, 1263, 2883},	// KTimeZone::data$
    {116, 1650, 2885},	// KTimeZone::fromTime_t$
    {116, 1717, 2875},	// KTimeZone::hasTransitions
    {116, 1820, 2873},	// KTimeZone::isDst$
    {116, 1822, 2872},	// KTimeZone::isDstAtUtc#
    {116, 1888, 2856},	// KTimeZone::isValid
    {116, 1978, 2859},	// KTimeZone::latitude
    {116, 1982, 2880},	// KTimeZone::leapSecondChanges
    {116, 2023, 2860},	// KTimeZone::longitude
    {116, 2119, 2857},	// KTimeZone::name
    {116, 2154, 2871},	// KTimeZone::offset$
    {116, 2156, 2870},	// KTimeZone::offsetAtUtc#
    {116, 2159, 2892},	// KTimeZone::offsetAtZoneTime#
    {116, 2161, 2869},	// KTimeZone::offsetAtZoneTime#$
    {116, 2176, 2854},	// KTimeZone::operator!=#
    {116, 2200, 2852},	// KTimeZone::operator=#
    {116, 2203, 2853},	// KTimeZone::operator==#
    {116, 2236, 2882},	// KTimeZone::parse
    {116, 2255, 2874},	// KTimeZone::phases
    {116, 2583, 2902},	// KTimeZone::setData#
    {116, 2584, 2889},	// KTimeZone::setData##
    {116, 2972, 2881},	// KTimeZone::source
    {116, 3136, 2886},	// KTimeZone::toTime_t#
    {116, 3138, 2866},	// KTimeZone::toUtc#
    {116, 3142, 2890},	// KTimeZone::toZoneTime#
    {116, 3143, 2867},	// KTimeZone::toZoneTime#$
    {116, 3162, 2895},	// KTimeZone::transition#
    {116, 3163, 2896},	// KTimeZone::transition#?
    {116, 3164, 2877},	// KTimeZone::transition#?$
    {116, 3166, 2897},	// KTimeZone::transitionIndex#
    {116, 3167, 2898},	// KTimeZone::transitionIndex#$
    {116, 3168, 2878},	// KTimeZone::transitionIndex#$$
    {116, 3170, 2899},	// KTimeZone::transitionTimes#
    {116, 3171, 2900},	// KTimeZone::transitionTimes##
    {116, 3172, 2879},	// KTimeZone::transitionTimes###
    {116, 3173, 2893},	// KTimeZone::transitions
    {116, 3174, 2894},	// KTimeZone::transitions#
    {116, 3175, 2876},	// KTimeZone::transitions##
    {116, 3191, 2855},	// KTimeZone::type
    {116, 3214, 2884},	// KTimeZone::updateBase#
    {116, 3237, 2887},	// KTimeZone::utc
    {116, 3239, 2864},	// KTimeZone::utcOffsets
    {116, 3435, 2906},	// KTimeZone::~KTimeZone
    {117, 567, 2907},	// KTimeZone::LeapSeconds::LeapSeconds
    {117, 568, 2909},	// KTimeZone::LeapSeconds::LeapSeconds#
    {117, 569, 2916},	// KTimeZone::LeapSeconds::LeapSeconds#$
    {117, 570, 2908},	// KTimeZone::LeapSeconds::LeapSeconds#$$
    {117, 1176, 2915},	// KTimeZone::LeapSeconds::comment
    {117, 1278, 2913},	// KTimeZone::LeapSeconds::dateTime
    {117, 1888, 2912},	// KTimeZone::LeapSeconds::isValid
    {117, 1983, 2914},	// KTimeZone::LeapSeconds::leapSeconds
    {117, 2186, 2911},	// KTimeZone::LeapSeconds::operator<#
    {117, 2200, 2910},	// KTimeZone::LeapSeconds::operator=#
    {117, 3448, 2917},	// KTimeZone::LeapSeconds::~LeapSeconds
    {118, 662, 2918},	// KTimeZone::Phase::Phase
    {118, 663, 2921},	// KTimeZone::Phase::Phase#
    {118, 664, 2929},	// KTimeZone::Phase::Phase$#$
    {118, 665, 2919},	// KTimeZone::Phase::Phase$#$$
    {118, 666, 2930},	// KTimeZone::Phase::Phase$?$
    {118, 667, 2920},	// KTimeZone::Phase::Phase$?$$
    {118, 842, 2926},	// KTimeZone::Phase::abbreviations
    {118, 1176, 2928},	// KTimeZone::Phase::comment
    {118, 1818, 2927},	// KTimeZone::Phase::isDst
    {118, 2176, 2924},	// KTimeZone::Phase::operator!=#
    {118, 2200, 2922},	// KTimeZone::Phase::operator=#
    {118, 2203, 2923},	// KTimeZone::Phase::operator==#
    {118, 3238, 2925},	// KTimeZone::Phase::utcOffset
    {118, 3450, 2931},	// KTimeZone::Phase::~Phase
    {119, 767, 2932},	// KTimeZone::Transition::Transition
    {119, 768, 2934},	// KTimeZone::Transition::Transition#
    {119, 769, 2933},	// KTimeZone::Transition::Transition##
    {119, 2186, 2938},	// KTimeZone::Transition::operator<#
    {119, 2200, 2935},	// KTimeZone::Transition::operator=#
    {119, 2254, 2937},	// KTimeZone::Transition::phase
    {119, 3112, 2936},	// KTimeZone::Transition::time
    {119, 3453, 2939},	// KTimeZone::Transition::~Transition
    {120, 519, 2940},	// KTimeZoneBackend::KTimeZoneBackend
    {120, 520, 2942},	// KTimeZoneBackend::KTimeZoneBackend#
    {120, 521, 2953},	// KTimeZoneBackend::KTimeZoneBackend#$
    {120, 522, 2954},	// KTimeZoneBackend::KTimeZoneBackend#$$
    {120, 523, 2955},	// KTimeZoneBackend::KTimeZoneBackend#$$$
    {120, 524, 2956},	// KTimeZoneBackend::KTimeZoneBackend#$$$$
    {120, 525, 2952},	// KTimeZoneBackend::KTimeZoneBackend#$$$$$
    {120, 526, 2941},	// KTimeZoneBackend::KTimeZoneBackend$
    {120, 1165, 2944},	// KTimeZoneBackend::clone
    {120, 1718, 2951},	// KTimeZoneBackend::hasTransitions#
    {120, 1819, 2950},	// KTimeZoneBackend::isDst#$
    {120, 1823, 2949},	// KTimeZoneBackend::isDstAtUtc##
    {120, 2153, 2948},	// KTimeZoneBackend::offset#$
    {120, 2157, 2947},	// KTimeZoneBackend::offsetAtUtc##
    {120, 2160, 2946},	// KTimeZoneBackend::offsetAtZoneTime##$
    {120, 2200, 2943},	// KTimeZoneBackend::operator=#
    {120, 3191, 2945},	// KTimeZoneBackend::type
    {120, 3436, 2957},	// KTimeZoneBackend::~KTimeZoneBackend
    {121, 527, 2958},	// KTimeZoneData::KTimeZoneData
    {121, 528, 2959},	// KTimeZoneData::KTimeZoneData#
    {121, 841, 2963},	// KTimeZoneData::abbreviation#
    {121, 842, 2962},	// KTimeZoneData::abbreviations
    {121, 1165, 2961},	// KTimeZoneData::clone
    {121, 1717, 2967},	// KTimeZoneData::hasTransitions
    {121, 1981, 2973},	// KTimeZoneData::leapSecondChange#
    {121, 1982, 2972},	// KTimeZoneData::leapSecondChanges
    {121, 2200, 2960},	// KTimeZoneData::operator=#
    {121, 2255, 2966},	// KTimeZoneData::phases
    {121, 2277, 2965},	// KTimeZoneData::previousUtcOffset
    {121, 2700, 2977},	// KTimeZoneData::setLeapSecondChanges?
    {121, 2832, 2974},	// KTimeZoneData::setPhases?#
    {121, 2833, 2975},	// KTimeZoneData::setPhases?$
    {121, 2918, 2976},	// KTimeZoneData::setTransitions?
    {121, 3162, 2980},	// KTimeZoneData::transition#
    {121, 3163, 2981},	// KTimeZoneData::transition#?
    {121, 3164, 2969},	// KTimeZoneData::transition#?$
    {121, 3166, 2982},	// KTimeZoneData::transitionIndex#
    {121, 3167, 2983},	// KTimeZoneData::transitionIndex#$
    {121, 3168, 2970},	// KTimeZoneData::transitionIndex#$$
    {121, 3170, 2984},	// KTimeZoneData::transitionTimes#
    {121, 3171, 2985},	// KTimeZoneData::transitionTimes##
    {121, 3172, 2971},	// KTimeZoneData::transitionTimes###
    {121, 3173, 2978},	// KTimeZoneData::transitions
    {121, 3174, 2979},	// KTimeZoneData::transitions#
    {121, 3175, 2968},	// KTimeZoneData::transitions##
    {121, 3239, 2964},	// KTimeZoneData::utcOffsets
    {121, 3437, 2986},	// KTimeZoneData::~KTimeZoneData
    {122, 529, 2987},	// KTimeZoneSource::KTimeZoneSource
    {122, 530, 2991},	// KTimeZoneSource::KTimeZoneSource#
    {122, 531, 2990},	// KTimeZoneSource::KTimeZoneSource$
    {122, 2237, 2988},	// KTimeZoneSource::parse#
    {122, 3226, 2989},	// KTimeZoneSource::useZoneParse
    {122, 3438, 2992},	// KTimeZoneSource::~KTimeZoneSource
    {123, 532, 2993},	// KTimeZones::KTimeZones
    {123, 860, 2996},	// KTimeZones::add#
    {123, 1161, 2999},	// KTimeZones::clear
    {123, 2429, 2997},	// KTimeZones::remove#
    {123, 2430, 2998},	// KTimeZones::remove$
    {123, 3341, 2994},	// KTimeZones::zone$
    {123, 3343, 2995},	// KTimeZones::zones
    {123, 3439, 3000},	// KTimeZones::~KTimeZones
    {124, 1768, 3036},	// KToolInvocation::invokeBrowser$
    {124, 1769, 3013},	// KToolInvocation::invokeBrowser$#
    {124, 1770, 3027},	// KToolInvocation::invokeHelp
    {124, 1771, 3028},	// KToolInvocation::invokeHelp$
    {124, 1772, 3029},	// KToolInvocation::invokeHelp$$
    {124, 1773, 3009},	// KToolInvocation::invokeHelp$$#
    {124, 1775, 3031},	// KToolInvocation::invokeMailer#
    {124, 1776, 3032},	// KToolInvocation::invokeMailer##
    {124, 1777, 3011},	// KToolInvocation::invokeMailer##$
    {124, 1778, 3030},	// KToolInvocation::invokeMailer$$
    {124, 1779, 3010},	// KToolInvocation::invokeMailer$$#
    {124, 1780, 3033},	// KToolInvocation::invokeMailer$$$$$
    {124, 1781, 3034},	// KToolInvocation::invokeMailer$$$$$$
    {124, 1782, 3035},	// KToolInvocation::invokeMailer$$$$$$?
    {124, 1783, 3012},	// KToolInvocation::invokeMailer$$$$$$?#
    {124, 1785, 3037},	// KToolInvocation::invokeTerminal$
    {124, 1786, 3038},	// KToolInvocation::invokeTerminal$$
    {124, 1787, 3014},	// KToolInvocation::invokeTerminal$$#
    {124, 1917, 3024},	// KToolInvocation::kapplication_hook?#
    {124, 1926, 3072},	// KToolInvocation::kdeinitExec$
    {124, 1927, 3073},	// KToolInvocation::kdeinitExec$?
    {124, 1928, 3074},	// KToolInvocation::kdeinitExec$?$
    {124, 1929, 3075},	// KToolInvocation::kdeinitExec$?$$
    {124, 1930, 3022},	// KToolInvocation::kdeinitExec$?$$#
    {124, 1932, 3076},	// KToolInvocation::kdeinitExecWait$
    {124, 1933, 3077},	// KToolInvocation::kdeinitExecWait$?
    {124, 1934, 3078},	// KToolInvocation::kdeinitExecWait$?$
    {124, 1935, 3079},	// KToolInvocation::kdeinitExecWait$?$$
    {124, 1936, 3023},	// KToolInvocation::kdeinitExecWait$?$$#
    {124, 1957, 3015},	// KToolInvocation::klauncher
    {124, 2077, 3001},	// KToolInvocation::metaObject
    {124, 2317, 3007},	// KToolInvocation::qt_metacall$$?
    {124, 2319, 3002},	// KToolInvocation::qt_metacast$
    {124, 2493, 3008},	// KToolInvocation::self
    {124, 2998, 3066},	// KToolInvocation::startServiceByDesktopName$
    {124, 2999, 3061},	// KToolInvocation::startServiceByDesktopName$$
    {124, 3000, 3062},	// KToolInvocation::startServiceByDesktopName$$$
    {124, 3001, 3063},	// KToolInvocation::startServiceByDesktopName$$$$
    {124, 3002, 3064},	// KToolInvocation::startServiceByDesktopName$$$$$
    {124, 3003, 3065},	// KToolInvocation::startServiceByDesktopName$$$$$#
    {124, 3004, 3020},	// KToolInvocation::startServiceByDesktopName$$$$$#$
    {124, 3005, 3067},	// KToolInvocation::startServiceByDesktopName$?
    {124, 3006, 3068},	// KToolInvocation::startServiceByDesktopName$?$
    {124, 3007, 3069},	// KToolInvocation::startServiceByDesktopName$?$$
    {124, 3008, 3070},	// KToolInvocation::startServiceByDesktopName$?$$$
    {124, 3009, 3071},	// KToolInvocation::startServiceByDesktopName$?$$$#
    {124, 3010, 3021},	// KToolInvocation::startServiceByDesktopName$?$$$#$
    {124, 3012, 3055},	// KToolInvocation::startServiceByDesktopPath$
    {124, 3013, 3050},	// KToolInvocation::startServiceByDesktopPath$$
    {124, 3014, 3051},	// KToolInvocation::startServiceByDesktopPath$$$
    {124, 3015, 3052},	// KToolInvocation::startServiceByDesktopPath$$$$
    {124, 3016, 3053},	// KToolInvocation::startServiceByDesktopPath$$$$$
    {124, 3017, 3054},	// KToolInvocation::startServiceByDesktopPath$$$$$#
    {124, 3018, 3018},	// KToolInvocation::startServiceByDesktopPath$$$$$#$
    {124, 3019, 3056},	// KToolInvocation::startServiceByDesktopPath$?
    {124, 3020, 3057},	// KToolInvocation::startServiceByDesktopPath$?$
    {124, 3021, 3058},	// KToolInvocation::startServiceByDesktopPath$?$$
    {124, 3022, 3059},	// KToolInvocation::startServiceByDesktopPath$?$$$
    {124, 3023, 3060},	// KToolInvocation::startServiceByDesktopPath$?$$$#
    {124, 3024, 3019},	// KToolInvocation::startServiceByDesktopPath$?$$$#$
    {124, 3026, 3044},	// KToolInvocation::startServiceByName$
    {124, 3027, 3039},	// KToolInvocation::startServiceByName$$
    {124, 3028, 3040},	// KToolInvocation::startServiceByName$$$
    {124, 3029, 3041},	// KToolInvocation::startServiceByName$$$$
    {124, 3030, 3042},	// KToolInvocation::startServiceByName$$$$$
    {124, 3031, 3043},	// KToolInvocation::startServiceByName$$$$$#
    {124, 3032, 3016},	// KToolInvocation::startServiceByName$$$$$#$
    {124, 3033, 3045},	// KToolInvocation::startServiceByName$?
    {124, 3034, 3046},	// KToolInvocation::startServiceByName$?$
    {124, 3035, 3047},	// KToolInvocation::startServiceByName$?$$
    {124, 3036, 3048},	// KToolInvocation::startServiceByName$?$$$
    {124, 3037, 3049},	// KToolInvocation::startServiceByName$?$$$#
    {124, 3038, 3017},	// KToolInvocation::startServiceByName$?$$$#$
    {124, 3047, 3080},	// KToolInvocation::staticMetaObject
    {124, 3149, 3025},	// KToolInvocation::tr$
    {124, 3150, 3003},	// KToolInvocation::tr$$
    {124, 3151, 3005},	// KToolInvocation::tr$$$
    {124, 3156, 3026},	// KToolInvocation::trUtf8$
    {124, 3157, 3004},	// KToolInvocation::trUtf8$$
    {124, 3158, 3006},	// KToolInvocation::trUtf8$$$
    {124, 3440, 3081},	// KToolInvocation::~KToolInvocation
    {125, 534, 3083},	// KTzfileTimeZone::KTzfileTimeZone#
    {125, 535, 3084},	// KTzfileTimeZone::KTzfileTimeZone#$
    {125, 536, 3085},	// KTzfileTimeZone::KTzfileTimeZone#$$
    {125, 537, 3086},	// KTzfileTimeZone::KTzfileTimeZone#$$$
    {125, 538, 3087},	// KTzfileTimeZone::KTzfileTimeZone#$$$$
    {125, 539, 3082},	// KTzfileTimeZone::KTzfileTimeZone#$$$$$
    {125, 3441, 3088},	// KTzfileTimeZone::~KTzfileTimeZone
    {126, 541, 3093},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#
    {126, 542, 3089},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#$$$$$
    {126, 1165, 3090},	// KTzfileTimeZoneBackend::clone
    {126, 1718, 3092},	// KTzfileTimeZoneBackend::hasTransitions#
    {126, 3191, 3091},	// KTzfileTimeZoneBackend::type
    {126, 3442, 3094},	// KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend
    {127, 544, 3098},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource#
    {127, 545, 3095},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource$
    {127, 2019, 3096},	// KTzfileTimeZoneSource::location
    {127, 2237, 3097},	// KTzfileTimeZoneSource::parse#
    {127, 3443, 3099},	// KTzfileTimeZoneSource::~KTzfileTimeZoneSource
    {128, 12, 3196},	// KUrl::AddTrailingSlash
    {128, 17, 3207},	// KUrl::AllowEmptyPath
    {128, 20, 3203},	// KUrl::AppendTrailingSlash
    {128, 33, 3200},	// KUrl::AvoidEmptyPath
    {128, 48, 3201},	// KUrl::CaseInsensitiveKeys
    {128, 66, 3206},	// KUrl::CompareWithoutFragment
    {128, 67, 3205},	// KUrl::CompareWithoutTrailingSlash
    {128, 99, 3192},	// KUrl::DefaultMimeDataFlags
    {128, 174, 3204},	// KUrl::IgnoreTrailingSlash
    {128, 546, 3100},	// KUrl::KUrl
    {128, 547, -237},	// KUrl::KUrl#
    {128, 548, 3106},	// KUrl::KUrl#$
    {128, 549, -241},	// KUrl::KUrl$
    {128, 561, 3198},	// KUrl::KeepDirSeparators
    {128, 571, 3195},	// KUrl::LeaveTrailingSlash
    {128, 633, 3193},	// KUrl::NoTextExport
    {128, 642, 3202},	// KUrl::ObeyTrailingSlash
    {128, 660, 3199},	// KUrl::PermitEmptyPath
    {128, 697, 3194},	// KUrl::RemoveTrailingSlash
    {128, 717, 3197},	// KUrl::SimplifyDirSeparators
    {128, 982, 3137},	// KUrl::addPath$
    {128, 986, 3140},	// KUrl::addQueryItem$$
    {128, 1019, 3121},	// KUrl::adjustPath$
    {128, 1133, 3145},	// KUrl::cd$
    {128, 1159, 3179},	// KUrl::cleanPath
    {128, 1160, 3120},	// KUrl::cleanPath$
    {128, 1168, 3187},	// KUrl::cmp#
    {128, 1169, 3161},	// KUrl::cmp#$
    {128, 1333, 3173},	// KUrl::decode_string$
    {128, 1391, 3184},	// KUrl::directory
    {128, 1392, 3143},	// KUrl::directory#
    {128, 1416, 3171},	// KUrl::encode_string$
    {128, 1418, 3172},	// KUrl::encode_string_no_slash$
    {128, 1419, 3130},	// KUrl::encodedHtmlRef
    {128, 1420, 3180},	// KUrl::encodedPathAndQuery
    {128, 1421, 3181},	// KUrl::encodedPathAndQuery$
    {128, 1422, 3123},	// KUrl::encodedPathAndQuery$#
    {128, 1441, 3188},	// KUrl::equals#
    {128, 1442, 3162},	// KUrl::equals##
    {128, 1512, 3135},	// KUrl::fileEncoding
    {128, 1515, 3183},	// KUrl::fileName
    {128, 1516, 3142},	// KUrl::fileName#
    {128, 1635, 3169},	// KUrl::fromMimeDataByteArray#
    {128, 1637, 3167},	// KUrl::fromPath$
    {128, 1639, 3168},	// KUrl::fromPathOrUrl$
    {128, 1690, 3132},	// KUrl::hasHTMLRef
    {128, 1692, 3115},	// KUrl::hasHost
    {128, 1707, 3114},	// KUrl::hasPass
    {128, 1708, 3119},	// KUrl::hasPath
    {128, 1710, 3128},	// KUrl::hasRef
    {128, 1713, 3136},	// KUrl::hasSubUrl
    {128, 1719, 3111},	// KUrl::hasUser
    {128, 1725, 3129},	// KUrl::htmlRef
    {128, 1851, 3133},	// KUrl::isLocalFile
    {128, 1861, 3163},	// KUrl::isParentOf#
    {128, 1866, 3174},	// KUrl::isRelativeUrl$
    {128, 1902, 3166},	// KUrl::join?
    {128, 2174, 3160},	// KUrl::operator QVariant
    {128, 2176, 3158},	// KUrl::operator!=#
    {128, 2178, 3159},	// KUrl::operator!=$
    {128, 2200, -244},	// KUrl::operator=#
    {128, 2201, -247},	// KUrl::operator=$
    {128, 2203, 3156},	// KUrl::operator==#
    {128, 2205, 3157},	// KUrl::operator==$
    {128, 2240, 3112},	// KUrl::pass
    {128, 2241, 3177},	// KUrl::path
    {128, 2242, 3116},	// KUrl::path$
    {128, 2243, 3148},	// KUrl::pathOrUrl
    {128, 2244, 3149},	// KUrl::pathOrUrl$
    {128, 2261, 3189},	// KUrl::populateMimeData#
    {128, 2262, 3190},	// KUrl::populateMimeData#?
    {128, 2263, 3170},	// KUrl::populateMimeData#?$
    {128, 2275, 3186},	// KUrl::prettyUrl
    {128, 2276, 3147},	// KUrl::prettyUrl$
    {128, 2302, 3107},	// KUrl::protocol
    {128, 2320, 3125},	// KUrl::query
    {128, 2325, 3139},	// KUrl::queryItem$
    {128, 2326, 3182},	// KUrl::queryItems
    {128, 2327, 3138},	// KUrl::queryItems#
    {128, 2413, 3126},	// KUrl::ref
    {128, 2423, 3191},	// KUrl::relativePath$$
    {128, 2424, 3176},	// KUrl::relativePath$$$
    {128, 2426, 3175},	// KUrl::relativeUrl##
    {128, 2629, 3144},	// KUrl::setDirectory$
    {128, 2631, 3122},	// KUrl::setEncodedPathAndQuery$
    {128, 2655, 3134},	// KUrl::setFileEncoding$
    {128, 2657, 3141},	// KUrl::setFileName$
    {128, 2670, 3131},	// KUrl::setHTMLRef$
    {128, 2826, 3113},	// KUrl::setPass$
    {128, 2828, 3118},	// KUrl::setPath$
    {128, 2863, 3108},	// KUrl::setProtocol$
    {128, 2865, 3124},	// KUrl::setQuery$
    {128, 2869, 3127},	// KUrl::setRef$
    {128, 2928, 3110},	// KUrl::setUser$
    {128, 2977, 3165},	// KUrl::split#
    {128, 2978, 3164},	// KUrl::split$
    {128, 3123, 3178},	// KUrl::toLocalFile
    {128, 3124, 3117},	// KUrl::toLocalFile$
    {128, 3126, 3150},	// KUrl::toMimeDataString
    {128, 3208, 3151},	// KUrl::upUrl
    {128, 3216, 3185},	// KUrl::url
    {128, 3217, 3146},	// KUrl::url$
    {128, 3227, 3109},	// KUrl::user
    {128, 3444, 3208},	// KUrl::~KUrl
    {129, 149, 3235},	// KUser::FullName
    {129, 162, 3238},	// KUser::HomePhone
    {129, 550, 3232},	// KUser::KUser
    {129, 551, -59},	// KUser::KUser#
    {129, 552, -62},	// KUser::KUser$
    {129, 703, 3236},	// KUser::RoomNumber
    {129, 800, 3233},	// KUser::UseEffectiveUID
    {129, 801, 3234},	// KUser::UseRealUserID
    {129, 814, 3237},	// KUser::WorkPhone
    {129, 1036, 3231},	// KUser::allUserNames
    {129, 1037, 3230},	// KUser::allUsers
    {129, 1500, 3225},	// KUser::faceIconPath
    {129, 1652, 3223},	// KUser::fullName
    {129, 1666, 3220},	// KUser::gid
    {129, 1675, 3228},	// KUser::groupNames
    {129, 1676, 3227},	// KUser::groups
    {129, 1723, 3224},	// KUser::homeDir
    {129, 1879, 3221},	// KUser::isSuperUser
    {129, 1888, 3218},	// KUser::isValid
    {129, 2022, 3222},	// KUser::loginName
    {129, 2176, 3217},	// KUser::operator!=#
    {129, 2200, 3215},	// KUser::operator=#
    {129, 2203, 3216},	// KUser::operator==#
    {129, 2295, 3229},	// KUser::property$
    {129, 2950, 3226},	// KUser::shell
    {129, 3193, 3219},	// KUser::uid
    {129, 3445, 3239},	// KUser::~KUser
    {130, 553, 3256},	// KUserGroup::KUserGroup
    {130, 554, -127},	// KUserGroup::KUserGroup#
    {130, 555, -130},	// KUserGroup::KUserGroup$
    {130, 1025, 3255},	// KUserGroup::allGroupNames
    {130, 1026, 3254},	// KUserGroup::allGroups
    {130, 1666, 3250},	// KUserGroup::gid
    {130, 1888, 3249},	// KUserGroup::isValid
    {130, 2119, 3251},	// KUserGroup::name
    {130, 2176, 3248},	// KUserGroup::operator!=#
    {130, 2200, 3246},	// KUserGroup::operator=#
    {130, 2203, 3247},	// KUserGroup::operator==#
    {130, 3228, 3253},	// KUserGroup::userNames
    {130, 3231, 3252},	// KUserGroup::users
    {130, 3446, 3257},	// KUserGroup::~KUserGroup
    {131, 556, 3263},	// KWordMacroExpander::KWordMacroExpander
    {131, 557, -106},	// KWordMacroExpander::KWordMacroExpander#
    {131, 1481, 3260},	// KWordMacroExpander::expandEscapedMacro$$?
    {131, 1484, 3261},	// KWordMacroExpander::expandMacro$?
    {131, 1495, 3259},	// KWordMacroExpander::expandPlainMacro$$?
    {131, 3447, 3264},	// KWordMacroExpander::~KWordMacroExpander
    {132, 651, 3294},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$#
    {132, 652, 3273},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$##
    {132, 1070, 3274},	// OrgKdeKLauncherInterface::autoStart
    {132, 1071, 3275},	// OrgKdeKLauncherInterface::autoStart$
    {132, 1072, 3289},	// OrgKdeKLauncherInterface::autoStart0Done
    {132, 1073, 3290},	// OrgKdeKLauncherInterface::autoStart1Done
    {132, 1074, 3291},	// OrgKdeKLauncherInterface::autoStart2Done
    {132, 1146, 3288},	// OrgKdeKLauncherInterface::checkForHeldSlave$
    {132, 1466, 3277},	// OrgKdeKLauncherInterface::exec_blind$?
    {132, 1467, 3276},	// OrgKdeKLauncherInterface::exec_blind$??$
    {132, 1938, 3278},	// OrgKdeKLauncherInterface::kdeinit_exec$??$$$$
    {132, 1940, 3279},	// OrgKdeKLauncherInterface::kdeinit_exec_wait$??$$$$
    {132, 2077, 3265},	// OrgKdeKLauncherInterface::metaObject
    {132, 2317, 3271},	// OrgKdeKLauncherInterface::qt_metacall$$?
    {132, 2319, 3266},	// OrgKdeKLauncherInterface::qt_metacast$
    {132, 2448, 3280},	// OrgKdeKLauncherInterface::reparseConfiguration
    {132, 2452, 3281},	// OrgKdeKLauncherInterface::requestHoldSlave$$
    {132, 2454, 3282},	// OrgKdeKLauncherInterface::requestSlave$$$$
    {132, 2696, 3283},	// OrgKdeKLauncherInterface::setLaunchEnv$$
    {132, 3040, 3284},	// OrgKdeKLauncherInterface::start_service_by_desktop_name$??$$$$$
    {132, 3042, 3285},	// OrgKdeKLauncherInterface::start_service_by_desktop_path$??$$$$$
    {132, 3044, 3286},	// OrgKdeKLauncherInterface::start_service_by_name$??$$$$$
    {132, 3046, 3272},	// OrgKdeKLauncherInterface::staticInterfaceName
    {132, 3047, 3295},	// OrgKdeKLauncherInterface::staticMetaObject
    {132, 3149, 3292},	// OrgKdeKLauncherInterface::tr$
    {132, 3150, 3267},	// OrgKdeKLauncherInterface::tr$$
    {132, 3151, 3269},	// OrgKdeKLauncherInterface::tr$$$
    {132, 3156, 3293},	// OrgKdeKLauncherInterface::trUtf8$
    {132, 3157, 3268},	// OrgKdeKLauncherInterface::trUtf8$$
    {132, 3158, 3270},	// OrgKdeKLauncherInterface::trUtf8$$$
    {132, 3264, 3287},	// OrgKdeKLauncherInterface::waitForSlave$
    {132, 3449, 3296},	// OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface
    {149, 170, 3477},	// QGlobalSpace::ITIMER_PROF
    {149, 171, 3475},	// QGlobalSpace::ITIMER_REAL
    {149, 172, 3476},	// QGlobalSpace::ITIMER_VIRTUAL
    {149, 455, 3496},	// QGlobalSpace::KST_CTimeInfo
    {149, 456, 3489},	// QGlobalSpace::KST_KCustom
    {149, 457, 3483},	// QGlobalSpace::KST_KDEDesktopMimeType
    {149, 458, 3482},	// QGlobalSpace::KST_KFolderMimeType
    {149, 459, 3493},	// QGlobalSpace::KST_KImageIO
    {149, 460, 3486},	// QGlobalSpace::KST_KImageIOFormat
    {149, 461, 3481},	// QGlobalSpace::KST_KMimeType
    {149, 462, 3484},	// QGlobalSpace::KST_KMimeTypeEntry
    {149, 463, 3495},	// QGlobalSpace::KST_KMimeTypeFactory
    {149, 464, 3487},	// QGlobalSpace::KST_KProtocolInfo
    {149, 465, 3494},	// QGlobalSpace::KST_KProtocolInfoFactory
    {149, 466, 3479},	// QGlobalSpace::KST_KService
    {149, 467, 3490},	// QGlobalSpace::KST_KServiceFactory
    {149, 468, 3485},	// QGlobalSpace::KST_KServiceGroup
    {149, 469, 3492},	// QGlobalSpace::KST_KServiceGroupFactory
    {149, 470, 3488},	// QGlobalSpace::KST_KServiceSeparator
    {149, 471, 3480},	// QGlobalSpace::KST_KServiceType
    {149, 472, 3491},	// QGlobalSpace::KST_KServiceTypeFactory
    {149, 473, 3478},	// QGlobalSpace::KST_KSycocaEntry
    {149, 824, 3474},	// QGlobalSpace::_ISalnum
    {149, 825, 3465},	// QGlobalSpace::_ISalpha
    {149, 826, 3471},	// QGlobalSpace::_ISblank
    {149, 827, 3472},	// QGlobalSpace::_IScntrl
    {149, 828, 3466},	// QGlobalSpace::_ISdigit
    {149, 829, 3470},	// QGlobalSpace::_ISgraph
    {149, 830, 3464},	// QGlobalSpace::_ISlower
    {149, 831, 3469},	// QGlobalSpace::_ISprint
    {149, 832, 3473},	// QGlobalSpace::_ISpunct
    {149, 833, 3468},	// QGlobalSpace::_ISspace
    {149, 834, 3463},	// QGlobalSpace::_ISupper
    {149, 835, 3467},	// QGlobalSpace::_ISxdigit
    {149, 836, 3499},	// QGlobalSpace::__codecvt_error
    {149, 837, 3500},	// QGlobalSpace::__codecvt_noconv
    {149, 838, 3497},	// QGlobalSpace::__codecvt_ok
    {149, 839, 3498},	// QGlobalSpace::__codecvt_partial
    {149, 1727, 3404},	// QGlobalSpace::i18n$
    {149, 1729, 3368},	// QGlobalSpace::i18nc$$
    {149, 1908, 3415},	// QGlobalSpace::kAsciiToLower$
    {149, 1910, 3432},	// QGlobalSpace::kAsciiToUpper$
    {149, 1911, 3434},	// QGlobalSpace::kBacktrace
    {149, 1912, 3433},	// QGlobalSpace::kBacktrace$
    {149, 1913, 3413},	// QGlobalSpace::kClearDebugConfig
    {149, 1915, 3455},	// QGlobalSpace::kRealBacktrace$
    {149, 1919, 3363},	// QGlobalSpace::kasciistricmp$$
    {149, 1921, 3436},	// QGlobalSpace::kdBacktrace
    {149, 1922, 3435},	// QGlobalSpace::kdBacktrace$
    {149, 1948, 3461},	// QGlobalSpace::ki18n$
    {149, 1950, 3359},	// QGlobalSpace::ki18nc$$
    {149, 1952, 3362},	// QGlobalSpace::ki18ncp$$$
    {149, 1954, 3458},	// QGlobalSpace::ki18np$$
    {149, 2177, -150},	// QGlobalSpace::operator!=##
    {149, 2179, 3446},	// QGlobalSpace::operator!=$#
    {149, 2180, 3388},	// QGlobalSpace::operator!=$$
    {149, 2182, 3383},	// QGlobalSpace::operator+#$
    {149, 2183, 3369},	// QGlobalSpace::operator+$#
    {149, 2184, -154},	// QGlobalSpace::operator+$$
    {149, 2187, -159},	// QGlobalSpace::operator<##
    {149, 2188, 3411},	// QGlobalSpace::operator<$#
    {149, 2189, 3372},	// QGlobalSpace::operator<$$
    {149, 2191, -163},	// QGlobalSpace::operator<<##
    {149, 2196, 3386},	// QGlobalSpace::operator<=##
    {149, 2197, 3423},	// QGlobalSpace::operator<=$#
    {149, 2198, 3421},	// QGlobalSpace::operator<=$$
    {149, 2204, -166},	// QGlobalSpace::operator==##
    {149, 2206, 3360},	// QGlobalSpace::operator==$#
    {149, 2207, 3456},	// QGlobalSpace::operator==$$
    {149, 2210, 3382},	// QGlobalSpace::operator>##
    {149, 2211, 3375},	// QGlobalSpace::operator>$#
    {149, 2212, 3402},	// QGlobalSpace::operator>$$
    {149, 2215, 3414},	// QGlobalSpace::operator>=##
    {149, 2216, 3460},	// QGlobalSpace::operator>=$#
    {149, 2217, 3459},	// QGlobalSpace::operator>=$$
    {149, 2219, -170},	// QGlobalSpace::operator>>##
    {149, 2221, -173},	// QGlobalSpace::operator|$$
    {149, 3153, 3445},	// QGlobalSpace::tr2i18n$
    {149, 3154, 3444},	// QGlobalSpace::tr2i18n$$
    {177, 1340, 3543},	// Sonnet::defaultLanguageName
    {177, 1376, 3544},	// Sonnet::detectLanguage$
    {178, 35, 3575},	// Sonnet::BackgroundChecker::BackgroundChecker
    {178, 36, -10},	// Sonnet::BackgroundChecker::BackgroundChecker#
    {178, 37, 3553},	// Sonnet::BackgroundChecker::BackgroundChecker##
    {178, 1010, 3561},	// Sonnet::BackgroundChecker::addWordToPersonal$
    {178, 1137, 3566},	// Sonnet::BackgroundChecker::changeLanguage$
    {178, 1150, 3559},	// Sonnet::BackgroundChecker::checkWord$
    {178, 1201, 3567},	// Sonnet::BackgroundChecker::continueChecking
    {178, 1247, 3556},	// Sonnet::BackgroundChecker::currentContext
    {178, 1404, 3569},	// Sonnet::BackgroundChecker::done
    {178, 1511, 3570},	// Sonnet::BackgroundChecker::fetchMoreText
    {178, 1577, 3571},	// Sonnet::BackgroundChecker::finishedCurrentFeed
    {178, 2077, 3545},	// Sonnet::BackgroundChecker::metaObject
    {178, 2084, 3568},	// Sonnet::BackgroundChecker::misspelling$$
    {178, 2317, 3551},	// Sonnet::BackgroundChecker::qt_metacall$$?
    {178, 2319, 3546},	// Sonnet::BackgroundChecker::qt_metacast$
    {178, 2450, 3565},	// Sonnet::BackgroundChecker::replace$$$
    {178, 2467, 3562},	// Sonnet::BackgroundChecker::restore#
    {178, 2890, 3558},	// Sonnet::BackgroundChecker::setSpeller#
    {178, 2902, 3554},	// Sonnet::BackgroundChecker::setText$
    {178, 2964, 3572},	// Sonnet::BackgroundChecker::slotEngineDone
    {178, 2975, 3557},	// Sonnet::BackgroundChecker::speller
    {178, 2989, 3563},	// Sonnet::BackgroundChecker::start
    {178, 3047, 3577},	// Sonnet::BackgroundChecker::staticMetaObject
    {178, 3053, 3564},	// Sonnet::BackgroundChecker::stop
    {178, 3078, 3560},	// Sonnet::BackgroundChecker::suggest$
    {178, 3108, 3555},	// Sonnet::BackgroundChecker::text
    {178, 3149, 3573},	// Sonnet::BackgroundChecker::tr$
    {178, 3150, 3547},	// Sonnet::BackgroundChecker::tr$$
    {178, 3151, 3549},	// Sonnet::BackgroundChecker::tr$$$
    {178, 3156, 3574},	// Sonnet::BackgroundChecker::trUtf8$
    {178, 3157, 3548},	// Sonnet::BackgroundChecker::trUtf8$$
    {178, 3158, 3550},	// Sonnet::BackgroundChecker::trUtf8$$$
    {178, 3347, 3578},	// Sonnet::BackgroundChecker::~BackgroundChecker
    {179, 53, 3606},	// Sonnet::Speller::CheckUppercase
    {179, 719, 3607},	// Sonnet::Speller::SkipRunTogether
    {179, 732, 3604},	// Sonnet::Speller::Speller
    {179, 733, 3580},	// Sonnet::Speller::Speller#
    {179, 734, 3579},	// Sonnet::Speller::Speller$
    {179, 1006, 3590},	// Sonnet::Speller::addToPersonal$
    {179, 1008, 3591},	// Sonnet::Speller::addToSession$
    {179, 1078, 3594},	// Sonnet::Speller::availableBackends
    {179, 1079, 3597},	// Sonnet::Speller::availableDictionaries
    {179, 1081, 3596},	// Sonnet::Speller::availableLanguageNames
    {179, 1082, 3595},	// Sonnet::Speller::availableLanguages
    {179, 1144, 3588},	// Sonnet::Speller::checkAndSuggest$?
    {179, 1336, 3601},	// Sonnet::Speller::defaultClient
    {179, 1339, 3599},	// Sonnet::Speller::defaultLanguage
    {179, 1810, 3585},	// Sonnet::Speller::isCorrect$
    {179, 1857, 3586},	// Sonnet::Speller::isMisspelled$
    {179, 1888, 3582},	// Sonnet::Speller::isValid
    {179, 1964, 3584},	// Sonnet::Speller::language
    {179, 2200, 3581},	// Sonnet::Speller::operator=#
    {179, 2467, 3593},	// Sonnet::Speller::restore#
    {179, 2478, 3592},	// Sonnet::Speller::save#
    {179, 2530, 3605},	// Sonnet::Speller::setAttribute$
    {179, 2531, 3602},	// Sonnet::Speller::setAttribute$$
    {179, 2613, 3600},	// Sonnet::Speller::setDefaultClient$
    {179, 2615, 3598},	// Sonnet::Speller::setDefaultLanguage$
    {179, 2692, 3583},	// Sonnet::Speller::setLanguage$
    {179, 3057, 3589},	// Sonnet::Speller::storeReplacement$$
    {179, 3078, 3587},	// Sonnet::Speller::suggest$
    {179, 3107, 3603},	// Sonnet::Speller::testAttribute$
    {179, 3452, 3608},	// Sonnet::Speller::~Speller
    {181, 1958, 3609},	// kndbgstream::kndbgstream
    {181, 1959, 3610},	// kndbgstream::kndbgstream#
    {181, 3454, 3611},	// kndbgstream::~kndbgstream
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();
SMOKE_IMPORT void init_qtdbus_Smoke();

static bool initialized = false;
Smoke *kdecore_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kdecore_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    init_qtdbus_Smoke();
    if (initialized) return;
    kdecore_Smoke = new Smoke(
        "kdecore",
        __smokekdecore::classes, 182,
        __smokekdecore::methods, 3612,
        __smokekdecore::methodMaps, 3251,
        __smokekdecore::methodNames, 3454,
        __smokekdecore::types, 640,
        __smokekdecore::inheritanceList,
        __smokekdecore::argumentList,
        __smokekdecore::ambiguousMethodList,
        __smokekdecore::cast );
    initialized = true;
}

void delete_kdecore_Smoke() { delete kdecore_Smoke; }

}
