#include <khtml_includes.h>

#include <smoke.h>
#include <khtml_smoke.h>

namespace __smokekhtml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 2:   //DOM::AbstractView
      switch(to) {
        case 2: return (void*)(DOM::AbstractView*)xptr;
        default: return xptr;
      }
    case 3:   //DOM::Attr
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Attr*)xptr;
        case 3: return (void*)(DOM::Attr*)xptr;
        default: return xptr;
      }
    case 4:   //DOM::CDATASection
      switch(to) {
        case 115: return (void*)(DOM::Text*)(DOM::CDATASection*)xptr;
        case 20: return (void*)(DOM::CharacterData*)(DOM::CDATASection*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::CDATASection*)xptr;
        case 4: return (void*)(DOM::CDATASection*)xptr;
        default: return xptr;
      }
    case 5:   //DOM::CSSCharsetRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSCharsetRule*)xptr;
        case 5: return (void*)(DOM::CSSCharsetRule*)xptr;
        default: return xptr;
      }
    case 6:   //DOM::CSSException
      switch(to) {
        case 6: return (void*)(DOM::CSSException*)xptr;
        default: return xptr;
      }
    case 7:   //DOM::CSSFontFaceRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSFontFaceRule*)xptr;
        case 7: return (void*)(DOM::CSSFontFaceRule*)xptr;
        default: return xptr;
      }
    case 8:   //DOM::CSSImportRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSImportRule*)xptr;
        case 8: return (void*)(DOM::CSSImportRule*)xptr;
        default: return xptr;
      }
    case 9:   //DOM::CSSMediaRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSMediaRule*)xptr;
        case 9: return (void*)(DOM::CSSMediaRule*)xptr;
        default: return xptr;
      }
    case 10:   //DOM::CSSPageRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSPageRule*)xptr;
        case 10: return (void*)(DOM::CSSPageRule*)xptr;
        default: return xptr;
      }
    case 11:   //DOM::CSSPrimitiveValue
      switch(to) {
        case 18: return (void*)(DOM::CSSValue*)(DOM::CSSPrimitiveValue*)xptr;
        case 11: return (void*)(DOM::CSSPrimitiveValue*)xptr;
        default: return xptr;
      }
    case 12:   //DOM::CSSRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)xptr;
        case 10: return (void*)(DOM::CSSPageRule*)(DOM::CSSRule*)xptr;
        case 8: return (void*)(DOM::CSSImportRule*)(DOM::CSSRule*)xptr;
        case 15: return (void*)(DOM::CSSStyleRule*)(DOM::CSSRule*)xptr;
        case 5: return (void*)(DOM::CSSCharsetRule*)(DOM::CSSRule*)xptr;
        case 7: return (void*)(DOM::CSSFontFaceRule*)(DOM::CSSRule*)xptr;
        case 17: return (void*)(DOM::CSSUnknownRule*)(DOM::CSSRule*)xptr;
        case 9: return (void*)(DOM::CSSMediaRule*)(DOM::CSSRule*)xptr;
        default: return xptr;
      }
    case 13:   //DOM::CSSRuleList
      switch(to) {
        case 13: return (void*)(DOM::CSSRuleList*)xptr;
        default: return xptr;
      }
    case 14:   //DOM::CSSStyleDeclaration
      switch(to) {
        case 14: return (void*)(DOM::CSSStyleDeclaration*)xptr;
        default: return xptr;
      }
    case 15:   //DOM::CSSStyleRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSStyleRule*)xptr;
        case 15: return (void*)(DOM::CSSStyleRule*)xptr;
        default: return xptr;
      }
    case 16:   //DOM::CSSStyleSheet
      switch(to) {
        case 113: return (void*)(DOM::StyleSheet*)(DOM::CSSStyleSheet*)xptr;
        case 16: return (void*)(DOM::CSSStyleSheet*)xptr;
        default: return xptr;
      }
    case 17:   //DOM::CSSUnknownRule
      switch(to) {
        case 12: return (void*)(DOM::CSSRule*)(DOM::CSSUnknownRule*)xptr;
        case 17: return (void*)(DOM::CSSUnknownRule*)xptr;
        default: return xptr;
      }
    case 18:   //DOM::CSSValue
      switch(to) {
        case 18: return (void*)(DOM::CSSValue*)xptr;
        case 19: return (void*)(DOM::CSSValueList*)(DOM::CSSValue*)xptr;
        case 11: return (void*)(DOM::CSSPrimitiveValue*)(DOM::CSSValue*)xptr;
        default: return xptr;
      }
    case 19:   //DOM::CSSValueList
      switch(to) {
        case 18: return (void*)(DOM::CSSValue*)(DOM::CSSValueList*)xptr;
        case 19: return (void*)(DOM::CSSValueList*)xptr;
        default: return xptr;
      }
    case 20:   //DOM::CharacterData
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::CharacterData*)xptr;
        case 20: return (void*)(DOM::CharacterData*)xptr;
        case 21: return (void*)(DOM::Comment*)(DOM::CharacterData*)xptr;
        case 4: return (void*)(DOM::CDATASection*)(DOM::CharacterData*)xptr;
        case 115: return (void*)(DOM::Text*)(DOM::CharacterData*)xptr;
        default: return xptr;
      }
    case 21:   //DOM::Comment
      switch(to) {
        case 20: return (void*)(DOM::CharacterData*)(DOM::Comment*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::Comment*)xptr;
        case 21: return (void*)(DOM::Comment*)xptr;
        default: return xptr;
      }
    case 22:   //DOM::Counter
      switch(to) {
        case 22: return (void*)(DOM::Counter*)xptr;
        default: return xptr;
      }
    case 23:   //DOM::CustomNodeFilter
      switch(to) {
        case 31: return (void*)(DOM::DomShared*)(DOM::CustomNodeFilter*)xptr;
        case 23: return (void*)(DOM::CustomNodeFilter*)xptr;
        default: return xptr;
      }
    case 24:   //DOM::DOMException
      switch(to) {
        case 24: return (void*)(DOM::DOMException*)xptr;
        default: return xptr;
      }
    case 25:   //DOM::DOMImplementation
      switch(to) {
        case 25: return (void*)(DOM::DOMImplementation*)xptr;
        default: return xptr;
      }
    case 26:   //DOM::DOMString
      switch(to) {
        case 26: return (void*)(DOM::DOMString*)xptr;
        default: return xptr;
      }
    case 27:   //DOM::Document
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Document*)xptr;
        case 27: return (void*)(DOM::Document*)xptr;
        case 52: return (void*)(DOM::HTMLDocument*)(DOM::Document*)xptr;
        default: return xptr;
      }
    case 28:   //DOM::DocumentFragment
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::DocumentFragment*)xptr;
        case 28: return (void*)(DOM::DocumentFragment*)xptr;
        default: return xptr;
      }
    case 29:   //DOM::DocumentStyle
      switch(to) {
        case 29: return (void*)(DOM::DocumentStyle*)xptr;
        default: return xptr;
      }
    case 30:   //DOM::DocumentType
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::DocumentType*)xptr;
        case 30: return (void*)(DOM::DocumentType*)xptr;
        default: return xptr;
      }
    case 31:   //DOM::DomShared
      switch(to) {
        case 31: return (void*)(DOM::DomShared*)xptr;
        case 23: return (void*)(DOM::CustomNodeFilter*)(DOM::DomShared*)xptr;
        case 38: return (void*)(DOM::EventListener*)(DOM::DomShared*)xptr;
        default: return xptr;
      }
    case 32:   //DOM::Editor
      switch(to) {
        case 32: return (void*)(DOM::Editor*)xptr;
        default: return xptr;
      }
    case 33:   //DOM::Element
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Element*)xptr;
        case 33: return (void*)(DOM::Element*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)(DOM::Element*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)(DOM::Element*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)(DOM::Element*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)(DOM::Element*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Element*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)(DOM::Element*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)(DOM::Element*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)(DOM::Element*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)(DOM::Element*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)(DOM::Element*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Element*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Element*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)(DOM::Element*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)(DOM::Element*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)(DOM::Element*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)(DOM::Element*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)(DOM::Element*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)(DOM::Element*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)(DOM::Element*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)(DOM::Element*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)(DOM::Element*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)(DOM::Element*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)(DOM::Element*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)(DOM::Element*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)(DOM::Element*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)(DOM::Element*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)(DOM::Element*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Element*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)(DOM::Element*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)(DOM::Element*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)(DOM::Element*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)(DOM::Element*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)(DOM::Element*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)(DOM::Element*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Element*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Element*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)(DOM::Element*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Element*)xptr;
        case 53: return (void*)(DOM::HTMLElement*)(DOM::Element*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)(DOM::Element*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)(DOM::Element*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)(DOM::Element*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Element*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)(DOM::Element*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)(DOM::Element*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)(DOM::Element*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)(DOM::Element*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)(DOM::Element*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Element*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)(DOM::Element*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)(DOM::Element*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Element*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)(DOM::Element*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)(DOM::Element*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)(DOM::Element*)xptr;
        default: return xptr;
      }
    case 34:   //DOM::Entity
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Entity*)xptr;
        case 34: return (void*)(DOM::Entity*)xptr;
        default: return xptr;
      }
    case 35:   //DOM::EntityReference
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::EntityReference*)xptr;
        case 35: return (void*)(DOM::EntityReference*)xptr;
        default: return xptr;
      }
    case 36:   //DOM::Event
      switch(to) {
        case 36: return (void*)(DOM::Event*)xptr;
        case 116: return (void*)(DOM::TextEvent*)(DOM::Event*)xptr;
        case 97: return (void*)(DOM::KeyboardEvent*)(DOM::Event*)xptr;
        case 118: return (void*)(DOM::UIEvent*)(DOM::Event*)xptr;
        case 101: return (void*)(DOM::MutationEvent*)(DOM::Event*)xptr;
        case 100: return (void*)(DOM::MouseEvent*)(DOM::Event*)xptr;
        default: return xptr;
      }
    case 37:   //DOM::EventException
      switch(to) {
        case 37: return (void*)(DOM::EventException*)xptr;
        default: return xptr;
      }
    case 38:   //DOM::EventListener
      switch(to) {
        case 31: return (void*)(DOM::DomShared*)(DOM::EventListener*)xptr;
        case 38: return (void*)(DOM::EventListener*)xptr;
        default: return xptr;
      }
    case 39:   //DOM::HTMLAnchorElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLAnchorElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLAnchorElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLAnchorElement*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)xptr;
        default: return xptr;
      }
    case 40:   //DOM::HTMLAppletElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLAppletElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLAppletElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLAppletElement*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)xptr;
        default: return xptr;
      }
    case 41:   //DOM::HTMLAreaElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLAreaElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLAreaElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLAreaElement*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)xptr;
        default: return xptr;
      }
    case 42:   //DOM::HTMLBRElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBRElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBRElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBRElement*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)xptr;
        default: return xptr;
      }
    case 43:   //DOM::HTMLBaseElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBaseElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBaseElement*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)xptr;
        default: return xptr;
      }
    case 44:   //DOM::HTMLBaseFontElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseFontElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBaseFontElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBaseFontElement*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)xptr;
        default: return xptr;
      }
    case 45:   //DOM::HTMLBlockquoteElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBlockquoteElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBlockquoteElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBlockquoteElement*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)xptr;
        default: return xptr;
      }
    case 46:   //DOM::HTMLBodyElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLBodyElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLBodyElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLBodyElement*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)xptr;
        default: return xptr;
      }
    case 47:   //DOM::HTMLButtonElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLButtonElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLButtonElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLButtonElement*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)xptr;
        default: return xptr;
      }
    case 48:   //DOM::HTMLCollection
      switch(to) {
        case 48: return (void*)(DOM::HTMLCollection*)xptr;
        case 56: return (void*)(DOM::HTMLFormCollection*)(DOM::HTMLCollection*)xptr;
        default: return xptr;
      }
    case 49:   //DOM::HTMLDListElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLDListElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLDListElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDListElement*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)xptr;
        default: return xptr;
      }
    case 50:   //DOM::HTMLDirectoryElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLDirectoryElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLDirectoryElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDirectoryElement*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)xptr;
        default: return xptr;
      }
    case 51:   //DOM::HTMLDivElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLDivElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLDivElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDivElement*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)xptr;
        default: return xptr;
      }
    case 52:   //DOM::HTMLDocument
      switch(to) {
        case 27: return (void*)(DOM::Document*)(DOM::HTMLDocument*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLDocument*)xptr;
        case 52: return (void*)(DOM::HTMLDocument*)xptr;
        default: return xptr;
      }
    case 53:   //DOM::HTMLElement
      switch(to) {
        case 33: return (void*)(DOM::Element*)(DOM::HTMLElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLElement*)xptr;
        case 53: return (void*)(DOM::HTMLElement*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)(DOM::HTMLElement*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)(DOM::HTMLElement*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)(DOM::HTMLElement*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)(DOM::HTMLElement*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)(DOM::HTMLElement*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)(DOM::HTMLElement*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)(DOM::HTMLElement*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)(DOM::HTMLElement*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)(DOM::HTMLElement*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)(DOM::HTMLElement*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)(DOM::HTMLElement*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)(DOM::HTMLElement*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)(DOM::HTMLElement*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)(DOM::HTMLElement*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)(DOM::HTMLElement*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)(DOM::HTMLElement*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)(DOM::HTMLElement*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)(DOM::HTMLElement*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)(DOM::HTMLElement*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)(DOM::HTMLElement*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)(DOM::HTMLElement*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)(DOM::HTMLElement*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)(DOM::HTMLElement*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)(DOM::HTMLElement*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)(DOM::HTMLElement*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)(DOM::HTMLElement*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)(DOM::HTMLElement*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::HTMLElement*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)(DOM::HTMLElement*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)(DOM::HTMLElement*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)(DOM::HTMLElement*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)(DOM::HTMLElement*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)(DOM::HTMLElement*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)(DOM::HTMLElement*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)(DOM::HTMLElement*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)(DOM::HTMLElement*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)(DOM::HTMLElement*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)(DOM::HTMLElement*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)(DOM::HTMLElement*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)(DOM::HTMLElement*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)(DOM::HTMLElement*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::HTMLElement*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)(DOM::HTMLElement*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)(DOM::HTMLElement*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)(DOM::HTMLElement*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)(DOM::HTMLElement*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)(DOM::HTMLElement*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)(DOM::HTMLElement*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)(DOM::HTMLElement*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)(DOM::HTMLElement*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)(DOM::HTMLElement*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)(DOM::HTMLElement*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)(DOM::HTMLElement*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)(DOM::HTMLElement*)xptr;
        default: return xptr;
      }
    case 54:   //DOM::HTMLFieldSetElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFieldSetElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFieldSetElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFieldSetElement*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)xptr;
        default: return xptr;
      }
    case 55:   //DOM::HTMLFontElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFontElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFontElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFontElement*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)xptr;
        default: return xptr;
      }
    case 56:   //DOM::HTMLFormCollection
      switch(to) {
        case 48: return (void*)(DOM::HTMLCollection*)(DOM::HTMLFormCollection*)xptr;
        case 56: return (void*)(DOM::HTMLFormCollection*)xptr;
        default: return xptr;
      }
    case 57:   //DOM::HTMLFormElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFormElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFormElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFormElement*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)xptr;
        default: return xptr;
      }
    case 58:   //DOM::HTMLFrameElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFrameElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFrameElement*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)xptr;
        default: return xptr;
      }
    case 59:   //DOM::HTMLFrameSetElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameSetElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLFrameSetElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLFrameSetElement*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)xptr;
        default: return xptr;
      }
    case 60:   //DOM::HTMLHRElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHRElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHRElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHRElement*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)xptr;
        default: return xptr;
      }
    case 61:   //DOM::HTMLHeadElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHeadElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHeadElement*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)xptr;
        default: return xptr;
      }
    case 62:   //DOM::HTMLHeadingElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadingElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHeadingElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHeadingElement*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)xptr;
        default: return xptr;
      }
    case 63:   //DOM::HTMLHtmlElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLHtmlElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLHtmlElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLHtmlElement*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)xptr;
        default: return xptr;
      }
    case 64:   //DOM::HTMLIFrameElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLIFrameElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLIFrameElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLIFrameElement*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)xptr;
        default: return xptr;
      }
    case 65:   //DOM::HTMLImageElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLImageElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLImageElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLImageElement*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)xptr;
        default: return xptr;
      }
    case 66:   //DOM::HTMLInputElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLInputElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLInputElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLInputElement*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)xptr;
        default: return xptr;
      }
    case 67:   //DOM::HTMLIsIndexElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLIsIndexElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLIsIndexElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLIsIndexElement*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)xptr;
        default: return xptr;
      }
    case 68:   //DOM::HTMLLIElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLIElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLIElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLIElement*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)xptr;
        default: return xptr;
      }
    case 69:   //DOM::HTMLLabelElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLabelElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLabelElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLabelElement*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)xptr;
        default: return xptr;
      }
    case 70:   //DOM::HTMLLayerElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLayerElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLayerElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLayerElement*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)xptr;
        default: return xptr;
      }
    case 71:   //DOM::HTMLLegendElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLegendElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLegendElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLegendElement*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)xptr;
        default: return xptr;
      }
    case 72:   //DOM::HTMLLinkElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLLinkElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLLinkElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLLinkElement*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)xptr;
        default: return xptr;
      }
    case 73:   //DOM::HTMLMapElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLMapElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLMapElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLMapElement*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)xptr;
        default: return xptr;
      }
    case 74:   //DOM::HTMLMenuElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLMenuElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLMenuElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLMenuElement*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)xptr;
        default: return xptr;
      }
    case 75:   //DOM::HTMLMetaElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLMetaElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLMetaElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLMetaElement*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)xptr;
        default: return xptr;
      }
    case 76:   //DOM::HTMLModElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLModElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLModElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLModElement*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)xptr;
        default: return xptr;
      }
    case 77:   //DOM::HTMLOListElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLOListElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLOListElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLOListElement*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)xptr;
        default: return xptr;
      }
    case 78:   //DOM::HTMLObjectElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLObjectElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLObjectElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLObjectElement*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)xptr;
        default: return xptr;
      }
    case 79:   //DOM::HTMLOptGroupElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptGroupElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLOptGroupElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLOptGroupElement*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)xptr;
        default: return xptr;
      }
    case 80:   //DOM::HTMLOptionElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptionElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLOptionElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLOptionElement*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)xptr;
        default: return xptr;
      }
    case 81:   //DOM::HTMLParagraphElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLParagraphElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLParagraphElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLParagraphElement*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)xptr;
        default: return xptr;
      }
    case 82:   //DOM::HTMLParamElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLParamElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLParamElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLParamElement*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)xptr;
        default: return xptr;
      }
    case 83:   //DOM::HTMLPreElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLPreElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLPreElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLPreElement*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)xptr;
        default: return xptr;
      }
    case 84:   //DOM::HTMLQuoteElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLQuoteElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLQuoteElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLQuoteElement*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)xptr;
        default: return xptr;
      }
    case 85:   //DOM::HTMLScriptElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLScriptElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLScriptElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLScriptElement*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)xptr;
        default: return xptr;
      }
    case 86:   //DOM::HTMLSelectElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLSelectElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLSelectElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLSelectElement*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)xptr;
        default: return xptr;
      }
    case 87:   //DOM::HTMLStyleElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLStyleElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLStyleElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLStyleElement*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)xptr;
        default: return xptr;
      }
    case 88:   //DOM::HTMLTableCaptionElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCaptionElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableCaptionElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableCaptionElement*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)xptr;
        default: return xptr;
      }
    case 89:   //DOM::HTMLTableCellElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCellElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableCellElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableCellElement*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)xptr;
        default: return xptr;
      }
    case 90:   //DOM::HTMLTableColElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableColElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableColElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableColElement*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)xptr;
        default: return xptr;
      }
    case 91:   //DOM::HTMLTableElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableElement*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)xptr;
        default: return xptr;
      }
    case 92:   //DOM::HTMLTableRowElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableRowElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableRowElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableRowElement*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)xptr;
        default: return xptr;
      }
    case 93:   //DOM::HTMLTableSectionElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableSectionElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTableSectionElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTableSectionElement*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)xptr;
        default: return xptr;
      }
    case 94:   //DOM::HTMLTextAreaElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTextAreaElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTextAreaElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTextAreaElement*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)xptr;
        default: return xptr;
      }
    case 95:   //DOM::HTMLTitleElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLTitleElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLTitleElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLTitleElement*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)xptr;
        default: return xptr;
      }
    case 96:   //DOM::HTMLUListElement
      switch(to) {
        case 53: return (void*)(DOM::HTMLElement*)(DOM::HTMLUListElement*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::HTMLUListElement*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::HTMLUListElement*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)xptr;
        default: return xptr;
      }
    case 97:   //DOM::KeyboardEvent
      switch(to) {
        case 118: return (void*)(DOM::UIEvent*)(DOM::KeyboardEvent*)xptr;
        case 36: return (void*)(DOM::Event*)(DOM::KeyboardEvent*)xptr;
        case 97: return (void*)(DOM::KeyboardEvent*)xptr;
        default: return xptr;
      }
    case 98:   //DOM::LinkStyle
      switch(to) {
        case 98: return (void*)(DOM::LinkStyle*)xptr;
        default: return xptr;
      }
    case 99:   //DOM::MediaList
      switch(to) {
        case 99: return (void*)(DOM::MediaList*)xptr;
        default: return xptr;
      }
    case 100:   //DOM::MouseEvent
      switch(to) {
        case 118: return (void*)(DOM::UIEvent*)(DOM::MouseEvent*)xptr;
        case 36: return (void*)(DOM::Event*)(DOM::MouseEvent*)xptr;
        case 100: return (void*)(DOM::MouseEvent*)xptr;
        default: return xptr;
      }
    case 101:   //DOM::MutationEvent
      switch(to) {
        case 36: return (void*)(DOM::Event*)(DOM::MutationEvent*)xptr;
        case 101: return (void*)(DOM::MutationEvent*)xptr;
        default: return xptr;
      }
    case 102:   //DOM::NamedNodeMap
      switch(to) {
        case 102: return (void*)(DOM::NamedNodeMap*)xptr;
        default: return xptr;
      }
    case 103:   //DOM::Node
      switch(to) {
        case 103: return (void*)(DOM::Node*)xptr;
        case 43: return (void*)(DOM::HTMLBaseElement*)(DOM::Node*)xptr;
        case 77: return (void*)(DOM::HTMLOListElement*)(DOM::Node*)xptr;
        case 34: return (void*)(DOM::Entity*)(DOM::Node*)xptr;
        case 87: return (void*)(DOM::HTMLStyleElement*)(DOM::Node*)xptr;
        case 57: return (void*)(DOM::HTMLFormElement*)(DOM::Node*)xptr;
        case 59: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Node*)xptr;
        case 81: return (void*)(DOM::HTMLParagraphElement*)(DOM::Node*)xptr;
        case 107: return (void*)(DOM::Notation*)(DOM::Node*)xptr;
        case 40: return (void*)(DOM::HTMLAppletElement*)(DOM::Node*)xptr;
        case 82: return (void*)(DOM::HTMLParamElement*)(DOM::Node*)xptr;
        case 65: return (void*)(DOM::HTMLImageElement*)(DOM::Node*)xptr;
        case 70: return (void*)(DOM::HTMLLayerElement*)(DOM::Node*)xptr;
        case 21: return (void*)(DOM::Comment*)(DOM::Node*)xptr;
        case 44: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Node*)xptr;
        case 67: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Node*)xptr;
        case 60: return (void*)(DOM::HTMLHRElement*)(DOM::Node*)xptr;
        case 95: return (void*)(DOM::HTMLTitleElement*)(DOM::Node*)xptr;
        case 51: return (void*)(DOM::HTMLDivElement*)(DOM::Node*)xptr;
        case 42: return (void*)(DOM::HTMLBRElement*)(DOM::Node*)xptr;
        case 20: return (void*)(DOM::CharacterData*)(DOM::Node*)xptr;
        case 84: return (void*)(DOM::HTMLQuoteElement*)(DOM::Node*)xptr;
        case 89: return (void*)(DOM::HTMLTableCellElement*)(DOM::Node*)xptr;
        case 75: return (void*)(DOM::HTMLMetaElement*)(DOM::Node*)xptr;
        case 61: return (void*)(DOM::HTMLHeadElement*)(DOM::Node*)xptr;
        case 72: return (void*)(DOM::HTMLLinkElement*)(DOM::Node*)xptr;
        case 64: return (void*)(DOM::HTMLIFrameElement*)(DOM::Node*)xptr;
        case 35: return (void*)(DOM::EntityReference*)(DOM::Node*)xptr;
        case 73: return (void*)(DOM::HTMLMapElement*)(DOM::Node*)xptr;
        case 30: return (void*)(DOM::DocumentType*)(DOM::Node*)xptr;
        case 86: return (void*)(DOM::HTMLSelectElement*)(DOM::Node*)xptr;
        case 96: return (void*)(DOM::HTMLUListElement*)(DOM::Node*)xptr;
        case 47: return (void*)(DOM::HTMLButtonElement*)(DOM::Node*)xptr;
        case 108: return (void*)(DOM::ProcessingInstruction*)(DOM::Node*)xptr;
        case 55: return (void*)(DOM::HTMLFontElement*)(DOM::Node*)xptr;
        case 45: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Node*)xptr;
        case 76: return (void*)(DOM::HTMLModElement*)(DOM::Node*)xptr;
        case 62: return (void*)(DOM::HTMLHeadingElement*)(DOM::Node*)xptr;
        case 69: return (void*)(DOM::HTMLLabelElement*)(DOM::Node*)xptr;
        case 27: return (void*)(DOM::Document*)(DOM::Node*)xptr;
        case 4: return (void*)(DOM::CDATASection*)(DOM::Node*)xptr;
        case 92: return (void*)(DOM::HTMLTableRowElement*)(DOM::Node*)xptr;
        case 115: return (void*)(DOM::Text*)(DOM::Node*)xptr;
        case 68: return (void*)(DOM::HTMLLIElement*)(DOM::Node*)xptr;
        case 41: return (void*)(DOM::HTMLAreaElement*)(DOM::Node*)xptr;
        case 50: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Node*)xptr;
        case 79: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Node*)xptr;
        case 90: return (void*)(DOM::HTMLTableColElement*)(DOM::Node*)xptr;
        case 93: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Node*)xptr;
        case 53: return (void*)(DOM::HTMLElement*)(DOM::Node*)xptr;
        case 63: return (void*)(DOM::HTMLHtmlElement*)(DOM::Node*)xptr;
        case 28: return (void*)(DOM::DocumentFragment*)(DOM::Node*)xptr;
        case 3: return (void*)(DOM::Attr*)(DOM::Node*)xptr;
        case 78: return (void*)(DOM::HTMLObjectElement*)(DOM::Node*)xptr;
        case 83: return (void*)(DOM::HTMLPreElement*)(DOM::Node*)xptr;
        case 88: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Node*)xptr;
        case 80: return (void*)(DOM::HTMLOptionElement*)(DOM::Node*)xptr;
        case 52: return (void*)(DOM::HTMLDocument*)(DOM::Node*)xptr;
        case 49: return (void*)(DOM::HTMLDListElement*)(DOM::Node*)xptr;
        case 58: return (void*)(DOM::HTMLFrameElement*)(DOM::Node*)xptr;
        case 74: return (void*)(DOM::HTMLMenuElement*)(DOM::Node*)xptr;
        case 46: return (void*)(DOM::HTMLBodyElement*)(DOM::Node*)xptr;
        case 54: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Node*)xptr;
        case 39: return (void*)(DOM::HTMLAnchorElement*)(DOM::Node*)xptr;
        case 33: return (void*)(DOM::Element*)(DOM::Node*)xptr;
        case 85: return (void*)(DOM::HTMLScriptElement*)(DOM::Node*)xptr;
        case 94: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Node*)xptr;
        case 91: return (void*)(DOM::HTMLTableElement*)(DOM::Node*)xptr;
        case 71: return (void*)(DOM::HTMLLegendElement*)(DOM::Node*)xptr;
        case 66: return (void*)(DOM::HTMLInputElement*)(DOM::Node*)xptr;
        default: return xptr;
      }
    case 104:   //DOM::NodeFilter
      switch(to) {
        case 104: return (void*)(DOM::NodeFilter*)xptr;
        default: return xptr;
      }
    case 105:   //DOM::NodeIterator
      switch(to) {
        case 105: return (void*)(DOM::NodeIterator*)xptr;
        default: return xptr;
      }
    case 106:   //DOM::NodeList
      switch(to) {
        case 106: return (void*)(DOM::NodeList*)xptr;
        default: return xptr;
      }
    case 107:   //DOM::Notation
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::Notation*)xptr;
        case 107: return (void*)(DOM::Notation*)xptr;
        default: return xptr;
      }
    case 108:   //DOM::ProcessingInstruction
      switch(to) {
        case 103: return (void*)(DOM::Node*)(DOM::ProcessingInstruction*)xptr;
        case 108: return (void*)(DOM::ProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 109:   //DOM::RGBColor
      switch(to) {
        case 109: return (void*)(DOM::RGBColor*)xptr;
        default: return xptr;
      }
    case 110:   //DOM::Range
      switch(to) {
        case 110: return (void*)(DOM::Range*)xptr;
        default: return xptr;
      }
    case 111:   //DOM::RangeException
      switch(to) {
        case 111: return (void*)(DOM::RangeException*)xptr;
        default: return xptr;
      }
    case 112:   //DOM::Rect
      switch(to) {
        case 112: return (void*)(DOM::Rect*)xptr;
        default: return xptr;
      }
    case 113:   //DOM::StyleSheet
      switch(to) {
        case 113: return (void*)(DOM::StyleSheet*)xptr;
        case 16: return (void*)(DOM::CSSStyleSheet*)(DOM::StyleSheet*)xptr;
        default: return xptr;
      }
    case 114:   //DOM::StyleSheetList
      switch(to) {
        case 114: return (void*)(DOM::StyleSheetList*)xptr;
        default: return xptr;
      }
    case 115:   //DOM::Text
      switch(to) {
        case 20: return (void*)(DOM::CharacterData*)(DOM::Text*)xptr;
        case 103: return (void*)(DOM::Node*)(DOM::Text*)xptr;
        case 115: return (void*)(DOM::Text*)xptr;
        case 4: return (void*)(DOM::CDATASection*)(DOM::Text*)xptr;
        default: return xptr;
      }
    case 116:   //DOM::TextEvent
      switch(to) {
        case 118: return (void*)(DOM::UIEvent*)(DOM::TextEvent*)xptr;
        case 36: return (void*)(DOM::Event*)(DOM::TextEvent*)xptr;
        case 116: return (void*)(DOM::TextEvent*)xptr;
        default: return xptr;
      }
    case 117:   //DOM::TreeWalker
      switch(to) {
        case 117: return (void*)(DOM::TreeWalker*)xptr;
        default: return xptr;
      }
    case 118:   //DOM::UIEvent
      switch(to) {
        case 36: return (void*)(DOM::Event*)(DOM::UIEvent*)xptr;
        case 118: return (void*)(DOM::UIEvent*)xptr;
        case 116: return (void*)(DOM::TextEvent*)(DOM::UIEvent*)xptr;
        case 97: return (void*)(DOM::KeyboardEvent*)(DOM::UIEvent*)xptr;
        case 100: return (void*)(DOM::MouseEvent*)(DOM::UIEvent*)xptr;
        default: return xptr;
      }
    case 119:   //KActionCollection
      switch(to) {
        case 119: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 120:   //KComponentData
      switch(to) {
        case 120: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 121:   //KConfig
      switch(to) {
        case 121: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 122:   //KConfigGroup
      switch(to) {
        case 122: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 123:   //KFindDialog
      switch(to) {
        case 193: return (void*)(QWidget*)(KFindDialog*)xptr;
        case 176: return (void*)(QObject*)(KFindDialog*)xptr;
        case 123: return (void*)(KFindDialog*)xptr;
        default: return xptr;
      }
    case 124:   //KHTMLPart
      switch(to) {
        case 143: return (void*)(KParts::ReadOnlyPart*)(KHTMLPart*)xptr;
        case 138: return (void*)(KParts::Part*)(KHTMLPart*)xptr;
        case 176: return (void*)(QObject*)(KHTMLPart*)xptr;
        case 140: return (void*)(KParts::PartBase*)(KHTMLPart*)xptr;
        case 146: return (void*)(KXMLGUIClient*)(KHTMLPart*)xptr;
        case 124: return (void*)(KHTMLPart*)xptr;
        default: return xptr;
      }
    case 125:   //KHTMLPartPrivate
      switch(to) {
        case 125: return (void*)(KHTMLPartPrivate*)xptr;
        default: return xptr;
      }
    case 126:   //KHTMLSettings
      switch(to) {
        case 126: return (void*)(KHTMLSettings*)xptr;
        default: return xptr;
      }
    case 127:   //KHTMLView
      switch(to) {
        case 185: return (void*)(QScrollArea*)(KHTMLView*)xptr;
        case 147: return (void*)(QAbstractScrollArea*)(KHTMLView*)xptr;
        case 168: return (void*)(QFrame*)(KHTMLView*)xptr;
        case 193: return (void*)(QWidget*)(KHTMLView*)xptr;
        case 176: return (void*)(QObject*)(KHTMLView*)xptr;
        case 196: return (void*)(khtml::KHTMLWidget*)(KHTMLView*)xptr;
        case 127: return (void*)(KHTMLView*)xptr;
        default: return xptr;
      }
    case 128:   //KIO::Job
      switch(to) {
        case 128: return (void*)(KIO::Job*)xptr;
        default: return xptr;
      }
    case 129:   //KJS::Interpreter
      switch(to) {
        case 129: return (void*)(KJS::Interpreter*)xptr;
        default: return xptr;
      }
    case 130:   //KJSProxy
      switch(to) {
        case 130: return (void*)(KJSProxy*)xptr;
        default: return xptr;
      }
    case 131:   //KJob
      switch(to) {
        case 131: return (void*)(KJob*)xptr;
        default: return xptr;
      }
    case 132:   //KParts::BrowserArguments
      switch(to) {
        case 132: return (void*)(KParts::BrowserArguments*)xptr;
        default: return xptr;
      }
    case 133:   //KParts::BrowserExtension
      switch(to) {
        case 176: return (void*)(QObject*)(KParts::BrowserExtension*)xptr;
        case 133: return (void*)(KParts::BrowserExtension*)xptr;
        default: return xptr;
      }
    case 134:   //KParts::BrowserHostExtension
      switch(to) {
        case 176: return (void*)(QObject*)(KParts::BrowserHostExtension*)xptr;
        case 134: return (void*)(KParts::BrowserHostExtension*)xptr;
        default: return xptr;
      }
    case 135:   //KParts::Event
      switch(to) {
        case 165: return (void*)(QEvent*)(KParts::Event*)xptr;
        case 135: return (void*)(KParts::Event*)xptr;
        case 198: return (void*)(khtml::MouseEvent*)(KParts::Event*)xptr;
        case 201: return (void*)(khtml::MouseReleaseEvent*)(KParts::Event*)xptr;
        case 195: return (void*)(khtml::DrawContentsEvent*)(KParts::Event*)xptr;
        case 197: return (void*)(khtml::MouseDoubleClickEvent*)(KParts::Event*)xptr;
        case 199: return (void*)(khtml::MouseMoveEvent*)(KParts::Event*)xptr;
        case 200: return (void*)(khtml::MousePressEvent*)(KParts::Event*)xptr;
        default: return xptr;
      }
    case 136:   //KParts::GUIActivateEvent
      switch(to) {
        case 135: return (void*)(KParts::Event*)(KParts::GUIActivateEvent*)xptr;
        case 165: return (void*)(QEvent*)(KParts::GUIActivateEvent*)xptr;
        case 136: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 137:   //KParts::OpenUrlArguments
      switch(to) {
        case 137: return (void*)(KParts::OpenUrlArguments*)xptr;
        default: return xptr;
      }
    case 138:   //KParts::Part
      switch(to) {
        case 176: return (void*)(QObject*)(KParts::Part*)xptr;
        case 140: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 146: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 138: return (void*)(KParts::Part*)xptr;
        case 124: return (void*)(KHTMLPart*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 139:   //KParts::PartActivateEvent
      switch(to) {
        case 135: return (void*)(KParts::Event*)(KParts::PartActivateEvent*)xptr;
        case 165: return (void*)(QEvent*)(KParts::PartActivateEvent*)xptr;
        case 139: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 140:   //KParts::PartBase
      switch(to) {
        case 146: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 140: return (void*)(KParts::PartBase*)xptr;
        case 124: return (void*)(KHTMLPart*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 141:   //KParts::PartManager
      switch(to) {
        case 141: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 142:   //KParts::PartSelectEvent
      switch(to) {
        case 135: return (void*)(KParts::Event*)(KParts::PartSelectEvent*)xptr;
        case 165: return (void*)(QEvent*)(KParts::PartSelectEvent*)xptr;
        case 142: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 143:   //KParts::ReadOnlyPart
      switch(to) {
        case 138: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 176: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 140: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 146: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 143: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 124: return (void*)(KHTMLPart*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 144:   //KPerDomainSettings
      switch(to) {
        case 144: return (void*)(KPerDomainSettings*)xptr;
        default: return xptr;
      }
    case 145:   //KUrl
      switch(to) {
        case 145: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 146:   //KXMLGUIClient
      switch(to) {
        case 146: return (void*)(KXMLGUIClient*)xptr;
        case 124: return (void*)dynamic_cast<KHTMLPart*>((KXMLGUIClient*)xptr);
        default: return xptr;
      }
    case 147:   //QAbstractScrollArea
      switch(to) {
        case 168: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 193: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 176: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 147: return (void*)(QAbstractScrollArea*)xptr;
        case 127: return (void*)(KHTMLView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 148:   //QAction
      switch(to) {
        case 148: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 149:   //QActionEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 149: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QBool
      switch(to) {
        case 150: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 151:   //QByteArray
      switch(to) {
        case 151: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 152:   //QChar
      switch(to) {
        case 152: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 153:   //QChildEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 153: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QCloseEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 154: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QColor
      switch(to) {
        case 155: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 156:   //QContextMenuEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 156: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 157:   //QCursor
      switch(to) {
        case 157: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 158:   //QDataStream
      switch(to) {
        case 158: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 159:   //QDomDocument
      switch(to) {
        case 159: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 160:   //QDomElement
      switch(to) {
        case 160: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 161:   //QDragEnterEvent
      switch(to) {
        case 163: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 164: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 165: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 161: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 162:   //QDragLeaveEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 162: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 163:   //QDragMoveEvent
      switch(to) {
        case 164: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 165: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 163: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 164:   //QDropEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 164: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 165:   //QEvent
      switch(to) {
        case 165: return (void*)(QEvent*)xptr;
        case 198: return (void*)(khtml::MouseEvent*)(QEvent*)xptr;
        case 201: return (void*)(khtml::MouseReleaseEvent*)(QEvent*)xptr;
        case 195: return (void*)(khtml::DrawContentsEvent*)(QEvent*)xptr;
        case 197: return (void*)(khtml::MouseDoubleClickEvent*)(QEvent*)xptr;
        case 199: return (void*)(khtml::MouseMoveEvent*)(QEvent*)xptr;
        case 200: return (void*)(khtml::MousePressEvent*)(QEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QFocusEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 166: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QFont
      switch(to) {
        case 167: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 168:   //QFrame
      switch(to) {
        case 193: return (void*)(QWidget*)(QFrame*)xptr;
        case 176: return (void*)(QObject*)(QFrame*)xptr;
        case 168: return (void*)(QFrame*)xptr;
        case 127: return (void*)(KHTMLView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 170:   //QHideEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 170: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QInputMethodEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 171: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 172:   //QKeyEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 172: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 173:   //QMetaObject
      switch(to) {
        case 173: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 174:   //QMouseEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 174: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 175:   //QMoveEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 175: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 176:   //QObject
      switch(to) {
        case 176: return (void*)(QObject*)xptr;
        case 127: return (void*)(KHTMLView*)(QObject*)xptr;
        case 124: return (void*)(KHTMLPart*)(QObject*)xptr;
        default: return xptr;
      }
    case 177:   //QPaintEngine
      switch(to) {
        case 177: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 178:   //QPaintEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 178: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QPainter
      switch(to) {
        case 179: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 180:   //QPalette
      switch(to) {
        case 180: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 181:   //QPoint
      switch(to) {
        case 181: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 182:   //QRect
      switch(to) {
        case 182: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 183:   //QRegExp
      switch(to) {
        case 183: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 184:   //QResizeEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 184: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 185:   //QScrollArea
      switch(to) {
        case 147: return (void*)(QAbstractScrollArea*)(QScrollArea*)xptr;
        case 168: return (void*)(QFrame*)(QScrollArea*)xptr;
        case 193: return (void*)(QWidget*)(QScrollArea*)xptr;
        case 176: return (void*)(QObject*)(QScrollArea*)xptr;
        case 185: return (void*)(QScrollArea*)xptr;
        case 127: return (void*)(KHTMLView*)(QScrollArea*)xptr;
        default: return xptr;
      }
    case 186:   //QShowEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 186: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 187:   //QSize
      switch(to) {
        case 187: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 188:   //QStyle
      switch(to) {
        case 188: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 189:   //QTabletEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 189: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QTimerEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 190: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 191:   //QVariant
      switch(to) {
        case 191: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 192:   //QWheelEvent
      switch(to) {
        case 165: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 192: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 193:   //QWidget
      switch(to) {
        case 176: return (void*)(QObject*)(QWidget*)xptr;
        case 193: return (void*)(QWidget*)xptr;
        case 127: return (void*)(KHTMLView*)(QWidget*)xptr;
        default: return xptr;
      }
    case 194:   //khtml::ChildFrame
      switch(to) {
        case 194: return (void*)(khtml::ChildFrame*)xptr;
        default: return xptr;
      }
    case 195:   //khtml::DrawContentsEvent
      switch(to) {
        case 135: return (void*)(KParts::Event*)(khtml::DrawContentsEvent*)xptr;
        case 165: return (void*)(QEvent*)(khtml::DrawContentsEvent*)xptr;
        case 195: return (void*)(khtml::DrawContentsEvent*)xptr;
        default: return xptr;
      }
    case 196:   //khtml::KHTMLWidget
      switch(to) {
        case 196: return (void*)(khtml::KHTMLWidget*)xptr;
        case 127: return (void*)(KHTMLView*)(khtml::KHTMLWidget*)xptr;
        default: return xptr;
      }
    case 197:   //khtml::MouseDoubleClickEvent
      switch(to) {
        case 198: return (void*)(khtml::MouseEvent*)(khtml::MouseDoubleClickEvent*)xptr;
        case 135: return (void*)(KParts::Event*)(khtml::MouseDoubleClickEvent*)xptr;
        case 165: return (void*)(QEvent*)(khtml::MouseDoubleClickEvent*)xptr;
        case 197: return (void*)(khtml::MouseDoubleClickEvent*)xptr;
        default: return xptr;
      }
    case 198:   //khtml::MouseEvent
      switch(to) {
        case 135: return (void*)(KParts::Event*)(khtml::MouseEvent*)xptr;
        case 165: return (void*)(QEvent*)(khtml::MouseEvent*)xptr;
        case 198: return (void*)(khtml::MouseEvent*)xptr;
        case 201: return (void*)(khtml::MouseReleaseEvent*)(khtml::MouseEvent*)xptr;
        case 197: return (void*)(khtml::MouseDoubleClickEvent*)(khtml::MouseEvent*)xptr;
        case 199: return (void*)(khtml::MouseMoveEvent*)(khtml::MouseEvent*)xptr;
        case 200: return (void*)(khtml::MousePressEvent*)(khtml::MouseEvent*)xptr;
        default: return xptr;
      }
    case 199:   //khtml::MouseMoveEvent
      switch(to) {
        case 198: return (void*)(khtml::MouseEvent*)(khtml::MouseMoveEvent*)xptr;
        case 135: return (void*)(KParts::Event*)(khtml::MouseMoveEvent*)xptr;
        case 165: return (void*)(QEvent*)(khtml::MouseMoveEvent*)xptr;
        case 199: return (void*)(khtml::MouseMoveEvent*)xptr;
        default: return xptr;
      }
    case 200:   //khtml::MousePressEvent
      switch(to) {
        case 198: return (void*)(khtml::MouseEvent*)(khtml::MousePressEvent*)xptr;
        case 135: return (void*)(KParts::Event*)(khtml::MousePressEvent*)xptr;
        case 165: return (void*)(QEvent*)(khtml::MousePressEvent*)xptr;
        case 200: return (void*)(khtml::MousePressEvent*)xptr;
        default: return xptr;
      }
    case 201:   //khtml::MouseReleaseEvent
      switch(to) {
        case 198: return (void*)(khtml::MouseEvent*)(khtml::MouseReleaseEvent*)xptr;
        case 135: return (void*)(KParts::Event*)(khtml::MouseReleaseEvent*)xptr;
        case 165: return (void*)(QEvent*)(khtml::MouseReleaseEvent*)xptr;
        case 201: return (void*)(khtml::MouseReleaseEvent*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    103, 0,	// 1: DOM::Node
    115, 0,	// 3: DOM::Text
    12, 0,	// 5: DOM::CSSRule
    18, 0,	// 7: DOM::CSSValue
    113, 0,	// 9: DOM::StyleSheet
    20, 0,	// 11: DOM::CharacterData
    31, 0,	// 13: DOM::DomShared
    53, 0,	// 15: DOM::HTMLElement
    27, 0,	// 17: DOM::Document
    33, 0,	// 19: DOM::Element
    48, 0,	// 21: DOM::HTMLCollection
    118, 0,	// 23: DOM::UIEvent
    36, 0,	// 25: DOM::Event
    143, 0,	// 27: KParts::ReadOnlyPart
    185, 196, 0,	// 29: QScrollArea, khtml::KHTMLWidget
    135, 0,	// 32: KParts::Event
    198, 0,	// 34: khtml::MouseEvent
};

// These are the xenum functions for manipulating enum pointers
void xenum_KHTMLPart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__KeyboardEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSPrimitiveValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__NodeFilter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Event(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__MutationEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__EventException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__RangeException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__DOMException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Range(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_DOM(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__AbstractView(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Attr(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSCharsetRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSFontFaceRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSImportRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSMediaRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPageRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPrimitiveValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRuleList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleDeclaration(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSUnknownRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValueList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Comment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Counter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CustomNodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMString(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DomShared(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Element(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventListener(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAnchorElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAppletElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBlockquoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBodyElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLButtonElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDirectoryElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDivElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFieldSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadingElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHtmlElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLImageElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLInputElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIsIndexElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLIElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLabelElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLayerElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLegendElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLinkElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMapElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMenuElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMetaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLModElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLObjectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptGroupElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParagraphElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParamElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLPreElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLQuoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLScriptElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLSelectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLStyleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCaptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCellElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableColElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableRowElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableSectionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTextAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTitleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLUListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__KeyboardEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__LinkStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MediaList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MouseEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MutationEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Notation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__ProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RGBColor(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RangeException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Rect(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheetList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Text(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TextEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TreeWalker(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__UIEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLPart(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__DrawContentsEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseDoubleClickEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseMoveEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MousePressEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_khtml__MouseReleaseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DOM", false, 0, xcall_DOM, 0, Smoke::cf_namespace, 0 },	//1
    { "DOM::AbstractView", false, 0, xcall_DOM__AbstractView, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::AbstractView) },	//2
    { "DOM::Attr", false, 1, xcall_DOM__Attr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Attr) },	//3
    { "DOM::CDATASection", false, 3, xcall_DOM__CDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CDATASection) },	//4
    { "DOM::CSSCharsetRule", false, 5, xcall_DOM__CSSCharsetRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSCharsetRule) },	//5
    { "DOM::CSSException", false, 0, xcall_DOM__CSSException, xenum_DOM__CSSException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CSSException) },	//6
    { "DOM::CSSFontFaceRule", false, 5, xcall_DOM__CSSFontFaceRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSFontFaceRule) },	//7
    { "DOM::CSSImportRule", false, 5, xcall_DOM__CSSImportRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSImportRule) },	//8
    { "DOM::CSSMediaRule", false, 5, xcall_DOM__CSSMediaRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSMediaRule) },	//9
    { "DOM::CSSPageRule", false, 5, xcall_DOM__CSSPageRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSPageRule) },	//10
    { "DOM::CSSPrimitiveValue", false, 7, xcall_DOM__CSSPrimitiveValue, xenum_DOM__CSSPrimitiveValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSPrimitiveValue) },	//11
    { "DOM::CSSRule", false, 0, xcall_DOM__CSSRule, xenum_DOM__CSSRule, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSRule) },	//12
    { "DOM::CSSRuleList", false, 0, xcall_DOM__CSSRuleList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSRuleList) },	//13
    { "DOM::CSSStyleDeclaration", false, 0, xcall_DOM__CSSStyleDeclaration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSStyleDeclaration) },	//14
    { "DOM::CSSStyleRule", false, 5, xcall_DOM__CSSStyleRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSStyleRule) },	//15
    { "DOM::CSSStyleSheet", false, 9, xcall_DOM__CSSStyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSStyleSheet) },	//16
    { "DOM::CSSUnknownRule", false, 5, xcall_DOM__CSSUnknownRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSUnknownRule) },	//17
    { "DOM::CSSValue", false, 0, xcall_DOM__CSSValue, xenum_DOM__CSSValue, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSValue) },	//18
    { "DOM::CSSValueList", false, 7, xcall_DOM__CSSValueList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::CSSValueList) },	//19
    { "DOM::CharacterData", false, 1, xcall_DOM__CharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CharacterData) },	//20
    { "DOM::Comment", false, 11, xcall_DOM__Comment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Comment) },	//21
    { "DOM::Counter", false, 0, xcall_DOM__Counter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::Counter) },	//22
    { "DOM::CustomNodeFilter", false, 13, xcall_DOM__CustomNodeFilter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::CustomNodeFilter) },	//23
    { "DOM::DOMException", false, 0, xcall_DOM__DOMException, xenum_DOM__DOMException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DOMException) },	//24
    { "DOM::DOMImplementation", false, 0, xcall_DOM__DOMImplementation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::DOMImplementation) },	//25
    { "DOM::DOMString", false, 0, xcall_DOM__DOMString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DOMString) },	//26
    { "DOM::Document", false, 1, xcall_DOM__Document, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Document) },	//27
    { "DOM::DocumentFragment", false, 1, xcall_DOM__DocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DocumentFragment) },	//28
    { "DOM::DocumentStyle", false, 0, xcall_DOM__DocumentStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::DocumentStyle) },	//29
    { "DOM::DocumentType", false, 1, xcall_DOM__DocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DocumentType) },	//30
    { "DOM::DomShared", false, 0, xcall_DOM__DomShared, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::DomShared) },	//31
    { "DOM::Editor", true, 0, 0, 0, 0, 0 },	//32
    { "DOM::Element", false, 1, xcall_DOM__Element, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Element) },	//33
    { "DOM::Entity", false, 1, xcall_DOM__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Entity) },	//34
    { "DOM::EntityReference", false, 1, xcall_DOM__EntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::EntityReference) },	//35
    { "DOM::Event", false, 0, xcall_DOM__Event, xenum_DOM__Event, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Event) },	//36
    { "DOM::EventException", false, 0, xcall_DOM__EventException, xenum_DOM__EventException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::EventException) },	//37
    { "DOM::EventListener", false, 13, xcall_DOM__EventListener, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::EventListener) },	//38
    { "DOM::HTMLAnchorElement", false, 15, xcall_DOM__HTMLAnchorElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLAnchorElement) },	//39
    { "DOM::HTMLAppletElement", false, 15, xcall_DOM__HTMLAppletElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLAppletElement) },	//40
    { "DOM::HTMLAreaElement", false, 15, xcall_DOM__HTMLAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLAreaElement) },	//41
    { "DOM::HTMLBRElement", false, 15, xcall_DOM__HTMLBRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBRElement) },	//42
    { "DOM::HTMLBaseElement", false, 15, xcall_DOM__HTMLBaseElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBaseElement) },	//43
    { "DOM::HTMLBaseFontElement", false, 15, xcall_DOM__HTMLBaseFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBaseFontElement) },	//44
    { "DOM::HTMLBlockquoteElement", false, 15, xcall_DOM__HTMLBlockquoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBlockquoteElement) },	//45
    { "DOM::HTMLBodyElement", false, 15, xcall_DOM__HTMLBodyElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLBodyElement) },	//46
    { "DOM::HTMLButtonElement", false, 15, xcall_DOM__HTMLButtonElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLButtonElement) },	//47
    { "DOM::HTMLCollection", false, 0, xcall_DOM__HTMLCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::HTMLCollection) },	//48
    { "DOM::HTMLDListElement", false, 15, xcall_DOM__HTMLDListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDListElement) },	//49
    { "DOM::HTMLDirectoryElement", false, 15, xcall_DOM__HTMLDirectoryElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDirectoryElement) },	//50
    { "DOM::HTMLDivElement", false, 15, xcall_DOM__HTMLDivElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDivElement) },	//51
    { "DOM::HTMLDocument", false, 17, xcall_DOM__HTMLDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLDocument) },	//52
    { "DOM::HTMLElement", false, 19, xcall_DOM__HTMLElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLElement) },	//53
    { "DOM::HTMLFieldSetElement", false, 15, xcall_DOM__HTMLFieldSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFieldSetElement) },	//54
    { "DOM::HTMLFontElement", false, 15, xcall_DOM__HTMLFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFontElement) },	//55
    { "DOM::HTMLFormCollection", false, 21, xcall_DOM__HTMLFormCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::HTMLFormCollection) },	//56
    { "DOM::HTMLFormElement", false, 15, xcall_DOM__HTMLFormElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFormElement) },	//57
    { "DOM::HTMLFrameElement", false, 15, xcall_DOM__HTMLFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFrameElement) },	//58
    { "DOM::HTMLFrameSetElement", false, 15, xcall_DOM__HTMLFrameSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLFrameSetElement) },	//59
    { "DOM::HTMLHRElement", false, 15, xcall_DOM__HTMLHRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHRElement) },	//60
    { "DOM::HTMLHeadElement", false, 15, xcall_DOM__HTMLHeadElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHeadElement) },	//61
    { "DOM::HTMLHeadingElement", false, 15, xcall_DOM__HTMLHeadingElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHeadingElement) },	//62
    { "DOM::HTMLHtmlElement", false, 15, xcall_DOM__HTMLHtmlElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLHtmlElement) },	//63
    { "DOM::HTMLIFrameElement", false, 15, xcall_DOM__HTMLIFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLIFrameElement) },	//64
    { "DOM::HTMLImageElement", false, 15, xcall_DOM__HTMLImageElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLImageElement) },	//65
    { "DOM::HTMLInputElement", false, 15, xcall_DOM__HTMLInputElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLInputElement) },	//66
    { "DOM::HTMLIsIndexElement", false, 15, xcall_DOM__HTMLIsIndexElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLIsIndexElement) },	//67
    { "DOM::HTMLLIElement", false, 15, xcall_DOM__HTMLLIElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLIElement) },	//68
    { "DOM::HTMLLabelElement", false, 15, xcall_DOM__HTMLLabelElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLabelElement) },	//69
    { "DOM::HTMLLayerElement", false, 15, xcall_DOM__HTMLLayerElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLayerElement) },	//70
    { "DOM::HTMLLegendElement", false, 15, xcall_DOM__HTMLLegendElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLegendElement) },	//71
    { "DOM::HTMLLinkElement", false, 15, xcall_DOM__HTMLLinkElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLLinkElement) },	//72
    { "DOM::HTMLMapElement", false, 15, xcall_DOM__HTMLMapElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLMapElement) },	//73
    { "DOM::HTMLMenuElement", false, 15, xcall_DOM__HTMLMenuElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLMenuElement) },	//74
    { "DOM::HTMLMetaElement", false, 15, xcall_DOM__HTMLMetaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLMetaElement) },	//75
    { "DOM::HTMLModElement", false, 15, xcall_DOM__HTMLModElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLModElement) },	//76
    { "DOM::HTMLOListElement", false, 15, xcall_DOM__HTMLOListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLOListElement) },	//77
    { "DOM::HTMLObjectElement", false, 15, xcall_DOM__HTMLObjectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLObjectElement) },	//78
    { "DOM::HTMLOptGroupElement", false, 15, xcall_DOM__HTMLOptGroupElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLOptGroupElement) },	//79
    { "DOM::HTMLOptionElement", false, 15, xcall_DOM__HTMLOptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLOptionElement) },	//80
    { "DOM::HTMLParagraphElement", false, 15, xcall_DOM__HTMLParagraphElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLParagraphElement) },	//81
    { "DOM::HTMLParamElement", false, 15, xcall_DOM__HTMLParamElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLParamElement) },	//82
    { "DOM::HTMLPreElement", false, 15, xcall_DOM__HTMLPreElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLPreElement) },	//83
    { "DOM::HTMLQuoteElement", false, 15, xcall_DOM__HTMLQuoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLQuoteElement) },	//84
    { "DOM::HTMLScriptElement", false, 15, xcall_DOM__HTMLScriptElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLScriptElement) },	//85
    { "DOM::HTMLSelectElement", false, 15, xcall_DOM__HTMLSelectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLSelectElement) },	//86
    { "DOM::HTMLStyleElement", false, 15, xcall_DOM__HTMLStyleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLStyleElement) },	//87
    { "DOM::HTMLTableCaptionElement", false, 15, xcall_DOM__HTMLTableCaptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableCaptionElement) },	//88
    { "DOM::HTMLTableCellElement", false, 15, xcall_DOM__HTMLTableCellElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableCellElement) },	//89
    { "DOM::HTMLTableColElement", false, 15, xcall_DOM__HTMLTableColElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableColElement) },	//90
    { "DOM::HTMLTableElement", false, 15, xcall_DOM__HTMLTableElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableElement) },	//91
    { "DOM::HTMLTableRowElement", false, 15, xcall_DOM__HTMLTableRowElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableRowElement) },	//92
    { "DOM::HTMLTableSectionElement", false, 15, xcall_DOM__HTMLTableSectionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTableSectionElement) },	//93
    { "DOM::HTMLTextAreaElement", false, 15, xcall_DOM__HTMLTextAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTextAreaElement) },	//94
    { "DOM::HTMLTitleElement", false, 15, xcall_DOM__HTMLTitleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLTitleElement) },	//95
    { "DOM::HTMLUListElement", false, 15, xcall_DOM__HTMLUListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::HTMLUListElement) },	//96
    { "DOM::KeyboardEvent", false, 23, xcall_DOM__KeyboardEvent, xenum_DOM__KeyboardEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::KeyboardEvent) },	//97
    { "DOM::LinkStyle", false, 0, xcall_DOM__LinkStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::LinkStyle) },	//98
    { "DOM::MediaList", false, 0, xcall_DOM__MediaList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::MediaList) },	//99
    { "DOM::MouseEvent", false, 23, xcall_DOM__MouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::MouseEvent) },	//100
    { "DOM::MutationEvent", false, 25, xcall_DOM__MutationEvent, xenum_DOM__MutationEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::MutationEvent) },	//101
    { "DOM::NamedNodeMap", false, 0, xcall_DOM__NamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::NamedNodeMap) },	//102
    { "DOM::Node", false, 0, xcall_DOM__Node, xenum_DOM__Node, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Node) },	//103
    { "DOM::NodeFilter", false, 0, xcall_DOM__NodeFilter, xenum_DOM__NodeFilter, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::NodeFilter) },	//104
    { "DOM::NodeIterator", false, 0, xcall_DOM__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::NodeIterator) },	//105
    { "DOM::NodeList", false, 0, xcall_DOM__NodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::NodeList) },	//106
    { "DOM::Notation", false, 1, xcall_DOM__Notation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Notation) },	//107
    { "DOM::ProcessingInstruction", false, 1, xcall_DOM__ProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::ProcessingInstruction) },	//108
    { "DOM::RGBColor", false, 0, xcall_DOM__RGBColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::RGBColor) },	//109
    { "DOM::Range", false, 0, xcall_DOM__Range, xenum_DOM__Range, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::Range) },	//110
    { "DOM::RangeException", false, 0, xcall_DOM__RangeException, xenum_DOM__RangeException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::RangeException) },	//111
    { "DOM::Rect", false, 0, xcall_DOM__Rect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::Rect) },	//112
    { "DOM::StyleSheet", false, 0, xcall_DOM__StyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::StyleSheet) },	//113
    { "DOM::StyleSheetList", false, 0, xcall_DOM__StyleSheetList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::StyleSheetList) },	//114
    { "DOM::Text", false, 11, xcall_DOM__Text, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::Text) },	//115
    { "DOM::TextEvent", false, 23, xcall_DOM__TextEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::TextEvent) },	//116
    { "DOM::TreeWalker", false, 0, xcall_DOM__TreeWalker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(DOM::TreeWalker) },	//117
    { "DOM::UIEvent", false, 25, xcall_DOM__UIEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(DOM::UIEvent) },	//118
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//119
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//120
    { "KConfig", true, 0, 0, 0, 0, 0 },	//121
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//122
    { "KFindDialog", true, 0, 0, 0, 0, 0 },	//123
    { "KHTMLPart", false, 27, xcall_KHTMLPart, xenum_KHTMLPart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KHTMLPart) },	//124
    { "KHTMLPartPrivate", true, 0, 0, 0, 0, 0 },	//125
    { "KHTMLSettings", false, 0, xcall_KHTMLSettings, xenum_KHTMLSettings, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KHTMLSettings) },	//126
    { "KHTMLView", false, 29, xcall_KHTMLView, xenum_KHTMLView, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KHTMLView) },	//127
    { "KIO::Job", true, 0, 0, 0, 0, 0 },	//128
    { "KJS::Interpreter", true, 0, 0, 0, 0, 0 },	//129
    { "KJSProxy", true, 0, 0, 0, 0, 0 },	//130
    { "KJob", true, 0, 0, 0, 0, 0 },	//131
    { "KParts::BrowserArguments", true, 0, 0, 0, 0, 0 },	//132
    { "KParts::BrowserExtension", true, 0, 0, 0, 0, 0 },	//133
    { "KParts::BrowserHostExtension", true, 0, 0, 0, 0, 0 },	//134
    { "KParts::Event", true, 0, 0, 0, 0, 0 },	//135
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//136
    { "KParts::OpenUrlArguments", true, 0, 0, 0, 0, 0 },	//137
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//138
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//139
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//140
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//141
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//142
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//143
    { "KPerDomainSettings", true, 0, 0, 0, 0, 0 },	//144
    { "KUrl", true, 0, 0, 0, 0, 0 },	//145
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//146
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//147
    { "QAction", true, 0, 0, 0, 0, 0 },	//148
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QBool", true, 0, 0, 0, 0, 0 },	//150
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//151
    { "QChar", true, 0, 0, 0, 0, 0 },	//152
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QColor", true, 0, 0, 0, 0, 0 },	//155
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//156
    { "QCursor", true, 0, 0, 0, 0, 0 },	//157
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//158
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//159
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//160
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//161
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//162
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//163
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//164
    { "QEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QFont", true, 0, 0, 0, 0, 0 },	//167
    { "QFrame", true, 0, 0, 0, 0, 0 },	//168
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//169
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//171
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//172
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//173
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//174
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//175
    { "QObject", true, 0, 0, 0, 0, 0 },	//176
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//177
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QPainter", true, 0, 0, 0, 0, 0 },	//179
    { "QPalette", true, 0, 0, 0, 0, 0 },	//180
    { "QPoint", true, 0, 0, 0, 0, 0 },	//181
    { "QRect", true, 0, 0, 0, 0, 0 },	//182
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//183
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//184
    { "QScrollArea", true, 0, 0, 0, 0, 0 },	//185
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//186
    { "QSize", true, 0, 0, 0, 0, 0 },	//187
    { "QStyle", true, 0, 0, 0, 0, 0 },	//188
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//190
    { "QVariant", true, 0, 0, 0, 0, 0 },	//191
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//192
    { "QWidget", true, 0, 0, 0, 0, 0 },	//193
    { "khtml::ChildFrame", true, 0, 0, 0, 0, 0 },	//194
    { "khtml::DrawContentsEvent", false, 32, xcall_khtml__DrawContentsEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::DrawContentsEvent) },	//195
    { "khtml::KHTMLWidget", true, 0, 0, 0, 0, 0 },	//196
    { "khtml::MouseDoubleClickEvent", false, 34, xcall_khtml__MouseDoubleClickEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseDoubleClickEvent) },	//197
    { "khtml::MouseEvent", false, 32, xcall_khtml__MouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseEvent) },	//198
    { "khtml::MouseMoveEvent", false, 34, xcall_khtml__MouseMoveEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseMoveEvent) },	//199
    { "khtml::MousePressEvent", false, 34, xcall_khtml__MousePressEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MousePressEvent) },	//200
    { "khtml::MouseReleaseEvent", false, 34, xcall_khtml__MouseReleaseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(khtml::MouseReleaseEvent) },	//201
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DOM::AbstractView", 2, Smoke::t_class|Smoke::tf_stack },	//1
    { "DOM::AbstractView&", 2, Smoke::t_class|Smoke::tf_ref },	//2
    { "DOM::AbstractView*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "DOM::Attr", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "DOM::Attr&", 3, Smoke::t_class|Smoke::tf_ref },	//5
    { "DOM::Attr*", 3, Smoke::t_class|Smoke::tf_ptr },	//6
    { "DOM::CDATASection", 4, Smoke::t_class|Smoke::tf_stack },	//7
    { "DOM::CDATASection&", 4, Smoke::t_class|Smoke::tf_ref },	//8
    { "DOM::CDATASection*", 4, Smoke::t_class|Smoke::tf_ptr },	//9
    { "DOM::CSSCharsetRule&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "DOM::CSSCharsetRule*", 5, Smoke::t_class|Smoke::tf_ptr },	//11
    { "DOM::CSSException&", 6, Smoke::t_class|Smoke::tf_ref },	//12
    { "DOM::CSSException*", 6, Smoke::t_class|Smoke::tf_ptr },	//13
    { "DOM::CSSException::ExceptionCode", 6, Smoke::t_enum|Smoke::tf_stack },	//14
    { "DOM::CSSFontFaceRule&", 7, Smoke::t_class|Smoke::tf_ref },	//15
    { "DOM::CSSFontFaceRule*", 7, Smoke::t_class|Smoke::tf_ptr },	//16
    { "DOM::CSSImportRule&", 8, Smoke::t_class|Smoke::tf_ref },	//17
    { "DOM::CSSImportRule*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "DOM::CSSMediaRule&", 9, Smoke::t_class|Smoke::tf_ref },	//19
    { "DOM::CSSMediaRule*", 9, Smoke::t_class|Smoke::tf_ptr },	//20
    { "DOM::CSSPageRule&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "DOM::CSSPageRule*", 10, Smoke::t_class|Smoke::tf_ptr },	//22
    { "DOM::CSSPrimitiveValue", 11, Smoke::t_class|Smoke::tf_stack },	//23
    { "DOM::CSSPrimitiveValue&", 11, Smoke::t_class|Smoke::tf_ref },	//24
    { "DOM::CSSPrimitiveValue*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "DOM::CSSPrimitiveValue::UnitTypes", 11, Smoke::t_enum|Smoke::tf_stack },	//26
    { "DOM::CSSRule", 12, Smoke::t_class|Smoke::tf_stack },	//27
    { "DOM::CSSRule&", 12, Smoke::t_class|Smoke::tf_ref },	//28
    { "DOM::CSSRule*", 12, Smoke::t_class|Smoke::tf_ptr },	//29
    { "DOM::CSSRule::RuleType", 12, Smoke::t_enum|Smoke::tf_stack },	//30
    { "DOM::CSSRuleList", 13, Smoke::t_class|Smoke::tf_stack },	//31
    { "DOM::CSSRuleList&", 13, Smoke::t_class|Smoke::tf_ref },	//32
    { "DOM::CSSRuleList*", 13, Smoke::t_class|Smoke::tf_ptr },	//33
    { "DOM::CSSStyleDeclaration", 14, Smoke::t_class|Smoke::tf_stack },	//34
    { "DOM::CSSStyleDeclaration&", 14, Smoke::t_class|Smoke::tf_ref },	//35
    { "DOM::CSSStyleDeclaration*", 14, Smoke::t_class|Smoke::tf_ptr },	//36
    { "DOM::CSSStyleRule&", 15, Smoke::t_class|Smoke::tf_ref },	//37
    { "DOM::CSSStyleRule*", 15, Smoke::t_class|Smoke::tf_ptr },	//38
    { "DOM::CSSStyleSheet", 16, Smoke::t_class|Smoke::tf_stack },	//39
    { "DOM::CSSStyleSheet&", 16, Smoke::t_class|Smoke::tf_ref },	//40
    { "DOM::CSSStyleSheet*", 16, Smoke::t_class|Smoke::tf_ptr },	//41
    { "DOM::CSSUnknownRule&", 17, Smoke::t_class|Smoke::tf_ref },	//42
    { "DOM::CSSUnknownRule*", 17, Smoke::t_class|Smoke::tf_ptr },	//43
    { "DOM::CSSValue", 18, Smoke::t_class|Smoke::tf_stack },	//44
    { "DOM::CSSValue&", 18, Smoke::t_class|Smoke::tf_ref },	//45
    { "DOM::CSSValue*", 18, Smoke::t_class|Smoke::tf_ptr },	//46
    { "DOM::CSSValue::UnitTypes", 18, Smoke::t_enum|Smoke::tf_stack },	//47
    { "DOM::CSSValueList&", 19, Smoke::t_class|Smoke::tf_ref },	//48
    { "DOM::CSSValueList*", 19, Smoke::t_class|Smoke::tf_ptr },	//49
    { "DOM::CharacterData&", 20, Smoke::t_class|Smoke::tf_ref },	//50
    { "DOM::CharacterData*", 20, Smoke::t_class|Smoke::tf_ptr },	//51
    { "DOM::Comment", 21, Smoke::t_class|Smoke::tf_stack },	//52
    { "DOM::Comment&", 21, Smoke::t_class|Smoke::tf_ref },	//53
    { "DOM::Comment*", 21, Smoke::t_class|Smoke::tf_ptr },	//54
    { "DOM::Counter", 22, Smoke::t_class|Smoke::tf_stack },	//55
    { "DOM::Counter&", 22, Smoke::t_class|Smoke::tf_ref },	//56
    { "DOM::Counter*", 22, Smoke::t_class|Smoke::tf_ptr },	//57
    { "DOM::CustomNodeFilter*", 23, Smoke::t_class|Smoke::tf_ptr },	//58
    { "DOM::DOMException&", 24, Smoke::t_class|Smoke::tf_ref },	//59
    { "DOM::DOMException*", 24, Smoke::t_class|Smoke::tf_ptr },	//60
    { "DOM::DOMException::ExceptionCode", 24, Smoke::t_enum|Smoke::tf_stack },	//61
    { "DOM::DOMImplementation", 25, Smoke::t_class|Smoke::tf_stack },	//62
    { "DOM::DOMImplementation&", 25, Smoke::t_class|Smoke::tf_ref },	//63
    { "DOM::DOMImplementation*", 25, Smoke::t_class|Smoke::tf_ptr },	//64
    { "DOM::DOMString", 26, Smoke::t_class|Smoke::tf_stack },	//65
    { "DOM::DOMString&", 26, Smoke::t_class|Smoke::tf_ref },	//66
    { "DOM::DOMString*", 26, Smoke::t_class|Smoke::tf_ptr },	//67
    { "DOM::Document", 27, Smoke::t_class|Smoke::tf_stack },	//68
    { "DOM::Document&", 27, Smoke::t_class|Smoke::tf_ref },	//69
    { "DOM::Document*", 27, Smoke::t_class|Smoke::tf_ptr },	//70
    { "DOM::DocumentFragment", 28, Smoke::t_class|Smoke::tf_stack },	//71
    { "DOM::DocumentFragment&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "DOM::DocumentFragment*", 28, Smoke::t_class|Smoke::tf_ptr },	//73
    { "DOM::DocumentStyle&", 29, Smoke::t_class|Smoke::tf_ref },	//74
    { "DOM::DocumentStyle*", 29, Smoke::t_class|Smoke::tf_ptr },	//75
    { "DOM::DocumentType", 30, Smoke::t_class|Smoke::tf_stack },	//76
    { "DOM::DocumentType&", 30, Smoke::t_class|Smoke::tf_ref },	//77
    { "DOM::DocumentType*", 30, Smoke::t_class|Smoke::tf_ptr },	//78
    { "DOM::DomShared*", 31, Smoke::t_class|Smoke::tf_ptr },	//79
    { "DOM::Editor*", 32, Smoke::t_class|Smoke::tf_ptr },	//80
    { "DOM::Element", 33, Smoke::t_class|Smoke::tf_stack },	//81
    { "DOM::Element&", 33, Smoke::t_class|Smoke::tf_ref },	//82
    { "DOM::Element*", 33, Smoke::t_class|Smoke::tf_ptr },	//83
    { "DOM::Entity&", 34, Smoke::t_class|Smoke::tf_ref },	//84
    { "DOM::Entity*", 34, Smoke::t_class|Smoke::tf_ptr },	//85
    { "DOM::EntityReference", 35, Smoke::t_class|Smoke::tf_stack },	//86
    { "DOM::EntityReference&", 35, Smoke::t_class|Smoke::tf_ref },	//87
    { "DOM::EntityReference*", 35, Smoke::t_class|Smoke::tf_ptr },	//88
    { "DOM::Event", 36, Smoke::t_class|Smoke::tf_stack },	//89
    { "DOM::Event&", 36, Smoke::t_class|Smoke::tf_ref },	//90
    { "DOM::Event*", 36, Smoke::t_class|Smoke::tf_ptr },	//91
    { "DOM::Event::PhaseType", 36, Smoke::t_enum|Smoke::tf_stack },	//92
    { "DOM::EventException&", 37, Smoke::t_class|Smoke::tf_ref },	//93
    { "DOM::EventException*", 37, Smoke::t_class|Smoke::tf_ptr },	//94
    { "DOM::EventException::EventExceptionCode", 37, Smoke::t_enum|Smoke::tf_stack },	//95
    { "DOM::EventListener*", 38, Smoke::t_class|Smoke::tf_ptr },	//96
    { "DOM::HTMLAnchorElement&", 39, Smoke::t_class|Smoke::tf_ref },	//97
    { "DOM::HTMLAnchorElement*", 39, Smoke::t_class|Smoke::tf_ptr },	//98
    { "DOM::HTMLAppletElement&", 40, Smoke::t_class|Smoke::tf_ref },	//99
    { "DOM::HTMLAppletElement*", 40, Smoke::t_class|Smoke::tf_ptr },	//100
    { "DOM::HTMLAreaElement&", 41, Smoke::t_class|Smoke::tf_ref },	//101
    { "DOM::HTMLAreaElement*", 41, Smoke::t_class|Smoke::tf_ptr },	//102
    { "DOM::HTMLBRElement&", 42, Smoke::t_class|Smoke::tf_ref },	//103
    { "DOM::HTMLBRElement*", 42, Smoke::t_class|Smoke::tf_ptr },	//104
    { "DOM::HTMLBaseElement&", 43, Smoke::t_class|Smoke::tf_ref },	//105
    { "DOM::HTMLBaseElement*", 43, Smoke::t_class|Smoke::tf_ptr },	//106
    { "DOM::HTMLBaseFontElement&", 44, Smoke::t_class|Smoke::tf_ref },	//107
    { "DOM::HTMLBaseFontElement*", 44, Smoke::t_class|Smoke::tf_ptr },	//108
    { "DOM::HTMLBlockquoteElement&", 45, Smoke::t_class|Smoke::tf_ref },	//109
    { "DOM::HTMLBlockquoteElement*", 45, Smoke::t_class|Smoke::tf_ptr },	//110
    { "DOM::HTMLBodyElement&", 46, Smoke::t_class|Smoke::tf_ref },	//111
    { "DOM::HTMLBodyElement*", 46, Smoke::t_class|Smoke::tf_ptr },	//112
    { "DOM::HTMLButtonElement&", 47, Smoke::t_class|Smoke::tf_ref },	//113
    { "DOM::HTMLButtonElement*", 47, Smoke::t_class|Smoke::tf_ptr },	//114
    { "DOM::HTMLCollection", 48, Smoke::t_class|Smoke::tf_stack },	//115
    { "DOM::HTMLCollection&", 48, Smoke::t_class|Smoke::tf_ref },	//116
    { "DOM::HTMLCollection*", 48, Smoke::t_class|Smoke::tf_ptr },	//117
    { "DOM::HTMLDListElement&", 49, Smoke::t_class|Smoke::tf_ref },	//118
    { "DOM::HTMLDListElement*", 49, Smoke::t_class|Smoke::tf_ptr },	//119
    { "DOM::HTMLDirectoryElement&", 50, Smoke::t_class|Smoke::tf_ref },	//120
    { "DOM::HTMLDirectoryElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//121
    { "DOM::HTMLDivElement&", 51, Smoke::t_class|Smoke::tf_ref },	//122
    { "DOM::HTMLDivElement*", 51, Smoke::t_class|Smoke::tf_ptr },	//123
    { "DOM::HTMLDocument", 52, Smoke::t_class|Smoke::tf_stack },	//124
    { "DOM::HTMLDocument&", 52, Smoke::t_class|Smoke::tf_ref },	//125
    { "DOM::HTMLDocument*", 52, Smoke::t_class|Smoke::tf_ptr },	//126
    { "DOM::HTMLElement", 53, Smoke::t_class|Smoke::tf_stack },	//127
    { "DOM::HTMLElement&", 53, Smoke::t_class|Smoke::tf_ref },	//128
    { "DOM::HTMLElement*", 53, Smoke::t_class|Smoke::tf_ptr },	//129
    { "DOM::HTMLFieldSetElement&", 54, Smoke::t_class|Smoke::tf_ref },	//130
    { "DOM::HTMLFieldSetElement*", 54, Smoke::t_class|Smoke::tf_ptr },	//131
    { "DOM::HTMLFontElement&", 55, Smoke::t_class|Smoke::tf_ref },	//132
    { "DOM::HTMLFontElement*", 55, Smoke::t_class|Smoke::tf_ptr },	//133
    { "DOM::HTMLFormCollection*", 56, Smoke::t_class|Smoke::tf_ptr },	//134
    { "DOM::HTMLFormElement", 57, Smoke::t_class|Smoke::tf_stack },	//135
    { "DOM::HTMLFormElement&", 57, Smoke::t_class|Smoke::tf_ref },	//136
    { "DOM::HTMLFormElement*", 57, Smoke::t_class|Smoke::tf_ptr },	//137
    { "DOM::HTMLFrameElement&", 58, Smoke::t_class|Smoke::tf_ref },	//138
    { "DOM::HTMLFrameElement*", 58, Smoke::t_class|Smoke::tf_ptr },	//139
    { "DOM::HTMLFrameSetElement&", 59, Smoke::t_class|Smoke::tf_ref },	//140
    { "DOM::HTMLFrameSetElement*", 59, Smoke::t_class|Smoke::tf_ptr },	//141
    { "DOM::HTMLHRElement&", 60, Smoke::t_class|Smoke::tf_ref },	//142
    { "DOM::HTMLHRElement*", 60, Smoke::t_class|Smoke::tf_ptr },	//143
    { "DOM::HTMLHeadElement&", 61, Smoke::t_class|Smoke::tf_ref },	//144
    { "DOM::HTMLHeadElement*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "DOM::HTMLHeadingElement&", 62, Smoke::t_class|Smoke::tf_ref },	//146
    { "DOM::HTMLHeadingElement*", 62, Smoke::t_class|Smoke::tf_ptr },	//147
    { "DOM::HTMLHtmlElement&", 63, Smoke::t_class|Smoke::tf_ref },	//148
    { "DOM::HTMLHtmlElement*", 63, Smoke::t_class|Smoke::tf_ptr },	//149
    { "DOM::HTMLIFrameElement&", 64, Smoke::t_class|Smoke::tf_ref },	//150
    { "DOM::HTMLIFrameElement*", 64, Smoke::t_class|Smoke::tf_ptr },	//151
    { "DOM::HTMLImageElement&", 65, Smoke::t_class|Smoke::tf_ref },	//152
    { "DOM::HTMLImageElement*", 65, Smoke::t_class|Smoke::tf_ptr },	//153
    { "DOM::HTMLInputElement&", 66, Smoke::t_class|Smoke::tf_ref },	//154
    { "DOM::HTMLInputElement*", 66, Smoke::t_class|Smoke::tf_ptr },	//155
    { "DOM::HTMLIsIndexElement&", 67, Smoke::t_class|Smoke::tf_ref },	//156
    { "DOM::HTMLIsIndexElement*", 67, Smoke::t_class|Smoke::tf_ptr },	//157
    { "DOM::HTMLLIElement&", 68, Smoke::t_class|Smoke::tf_ref },	//158
    { "DOM::HTMLLIElement*", 68, Smoke::t_class|Smoke::tf_ptr },	//159
    { "DOM::HTMLLabelElement&", 69, Smoke::t_class|Smoke::tf_ref },	//160
    { "DOM::HTMLLabelElement*", 69, Smoke::t_class|Smoke::tf_ptr },	//161
    { "DOM::HTMLLayerElement&", 70, Smoke::t_class|Smoke::tf_ref },	//162
    { "DOM::HTMLLayerElement*", 70, Smoke::t_class|Smoke::tf_ptr },	//163
    { "DOM::HTMLLegendElement&", 71, Smoke::t_class|Smoke::tf_ref },	//164
    { "DOM::HTMLLegendElement*", 71, Smoke::t_class|Smoke::tf_ptr },	//165
    { "DOM::HTMLLinkElement&", 72, Smoke::t_class|Smoke::tf_ref },	//166
    { "DOM::HTMLLinkElement*", 72, Smoke::t_class|Smoke::tf_ptr },	//167
    { "DOM::HTMLMapElement&", 73, Smoke::t_class|Smoke::tf_ref },	//168
    { "DOM::HTMLMapElement*", 73, Smoke::t_class|Smoke::tf_ptr },	//169
    { "DOM::HTMLMenuElement&", 74, Smoke::t_class|Smoke::tf_ref },	//170
    { "DOM::HTMLMenuElement*", 74, Smoke::t_class|Smoke::tf_ptr },	//171
    { "DOM::HTMLMetaElement&", 75, Smoke::t_class|Smoke::tf_ref },	//172
    { "DOM::HTMLMetaElement*", 75, Smoke::t_class|Smoke::tf_ptr },	//173
    { "DOM::HTMLModElement&", 76, Smoke::t_class|Smoke::tf_ref },	//174
    { "DOM::HTMLModElement*", 76, Smoke::t_class|Smoke::tf_ptr },	//175
    { "DOM::HTMLOListElement&", 77, Smoke::t_class|Smoke::tf_ref },	//176
    { "DOM::HTMLOListElement*", 77, Smoke::t_class|Smoke::tf_ptr },	//177
    { "DOM::HTMLObjectElement&", 78, Smoke::t_class|Smoke::tf_ref },	//178
    { "DOM::HTMLObjectElement*", 78, Smoke::t_class|Smoke::tf_ptr },	//179
    { "DOM::HTMLOptGroupElement&", 79, Smoke::t_class|Smoke::tf_ref },	//180
    { "DOM::HTMLOptGroupElement*", 79, Smoke::t_class|Smoke::tf_ptr },	//181
    { "DOM::HTMLOptionElement&", 80, Smoke::t_class|Smoke::tf_ref },	//182
    { "DOM::HTMLOptionElement*", 80, Smoke::t_class|Smoke::tf_ptr },	//183
    { "DOM::HTMLParagraphElement&", 81, Smoke::t_class|Smoke::tf_ref },	//184
    { "DOM::HTMLParagraphElement*", 81, Smoke::t_class|Smoke::tf_ptr },	//185
    { "DOM::HTMLParamElement&", 82, Smoke::t_class|Smoke::tf_ref },	//186
    { "DOM::HTMLParamElement*", 82, Smoke::t_class|Smoke::tf_ptr },	//187
    { "DOM::HTMLPreElement&", 83, Smoke::t_class|Smoke::tf_ref },	//188
    { "DOM::HTMLPreElement*", 83, Smoke::t_class|Smoke::tf_ptr },	//189
    { "DOM::HTMLQuoteElement&", 84, Smoke::t_class|Smoke::tf_ref },	//190
    { "DOM::HTMLQuoteElement*", 84, Smoke::t_class|Smoke::tf_ptr },	//191
    { "DOM::HTMLScriptElement&", 85, Smoke::t_class|Smoke::tf_ref },	//192
    { "DOM::HTMLScriptElement*", 85, Smoke::t_class|Smoke::tf_ptr },	//193
    { "DOM::HTMLSelectElement&", 86, Smoke::t_class|Smoke::tf_ref },	//194
    { "DOM::HTMLSelectElement*", 86, Smoke::t_class|Smoke::tf_ptr },	//195
    { "DOM::HTMLStyleElement&", 87, Smoke::t_class|Smoke::tf_ref },	//196
    { "DOM::HTMLStyleElement*", 87, Smoke::t_class|Smoke::tf_ptr },	//197
    { "DOM::HTMLTableCaptionElement", 88, Smoke::t_class|Smoke::tf_stack },	//198
    { "DOM::HTMLTableCaptionElement&", 88, Smoke::t_class|Smoke::tf_ref },	//199
    { "DOM::HTMLTableCaptionElement*", 88, Smoke::t_class|Smoke::tf_ptr },	//200
    { "DOM::HTMLTableCellElement&", 89, Smoke::t_class|Smoke::tf_ref },	//201
    { "DOM::HTMLTableCellElement*", 89, Smoke::t_class|Smoke::tf_ptr },	//202
    { "DOM::HTMLTableColElement&", 90, Smoke::t_class|Smoke::tf_ref },	//203
    { "DOM::HTMLTableColElement*", 90, Smoke::t_class|Smoke::tf_ptr },	//204
    { "DOM::HTMLTableElement&", 91, Smoke::t_class|Smoke::tf_ref },	//205
    { "DOM::HTMLTableElement*", 91, Smoke::t_class|Smoke::tf_ptr },	//206
    { "DOM::HTMLTableRowElement&", 92, Smoke::t_class|Smoke::tf_ref },	//207
    { "DOM::HTMLTableRowElement*", 92, Smoke::t_class|Smoke::tf_ptr },	//208
    { "DOM::HTMLTableSectionElement", 93, Smoke::t_class|Smoke::tf_stack },	//209
    { "DOM::HTMLTableSectionElement&", 93, Smoke::t_class|Smoke::tf_ref },	//210
    { "DOM::HTMLTableSectionElement*", 93, Smoke::t_class|Smoke::tf_ptr },	//211
    { "DOM::HTMLTextAreaElement&", 94, Smoke::t_class|Smoke::tf_ref },	//212
    { "DOM::HTMLTextAreaElement*", 94, Smoke::t_class|Smoke::tf_ptr },	//213
    { "DOM::HTMLTitleElement&", 95, Smoke::t_class|Smoke::tf_ref },	//214
    { "DOM::HTMLTitleElement*", 95, Smoke::t_class|Smoke::tf_ptr },	//215
    { "DOM::HTMLUListElement&", 96, Smoke::t_class|Smoke::tf_ref },	//216
    { "DOM::HTMLUListElement*", 96, Smoke::t_class|Smoke::tf_ptr },	//217
    { "DOM::KeyboardEvent&", 97, Smoke::t_class|Smoke::tf_ref },	//218
    { "DOM::KeyboardEvent*", 97, Smoke::t_class|Smoke::tf_ptr },	//219
    { "DOM::KeyboardEvent::KeyLocation", 97, Smoke::t_enum|Smoke::tf_stack },	//220
    { "DOM::LinkStyle&", 98, Smoke::t_class|Smoke::tf_ref },	//221
    { "DOM::LinkStyle*", 98, Smoke::t_class|Smoke::tf_ptr },	//222
    { "DOM::MediaList", 99, Smoke::t_class|Smoke::tf_stack },	//223
    { "DOM::MediaList&", 99, Smoke::t_class|Smoke::tf_ref },	//224
    { "DOM::MediaList*", 99, Smoke::t_class|Smoke::tf_ptr },	//225
    { "DOM::MouseEvent&", 100, Smoke::t_class|Smoke::tf_ref },	//226
    { "DOM::MouseEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//227
    { "DOM::MutationEvent&", 101, Smoke::t_class|Smoke::tf_ref },	//228
    { "DOM::MutationEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//229
    { "DOM::MutationEvent::attrChangeType", 101, Smoke::t_enum|Smoke::tf_stack },	//230
    { "DOM::NamedNodeMap", 102, Smoke::t_class|Smoke::tf_stack },	//231
    { "DOM::NamedNodeMap&", 102, Smoke::t_class|Smoke::tf_ref },	//232
    { "DOM::NamedNodeMap*", 102, Smoke::t_class|Smoke::tf_ptr },	//233
    { "DOM::Node", 103, Smoke::t_class|Smoke::tf_stack },	//234
    { "DOM::Node&", 103, Smoke::t_class|Smoke::tf_ref },	//235
    { "DOM::Node*", 103, Smoke::t_class|Smoke::tf_ptr },	//236
    { "DOM::Node::DocumentPosition", 103, Smoke::t_enum|Smoke::tf_stack },	//237
    { "DOM::Node::NodeType", 103, Smoke::t_enum|Smoke::tf_stack },	//238
    { "DOM::NodeFilter", 104, Smoke::t_class|Smoke::tf_stack },	//239
    { "DOM::NodeFilter&", 104, Smoke::t_class|Smoke::tf_ref },	//240
    { "DOM::NodeFilter*", 104, Smoke::t_class|Smoke::tf_ptr },	//241
    { "DOM::NodeFilter::AcceptCode", 104, Smoke::t_enum|Smoke::tf_stack },	//242
    { "DOM::NodeFilter::ShowCode", 104, Smoke::t_enum|Smoke::tf_stack },	//243
    { "DOM::NodeIterator", 105, Smoke::t_class|Smoke::tf_stack },	//244
    { "DOM::NodeIterator&", 105, Smoke::t_class|Smoke::tf_ref },	//245
    { "DOM::NodeIterator*", 105, Smoke::t_class|Smoke::tf_ptr },	//246
    { "DOM::NodeList", 106, Smoke::t_class|Smoke::tf_stack },	//247
    { "DOM::NodeList&", 106, Smoke::t_class|Smoke::tf_ref },	//248
    { "DOM::NodeList*", 106, Smoke::t_class|Smoke::tf_ptr },	//249
    { "DOM::Notation&", 107, Smoke::t_class|Smoke::tf_ref },	//250
    { "DOM::Notation*", 107, Smoke::t_class|Smoke::tf_ptr },	//251
    { "DOM::ProcessingInstruction", 108, Smoke::t_class|Smoke::tf_stack },	//252
    { "DOM::ProcessingInstruction&", 108, Smoke::t_class|Smoke::tf_ref },	//253
    { "DOM::ProcessingInstruction*", 108, Smoke::t_class|Smoke::tf_ptr },	//254
    { "DOM::RGBColor", 109, Smoke::t_class|Smoke::tf_stack },	//255
    { "DOM::RGBColor&", 109, Smoke::t_class|Smoke::tf_ref },	//256
    { "DOM::RGBColor*", 109, Smoke::t_class|Smoke::tf_ptr },	//257
    { "DOM::Range", 110, Smoke::t_class|Smoke::tf_stack },	//258
    { "DOM::Range&", 110, Smoke::t_class|Smoke::tf_ref },	//259
    { "DOM::Range*", 110, Smoke::t_class|Smoke::tf_ptr },	//260
    { "DOM::Range::CompareHow", 110, Smoke::t_enum|Smoke::tf_stack },	//261
    { "DOM::RangeException&", 111, Smoke::t_class|Smoke::tf_ref },	//262
    { "DOM::RangeException*", 111, Smoke::t_class|Smoke::tf_ptr },	//263
    { "DOM::RangeException::RangeExceptionCode", 111, Smoke::t_enum|Smoke::tf_stack },	//264
    { "DOM::Rect", 112, Smoke::t_class|Smoke::tf_stack },	//265
    { "DOM::Rect&", 112, Smoke::t_class|Smoke::tf_ref },	//266
    { "DOM::Rect*", 112, Smoke::t_class|Smoke::tf_ptr },	//267
    { "DOM::StyleSheet", 113, Smoke::t_class|Smoke::tf_stack },	//268
    { "DOM::StyleSheet&", 113, Smoke::t_class|Smoke::tf_ref },	//269
    { "DOM::StyleSheet*", 113, Smoke::t_class|Smoke::tf_ptr },	//270
    { "DOM::StyleSheetList", 114, Smoke::t_class|Smoke::tf_stack },	//271
    { "DOM::StyleSheetList&", 114, Smoke::t_class|Smoke::tf_ref },	//272
    { "DOM::StyleSheetList*", 114, Smoke::t_class|Smoke::tf_ptr },	//273
    { "DOM::Text", 115, Smoke::t_class|Smoke::tf_stack },	//274
    { "DOM::Text&", 115, Smoke::t_class|Smoke::tf_ref },	//275
    { "DOM::Text*", 115, Smoke::t_class|Smoke::tf_ptr },	//276
    { "DOM::TextEvent&", 116, Smoke::t_class|Smoke::tf_ref },	//277
    { "DOM::TextEvent*", 116, Smoke::t_class|Smoke::tf_ptr },	//278
    { "DOM::TreeWalker", 117, Smoke::t_class|Smoke::tf_stack },	//279
    { "DOM::TreeWalker&", 117, Smoke::t_class|Smoke::tf_ref },	//280
    { "DOM::TreeWalker*", 117, Smoke::t_class|Smoke::tf_ptr },	//281
    { "DOM::UIEvent&", 118, Smoke::t_class|Smoke::tf_ref },	//282
    { "DOM::UIEvent*", 118, Smoke::t_class|Smoke::tf_ptr },	//283
    { "KActionCollection*", 119, Smoke::t_class|Smoke::tf_ptr },	//284
    { "KComponentData", 120, Smoke::t_class|Smoke::tf_stack },	//285
    { "KConfig*", 121, Smoke::t_class|Smoke::tf_ptr },	//286
    { "KFindDialog*", 123, Smoke::t_class|Smoke::tf_ptr },	//287
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "KHTMLPart*", 124, Smoke::t_class|Smoke::tf_ptr },	//289
    { "KHTMLPart::CaretDisplayPolicy", 124, Smoke::t_enum|Smoke::tf_stack },	//290
    { "KHTMLPart::DNSPrefetch", 124, Smoke::t_enum|Smoke::tf_stack },	//291
    { "KHTMLPart::FindOptions", 124, Smoke::t_enum|Smoke::tf_stack },	//292
    { "KHTMLPart::FormNotification", 124, Smoke::t_enum|Smoke::tf_stack },	//293
    { "KHTMLPart::GUIProfile", 124, Smoke::t_enum|Smoke::tf_stack },	//294
    { "KHTMLPart::PageSecurity", 124, Smoke::t_enum|Smoke::tf_stack },	//295
    { "KHTMLPart::StatusBarPriority", 124, Smoke::t_enum|Smoke::tf_stack },	//296
    { "KHTMLPartPrivate*", 125, Smoke::t_class|Smoke::tf_ptr },	//297
    { "KHTMLSettings*", 126, Smoke::t_class|Smoke::tf_ptr },	//298
    { "KHTMLSettings::KAnimationAdvice", 126, Smoke::t_enum|Smoke::tf_stack },	//299
    { "KHTMLSettings::KDNSPrefetch", 126, Smoke::t_enum|Smoke::tf_stack },	//300
    { "KHTMLSettings::KJSWindowFocusPolicy", 126, Smoke::t_enum|Smoke::tf_stack },	//301
    { "KHTMLSettings::KJSWindowMovePolicy", 126, Smoke::t_enum|Smoke::tf_stack },	//302
    { "KHTMLSettings::KJSWindowOpenPolicy", 126, Smoke::t_enum|Smoke::tf_stack },	//303
    { "KHTMLSettings::KJSWindowResizePolicy", 126, Smoke::t_enum|Smoke::tf_stack },	//304
    { "KHTMLSettings::KJSWindowStatusPolicy", 126, Smoke::t_enum|Smoke::tf_stack },	//305
    { "KHTMLSettings::KJavaScriptAdvice", 126, Smoke::t_enum|Smoke::tf_stack },	//306
    { "KHTMLSettings::KJavaScriptAdvice&", 126, Smoke::t_enum|Smoke::tf_ref },	//307
    { "KHTMLSettings::KSmoothScrollingMode", 126, Smoke::t_enum|Smoke::tf_stack },	//308
    { "KHTMLView*", 127, Smoke::t_class|Smoke::tf_ptr },	//309
    { "KHTMLView::LinkCursor", 127, Smoke::t_enum|Smoke::tf_stack },	//310
    { "KHTMLView::SmoothScrollingMode", 127, Smoke::t_enum|Smoke::tf_stack },	//311
    { "KIO::Job*", 128, Smoke::t_class|Smoke::tf_ptr },	//312
    { "KJS::Interpreter*", 129, Smoke::t_class|Smoke::tf_ptr },	//313
    { "KJSProxy*", 130, Smoke::t_class|Smoke::tf_ptr },	//314
    { "KJob*", 131, Smoke::t_class|Smoke::tf_ptr },	//315
    { "KParts::BrowserExtension*", 133, Smoke::t_class|Smoke::tf_ptr },	//316
    { "KParts::BrowserHostExtension*", 134, Smoke::t_class|Smoke::tf_ptr },	//317
    { "KParts::GUIActivateEvent*", 136, Smoke::t_class|Smoke::tf_ptr },	//318
    { "KParts::Part*", 138, Smoke::t_class|Smoke::tf_ptr },	//319
    { "KParts::PartActivateEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//320
    { "KParts::PartManager*", 141, Smoke::t_class|Smoke::tf_ptr },	//321
    { "KParts::PartSelectEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//322
    { "KParts::ReadOnlyPart*", 143, Smoke::t_class|Smoke::tf_ptr },	//323
    { "KPerDomainSettings&", 144, Smoke::t_class|Smoke::tf_ref },	//324
    { "KUrl", 145, Smoke::t_class|Smoke::tf_stack },	//325
    { "KXMLGUIClient::ReverseStateChange", 146, Smoke::t_enum|Smoke::tf_stack },	//326
    { "QAction*", 148, Smoke::t_class|Smoke::tf_ptr },	//327
    { "QActionEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//328
    { "QBool", 150, Smoke::t_class|Smoke::tf_stack },	//329
    { "QByteArray", 151, Smoke::t_class|Smoke::tf_stack },	//330
    { "QChar", 152, Smoke::t_class|Smoke::tf_stack },	//331
    { "QChar*", 152, Smoke::t_class|Smoke::tf_ptr },	//332
    { "QChildEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//333
    { "QCloseEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//334
    { "QContextMenuEvent*", 156, Smoke::t_class|Smoke::tf_ptr },	//335
    { "QCursor", 157, Smoke::t_class|Smoke::tf_stack },	//336
    { "QDataStream&", 158, Smoke::t_class|Smoke::tf_ref },	//337
    { "QDomDocument", 159, Smoke::t_class|Smoke::tf_stack },	//338
    { "QDragEnterEvent*", 161, Smoke::t_class|Smoke::tf_ptr },	//339
    { "QDragLeaveEvent*", 162, Smoke::t_class|Smoke::tf_ptr },	//340
    { "QDragMoveEvent*", 163, Smoke::t_class|Smoke::tf_ptr },	//341
    { "QDropEvent*", 164, Smoke::t_class|Smoke::tf_ptr },	//342
    { "QEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//343
    { "QFocusEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//344
    { "QHideEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//345
    { "QInputMethodEvent*", 171, Smoke::t_class|Smoke::tf_ptr },	//346
    { "QKeyEvent*", 172, Smoke::t_class|Smoke::tf_ptr },	//347
    { "QList<KParts::ReadOnlyPart*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//348
    { "QList<QPair<QString,QChar> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "QMetaObject::Call", 173, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QMouseEvent*", 174, Smoke::t_class|Smoke::tf_ptr },	//351
    { "QMoveEvent*", 175, Smoke::t_class|Smoke::tf_ptr },	//352
    { "QObject*", 176, Smoke::t_class|Smoke::tf_ptr },	//353
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QPaintEngine*", 177, Smoke::t_class|Smoke::tf_ptr },	//355
    { "QPaintEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//356
    { "QPainter*", 179, Smoke::t_class|Smoke::tf_ptr },	//357
    { "QPair<QString,QChar>", 0, Smoke::t_voidp|Smoke::tf_stack },	//358
    { "QPoint", 181, Smoke::t_class|Smoke::tf_stack },	//359
    { "QRect", 182, Smoke::t_class|Smoke::tf_stack },	//360
    { "QRegExp&", 183, Smoke::t_class|Smoke::tf_ref },	//361
    { "QResizeEvent*", 184, Smoke::t_class|Smoke::tf_ptr },	//362
    { "QShowEvent*", 186, Smoke::t_class|Smoke::tf_ptr },	//363
    { "QSize", 187, Smoke::t_class|Smoke::tf_stack },	//364
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//365
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//366
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//367
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//368
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//369
    { "QStyle&", 188, Smoke::t_class|Smoke::tf_ref },	//370
    { "QTabletEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//371
    { "QTimerEvent*", 190, Smoke::t_class|Smoke::tf_ptr },	//372
    { "QVariant", 191, Smoke::t_class|Smoke::tf_stack },	//373
    { "QWheelEvent*", 192, Smoke::t_class|Smoke::tf_ptr },	//374
    { "QWidget*", 193, Smoke::t_class|Smoke::tf_ptr },	//375
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//377
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//378
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//379
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//380
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//381
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//382
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//383
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//384
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//385
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//386
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//387
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//388
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//389
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//390
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//391
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//392
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//393
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//394
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//395
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//396
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//397
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//398
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//399
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//400
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//401
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//402
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//403
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//404
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//405
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//406
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//407
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//408
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//409
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//410
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//411
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//412
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//413
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//414
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//415
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//416
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//417
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//418
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//419
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//420
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//421
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//422
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//423
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//424
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//425
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//426
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//427
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//428
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//429
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//430
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//431
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//432
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//433
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//434
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//435
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//442
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//443
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//444
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//445
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//446
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//447
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//448
    { "__codecvt_result", 169, Smoke::t_enum|Smoke::tf_stack },	//449
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//450
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//451
    { "const DOM::AbstractView&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const DOM::Attr&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const DOM::CDATASection&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const DOM::CSSCharsetRule&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const DOM::CSSException&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const DOM::CSSFontFaceRule&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const DOM::CSSImportRule&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const DOM::CSSMediaRule&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const DOM::CSSPageRule&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const DOM::CSSPrimitiveValue&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const DOM::CSSRule&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const DOM::CSSRuleList&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const DOM::CSSStyleDeclaration&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const DOM::CSSStyleRule&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const DOM::CSSStyleSheet&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const DOM::CSSUnknownRule&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const DOM::CSSValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const DOM::CSSValueList&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const DOM::CharacterData&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const DOM::Comment&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const DOM::Counter&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const DOM::CustomNodeFilter&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const DOM::DOMException&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const DOM::DOMImplementation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const DOM::DOMString&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const DOM::Document", 27, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//477
    { "const DOM::Document&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//478
    { "const DOM::DocumentFragment&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const DOM::DocumentStyle&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//480
    { "const DOM::DocumentType&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const DOM::DomShared&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//482
    { "const DOM::Element&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//483
    { "const DOM::Entity&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const DOM::EntityReference&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//485
    { "const DOM::Event&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//486
    { "const DOM::EventException&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const DOM::EventListener&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//488
    { "const DOM::HTMLAnchorElement&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//489
    { "const DOM::HTMLAppletElement&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//490
    { "const DOM::HTMLAreaElement&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//491
    { "const DOM::HTMLBRElement&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//492
    { "const DOM::HTMLBaseElement&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//493
    { "const DOM::HTMLBaseFontElement&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//494
    { "const DOM::HTMLBlockquoteElement&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//495
    { "const DOM::HTMLBodyElement&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//496
    { "const DOM::HTMLButtonElement&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//497
    { "const DOM::HTMLCollection&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//498
    { "const DOM::HTMLDListElement&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//499
    { "const DOM::HTMLDirectoryElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//500
    { "const DOM::HTMLDivElement&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const DOM::HTMLDocument&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//502
    { "const DOM::HTMLElement&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const DOM::HTMLFieldSetElement&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//504
    { "const DOM::HTMLFontElement&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const DOM::HTMLFormCollection&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//506
    { "const DOM::HTMLFormElement&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//507
    { "const DOM::HTMLFrameElement&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//508
    { "const DOM::HTMLFrameSetElement&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//509
    { "const DOM::HTMLHRElement&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//510
    { "const DOM::HTMLHeadElement&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//511
    { "const DOM::HTMLHeadingElement&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//512
    { "const DOM::HTMLHtmlElement&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//513
    { "const DOM::HTMLIFrameElement&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//514
    { "const DOM::HTMLImageElement&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//515
    { "const DOM::HTMLInputElement&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//516
    { "const DOM::HTMLIsIndexElement&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//517
    { "const DOM::HTMLLIElement&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//518
    { "const DOM::HTMLLabelElement&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//519
    { "const DOM::HTMLLayerElement&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//520
    { "const DOM::HTMLLegendElement&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//521
    { "const DOM::HTMLLinkElement&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//522
    { "const DOM::HTMLMapElement&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//523
    { "const DOM::HTMLMenuElement&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//524
    { "const DOM::HTMLMetaElement&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//525
    { "const DOM::HTMLModElement&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//526
    { "const DOM::HTMLOListElement&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//527
    { "const DOM::HTMLObjectElement&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//528
    { "const DOM::HTMLOptGroupElement&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//529
    { "const DOM::HTMLOptionElement&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//530
    { "const DOM::HTMLParagraphElement&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//531
    { "const DOM::HTMLParamElement&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//532
    { "const DOM::HTMLPreElement&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//533
    { "const DOM::HTMLQuoteElement&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//534
    { "const DOM::HTMLScriptElement&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//535
    { "const DOM::HTMLSelectElement&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//536
    { "const DOM::HTMLStyleElement&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//537
    { "const DOM::HTMLTableCaptionElement&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//538
    { "const DOM::HTMLTableCellElement&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//539
    { "const DOM::HTMLTableColElement&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//540
    { "const DOM::HTMLTableElement&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//541
    { "const DOM::HTMLTableRowElement&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//542
    { "const DOM::HTMLTableSectionElement&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//543
    { "const DOM::HTMLTextAreaElement&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const DOM::HTMLTitleElement&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//545
    { "const DOM::HTMLUListElement&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const DOM::KeyboardEvent&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//547
    { "const DOM::LinkStyle&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//548
    { "const DOM::MediaList&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const DOM::MouseEvent&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//550
    { "const DOM::MutationEvent&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//551
    { "const DOM::NamedNodeMap&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const DOM::Node", 103, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//553
    { "const DOM::Node&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//554
    { "const DOM::NodeFilter&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const DOM::NodeIterator&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//556
    { "const DOM::NodeList&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const DOM::Notation&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//558
    { "const DOM::ProcessingInstruction&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//559
    { "const DOM::RGBColor&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const DOM::Range&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const DOM::RangeException&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//562
    { "const DOM::Rect&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//563
    { "const DOM::StyleSheet&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//564
    { "const DOM::StyleSheetList&", 114, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const DOM::Text&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const DOM::TextEvent&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const DOM::TreeWalker&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const DOM::UIEvent&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const KComponentData&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const KConfigGroup&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//571
    { "const KHTMLSettings&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const KHTMLSettings*", 126, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//573
    { "const KParts::BrowserArguments&", 132, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const KParts::OpenUrlArguments&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//575
    { "const KUrl&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//576
    { "const QByteArray&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const QChar", 152, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//578
    { "const QChar&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//579
    { "const QChar*", 152, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//580
    { "const QColor&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//581
    { "const QCursor&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const QDomDocument&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const QDomElement&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//584
    { "const QEvent*", 165, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//585
    { "const QFont&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//586
    { "const QMetaObject&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//587
    { "const QMetaObject*", 173, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//588
    { "const QPalette&", 180, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const QPoint&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//590
    { "const QRect&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//591
    { "const QRegExp&", 183, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//592
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//594
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//595
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//596
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//597
    { "const khtml::DrawContentsEvent&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//598
    { "const khtml::MouseDoubleClickEvent&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//599
    { "const khtml::MouseEvent&", 198, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//600
    { "const khtml::MouseMoveEvent&", 199, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//601
    { "const khtml::MousePressEvent&", 200, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//602
    { "const khtml::MouseReleaseEvent&", 201, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//603
    { "const long", 0, Smoke::t_long|Smoke::tf_stack|Smoke::tf_const },	//604
    { "const unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack|Smoke::tf_const },	//605
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//606
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//607
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//608
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//609
    { "khtml::ChildFrame**", 194, Smoke::t_class|Smoke::tf_ptr },	//610
    { "khtml::DrawContentsEvent*", 195, Smoke::t_class|Smoke::tf_ptr },	//611
    { "khtml::MouseDoubleClickEvent*", 197, Smoke::t_class|Smoke::tf_ptr },	//612
    { "khtml::MouseEvent*", 198, Smoke::t_class|Smoke::tf_ptr },	//613
    { "khtml::MouseMoveEvent*", 199, Smoke::t_class|Smoke::tf_ptr },	//614
    { "khtml::MousePressEvent*", 200, Smoke::t_class|Smoke::tf_ptr },	//615
    { "khtml::MouseReleaseEvent*", 201, Smoke::t_class|Smoke::tf_ptr },	//616
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//617
    { "long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//618
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//619
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//620
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//621
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//622
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//623
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//624
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//625
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//626
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    476, 597, 0,	//1  const DOM::DOMString&, const char*
    476, 476, 0,	//4  const DOM::DOMString&, const DOM::DOMString&
    476, 593, 0,	//7  const DOM::DOMString&, const QString&
    452, 0,	//10  const DOM::AbstractView&
    483, 476, 0,	//12  const DOM::Element&, const DOM::DOMString&
    554, 0,	//15  const DOM::Node&
    453, 0,	//17  const DOM::Attr&
    476, 0,	//19  const DOM::DOMString&
    454, 0,	//21  const DOM::CDATASection&
    455, 0,	//23  const DOM::CSSCharsetRule&
    462, 0,	//25  const DOM::CSSRule&
    623, 0,	//27  unsigned short
    456, 0,	//29  const DOM::CSSException&
    608, 0,	//31  int
    457, 0,	//33  const DOM::CSSFontFaceRule&
    458, 0,	//35  const DOM::CSSImportRule&
    459, 0,	//37  const DOM::CSSMediaRule&
    476, 621, 0,	//39  const DOM::DOMString&, unsigned long
    621, 0,	//42  unsigned long
    460, 0,	//44  const DOM::CSSPageRule&
    461, 0,	//46  const DOM::CSSPrimitiveValue&
    468, 0,	//48  const DOM::CSSValue&
    623, 607, 0,	//50  unsigned short, float
    623, 476, 0,	//53  unsigned short, const DOM::DOMString&
    462, 30, 0,	//56  const DOM::CSSRule&, DOM::CSSRule::RuleType
    463, 0,	//59  const DOM::CSSRuleList&
    464, 0,	//61  const DOM::CSSStyleDeclaration&
    476, 476, 476, 0,	//63  const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&
    465, 0,	//67  const DOM::CSSStyleRule&
    466, 0,	//69  const DOM::CSSStyleSheet&
    564, 0,	//71  const DOM::StyleSheet&
    467, 0,	//73  const DOM::CSSUnknownRule&
    469, 0,	//75  const DOM::CSSValueList&
    470, 0,	//77  const DOM::CharacterData&
    605, 605, 0,	//79  const unsigned long, const unsigned long
    605, 476, 0,	//82  const unsigned long, const DOM::DOMString&
    605, 605, 476, 0,	//85  const unsigned long, const unsigned long, const DOM::DOMString&
    471, 0,	//89  const DOM::Comment&
    472, 0,	//91  const DOM::Counter&
    473, 0,	//93  const DOM::CustomNodeFilter&
    474, 0,	//95  const DOM::DOMException&
    475, 0,	//97  const DOM::DOMImplementation&
    476, 476, 481, 0,	//99  const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&
    580, 620, 0,	//103  const QChar*, unsigned int
    593, 0,	//106  const QString&
    597, 0,	//108  const char*
    597, 620, 0,	//110  const char*, unsigned int
    65, 620, 0,	//113  DOM::DOMString, unsigned int
    620, 0,	//116  unsigned int
    578, 608, 0,	//118  const QChar, int
    620, 620, 0,	//121  unsigned int, unsigned int
    620, 608, 0,	//124  unsigned int, int
    451, 0,	//127  bool*
    609, 0,	//129  int&
    607, 0,	//131  float
    578, 0,	//133  const QChar
    450, 0,	//135  bool
    478, 0,	//137  const DOM::Document&
    554, 450, 0,	//139  const DOM::Node&, bool
    234, 621, 239, 450, 0,	//142  DOM::Node, unsigned long, DOM::NodeFilter, bool
    476, 450, 476, 0,	//147  const DOM::DOMString&, bool, const DOM::DOMString&
    479, 0,	//151  const DOM::DocumentFragment&
    480, 0,	//153  const DOM::DocumentStyle&
    481, 0,	//155  const DOM::DocumentType&
    482, 0,	//157  const DOM::DomShared&
    483, 0,	//159  const DOM::Element&
    484, 0,	//161  const DOM::Entity&
    485, 0,	//163  const DOM::EntityReference&
    486, 0,	//165  const DOM::Event&
    476, 450, 450, 0,	//167  const DOM::DOMString&, bool, bool
    487, 0,	//171  const DOM::EventException&
    90, 0,	//173  DOM::Event&
    488, 0,	//175  const DOM::EventListener&
    489, 0,	//177  const DOM::HTMLAnchorElement&
    617, 0,	//179  long
    490, 0,	//181  const DOM::HTMLAppletElement&
    491, 0,	//183  const DOM::HTMLAreaElement&
    492, 0,	//185  const DOM::HTMLBRElement&
    493, 0,	//187  const DOM::HTMLBaseElement&
    494, 0,	//189  const DOM::HTMLBaseFontElement&
    495, 0,	//191  const DOM::HTMLBlockquoteElement&
    496, 0,	//193  const DOM::HTMLBodyElement&
    497, 0,	//195  const DOM::HTMLButtonElement&
    498, 0,	//197  const DOM::HTMLCollection&
    499, 0,	//199  const DOM::HTMLDListElement&
    500, 0,	//201  const DOM::HTMLDirectoryElement&
    501, 0,	//203  const DOM::HTMLDivElement&
    309, 0,	//205  KHTMLView*
    502, 0,	//207  const DOM::HTMLDocument&
    503, 0,	//209  const DOM::HTMLElement&
    554, 608, 0,	//211  const DOM::Node&, int
    504, 0,	//214  const DOM::HTMLFieldSetElement&
    505, 0,	//216  const DOM::HTMLFontElement&
    506, 0,	//218  const DOM::HTMLFormCollection&
    507, 0,	//220  const DOM::HTMLFormElement&
    508, 0,	//222  const DOM::HTMLFrameElement&
    509, 0,	//224  const DOM::HTMLFrameSetElement&
    510, 0,	//226  const DOM::HTMLHRElement&
    511, 0,	//228  const DOM::HTMLHeadElement&
    512, 0,	//230  const DOM::HTMLHeadingElement&
    513, 0,	//232  const DOM::HTMLHtmlElement&
    514, 0,	//234  const DOM::HTMLIFrameElement&
    515, 0,	//236  const DOM::HTMLImageElement&
    516, 0,	//238  const DOM::HTMLInputElement&
    617, 617, 0,	//240  long, long
    517, 0,	//243  const DOM::HTMLIsIndexElement&
    518, 0,	//245  const DOM::HTMLLIElement&
    519, 0,	//247  const DOM::HTMLLabelElement&
    520, 0,	//249  const DOM::HTMLLayerElement&
    521, 0,	//251  const DOM::HTMLLegendElement&
    522, 0,	//253  const DOM::HTMLLinkElement&
    523, 0,	//255  const DOM::HTMLMapElement&
    524, 0,	//257  const DOM::HTMLMenuElement&
    525, 0,	//259  const DOM::HTMLMetaElement&
    526, 0,	//261  const DOM::HTMLModElement&
    527, 0,	//263  const DOM::HTMLOListElement&
    528, 0,	//265  const DOM::HTMLObjectElement&
    529, 0,	//267  const DOM::HTMLOptGroupElement&
    530, 0,	//269  const DOM::HTMLOptionElement&
    531, 0,	//271  const DOM::HTMLParagraphElement&
    532, 0,	//273  const DOM::HTMLParamElement&
    533, 0,	//275  const DOM::HTMLPreElement&
    534, 0,	//277  const DOM::HTMLQuoteElement&
    535, 0,	//279  const DOM::HTMLScriptElement&
    536, 0,	//281  const DOM::HTMLSelectElement&
    503, 503, 0,	//283  const DOM::HTMLElement&, const DOM::HTMLElement&
    537, 0,	//286  const DOM::HTMLStyleElement&
    538, 0,	//288  const DOM::HTMLTableCaptionElement&
    539, 0,	//290  const DOM::HTMLTableCellElement&
    540, 0,	//292  const DOM::HTMLTableColElement&
    541, 0,	//294  const DOM::HTMLTableElement&
    543, 0,	//296  const DOM::HTMLTableSectionElement&
    542, 0,	//298  const DOM::HTMLTableRowElement&
    544, 0,	//300  const DOM::HTMLTextAreaElement&
    545, 0,	//302  const DOM::HTMLTitleElement&
    546, 0,	//304  const DOM::HTMLUListElement&
    547, 0,	//306  const DOM::KeyboardEvent&
    65, 0,	//308  DOM::DOMString
    65, 450, 450, 1, 65, 621, 65, 0,	//310  DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString
    548, 0,	//318  const DOM::LinkStyle&
    549, 0,	//320  const DOM::MediaList&
    550, 0,	//322  const DOM::MouseEvent&
    476, 450, 450, 452, 617, 617, 617, 617, 617, 450, 450, 450, 450, 623, 554, 0,	//324  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&
    551, 0,	//340  const DOM::MutationEvent&
    476, 450, 450, 554, 476, 476, 476, 623, 0,	//342  const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short
    552, 0,	//351  const DOM::NamedNodeMap&
    554, 554, 0,	//353  const DOM::Node&, const DOM::Node&
    476, 96, 596, 0,	//356  const DOM::DOMString&, DOM::EventListener*, const bool
    476, 96, 450, 0,	//360  const DOM::DOMString&, DOM::EventListener*, bool
    608, 609, 609, 609, 0,	//364  int, int&, int&, int&
    555, 0,	//369  const DOM::NodeFilter&
    58, 0,	//371  DOM::CustomNodeFilter*
    556, 0,	//373  const DOM::NodeIterator&
    557, 0,	//375  const DOM::NodeList&
    558, 0,	//377  const DOM::Notation&
    559, 0,	//379  const DOM::ProcessingInstruction&
    581, 0,	//381  const QColor&
    560, 0,	//383  const DOM::RGBColor&
    477, 0,	//385  const DOM::Document
    561, 0,	//387  const DOM::Range&
    553, 604, 553, 604, 0,	//389  const DOM::Node, const long, const DOM::Node, const long
    554, 617, 0,	//394  const DOM::Node&, long
    261, 561, 0,	//397  DOM::Range::CompareHow, const DOM::Range&
    562, 0,	//400  const DOM::RangeException&
    563, 0,	//402  const DOM::Rect&
    565, 0,	//404  const DOM::StyleSheetList&
    566, 0,	//406  const DOM::Text&
    605, 0,	//408  const unsigned long
    567, 0,	//410  const DOM::TextEvent&
    476, 450, 450, 452, 476, 0,	//412  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&
    568, 0,	//418  const DOM::TreeWalker&
    569, 0,	//420  const DOM::UIEvent&
    476, 450, 450, 452, 617, 0,	//422  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long
    597, 597, 0,	//428  const char*, const char*
    597, 597, 608, 0,	//431  const char*, const char*, int
    350, 608, 625, 0,	//435  QMetaObject::Call, int, void**
    375, 353, 294, 0,	//439  QWidget*, QObject*, KHTMLPart::GUIProfile
    309, 353, 294, 0,	//443  KHTMLView*, QObject*, KHTMLPart::GUIProfile
    576, 0,	//447  const KUrl&
    315, 0,	//449  KJob*
    554, 593, 0,	//451  const DOM::Node&, const QString&
    291, 0,	//454  KHTMLPart::DNSPrefetch
    234, 617, 450, 0,	//456  DOM::Node, long, bool
    290, 0,	//460  KHTMLPart::CaretDisplayPolicy
    608, 593, 450, 0,	//462  int, const QString&, bool
    576, 608, 608, 0,	//466  const KUrl&, int, int
    597, 608, 0,	//470  const char*, int
    357, 591, 608, 451, 0,	//473  QPainter*, const QRect&, int, bool*
    593, 450, 0,	//478  const QString&, bool
    582, 0,	//481  const QCursor&
    593, 617, 375, 287, 0,	//483  const QString&, long, QWidget*, KFindDialog*
    235, 618, 235, 618, 0,	//488  DOM::Node&, long&, DOM::Node&, long&
    337, 0,	//493  QDataStream&
    323, 593, 610, 0,	//495  KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**
    323, 0,	//499  KParts::ReadOnlyPart*
    593, 593, 0,	//501  const QString&, const QString&
    608, 608, 0,	//504  int, int
    293, 0,	//507  KHTMLPart::FormNotification
    450, 289, 0,	//509  bool, KHTMLPart*
    593, 590, 0,	//512  const QString&, const QPoint&
    597, 593, 577, 593, 593, 593, 0,	//515  const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&
    608, 593, 576, 0,	//522  int, const QString&, const KUrl&
    343, 0,	//526  QEvent*
    615, 0,	//528  khtml::MousePressEvent*
    612, 0,	//530  khtml::MouseDoubleClickEvent*
    614, 0,	//532  khtml::MouseMoveEvent*
    616, 0,	//534  khtml::MouseReleaseEvent*
    611, 0,	//536  khtml::DrawContentsEvent*
    318, 0,	//538  KParts::GUIActivateEvent*
    593, 608, 608, 593, 575, 574, 0,	//540  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&
    375, 353, 593, 366, 368, 594, 0,	//547  QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&
    295, 0,	//554  KHTMLPart::PageSecurity
    577, 0,	//556  const QByteArray&
    372, 0,	//558  QTimerEvent*
    312, 0,	//560  KIO::Job*
    375, 0,	//562  QWidget*
    375, 353, 0,	//564  QWidget*, QObject*
    309, 353, 0,	//567  KHTMLView*, QObject*
    234, 617, 0,	//570  DOM::Node, long
    608, 593, 0,	//573  int, const QString&
    576, 608, 0,	//576  const KUrl&, int
    357, 591, 0,	//579  QPainter*, const QRect&
    357, 591, 608, 0,	//582  QPainter*, const QRect&, int
    593, 617, 0,	//586  const QString&, long
    593, 617, 375, 0,	//589  const QString&, long, QWidget*
    323, 593, 0,	//593  KParts::ReadOnlyPart*, const QString&
    593, 608, 608, 593, 0,	//596  const QString&, int, int, const QString&
    593, 608, 608, 593, 575, 0,	//601  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&
    597, 593, 577, 593, 0,	//607  const char*, const QString&, const QByteArray&, const QString&
    597, 593, 577, 593, 593, 0,	//612  const char*, const QString&, const QByteArray&, const QString&, const QString&
    572, 0,	//618  const KHTMLSettings&
    286, 450, 0,	//620  KConfig*, bool
    593, 451, 0,	//623  const QString&, bool*
    593, 366, 307, 307, 0,	//626  const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&
    306, 0,	//631  KHTMLSettings::KJavaScriptAdvice
    571, 450, 450, 324, 0,	//633  const KConfigGroup&, bool, bool, KPerDomainSettings&
    286, 0,	//638  KConfig*
    289, 375, 0,	//640  KHTMLPart*, QWidget*
    426, 0,	//643  Qt::ScrollBarPolicy
    590, 0,	//645  const QPoint&
    608, 608, 609, 609, 0,	//647  int, int, int&, int&
    591, 0,	//652  const QRect&
    608, 608, 608, 608, 0,	//654  int, int, int, int
    375, 608, 608, 0,	//659  QWidget*, int, int
    311, 0,	//663  KHTMLView::SmoothScrollingMode
    356, 0,	//665  QPaintEvent*
    362, 0,	//667  QResizeEvent*
    363, 0,	//669  QShowEvent*
    345, 0,	//671  QHideEvent*
    351, 0,	//673  QMouseEvent*
    344, 0,	//675  QFocusEvent*
    374, 0,	//677  QWheelEvent*
    339, 0,	//679  QDragEnterEvent*
    342, 0,	//681  QDropEvent*
    334, 0,	//683  QCloseEvent*
    353, 343, 0,	//685  QObject*, QEvent*
    347, 0,	//688  QKeyEvent*
    321, 0,	//690  KParts::PartManager*
    375, 590, 0,	//692  QWidget*, const QPoint&
    320, 0,	//695  KParts::PartActivateEvent*
    322, 0,	//697  KParts::PartSelectEvent*
    570, 0,	//699  const KComponentData&
    570, 450, 0,	//701  const KComponentData&, bool
    584, 0,	//704  const QDomElement&
    593, 450, 450, 0,	//706  const QString&, bool, bool
    583, 450, 0,	//710  const QDomDocument&, bool
    593, 326, 0,	//713  const QString&, KXMLGUIClient::ReverseStateChange
    608, 624, 0,	//716  int, void*
    335, 0,	//719  QContextMenuEvent*
    341, 0,	//721  QDragMoveEvent*
    340, 0,	//723  QDragLeaveEvent*
    333, 0,	//725  QChildEvent*
    352, 0,	//727  QMoveEvent*
    371, 0,	//729  QTabletEvent*
    328, 0,	//731  QActionEvent*
    448, 0,	//733  _XEvent*
    354, 0,	//735  QPaintDevice::PaintDeviceMetric
    346, 0,	//737  QInputMethodEvent*
    410, 0,	//739  Qt::InputMethodQuery
    370, 0,	//741  QStyle&
    589, 0,	//743  const QPalette&
    586, 0,	//745  const QFont&
    357, 608, 608, 608, 608, 0,	//747  QPainter*, int, int, int, int
    585, 0,	//753  const QEvent*
    598, 0,	//755  const khtml::DrawContentsEvent&
    351, 608, 608, 476, 476, 554, 608, 0,	//757  QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, int
    599, 0,	//765  const khtml::MouseDoubleClickEvent&
    351, 608, 608, 476, 476, 554, 0,	//767  QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&
    597, 351, 608, 608, 476, 476, 554, 0,	//774  const char*, QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&
    600, 0,	//782  const khtml::MouseEvent&
    601, 0,	//784  const khtml::MouseMoveEvent&
    602, 0,	//786  const khtml::MousePressEvent&
    351, 608, 608, 476, 476, 554, 617, 0,	//788  QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, long
    603, 0,	//796  const khtml::MouseReleaseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ABORT_ERR",	//1
    "ADDITION",	//2
    "ATTRIBUTE_NODE",	//3
    "AT_TARGET",	//4
    "AbstractView",	//5
    "AbstractView#",	//6
    "Attr",	//7
    "Attr#",	//8
    "BAD_BOUNDARYPOINTS_ERR",	//9
    "BUBBLING_PHASE",	//10
    "Before",	//11
    "Box",	//12
    "BrowserViewGUI",	//13
    "CAPTURING_PHASE",	//14
    "CDATASection",	//15
    "CDATASection#",	//16
    "CDATA_SECTION_NODE",	//17
    "CHARSET_RULE",	//18
    "COMMENT_NODE",	//19
    "CSSCharsetRule",	//20
    "CSSCharsetRule#",	//21
    "CSSException",	//22
    "CSSException#",	//23
    "CSSException$",	//24
    "CSSFontFaceRule",	//25
    "CSSFontFaceRule#",	//26
    "CSSImportRule",	//27
    "CSSImportRule#",	//28
    "CSSMediaRule",	//29
    "CSSMediaRule#",	//30
    "CSSPageRule",	//31
    "CSSPageRule#",	//32
    "CSSPrimitiveValue",	//33
    "CSSPrimitiveValue#",	//34
    "CSSRule",	//35
    "CSSRule#",	//36
    "CSSRuleList",	//37
    "CSSRuleList#",	//38
    "CSSStyleDeclaration",	//39
    "CSSStyleDeclaration#",	//40
    "CSSStyleRule",	//41
    "CSSStyleRule#",	//42
    "CSSStyleSheet",	//43
    "CSSStyleSheet#",	//44
    "CSSUnknownRule",	//45
    "CSSUnknownRule#",	//46
    "CSSValue",	//47
    "CSSValue#",	//48
    "CSSValueList",	//49
    "CSSValueList#",	//50
    "CSS_ATTR",	//51
    "CSS_CM",	//52
    "CSS_COUNTER",	//53
    "CSS_CUSTOM",	//54
    "CSS_DEG",	//55
    "CSS_DIMENSION",	//56
    "CSS_DPCM",	//57
    "CSS_DPI",	//58
    "CSS_EMS",	//59
    "CSS_EXS",	//60
    "CSS_GRAD",	//61
    "CSS_HTML_RELATIVE",	//62
    "CSS_HZ",	//63
    "CSS_IDENT",	//64
    "CSS_IN",	//65
    "CSS_INHERIT",	//66
    "CSS_INITIAL",	//67
    "CSS_KHZ",	//68
    "CSS_MM",	//69
    "CSS_MS",	//70
    "CSS_NUMBER",	//71
    "CSS_PAIR",	//72
    "CSS_PC",	//73
    "CSS_PERCENTAGE",	//74
    "CSS_PRIMITIVE_VALUE",	//75
    "CSS_PT",	//76
    "CSS_PX",	//77
    "CSS_RAD",	//78
    "CSS_RECT",	//79
    "CSS_RGBCOLOR",	//80
    "CSS_S",	//81
    "CSS_STRING",	//82
    "CSS_SVG_VALUE",	//83
    "CSS_UNKNOWN",	//84
    "CSS_URI",	//85
    "CSS_VALUE_LIST",	//86
    "CaretBlink",	//87
    "CaretInvisible",	//88
    "CaretVisible",	//89
    "CharacterData",	//90
    "CharacterData#",	//91
    "Comment",	//92
    "Comment#",	//93
    "Counter",	//94
    "Counter#",	//95
    "CustomNodeFilter",	//96
    "CustomNodeFilter#",	//97
    "DATA_CLONE_ERR",	//98
    "DNSPrefetchDisabled",	//99
    "DNSPrefetchEnabled",	//100
    "DNSPrefetchOnlyWWWAndSLD",	//101
    "DOCUMENT_FRAGMENT_NODE",	//102
    "DOCUMENT_NODE",	//103
    "DOCUMENT_POSITION_CONTAINED_BY",	//104
    "DOCUMENT_POSITION_CONTAINS",	//105
    "DOCUMENT_POSITION_DISCONNECTED",	//106
    "DOCUMENT_POSITION_FOLLOWING",	//107
    "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC",	//108
    "DOCUMENT_POSITION_PRECEDING",	//109
    "DOCUMENT_TYPE_NODE",	//110
    "DOMException",	//111
    "DOMException#",	//112
    "DOMException$",	//113
    "DOMImplementation",	//114
    "DOMImplementation#",	//115
    "DOMSTRING_SIZE_ERR",	//116
    "DOMString",	//117
    "DOMString#",	//118
    "DOMString#$",	//119
    "DOMString$",	//120
    "DOMString$$",	//121
    "DOM_KEY_LOCATION_LEFT",	//122
    "DOM_KEY_LOCATION_NUMPAD",	//123
    "DOM_KEY_LOCATION_RIGHT",	//124
    "DOM_KEY_LOCATION_STANDARD",	//125
    "DefaultGUI",	//126
    "DoNotLoadPlugins",	//127
    "Document",	//128
    "Document#",	//129
    "Document$",	//130
    "DocumentFragment",	//131
    "DocumentFragment#",	//132
    "DocumentStyle",	//133
    "DocumentStyle#",	//134
    "DocumentType",	//135
    "DocumentType#",	//136
    "DomShared",	//137
    "DomShared#",	//138
    "DrawChildren",	//139
    "DrawContentsEvent",	//140
    "DrawContentsEvent#",	//141
    "DrawContentsEvent#$$$$",	//142
    "DrawWindowBackground",	//143
    "ELEMENT_NODE",	//144
    "ENCODING_ERR",	//145
    "END_TO_END",	//146
    "END_TO_START",	//147
    "ENTITY_NODE",	//148
    "ENTITY_REFERENCE_NODE",	//149
    "Element",	//150
    "Element#",	//151
    "Encrypted",	//152
    "Entity",	//153
    "Entity#",	//154
    "EntityReference",	//155
    "EntityReference#",	//156
    "Event",	//157
    "Event#",	//158
    "EventException",	//159
    "EventException#",	//160
    "EventException$",	//161
    "EventListener",	//162
    "EventListener#",	//163
    "FILTER_ACCEPT",	//164
    "FILTER_REJECT",	//165
    "FILTER_SKIP",	//166
    "FONT_FACE_RULE",	//167
    "FindLinksOnly",	//168
    "FindNoPopups",	//169
    "HIERARCHY_REQUEST_ERR",	//170
    "HLine",	//171
    "HTMLAnchorElement",	//172
    "HTMLAnchorElement#",	//173
    "HTMLAppletElement",	//174
    "HTMLAppletElement#",	//175
    "HTMLAreaElement",	//176
    "HTMLAreaElement#",	//177
    "HTMLBRElement",	//178
    "HTMLBRElement#",	//179
    "HTMLBaseElement",	//180
    "HTMLBaseElement#",	//181
    "HTMLBaseFontElement",	//182
    "HTMLBaseFontElement#",	//183
    "HTMLBlockquoteElement",	//184
    "HTMLBlockquoteElement#",	//185
    "HTMLBodyElement",	//186
    "HTMLBodyElement#",	//187
    "HTMLButtonElement",	//188
    "HTMLButtonElement#",	//189
    "HTMLCollection",	//190
    "HTMLCollection#",	//191
    "HTMLDListElement",	//192
    "HTMLDListElement#",	//193
    "HTMLDirectoryElement",	//194
    "HTMLDirectoryElement#",	//195
    "HTMLDivElement",	//196
    "HTMLDivElement#",	//197
    "HTMLDocument",	//198
    "HTMLDocument#",	//199
    "HTMLElement",	//200
    "HTMLElement#",	//201
    "HTMLFieldSetElement",	//202
    "HTMLFieldSetElement#",	//203
    "HTMLFontElement",	//204
    "HTMLFontElement#",	//205
    "HTMLFormCollection",	//206
    "HTMLFormCollection#",	//207
    "HTMLFormElement",	//208
    "HTMLFormElement#",	//209
    "HTMLFrameElement",	//210
    "HTMLFrameElement#",	//211
    "HTMLFrameSetElement",	//212
    "HTMLFrameSetElement#",	//213
    "HTMLHRElement",	//214
    "HTMLHRElement#",	//215
    "HTMLHeadElement",	//216
    "HTMLHeadElement#",	//217
    "HTMLHeadingElement",	//218
    "HTMLHeadingElement#",	//219
    "HTMLHtmlElement",	//220
    "HTMLHtmlElement#",	//221
    "HTMLIFrameElement",	//222
    "HTMLIFrameElement#",	//223
    "HTMLImageElement",	//224
    "HTMLImageElement#",	//225
    "HTMLInputElement",	//226
    "HTMLInputElement#",	//227
    "HTMLIsIndexElement",	//228
    "HTMLIsIndexElement#",	//229
    "HTMLLIElement",	//230
    "HTMLLIElement#",	//231
    "HTMLLabelElement",	//232
    "HTMLLabelElement#",	//233
    "HTMLLayerElement",	//234
    "HTMLLayerElement#",	//235
    "HTMLLegendElement",	//236
    "HTMLLegendElement#",	//237
    "HTMLLinkElement",	//238
    "HTMLLinkElement#",	//239
    "HTMLMapElement",	//240
    "HTMLMapElement#",	//241
    "HTMLMenuElement",	//242
    "HTMLMenuElement#",	//243
    "HTMLMetaElement",	//244
    "HTMLMetaElement#",	//245
    "HTMLModElement",	//246
    "HTMLModElement#",	//247
    "HTMLOListElement",	//248
    "HTMLOListElement#",	//249
    "HTMLObjectElement",	//250
    "HTMLObjectElement#",	//251
    "HTMLOptGroupElement",	//252
    "HTMLOptGroupElement#",	//253
    "HTMLOptionElement",	//254
    "HTMLOptionElement#",	//255
    "HTMLParagraphElement",	//256
    "HTMLParagraphElement#",	//257
    "HTMLParamElement",	//258
    "HTMLParamElement#",	//259
    "HTMLPreElement",	//260
    "HTMLPreElement#",	//261
    "HTMLQuoteElement",	//262
    "HTMLQuoteElement#",	//263
    "HTMLScriptElement",	//264
    "HTMLScriptElement#",	//265
    "HTMLSelectElement",	//266
    "HTMLSelectElement#",	//267
    "HTMLStyleElement",	//268
    "HTMLStyleElement#",	//269
    "HTMLTableCaptionElement",	//270
    "HTMLTableCaptionElement#",	//271
    "HTMLTableCellElement",	//272
    "HTMLTableCellElement#",	//273
    "HTMLTableColElement",	//274
    "HTMLTableColElement#",	//275
    "HTMLTableElement",	//276
    "HTMLTableElement#",	//277
    "HTMLTableRowElement",	//278
    "HTMLTableRowElement#",	//279
    "HTMLTableSectionElement",	//280
    "HTMLTableSectionElement#",	//281
    "HTMLTextAreaElement",	//282
    "HTMLTextAreaElement#",	//283
    "HTMLTitleElement",	//284
    "HTMLTitleElement#",	//285
    "HTMLUListElement",	//286
    "HTMLUListElement#",	//287
    "IMPORT_RULE",	//288
    "INDEX_SIZE_ERR",	//289
    "INUSE_ATTRIBUTE_ERR",	//290
    "INVALID_ACCESS_ERR",	//291
    "INVALID_CHARACTER_ERR",	//292
    "INVALID_MODIFICATION_ERR",	//293
    "INVALID_NODE_TYPE_ERR",	//294
    "INVALID_STATE_ERR",	//295
    "IgnoreMask",	//296
    "KAnimationDisabled",	//297
    "KAnimationEnabled",	//298
    "KAnimationLoopOnce",	//299
    "KDNSPrefetchDisabled",	//300
    "KDNSPrefetchEnabled",	//301
    "KDNSPrefetchOnlyWWWAndSLD",	//302
    "KHTMLPart",	//303
    "KHTMLPart#",	//304
    "KHTMLPart##",	//305
    "KHTMLPart##$",	//306
    "KHTMLSettings",	//307
    "KHTMLSettings#",	//308
    "KHTMLView",	//309
    "KHTMLView##",	//310
    "KJSWindowFocusAllow",	//311
    "KJSWindowFocusIgnore",	//312
    "KJSWindowMoveAllow",	//313
    "KJSWindowMoveIgnore",	//314
    "KJSWindowOpenAllow",	//315
    "KJSWindowOpenAsk",	//316
    "KJSWindowOpenDeny",	//317
    "KJSWindowOpenSmart",	//318
    "KJSWindowResizeAllow",	//319
    "KJSWindowResizeIgnore",	//320
    "KJSWindowStatusAllow",	//321
    "KJSWindowStatusIgnore",	//322
    "KJavaScriptAccept",	//323
    "KJavaScriptDunno",	//324
    "KJavaScriptReject",	//325
    "KSmoothScrollingDisabled",	//326
    "KSmoothScrollingEnabled",	//327
    "KSmoothScrollingWhenEfficient",	//328
    "KeyboardEvent",	//329
    "KeyboardEvent#",	//330
    "LinkStyle",	//331
    "LinkStyle#",	//332
    "LoadPlugins",	//333
    "LoadPluginsIfEnabled",	//334
    "MEDIA_RULE",	//335
    "MODIFICATION",	//336
    "MediaList",	//337
    "MediaList#",	//338
    "Mixed",	//339
    "MouseDoubleClickEvent",	//340
    "MouseDoubleClickEvent#",	//341
    "MouseDoubleClickEvent#$$###",	//342
    "MouseDoubleClickEvent#$$###$",	//343
    "MouseEvent",	//344
    "MouseEvent#",	//345
    "MouseEvent$#$$###",	//346
    "MouseMoveEvent",	//347
    "MouseMoveEvent#",	//348
    "MouseMoveEvent#$$###",	//349
    "MousePressEvent",	//350
    "MousePressEvent#",	//351
    "MousePressEvent#$$###",	//352
    "MouseReleaseEvent",	//353
    "MouseReleaseEvent#",	//354
    "MouseReleaseEvent#$$###",	//355
    "MouseReleaseEvent#$$###$",	//356
    "MutationEvent",	//357
    "MutationEvent#",	//358
    "NAMESPACE_ERR",	//359
    "NAMESPACE_RULE",	//360
    "NETWORK_ERR",	//361
    "NOTATION_NODE",	//362
    "NOT_FOUND_ERR",	//363
    "NOT_READABLE_ERR",	//364
    "NOT_SUPPORTED_ERR",	//365
    "NO_DATA_ALLOWED_ERR",	//366
    "NO_MODIFICATION_ALLOWED_ERR",	//367
    "NamedNodeMap",	//368
    "NamedNodeMap#",	//369
    "NoFrame",	//370
    "NoNotification",	//371
    "Node",	//372
    "Node#",	//373
    "NodeFilter",	//374
    "NodeFilter#",	//375
    "NodeIterator",	//376
    "NodeIterator#",	//377
    "NodeList",	//378
    "NodeList#",	//379
    "NotCrypted",	//380
    "Notation",	//381
    "Notation#",	//382
    "Only",	//383
    "PAGE_RULE",	//384
    "PROCESSING_INSTRUCTION_NODE",	//385
    "Panel",	//386
    "Plain",	//387
    "ProcessingInstruction",	//388
    "ProcessingInstruction#",	//389
    "QUIRKS_RULE",	//390
    "QUOTA_EXCEEDED_ERR",	//391
    "REMOVAL",	//392
    "RGBColor",	//393
    "RGBColor#",	//394
    "RGBColor$",	//395
    "Raised",	//396
    "Range",	//397
    "Range#",	//398
    "Range#$#$",	//399
    "RangeException",	//400
    "RangeException#",	//401
    "RangeException$",	//402
    "Rect",	//403
    "Rect#",	//404
    "SECURITY_ERR",	//405
    "SHOW_ALL",	//406
    "SHOW_ATTRIBUTE",	//407
    "SHOW_CDATA_SECTION",	//408
    "SHOW_COMMENT",	//409
    "SHOW_DOCUMENT",	//410
    "SHOW_DOCUMENT_FRAGMENT",	//411
    "SHOW_DOCUMENT_TYPE",	//412
    "SHOW_ELEMENT",	//413
    "SHOW_ENTITY",	//414
    "SHOW_ENTITY_REFERENCE",	//415
    "SHOW_NOTATION",	//416
    "SHOW_PROCESSING_INSTRUCTION",	//417
    "SHOW_TEXT",	//418
    "SSMDisabled",	//419
    "SSMEnabled",	//420
    "SSMWhenEfficient",	//421
    "START_TO_END",	//422
    "START_TO_START",	//423
    "STYLE_RULE",	//424
    "SYNTAX_ERR",	//425
    "Shadow_Mask",	//426
    "Shape_Mask",	//427
    "StateNoReverse",	//428
    "StateReverse",	//429
    "StyleSheet",	//430
    "StyleSheet#",	//431
    "StyleSheetList",	//432
    "StyleSheetList#",	//433
    "StyledPanel",	//434
    "Sunken",	//435
    "TEXT_NODE",	//436
    "TIMEOUT_ERR",	//437
    "TYPE_MISMATCH_ERR",	//438
    "Text",	//439
    "Text#",	//440
    "TextEvent",	//441
    "TextEvent#",	//442
    "TreeWalker",	//443
    "TreeWalker#",	//444
    "UIEvent",	//445
    "UIEvent#",	//446
    "UNKNOWN_RULE",	//447
    "UNSPECIFIED_EVENT_TYPE_ERR",	//448
    "URL",	//449
    "URL_MISMATCH_ERR",	//450
    "Unused",	//451
    "VALIDATION_ERR",	//452
    "VLine",	//453
    "WRONG_DOCUMENT_ERR",	//454
    "WinPanel",	//455
    "XPATH_NAMESPACE_NODE",	//456
    "_EXCEPTION_MAX",	//457
    "_EXCEPTION_OFFSET",	//458
    "__codecvt_error",	//459
    "__codecvt_noconv",	//460
    "__codecvt_ok",	//461
    "__codecvt_partial",	//462
    "_ref",	//463
    "aLink",	//464
    "abbr",	//465
    "abort",	//466
    "absX",	//467
    "absY",	//468
    "accept",	//469
    "acceptCharset",	//470
    "acceptNode",	//471
    "acceptNode#",	//472
    "accessKey",	//473
    "accessKeysEnabled",	//474
    "action",	//475
    "actionCollection",	//476
    "actionEvent",	//477
    "activeNode",	//478
    "adFilteredBy",	//479
    "adFilteredBy$",	//480
    "adFilteredBy$$",	//481
    "add",	//482
    "add##",	//483
    "addAdFilter",	//484
    "addAdFilter$",	//485
    "addCSSProperty",	//486
    "addCSSProperty##",	//487
    "addChild",	//488
    "addChild#$$",	//489
    "addEventListener",	//490
    "addEventListener##$",	//491
    "addStyleSheet",	//492
    "addStyleSheet#",	//493
    "adviceToStr",	//494
    "adviceToStr$",	//495
    "align",	//496
    "all",	//497
    "allowTabulation",	//498
    "alt",	//499
    "altKey",	//500
    "anchors",	//501
    "appendChild",	//502
    "appendChild#",	//503
    "appendData",	//504
    "appendData#",	//505
    "appendMedium",	//506
    "appendMedium#",	//507
    "applets",	//508
    "applyChanges",	//509
    "archive",	//510
    "areas",	//511
    "assignOther",	//512
    "assignOther#$",	//513
    "async",	//514
    "attrChange",	//515
    "attrName",	//516
    "attributes",	//517
    "autoLoadImages",	//518
    "autoSpellCheck",	//519
    "autoloadImages",	//520
    "availableFamilies",	//521
    "axis",	//522
    "background",	//523
    "backgroundURL",	//524
    "base",	//525
    "baseColor",	//526
    "baseURL",	//527
    "baseUrl",	//528
    "begin",	//529
    "begin#",	//530
    "begin#$",	//531
    "begin#$$",	//532
    "bgColor",	//533
    "blue",	//534
    "blur",	//535
    "body",	//536
    "border",	//537
    "bottom",	//538
    "boundaryPointsValid",	//539
    "browserExtension",	//540
    "browserHostExtension",	//541
    "bubbles",	//542
    "button",	//543
    "cancelable",	//544
    "caption",	//545
    "caretDisplayPolicyNonFocused",	//546
    "caretPositionChanged",	//547
    "caretPositionChanged#$",	//548
    "cellIndex",	//549
    "cellPadding",	//550
    "cellSpacing",	//551
    "cells",	//552
    "ch",	//553
    "chOff",	//554
    "changeCursor",	//555
    "changeEvent",	//556
    "charCode",	//557
    "characters",	//558
    "charset",	//559
    "checked",	//560
    "childElementCount",	//561
    "childEvent",	//562
    "childNodes",	//563
    "children",	//564
    "cite",	//565
    "className",	//566
    "clear",	//567
    "cleared",	//568
    "click",	//569
    "clickCount",	//570
    "clientX",	//571
    "clientY",	//572
    "cliph",	//573
    "clipw",	//574
    "clipx",	//575
    "clipy",	//576
    "cloneContents",	//577
    "cloneNode",	//578
    "cloneNode$",	//579
    "cloneRange",	//580
    "close",	//581
    "closeEvent",	//582
    "closeEvent#",	//583
    "closeUrl",	//584
    "code",	//585
    "codeAsString",	//586
    "codeAsString$",	//587
    "codeBase",	//588
    "codeType",	//589
    "colSpan",	//590
    "collapse",	//591
    "collapse$",	//592
    "collapsed",	//593
    "color",	//594
    "cols",	//595
    "commonAncestorContainer",	//596
    "compact",	//597
    "compareBoundaryPoints",	//598
    "compareBoundaryPoints$#",	//599
    "compareDocumentPosition",	//600
    "compareDocumentPosition#",	//601
    "completeURL",	//602
    "completeURL#",	//603
    "completeURL$",	//604
    "componentData",	//605
    "configurationChanged",	//606
    "connectNotify",	//607
    "content",	//608
    "contentDocument",	//609
    "contentEditable",	//610
    "contentsHeight",	//611
    "contentsToViewport",	//612
    "contentsToViewport#",	//613
    "contentsToViewport$$$$",	//614
    "contentsWidth",	//615
    "contentsX",	//616
    "contentsY",	//617
    "contextMenuEvent",	//618
    "cookie",	//619
    "coords",	//620
    "copy",	//621
    "createAttribute",	//622
    "createAttribute#",	//623
    "createAttributeNS",	//624
    "createAttributeNS##",	//625
    "createCDATASection",	//626
    "createCDATASection#",	//627
    "createCSSStyleSheet",	//628
    "createCSSStyleSheet##",	//629
    "createCaption",	//630
    "createComment",	//631
    "createComment#",	//632
    "createContextualFragment",	//633
    "createContextualFragment#",	//634
    "createCustom",	//635
    "createCustom#",	//636
    "createDocument",	//637
    "createDocument###",	//638
    "createDocumentFragment",	//639
    "createDocumentType",	//640
    "createDocumentType###",	//641
    "createElement",	//642
    "createElement#",	//643
    "createElementNS",	//644
    "createElementNS##",	//645
    "createEntityReference",	//646
    "createEntityReference#",	//647
    "createEvent",	//648
    "createEvent#",	//649
    "createHTMLDocument",	//650
    "createHTMLDocument#",	//651
    "createNodeIterator",	//652
    "createNodeIterator#$#$",	//653
    "createPart",	//654
    "createPart##$$??",	//655
    "createProcessingInstruction",	//656
    "createProcessingInstruction##",	//657
    "createRange",	//658
    "createTFoot",	//659
    "createTHead",	//660
    "createTextNode",	//661
    "createTextNode#",	//662
    "createTreeWalker",	//663
    "createTreeWalker#$#$",	//664
    "cssRules",	//665
    "cssText",	//666
    "cssValueType",	//667
    "ctrlKey",	//668
    "currentFrame",	//669
    "currentNode",	//670
    "currentTarget",	//671
    "cursiveFontName",	//672
    "customEvent",	//673
    "customEvent#",	//674
    "customNodeFilter",	//675
    "customNodeFilterType",	//676
    "data",	//677
    "dateTime",	//678
    "declare",	//679
    "defaultChecked",	//680
    "defaultSelected",	//681
    "defaultValue",	//682
    "defaultView",	//683
    "defer",	//684
    "deleteCaption",	//685
    "deleteCell",	//686
    "deleteCell$",	//687
    "deleteContents",	//688
    "deleteData",	//689
    "deleteData$$",	//690
    "deleteMe",	//691
    "deleteMedium",	//692
    "deleteMedium#",	//693
    "deleteRow",	//694
    "deleteRow$",	//695
    "deleteRule",	//696
    "deleteRule$",	//697
    "deleteTFoot",	//698
    "deleteTHead",	//699
    "deref",	//700
    "designMode",	//701
    "detach",	//702
    "detail",	//703
    "devType",	//704
    "dir",	//705
    "disabled",	//706
    "disconnectNotify",	//707
    "dispatchEvent",	//708
    "dispatchEvent#",	//709
    "displayAccessKeys",	//710
    "dndEnabled",	//711
    "dnsPrefetch",	//712
    "doAutoScroll",	//713
    "doCloseStream",	//714
    "doOpenStream",	//715
    "doOpenStream$",	//716
    "doWriteStream",	//717
    "doWriteStream#",	//718
    "docCreated",	//719
    "doctype",	//720
    "document",	//721
    "documentElement",	//722
    "documentSource",	//723
    "domDocument",	//724
    "domain",	//725
    "dragEnterEvent",	//726
    "dragEnterEvent#",	//727
    "dragLeaveEvent",	//728
    "dragMoveEvent",	//729
    "dropEvent",	//730
    "dropEvent#",	//731
    "editor",	//732
    "elementId",	//733
    "elements",	//734
    "embed",	//735
    "enabledChange",	//736
    "encoding",	//737
    "enctype",	//738
    "end",	//739
    "endContainer",	//740
    "endOffset",	//741
    "endsWith",	//742
    "endsWith#",	//743
    "enterEvent",	//744
    "entities",	//745
    "event",	//746
    "event#",	//747
    "eventFilter",	//748
    "eventFilter##",	//749
    "eventListenerType",	//750
    "eventName",	//751
    "eventPhase",	//752
    "execCommand",	//753
    "execCommand#$#",	//754
    "executeScript",	//755
    "executeScript#$",	//756
    "executeScript$",	//757
    "expandEntityReferences",	//758
    "extractContents",	//759
    "face",	//760
    "fallbackAccessKeysAssignments",	//761
    "fantasyFontName",	//762
    "filter",	//763
    "find",	//764
    "find#",	//765
    "find#$",	//766
    "findAheadActive",	//767
    "findAheadActive$",	//768
    "findFrame",	//769
    "findFrame$",	//770
    "findFrameParent",	//771
    "findFrameParent#$",	//772
    "findFrameParent#$?",	//773
    "findFramePart",	//774
    "findFramePart$",	//775
    "findText",	//776
    "findText$$",	//777
    "findText$$#",	//778
    "findText$$##",	//779
    "findTextBegin",	//780
    "findTextNext",	//781
    "findTextNext$",	//782
    "finishedLayout",	//783
    "firstChild",	//784
    "firstElementChild",	//785
    "firstItem",	//786
    "fixedFontName",	//787
    "focus",	//788
    "focusInEvent",	//789
    "focusInEvent#",	//790
    "focusNextPrevChild",	//791
    "focusNextPrevChild$",	//792
    "focusOutEvent",	//793
    "focusOutEvent#",	//794
    "followSystemColors",	//795
    "fontChange",	//796
    "fontScaleFactor",	//797
    "forcePermitLocalImages",	//798
    "form",	//799
    "formNotification",	//800
    "formSubmitNotification",	//801
    "formSubmitNotification$$#$$$",	//802
    "forms",	//803
    "frame",	//804
    "frameBorder",	//805
    "frameExists",	//806
    "frameExists$",	//807
    "frameNames",	//808
    "frameWidth",	//809
    "framejScript",	//810
    "framejScript#",	//811
    "frames",	//812
    "getAttribute",	//813
    "getAttribute#",	//814
    "getAttributeNS",	//815
    "getAttributeNS##",	//816
    "getAttributeNode",	//817
    "getAttributeNode#",	//818
    "getAttributeNodeNS",	//819
    "getAttributeNodeNS##",	//820
    "getBorder",	//821
    "getComputedStyle",	//822
    "getComputedStyle##",	//823
    "getCounterValue",	//824
    "getCursor",	//825
    "getCursor$$$$",	//826
    "getElementById",	//827
    "getElementById#",	//828
    "getElementsByClassName",	//829
    "getElementsByClassName#",	//830
    "getElementsByName",	//831
    "getElementsByName#",	//832
    "getElementsByTagName",	//833
    "getElementsByTagName#",	//834
    "getElementsByTagNameNS",	//835
    "getElementsByTagNameNS##",	//836
    "getFloatValue",	//837
    "getFloatValue$",	//838
    "getHspace",	//839
    "getInterface",	//840
    "getInterface#",	//841
    "getModifierState",	//842
    "getModifierState#",	//843
    "getNamedItem",	//844
    "getNamedItem#",	//845
    "getNamedItemNS",	//846
    "getNamedItemNS##",	//847
    "getOverrideStyle",	//848
    "getOverrideStyle##",	//849
    "getPropertyCSSValue",	//850
    "getPropertyCSSValue#",	//851
    "getPropertyPriority",	//852
    "getPropertyPriority#",	//853
    "getPropertyValue",	//854
    "getPropertyValue#",	//855
    "getRGBColorValue",	//856
    "getRect",	//857
    "getRectValue",	//858
    "getSize",	//859
    "getStringValue",	//860
    "getVspace",	//861
    "gotoAnchor",	//862
    "gotoAnchor$",	//863
    "green",	//864
    "guiActivateEvent",	//865
    "guiActivateEvent#",	//866
    "handleEvent",	//867
    "handleEvent#",	//868
    "hasAttribute",	//869
    "hasAttribute#",	//870
    "hasAttributeNS",	//871
    "hasAttributeNS##",	//872
    "hasAttributes",	//873
    "hasChildNodes",	//874
    "hasFeature",	//875
    "hasFeature##",	//876
    "hasOneRef",	//877
    "hasSelection",	//878
    "headers",	//879
    "height",	//880
    "heightForWidth",	//881
    "hide",	//882
    "hideAccessKeys",	//883
    "hideEvent",	//884
    "hideEvent#",	//885
    "hitTest",	//886
    "hoverLink",	//887
    "href",	//888
    "hreflang",	//889
    "hspace",	//890
    "htmlDocument",	//891
    "htmlError",	//892
    "htmlError$$#",	//893
    "htmlFor",	//894
    "httpEquiv",	//895
    "id",	//896
    "identifier",	//897
    "images",	//898
    "impl",	//899
    "implementation",	//900
    "importNode",	//901
    "importNode#$",	//902
    "inProgress",	//903
    "indeterminate",	//904
    "index",	//905
    "init",	//906
    "init#",	//907
    "init#$",	//908
    "initEvent",	//909
    "initEvent#$$",	//910
    "initKeyboardEvent",	//911
    "initKeyboardEvent#$$##$#",	//912
    "initMouseEvent",	//913
    "initMouseEvent#$$#$$$$$$$$$$#",	//914
    "initMutationEvent",	//915
    "initMutationEvent#$$####$",	//916
    "initTextEvent",	//917
    "initTextEvent#$$##",	//918
    "initUIEvent",	//919
    "initUIEvent#$$#$",	//920
    "innerHTML",	//921
    "innerNode",	//922
    "innerText",	//923
    "inputMethodEvent",	//924
    "inputMethodQuery",	//925
    "insert",	//926
    "insert#$",	//927
    "insertBefore",	//928
    "insertBefore##",	//929
    "insertCell",	//930
    "insertCell$",	//931
    "insertData",	//932
    "insertData$#",	//933
    "insertNode",	//934
    "insertNode#",	//935
    "insertRow",	//936
    "insertRow$",	//937
    "insertRule",	//938
    "insertRule#$",	//939
    "internalSubset",	//940
    "isAdFilterEnabled",	//941
    "isAdFiltered",	//942
    "isAdFiltered$",	//943
    "isAutoDelayedActionsEnabled",	//944
    "isBackRightClickEnabled",	//945
    "isCSSExceptionCode",	//946
    "isCSSExceptionCode$",	//947
    "isCSSPrimitiveValue",	//948
    "isCSSStyleSheet",	//949
    "isCSSValueList",	//950
    "isCaretMode",	//951
    "isContentEditable",	//952
    "isDOMExceptionCode",	//953
    "isDOMExceptionCode$",	//954
    "isDetached",	//955
    "isEditable",	//956
    "isEmpty",	//957
    "isEventExceptionCode",	//958
    "isEventExceptionCode$",	//959
    "isFormCompletionEnabled",	//960
    "isHTMLDocument",	//961
    "isHTMLElement",	//962
    "isHideAdsEnabled",	//963
    "isJavaEnabled",	//964
    "isJavaEnabled$",	//965
    "isJavaScriptDebugEnabled",	//966
    "isJavaScriptDebugEnabled$",	//967
    "isJavaScriptEnabled",	//968
    "isJavaScriptEnabled$",	//969
    "isJavaScriptErrorReportingEnabled",	//970
    "isJavaScriptErrorReportingEnabled$",	//971
    "isMap",	//972
    "isModified",	//973
    "isNull",	//974
    "isOpenMiddleClickEnabled",	//975
    "isPluginsEnabled",	//976
    "isPluginsEnabled$",	//977
    "isPointInsideSelection",	//978
    "isPointInsideSelection$$",	//979
    "isRangeExceptionCode",	//980
    "isRangeExceptionCode$",	//981
    "isSupported",	//982
    "isSupported##",	//983
    "item",	//984
    "item$",	//985
    "jScriptEnabled",	//986
    "jScriptInterpreter",	//987
    "javaEnabled",	//988
    "jsDefaultStatusBarText",	//989
    "jsErrorsEnabled",	//990
    "jsPopupBlockerPassivePopup",	//991
    "jsStatusBarText",	//992
    "keyCode",	//993
    "keyIdentifier",	//994
    "keyLocation",	//995
    "keyPressEvent",	//996
    "keyPressEvent#",	//997
    "keyReleaseEvent",	//998
    "keyReleaseEvent#",	//999
    "khtmlDrawContentsEvent",	//1000
    "khtmlDrawContentsEvent#",	//1001
    "khtmlMalformedPrefix",	//1002
    "khtmlMalformedPrefix#",	//1003
    "khtmlMalformedQualifiedName",	//1004
    "khtmlMalformedQualifiedName#",	//1005
    "khtmlMouseDoubleClickEvent",	//1006
    "khtmlMouseDoubleClickEvent#",	//1007
    "khtmlMouseMoveEvent",	//1008
    "khtmlMouseMoveEvent#",	//1009
    "khtmlMousePressEvent",	//1010
    "khtmlMousePressEvent#",	//1011
    "khtmlMouseReleaseEvent",	//1012
    "khtmlMouseReleaseEvent#",	//1013
    "khtmlValidAttrName",	//1014
    "khtmlValidAttrName#",	//1015
    "khtmlValidPrefix",	//1016
    "khtmlValidPrefix#",	//1017
    "khtmlValidQualifiedName",	//1018
    "khtmlValidQualifiedName#",	//1019
    "label",	//1020
    "lang",	//1021
    "languageChange",	//1022
    "lastChild",	//1023
    "lastElementChild",	//1024
    "lastModified",	//1025
    "layerX",	//1026
    "layerY",	//1027
    "layers",	//1028
    "layout",	//1029
    "leaveEvent",	//1030
    "left",	//1031
    "length",	//1032
    "link",	//1033
    "linkColor",	//1034
    "links",	//1035
    "listStyle",	//1036
    "load",	//1037
    "load#",	//1038
    "loadXML",	//1039
    "loadXML#",	//1040
    "localName",	//1041
    "localXMLFile",	//1042
    "longDesc",	//1043
    "lower",	//1044
    "m_color",	//1045
    "marginHeight",	//1046
    "marginWidth",	//1047
    "maxFormCompletionItems",	//1048
    "maxLength",	//1049
    "mayPrefetchHostname",	//1050
    "mayPrefetchHostname$",	//1051
    "media",	//1052
    "mediaText",	//1053
    "mediumFontSize",	//1054
    "metaKey",	//1055
    "metaObject",	//1056
    "metaRefreshEnabled",	//1057
    "method",	//1058
    "metric",	//1059
    "minFontSize",	//1060
    "minimumSizeHint",	//1061
    "mouseDoubleClickEvent",	//1062
    "mouseDoubleClickEvent#",	//1063
    "mouseMoveEvent",	//1064
    "mouseMoveEvent#",	//1065
    "mousePressEvent",	//1066
    "mousePressEvent#",	//1067
    "mouseReleaseEvent",	//1068
    "mouseReleaseEvent#",	//1069
    "moveEvent",	//1070
    "multiple",	//1071
    "name",	//1072
    "namedItem",	//1073
    "namedItem#",	//1074
    "namespaceURI",	//1075
    "newValue",	//1076
    "nextAnchor",	//1077
    "nextElementSibling",	//1078
    "nextItem",	//1079
    "nextNamedItem",	//1080
    "nextNamedItem#",	//1081
    "nextNode",	//1082
    "nextSibling",	//1083
    "noHref",	//1084
    "noResize",	//1085
    "noShade",	//1086
    "noWrap",	//1087
    "nodeActivated",	//1088
    "nodeActivated#",	//1089
    "nodeName",	//1090
    "nodeType",	//1091
    "nodeUnderMouse",	//1092
    "nodeValue",	//1093
    "nonSharedNodeUnderMouse",	//1094
    "normalize",	//1095
    "notationName",	//1096
    "notations",	//1097
    "number",	//1098
    "number$",	//1099
    "object",	//1100
    "offset",	//1101
    "onURL",	//1102
    "onURL$",	//1103
    "onlyLocalReferences",	//1104
    "open",	//1105
    "openFile",	//1106
    "openUrl",	//1107
    "openUrl#",	//1108
    "operator!=",	//1109
    "operator!=#",	//1110
    "operator!=##",	//1111
    "operator!=#$",	//1112
    "operator+",	//1113
    "operator+#",	//1114
    "operator+=",	//1115
    "operator+=#",	//1116
    "operator=",	//1117
    "operator=#",	//1118
    "operator==",	//1119
    "operator==#",	//1120
    "operator==##",	//1121
    "operator==#$",	//1122
    "operator[]",	//1123
    "operator[]$",	//1124
    "options",	//1125
    "ownerDocument",	//1126
    "ownerElement",	//1127
    "ownerNode",	//1128
    "ownerRule",	//1129
    "pageReferrer",	//1130
    "pageX",	//1131
    "pageY",	//1132
    "paint",	//1133
    "paint##",	//1134
    "paint##$",	//1135
    "paint##$$",	//1136
    "paintEngine",	//1137
    "paintEvent",	//1138
    "paintEvent#",	//1139
    "painter",	//1140
    "paletteChange",	//1141
    "parentNode",	//1142
    "parentPart",	//1143
    "parentRule",	//1144
    "parentStyleSheet",	//1145
    "part",	//1146
    "partActivateEvent",	//1147
    "partManager",	//1148
    "partSelectEvent",	//1149
    "percentage",	//1150
    "percentage$",	//1151
    "pluginPageQuestionAsked",	//1152
    "pluginPageQuestionAsked$",	//1153
    "pluginsEnabled",	//1154
    "popupMenu",	//1155
    "popupMenu$#",	//1156
    "preferredStylesheetSet",	//1157
    "prefix",	//1158
    "preloadScript",	//1159
    "preloadScript$$",	//1160
    "preloadStyleSheet",	//1161
    "preloadStyleSheet$$",	//1162
    "prevAnchor",	//1163
    "prevValue",	//1164
    "preventDefault",	//1165
    "previousElementSibling",	//1166
    "previousNode",	//1167
    "previousSibling",	//1168
    "primitiveType",	//1169
    "print",	//1170
    "print$",	//1171
    "profile",	//1172
    "prompt",	//1173
    "publicId",	//1174
    "qmouseEvent",	//1175
    "qt_metacall",	//1176
    "qt_metacall$$?",	//1177
    "qt_metacast",	//1178
    "qt_metacast$",	//1179
    "queryCommandEnabled",	//1180
    "queryCommandEnabled#",	//1181
    "queryCommandIndeterm",	//1182
    "queryCommandIndeterm#",	//1183
    "queryCommandState",	//1184
    "queryCommandState#",	//1185
    "queryCommandSupported",	//1186
    "queryCommandSupported#",	//1187
    "queryCommandValue",	//1188
    "queryCommandValue#",	//1189
    "querySelector",	//1190
    "querySelector#",	//1191
    "querySelectorAll",	//1192
    "querySelectorAll#",	//1193
    "readDomainSettings",	//1194
    "readDomainSettings#$$#",	//1195
    "readOnly",	//1196
    "red",	//1197
    "ref",	//1198
    "refCount",	//1199
    "referrer",	//1200
    "rel",	//1201
    "relatedNode",	//1202
    "relatedTarget",	//1203
    "remove",	//1204
    "remove$",	//1205
    "remove$$",	//1206
    "removeAttribute",	//1207
    "removeAttribute#",	//1208
    "removeAttributeNS",	//1209
    "removeAttributeNS##",	//1210
    "removeAttributeNode",	//1211
    "removeAttributeNode#",	//1212
    "removeCSSProperty",	//1213
    "removeCSSProperty#",	//1214
    "removeChild",	//1215
    "removeChild#",	//1216
    "removeEventListener",	//1217
    "removeEventListener##$",	//1218
    "removeNamedItem",	//1219
    "removeNamedItem#",	//1220
    "removeNamedItemNS",	//1221
    "removeNamedItemNS##",	//1222
    "removeProperty",	//1223
    "removeProperty#",	//1224
    "removeStyleSheet",	//1225
    "removeStyleSheet#",	//1226
    "repaintAccessKeys",	//1227
    "repaintContents",	//1228
    "repaintContents#",	//1229
    "repaintContents$$$$",	//1230
    "replaceChild",	//1231
    "replaceChild##",	//1232
    "replaceData",	//1233
    "replaceData$$#",	//1234
    "reset",	//1235
    "resizeContents",	//1236
    "resizeContents$$",	//1237
    "resizeEvent",	//1238
    "resizeEvent#",	//1239
    "restoreState",	//1240
    "restoreState#",	//1241
    "restored",	//1242
    "rev",	//1243
    "reverseFind",	//1244
    "reverseFind#",	//1245
    "reverseFind#$",	//1246
    "right",	//1247
    "root",	//1248
    "rowIndex",	//1249
    "rowSpan",	//1250
    "rows",	//1251
    "rules",	//1252
    "sansSerifFontName",	//1253
    "saveState",	//1254
    "saveState#",	//1255
    "scheduleRedirection",	//1256
    "scheduleRedirection$$",	//1257
    "scheduleRedirection$$$",	//1258
    "scheme",	//1259
    "scope",	//1260
    "screenX",	//1261
    "screenY",	//1262
    "scripts",	//1263
    "scrollBy",	//1264
    "scrollBy$$",	//1265
    "scrollContentsBy",	//1266
    "scrollContentsBy$$",	//1267
    "scrolling",	//1268
    "sectionRowIndex",	//1269
    "select",	//1270
    "selectAll",	//1271
    "selectNode",	//1272
    "selectNode#",	//1273
    "selectNodeContents",	//1274
    "selectNodeContents#",	//1275
    "selected",	//1276
    "selectedIndex",	//1277
    "selectedStylesheetSet",	//1278
    "selectedText",	//1279
    "selectedTextAsHTML",	//1280
    "selection",	//1281
    "selection#$#$",	//1282
    "selectionChanged",	//1283
    "selectionEnd",	//1284
    "selectionStart",	//1285
    "selectorText",	//1286
    "separator",	//1287
    "serifFontName",	//1288
    "setALink",	//1289
    "setALink#",	//1290
    "setAbbr",	//1291
    "setAbbr#",	//1292
    "setAccept",	//1293
    "setAccept#",	//1294
    "setAcceptCharset",	//1295
    "setAcceptCharset#",	//1296
    "setAccessKey",	//1297
    "setAccessKey#",	//1298
    "setAction",	//1299
    "setAction#",	//1300
    "setActiveNode",	//1301
    "setActiveNode#",	//1302
    "setAlign",	//1303
    "setAlign#",	//1304
    "setAlt",	//1305
    "setAlt#",	//1306
    "setAlwaysHonourDoctype",	//1307
    "setAlwaysHonourDoctype$",	//1308
    "setArchive",	//1309
    "setArchive#",	//1310
    "setAsync",	//1311
    "setAsync$",	//1312
    "setAttribute",	//1313
    "setAttribute##",	//1314
    "setAttributeNS",	//1315
    "setAttributeNS###",	//1316
    "setAttributeNode",	//1317
    "setAttributeNode#",	//1318
    "setAttributeNodeNS",	//1319
    "setAttributeNodeNS#",	//1320
    "setAutoloadImages",	//1321
    "setAutoloadImages$",	//1322
    "setAxis",	//1323
    "setAxis#",	//1324
    "setBackground",	//1325
    "setBackground#",	//1326
    "setBgColor",	//1327
    "setBgColor#",	//1328
    "setBody",	//1329
    "setBody#",	//1330
    "setBorder",	//1331
    "setBorder#",	//1332
    "setBorder$",	//1333
    "setCaption",	//1334
    "setCaption#",	//1335
    "setCaretDisplayPolicyNonFocused",	//1336
    "setCaretDisplayPolicyNonFocused$",	//1337
    "setCaretMode",	//1338
    "setCaretMode$",	//1339
    "setCaretPosition",	//1340
    "setCaretPosition#$",	//1341
    "setCaretPosition#$$",	//1342
    "setCaretVisible",	//1343
    "setCaretVisible$",	//1344
    "setCellIndex",	//1345
    "setCellIndex$",	//1346
    "setCellPadding",	//1347
    "setCellPadding#",	//1348
    "setCellSpacing",	//1349
    "setCellSpacing#",	//1350
    "setCells",	//1351
    "setCells#",	//1352
    "setCh",	//1353
    "setCh#",	//1354
    "setChOff",	//1355
    "setChOff#",	//1356
    "setCharset",	//1357
    "setCharset#",	//1358
    "setChecked",	//1359
    "setChecked$",	//1360
    "setCite",	//1361
    "setCite#",	//1362
    "setClassName",	//1363
    "setClassName#",	//1364
    "setClear",	//1365
    "setClear#",	//1366
    "setCode",	//1367
    "setCode#",	//1368
    "setCode$",	//1369
    "setCodeBase",	//1370
    "setCodeBase#",	//1371
    "setCodeType",	//1372
    "setCodeType#",	//1373
    "setColSpan",	//1374
    "setColSpan$",	//1375
    "setColor",	//1376
    "setColor#",	//1377
    "setCols",	//1378
    "setCols#",	//1379
    "setCols$",	//1380
    "setCompact",	//1381
    "setCompact$",	//1382
    "setComponentData",	//1383
    "setContent",	//1384
    "setContent#",	//1385
    "setContentEditable",	//1386
    "setContentEditable#",	//1387
    "setContentsPos",	//1388
    "setContentsPos$$",	//1389
    "setCookie",	//1390
    "setCookie#",	//1391
    "setCoords",	//1392
    "setCoords#",	//1393
    "setCssText",	//1394
    "setCssText#",	//1395
    "setCurrentNode",	//1396
    "setCurrentNode#",	//1397
    "setCustomNodeFilter",	//1398
    "setCustomNodeFilter#",	//1399
    "setDNDEnabled",	//1400
    "setDNDEnabled$",	//1401
    "setDNSPrefetch",	//1402
    "setDNSPrefetch$",	//1403
    "setDOMDocument",	//1404
    "setData",	//1405
    "setData#",	//1406
    "setDateTime",	//1407
    "setDateTime#",	//1408
    "setDeclare",	//1409
    "setDeclare$",	//1410
    "setDefaultChecked",	//1411
    "setDefaultChecked$",	//1412
    "setDefaultSelected",	//1413
    "setDefaultSelected$",	//1414
    "setDefaultValue",	//1415
    "setDefaultValue#",	//1416
    "setDefer",	//1417
    "setDefer$",	//1418
    "setDesignMode",	//1419
    "setDesignMode$",	//1420
    "setDir",	//1421
    "setDir#",	//1422
    "setDisabled",	//1423
    "setDisabled$",	//1424
    "setEditable",	//1425
    "setEditable$",	//1426
    "setEncoding",	//1427
    "setEncoding#",	//1428
    "setEncoding$",	//1429
    "setEncoding$$",	//1430
    "setEnctype",	//1431
    "setEnctype#",	//1432
    "setEnd",	//1433
    "setEnd#$",	//1434
    "setEndAfter",	//1435
    "setEndAfter#",	//1436
    "setEndBefore",	//1437
    "setEndBefore#",	//1438
    "setEvent",	//1439
    "setEvent#",	//1440
    "setFace",	//1441
    "setFace#",	//1442
    "setFixedFont",	//1443
    "setFixedFont$",	//1444
    "setFixedFontName",	//1445
    "setFixedFontName$",	//1446
    "setFloatValue",	//1447
    "setFloatValue$$",	//1448
    "setFontScaleFactor",	//1449
    "setFontScaleFactor$",	//1450
    "setForcePermitLocalImages",	//1451
    "setForcePermitLocalImages$",	//1452
    "setFormNotification",	//1453
    "setFormNotification$",	//1454
    "setFrame",	//1455
    "setFrame#",	//1456
    "setFrameBorder",	//1457
    "setFrameBorder#",	//1458
    "setHeaders",	//1459
    "setHeaders#",	//1460
    "setHeight",	//1461
    "setHeight#",	//1462
    "setHeight$",	//1463
    "setHorizontalScrollBarPolicy",	//1464
    "setHorizontalScrollBarPolicy$",	//1465
    "setHref",	//1466
    "setHref#",	//1467
    "setHreflang",	//1468
    "setHreflang#",	//1469
    "setHspace",	//1470
    "setHspace#",	//1471
    "setHspace$",	//1472
    "setHtmlFor",	//1473
    "setHtmlFor#",	//1474
    "setHttpEquiv",	//1475
    "setHttpEquiv#",	//1476
    "setId",	//1477
    "setId#",	//1478
    "setIndeterminate",	//1479
    "setIndeterminate$",	//1480
    "setIndex",	//1481
    "setIndex$",	//1482
    "setInnerHTML",	//1483
    "setInnerHTML#",	//1484
    "setInnerText",	//1485
    "setInnerText#",	//1486
    "setIsMap",	//1487
    "setIsMap$",	//1488
    "setJSDefaultStatusBarText",	//1489
    "setJSDefaultStatusBarText$",	//1490
    "setJSErrorsEnabled",	//1491
    "setJSErrorsEnabled$",	//1492
    "setJSPopupBlockerPassivePopup",	//1493
    "setJSPopupBlockerPassivePopup$",	//1494
    "setJSStatusBarText",	//1495
    "setJSStatusBarText$",	//1496
    "setJScriptEnabled",	//1497
    "setJScriptEnabled$",	//1498
    "setJavaEnabled",	//1499
    "setJavaEnabled$",	//1500
    "setLabel",	//1501
    "setLabel#",	//1502
    "setLang",	//1503
    "setLang#",	//1504
    "setLeft",	//1505
    "setLeft$",	//1506
    "setLink",	//1507
    "setLink#",	//1508
    "setLocalXMLFile",	//1509
    "setLongDesc",	//1510
    "setLongDesc#",	//1511
    "setM_color",	//1512
    "setM_color$",	//1513
    "setManager",	//1514
    "setMarginHeight",	//1515
    "setMarginHeight#",	//1516
    "setMarginHeight$",	//1517
    "setMarginWidth",	//1518
    "setMarginWidth#",	//1519
    "setMarginWidth$",	//1520
    "setMaxLength",	//1521
    "setMaxLength$",	//1522
    "setMedia",	//1523
    "setMedia#",	//1524
    "setMediaText",	//1525
    "setMediaText#",	//1526
    "setMetaRefreshEnabled",	//1527
    "setMetaRefreshEnabled$",	//1528
    "setMethod",	//1529
    "setMethod#",	//1530
    "setMultiple",	//1531
    "setMultiple$",	//1532
    "setName",	//1533
    "setName#",	//1534
    "setNamedItem",	//1535
    "setNamedItem#",	//1536
    "setNamedItemNS",	//1537
    "setNamedItemNS#",	//1538
    "setNoHref",	//1539
    "setNoHref$",	//1540
    "setNoResize",	//1541
    "setNoResize$",	//1542
    "setNoShade",	//1543
    "setNoShade$",	//1544
    "setNoWrap",	//1545
    "setNoWrap$",	//1546
    "setNodeValue",	//1547
    "setNodeValue#",	//1548
    "setObject",	//1549
    "setObject#",	//1550
    "setOnlyLocalReferences",	//1551
    "setOnlyLocalReferences$",	//1552
    "setPageSecurity",	//1553
    "setPageSecurity$",	//1554
    "setPluginPageQuestionAsked",	//1555
    "setPluginPageQuestionAsked$",	//1556
    "setPluginsEnabled",	//1557
    "setPluginsEnabled$",	//1558
    "setPrefix",	//1559
    "setPrefix#",	//1560
    "setProfile",	//1561
    "setProfile#",	//1562
    "setPrompt",	//1563
    "setPrompt#",	//1564
    "setProperty",	//1565
    "setProperty###",	//1566
    "setReadOnly",	//1567
    "setReadOnly$",	//1568
    "setRel",	//1569
    "setRel#",	//1570
    "setRev",	//1571
    "setRev#",	//1572
    "setRowIndex",	//1573
    "setRowIndex$",	//1574
    "setRowSpan",	//1575
    "setRowSpan$",	//1576
    "setRows",	//1577
    "setRows#",	//1578
    "setRows$",	//1579
    "setRules",	//1580
    "setRules#",	//1581
    "setScheme",	//1582
    "setScheme#",	//1583
    "setScope",	//1584
    "setScope#",	//1585
    "setScrolling",	//1586
    "setScrolling#",	//1587
    "setSectionRowIndex",	//1588
    "setSectionRowIndex$",	//1589
    "setSelectable",	//1590
    "setSelected",	//1591
    "setSelected$",	//1592
    "setSelectedIndex",	//1593
    "setSelectedIndex$",	//1594
    "setSelectedStylesheetSet",	//1595
    "setSelectedStylesheetSet#",	//1596
    "setSelection",	//1597
    "setSelection#",	//1598
    "setSelectionEnd",	//1599
    "setSelectionEnd$",	//1600
    "setSelectionRange",	//1601
    "setSelectionRange$$",	//1602
    "setSelectionStart",	//1603
    "setSelectionStart$",	//1604
    "setSelectorText",	//1605
    "setSelectorText#",	//1606
    "setShape",	//1607
    "setShape#",	//1608
    "setSize",	//1609
    "setSize#",	//1610
    "setSize$",	//1611
    "setSmoothScrollingMode",	//1612
    "setSmoothScrollingMode$",	//1613
    "setSmoothScrollingModeDefault",	//1614
    "setSmoothScrollingModeDefault$",	//1615
    "setSpan",	//1616
    "setSpan$",	//1617
    "setSrc",	//1618
    "setSrc#",	//1619
    "setStandardFont",	//1620
    "setStandardFont$",	//1621
    "setStandby",	//1622
    "setStandby#",	//1623
    "setStart",	//1624
    "setStart#$",	//1625
    "setStart$",	//1626
    "setStartAfter",	//1627
    "setStartAfter#",	//1628
    "setStartBefore",	//1629
    "setStartBefore#",	//1630
    "setStatusMessagesEnabled",	//1631
    "setStatusMessagesEnabled$",	//1632
    "setStdFontName",	//1633
    "setStdFontName$",	//1634
    "setStringValue",	//1635
    "setStringValue$#",	//1636
    "setSummary",	//1637
    "setSummary#",	//1638
    "setSuppressedPopupIndicator",	//1639
    "setSuppressedPopupIndicator$",	//1640
    "setSuppressedPopupIndicator$#",	//1641
    "setTFoot",	//1642
    "setTFoot#",	//1643
    "setTHead",	//1644
    "setTHead#",	//1645
    "setTabIndex",	//1646
    "setTabIndex$",	//1647
    "setTarget",	//1648
    "setTarget#",	//1649
    "setText",	//1650
    "setText#",	//1651
    "setTextContent",	//1652
    "setTextContent#",	//1653
    "setTitle",	//1654
    "setTitle#",	//1655
    "setTop",	//1656
    "setTop$",	//1657
    "setType",	//1658
    "setType#",	//1659
    "setURLCursor",	//1660
    "setURLCursor#",	//1661
    "setUseMap",	//1662
    "setUseMap#",	//1663
    "setUserStyleSheet",	//1664
    "setUserStyleSheet#",	//1665
    "setUserStyleSheet$",	//1666
    "setVAlign",	//1667
    "setVAlign#",	//1668
    "setVLink",	//1669
    "setVLink#",	//1670
    "setValue",	//1671
    "setValue#",	//1672
    "setValue$",	//1673
    "setValueType",	//1674
    "setValueType#",	//1675
    "setVersion",	//1676
    "setVersion#",	//1677
    "setVerticalScrollBarPolicy",	//1678
    "setVerticalScrollBarPolicy$",	//1679
    "setVisibility",	//1680
    "setVisibility#",	//1681
    "setVisible",	//1682
    "setVspace",	//1683
    "setVspace#",	//1684
    "setVspace$",	//1685
    "setWidget",	//1686
    "setWidth",	//1687
    "setWidth#",	//1688
    "setWidth$",	//1689
    "setXML",	//1690
    "setXMLFile",	//1691
    "setZoomFactor",	//1692
    "setZoomFactor$",	//1693
    "setZoomLevel",	//1694
    "setZoomLevel$",	//1695
    "set_ref",	//1696
    "set_ref$",	//1697
    "settings",	//1698
    "settingsToCSS",	//1699
    "shape",	//1700
    "sheet",	//1701
    "shiftKey",	//1702
    "show",	//1703
    "showAnimations",	//1704
    "showError",	//1705
    "showError#",	//1706
    "showEvent",	//1707
    "showEvent#",	//1708
    "size",	//1709
    "sizeHint",	//1710
    "slotFinished",	//1711
    "slotFinished#",	//1712
    "slotPaletteChanged",	//1713
    "smoothScrolling",	//1714
    "smoothScrollingMode",	//1715
    "span",	//1716
    "specified",	//1717
    "split",	//1718
    "split$",	//1719
    "splitDomainAdvice",	//1720
    "splitDomainAdvice$$$$",	//1721
    "splitText",	//1722
    "splitText$",	//1723
    "src",	//1724
    "standby",	//1725
    "start",	//1726
    "startContainer",	//1727
    "startOffset",	//1728
    "startingJob",	//1729
    "startingJob#",	//1730
    "startsWith",	//1731
    "startsWith#",	//1732
    "stateChanged",	//1733
    "staticMetaObject",	//1734
    "statusMessagesEnabled",	//1735
    "stdFontName",	//1736
    "stopAnimations",	//1737
    "stopPropagation",	//1738
    "strToAdvice",	//1739
    "strToAdvice$",	//1740
    "strcasecmp",	//1741
    "strcasecmp##",	//1742
    "strcasecmp#$",	//1743
    "strcmp",	//1744
    "strcmp##",	//1745
    "string",	//1746
    "style",	//1747
    "styleChange",	//1748
    "styleSheet",	//1749
    "styleSheets",	//1750
    "submit",	//1751
    "submitFormProxy",	//1752
    "submitFormProxy$$#$",	//1753
    "submitFormProxy$$#$$",	//1754
    "submitFormProxy$$#$$$",	//1755
    "substring",	//1756
    "substring$",	//1757
    "substring$$",	//1758
    "substringData",	//1759
    "substringData$$",	//1760
    "summary",	//1761
    "surroundContents",	//1762
    "surroundContents#",	//1763
    "systemId",	//1764
    "tBodies",	//1765
    "tFoot",	//1766
    "tHead",	//1767
    "tabIndex",	//1768
    "tabletEvent",	//1769
    "tagName",	//1770
    "target",	//1771
    "test",	//1772
    "test#",	//1773
    "text",	//1774
    "textColor",	//1775
    "textContent",	//1776
    "textLength",	//1777
    "timeStamp",	//1778
    "timerEvent",	//1779
    "timerEvent#",	//1780
    "title",	//1781
    "toFloat",	//1782
    "toFloat$",	//1783
    "toHTML",	//1784
    "toInt",	//1785
    "toInt$",	//1786
    "toString",	//1787
    "top",	//1788
    "toplevelURL",	//1789
    "tr",	//1790
    "tr$",	//1791
    "tr$$",	//1792
    "tr$$$",	//1793
    "trUtf8",	//1794
    "trUtf8$",	//1795
    "trUtf8$$",	//1796
    "trUtf8$$$",	//1797
    "truncate",	//1798
    "truncate$",	//1799
    "type",	//1800
    "underlineLink",	//1801
    "unfinishedImageFrame",	//1802
    "unicode",	//1803
    "updateContents",	//1804
    "updateContents#",	//1805
    "updateContents$$$$",	//1806
    "updateRendering",	//1807
    "updateZoomFactor",	//1808
    "upper",	//1809
    "url",	//1810
    "urlCursor",	//1811
    "urlSelected",	//1812
    "urlSelected$$$$",	//1813
    "urlSelected$$$$#",	//1814
    "urlSelected$$$$##",	//1815
    "useMap",	//1816
    "userStyleSheet",	//1817
    "vAlign",	//1818
    "vLink",	//1819
    "vLinkColor",	//1820
    "value",	//1821
    "valueType",	//1822
    "version",	//1823
    "view",	//1824
    "viewportEvent",	//1825
    "viewportEvent#",	//1826
    "viewportToContents",	//1827
    "viewportToContents#",	//1828
    "viewportToContents$$$$",	//1829
    "virtual_hook",	//1830
    "visibility",	//1831
    "visibleHeight",	//1832
    "visibleWidth",	//1833
    "vspace",	//1834
    "whatToShow",	//1835
    "wheelEvent",	//1836
    "wheelEvent#",	//1837
    "which",	//1838
    "widget",	//1839
    "widgetEvent",	//1840
    "widgetEvent#",	//1841
    "width",	//1842
    "windowActivationChange",	//1843
    "windowFocusPolicy",	//1844
    "windowFocusPolicy$",	//1845
    "windowMovePolicy",	//1846
    "windowMovePolicy$",	//1847
    "windowOpenPolicy",	//1848
    "windowOpenPolicy$",	//1849
    "windowResizePolicy",	//1850
    "windowResizePolicy$",	//1851
    "windowStatusPolicy",	//1852
    "windowStatusPolicy$",	//1853
    "write",	//1854
    "write#",	//1855
    "write$",	//1856
    "write$$",	//1857
    "writeln",	//1858
    "writeln#",	//1859
    "x",	//1860
    "x11Event",	//1861
    "xmlFile",	//1862
    "y",	//1863
    "zoomFactor",	//1864
    "zoomLevel",	//1865
    "zoomView",	//1866
    "zoomView$",	//1867
    "~AbstractView",	//1868
    "~Attr",	//1869
    "~CDATASection",	//1870
    "~CSSCharsetRule",	//1871
    "~CSSException",	//1872
    "~CSSFontFaceRule",	//1873
    "~CSSImportRule",	//1874
    "~CSSMediaRule",	//1875
    "~CSSPageRule",	//1876
    "~CSSPrimitiveValue",	//1877
    "~CSSRule",	//1878
    "~CSSRuleList",	//1879
    "~CSSStyleDeclaration",	//1880
    "~CSSStyleRule",	//1881
    "~CSSStyleSheet",	//1882
    "~CSSUnknownRule",	//1883
    "~CSSValue",	//1884
    "~CSSValueList",	//1885
    "~CharacterData",	//1886
    "~Comment",	//1887
    "~Counter",	//1888
    "~CustomNodeFilter",	//1889
    "~DOMException",	//1890
    "~DOMImplementation",	//1891
    "~DOMString",	//1892
    "~Document",	//1893
    "~DocumentFragment",	//1894
    "~DocumentStyle",	//1895
    "~DocumentType",	//1896
    "~DomShared",	//1897
    "~DrawContentsEvent",	//1898
    "~Element",	//1899
    "~Entity",	//1900
    "~EntityReference",	//1901
    "~Event",	//1902
    "~EventException",	//1903
    "~EventListener",	//1904
    "~HTMLAnchorElement",	//1905
    "~HTMLAppletElement",	//1906
    "~HTMLAreaElement",	//1907
    "~HTMLBRElement",	//1908
    "~HTMLBaseElement",	//1909
    "~HTMLBaseFontElement",	//1910
    "~HTMLBlockquoteElement",	//1911
    "~HTMLBodyElement",	//1912
    "~HTMLButtonElement",	//1913
    "~HTMLCollection",	//1914
    "~HTMLDListElement",	//1915
    "~HTMLDirectoryElement",	//1916
    "~HTMLDivElement",	//1917
    "~HTMLDocument",	//1918
    "~HTMLElement",	//1919
    "~HTMLFieldSetElement",	//1920
    "~HTMLFontElement",	//1921
    "~HTMLFormCollection",	//1922
    "~HTMLFormElement",	//1923
    "~HTMLFrameElement",	//1924
    "~HTMLFrameSetElement",	//1925
    "~HTMLHRElement",	//1926
    "~HTMLHeadElement",	//1927
    "~HTMLHeadingElement",	//1928
    "~HTMLHtmlElement",	//1929
    "~HTMLIFrameElement",	//1930
    "~HTMLImageElement",	//1931
    "~HTMLInputElement",	//1932
    "~HTMLIsIndexElement",	//1933
    "~HTMLLIElement",	//1934
    "~HTMLLabelElement",	//1935
    "~HTMLLayerElement",	//1936
    "~HTMLLegendElement",	//1937
    "~HTMLLinkElement",	//1938
    "~HTMLMapElement",	//1939
    "~HTMLMenuElement",	//1940
    "~HTMLMetaElement",	//1941
    "~HTMLModElement",	//1942
    "~HTMLOListElement",	//1943
    "~HTMLObjectElement",	//1944
    "~HTMLOptGroupElement",	//1945
    "~HTMLOptionElement",	//1946
    "~HTMLParagraphElement",	//1947
    "~HTMLParamElement",	//1948
    "~HTMLPreElement",	//1949
    "~HTMLQuoteElement",	//1950
    "~HTMLScriptElement",	//1951
    "~HTMLSelectElement",	//1952
    "~HTMLStyleElement",	//1953
    "~HTMLTableCaptionElement",	//1954
    "~HTMLTableCellElement",	//1955
    "~HTMLTableColElement",	//1956
    "~HTMLTableElement",	//1957
    "~HTMLTableRowElement",	//1958
    "~HTMLTableSectionElement",	//1959
    "~HTMLTextAreaElement",	//1960
    "~HTMLTitleElement",	//1961
    "~HTMLUListElement",	//1962
    "~KHTMLPart",	//1963
    "~KHTMLSettings",	//1964
    "~KHTMLView",	//1965
    "~KeyboardEvent",	//1966
    "~LinkStyle",	//1967
    "~MediaList",	//1968
    "~MouseDoubleClickEvent",	//1969
    "~MouseEvent",	//1970
    "~MouseMoveEvent",	//1971
    "~MousePressEvent",	//1972
    "~MouseReleaseEvent",	//1973
    "~MutationEvent",	//1974
    "~NamedNodeMap",	//1975
    "~Node",	//1976
    "~NodeFilter",	//1977
    "~NodeIterator",	//1978
    "~NodeList",	//1979
    "~Notation",	//1980
    "~ProcessingInstruction",	//1981
    "~RGBColor",	//1982
    "~Range",	//1983
    "~RangeException",	//1984
    "~Rect",	//1985
    "~StyleSheet",	//1986
    "~StyleSheetList",	//1987
    "~Text",	//1988
    "~TextEvent",	//1989
    "~TreeWalker",	//1990
    "~UIEvent",	//1991
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1109, 1, 2, Smoke::mf_static, 450, 1},	//1 DOM::operator!=(const DOM::DOMString&, const char*)
    {1, 1741, 4, 2, Smoke::mf_static, 450, 2},	//2 DOM::strcasecmp(const DOM::DOMString&, const DOM::DOMString&)
    {1, 1744, 4, 2, Smoke::mf_static, 450, 3},	//3 DOM::strcmp(const DOM::DOMString&, const DOM::DOMString&)
    {1, 1119, 1, 2, Smoke::mf_static, 450, 4},	//4 DOM::operator==(const DOM::DOMString&, const char*)
    {1, 1109, 7, 2, Smoke::mf_static, 450, 5},	//5 DOM::operator!=(const DOM::DOMString&, const QString&)
    {1, 1741, 1, 2, Smoke::mf_static, 450, 6},	//6 DOM::strcasecmp(const DOM::DOMString&, const char*)
    {1, 1119, 7, 2, Smoke::mf_static, 450, 7},	//7 DOM::operator==(const DOM::DOMString&, const QString&)
    {1, 1109, 4, 2, Smoke::mf_static, 450, 8},	//8 DOM::operator!=(const DOM::DOMString&, const DOM::DOMString&)
    {1, 1119, 4, 2, Smoke::mf_static, 450, 9},	//9 DOM::operator==(const DOM::DOMString&, const DOM::DOMString&)
    {2, 5, 0, 0, Smoke::mf_ctor, 3, 1},	//10 DOM::AbstractView::AbstractView()
    {2, 5, 10, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 2},	//11 DOM::AbstractView::AbstractView(const DOM::AbstractView&)
    {2, 1117, 10, 1, 0, 2, 3},	//12 DOM::AbstractView::operator=(const DOM::AbstractView&)
    {2, 721, 0, 0, Smoke::mf_const, 68, 4},	//13 DOM::AbstractView::document() const
    {2, 822, 12, 2, 0, 34, 5},	//14 DOM::AbstractView::getComputedStyle(const DOM::Element&, const DOM::DOMString&)
    {2, 974, 0, 0, Smoke::mf_const, 450, 6},	//15 DOM::AbstractView::isNull() const
    {2, 1868, 0, 0, Smoke::mf_dtor, 0, 7 },	//16 DOM::AbstractView::~AbstractView()
    {3, 7, 0, 0, Smoke::mf_ctor, 6, 1},	//17 DOM::Attr::Attr()
    {3, 7, 15, 1, Smoke::mf_ctor, 6, 2},	//18 DOM::Attr::Attr(const DOM::Node&)
    {3, 7, 17, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 3},	//19 DOM::Attr::Attr(const DOM::Attr&)
    {3, 1117, 15, 1, 0, 5, 4},	//20 DOM::Attr::operator=(const DOM::Node&)
    {3, 1117, 17, 1, 0, 5, 5},	//21 DOM::Attr::operator=(const DOM::Attr&)
    {3, 1072, 0, 0, Smoke::mf_const, 65, 6},	//22 DOM::Attr::name() const
    {3, 1717, 0, 0, Smoke::mf_const, 450, 7},	//23 DOM::Attr::specified() const
    {3, 1821, 0, 0, Smoke::mf_const, 65, 8},	//24 DOM::Attr::value() const
    {3, 1671, 19, 1, 0, 0, 9},	//25 DOM::Attr::setValue(const DOM::DOMString&)
    {3, 1127, 0, 0, Smoke::mf_const, 81, 10},	//26 DOM::Attr::ownerElement() const
    {3, 1869, 0, 0, Smoke::mf_dtor, 0, 11 },	//27 DOM::Attr::~Attr()
    {4, 15, 0, 0, Smoke::mf_ctor, 9, 1},	//28 DOM::CDATASection::CDATASection()
    {4, 15, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//29 DOM::CDATASection::CDATASection(const DOM::CDATASection&)
    {4, 15, 15, 1, Smoke::mf_ctor, 9, 3},	//30 DOM::CDATASection::CDATASection(const DOM::Node&)
    {4, 1117, 15, 1, 0, 8, 4},	//31 DOM::CDATASection::operator=(const DOM::Node&)
    {4, 1117, 21, 1, 0, 8, 5},	//32 DOM::CDATASection::operator=(const DOM::CDATASection&)
    {4, 1870, 0, 0, Smoke::mf_dtor, 0, 6 },	//33 DOM::CDATASection::~CDATASection()
    {5, 20, 0, 0, Smoke::mf_ctor, 11, 1},	//34 DOM::CSSCharsetRule::CSSCharsetRule()
    {5, 20, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//35 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
    {5, 20, 25, 1, Smoke::mf_ctor, 11, 3},	//36 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
    {5, 1117, 23, 1, 0, 10, 4},	//37 DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
    {5, 1117, 25, 1, 0, 10, 5},	//38 DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
    {5, 737, 0, 0, Smoke::mf_const, 65, 6},	//39 DOM::CSSCharsetRule::encoding() const
    {5, 1427, 19, 1, 0, 0, 7},	//40 DOM::CSSCharsetRule::setEncoding(const DOM::DOMString&)
    {5, 1871, 0, 0, Smoke::mf_dtor, 0, 8 },	//41 DOM::CSSCharsetRule::~CSSCharsetRule()
    {6, 22, 27, 1, Smoke::mf_ctor, 13, 1},	//42 DOM::CSSException::CSSException(unsigned short)
    {6, 22, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//43 DOM::CSSException::CSSException(const DOM::CSSException&)
    {6, 1117, 29, 1, 0, 12, 3},	//44 DOM::CSSException::operator=(const DOM::CSSException&)
    {6, 586, 0, 0, Smoke::mf_const, 65, 4},	//45 DOM::CSSException::codeAsString() const
    {6, 586, 31, 1, Smoke::mf_static, 65, 5},	//46 DOM::CSSException::codeAsString(int)
    {6, 946, 31, 1, Smoke::mf_static, 450, 6},	//47 DOM::CSSException::isCSSExceptionCode(int)
    {6, 585, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 623, 7},	//48 DOM::CSSException::code() const
    {6, 1367, 27, 1, Smoke::mf_attribute, 0, 8},	//49 DOM::CSSException::setCode(unsigned short)
    {6, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 9},	//50 DOM::CSSException::SYNTAX_ERR (enum)
    {6, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 10},	//51 DOM::CSSException::INVALID_MODIFICATION_ERR (enum)
    {6, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 11},	//52 DOM::CSSException::_EXCEPTION_OFFSET (enum)
    {6, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 12},	//53 DOM::CSSException::_EXCEPTION_MAX (enum)
    {6, 1872, 0, 0, Smoke::mf_dtor, 0, 13 },	//54 DOM::CSSException::~CSSException()
    {7, 25, 0, 0, Smoke::mf_ctor, 16, 1},	//55 DOM::CSSFontFaceRule::CSSFontFaceRule()
    {7, 25, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//56 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
    {7, 25, 25, 1, Smoke::mf_ctor, 16, 3},	//57 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
    {7, 1117, 33, 1, 0, 15, 4},	//58 DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
    {7, 1117, 25, 1, 0, 15, 5},	//59 DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
    {7, 1747, 0, 0, Smoke::mf_const, 34, 6},	//60 DOM::CSSFontFaceRule::style() const
    {7, 1873, 0, 0, Smoke::mf_dtor, 0, 7 },	//61 DOM::CSSFontFaceRule::~CSSFontFaceRule()
    {8, 27, 0, 0, Smoke::mf_ctor, 18, 1},	//62 DOM::CSSImportRule::CSSImportRule()
    {8, 27, 35, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//63 DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
    {8, 27, 25, 1, Smoke::mf_ctor, 18, 3},	//64 DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
    {8, 1117, 35, 1, 0, 17, 4},	//65 DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
    {8, 1117, 25, 1, 0, 17, 5},	//66 DOM::CSSImportRule::operator=(const DOM::CSSRule&)
    {8, 888, 0, 0, Smoke::mf_const, 65, 6},	//67 DOM::CSSImportRule::href() const
    {8, 1052, 0, 0, Smoke::mf_const, 223, 7},	//68 DOM::CSSImportRule::media() const
    {8, 1749, 0, 0, Smoke::mf_const, 39, 8},	//69 DOM::CSSImportRule::styleSheet() const
    {8, 1874, 0, 0, Smoke::mf_dtor, 0, 9 },	//70 DOM::CSSImportRule::~CSSImportRule()
    {9, 29, 0, 0, Smoke::mf_ctor, 20, 1},	//71 DOM::CSSMediaRule::CSSMediaRule()
    {9, 29, 37, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 2},	//72 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
    {9, 29, 25, 1, Smoke::mf_ctor, 20, 3},	//73 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
    {9, 1117, 37, 1, 0, 19, 4},	//74 DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
    {9, 1117, 25, 1, 0, 19, 5},	//75 DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
    {9, 1052, 0, 0, Smoke::mf_const, 223, 6},	//76 DOM::CSSMediaRule::media() const
    {9, 665, 0, 0, Smoke::mf_const, 31, 7},	//77 DOM::CSSMediaRule::cssRules() const
    {9, 938, 39, 2, 0, 621, 8},	//78 DOM::CSSMediaRule::insertRule(const DOM::DOMString&, unsigned long)
    {9, 696, 42, 1, 0, 0, 9},	//79 DOM::CSSMediaRule::deleteRule(unsigned long)
    {9, 1875, 0, 0, Smoke::mf_dtor, 0, 10 },	//80 DOM::CSSMediaRule::~CSSMediaRule()
    {10, 31, 0, 0, Smoke::mf_ctor, 22, 1},	//81 DOM::CSSPageRule::CSSPageRule()
    {10, 31, 44, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//82 DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
    {10, 31, 25, 1, Smoke::mf_ctor, 22, 3},	//83 DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
    {10, 1117, 44, 1, 0, 21, 4},	//84 DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
    {10, 1117, 25, 1, 0, 21, 5},	//85 DOM::CSSPageRule::operator=(const DOM::CSSRule&)
    {10, 1286, 0, 0, Smoke::mf_const, 65, 6},	//86 DOM::CSSPageRule::selectorText() const
    {10, 1605, 19, 1, 0, 0, 7},	//87 DOM::CSSPageRule::setSelectorText(const DOM::DOMString&)
    {10, 1747, 0, 0, Smoke::mf_const, 34, 8},	//88 DOM::CSSPageRule::style() const
    {10, 1876, 0, 0, Smoke::mf_dtor, 0, 9 },	//89 DOM::CSSPageRule::~CSSPageRule()
    {11, 33, 0, 0, Smoke::mf_ctor, 25, 1},	//90 DOM::CSSPrimitiveValue::CSSPrimitiveValue()
    {11, 33, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//91 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
    {11, 33, 48, 1, Smoke::mf_ctor, 25, 3},	//92 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
    {11, 1117, 46, 1, 0, 24, 4},	//93 DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
    {11, 1117, 48, 1, 0, 24, 5},	//94 DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
    {11, 1169, 0, 0, Smoke::mf_const, 623, 6},	//95 DOM::CSSPrimitiveValue::primitiveType() const
    {11, 1447, 50, 2, 0, 0, 7},	//96 DOM::CSSPrimitiveValue::setFloatValue(unsigned short, float)
    {11, 837, 27, 1, Smoke::mf_const, 607, 8},	//97 DOM::CSSPrimitiveValue::getFloatValue(unsigned short) const
    {11, 1635, 53, 2, 0, 0, 9},	//98 DOM::CSSPrimitiveValue::setStringValue(unsigned short, const DOM::DOMString&)
    {11, 860, 0, 0, Smoke::mf_const, 65, 10},	//99 DOM::CSSPrimitiveValue::getStringValue() const
    {11, 824, 0, 0, Smoke::mf_const, 55, 11},	//100 DOM::CSSPrimitiveValue::getCounterValue() const
    {11, 858, 0, 0, Smoke::mf_const, 265, 12},	//101 DOM::CSSPrimitiveValue::getRectValue() const
    {11, 856, 0, 0, Smoke::mf_const, 255, 13},	//102 DOM::CSSPrimitiveValue::getRGBColorValue() const
    {11, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 14},	//103 DOM::CSSPrimitiveValue::CSS_UNKNOWN (enum)
    {11, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 15},	//104 DOM::CSSPrimitiveValue::CSS_NUMBER (enum)
    {11, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 16},	//105 DOM::CSSPrimitiveValue::CSS_PERCENTAGE (enum)
    {11, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 17},	//106 DOM::CSSPrimitiveValue::CSS_EMS (enum)
    {11, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 18},	//107 DOM::CSSPrimitiveValue::CSS_EXS (enum)
    {11, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 19},	//108 DOM::CSSPrimitiveValue::CSS_PX (enum)
    {11, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 20},	//109 DOM::CSSPrimitiveValue::CSS_CM (enum)
    {11, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 21},	//110 DOM::CSSPrimitiveValue::CSS_MM (enum)
    {11, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 22},	//111 DOM::CSSPrimitiveValue::CSS_IN (enum)
    {11, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 23},	//112 DOM::CSSPrimitiveValue::CSS_PT (enum)
    {11, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 24},	//113 DOM::CSSPrimitiveValue::CSS_PC (enum)
    {11, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 25},	//114 DOM::CSSPrimitiveValue::CSS_DEG (enum)
    {11, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 26},	//115 DOM::CSSPrimitiveValue::CSS_RAD (enum)
    {11, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 27},	//116 DOM::CSSPrimitiveValue::CSS_GRAD (enum)
    {11, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 28},	//117 DOM::CSSPrimitiveValue::CSS_MS (enum)
    {11, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 29},	//118 DOM::CSSPrimitiveValue::CSS_S (enum)
    {11, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 30},	//119 DOM::CSSPrimitiveValue::CSS_HZ (enum)
    {11, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 31},	//120 DOM::CSSPrimitiveValue::CSS_KHZ (enum)
    {11, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//121 DOM::CSSPrimitiveValue::CSS_DIMENSION (enum)
    {11, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 33},	//122 DOM::CSSPrimitiveValue::CSS_STRING (enum)
    {11, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 34},	//123 DOM::CSSPrimitiveValue::CSS_URI (enum)
    {11, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 35},	//124 DOM::CSSPrimitiveValue::CSS_IDENT (enum)
    {11, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 36},	//125 DOM::CSSPrimitiveValue::CSS_ATTR (enum)
    {11, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 37},	//126 DOM::CSSPrimitiveValue::CSS_COUNTER (enum)
    {11, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 38},	//127 DOM::CSSPrimitiveValue::CSS_RECT (enum)
    {11, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 39},	//128 DOM::CSSPrimitiveValue::CSS_RGBCOLOR (enum)
    {11, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 40},	//129 DOM::CSSPrimitiveValue::CSS_DPI (enum)
    {11, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 41},	//130 DOM::CSSPrimitiveValue::CSS_DPCM (enum)
    {11, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 42},	//131 DOM::CSSPrimitiveValue::CSS_PAIR (enum)
    {11, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 43},	//132 DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE (enum)
    {11, 1877, 0, 0, Smoke::mf_dtor, 0, 44 },	//133 DOM::CSSPrimitiveValue::~CSSPrimitiveValue()
    {12, 35, 0, 0, Smoke::mf_ctor, 29, 1},	//134 DOM::CSSRule::CSSRule()
    {12, 35, 25, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 2},	//135 DOM::CSSRule::CSSRule(const DOM::CSSRule&)
    {12, 1117, 25, 1, 0, 28, 3},	//136 DOM::CSSRule::operator=(const DOM::CSSRule&)
    {12, 1800, 0, 0, Smoke::mf_const, 623, 4},	//137 DOM::CSSRule::type() const
    {12, 666, 0, 0, Smoke::mf_const, 65, 5},	//138 DOM::CSSRule::cssText() const
    {12, 1394, 19, 1, 0, 0, 6},	//139 DOM::CSSRule::setCssText(const DOM::DOMString&)
    {12, 1145, 0, 0, Smoke::mf_const, 39, 7},	//140 DOM::CSSRule::parentStyleSheet() const
    {12, 1144, 0, 0, Smoke::mf_const, 27, 8},	//141 DOM::CSSRule::parentRule() const
    {12, 974, 0, 0, Smoke::mf_const, 450, 9},	//142 DOM::CSSRule::isNull() const
    {12, 512, 56, 2, Smoke::mf_protected, 0, 10},	//143 DOM::CSSRule::assignOther(const DOM::CSSRule&, DOM::CSSRule::RuleType)
    {12, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 11},	//144 DOM::CSSRule::UNKNOWN_RULE (enum)
    {12, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//145 DOM::CSSRule::STYLE_RULE (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//146 DOM::CSSRule::CHARSET_RULE (enum)
    {12, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//147 DOM::CSSRule::IMPORT_RULE (enum)
    {12, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//148 DOM::CSSRule::MEDIA_RULE (enum)
    {12, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 16},	//149 DOM::CSSRule::FONT_FACE_RULE (enum)
    {12, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 17},	//150 DOM::CSSRule::PAGE_RULE (enum)
    {12, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 18},	//151 DOM::CSSRule::NAMESPACE_RULE (enum)
    {12, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 19},	//152 DOM::CSSRule::QUIRKS_RULE (enum)
    {12, 1878, 0, 0, Smoke::mf_dtor, 0, 20 },	//153 DOM::CSSRule::~CSSRule()
    {13, 37, 0, 0, Smoke::mf_ctor, 33, 1},	//154 DOM::CSSRuleList::CSSRuleList()
    {13, 37, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 2},	//155 DOM::CSSRuleList::CSSRuleList(const DOM::CSSRuleList&)
    {13, 1117, 59, 1, 0, 32, 3},	//156 DOM::CSSRuleList::operator=(const DOM::CSSRuleList&)
    {13, 1032, 0, 0, Smoke::mf_const, 621, 4},	//157 DOM::CSSRuleList::length() const
    {13, 984, 42, 1, 0, 27, 5},	//158 DOM::CSSRuleList::item(unsigned long)
    {13, 974, 0, 0, Smoke::mf_const, 450, 6},	//159 DOM::CSSRuleList::isNull() const
    {13, 1879, 0, 0, Smoke::mf_dtor, 0, 7 },	//160 DOM::CSSRuleList::~CSSRuleList()
    {14, 39, 0, 0, Smoke::mf_ctor, 36, 1},	//161 DOM::CSSStyleDeclaration::CSSStyleDeclaration()
    {14, 39, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//162 DOM::CSSStyleDeclaration::CSSStyleDeclaration(const DOM::CSSStyleDeclaration&)
    {14, 1117, 61, 1, 0, 35, 3},	//163 DOM::CSSStyleDeclaration::operator=(const DOM::CSSStyleDeclaration&)
    {14, 666, 0, 0, Smoke::mf_const, 65, 4},	//164 DOM::CSSStyleDeclaration::cssText() const
    {14, 1394, 19, 1, 0, 0, 5},	//165 DOM::CSSStyleDeclaration::setCssText(const DOM::DOMString&)
    {14, 1032, 0, 0, Smoke::mf_const, 621, 6},	//166 DOM::CSSStyleDeclaration::length() const
    {14, 1144, 0, 0, Smoke::mf_const, 27, 7},	//167 DOM::CSSStyleDeclaration::parentRule() const
    {14, 854, 19, 1, Smoke::mf_const, 65, 8},	//168 DOM::CSSStyleDeclaration::getPropertyValue(const DOM::DOMString&) const
    {14, 850, 19, 1, Smoke::mf_const, 44, 9},	//169 DOM::CSSStyleDeclaration::getPropertyCSSValue(const DOM::DOMString&) const
    {14, 1223, 19, 1, 0, 65, 10},	//170 DOM::CSSStyleDeclaration::removeProperty(const DOM::DOMString&)
    {14, 852, 19, 1, Smoke::mf_const, 65, 11},	//171 DOM::CSSStyleDeclaration::getPropertyPriority(const DOM::DOMString&) const
    {14, 1565, 63, 3, 0, 0, 12},	//172 DOM::CSSStyleDeclaration::setProperty(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
    {14, 984, 42, 1, Smoke::mf_const, 65, 13},	//173 DOM::CSSStyleDeclaration::item(unsigned long) const
    {14, 984, 42, 1, 0, 65, 14},	//174 DOM::CSSStyleDeclaration::item(unsigned long)
    {14, 974, 0, 0, Smoke::mf_const, 450, 15},	//175 DOM::CSSStyleDeclaration::isNull() const
    {14, 1880, 0, 0, Smoke::mf_dtor, 0, 16 },	//176 DOM::CSSStyleDeclaration::~CSSStyleDeclaration()
    {15, 41, 0, 0, Smoke::mf_ctor, 38, 1},	//177 DOM::CSSStyleRule::CSSStyleRule()
    {15, 41, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 2},	//178 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
    {15, 41, 25, 1, Smoke::mf_ctor, 38, 3},	//179 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
    {15, 1117, 67, 1, 0, 37, 4},	//180 DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
    {15, 1117, 25, 1, 0, 37, 5},	//181 DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
    {15, 1286, 0, 0, Smoke::mf_const, 65, 6},	//182 DOM::CSSStyleRule::selectorText() const
    {15, 1605, 19, 1, 0, 0, 7},	//183 DOM::CSSStyleRule::setSelectorText(const DOM::DOMString&)
    {15, 1747, 0, 0, Smoke::mf_const, 34, 8},	//184 DOM::CSSStyleRule::style() const
    {15, 1881, 0, 0, Smoke::mf_dtor, 0, 9 },	//185 DOM::CSSStyleRule::~CSSStyleRule()
    {16, 43, 0, 0, Smoke::mf_ctor, 41, 1},	//186 DOM::CSSStyleSheet::CSSStyleSheet()
    {16, 43, 69, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 2},	//187 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
    {16, 43, 71, 1, Smoke::mf_ctor, 41, 3},	//188 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
    {16, 1117, 69, 1, 0, 40, 4},	//189 DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
    {16, 1117, 71, 1, 0, 40, 5},	//190 DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
    {16, 1129, 0, 0, Smoke::mf_const, 27, 6},	//191 DOM::CSSStyleSheet::ownerRule() const
    {16, 665, 0, 0, Smoke::mf_const, 31, 7},	//192 DOM::CSSStyleSheet::cssRules() const
    {16, 938, 39, 2, 0, 621, 8},	//193 DOM::CSSStyleSheet::insertRule(const DOM::DOMString&, unsigned long)
    {16, 696, 42, 1, 0, 0, 9},	//194 DOM::CSSStyleSheet::deleteRule(unsigned long)
    {16, 559, 0, 0, Smoke::mf_const, 65, 10},	//195 DOM::CSSStyleSheet::charset() const
    {16, 1882, 0, 0, Smoke::mf_dtor, 0, 11 },	//196 DOM::CSSStyleSheet::~CSSStyleSheet()
    {17, 45, 0, 0, Smoke::mf_ctor, 43, 1},	//197 DOM::CSSUnknownRule::CSSUnknownRule()
    {17, 45, 73, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//198 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
    {17, 45, 25, 1, Smoke::mf_ctor, 43, 3},	//199 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
    {17, 1117, 73, 1, 0, 42, 4},	//200 DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
    {17, 1117, 25, 1, 0, 42, 5},	//201 DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
    {17, 1883, 0, 0, Smoke::mf_dtor, 0, 6 },	//202 DOM::CSSUnknownRule::~CSSUnknownRule()
    {18, 47, 0, 0, Smoke::mf_ctor, 46, 1},	//203 DOM::CSSValue::CSSValue()
    {18, 47, 48, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//204 DOM::CSSValue::CSSValue(const DOM::CSSValue&)
    {18, 1117, 48, 1, 0, 45, 3},	//205 DOM::CSSValue::operator=(const DOM::CSSValue&)
    {18, 666, 0, 0, Smoke::mf_const, 65, 4},	//206 DOM::CSSValue::cssText() const
    {18, 1394, 19, 1, 0, 0, 5},	//207 DOM::CSSValue::setCssText(const DOM::DOMString&)
    {18, 667, 0, 0, Smoke::mf_const, 623, 6},	//208 DOM::CSSValue::cssValueType() const
    {18, 950, 0, 0, Smoke::mf_const, 450, 7},	//209 DOM::CSSValue::isCSSValueList() const
    {18, 948, 0, 0, Smoke::mf_const, 450, 8},	//210 DOM::CSSValue::isCSSPrimitiveValue() const
    {18, 974, 0, 0, Smoke::mf_const, 450, 9},	//211 DOM::CSSValue::isNull() const
    {18, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 10},	//212 DOM::CSSValue::CSS_INHERIT (enum)
    {18, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 11},	//213 DOM::CSSValue::CSS_PRIMITIVE_VALUE (enum)
    {18, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 12},	//214 DOM::CSSValue::CSS_VALUE_LIST (enum)
    {18, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 13},	//215 DOM::CSSValue::CSS_CUSTOM (enum)
    {18, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 14},	//216 DOM::CSSValue::CSS_INITIAL (enum)
    {18, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 15},	//217 DOM::CSSValue::CSS_SVG_VALUE (enum)
    {18, 1884, 0, 0, Smoke::mf_dtor, 0, 16 },	//218 DOM::CSSValue::~CSSValue()
    {19, 49, 0, 0, Smoke::mf_ctor, 49, 1},	//219 DOM::CSSValueList::CSSValueList()
    {19, 49, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//220 DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
    {19, 49, 48, 1, Smoke::mf_ctor, 49, 3},	//221 DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
    {19, 1117, 75, 1, 0, 48, 4},	//222 DOM::CSSValueList::operator=(const DOM::CSSValueList&)
    {19, 1117, 48, 1, 0, 48, 5},	//223 DOM::CSSValueList::operator=(const DOM::CSSValue&)
    {19, 1032, 0, 0, Smoke::mf_const, 621, 6},	//224 DOM::CSSValueList::length() const
    {19, 984, 42, 1, 0, 44, 7},	//225 DOM::CSSValueList::item(unsigned long)
    {19, 1885, 0, 0, Smoke::mf_dtor, 0, 8 },	//226 DOM::CSSValueList::~CSSValueList()
    {20, 90, 0, 0, Smoke::mf_ctor, 51, 1},	//227 DOM::CharacterData::CharacterData()
    {20, 90, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 2},	//228 DOM::CharacterData::CharacterData(const DOM::CharacterData&)
    {20, 90, 15, 1, Smoke::mf_ctor, 51, 3},	//229 DOM::CharacterData::CharacterData(const DOM::Node&)
    {20, 1117, 15, 1, 0, 50, 4},	//230 DOM::CharacterData::operator=(const DOM::Node&)
    {20, 1117, 77, 1, 0, 50, 5},	//231 DOM::CharacterData::operator=(const DOM::CharacterData&)
    {20, 677, 0, 0, Smoke::mf_const, 65, 6},	//232 DOM::CharacterData::data() const
    {20, 1405, 19, 1, 0, 0, 7},	//233 DOM::CharacterData::setData(const DOM::DOMString&)
    {20, 1032, 0, 0, Smoke::mf_const, 621, 8},	//234 DOM::CharacterData::length() const
    {20, 1759, 79, 2, 0, 65, 9},	//235 DOM::CharacterData::substringData(const unsigned long, const unsigned long)
    {20, 504, 19, 1, 0, 0, 10},	//236 DOM::CharacterData::appendData(const DOM::DOMString&)
    {20, 932, 82, 2, 0, 0, 11},	//237 DOM::CharacterData::insertData(const unsigned long, const DOM::DOMString&)
    {20, 689, 79, 2, 0, 0, 12},	//238 DOM::CharacterData::deleteData(const unsigned long, const unsigned long)
    {20, 1233, 85, 3, 0, 0, 13},	//239 DOM::CharacterData::replaceData(const unsigned long, const unsigned long, const DOM::DOMString&)
    {20, 1886, 0, 0, Smoke::mf_dtor, 0, 14 },	//240 DOM::CharacterData::~CharacterData()
    {21, 92, 0, 0, Smoke::mf_ctor, 54, 1},	//241 DOM::Comment::Comment()
    {21, 92, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//242 DOM::Comment::Comment(const DOM::Comment&)
    {21, 92, 15, 1, Smoke::mf_ctor, 54, 3},	//243 DOM::Comment::Comment(const DOM::Node&)
    {21, 1117, 15, 1, 0, 53, 4},	//244 DOM::Comment::operator=(const DOM::Node&)
    {21, 1117, 89, 1, 0, 53, 5},	//245 DOM::Comment::operator=(const DOM::Comment&)
    {21, 1887, 0, 0, Smoke::mf_dtor, 0, 6 },	//246 DOM::Comment::~Comment()
    {22, 94, 0, 0, Smoke::mf_ctor, 57, 1},	//247 DOM::Counter::Counter()
    {22, 94, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//248 DOM::Counter::Counter(const DOM::Counter&)
    {22, 1117, 91, 1, 0, 56, 3},	//249 DOM::Counter::operator=(const DOM::Counter&)
    {22, 897, 0, 0, Smoke::mf_const, 65, 4},	//250 DOM::Counter::identifier() const
    {22, 1036, 0, 0, Smoke::mf_const, 65, 5},	//251 DOM::Counter::listStyle() const
    {22, 1287, 0, 0, Smoke::mf_const, 65, 6},	//252 DOM::Counter::separator() const
    {22, 974, 0, 0, Smoke::mf_const, 450, 7},	//253 DOM::Counter::isNull() const
    {22, 1888, 0, 0, Smoke::mf_dtor, 0, 8 },	//254 DOM::Counter::~Counter()
    {23, 96, 0, 0, Smoke::mf_ctor, 58, 1},	//255 DOM::CustomNodeFilter::CustomNodeFilter()
    {23, 471, 15, 1, Smoke::mf_virtual, 619, 2},	//256 DOM::CustomNodeFilter::acceptNode(const DOM::Node&)
    {23, 974, 0, 0, Smoke::mf_virtual, 450, 3},	//257 DOM::CustomNodeFilter::isNull()
    {23, 676, 0, 0, Smoke::mf_virtual, 65, 4},	//258 DOM::CustomNodeFilter::customNodeFilterType()
    {23, 96, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 5},	//259 DOM::CustomNodeFilter::CustomNodeFilter(const DOM::CustomNodeFilter&)
    {23, 1889, 0, 0, Smoke::mf_dtor, 0, 6 },	//260 DOM::CustomNodeFilter::~CustomNodeFilter()
    {24, 111, 27, 1, Smoke::mf_ctor, 60, 1},	//261 DOM::DOMException::DOMException(unsigned short)
    {24, 111, 95, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 2},	//262 DOM::DOMException::DOMException(const DOM::DOMException&)
    {24, 1117, 95, 1, 0, 59, 3},	//263 DOM::DOMException::operator=(const DOM::DOMException&)
    {24, 586, 0, 0, Smoke::mf_const, 65, 4},	//264 DOM::DOMException::codeAsString() const
    {24, 586, 31, 1, Smoke::mf_static, 65, 5},	//265 DOM::DOMException::codeAsString(int)
    {24, 953, 31, 1, Smoke::mf_static, 450, 6},	//266 DOM::DOMException::isDOMExceptionCode(int)
    {24, 585, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 623, 7},	//267 DOM::DOMException::code() const
    {24, 1367, 27, 1, Smoke::mf_attribute, 0, 8},	//268 DOM::DOMException::setCode(unsigned short)
    {24, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 9},	//269 DOM::DOMException::INDEX_SIZE_ERR (enum)
    {24, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 10},	//270 DOM::DOMException::DOMSTRING_SIZE_ERR (enum)
    {24, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 11},	//271 DOM::DOMException::HIERARCHY_REQUEST_ERR (enum)
    {24, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 12},	//272 DOM::DOMException::WRONG_DOCUMENT_ERR (enum)
    {24, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 13},	//273 DOM::DOMException::INVALID_CHARACTER_ERR (enum)
    {24, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 14},	//274 DOM::DOMException::NO_DATA_ALLOWED_ERR (enum)
    {24, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 15},	//275 DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR (enum)
    {24, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 16},	//276 DOM::DOMException::NOT_FOUND_ERR (enum)
    {24, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 17},	//277 DOM::DOMException::NOT_SUPPORTED_ERR (enum)
    {24, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 18},	//278 DOM::DOMException::INUSE_ATTRIBUTE_ERR (enum)
    {24, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 19},	//279 DOM::DOMException::INVALID_STATE_ERR (enum)
    {24, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 20},	//280 DOM::DOMException::SYNTAX_ERR (enum)
    {24, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 21},	//281 DOM::DOMException::INVALID_MODIFICATION_ERR (enum)
    {24, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 22},	//282 DOM::DOMException::NAMESPACE_ERR (enum)
    {24, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 23},	//283 DOM::DOMException::INVALID_ACCESS_ERR (enum)
    {24, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 24},	//284 DOM::DOMException::VALIDATION_ERR (enum)
    {24, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 25},	//285 DOM::DOMException::TYPE_MISMATCH_ERR (enum)
    {24, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 26},	//286 DOM::DOMException::SECURITY_ERR (enum)
    {24, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 27},	//287 DOM::DOMException::NETWORK_ERR (enum)
    {24, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 28},	//288 DOM::DOMException::ABORT_ERR (enum)
    {24, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 29},	//289 DOM::DOMException::URL_MISMATCH_ERR (enum)
    {24, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 30},	//290 DOM::DOMException::QUOTA_EXCEEDED_ERR (enum)
    {24, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 31},	//291 DOM::DOMException::TIMEOUT_ERR (enum)
    {24, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 32},	//292 DOM::DOMException::NOT_READABLE_ERR (enum)
    {24, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 33},	//293 DOM::DOMException::DATA_CLONE_ERR (enum)
    {24, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 34},	//294 DOM::DOMException::ENCODING_ERR (enum)
    {24, 1890, 0, 0, Smoke::mf_dtor, 0, 35 },	//295 DOM::DOMException::~DOMException()
    {25, 114, 0, 0, Smoke::mf_ctor, 64, 1},	//296 DOM::DOMImplementation::DOMImplementation()
    {25, 114, 97, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 2},	//297 DOM::DOMImplementation::DOMImplementation(const DOM::DOMImplementation&)
    {25, 1117, 97, 1, 0, 63, 3},	//298 DOM::DOMImplementation::operator=(const DOM::DOMImplementation&)
    {25, 875, 4, 2, 0, 450, 4},	//299 DOM::DOMImplementation::hasFeature(const DOM::DOMString&, const DOM::DOMString&)
    {25, 640, 63, 3, 0, 76, 5},	//300 DOM::DOMImplementation::createDocumentType(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
    {25, 637, 99, 3, 0, 68, 6},	//301 DOM::DOMImplementation::createDocument(const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&)
    {25, 840, 19, 1, Smoke::mf_const, 62, 7},	//302 DOM::DOMImplementation::getInterface(const DOM::DOMString&) const
    {25, 628, 4, 2, 0, 39, 8},	//303 DOM::DOMImplementation::createCSSStyleSheet(const DOM::DOMString&, const DOM::DOMString&)
    {25, 650, 19, 1, 0, 124, 9},	//304 DOM::DOMImplementation::createHTMLDocument(const DOM::DOMString&)
    {25, 974, 0, 0, Smoke::mf_const, 450, 10},	//305 DOM::DOMImplementation::isNull() const
    {25, 1891, 0, 0, Smoke::mf_dtor, 0, 11 },	//306 DOM::DOMImplementation::~DOMImplementation()
    {26, 117, 0, 0, Smoke::mf_ctor, 67, 1},	//307 DOM::DOMString::DOMString()
    {26, 117, 103, 2, Smoke::mf_ctor, 67, 2},	//308 DOM::DOMString::DOMString(const QChar*, unsigned int)
    {26, 117, 106, 1, Smoke::mf_ctor, 67, 3},	//309 DOM::DOMString::DOMString(const QString&)
    {26, 117, 108, 1, Smoke::mf_ctor, 67, 4},	//310 DOM::DOMString::DOMString(const char*)
    {26, 117, 110, 2, Smoke::mf_ctor, 67, 5},	//311 DOM::DOMString::DOMString(const char*, unsigned int)
    {26, 117, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 6},	//312 DOM::DOMString::DOMString(const DOM::DOMString&)
    {26, 1117, 19, 1, 0, 66, 7},	//313 DOM::DOMString::operator=(const DOM::DOMString&)
    {26, 1115, 19, 1, 0, 66, 8},	//314 DOM::DOMString::operator+=(const DOM::DOMString&)
    {26, 1113, 19, 1, 0, 65, 9},	//315 DOM::DOMString::operator+(const DOM::DOMString&)
    {26, 926, 113, 2, 0, 0, 10},	//316 DOM::DOMString::insert(DOM::DOMString, unsigned int)
    {26, 1123, 116, 1, Smoke::mf_const, 579, 11},	//317 DOM::DOMString::operator[](unsigned int) const
    {26, 764, 118, 2, Smoke::mf_const, 608, 12},	//318 DOM::DOMString::find(const QChar, int) const
    {26, 1244, 118, 2, Smoke::mf_const, 608, 13},	//319 DOM::DOMString::reverseFind(const QChar, int) const
    {26, 1756, 121, 2, Smoke::mf_const, 65, 14},	//320 DOM::DOMString::substring(unsigned int, unsigned int) const
    {26, 1032, 0, 0, Smoke::mf_const, 620, 15},	//321 DOM::DOMString::length() const
    {26, 1798, 116, 1, 0, 0, 16},	//322 DOM::DOMString::truncate(unsigned int)
    {26, 1204, 124, 2, 0, 0, 17},	//323 DOM::DOMString::remove(unsigned int, int)
    {26, 1718, 116, 1, 0, 65, 18},	//324 DOM::DOMString::split(unsigned int)
    {26, 1044, 0, 0, Smoke::mf_const, 65, 19},	//325 DOM::DOMString::lower() const
    {26, 1809, 0, 0, Smoke::mf_const, 65, 20},	//326 DOM::DOMString::upper() const
    {26, 1803, 0, 0, Smoke::mf_const, 332, 21},	//327 DOM::DOMString::unicode() const
    {26, 558, 0, 0, Smoke::mf_const, 332, 22},	//328 DOM::DOMString::characters() const
    {26, 1746, 0, 0, Smoke::mf_const, 365, 23},	//329 DOM::DOMString::string() const
    {26, 1785, 0, 0, Smoke::mf_const, 608, 24},	//330 DOM::DOMString::toInt() const
    {26, 1785, 127, 1, Smoke::mf_const, 608, 25},	//331 DOM::DOMString::toInt(bool*) const
    {26, 1782, 127, 1, Smoke::mf_const, 607, 26},	//332 DOM::DOMString::toFloat(bool*) const
    {26, 1150, 129, 1, Smoke::mf_const, 450, 27},	//333 DOM::DOMString::percentage(int&) const
    {26, 1098, 131, 1, Smoke::mf_static, 65, 28},	//334 DOM::DOMString::number(float)
    {26, 621, 0, 0, Smoke::mf_const, 65, 29},	//335 DOM::DOMString::copy() const
    {26, 974, 0, 0, Smoke::mf_const, 450, 30},	//336 DOM::DOMString::isNull() const
    {26, 957, 0, 0, Smoke::mf_const, 450, 31},	//337 DOM::DOMString::isEmpty() const
    {26, 742, 19, 1, Smoke::mf_const, 450, 32},	//338 DOM::DOMString::endsWith(const DOM::DOMString&) const
    {26, 1731, 19, 1, Smoke::mf_const, 450, 33},	//339 DOM::DOMString::startsWith(const DOM::DOMString&) const
    {26, 764, 133, 1, Smoke::mf_const, 608, 34},	//340 DOM::DOMString::find(const QChar) const
    {26, 1244, 133, 1, Smoke::mf_const, 608, 35},	//341 DOM::DOMString::reverseFind(const QChar) const
    {26, 1756, 116, 1, Smoke::mf_const, 65, 36},	//342 DOM::DOMString::substring(unsigned int) const
    {26, 1204, 116, 1, 0, 0, 37},	//343 DOM::DOMString::remove(unsigned int)
    {26, 1782, 0, 0, Smoke::mf_const, 607, 38},	//344 DOM::DOMString::toFloat() const
    {26, 1892, 0, 0, Smoke::mf_dtor, 0, 39 },	//345 DOM::DOMString::~DOMString()
    {27, 128, 0, 0, Smoke::mf_ctor, 70, 1},	//346 DOM::Document::Document()
    {27, 128, 135, 1, Smoke::mf_ctor, 70, 2},	//347 DOM::Document::Document(bool)
    {27, 128, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 3},	//348 DOM::Document::Document(const DOM::Document&)
    {27, 128, 15, 1, Smoke::mf_ctor, 70, 4},	//349 DOM::Document::Document(const DOM::Node&)
    {27, 1117, 15, 1, 0, 69, 5},	//350 DOM::Document::operator=(const DOM::Node&)
    {27, 1117, 137, 1, 0, 69, 6},	//351 DOM::Document::operator=(const DOM::Document&)
    {27, 720, 0, 0, Smoke::mf_const, 76, 7},	//352 DOM::Document::doctype() const
    {27, 900, 0, 0, Smoke::mf_const, 62, 8},	//353 DOM::Document::implementation() const
    {27, 722, 0, 0, Smoke::mf_const, 81, 9},	//354 DOM::Document::documentElement() const
    {27, 642, 19, 1, 0, 81, 10},	//355 DOM::Document::createElement(const DOM::DOMString&)
    {27, 644, 4, 2, 0, 81, 11},	//356 DOM::Document::createElementNS(const DOM::DOMString&, const DOM::DOMString&)
    {27, 639, 0, 0, 0, 71, 12},	//357 DOM::Document::createDocumentFragment()
    {27, 661, 19, 1, 0, 274, 13},	//358 DOM::Document::createTextNode(const DOM::DOMString&)
    {27, 631, 19, 1, 0, 52, 14},	//359 DOM::Document::createComment(const DOM::DOMString&)
    {27, 626, 19, 1, 0, 7, 15},	//360 DOM::Document::createCDATASection(const DOM::DOMString&)
    {27, 656, 4, 2, 0, 252, 16},	//361 DOM::Document::createProcessingInstruction(const DOM::DOMString&, const DOM::DOMString&)
    {27, 622, 19, 1, 0, 4, 17},	//362 DOM::Document::createAttribute(const DOM::DOMString&)
    {27, 624, 4, 2, 0, 4, 18},	//363 DOM::Document::createAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {27, 646, 19, 1, 0, 86, 19},	//364 DOM::Document::createEntityReference(const DOM::DOMString&)
    {27, 827, 19, 1, Smoke::mf_const, 81, 20},	//365 DOM::Document::getElementById(const DOM::DOMString&) const
    {27, 833, 19, 1, 0, 247, 21},	//366 DOM::Document::getElementsByTagName(const DOM::DOMString&)
    {27, 835, 4, 2, 0, 247, 22},	//367 DOM::Document::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
    {27, 829, 19, 1, 0, 247, 23},	//368 DOM::Document::getElementsByClassName(const DOM::DOMString&)
    {27, 901, 139, 2, 0, 234, 24},	//369 DOM::Document::importNode(const DOM::Node&, bool)
    {27, 961, 0, 0, Smoke::mf_const, 450, 25},	//370 DOM::Document::isHTMLDocument() const
    {27, 658, 0, 0, 0, 258, 26},	//371 DOM::Document::createRange()
    {27, 652, 142, 4, 0, 244, 27},	//372 DOM::Document::createNodeIterator(DOM::Node, unsigned long, DOM::NodeFilter, bool)
    {27, 663, 142, 4, 0, 279, 28},	//373 DOM::Document::createTreeWalker(DOM::Node, unsigned long, DOM::NodeFilter, bool)
    {27, 648, 19, 1, 0, 89, 29},	//374 DOM::Document::createEvent(const DOM::DOMString&)
    {27, 683, 0, 0, Smoke::mf_const, 1, 30},	//375 DOM::Document::defaultView() const
    {27, 1750, 0, 0, Smoke::mf_const, 271, 31},	//376 DOM::Document::styleSheets() const
    {27, 1157, 0, 0, 0, 65, 32},	//377 DOM::Document::preferredStylesheetSet()
    {27, 1278, 0, 0, 0, 65, 33},	//378 DOM::Document::selectedStylesheetSet()
    {27, 1595, 19, 1, 0, 0, 34},	//379 DOM::Document::setSelectedStylesheetSet(const DOM::DOMString&)
    {27, 492, 71, 1, 0, 0, 35},	//380 DOM::Document::addStyleSheet(const DOM::StyleSheet&)
    {27, 1225, 71, 1, 0, 0, 36},	//381 DOM::Document::removeStyleSheet(const DOM::StyleSheet&)
    {27, 1824, 0, 0, Smoke::mf_const, 309, 37},	//382 DOM::Document::view() const
    {27, 848, 12, 2, 0, 34, 38},	//383 DOM::Document::getOverrideStyle(const DOM::Element&, const DOM::DOMString&)
    {27, 514, 0, 0, Smoke::mf_const, 450, 39},	//384 DOM::Document::async() const
    {27, 1311, 135, 1, 0, 0, 40},	//385 DOM::Document::setAsync(bool)
    {27, 466, 0, 0, 0, 0, 41},	//386 DOM::Document::abort()
    {27, 1037, 19, 1, 0, 0, 42},	//387 DOM::Document::load(const DOM::DOMString&)
    {27, 1039, 19, 1, 0, 0, 43},	//388 DOM::Document::loadXML(const DOM::DOMString&)
    {27, 1190, 19, 1, Smoke::mf_const, 81, 44},	//389 DOM::Document::querySelector(const DOM::DOMString&) const
    {27, 1192, 19, 1, Smoke::mf_const, 247, 45},	//390 DOM::Document::querySelectorAll(const DOM::DOMString&) const
    {27, 701, 0, 0, Smoke::mf_const, 450, 46},	//391 DOM::Document::designMode() const
    {27, 1419, 135, 1, 0, 0, 47},	//392 DOM::Document::setDesignMode(bool)
    {27, 602, 19, 1, 0, 65, 48},	//393 DOM::Document::completeURL(const DOM::DOMString&)
    {27, 1787, 0, 0, Smoke::mf_const, 65, 49},	//394 DOM::Document::toString() const
    {27, 753, 147, 3, 0, 450, 50},	//395 DOM::Document::execCommand(const DOM::DOMString&, bool, const DOM::DOMString&)
    {27, 1180, 19, 1, 0, 450, 51},	//396 DOM::Document::queryCommandEnabled(const DOM::DOMString&)
    {27, 1182, 19, 1, 0, 450, 52},	//397 DOM::Document::queryCommandIndeterm(const DOM::DOMString&)
    {27, 1184, 19, 1, 0, 450, 53},	//398 DOM::Document::queryCommandState(const DOM::DOMString&)
    {27, 1186, 19, 1, 0, 450, 54},	//399 DOM::Document::queryCommandSupported(const DOM::DOMString&)
    {27, 1188, 19, 1, 0, 65, 55},	//400 DOM::Document::queryCommandValue(const DOM::DOMString&)
    {27, 1807, 0, 0, 0, 0, 56},	//401 DOM::Document::updateRendering()
    {27, 1893, 0, 0, Smoke::mf_dtor, 0, 57 },	//402 DOM::Document::~Document()
    {28, 131, 0, 0, Smoke::mf_ctor, 73, 1},	//403 DOM::DocumentFragment::DocumentFragment()
    {28, 131, 151, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 2},	//404 DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
    {28, 131, 15, 1, Smoke::mf_ctor, 73, 3},	//405 DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
    {28, 1117, 15, 1, 0, 72, 4},	//406 DOM::DocumentFragment::operator=(const DOM::Node&)
    {28, 1117, 151, 1, 0, 72, 5},	//407 DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
    {28, 1190, 19, 1, Smoke::mf_const, 81, 6},	//408 DOM::DocumentFragment::querySelector(const DOM::DOMString&) const
    {28, 1192, 19, 1, Smoke::mf_const, 247, 7},	//409 DOM::DocumentFragment::querySelectorAll(const DOM::DOMString&) const
    {28, 1894, 0, 0, Smoke::mf_dtor, 0, 8 },	//410 DOM::DocumentFragment::~DocumentFragment()
    {29, 133, 0, 0, Smoke::mf_ctor, 75, 1},	//411 DOM::DocumentStyle::DocumentStyle()
    {29, 133, 153, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 2},	//412 DOM::DocumentStyle::DocumentStyle(const DOM::DocumentStyle&)
    {29, 1117, 153, 1, 0, 74, 3},	//413 DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
    {29, 1117, 137, 1, 0, 74, 4},	//414 DOM::DocumentStyle::operator=(const DOM::Document&)
    {29, 1750, 0, 0, Smoke::mf_const, 271, 5},	//415 DOM::DocumentStyle::styleSheets() const
    {29, 1157, 0, 0, Smoke::mf_const, 65, 6},	//416 DOM::DocumentStyle::preferredStylesheetSet() const
    {29, 1278, 0, 0, Smoke::mf_const, 65, 7},	//417 DOM::DocumentStyle::selectedStylesheetSet() const
    {29, 1595, 19, 1, 0, 0, 8},	//418 DOM::DocumentStyle::setSelectedStylesheetSet(const DOM::DOMString&)
    {29, 974, 0, 0, Smoke::mf_const, 450, 9},	//419 DOM::DocumentStyle::isNull() const
    {29, 1895, 0, 0, Smoke::mf_dtor, 0, 10 },	//420 DOM::DocumentStyle::~DocumentStyle()
    {30, 135, 0, 0, Smoke::mf_ctor, 78, 1},	//421 DOM::DocumentType::DocumentType()
    {30, 135, 155, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 2},	//422 DOM::DocumentType::DocumentType(const DOM::DocumentType&)
    {30, 135, 15, 1, Smoke::mf_ctor, 78, 3},	//423 DOM::DocumentType::DocumentType(const DOM::Node&)
    {30, 1117, 15, 1, 0, 77, 4},	//424 DOM::DocumentType::operator=(const DOM::Node&)
    {30, 1117, 155, 1, 0, 77, 5},	//425 DOM::DocumentType::operator=(const DOM::DocumentType&)
    {30, 1072, 0, 0, Smoke::mf_const, 65, 6},	//426 DOM::DocumentType::name() const
    {30, 745, 0, 0, Smoke::mf_const, 231, 7},	//427 DOM::DocumentType::entities() const
    {30, 1097, 0, 0, Smoke::mf_const, 231, 8},	//428 DOM::DocumentType::notations() const
    {30, 1174, 0, 0, Smoke::mf_const, 65, 9},	//429 DOM::DocumentType::publicId() const
    {30, 1764, 0, 0, Smoke::mf_const, 65, 10},	//430 DOM::DocumentType::systemId() const
    {30, 940, 0, 0, Smoke::mf_const, 65, 11},	//431 DOM::DocumentType::internalSubset() const
    {30, 1896, 0, 0, Smoke::mf_dtor, 0, 12 },	//432 DOM::DocumentType::~DocumentType()
    {31, 137, 0, 0, Smoke::mf_ctor, 79, 1},	//433 DOM::DomShared::DomShared()
    {31, 691, 0, 0, Smoke::mf_virtual, 450, 2},	//434 DOM::DomShared::deleteMe()
    {31, 1198, 0, 0, 0, 0, 3},	//435 DOM::DomShared::ref()
    {31, 700, 0, 0, 0, 0, 4},	//436 DOM::DomShared::deref()
    {31, 877, 0, 0, Smoke::mf_const, 450, 5},	//437 DOM::DomShared::hasOneRef() const
    {31, 1199, 0, 0, Smoke::mf_const, 620, 6},	//438 DOM::DomShared::refCount() const
    {31, 137, 157, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 7},	//439 DOM::DomShared::DomShared(const DOM::DomShared&)
    {31, 463, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 620, 8},	//440 DOM::DomShared::_ref() const
    {31, 1696, 116, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//441 DOM::DomShared::set_ref(unsigned int)
    {31, 1897, 0, 0, Smoke::mf_dtor, 0, 10 },	//442 DOM::DomShared::~DomShared()
    {33, 150, 0, 0, Smoke::mf_ctor, 83, 1},	//443 DOM::Element::Element()
    {33, 150, 15, 1, Smoke::mf_ctor, 83, 2},	//444 DOM::Element::Element(const DOM::Node&)
    {33, 150, 159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 3},	//445 DOM::Element::Element(const DOM::Element&)
    {33, 1117, 15, 1, 0, 82, 4},	//446 DOM::Element::operator=(const DOM::Node&)
    {33, 1117, 159, 1, 0, 82, 5},	//447 DOM::Element::operator=(const DOM::Element&)
    {33, 1770, 0, 0, Smoke::mf_const, 65, 6},	//448 DOM::Element::tagName() const
    {33, 813, 19, 1, 0, 65, 7},	//449 DOM::Element::getAttribute(const DOM::DOMString&)
    {33, 1313, 4, 2, 0, 0, 8},	//450 DOM::Element::setAttribute(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1207, 19, 1, 0, 0, 9},	//451 DOM::Element::removeAttribute(const DOM::DOMString&)
    {33, 817, 19, 1, 0, 4, 10},	//452 DOM::Element::getAttributeNode(const DOM::DOMString&)
    {33, 1317, 17, 1, 0, 4, 11},	//453 DOM::Element::setAttributeNode(const DOM::Attr&)
    {33, 1211, 17, 1, 0, 4, 12},	//454 DOM::Element::removeAttributeNode(const DOM::Attr&)
    {33, 833, 19, 1, 0, 247, 13},	//455 DOM::Element::getElementsByTagName(const DOM::DOMString&)
    {33, 835, 4, 2, 0, 247, 14},	//456 DOM::Element::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 829, 19, 1, 0, 247, 15},	//457 DOM::Element::getElementsByClassName(const DOM::DOMString&)
    {33, 815, 4, 2, 0, 65, 16},	//458 DOM::Element::getAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1315, 63, 3, 0, 0, 17},	//459 DOM::Element::setAttributeNS(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
    {33, 1209, 4, 2, 0, 0, 18},	//460 DOM::Element::removeAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 819, 4, 2, 0, 4, 19},	//461 DOM::Element::getAttributeNodeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1319, 17, 1, 0, 4, 20},	//462 DOM::Element::setAttributeNodeNS(const DOM::Attr&)
    {33, 869, 19, 1, 0, 450, 21},	//463 DOM::Element::hasAttribute(const DOM::DOMString&)
    {33, 871, 4, 2, 0, 450, 22},	//464 DOM::Element::hasAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
    {33, 1747, 0, 0, 0, 34, 23},	//465 DOM::Element::style()
    {33, 785, 0, 0, Smoke::mf_const, 81, 24},	//466 DOM::Element::firstElementChild() const
    {33, 1024, 0, 0, Smoke::mf_const, 81, 25},	//467 DOM::Element::lastElementChild() const
    {33, 1166, 0, 0, Smoke::mf_const, 81, 26},	//468 DOM::Element::previousElementSibling() const
    {33, 1078, 0, 0, Smoke::mf_const, 81, 27},	//469 DOM::Element::nextElementSibling() const
    {33, 561, 0, 0, Smoke::mf_const, 621, 28},	//470 DOM::Element::childElementCount() const
    {33, 1190, 19, 1, Smoke::mf_const, 81, 29},	//471 DOM::Element::querySelector(const DOM::DOMString&) const
    {33, 1192, 19, 1, Smoke::mf_const, 247, 30},	//472 DOM::Element::querySelectorAll(const DOM::DOMString&) const
    {33, 962, 0, 0, Smoke::mf_const, 450, 31},	//473 DOM::Element::isHTMLElement() const
    {33, 799, 0, 0, Smoke::mf_const, 81, 32},	//474 DOM::Element::form() const
    {33, 1014, 19, 1, Smoke::mf_static, 450, 33},	//475 DOM::Element::khtmlValidAttrName(const DOM::DOMString&)
    {33, 1016, 19, 1, Smoke::mf_static, 450, 34},	//476 DOM::Element::khtmlValidPrefix(const DOM::DOMString&)
    {33, 1018, 19, 1, Smoke::mf_static, 450, 35},	//477 DOM::Element::khtmlValidQualifiedName(const DOM::DOMString&)
    {33, 1004, 19, 1, Smoke::mf_static, 450, 36},	//478 DOM::Element::khtmlMalformedQualifiedName(const DOM::DOMString&)
    {33, 1002, 19, 1, Smoke::mf_static, 450, 37},	//479 DOM::Element::khtmlMalformedPrefix(const DOM::DOMString&)
    {33, 1899, 0, 0, Smoke::mf_dtor, 0, 38 },	//480 DOM::Element::~Element()
    {34, 153, 0, 0, Smoke::mf_ctor, 85, 1},	//481 DOM::Entity::Entity()
    {34, 153, 161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 85, 2},	//482 DOM::Entity::Entity(const DOM::Entity&)
    {34, 153, 15, 1, Smoke::mf_ctor, 85, 3},	//483 DOM::Entity::Entity(const DOM::Node&)
    {34, 1117, 15, 1, 0, 84, 4},	//484 DOM::Entity::operator=(const DOM::Node&)
    {34, 1117, 161, 1, 0, 84, 5},	//485 DOM::Entity::operator=(const DOM::Entity&)
    {34, 1174, 0, 0, Smoke::mf_const, 65, 6},	//486 DOM::Entity::publicId() const
    {34, 1764, 0, 0, Smoke::mf_const, 65, 7},	//487 DOM::Entity::systemId() const
    {34, 1096, 0, 0, Smoke::mf_const, 65, 8},	//488 DOM::Entity::notationName() const
    {34, 1900, 0, 0, Smoke::mf_dtor, 0, 9 },	//489 DOM::Entity::~Entity()
    {35, 155, 0, 0, Smoke::mf_ctor, 88, 1},	//490 DOM::EntityReference::EntityReference()
    {35, 155, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 2},	//491 DOM::EntityReference::EntityReference(const DOM::EntityReference&)
    {35, 155, 15, 1, Smoke::mf_ctor, 88, 3},	//492 DOM::EntityReference::EntityReference(const DOM::Node&)
    {35, 1117, 15, 1, 0, 87, 4},	//493 DOM::EntityReference::operator=(const DOM::Node&)
    {35, 1117, 163, 1, 0, 87, 5},	//494 DOM::EntityReference::operator=(const DOM::EntityReference&)
    {35, 1901, 0, 0, Smoke::mf_dtor, 0, 6 },	//495 DOM::EntityReference::~EntityReference()
    {36, 157, 0, 0, Smoke::mf_ctor, 91, 1},	//496 DOM::Event::Event()
    {36, 157, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//497 DOM::Event::Event(const DOM::Event&)
    {36, 1117, 165, 1, 0, 90, 3},	//498 DOM::Event::operator=(const DOM::Event&)
    {36, 1800, 0, 0, Smoke::mf_const, 65, 4},	//499 DOM::Event::type() const
    {36, 1771, 0, 0, Smoke::mf_const, 234, 5},	//500 DOM::Event::target() const
    {36, 671, 0, 0, Smoke::mf_const, 234, 6},	//501 DOM::Event::currentTarget() const
    {36, 752, 0, 0, Smoke::mf_const, 623, 7},	//502 DOM::Event::eventPhase() const
    {36, 542, 0, 0, Smoke::mf_const, 450, 8},	//503 DOM::Event::bubbles() const
    {36, 544, 0, 0, Smoke::mf_const, 450, 9},	//504 DOM::Event::cancelable() const
    {36, 1778, 0, 0, Smoke::mf_const, 622, 10},	//505 DOM::Event::timeStamp() const
    {36, 1738, 0, 0, 0, 0, 11},	//506 DOM::Event::stopPropagation()
    {36, 1165, 0, 0, 0, 0, 12},	//507 DOM::Event::preventDefault()
    {36, 909, 167, 3, 0, 0, 13},	//508 DOM::Event::initEvent(const DOM::DOMString&, bool, bool)
    {36, 974, 0, 0, Smoke::mf_const, 450, 14},	//509 DOM::Event::isNull() const
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 15},	//510 DOM::Event::CAPTURING_PHASE (enum)
    {36, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 16},	//511 DOM::Event::AT_TARGET (enum)
    {36, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 17},	//512 DOM::Event::BUBBLING_PHASE (enum)
    {36, 1902, 0, 0, Smoke::mf_dtor, 0, 18 },	//513 DOM::Event::~Event()
    {37, 159, 27, 1, Smoke::mf_ctor, 94, 1},	//514 DOM::EventException::EventException(unsigned short)
    {37, 159, 171, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//515 DOM::EventException::EventException(const DOM::EventException&)
    {37, 1117, 171, 1, 0, 93, 3},	//516 DOM::EventException::operator=(const DOM::EventException&)
    {37, 586, 0, 0, Smoke::mf_const, 65, 4},	//517 DOM::EventException::codeAsString() const
    {37, 586, 31, 1, Smoke::mf_static, 65, 5},	//518 DOM::EventException::codeAsString(int)
    {37, 958, 31, 1, Smoke::mf_static, 450, 6},	//519 DOM::EventException::isEventExceptionCode(int)
    {37, 585, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 623, 7},	//520 DOM::EventException::code() const
    {37, 1367, 27, 1, Smoke::mf_attribute, 0, 8},	//521 DOM::EventException::setCode(unsigned short)
    {37, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 9},	//522 DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR (enum)
    {37, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 10},	//523 DOM::EventException::_EXCEPTION_OFFSET (enum)
    {37, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 11},	//524 DOM::EventException::_EXCEPTION_MAX (enum)
    {37, 1903, 0, 0, Smoke::mf_dtor, 0, 12 },	//525 DOM::EventException::~EventException()
    {38, 162, 0, 0, Smoke::mf_ctor, 96, 1},	//526 DOM::EventListener::EventListener()
    {38, 867, 173, 1, Smoke::mf_virtual, 0, 2},	//527 DOM::EventListener::handleEvent(DOM::Event&)
    {38, 750, 0, 0, Smoke::mf_virtual, 65, 3},	//528 DOM::EventListener::eventListenerType()
    {38, 162, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 4},	//529 DOM::EventListener::EventListener(const DOM::EventListener&)
    {38, 1904, 0, 0, Smoke::mf_dtor, 0, 5 },	//530 DOM::EventListener::~EventListener()
    {39, 172, 0, 0, Smoke::mf_ctor, 98, 1},	//531 DOM::HTMLAnchorElement::HTMLAnchorElement()
    {39, 172, 177, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 2},	//532 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
    {39, 172, 15, 1, Smoke::mf_ctor, 98, 3},	//533 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
    {39, 1117, 177, 1, 0, 97, 4},	//534 DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
    {39, 1117, 15, 1, 0, 97, 5},	//535 DOM::HTMLAnchorElement::operator=(const DOM::Node&)
    {39, 473, 0, 0, Smoke::mf_const, 65, 6},	//536 DOM::HTMLAnchorElement::accessKey() const
    {39, 1297, 19, 1, 0, 0, 7},	//537 DOM::HTMLAnchorElement::setAccessKey(const DOM::DOMString&)
    {39, 559, 0, 0, Smoke::mf_const, 65, 8},	//538 DOM::HTMLAnchorElement::charset() const
    {39, 1357, 19, 1, 0, 0, 9},	//539 DOM::HTMLAnchorElement::setCharset(const DOM::DOMString&)
    {39, 620, 0, 0, Smoke::mf_const, 65, 10},	//540 DOM::HTMLAnchorElement::coords() const
    {39, 1392, 19, 1, 0, 0, 11},	//541 DOM::HTMLAnchorElement::setCoords(const DOM::DOMString&)
    {39, 888, 0, 0, Smoke::mf_const, 65, 12},	//542 DOM::HTMLAnchorElement::href() const
    {39, 1466, 19, 1, 0, 0, 13},	//543 DOM::HTMLAnchorElement::setHref(const DOM::DOMString&)
    {39, 889, 0, 0, Smoke::mf_const, 65, 14},	//544 DOM::HTMLAnchorElement::hreflang() const
    {39, 1468, 19, 1, 0, 0, 15},	//545 DOM::HTMLAnchorElement::setHreflang(const DOM::DOMString&)
    {39, 1072, 0, 0, Smoke::mf_const, 65, 16},	//546 DOM::HTMLAnchorElement::name() const
    {39, 1533, 19, 1, 0, 0, 17},	//547 DOM::HTMLAnchorElement::setName(const DOM::DOMString&)
    {39, 1201, 0, 0, Smoke::mf_const, 65, 18},	//548 DOM::HTMLAnchorElement::rel() const
    {39, 1569, 19, 1, 0, 0, 19},	//549 DOM::HTMLAnchorElement::setRel(const DOM::DOMString&)
    {39, 1243, 0, 0, Smoke::mf_const, 65, 20},	//550 DOM::HTMLAnchorElement::rev() const
    {39, 1571, 19, 1, 0, 0, 21},	//551 DOM::HTMLAnchorElement::setRev(const DOM::DOMString&)
    {39, 1700, 0, 0, Smoke::mf_const, 65, 22},	//552 DOM::HTMLAnchorElement::shape() const
    {39, 1607, 19, 1, 0, 0, 23},	//553 DOM::HTMLAnchorElement::setShape(const DOM::DOMString&)
    {39, 1768, 0, 0, Smoke::mf_const, 617, 24},	//554 DOM::HTMLAnchorElement::tabIndex() const
    {39, 1646, 179, 1, 0, 0, 25},	//555 DOM::HTMLAnchorElement::setTabIndex(long)
    {39, 1771, 0, 0, Smoke::mf_const, 65, 26},	//556 DOM::HTMLAnchorElement::target() const
    {39, 1648, 19, 1, 0, 0, 27},	//557 DOM::HTMLAnchorElement::setTarget(const DOM::DOMString&)
    {39, 1800, 0, 0, Smoke::mf_const, 65, 28},	//558 DOM::HTMLAnchorElement::type() const
    {39, 1658, 19, 1, 0, 0, 29},	//559 DOM::HTMLAnchorElement::setType(const DOM::DOMString&)
    {39, 535, 0, 0, 0, 0, 30},	//560 DOM::HTMLAnchorElement::blur()
    {39, 788, 0, 0, 0, 0, 31},	//561 DOM::HTMLAnchorElement::focus()
    {39, 1905, 0, 0, Smoke::mf_dtor, 0, 32 },	//562 DOM::HTMLAnchorElement::~HTMLAnchorElement()
    {40, 174, 0, 0, Smoke::mf_ctor, 100, 1},	//563 DOM::HTMLAppletElement::HTMLAppletElement()
    {40, 174, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 2},	//564 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
    {40, 174, 15, 1, Smoke::mf_ctor, 100, 3},	//565 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
    {40, 1117, 181, 1, 0, 99, 4},	//566 DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
    {40, 1117, 15, 1, 0, 99, 5},	//567 DOM::HTMLAppletElement::operator=(const DOM::Node&)
    {40, 496, 0, 0, Smoke::mf_const, 65, 6},	//568 DOM::HTMLAppletElement::align() const
    {40, 1303, 19, 1, 0, 0, 7},	//569 DOM::HTMLAppletElement::setAlign(const DOM::DOMString&)
    {40, 499, 0, 0, Smoke::mf_const, 65, 8},	//570 DOM::HTMLAppletElement::alt() const
    {40, 1305, 19, 1, 0, 0, 9},	//571 DOM::HTMLAppletElement::setAlt(const DOM::DOMString&)
    {40, 510, 0, 0, Smoke::mf_const, 65, 10},	//572 DOM::HTMLAppletElement::archive() const
    {40, 1309, 19, 1, 0, 0, 11},	//573 DOM::HTMLAppletElement::setArchive(const DOM::DOMString&)
    {40, 585, 0, 0, Smoke::mf_const, 65, 12},	//574 DOM::HTMLAppletElement::code() const
    {40, 1367, 19, 1, 0, 0, 13},	//575 DOM::HTMLAppletElement::setCode(const DOM::DOMString&)
    {40, 588, 0, 0, Smoke::mf_const, 65, 14},	//576 DOM::HTMLAppletElement::codeBase() const
    {40, 1370, 19, 1, 0, 0, 15},	//577 DOM::HTMLAppletElement::setCodeBase(const DOM::DOMString&)
    {40, 880, 0, 0, Smoke::mf_const, 65, 16},	//578 DOM::HTMLAppletElement::height() const
    {40, 1461, 19, 1, 0, 0, 17},	//579 DOM::HTMLAppletElement::setHeight(const DOM::DOMString&)
    {40, 839, 0, 0, Smoke::mf_const, 617, 18},	//580 DOM::HTMLAppletElement::getHspace() const
    {40, 1470, 179, 1, 0, 0, 19},	//581 DOM::HTMLAppletElement::setHspace(long)
    {40, 890, 0, 0, Smoke::mf_const, 65, 20},	//582 DOM::HTMLAppletElement::hspace() const
    {40, 1470, 19, 1, 0, 0, 21},	//583 DOM::HTMLAppletElement::setHspace(const DOM::DOMString&)
    {40, 1072, 0, 0, Smoke::mf_const, 65, 22},	//584 DOM::HTMLAppletElement::name() const
    {40, 1533, 19, 1, 0, 0, 23},	//585 DOM::HTMLAppletElement::setName(const DOM::DOMString&)
    {40, 1100, 0, 0, Smoke::mf_const, 65, 24},	//586 DOM::HTMLAppletElement::object() const
    {40, 1549, 19, 1, 0, 0, 25},	//587 DOM::HTMLAppletElement::setObject(const DOM::DOMString&)
    {40, 861, 0, 0, Smoke::mf_const, 617, 26},	//588 DOM::HTMLAppletElement::getVspace() const
    {40, 1683, 179, 1, 0, 0, 27},	//589 DOM::HTMLAppletElement::setVspace(long)
    {40, 1834, 0, 0, Smoke::mf_const, 65, 28},	//590 DOM::HTMLAppletElement::vspace() const
    {40, 1683, 19, 1, 0, 0, 29},	//591 DOM::HTMLAppletElement::setVspace(const DOM::DOMString&)
    {40, 1842, 0, 0, Smoke::mf_const, 65, 30},	//592 DOM::HTMLAppletElement::width() const
    {40, 1687, 19, 1, 0, 0, 31},	//593 DOM::HTMLAppletElement::setWidth(const DOM::DOMString&)
    {40, 1906, 0, 0, Smoke::mf_dtor, 0, 32 },	//594 DOM::HTMLAppletElement::~HTMLAppletElement()
    {41, 176, 0, 0, Smoke::mf_ctor, 102, 1},	//595 DOM::HTMLAreaElement::HTMLAreaElement()
    {41, 176, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 2},	//596 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
    {41, 176, 15, 1, Smoke::mf_ctor, 102, 3},	//597 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
    {41, 1117, 183, 1, 0, 101, 4},	//598 DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
    {41, 1117, 15, 1, 0, 101, 5},	//599 DOM::HTMLAreaElement::operator=(const DOM::Node&)
    {41, 473, 0, 0, Smoke::mf_const, 65, 6},	//600 DOM::HTMLAreaElement::accessKey() const
    {41, 1297, 19, 1, 0, 0, 7},	//601 DOM::HTMLAreaElement::setAccessKey(const DOM::DOMString&)
    {41, 499, 0, 0, Smoke::mf_const, 65, 8},	//602 DOM::HTMLAreaElement::alt() const
    {41, 1305, 19, 1, 0, 0, 9},	//603 DOM::HTMLAreaElement::setAlt(const DOM::DOMString&)
    {41, 620, 0, 0, Smoke::mf_const, 65, 10},	//604 DOM::HTMLAreaElement::coords() const
    {41, 1392, 19, 1, 0, 0, 11},	//605 DOM::HTMLAreaElement::setCoords(const DOM::DOMString&)
    {41, 888, 0, 0, Smoke::mf_const, 65, 12},	//606 DOM::HTMLAreaElement::href() const
    {41, 1466, 19, 1, 0, 0, 13},	//607 DOM::HTMLAreaElement::setHref(const DOM::DOMString&)
    {41, 1084, 0, 0, Smoke::mf_const, 450, 14},	//608 DOM::HTMLAreaElement::noHref() const
    {41, 1539, 135, 1, 0, 0, 15},	//609 DOM::HTMLAreaElement::setNoHref(bool)
    {41, 1700, 0, 0, Smoke::mf_const, 65, 16},	//610 DOM::HTMLAreaElement::shape() const
    {41, 1607, 19, 1, 0, 0, 17},	//611 DOM::HTMLAreaElement::setShape(const DOM::DOMString&)
    {41, 1768, 0, 0, Smoke::mf_const, 617, 18},	//612 DOM::HTMLAreaElement::tabIndex() const
    {41, 1646, 179, 1, 0, 0, 19},	//613 DOM::HTMLAreaElement::setTabIndex(long)
    {41, 1771, 0, 0, Smoke::mf_const, 65, 20},	//614 DOM::HTMLAreaElement::target() const
    {41, 1648, 19, 1, 0, 0, 21},	//615 DOM::HTMLAreaElement::setTarget(const DOM::DOMString&)
    {41, 1907, 0, 0, Smoke::mf_dtor, 0, 22 },	//616 DOM::HTMLAreaElement::~HTMLAreaElement()
    {42, 178, 0, 0, Smoke::mf_ctor, 104, 1},	//617 DOM::HTMLBRElement::HTMLBRElement()
    {42, 178, 185, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//618 DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
    {42, 178, 15, 1, Smoke::mf_ctor, 104, 3},	//619 DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
    {42, 1117, 185, 1, 0, 103, 4},	//620 DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
    {42, 1117, 15, 1, 0, 103, 5},	//621 DOM::HTMLBRElement::operator=(const DOM::Node&)
    {42, 567, 0, 0, Smoke::mf_const, 65, 6},	//622 DOM::HTMLBRElement::clear() const
    {42, 1365, 19, 1, 0, 0, 7},	//623 DOM::HTMLBRElement::setClear(const DOM::DOMString&)
    {42, 1908, 0, 0, Smoke::mf_dtor, 0, 8 },	//624 DOM::HTMLBRElement::~HTMLBRElement()
    {43, 180, 0, 0, Smoke::mf_ctor, 106, 1},	//625 DOM::HTMLBaseElement::HTMLBaseElement()
    {43, 180, 187, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//626 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
    {43, 180, 15, 1, Smoke::mf_ctor, 106, 3},	//627 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
    {43, 1117, 187, 1, 0, 105, 4},	//628 DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
    {43, 1117, 15, 1, 0, 105, 5},	//629 DOM::HTMLBaseElement::operator=(const DOM::Node&)
    {43, 888, 0, 0, Smoke::mf_const, 65, 6},	//630 DOM::HTMLBaseElement::href() const
    {43, 1466, 19, 1, 0, 0, 7},	//631 DOM::HTMLBaseElement::setHref(const DOM::DOMString&)
    {43, 1771, 0, 0, Smoke::mf_const, 65, 8},	//632 DOM::HTMLBaseElement::target() const
    {43, 1648, 19, 1, 0, 0, 9},	//633 DOM::HTMLBaseElement::setTarget(const DOM::DOMString&)
    {43, 1909, 0, 0, Smoke::mf_dtor, 0, 10 },	//634 DOM::HTMLBaseElement::~HTMLBaseElement()
    {44, 182, 0, 0, Smoke::mf_ctor, 108, 1},	//635 DOM::HTMLBaseFontElement::HTMLBaseFontElement()
    {44, 182, 189, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 2},	//636 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
    {44, 182, 15, 1, Smoke::mf_ctor, 108, 3},	//637 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
    {44, 1117, 189, 1, 0, 107, 4},	//638 DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
    {44, 1117, 15, 1, 0, 107, 5},	//639 DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
    {44, 594, 0, 0, Smoke::mf_const, 65, 6},	//640 DOM::HTMLBaseFontElement::color() const
    {44, 1376, 19, 1, 0, 0, 7},	//641 DOM::HTMLBaseFontElement::setColor(const DOM::DOMString&)
    {44, 760, 0, 0, Smoke::mf_const, 65, 8},	//642 DOM::HTMLBaseFontElement::face() const
    {44, 1441, 19, 1, 0, 0, 9},	//643 DOM::HTMLBaseFontElement::setFace(const DOM::DOMString&)
    {44, 859, 0, 0, Smoke::mf_const, 617, 10},	//644 DOM::HTMLBaseFontElement::getSize() const
    {44, 1609, 179, 1, 0, 0, 11},	//645 DOM::HTMLBaseFontElement::setSize(long)
    {44, 1709, 0, 0, Smoke::mf_const, 65, 12},	//646 DOM::HTMLBaseFontElement::size() const
    {44, 1609, 19, 1, 0, 0, 13},	//647 DOM::HTMLBaseFontElement::setSize(const DOM::DOMString&)
    {44, 1910, 0, 0, Smoke::mf_dtor, 0, 14 },	//648 DOM::HTMLBaseFontElement::~HTMLBaseFontElement()
    {45, 184, 0, 0, Smoke::mf_ctor, 110, 1},	//649 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement()
    {45, 184, 191, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 110, 2},	//650 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
    {45, 184, 15, 1, Smoke::mf_ctor, 110, 3},	//651 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
    {45, 1117, 191, 1, 0, 109, 4},	//652 DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
    {45, 1117, 15, 1, 0, 109, 5},	//653 DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
    {45, 565, 0, 0, Smoke::mf_const, 65, 6},	//654 DOM::HTMLBlockquoteElement::cite() const
    {45, 1361, 19, 1, 0, 0, 7},	//655 DOM::HTMLBlockquoteElement::setCite(const DOM::DOMString&)
    {45, 1911, 0, 0, Smoke::mf_dtor, 0, 8 },	//656 DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement()
    {46, 186, 0, 0, Smoke::mf_ctor, 112, 1},	//657 DOM::HTMLBodyElement::HTMLBodyElement()
    {46, 186, 193, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 112, 2},	//658 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
    {46, 186, 15, 1, Smoke::mf_ctor, 112, 3},	//659 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
    {46, 1117, 193, 1, 0, 111, 4},	//660 DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
    {46, 1117, 15, 1, 0, 111, 5},	//661 DOM::HTMLBodyElement::operator=(const DOM::Node&)
    {46, 464, 0, 0, Smoke::mf_const, 65, 6},	//662 DOM::HTMLBodyElement::aLink() const
    {46, 1289, 19, 1, 0, 0, 7},	//663 DOM::HTMLBodyElement::setALink(const DOM::DOMString&)
    {46, 523, 0, 0, Smoke::mf_const, 65, 8},	//664 DOM::HTMLBodyElement::background() const
    {46, 1325, 19, 1, 0, 0, 9},	//665 DOM::HTMLBodyElement::setBackground(const DOM::DOMString&)
    {46, 533, 0, 0, Smoke::mf_const, 65, 10},	//666 DOM::HTMLBodyElement::bgColor() const
    {46, 1327, 19, 1, 0, 0, 11},	//667 DOM::HTMLBodyElement::setBgColor(const DOM::DOMString&)
    {46, 1033, 0, 0, Smoke::mf_const, 65, 12},	//668 DOM::HTMLBodyElement::link() const
    {46, 1507, 19, 1, 0, 0, 13},	//669 DOM::HTMLBodyElement::setLink(const DOM::DOMString&)
    {46, 1774, 0, 0, Smoke::mf_const, 65, 14},	//670 DOM::HTMLBodyElement::text() const
    {46, 1650, 19, 1, 0, 0, 15},	//671 DOM::HTMLBodyElement::setText(const DOM::DOMString&)
    {46, 1819, 0, 0, Smoke::mf_const, 65, 16},	//672 DOM::HTMLBodyElement::vLink() const
    {46, 1669, 19, 1, 0, 0, 17},	//673 DOM::HTMLBodyElement::setVLink(const DOM::DOMString&)
    {46, 1912, 0, 0, Smoke::mf_dtor, 0, 18 },	//674 DOM::HTMLBodyElement::~HTMLBodyElement()
    {47, 188, 0, 0, Smoke::mf_ctor, 114, 1},	//675 DOM::HTMLButtonElement::HTMLButtonElement()
    {47, 188, 195, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 2},	//676 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
    {47, 188, 15, 1, Smoke::mf_ctor, 114, 3},	//677 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
    {47, 1117, 195, 1, 0, 113, 4},	//678 DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
    {47, 1117, 15, 1, 0, 113, 5},	//679 DOM::HTMLButtonElement::operator=(const DOM::Node&)
    {47, 799, 0, 0, Smoke::mf_const, 135, 6},	//680 DOM::HTMLButtonElement::form() const
    {47, 473, 0, 0, Smoke::mf_const, 65, 7},	//681 DOM::HTMLButtonElement::accessKey() const
    {47, 1297, 19, 1, 0, 0, 8},	//682 DOM::HTMLButtonElement::setAccessKey(const DOM::DOMString&)
    {47, 706, 0, 0, Smoke::mf_const, 450, 9},	//683 DOM::HTMLButtonElement::disabled() const
    {47, 1423, 135, 1, 0, 0, 10},	//684 DOM::HTMLButtonElement::setDisabled(bool)
    {47, 1072, 0, 0, Smoke::mf_const, 65, 11},	//685 DOM::HTMLButtonElement::name() const
    {47, 1533, 19, 1, 0, 0, 12},	//686 DOM::HTMLButtonElement::setName(const DOM::DOMString&)
    {47, 1768, 0, 0, Smoke::mf_const, 617, 13},	//687 DOM::HTMLButtonElement::tabIndex() const
    {47, 1646, 179, 1, 0, 0, 14},	//688 DOM::HTMLButtonElement::setTabIndex(long)
    {47, 1800, 0, 0, Smoke::mf_const, 65, 15},	//689 DOM::HTMLButtonElement::type() const
    {47, 1821, 0, 0, Smoke::mf_const, 65, 16},	//690 DOM::HTMLButtonElement::value() const
    {47, 1671, 19, 1, 0, 0, 17},	//691 DOM::HTMLButtonElement::setValue(const DOM::DOMString&)
    {47, 535, 0, 0, 0, 0, 18},	//692 DOM::HTMLButtonElement::blur()
    {47, 788, 0, 0, 0, 0, 19},	//693 DOM::HTMLButtonElement::focus()
    {47, 1913, 0, 0, Smoke::mf_dtor, 0, 20 },	//694 DOM::HTMLButtonElement::~HTMLButtonElement()
    {48, 190, 0, 0, Smoke::mf_ctor, 117, 1},	//695 DOM::HTMLCollection::HTMLCollection()
    {48, 190, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 2},	//696 DOM::HTMLCollection::HTMLCollection(const DOM::HTMLCollection&)
    {48, 1117, 197, 1, 0, 116, 3},	//697 DOM::HTMLCollection::operator=(const DOM::HTMLCollection&)
    {48, 1032, 0, 0, Smoke::mf_const, 621, 4},	//698 DOM::HTMLCollection::length() const
    {48, 984, 42, 1, Smoke::mf_const, 234, 5},	//699 DOM::HTMLCollection::item(unsigned long) const
    {48, 1073, 19, 1, Smoke::mf_const, 234, 6},	//700 DOM::HTMLCollection::namedItem(const DOM::DOMString&) const
    {48, 525, 0, 0, Smoke::mf_const, 234, 7},	//701 DOM::HTMLCollection::base() const
    {48, 974, 0, 0, Smoke::mf_const, 450, 8},	//702 DOM::HTMLCollection::isNull() const
    {48, 786, 0, 0, Smoke::mf_const, 234, 9},	//703 DOM::HTMLCollection::firstItem() const
    {48, 1079, 0, 0, Smoke::mf_const, 234, 10},	//704 DOM::HTMLCollection::nextItem() const
    {48, 1080, 19, 1, Smoke::mf_const, 234, 11},	//705 DOM::HTMLCollection::nextNamedItem(const DOM::DOMString&) const
    {48, 1914, 0, 0, Smoke::mf_dtor, 0, 12 },	//706 DOM::HTMLCollection::~HTMLCollection()
    {49, 192, 0, 0, Smoke::mf_ctor, 119, 1},	//707 DOM::HTMLDListElement::HTMLDListElement()
    {49, 192, 199, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//708 DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
    {49, 192, 15, 1, Smoke::mf_ctor, 119, 3},	//709 DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
    {49, 1117, 199, 1, 0, 118, 4},	//710 DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
    {49, 1117, 15, 1, 0, 118, 5},	//711 DOM::HTMLDListElement::operator=(const DOM::Node&)
    {49, 597, 0, 0, Smoke::mf_const, 450, 6},	//712 DOM::HTMLDListElement::compact() const
    {49, 1381, 135, 1, 0, 0, 7},	//713 DOM::HTMLDListElement::setCompact(bool)
    {49, 1915, 0, 0, Smoke::mf_dtor, 0, 8 },	//714 DOM::HTMLDListElement::~HTMLDListElement()
    {50, 194, 0, 0, Smoke::mf_ctor, 121, 1},	//715 DOM::HTMLDirectoryElement::HTMLDirectoryElement()
    {50, 194, 201, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//716 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
    {50, 194, 15, 1, Smoke::mf_ctor, 121, 3},	//717 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
    {50, 1117, 201, 1, 0, 120, 4},	//718 DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
    {50, 1117, 15, 1, 0, 120, 5},	//719 DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
    {50, 597, 0, 0, Smoke::mf_const, 450, 6},	//720 DOM::HTMLDirectoryElement::compact() const
    {50, 1381, 135, 1, 0, 0, 7},	//721 DOM::HTMLDirectoryElement::setCompact(bool)
    {50, 1916, 0, 0, Smoke::mf_dtor, 0, 8 },	//722 DOM::HTMLDirectoryElement::~HTMLDirectoryElement()
    {51, 196, 0, 0, Smoke::mf_ctor, 123, 1},	//723 DOM::HTMLDivElement::HTMLDivElement()
    {51, 196, 203, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 123, 2},	//724 DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
    {51, 196, 15, 1, Smoke::mf_ctor, 123, 3},	//725 DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
    {51, 1117, 203, 1, 0, 122, 4},	//726 DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
    {51, 1117, 15, 1, 0, 122, 5},	//727 DOM::HTMLDivElement::operator=(const DOM::Node&)
    {51, 496, 0, 0, Smoke::mf_const, 65, 6},	//728 DOM::HTMLDivElement::align() const
    {51, 1303, 19, 1, 0, 0, 7},	//729 DOM::HTMLDivElement::setAlign(const DOM::DOMString&)
    {51, 1917, 0, 0, Smoke::mf_dtor, 0, 8 },	//730 DOM::HTMLDivElement::~HTMLDivElement()
    {52, 198, 0, 0, Smoke::mf_ctor, 126, 1},	//731 DOM::HTMLDocument::HTMLDocument()
    {52, 198, 205, 1, Smoke::mf_ctor, 126, 2},	//732 DOM::HTMLDocument::HTMLDocument(KHTMLView*)
    {52, 198, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 126, 3},	//733 DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
    {52, 198, 15, 1, Smoke::mf_ctor, 126, 4},	//734 DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
    {52, 1117, 207, 1, 0, 125, 5},	//735 DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
    {52, 1117, 15, 1, 0, 125, 6},	//736 DOM::HTMLDocument::operator=(const DOM::Node&)
    {52, 1781, 0, 0, Smoke::mf_const, 65, 7},	//737 DOM::HTMLDocument::title() const
    {52, 1654, 19, 1, 0, 0, 8},	//738 DOM::HTMLDocument::setTitle(const DOM::DOMString&)
    {52, 1200, 0, 0, Smoke::mf_const, 65, 9},	//739 DOM::HTMLDocument::referrer() const
    {52, 725, 0, 0, Smoke::mf_const, 65, 10},	//740 DOM::HTMLDocument::domain() const
    {52, 449, 0, 0, Smoke::mf_const, 65, 11},	//741 DOM::HTMLDocument::URL() const
    {52, 536, 0, 0, Smoke::mf_const, 127, 12},	//742 DOM::HTMLDocument::body() const
    {52, 1329, 209, 1, 0, 0, 13},	//743 DOM::HTMLDocument::setBody(const DOM::HTMLElement&)
    {52, 898, 0, 0, Smoke::mf_const, 115, 14},	//744 DOM::HTMLDocument::images() const
    {52, 508, 0, 0, Smoke::mf_const, 115, 15},	//745 DOM::HTMLDocument::applets() const
    {52, 1035, 0, 0, Smoke::mf_const, 115, 16},	//746 DOM::HTMLDocument::links() const
    {52, 803, 0, 0, Smoke::mf_const, 115, 17},	//747 DOM::HTMLDocument::forms() const
    {52, 1028, 0, 0, Smoke::mf_const, 115, 18},	//748 DOM::HTMLDocument::layers() const
    {52, 1263, 0, 0, Smoke::mf_const, 115, 19},	//749 DOM::HTMLDocument::scripts() const
    {52, 501, 0, 0, Smoke::mf_const, 115, 20},	//750 DOM::HTMLDocument::anchors() const
    {52, 619, 0, 0, Smoke::mf_const, 65, 21},	//751 DOM::HTMLDocument::cookie() const
    {52, 1390, 19, 1, 0, 0, 22},	//752 DOM::HTMLDocument::setCookie(const DOM::DOMString&)
    {52, 1105, 0, 0, 0, 0, 23},	//753 DOM::HTMLDocument::open()
    {52, 581, 0, 0, 0, 0, 24},	//754 DOM::HTMLDocument::close()
    {52, 1854, 19, 1, 0, 0, 25},	//755 DOM::HTMLDocument::write(const DOM::DOMString&)
    {52, 1858, 19, 1, 0, 0, 26},	//756 DOM::HTMLDocument::writeln(const DOM::DOMString&)
    {52, 831, 19, 1, 0, 247, 27},	//757 DOM::HTMLDocument::getElementsByName(const DOM::DOMString&)
    {52, 602, 19, 1, Smoke::mf_const, 65, 28},	//758 DOM::HTMLDocument::completeURL(const DOM::DOMString&) const
    {52, 1025, 0, 0, Smoke::mf_const, 65, 29},	//759 DOM::HTMLDocument::lastModified() const
    {52, 497, 0, 0, Smoke::mf_const, 115, 30},	//760 DOM::HTMLDocument::all() const
    {52, 1918, 0, 0, Smoke::mf_dtor, 0, 31 },	//761 DOM::HTMLDocument::~HTMLDocument()
    {53, 200, 0, 0, Smoke::mf_ctor, 129, 1},	//762 DOM::HTMLElement::HTMLElement()
    {53, 200, 209, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//763 DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
    {53, 200, 15, 1, Smoke::mf_ctor, 129, 3},	//764 DOM::HTMLElement::HTMLElement(const DOM::Node&)
    {53, 1117, 209, 1, 0, 128, 4},	//765 DOM::HTMLElement::operator=(const DOM::HTMLElement&)
    {53, 1117, 15, 1, 0, 128, 5},	//766 DOM::HTMLElement::operator=(const DOM::Node&)
    {53, 896, 0, 0, Smoke::mf_const, 65, 6},	//767 DOM::HTMLElement::id() const
    {53, 1477, 19, 1, 0, 0, 7},	//768 DOM::HTMLElement::setId(const DOM::DOMString&)
    {53, 1781, 0, 0, Smoke::mf_const, 65, 8},	//769 DOM::HTMLElement::title() const
    {53, 1654, 19, 1, 0, 0, 9},	//770 DOM::HTMLElement::setTitle(const DOM::DOMString&)
    {53, 1021, 0, 0, Smoke::mf_const, 65, 10},	//771 DOM::HTMLElement::lang() const
    {53, 1503, 19, 1, 0, 0, 11},	//772 DOM::HTMLElement::setLang(const DOM::DOMString&)
    {53, 705, 0, 0, Smoke::mf_const, 65, 12},	//773 DOM::HTMLElement::dir() const
    {53, 1421, 19, 1, 0, 0, 13},	//774 DOM::HTMLElement::setDir(const DOM::DOMString&)
    {53, 566, 0, 0, Smoke::mf_const, 65, 14},	//775 DOM::HTMLElement::className() const
    {53, 1363, 19, 1, 0, 0, 15},	//776 DOM::HTMLElement::setClassName(const DOM::DOMString&)
    {53, 921, 0, 0, Smoke::mf_const, 65, 16},	//777 DOM::HTMLElement::innerHTML() const
    {53, 1483, 19, 1, 0, 0, 17},	//778 DOM::HTMLElement::setInnerHTML(const DOM::DOMString&)
    {53, 923, 0, 0, Smoke::mf_const, 65, 18},	//779 DOM::HTMLElement::innerText() const
    {53, 1485, 19, 1, 0, 0, 19},	//780 DOM::HTMLElement::setInnerText(const DOM::DOMString&)
    {53, 564, 0, 0, Smoke::mf_const, 115, 20},	//781 DOM::HTMLElement::children() const
    {53, 497, 0, 0, Smoke::mf_const, 115, 21},	//782 DOM::HTMLElement::all() const
    {53, 952, 0, 0, Smoke::mf_const, 450, 22},	//783 DOM::HTMLElement::isContentEditable() const
    {53, 610, 0, 0, Smoke::mf_const, 65, 23},	//784 DOM::HTMLElement::contentEditable() const
    {53, 1386, 19, 1, 0, 0, 24},	//785 DOM::HTMLElement::setContentEditable(const DOM::DOMString&)
    {53, 1213, 19, 1, 0, 0, 25},	//786 DOM::HTMLElement::removeCSSProperty(const DOM::DOMString&)
    {53, 486, 4, 2, 0, 0, 26},	//787 DOM::HTMLElement::addCSSProperty(const DOM::DOMString&, const DOM::DOMString&)
    {53, 512, 211, 2, Smoke::mf_protected, 0, 27},	//788 DOM::HTMLElement::assignOther(const DOM::Node&, int)
    {53, 1919, 0, 0, Smoke::mf_dtor, 0, 28 },	//789 DOM::HTMLElement::~HTMLElement()
    {54, 202, 0, 0, Smoke::mf_ctor, 131, 1},	//790 DOM::HTMLFieldSetElement::HTMLFieldSetElement()
    {54, 202, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 2},	//791 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
    {54, 202, 15, 1, Smoke::mf_ctor, 131, 3},	//792 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
    {54, 1117, 214, 1, 0, 130, 4},	//793 DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
    {54, 1117, 15, 1, 0, 130, 5},	//794 DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
    {54, 799, 0, 0, Smoke::mf_const, 135, 6},	//795 DOM::HTMLFieldSetElement::form() const
    {54, 1920, 0, 0, Smoke::mf_dtor, 0, 7 },	//796 DOM::HTMLFieldSetElement::~HTMLFieldSetElement()
    {55, 204, 0, 0, Smoke::mf_ctor, 133, 1},	//797 DOM::HTMLFontElement::HTMLFontElement()
    {55, 204, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 2},	//798 DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
    {55, 204, 15, 1, Smoke::mf_ctor, 133, 3},	//799 DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
    {55, 1117, 216, 1, 0, 132, 4},	//800 DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
    {55, 1117, 15, 1, 0, 132, 5},	//801 DOM::HTMLFontElement::operator=(const DOM::Node&)
    {55, 594, 0, 0, Smoke::mf_const, 65, 6},	//802 DOM::HTMLFontElement::color() const
    {55, 1376, 19, 1, 0, 0, 7},	//803 DOM::HTMLFontElement::setColor(const DOM::DOMString&)
    {55, 760, 0, 0, Smoke::mf_const, 65, 8},	//804 DOM::HTMLFontElement::face() const
    {55, 1441, 19, 1, 0, 0, 9},	//805 DOM::HTMLFontElement::setFace(const DOM::DOMString&)
    {55, 1709, 0, 0, Smoke::mf_const, 65, 10},	//806 DOM::HTMLFontElement::size() const
    {55, 1609, 19, 1, 0, 0, 11},	//807 DOM::HTMLFontElement::setSize(const DOM::DOMString&)
    {55, 1921, 0, 0, Smoke::mf_dtor, 0, 12 },	//808 DOM::HTMLFontElement::~HTMLFontElement()
    {56, 206, 218, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 1},	//809 DOM::HTMLFormCollection::HTMLFormCollection(const DOM::HTMLFormCollection&)
    {56, 1922, 0, 0, Smoke::mf_dtor, 0, 2 },	//810 DOM::HTMLFormCollection::~HTMLFormCollection()
    {57, 208, 0, 0, Smoke::mf_ctor, 137, 1},	//811 DOM::HTMLFormElement::HTMLFormElement()
    {57, 208, 220, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//812 DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
    {57, 208, 15, 1, Smoke::mf_ctor, 137, 3},	//813 DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
    {57, 1117, 220, 1, 0, 136, 4},	//814 DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
    {57, 1117, 15, 1, 0, 136, 5},	//815 DOM::HTMLFormElement::operator=(const DOM::Node&)
    {57, 734, 0, 0, Smoke::mf_const, 115, 6},	//816 DOM::HTMLFormElement::elements() const
    {57, 1032, 0, 0, Smoke::mf_const, 617, 7},	//817 DOM::HTMLFormElement::length() const
    {57, 1072, 0, 0, Smoke::mf_const, 65, 8},	//818 DOM::HTMLFormElement::name() const
    {57, 1533, 19, 1, 0, 0, 9},	//819 DOM::HTMLFormElement::setName(const DOM::DOMString&)
    {57, 470, 0, 0, Smoke::mf_const, 65, 10},	//820 DOM::HTMLFormElement::acceptCharset() const
    {57, 1295, 19, 1, 0, 0, 11},	//821 DOM::HTMLFormElement::setAcceptCharset(const DOM::DOMString&)
    {57, 475, 0, 0, Smoke::mf_const, 65, 12},	//822 DOM::HTMLFormElement::action() const
    {57, 1299, 19, 1, 0, 0, 13},	//823 DOM::HTMLFormElement::setAction(const DOM::DOMString&)
    {57, 738, 0, 0, Smoke::mf_const, 65, 14},	//824 DOM::HTMLFormElement::enctype() const
    {57, 1431, 19, 1, 0, 0, 15},	//825 DOM::HTMLFormElement::setEnctype(const DOM::DOMString&)
    {57, 1058, 0, 0, Smoke::mf_const, 65, 16},	//826 DOM::HTMLFormElement::method() const
    {57, 1529, 19, 1, 0, 0, 17},	//827 DOM::HTMLFormElement::setMethod(const DOM::DOMString&)
    {57, 1771, 0, 0, Smoke::mf_const, 65, 18},	//828 DOM::HTMLFormElement::target() const
    {57, 1648, 19, 1, 0, 0, 19},	//829 DOM::HTMLFormElement::setTarget(const DOM::DOMString&)
    {57, 1751, 0, 0, 0, 0, 20},	//830 DOM::HTMLFormElement::submit()
    {57, 1235, 0, 0, 0, 0, 21},	//831 DOM::HTMLFormElement::reset()
    {57, 1923, 0, 0, Smoke::mf_dtor, 0, 22 },	//832 DOM::HTMLFormElement::~HTMLFormElement()
    {58, 210, 0, 0, Smoke::mf_ctor, 139, 1},	//833 DOM::HTMLFrameElement::HTMLFrameElement()
    {58, 210, 222, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 2},	//834 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
    {58, 210, 15, 1, Smoke::mf_ctor, 139, 3},	//835 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
    {58, 1117, 222, 1, 0, 138, 4},	//836 DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
    {58, 1117, 15, 1, 0, 138, 5},	//837 DOM::HTMLFrameElement::operator=(const DOM::Node&)
    {58, 805, 0, 0, Smoke::mf_const, 65, 6},	//838 DOM::HTMLFrameElement::frameBorder() const
    {58, 1457, 19, 1, 0, 0, 7},	//839 DOM::HTMLFrameElement::setFrameBorder(const DOM::DOMString&)
    {58, 1043, 0, 0, Smoke::mf_const, 65, 8},	//840 DOM::HTMLFrameElement::longDesc() const
    {58, 1510, 19, 1, 0, 0, 9},	//841 DOM::HTMLFrameElement::setLongDesc(const DOM::DOMString&)
    {58, 1046, 0, 0, Smoke::mf_const, 65, 10},	//842 DOM::HTMLFrameElement::marginHeight() const
    {58, 1515, 19, 1, 0, 0, 11},	//843 DOM::HTMLFrameElement::setMarginHeight(const DOM::DOMString&)
    {58, 1047, 0, 0, Smoke::mf_const, 65, 12},	//844 DOM::HTMLFrameElement::marginWidth() const
    {58, 1518, 19, 1, 0, 0, 13},	//845 DOM::HTMLFrameElement::setMarginWidth(const DOM::DOMString&)
    {58, 1072, 0, 0, Smoke::mf_const, 65, 14},	//846 DOM::HTMLFrameElement::name() const
    {58, 1533, 19, 1, 0, 0, 15},	//847 DOM::HTMLFrameElement::setName(const DOM::DOMString&)
    {58, 1085, 0, 0, Smoke::mf_const, 450, 16},	//848 DOM::HTMLFrameElement::noResize() const
    {58, 1541, 135, 1, 0, 0, 17},	//849 DOM::HTMLFrameElement::setNoResize(bool)
    {58, 1268, 0, 0, Smoke::mf_const, 65, 18},	//850 DOM::HTMLFrameElement::scrolling() const
    {58, 1586, 19, 1, 0, 0, 19},	//851 DOM::HTMLFrameElement::setScrolling(const DOM::DOMString&)
    {58, 1724, 0, 0, Smoke::mf_const, 65, 20},	//852 DOM::HTMLFrameElement::src() const
    {58, 1618, 19, 1, 0, 0, 21},	//853 DOM::HTMLFrameElement::setSrc(const DOM::DOMString&)
    {58, 609, 0, 0, Smoke::mf_const, 68, 22},	//854 DOM::HTMLFrameElement::contentDocument() const
    {58, 1924, 0, 0, Smoke::mf_dtor, 0, 23 },	//855 DOM::HTMLFrameElement::~HTMLFrameElement()
    {59, 212, 0, 0, Smoke::mf_ctor, 141, 1},	//856 DOM::HTMLFrameSetElement::HTMLFrameSetElement()
    {59, 212, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//857 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
    {59, 212, 15, 1, Smoke::mf_ctor, 141, 3},	//858 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
    {59, 1117, 224, 1, 0, 140, 4},	//859 DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
    {59, 1117, 15, 1, 0, 140, 5},	//860 DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
    {59, 595, 0, 0, Smoke::mf_const, 65, 6},	//861 DOM::HTMLFrameSetElement::cols() const
    {59, 1378, 19, 1, 0, 0, 7},	//862 DOM::HTMLFrameSetElement::setCols(const DOM::DOMString&)
    {59, 1251, 0, 0, Smoke::mf_const, 65, 8},	//863 DOM::HTMLFrameSetElement::rows() const
    {59, 1577, 19, 1, 0, 0, 9},	//864 DOM::HTMLFrameSetElement::setRows(const DOM::DOMString&)
    {59, 1925, 0, 0, Smoke::mf_dtor, 0, 10 },	//865 DOM::HTMLFrameSetElement::~HTMLFrameSetElement()
    {60, 214, 0, 0, Smoke::mf_ctor, 143, 1},	//866 DOM::HTMLHRElement::HTMLHRElement()
    {60, 214, 226, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//867 DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
    {60, 214, 15, 1, Smoke::mf_ctor, 143, 3},	//868 DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
    {60, 1117, 226, 1, 0, 142, 4},	//869 DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
    {60, 1117, 15, 1, 0, 142, 5},	//870 DOM::HTMLHRElement::operator=(const DOM::Node&)
    {60, 496, 0, 0, Smoke::mf_const, 65, 6},	//871 DOM::HTMLHRElement::align() const
    {60, 1303, 19, 1, 0, 0, 7},	//872 DOM::HTMLHRElement::setAlign(const DOM::DOMString&)
    {60, 1086, 0, 0, Smoke::mf_const, 450, 8},	//873 DOM::HTMLHRElement::noShade() const
    {60, 1543, 135, 1, 0, 0, 9},	//874 DOM::HTMLHRElement::setNoShade(bool)
    {60, 1709, 0, 0, Smoke::mf_const, 65, 10},	//875 DOM::HTMLHRElement::size() const
    {60, 1609, 19, 1, 0, 0, 11},	//876 DOM::HTMLHRElement::setSize(const DOM::DOMString&)
    {60, 1842, 0, 0, Smoke::mf_const, 65, 12},	//877 DOM::HTMLHRElement::width() const
    {60, 1687, 19, 1, 0, 0, 13},	//878 DOM::HTMLHRElement::setWidth(const DOM::DOMString&)
    {60, 1926, 0, 0, Smoke::mf_dtor, 0, 14 },	//879 DOM::HTMLHRElement::~HTMLHRElement()
    {61, 216, 0, 0, Smoke::mf_ctor, 145, 1},	//880 DOM::HTMLHeadElement::HTMLHeadElement()
    {61, 216, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//881 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
    {61, 216, 15, 1, Smoke::mf_ctor, 145, 3},	//882 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
    {61, 1117, 228, 1, 0, 144, 4},	//883 DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
    {61, 1117, 15, 1, 0, 144, 5},	//884 DOM::HTMLHeadElement::operator=(const DOM::Node&)
    {61, 1172, 0, 0, Smoke::mf_const, 65, 6},	//885 DOM::HTMLHeadElement::profile() const
    {61, 1561, 19, 1, 0, 0, 7},	//886 DOM::HTMLHeadElement::setProfile(const DOM::DOMString&)
    {61, 1927, 0, 0, Smoke::mf_dtor, 0, 8 },	//887 DOM::HTMLHeadElement::~HTMLHeadElement()
    {62, 218, 0, 0, Smoke::mf_ctor, 147, 1},	//888 DOM::HTMLHeadingElement::HTMLHeadingElement()
    {62, 218, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 2},	//889 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
    {62, 218, 15, 1, Smoke::mf_ctor, 147, 3},	//890 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
    {62, 1117, 230, 1, 0, 146, 4},	//891 DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
    {62, 1117, 15, 1, 0, 146, 5},	//892 DOM::HTMLHeadingElement::operator=(const DOM::Node&)
    {62, 496, 0, 0, Smoke::mf_const, 65, 6},	//893 DOM::HTMLHeadingElement::align() const
    {62, 1303, 19, 1, 0, 0, 7},	//894 DOM::HTMLHeadingElement::setAlign(const DOM::DOMString&)
    {62, 1928, 0, 0, Smoke::mf_dtor, 0, 8 },	//895 DOM::HTMLHeadingElement::~HTMLHeadingElement()
    {63, 220, 0, 0, Smoke::mf_ctor, 149, 1},	//896 DOM::HTMLHtmlElement::HTMLHtmlElement()
    {63, 220, 232, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//897 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
    {63, 220, 15, 1, Smoke::mf_ctor, 149, 3},	//898 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
    {63, 1117, 232, 1, 0, 148, 4},	//899 DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
    {63, 1117, 15, 1, 0, 148, 5},	//900 DOM::HTMLHtmlElement::operator=(const DOM::Node&)
    {63, 1823, 0, 0, Smoke::mf_const, 65, 6},	//901 DOM::HTMLHtmlElement::version() const
    {63, 1676, 19, 1, 0, 0, 7},	//902 DOM::HTMLHtmlElement::setVersion(const DOM::DOMString&)
    {63, 1929, 0, 0, Smoke::mf_dtor, 0, 8 },	//903 DOM::HTMLHtmlElement::~HTMLHtmlElement()
    {64, 222, 0, 0, Smoke::mf_ctor, 151, 1},	//904 DOM::HTMLIFrameElement::HTMLIFrameElement()
    {64, 222, 234, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 151, 2},	//905 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
    {64, 222, 15, 1, Smoke::mf_ctor, 151, 3},	//906 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
    {64, 1117, 234, 1, 0, 150, 4},	//907 DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
    {64, 1117, 15, 1, 0, 150, 5},	//908 DOM::HTMLIFrameElement::operator=(const DOM::Node&)
    {64, 496, 0, 0, Smoke::mf_const, 65, 6},	//909 DOM::HTMLIFrameElement::align() const
    {64, 1303, 19, 1, 0, 0, 7},	//910 DOM::HTMLIFrameElement::setAlign(const DOM::DOMString&)
    {64, 805, 0, 0, Smoke::mf_const, 65, 8},	//911 DOM::HTMLIFrameElement::frameBorder() const
    {64, 1457, 19, 1, 0, 0, 9},	//912 DOM::HTMLIFrameElement::setFrameBorder(const DOM::DOMString&)
    {64, 880, 0, 0, Smoke::mf_const, 65, 10},	//913 DOM::HTMLIFrameElement::height() const
    {64, 1461, 19, 1, 0, 0, 11},	//914 DOM::HTMLIFrameElement::setHeight(const DOM::DOMString&)
    {64, 1043, 0, 0, Smoke::mf_const, 65, 12},	//915 DOM::HTMLIFrameElement::longDesc() const
    {64, 1510, 19, 1, 0, 0, 13},	//916 DOM::HTMLIFrameElement::setLongDesc(const DOM::DOMString&)
    {64, 1046, 0, 0, Smoke::mf_const, 65, 14},	//917 DOM::HTMLIFrameElement::marginHeight() const
    {64, 1515, 19, 1, 0, 0, 15},	//918 DOM::HTMLIFrameElement::setMarginHeight(const DOM::DOMString&)
    {64, 1047, 0, 0, Smoke::mf_const, 65, 16},	//919 DOM::HTMLIFrameElement::marginWidth() const
    {64, 1518, 19, 1, 0, 0, 17},	//920 DOM::HTMLIFrameElement::setMarginWidth(const DOM::DOMString&)
    {64, 1072, 0, 0, Smoke::mf_const, 65, 18},	//921 DOM::HTMLIFrameElement::name() const
    {64, 1533, 19, 1, 0, 0, 19},	//922 DOM::HTMLIFrameElement::setName(const DOM::DOMString&)
    {64, 1268, 0, 0, Smoke::mf_const, 65, 20},	//923 DOM::HTMLIFrameElement::scrolling() const
    {64, 1586, 19, 1, 0, 0, 21},	//924 DOM::HTMLIFrameElement::setScrolling(const DOM::DOMString&)
    {64, 1724, 0, 0, Smoke::mf_const, 65, 22},	//925 DOM::HTMLIFrameElement::src() const
    {64, 1618, 19, 1, 0, 0, 23},	//926 DOM::HTMLIFrameElement::setSrc(const DOM::DOMString&)
    {64, 1842, 0, 0, Smoke::mf_const, 65, 24},	//927 DOM::HTMLIFrameElement::width() const
    {64, 1687, 19, 1, 0, 0, 25},	//928 DOM::HTMLIFrameElement::setWidth(const DOM::DOMString&)
    {64, 609, 0, 0, Smoke::mf_const, 68, 26},	//929 DOM::HTMLIFrameElement::contentDocument() const
    {64, 1930, 0, 0, Smoke::mf_dtor, 0, 27 },	//930 DOM::HTMLIFrameElement::~HTMLIFrameElement()
    {65, 224, 0, 0, Smoke::mf_ctor, 153, 1},	//931 DOM::HTMLImageElement::HTMLImageElement()
    {65, 224, 236, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 2},	//932 DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
    {65, 224, 15, 1, Smoke::mf_ctor, 153, 3},	//933 DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
    {65, 1117, 236, 1, 0, 152, 4},	//934 DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
    {65, 1117, 15, 1, 0, 152, 5},	//935 DOM::HTMLImageElement::operator=(const DOM::Node&)
    {65, 1072, 0, 0, Smoke::mf_const, 65, 6},	//936 DOM::HTMLImageElement::name() const
    {65, 1533, 19, 1, 0, 0, 7},	//937 DOM::HTMLImageElement::setName(const DOM::DOMString&)
    {65, 496, 0, 0, Smoke::mf_const, 65, 8},	//938 DOM::HTMLImageElement::align() const
    {65, 1303, 19, 1, 0, 0, 9},	//939 DOM::HTMLImageElement::setAlign(const DOM::DOMString&)
    {65, 499, 0, 0, Smoke::mf_const, 65, 10},	//940 DOM::HTMLImageElement::alt() const
    {65, 1305, 19, 1, 0, 0, 11},	//941 DOM::HTMLImageElement::setAlt(const DOM::DOMString&)
    {65, 821, 0, 0, Smoke::mf_const, 65, 12},	//942 DOM::HTMLImageElement::getBorder() const
    {65, 1331, 19, 1, 0, 0, 13},	//943 DOM::HTMLImageElement::setBorder(const DOM::DOMString&)
    {65, 537, 0, 0, Smoke::mf_const, 617, 14},	//944 DOM::HTMLImageElement::border() const
    {65, 1331, 179, 1, 0, 0, 15},	//945 DOM::HTMLImageElement::setBorder(long)
    {65, 880, 0, 0, Smoke::mf_const, 617, 16},	//946 DOM::HTMLImageElement::height() const
    {65, 1461, 179, 1, 0, 0, 17},	//947 DOM::HTMLImageElement::setHeight(long)
    {65, 890, 0, 0, Smoke::mf_const, 617, 18},	//948 DOM::HTMLImageElement::hspace() const
    {65, 1470, 179, 1, 0, 0, 19},	//949 DOM::HTMLImageElement::setHspace(long)
    {65, 972, 0, 0, Smoke::mf_const, 450, 20},	//950 DOM::HTMLImageElement::isMap() const
    {65, 1487, 135, 1, 0, 0, 21},	//951 DOM::HTMLImageElement::setIsMap(bool)
    {65, 1043, 0, 0, Smoke::mf_const, 65, 22},	//952 DOM::HTMLImageElement::longDesc() const
    {65, 1510, 19, 1, 0, 0, 23},	//953 DOM::HTMLImageElement::setLongDesc(const DOM::DOMString&)
    {65, 1724, 0, 0, Smoke::mf_const, 65, 24},	//954 DOM::HTMLImageElement::src() const
    {65, 1618, 19, 1, 0, 0, 25},	//955 DOM::HTMLImageElement::setSrc(const DOM::DOMString&)
    {65, 1816, 0, 0, Smoke::mf_const, 65, 26},	//956 DOM::HTMLImageElement::useMap() const
    {65, 1662, 19, 1, 0, 0, 27},	//957 DOM::HTMLImageElement::setUseMap(const DOM::DOMString&)
    {65, 1834, 0, 0, Smoke::mf_const, 617, 28},	//958 DOM::HTMLImageElement::vspace() const
    {65, 1683, 179, 1, 0, 0, 29},	//959 DOM::HTMLImageElement::setVspace(long)
    {65, 1842, 0, 0, Smoke::mf_const, 617, 30},	//960 DOM::HTMLImageElement::width() const
    {65, 1687, 179, 1, 0, 0, 31},	//961 DOM::HTMLImageElement::setWidth(long)
    {65, 1860, 0, 0, Smoke::mf_const, 617, 32},	//962 DOM::HTMLImageElement::x() const
    {65, 1863, 0, 0, Smoke::mf_const, 617, 33},	//963 DOM::HTMLImageElement::y() const
    {65, 1931, 0, 0, Smoke::mf_dtor, 0, 34 },	//964 DOM::HTMLImageElement::~HTMLImageElement()
    {66, 226, 0, 0, Smoke::mf_ctor, 155, 1},	//965 DOM::HTMLInputElement::HTMLInputElement()
    {66, 226, 238, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//966 DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
    {66, 226, 15, 1, Smoke::mf_ctor, 155, 3},	//967 DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
    {66, 1117, 238, 1, 0, 154, 4},	//968 DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
    {66, 1117, 15, 1, 0, 154, 5},	//969 DOM::HTMLInputElement::operator=(const DOM::Node&)
    {66, 682, 0, 0, Smoke::mf_const, 65, 6},	//970 DOM::HTMLInputElement::defaultValue() const
    {66, 1415, 19, 1, 0, 0, 7},	//971 DOM::HTMLInputElement::setDefaultValue(const DOM::DOMString&)
    {66, 680, 0, 0, Smoke::mf_const, 450, 8},	//972 DOM::HTMLInputElement::defaultChecked() const
    {66, 1411, 135, 1, 0, 0, 9},	//973 DOM::HTMLInputElement::setDefaultChecked(bool)
    {66, 799, 0, 0, Smoke::mf_const, 135, 10},	//974 DOM::HTMLInputElement::form() const
    {66, 469, 0, 0, Smoke::mf_const, 65, 11},	//975 DOM::HTMLInputElement::accept() const
    {66, 1293, 19, 1, 0, 0, 12},	//976 DOM::HTMLInputElement::setAccept(const DOM::DOMString&)
    {66, 473, 0, 0, Smoke::mf_const, 65, 13},	//977 DOM::HTMLInputElement::accessKey() const
    {66, 1297, 19, 1, 0, 0, 14},	//978 DOM::HTMLInputElement::setAccessKey(const DOM::DOMString&)
    {66, 496, 0, 0, Smoke::mf_const, 65, 15},	//979 DOM::HTMLInputElement::align() const
    {66, 1303, 19, 1, 0, 0, 16},	//980 DOM::HTMLInputElement::setAlign(const DOM::DOMString&)
    {66, 499, 0, 0, Smoke::mf_const, 65, 17},	//981 DOM::HTMLInputElement::alt() const
    {66, 1305, 19, 1, 0, 0, 18},	//982 DOM::HTMLInputElement::setAlt(const DOM::DOMString&)
    {66, 560, 0, 0, Smoke::mf_const, 450, 19},	//983 DOM::HTMLInputElement::checked() const
    {66, 1359, 135, 1, 0, 0, 20},	//984 DOM::HTMLInputElement::setChecked(bool)
    {66, 904, 0, 0, Smoke::mf_const, 450, 21},	//985 DOM::HTMLInputElement::indeterminate() const
    {66, 1479, 135, 1, 0, 0, 22},	//986 DOM::HTMLInputElement::setIndeterminate(bool)
    {66, 706, 0, 0, Smoke::mf_const, 450, 23},	//987 DOM::HTMLInputElement::disabled() const
    {66, 1423, 135, 1, 0, 0, 24},	//988 DOM::HTMLInputElement::setDisabled(bool)
    {66, 1049, 0, 0, Smoke::mf_const, 617, 25},	//989 DOM::HTMLInputElement::maxLength() const
    {66, 1521, 179, 1, 0, 0, 26},	//990 DOM::HTMLInputElement::setMaxLength(long)
    {66, 1072, 0, 0, Smoke::mf_const, 65, 27},	//991 DOM::HTMLInputElement::name() const
    {66, 1533, 19, 1, 0, 0, 28},	//992 DOM::HTMLInputElement::setName(const DOM::DOMString&)
    {66, 1196, 0, 0, Smoke::mf_const, 450, 29},	//993 DOM::HTMLInputElement::readOnly() const
    {66, 1567, 135, 1, 0, 0, 30},	//994 DOM::HTMLInputElement::setReadOnly(bool)
    {66, 1709, 0, 0, Smoke::mf_const, 65, 31},	//995 DOM::HTMLInputElement::size() const
    {66, 1609, 19, 1, 0, 0, 32},	//996 DOM::HTMLInputElement::setSize(const DOM::DOMString&)
    {66, 859, 0, 0, Smoke::mf_const, 617, 33},	//997 DOM::HTMLInputElement::getSize() const
    {66, 1609, 179, 1, 0, 0, 34},	//998 DOM::HTMLInputElement::setSize(long)
    {66, 1724, 0, 0, Smoke::mf_const, 65, 35},	//999 DOM::HTMLInputElement::src() const
    {66, 1618, 19, 1, 0, 0, 36},	//1000 DOM::HTMLInputElement::setSrc(const DOM::DOMString&)
    {66, 1768, 0, 0, Smoke::mf_const, 617, 37},	//1001 DOM::HTMLInputElement::tabIndex() const
    {66, 1646, 179, 1, 0, 0, 38},	//1002 DOM::HTMLInputElement::setTabIndex(long)
    {66, 1800, 0, 0, Smoke::mf_const, 65, 39},	//1003 DOM::HTMLInputElement::type() const
    {66, 1658, 19, 1, 0, 0, 40},	//1004 DOM::HTMLInputElement::setType(const DOM::DOMString&)
    {66, 1816, 0, 0, Smoke::mf_const, 65, 41},	//1005 DOM::HTMLInputElement::useMap() const
    {66, 1662, 19, 1, 0, 0, 42},	//1006 DOM::HTMLInputElement::setUseMap(const DOM::DOMString&)
    {66, 1821, 0, 0, Smoke::mf_const, 65, 43},	//1007 DOM::HTMLInputElement::value() const
    {66, 1671, 19, 1, 0, 0, 44},	//1008 DOM::HTMLInputElement::setValue(const DOM::DOMString&)
    {66, 535, 0, 0, 0, 0, 45},	//1009 DOM::HTMLInputElement::blur()
    {66, 788, 0, 0, 0, 0, 46},	//1010 DOM::HTMLInputElement::focus()
    {66, 1270, 0, 0, 0, 0, 47},	//1011 DOM::HTMLInputElement::select()
    {66, 569, 0, 0, 0, 0, 48},	//1012 DOM::HTMLInputElement::click()
    {66, 1285, 0, 0, 0, 617, 49},	//1013 DOM::HTMLInputElement::selectionStart()
    {66, 1603, 179, 1, 0, 0, 50},	//1014 DOM::HTMLInputElement::setSelectionStart(long)
    {66, 1284, 0, 0, 0, 617, 51},	//1015 DOM::HTMLInputElement::selectionEnd()
    {66, 1599, 179, 1, 0, 0, 52},	//1016 DOM::HTMLInputElement::setSelectionEnd(long)
    {66, 1601, 240, 2, 0, 0, 53},	//1017 DOM::HTMLInputElement::setSelectionRange(long, long)
    {66, 1932, 0, 0, Smoke::mf_dtor, 0, 54 },	//1018 DOM::HTMLInputElement::~HTMLInputElement()
    {67, 228, 0, 0, Smoke::mf_ctor, 157, 1},	//1019 DOM::HTMLIsIndexElement::HTMLIsIndexElement()
    {67, 228, 243, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 2},	//1020 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
    {67, 228, 15, 1, Smoke::mf_ctor, 157, 3},	//1021 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
    {67, 1117, 243, 1, 0, 156, 4},	//1022 DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
    {67, 1117, 15, 1, 0, 156, 5},	//1023 DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
    {67, 799, 0, 0, Smoke::mf_const, 135, 6},	//1024 DOM::HTMLIsIndexElement::form() const
    {67, 1173, 0, 0, Smoke::mf_const, 65, 7},	//1025 DOM::HTMLIsIndexElement::prompt() const
    {67, 1563, 19, 1, 0, 0, 8},	//1026 DOM::HTMLIsIndexElement::setPrompt(const DOM::DOMString&)
    {67, 1933, 0, 0, Smoke::mf_dtor, 0, 9 },	//1027 DOM::HTMLIsIndexElement::~HTMLIsIndexElement()
    {68, 230, 0, 0, Smoke::mf_ctor, 159, 1},	//1028 DOM::HTMLLIElement::HTMLLIElement()
    {68, 230, 245, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 159, 2},	//1029 DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
    {68, 230, 15, 1, Smoke::mf_ctor, 159, 3},	//1030 DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
    {68, 1117, 245, 1, 0, 158, 4},	//1031 DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
    {68, 1117, 15, 1, 0, 158, 5},	//1032 DOM::HTMLLIElement::operator=(const DOM::Node&)
    {68, 1800, 0, 0, Smoke::mf_const, 65, 6},	//1033 DOM::HTMLLIElement::type() const
    {68, 1658, 19, 1, 0, 0, 7},	//1034 DOM::HTMLLIElement::setType(const DOM::DOMString&)
    {68, 1821, 0, 0, Smoke::mf_const, 617, 8},	//1035 DOM::HTMLLIElement::value() const
    {68, 1671, 179, 1, 0, 0, 9},	//1036 DOM::HTMLLIElement::setValue(long)
    {68, 1934, 0, 0, Smoke::mf_dtor, 0, 10 },	//1037 DOM::HTMLLIElement::~HTMLLIElement()
    {69, 232, 0, 0, Smoke::mf_ctor, 161, 1},	//1038 DOM::HTMLLabelElement::HTMLLabelElement()
    {69, 232, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 2},	//1039 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
    {69, 232, 15, 1, Smoke::mf_ctor, 161, 3},	//1040 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
    {69, 1117, 247, 1, 0, 160, 4},	//1041 DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
    {69, 1117, 15, 1, 0, 160, 5},	//1042 DOM::HTMLLabelElement::operator=(const DOM::Node&)
    {69, 473, 0, 0, Smoke::mf_const, 65, 6},	//1043 DOM::HTMLLabelElement::accessKey() const
    {69, 1297, 19, 1, 0, 0, 7},	//1044 DOM::HTMLLabelElement::setAccessKey(const DOM::DOMString&)
    {69, 894, 0, 0, Smoke::mf_const, 65, 8},	//1045 DOM::HTMLLabelElement::htmlFor() const
    {69, 1473, 19, 1, 0, 0, 9},	//1046 DOM::HTMLLabelElement::setHtmlFor(const DOM::DOMString&)
    {69, 1935, 0, 0, Smoke::mf_dtor, 0, 10 },	//1047 DOM::HTMLLabelElement::~HTMLLabelElement()
    {70, 234, 0, 0, Smoke::mf_ctor, 163, 1},	//1048 DOM::HTMLLayerElement::HTMLLayerElement()
    {70, 234, 249, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 163, 2},	//1049 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
    {70, 234, 15, 1, Smoke::mf_ctor, 163, 3},	//1050 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
    {70, 1117, 249, 1, 0, 162, 4},	//1051 DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
    {70, 1117, 15, 1, 0, 162, 5},	//1052 DOM::HTMLLayerElement::operator=(const DOM::Node&)
    {70, 1788, 0, 0, Smoke::mf_const, 617, 6},	//1053 DOM::HTMLLayerElement::top() const
    {70, 1656, 179, 1, 0, 0, 7},	//1054 DOM::HTMLLayerElement::setTop(long)
    {70, 1031, 0, 0, Smoke::mf_const, 617, 8},	//1055 DOM::HTMLLayerElement::left() const
    {70, 1505, 179, 1, 0, 0, 9},	//1056 DOM::HTMLLayerElement::setLeft(long)
    {70, 1831, 0, 0, Smoke::mf_const, 65, 10},	//1057 DOM::HTMLLayerElement::visibility() const
    {70, 1680, 19, 1, 0, 0, 11},	//1058 DOM::HTMLLayerElement::setVisibility(const DOM::DOMString&)
    {70, 533, 0, 0, Smoke::mf_const, 65, 12},	//1059 DOM::HTMLLayerElement::bgColor() const
    {70, 1327, 19, 1, 0, 0, 13},	//1060 DOM::HTMLLayerElement::setBgColor(const DOM::DOMString&)
    {70, 1028, 0, 0, Smoke::mf_const, 115, 14},	//1061 DOM::HTMLLayerElement::layers() const
    {70, 1936, 0, 0, Smoke::mf_dtor, 0, 15 },	//1062 DOM::HTMLLayerElement::~HTMLLayerElement()
    {71, 236, 0, 0, Smoke::mf_ctor, 165, 1},	//1063 DOM::HTMLLegendElement::HTMLLegendElement()
    {71, 236, 251, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 2},	//1064 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
    {71, 236, 15, 1, Smoke::mf_ctor, 165, 3},	//1065 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
    {71, 1117, 251, 1, 0, 164, 4},	//1066 DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
    {71, 1117, 15, 1, 0, 164, 5},	//1067 DOM::HTMLLegendElement::operator=(const DOM::Node&)
    {71, 799, 0, 0, Smoke::mf_const, 135, 6},	//1068 DOM::HTMLLegendElement::form() const
    {71, 473, 0, 0, Smoke::mf_const, 65, 7},	//1069 DOM::HTMLLegendElement::accessKey() const
    {71, 1297, 19, 1, 0, 0, 8},	//1070 DOM::HTMLLegendElement::setAccessKey(const DOM::DOMString&)
    {71, 496, 0, 0, Smoke::mf_const, 65, 9},	//1071 DOM::HTMLLegendElement::align() const
    {71, 1303, 19, 1, 0, 0, 10},	//1072 DOM::HTMLLegendElement::setAlign(const DOM::DOMString&)
    {71, 1937, 0, 0, Smoke::mf_dtor, 0, 11 },	//1073 DOM::HTMLLegendElement::~HTMLLegendElement()
    {72, 238, 0, 0, Smoke::mf_ctor, 167, 1},	//1074 DOM::HTMLLinkElement::HTMLLinkElement()
    {72, 238, 253, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 167, 2},	//1075 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
    {72, 238, 15, 1, Smoke::mf_ctor, 167, 3},	//1076 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
    {72, 1117, 253, 1, 0, 166, 4},	//1077 DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
    {72, 1117, 15, 1, 0, 166, 5},	//1078 DOM::HTMLLinkElement::operator=(const DOM::Node&)
    {72, 706, 0, 0, Smoke::mf_const, 450, 6},	//1079 DOM::HTMLLinkElement::disabled() const
    {72, 1423, 135, 1, 0, 0, 7},	//1080 DOM::HTMLLinkElement::setDisabled(bool)
    {72, 559, 0, 0, Smoke::mf_const, 65, 8},	//1081 DOM::HTMLLinkElement::charset() const
    {72, 1357, 19, 1, 0, 0, 9},	//1082 DOM::HTMLLinkElement::setCharset(const DOM::DOMString&)
    {72, 888, 0, 0, Smoke::mf_const, 65, 10},	//1083 DOM::HTMLLinkElement::href() const
    {72, 1466, 19, 1, 0, 0, 11},	//1084 DOM::HTMLLinkElement::setHref(const DOM::DOMString&)
    {72, 889, 0, 0, Smoke::mf_const, 65, 12},	//1085 DOM::HTMLLinkElement::hreflang() const
    {72, 1468, 19, 1, 0, 0, 13},	//1086 DOM::HTMLLinkElement::setHreflang(const DOM::DOMString&)
    {72, 1052, 0, 0, Smoke::mf_const, 65, 14},	//1087 DOM::HTMLLinkElement::media() const
    {72, 1523, 19, 1, 0, 0, 15},	//1088 DOM::HTMLLinkElement::setMedia(const DOM::DOMString&)
    {72, 1201, 0, 0, Smoke::mf_const, 65, 16},	//1089 DOM::HTMLLinkElement::rel() const
    {72, 1569, 19, 1, 0, 0, 17},	//1090 DOM::HTMLLinkElement::setRel(const DOM::DOMString&)
    {72, 1243, 0, 0, Smoke::mf_const, 65, 18},	//1091 DOM::HTMLLinkElement::rev() const
    {72, 1571, 19, 1, 0, 0, 19},	//1092 DOM::HTMLLinkElement::setRev(const DOM::DOMString&)
    {72, 1771, 0, 0, Smoke::mf_const, 65, 20},	//1093 DOM::HTMLLinkElement::target() const
    {72, 1648, 19, 1, 0, 0, 21},	//1094 DOM::HTMLLinkElement::setTarget(const DOM::DOMString&)
    {72, 1800, 0, 0, Smoke::mf_const, 65, 22},	//1095 DOM::HTMLLinkElement::type() const
    {72, 1658, 19, 1, 0, 0, 23},	//1096 DOM::HTMLLinkElement::setType(const DOM::DOMString&)
    {72, 1701, 0, 0, Smoke::mf_const, 268, 24},	//1097 DOM::HTMLLinkElement::sheet() const
    {72, 1938, 0, 0, Smoke::mf_dtor, 0, 25 },	//1098 DOM::HTMLLinkElement::~HTMLLinkElement()
    {73, 240, 0, 0, Smoke::mf_ctor, 169, 1},	//1099 DOM::HTMLMapElement::HTMLMapElement()
    {73, 240, 255, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 169, 2},	//1100 DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
    {73, 240, 15, 1, Smoke::mf_ctor, 169, 3},	//1101 DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
    {73, 1117, 255, 1, 0, 168, 4},	//1102 DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
    {73, 1117, 15, 1, 0, 168, 5},	//1103 DOM::HTMLMapElement::operator=(const DOM::Node&)
    {73, 511, 0, 0, Smoke::mf_const, 115, 6},	//1104 DOM::HTMLMapElement::areas() const
    {73, 1072, 0, 0, Smoke::mf_const, 65, 7},	//1105 DOM::HTMLMapElement::name() const
    {73, 1533, 19, 1, 0, 0, 8},	//1106 DOM::HTMLMapElement::setName(const DOM::DOMString&)
    {73, 1939, 0, 0, Smoke::mf_dtor, 0, 9 },	//1107 DOM::HTMLMapElement::~HTMLMapElement()
    {74, 242, 0, 0, Smoke::mf_ctor, 171, 1},	//1108 DOM::HTMLMenuElement::HTMLMenuElement()
    {74, 242, 257, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 2},	//1109 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
    {74, 242, 15, 1, Smoke::mf_ctor, 171, 3},	//1110 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
    {74, 1117, 257, 1, 0, 170, 4},	//1111 DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
    {74, 1117, 15, 1, 0, 170, 5},	//1112 DOM::HTMLMenuElement::operator=(const DOM::Node&)
    {74, 597, 0, 0, Smoke::mf_const, 450, 6},	//1113 DOM::HTMLMenuElement::compact() const
    {74, 1381, 135, 1, 0, 0, 7},	//1114 DOM::HTMLMenuElement::setCompact(bool)
    {74, 1940, 0, 0, Smoke::mf_dtor, 0, 8 },	//1115 DOM::HTMLMenuElement::~HTMLMenuElement()
    {75, 244, 0, 0, Smoke::mf_ctor, 173, 1},	//1116 DOM::HTMLMetaElement::HTMLMetaElement()
    {75, 244, 259, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 173, 2},	//1117 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
    {75, 244, 15, 1, Smoke::mf_ctor, 173, 3},	//1118 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
    {75, 1117, 259, 1, 0, 172, 4},	//1119 DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
    {75, 1117, 15, 1, 0, 172, 5},	//1120 DOM::HTMLMetaElement::operator=(const DOM::Node&)
    {75, 608, 0, 0, Smoke::mf_const, 65, 6},	//1121 DOM::HTMLMetaElement::content() const
    {75, 1384, 19, 1, 0, 0, 7},	//1122 DOM::HTMLMetaElement::setContent(const DOM::DOMString&)
    {75, 895, 0, 0, Smoke::mf_const, 65, 8},	//1123 DOM::HTMLMetaElement::httpEquiv() const
    {75, 1475, 19, 1, 0, 0, 9},	//1124 DOM::HTMLMetaElement::setHttpEquiv(const DOM::DOMString&)
    {75, 1072, 0, 0, Smoke::mf_const, 65, 10},	//1125 DOM::HTMLMetaElement::name() const
    {75, 1533, 19, 1, 0, 0, 11},	//1126 DOM::HTMLMetaElement::setName(const DOM::DOMString&)
    {75, 1259, 0, 0, Smoke::mf_const, 65, 12},	//1127 DOM::HTMLMetaElement::scheme() const
    {75, 1582, 19, 1, 0, 0, 13},	//1128 DOM::HTMLMetaElement::setScheme(const DOM::DOMString&)
    {75, 1941, 0, 0, Smoke::mf_dtor, 0, 14 },	//1129 DOM::HTMLMetaElement::~HTMLMetaElement()
    {76, 246, 0, 0, Smoke::mf_ctor, 175, 1},	//1130 DOM::HTMLModElement::HTMLModElement()
    {76, 246, 261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 175, 2},	//1131 DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
    {76, 246, 15, 1, Smoke::mf_ctor, 175, 3},	//1132 DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
    {76, 1117, 261, 1, 0, 174, 4},	//1133 DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
    {76, 1117, 15, 1, 0, 174, 5},	//1134 DOM::HTMLModElement::operator=(const DOM::Node&)
    {76, 565, 0, 0, Smoke::mf_const, 65, 6},	//1135 DOM::HTMLModElement::cite() const
    {76, 1361, 19, 1, 0, 0, 7},	//1136 DOM::HTMLModElement::setCite(const DOM::DOMString&)
    {76, 678, 0, 0, Smoke::mf_const, 65, 8},	//1137 DOM::HTMLModElement::dateTime() const
    {76, 1407, 19, 1, 0, 0, 9},	//1138 DOM::HTMLModElement::setDateTime(const DOM::DOMString&)
    {76, 1942, 0, 0, Smoke::mf_dtor, 0, 10 },	//1139 DOM::HTMLModElement::~HTMLModElement()
    {77, 248, 0, 0, Smoke::mf_ctor, 177, 1},	//1140 DOM::HTMLOListElement::HTMLOListElement()
    {77, 248, 263, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 177, 2},	//1141 DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
    {77, 248, 15, 1, Smoke::mf_ctor, 177, 3},	//1142 DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
    {77, 1117, 263, 1, 0, 176, 4},	//1143 DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
    {77, 1117, 15, 1, 0, 176, 5},	//1144 DOM::HTMLOListElement::operator=(const DOM::Node&)
    {77, 597, 0, 0, Smoke::mf_const, 450, 6},	//1145 DOM::HTMLOListElement::compact() const
    {77, 1381, 135, 1, 0, 0, 7},	//1146 DOM::HTMLOListElement::setCompact(bool)
    {77, 1726, 0, 0, Smoke::mf_const, 617, 8},	//1147 DOM::HTMLOListElement::start() const
    {77, 1624, 179, 1, 0, 0, 9},	//1148 DOM::HTMLOListElement::setStart(long)
    {77, 1800, 0, 0, Smoke::mf_const, 65, 10},	//1149 DOM::HTMLOListElement::type() const
    {77, 1658, 19, 1, 0, 0, 11},	//1150 DOM::HTMLOListElement::setType(const DOM::DOMString&)
    {77, 1943, 0, 0, Smoke::mf_dtor, 0, 12 },	//1151 DOM::HTMLOListElement::~HTMLOListElement()
    {78, 250, 0, 0, Smoke::mf_ctor, 179, 1},	//1152 DOM::HTMLObjectElement::HTMLObjectElement()
    {78, 250, 265, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 179, 2},	//1153 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
    {78, 250, 15, 1, Smoke::mf_ctor, 179, 3},	//1154 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
    {78, 1117, 265, 1, 0, 178, 4},	//1155 DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
    {78, 1117, 15, 1, 0, 178, 5},	//1156 DOM::HTMLObjectElement::operator=(const DOM::Node&)
    {78, 799, 0, 0, Smoke::mf_const, 135, 6},	//1157 DOM::HTMLObjectElement::form() const
    {78, 585, 0, 0, Smoke::mf_const, 65, 7},	//1158 DOM::HTMLObjectElement::code() const
    {78, 1367, 19, 1, 0, 0, 8},	//1159 DOM::HTMLObjectElement::setCode(const DOM::DOMString&)
    {78, 496, 0, 0, Smoke::mf_const, 65, 9},	//1160 DOM::HTMLObjectElement::align() const
    {78, 1303, 19, 1, 0, 0, 10},	//1161 DOM::HTMLObjectElement::setAlign(const DOM::DOMString&)
    {78, 510, 0, 0, Smoke::mf_const, 65, 11},	//1162 DOM::HTMLObjectElement::archive() const
    {78, 1309, 19, 1, 0, 0, 12},	//1163 DOM::HTMLObjectElement::setArchive(const DOM::DOMString&)
    {78, 537, 0, 0, Smoke::mf_const, 65, 13},	//1164 DOM::HTMLObjectElement::border() const
    {78, 1331, 19, 1, 0, 0, 14},	//1165 DOM::HTMLObjectElement::setBorder(const DOM::DOMString&)
    {78, 588, 0, 0, Smoke::mf_const, 65, 15},	//1166 DOM::HTMLObjectElement::codeBase() const
    {78, 1370, 19, 1, 0, 0, 16},	//1167 DOM::HTMLObjectElement::setCodeBase(const DOM::DOMString&)
    {78, 589, 0, 0, Smoke::mf_const, 65, 17},	//1168 DOM::HTMLObjectElement::codeType() const
    {78, 1372, 19, 1, 0, 0, 18},	//1169 DOM::HTMLObjectElement::setCodeType(const DOM::DOMString&)
    {78, 677, 0, 0, Smoke::mf_const, 65, 19},	//1170 DOM::HTMLObjectElement::data() const
    {78, 1405, 19, 1, 0, 0, 20},	//1171 DOM::HTMLObjectElement::setData(const DOM::DOMString&)
    {78, 679, 0, 0, Smoke::mf_const, 450, 21},	//1172 DOM::HTMLObjectElement::declare() const
    {78, 1409, 135, 1, 0, 0, 22},	//1173 DOM::HTMLObjectElement::setDeclare(bool)
    {78, 880, 0, 0, Smoke::mf_const, 65, 23},	//1174 DOM::HTMLObjectElement::height() const
    {78, 1461, 19, 1, 0, 0, 24},	//1175 DOM::HTMLObjectElement::setHeight(const DOM::DOMString&)
    {78, 839, 0, 0, Smoke::mf_const, 617, 25},	//1176 DOM::HTMLObjectElement::getHspace() const
    {78, 1470, 179, 1, 0, 0, 26},	//1177 DOM::HTMLObjectElement::setHspace(long)
    {78, 890, 0, 0, Smoke::mf_const, 65, 27},	//1178 DOM::HTMLObjectElement::hspace() const
    {78, 1470, 19, 1, 0, 0, 28},	//1179 DOM::HTMLObjectElement::setHspace(const DOM::DOMString&)
    {78, 1072, 0, 0, Smoke::mf_const, 65, 29},	//1180 DOM::HTMLObjectElement::name() const
    {78, 1533, 19, 1, 0, 0, 30},	//1181 DOM::HTMLObjectElement::setName(const DOM::DOMString&)
    {78, 1725, 0, 0, Smoke::mf_const, 65, 31},	//1182 DOM::HTMLObjectElement::standby() const
    {78, 1622, 19, 1, 0, 0, 32},	//1183 DOM::HTMLObjectElement::setStandby(const DOM::DOMString&)
    {78, 1768, 0, 0, Smoke::mf_const, 617, 33},	//1184 DOM::HTMLObjectElement::tabIndex() const
    {78, 1646, 179, 1, 0, 0, 34},	//1185 DOM::HTMLObjectElement::setTabIndex(long)
    {78, 1800, 0, 0, Smoke::mf_const, 65, 35},	//1186 DOM::HTMLObjectElement::type() const
    {78, 1658, 19, 1, 0, 0, 36},	//1187 DOM::HTMLObjectElement::setType(const DOM::DOMString&)
    {78, 1816, 0, 0, Smoke::mf_const, 65, 37},	//1188 DOM::HTMLObjectElement::useMap() const
    {78, 1662, 19, 1, 0, 0, 38},	//1189 DOM::HTMLObjectElement::setUseMap(const DOM::DOMString&)
    {78, 861, 0, 0, Smoke::mf_const, 617, 39},	//1190 DOM::HTMLObjectElement::getVspace() const
    {78, 1683, 179, 1, 0, 0, 40},	//1191 DOM::HTMLObjectElement::setVspace(long)
    {78, 1834, 0, 0, Smoke::mf_const, 65, 41},	//1192 DOM::HTMLObjectElement::vspace() const
    {78, 1683, 19, 1, 0, 0, 42},	//1193 DOM::HTMLObjectElement::setVspace(const DOM::DOMString&)
    {78, 1842, 0, 0, Smoke::mf_const, 65, 43},	//1194 DOM::HTMLObjectElement::width() const
    {78, 1687, 19, 1, 0, 0, 44},	//1195 DOM::HTMLObjectElement::setWidth(const DOM::DOMString&)
    {78, 609, 0, 0, Smoke::mf_const, 68, 45},	//1196 DOM::HTMLObjectElement::contentDocument() const
    {78, 1944, 0, 0, Smoke::mf_dtor, 0, 46 },	//1197 DOM::HTMLObjectElement::~HTMLObjectElement()
    {79, 252, 0, 0, Smoke::mf_ctor, 181, 1},	//1198 DOM::HTMLOptGroupElement::HTMLOptGroupElement()
    {79, 252, 267, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 181, 2},	//1199 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
    {79, 252, 15, 1, Smoke::mf_ctor, 181, 3},	//1200 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
    {79, 1117, 267, 1, 0, 180, 4},	//1201 DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
    {79, 1117, 15, 1, 0, 180, 5},	//1202 DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
    {79, 706, 0, 0, Smoke::mf_const, 450, 6},	//1203 DOM::HTMLOptGroupElement::disabled() const
    {79, 1423, 135, 1, 0, 0, 7},	//1204 DOM::HTMLOptGroupElement::setDisabled(bool)
    {79, 1020, 0, 0, Smoke::mf_const, 65, 8},	//1205 DOM::HTMLOptGroupElement::label() const
    {79, 1501, 19, 1, 0, 0, 9},	//1206 DOM::HTMLOptGroupElement::setLabel(const DOM::DOMString&)
    {79, 1945, 0, 0, Smoke::mf_dtor, 0, 10 },	//1207 DOM::HTMLOptGroupElement::~HTMLOptGroupElement()
    {80, 254, 0, 0, Smoke::mf_ctor, 183, 1},	//1208 DOM::HTMLOptionElement::HTMLOptionElement()
    {80, 254, 269, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 183, 2},	//1209 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
    {80, 254, 15, 1, Smoke::mf_ctor, 183, 3},	//1210 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
    {80, 1117, 269, 1, 0, 182, 4},	//1211 DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
    {80, 1117, 15, 1, 0, 182, 5},	//1212 DOM::HTMLOptionElement::operator=(const DOM::Node&)
    {80, 799, 0, 0, Smoke::mf_const, 135, 6},	//1213 DOM::HTMLOptionElement::form() const
    {80, 681, 0, 0, Smoke::mf_const, 450, 7},	//1214 DOM::HTMLOptionElement::defaultSelected() const
    {80, 1413, 135, 1, 0, 0, 8},	//1215 DOM::HTMLOptionElement::setDefaultSelected(bool)
    {80, 1774, 0, 0, Smoke::mf_const, 65, 9},	//1216 DOM::HTMLOptionElement::text() const
    {80, 905, 0, 0, Smoke::mf_const, 617, 10},	//1217 DOM::HTMLOptionElement::index() const
    {80, 1481, 179, 1, 0, 0, 11},	//1218 DOM::HTMLOptionElement::setIndex(long)
    {80, 706, 0, 0, Smoke::mf_const, 450, 12},	//1219 DOM::HTMLOptionElement::disabled() const
    {80, 1423, 135, 1, 0, 0, 13},	//1220 DOM::HTMLOptionElement::setDisabled(bool)
    {80, 1020, 0, 0, Smoke::mf_const, 65, 14},	//1221 DOM::HTMLOptionElement::label() const
    {80, 1501, 19, 1, 0, 0, 15},	//1222 DOM::HTMLOptionElement::setLabel(const DOM::DOMString&)
    {80, 1276, 0, 0, Smoke::mf_const, 450, 16},	//1223 DOM::HTMLOptionElement::selected() const
    {80, 1591, 135, 1, 0, 0, 17},	//1224 DOM::HTMLOptionElement::setSelected(bool)
    {80, 1821, 0, 0, Smoke::mf_const, 65, 18},	//1225 DOM::HTMLOptionElement::value() const
    {80, 1671, 19, 1, 0, 0, 19},	//1226 DOM::HTMLOptionElement::setValue(const DOM::DOMString&)
    {80, 1946, 0, 0, Smoke::mf_dtor, 0, 20 },	//1227 DOM::HTMLOptionElement::~HTMLOptionElement()
    {81, 256, 0, 0, Smoke::mf_ctor, 185, 1},	//1228 DOM::HTMLParagraphElement::HTMLParagraphElement()
    {81, 256, 271, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 185, 2},	//1229 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
    {81, 256, 15, 1, Smoke::mf_ctor, 185, 3},	//1230 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
    {81, 1117, 271, 1, 0, 184, 4},	//1231 DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
    {81, 1117, 15, 1, 0, 184, 5},	//1232 DOM::HTMLParagraphElement::operator=(const DOM::Node&)
    {81, 496, 0, 0, Smoke::mf_const, 65, 6},	//1233 DOM::HTMLParagraphElement::align() const
    {81, 1303, 19, 1, 0, 0, 7},	//1234 DOM::HTMLParagraphElement::setAlign(const DOM::DOMString&)
    {81, 1947, 0, 0, Smoke::mf_dtor, 0, 8 },	//1235 DOM::HTMLParagraphElement::~HTMLParagraphElement()
    {82, 258, 0, 0, Smoke::mf_ctor, 187, 1},	//1236 DOM::HTMLParamElement::HTMLParamElement()
    {82, 258, 273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 187, 2},	//1237 DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
    {82, 258, 15, 1, Smoke::mf_ctor, 187, 3},	//1238 DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
    {82, 1117, 273, 1, 0, 186, 4},	//1239 DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
    {82, 1117, 15, 1, 0, 186, 5},	//1240 DOM::HTMLParamElement::operator=(const DOM::Node&)
    {82, 1072, 0, 0, Smoke::mf_const, 65, 6},	//1241 DOM::HTMLParamElement::name() const
    {82, 1533, 19, 1, 0, 0, 7},	//1242 DOM::HTMLParamElement::setName(const DOM::DOMString&)
    {82, 1800, 0, 0, Smoke::mf_const, 65, 8},	//1243 DOM::HTMLParamElement::type() const
    {82, 1658, 19, 1, 0, 0, 9},	//1244 DOM::HTMLParamElement::setType(const DOM::DOMString&)
    {82, 1821, 0, 0, Smoke::mf_const, 65, 10},	//1245 DOM::HTMLParamElement::value() const
    {82, 1671, 19, 1, 0, 0, 11},	//1246 DOM::HTMLParamElement::setValue(const DOM::DOMString&)
    {82, 1822, 0, 0, Smoke::mf_const, 65, 12},	//1247 DOM::HTMLParamElement::valueType() const
    {82, 1674, 19, 1, 0, 0, 13},	//1248 DOM::HTMLParamElement::setValueType(const DOM::DOMString&)
    {82, 1948, 0, 0, Smoke::mf_dtor, 0, 14 },	//1249 DOM::HTMLParamElement::~HTMLParamElement()
    {83, 260, 0, 0, Smoke::mf_ctor, 189, 1},	//1250 DOM::HTMLPreElement::HTMLPreElement()
    {83, 260, 275, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 189, 2},	//1251 DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
    {83, 260, 15, 1, Smoke::mf_ctor, 189, 3},	//1252 DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
    {83, 1117, 275, 1, 0, 188, 4},	//1253 DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
    {83, 1117, 15, 1, 0, 188, 5},	//1254 DOM::HTMLPreElement::operator=(const DOM::Node&)
    {83, 1842, 0, 0, Smoke::mf_const, 617, 6},	//1255 DOM::HTMLPreElement::width() const
    {83, 1687, 179, 1, 0, 0, 7},	//1256 DOM::HTMLPreElement::setWidth(long)
    {83, 1949, 0, 0, Smoke::mf_dtor, 0, 8 },	//1257 DOM::HTMLPreElement::~HTMLPreElement()
    {84, 262, 0, 0, Smoke::mf_ctor, 191, 1},	//1258 DOM::HTMLQuoteElement::HTMLQuoteElement()
    {84, 262, 277, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 191, 2},	//1259 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
    {84, 262, 15, 1, Smoke::mf_ctor, 191, 3},	//1260 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
    {84, 1117, 277, 1, 0, 190, 4},	//1261 DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
    {84, 1117, 15, 1, 0, 190, 5},	//1262 DOM::HTMLQuoteElement::operator=(const DOM::Node&)
    {84, 565, 0, 0, Smoke::mf_const, 65, 6},	//1263 DOM::HTMLQuoteElement::cite() const
    {84, 1361, 19, 1, 0, 0, 7},	//1264 DOM::HTMLQuoteElement::setCite(const DOM::DOMString&)
    {84, 1950, 0, 0, Smoke::mf_dtor, 0, 8 },	//1265 DOM::HTMLQuoteElement::~HTMLQuoteElement()
    {85, 264, 0, 0, Smoke::mf_ctor, 193, 1},	//1266 DOM::HTMLScriptElement::HTMLScriptElement()
    {85, 264, 279, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 193, 2},	//1267 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
    {85, 264, 15, 1, Smoke::mf_ctor, 193, 3},	//1268 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
    {85, 1117, 279, 1, 0, 192, 4},	//1269 DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
    {85, 1117, 15, 1, 0, 192, 5},	//1270 DOM::HTMLScriptElement::operator=(const DOM::Node&)
    {85, 1774, 0, 0, Smoke::mf_const, 65, 6},	//1271 DOM::HTMLScriptElement::text() const
    {85, 1650, 19, 1, 0, 0, 7},	//1272 DOM::HTMLScriptElement::setText(const DOM::DOMString&)
    {85, 894, 0, 0, Smoke::mf_const, 65, 8},	//1273 DOM::HTMLScriptElement::htmlFor() const
    {85, 1473, 19, 1, 0, 0, 9},	//1274 DOM::HTMLScriptElement::setHtmlFor(const DOM::DOMString&)
    {85, 746, 0, 0, Smoke::mf_const, 65, 10},	//1275 DOM::HTMLScriptElement::event() const
    {85, 1439, 19, 1, 0, 0, 11},	//1276 DOM::HTMLScriptElement::setEvent(const DOM::DOMString&)
    {85, 559, 0, 0, Smoke::mf_const, 65, 12},	//1277 DOM::HTMLScriptElement::charset() const
    {85, 1357, 19, 1, 0, 0, 13},	//1278 DOM::HTMLScriptElement::setCharset(const DOM::DOMString&)
    {85, 684, 0, 0, Smoke::mf_const, 450, 14},	//1279 DOM::HTMLScriptElement::defer() const
    {85, 1417, 135, 1, 0, 0, 15},	//1280 DOM::HTMLScriptElement::setDefer(bool)
    {85, 1724, 0, 0, Smoke::mf_const, 65, 16},	//1281 DOM::HTMLScriptElement::src() const
    {85, 1618, 19, 1, 0, 0, 17},	//1282 DOM::HTMLScriptElement::setSrc(const DOM::DOMString&)
    {85, 1800, 0, 0, Smoke::mf_const, 65, 18},	//1283 DOM::HTMLScriptElement::type() const
    {85, 1658, 19, 1, 0, 0, 19},	//1284 DOM::HTMLScriptElement::setType(const DOM::DOMString&)
    {85, 1951, 0, 0, Smoke::mf_dtor, 0, 20 },	//1285 DOM::HTMLScriptElement::~HTMLScriptElement()
    {86, 266, 0, 0, Smoke::mf_ctor, 195, 1},	//1286 DOM::HTMLSelectElement::HTMLSelectElement()
    {86, 266, 281, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 195, 2},	//1287 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
    {86, 266, 15, 1, Smoke::mf_ctor, 195, 3},	//1288 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
    {86, 1117, 281, 1, 0, 194, 4},	//1289 DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
    {86, 1117, 15, 1, 0, 194, 5},	//1290 DOM::HTMLSelectElement::operator=(const DOM::Node&)
    {86, 1800, 0, 0, Smoke::mf_const, 65, 6},	//1291 DOM::HTMLSelectElement::type() const
    {86, 1277, 0, 0, Smoke::mf_const, 617, 7},	//1292 DOM::HTMLSelectElement::selectedIndex() const
    {86, 1593, 179, 1, 0, 0, 8},	//1293 DOM::HTMLSelectElement::setSelectedIndex(long)
    {86, 1821, 0, 0, Smoke::mf_const, 65, 9},	//1294 DOM::HTMLSelectElement::value() const
    {86, 1671, 19, 1, 0, 0, 10},	//1295 DOM::HTMLSelectElement::setValue(const DOM::DOMString&)
    {86, 1032, 0, 0, Smoke::mf_const, 617, 11},	//1296 DOM::HTMLSelectElement::length() const
    {86, 799, 0, 0, Smoke::mf_const, 135, 12},	//1297 DOM::HTMLSelectElement::form() const
    {86, 1125, 0, 0, Smoke::mf_const, 115, 13},	//1298 DOM::HTMLSelectElement::options() const
    {86, 706, 0, 0, Smoke::mf_const, 450, 14},	//1299 DOM::HTMLSelectElement::disabled() const
    {86, 1423, 135, 1, 0, 0, 15},	//1300 DOM::HTMLSelectElement::setDisabled(bool)
    {86, 1071, 0, 0, Smoke::mf_const, 450, 16},	//1301 DOM::HTMLSelectElement::multiple() const
    {86, 1531, 135, 1, 0, 0, 17},	//1302 DOM::HTMLSelectElement::setMultiple(bool)
    {86, 1072, 0, 0, Smoke::mf_const, 65, 18},	//1303 DOM::HTMLSelectElement::name() const
    {86, 1533, 19, 1, 0, 0, 19},	//1304 DOM::HTMLSelectElement::setName(const DOM::DOMString&)
    {86, 1709, 0, 0, Smoke::mf_const, 617, 20},	//1305 DOM::HTMLSelectElement::size() const
    {86, 1609, 179, 1, 0, 0, 21},	//1306 DOM::HTMLSelectElement::setSize(long)
    {86, 1768, 0, 0, Smoke::mf_const, 617, 22},	//1307 DOM::HTMLSelectElement::tabIndex() const
    {86, 1646, 179, 1, 0, 0, 23},	//1308 DOM::HTMLSelectElement::setTabIndex(long)
    {86, 482, 283, 2, 0, 0, 24},	//1309 DOM::HTMLSelectElement::add(const DOM::HTMLElement&, const DOM::HTMLElement&)
    {86, 1204, 179, 1, 0, 0, 25},	//1310 DOM::HTMLSelectElement::remove(long)
    {86, 535, 0, 0, 0, 0, 26},	//1311 DOM::HTMLSelectElement::blur()
    {86, 788, 0, 0, 0, 0, 27},	//1312 DOM::HTMLSelectElement::focus()
    {86, 1952, 0, 0, Smoke::mf_dtor, 0, 28 },	//1313 DOM::HTMLSelectElement::~HTMLSelectElement()
    {87, 268, 0, 0, Smoke::mf_ctor, 197, 1},	//1314 DOM::HTMLStyleElement::HTMLStyleElement()
    {87, 268, 286, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 197, 2},	//1315 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
    {87, 268, 15, 1, Smoke::mf_ctor, 197, 3},	//1316 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
    {87, 1117, 286, 1, 0, 196, 4},	//1317 DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
    {87, 1117, 15, 1, 0, 196, 5},	//1318 DOM::HTMLStyleElement::operator=(const DOM::Node&)
    {87, 706, 0, 0, Smoke::mf_const, 450, 6},	//1319 DOM::HTMLStyleElement::disabled() const
    {87, 1423, 135, 1, 0, 0, 7},	//1320 DOM::HTMLStyleElement::setDisabled(bool)
    {87, 1052, 0, 0, Smoke::mf_const, 65, 8},	//1321 DOM::HTMLStyleElement::media() const
    {87, 1523, 19, 1, 0, 0, 9},	//1322 DOM::HTMLStyleElement::setMedia(const DOM::DOMString&)
    {87, 1800, 0, 0, Smoke::mf_const, 65, 10},	//1323 DOM::HTMLStyleElement::type() const
    {87, 1658, 19, 1, 0, 0, 11},	//1324 DOM::HTMLStyleElement::setType(const DOM::DOMString&)
    {87, 1701, 0, 0, Smoke::mf_const, 268, 12},	//1325 DOM::HTMLStyleElement::sheet() const
    {87, 1953, 0, 0, Smoke::mf_dtor, 0, 13 },	//1326 DOM::HTMLStyleElement::~HTMLStyleElement()
    {88, 270, 0, 0, Smoke::mf_ctor, 200, 1},	//1327 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement()
    {88, 270, 288, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 200, 2},	//1328 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
    {88, 270, 15, 1, Smoke::mf_ctor, 200, 3},	//1329 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
    {88, 1117, 288, 1, 0, 199, 4},	//1330 DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
    {88, 1117, 15, 1, 0, 199, 5},	//1331 DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
    {88, 496, 0, 0, Smoke::mf_const, 65, 6},	//1332 DOM::HTMLTableCaptionElement::align() const
    {88, 1303, 19, 1, 0, 0, 7},	//1333 DOM::HTMLTableCaptionElement::setAlign(const DOM::DOMString&)
    {88, 1954, 0, 0, Smoke::mf_dtor, 0, 8 },	//1334 DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement()
    {89, 272, 0, 0, Smoke::mf_ctor, 202, 1},	//1335 DOM::HTMLTableCellElement::HTMLTableCellElement()
    {89, 272, 290, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 202, 2},	//1336 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
    {89, 272, 15, 1, Smoke::mf_ctor, 202, 3},	//1337 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
    {89, 1117, 290, 1, 0, 201, 4},	//1338 DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
    {89, 1117, 15, 1, 0, 201, 5},	//1339 DOM::HTMLTableCellElement::operator=(const DOM::Node&)
    {89, 549, 0, 0, Smoke::mf_const, 617, 6},	//1340 DOM::HTMLTableCellElement::cellIndex() const
    {89, 1345, 179, 1, 0, 0, 7},	//1341 DOM::HTMLTableCellElement::setCellIndex(long)
    {89, 465, 0, 0, Smoke::mf_const, 65, 8},	//1342 DOM::HTMLTableCellElement::abbr() const
    {89, 1291, 19, 1, 0, 0, 9},	//1343 DOM::HTMLTableCellElement::setAbbr(const DOM::DOMString&)
    {89, 496, 0, 0, Smoke::mf_const, 65, 10},	//1344 DOM::HTMLTableCellElement::align() const
    {89, 1303, 19, 1, 0, 0, 11},	//1345 DOM::HTMLTableCellElement::setAlign(const DOM::DOMString&)
    {89, 522, 0, 0, Smoke::mf_const, 65, 12},	//1346 DOM::HTMLTableCellElement::axis() const
    {89, 1323, 19, 1, 0, 0, 13},	//1347 DOM::HTMLTableCellElement::setAxis(const DOM::DOMString&)
    {89, 533, 0, 0, Smoke::mf_const, 65, 14},	//1348 DOM::HTMLTableCellElement::bgColor() const
    {89, 1327, 19, 1, 0, 0, 15},	//1349 DOM::HTMLTableCellElement::setBgColor(const DOM::DOMString&)
    {89, 553, 0, 0, Smoke::mf_const, 65, 16},	//1350 DOM::HTMLTableCellElement::ch() const
    {89, 1353, 19, 1, 0, 0, 17},	//1351 DOM::HTMLTableCellElement::setCh(const DOM::DOMString&)
    {89, 554, 0, 0, Smoke::mf_const, 65, 18},	//1352 DOM::HTMLTableCellElement::chOff() const
    {89, 1355, 19, 1, 0, 0, 19},	//1353 DOM::HTMLTableCellElement::setChOff(const DOM::DOMString&)
    {89, 590, 0, 0, Smoke::mf_const, 617, 20},	//1354 DOM::HTMLTableCellElement::colSpan() const
    {89, 1374, 179, 1, 0, 0, 21},	//1355 DOM::HTMLTableCellElement::setColSpan(long)
    {89, 879, 0, 0, Smoke::mf_const, 65, 22},	//1356 DOM::HTMLTableCellElement::headers() const
    {89, 1459, 19, 1, 0, 0, 23},	//1357 DOM::HTMLTableCellElement::setHeaders(const DOM::DOMString&)
    {89, 880, 0, 0, Smoke::mf_const, 65, 24},	//1358 DOM::HTMLTableCellElement::height() const
    {89, 1461, 19, 1, 0, 0, 25},	//1359 DOM::HTMLTableCellElement::setHeight(const DOM::DOMString&)
    {89, 1087, 0, 0, Smoke::mf_const, 450, 26},	//1360 DOM::HTMLTableCellElement::noWrap() const
    {89, 1545, 135, 1, 0, 0, 27},	//1361 DOM::HTMLTableCellElement::setNoWrap(bool)
    {89, 1250, 0, 0, Smoke::mf_const, 617, 28},	//1362 DOM::HTMLTableCellElement::rowSpan() const
    {89, 1575, 179, 1, 0, 0, 29},	//1363 DOM::HTMLTableCellElement::setRowSpan(long)
    {89, 1260, 0, 0, Smoke::mf_const, 65, 30},	//1364 DOM::HTMLTableCellElement::scope() const
    {89, 1584, 19, 1, 0, 0, 31},	//1365 DOM::HTMLTableCellElement::setScope(const DOM::DOMString&)
    {89, 1818, 0, 0, Smoke::mf_const, 65, 32},	//1366 DOM::HTMLTableCellElement::vAlign() const
    {89, 1667, 19, 1, 0, 0, 33},	//1367 DOM::HTMLTableCellElement::setVAlign(const DOM::DOMString&)
    {89, 1842, 0, 0, Smoke::mf_const, 65, 34},	//1368 DOM::HTMLTableCellElement::width() const
    {89, 1687, 19, 1, 0, 0, 35},	//1369 DOM::HTMLTableCellElement::setWidth(const DOM::DOMString&)
    {89, 1955, 0, 0, Smoke::mf_dtor, 0, 36 },	//1370 DOM::HTMLTableCellElement::~HTMLTableCellElement()
    {90, 274, 0, 0, Smoke::mf_ctor, 204, 1},	//1371 DOM::HTMLTableColElement::HTMLTableColElement()
    {90, 274, 292, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 2},	//1372 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
    {90, 274, 15, 1, Smoke::mf_ctor, 204, 3},	//1373 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
    {90, 1117, 292, 1, 0, 203, 4},	//1374 DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
    {90, 1117, 15, 1, 0, 203, 5},	//1375 DOM::HTMLTableColElement::operator=(const DOM::Node&)
    {90, 496, 0, 0, Smoke::mf_const, 65, 6},	//1376 DOM::HTMLTableColElement::align() const
    {90, 1303, 19, 1, 0, 0, 7},	//1377 DOM::HTMLTableColElement::setAlign(const DOM::DOMString&)
    {90, 553, 0, 0, Smoke::mf_const, 65, 8},	//1378 DOM::HTMLTableColElement::ch() const
    {90, 1353, 19, 1, 0, 0, 9},	//1379 DOM::HTMLTableColElement::setCh(const DOM::DOMString&)
    {90, 554, 0, 0, Smoke::mf_const, 65, 10},	//1380 DOM::HTMLTableColElement::chOff() const
    {90, 1355, 19, 1, 0, 0, 11},	//1381 DOM::HTMLTableColElement::setChOff(const DOM::DOMString&)
    {90, 1716, 0, 0, Smoke::mf_const, 617, 12},	//1382 DOM::HTMLTableColElement::span() const
    {90, 1616, 179, 1, 0, 0, 13},	//1383 DOM::HTMLTableColElement::setSpan(long)
    {90, 1818, 0, 0, Smoke::mf_const, 65, 14},	//1384 DOM::HTMLTableColElement::vAlign() const
    {90, 1667, 19, 1, 0, 0, 15},	//1385 DOM::HTMLTableColElement::setVAlign(const DOM::DOMString&)
    {90, 1842, 0, 0, Smoke::mf_const, 65, 16},	//1386 DOM::HTMLTableColElement::width() const
    {90, 1687, 19, 1, 0, 0, 17},	//1387 DOM::HTMLTableColElement::setWidth(const DOM::DOMString&)
    {90, 1956, 0, 0, Smoke::mf_dtor, 0, 18 },	//1388 DOM::HTMLTableColElement::~HTMLTableColElement()
    {91, 276, 0, 0, Smoke::mf_ctor, 206, 1},	//1389 DOM::HTMLTableElement::HTMLTableElement()
    {91, 276, 294, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 206, 2},	//1390 DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
    {91, 276, 15, 1, Smoke::mf_ctor, 206, 3},	//1391 DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
    {91, 1117, 294, 1, 0, 205, 4},	//1392 DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
    {91, 1117, 15, 1, 0, 205, 5},	//1393 DOM::HTMLTableElement::operator=(const DOM::Node&)
    {91, 545, 0, 0, Smoke::mf_const, 198, 6},	//1394 DOM::HTMLTableElement::caption() const
    {91, 1334, 288, 1, 0, 0, 7},	//1395 DOM::HTMLTableElement::setCaption(const DOM::HTMLTableCaptionElement&)
    {91, 1767, 0, 0, Smoke::mf_const, 209, 8},	//1396 DOM::HTMLTableElement::tHead() const
    {91, 1644, 296, 1, 0, 0, 9},	//1397 DOM::HTMLTableElement::setTHead(const DOM::HTMLTableSectionElement&)
    {91, 1766, 0, 0, Smoke::mf_const, 209, 10},	//1398 DOM::HTMLTableElement::tFoot() const
    {91, 1642, 296, 1, 0, 0, 11},	//1399 DOM::HTMLTableElement::setTFoot(const DOM::HTMLTableSectionElement&)
    {91, 1251, 0, 0, Smoke::mf_const, 115, 12},	//1400 DOM::HTMLTableElement::rows() const
    {91, 1765, 0, 0, Smoke::mf_const, 115, 13},	//1401 DOM::HTMLTableElement::tBodies() const
    {91, 496, 0, 0, Smoke::mf_const, 65, 14},	//1402 DOM::HTMLTableElement::align() const
    {91, 1303, 19, 1, 0, 0, 15},	//1403 DOM::HTMLTableElement::setAlign(const DOM::DOMString&)
    {91, 533, 0, 0, Smoke::mf_const, 65, 16},	//1404 DOM::HTMLTableElement::bgColor() const
    {91, 1327, 19, 1, 0, 0, 17},	//1405 DOM::HTMLTableElement::setBgColor(const DOM::DOMString&)
    {91, 537, 0, 0, Smoke::mf_const, 65, 18},	//1406 DOM::HTMLTableElement::border() const
    {91, 1331, 19, 1, 0, 0, 19},	//1407 DOM::HTMLTableElement::setBorder(const DOM::DOMString&)
    {91, 550, 0, 0, Smoke::mf_const, 65, 20},	//1408 DOM::HTMLTableElement::cellPadding() const
    {91, 1347, 19, 1, 0, 0, 21},	//1409 DOM::HTMLTableElement::setCellPadding(const DOM::DOMString&)
    {91, 551, 0, 0, Smoke::mf_const, 65, 22},	//1410 DOM::HTMLTableElement::cellSpacing() const
    {91, 1349, 19, 1, 0, 0, 23},	//1411 DOM::HTMLTableElement::setCellSpacing(const DOM::DOMString&)
    {91, 804, 0, 0, Smoke::mf_const, 65, 24},	//1412 DOM::HTMLTableElement::frame() const
    {91, 1455, 19, 1, 0, 0, 25},	//1413 DOM::HTMLTableElement::setFrame(const DOM::DOMString&)
    {91, 1252, 0, 0, Smoke::mf_const, 65, 26},	//1414 DOM::HTMLTableElement::rules() const
    {91, 1580, 19, 1, 0, 0, 27},	//1415 DOM::HTMLTableElement::setRules(const DOM::DOMString&)
    {91, 1761, 0, 0, Smoke::mf_const, 65, 28},	//1416 DOM::HTMLTableElement::summary() const
    {91, 1637, 19, 1, 0, 0, 29},	//1417 DOM::HTMLTableElement::setSummary(const DOM::DOMString&)
    {91, 1842, 0, 0, Smoke::mf_const, 65, 30},	//1418 DOM::HTMLTableElement::width() const
    {91, 1687, 19, 1, 0, 0, 31},	//1419 DOM::HTMLTableElement::setWidth(const DOM::DOMString&)
    {91, 660, 0, 0, 0, 127, 32},	//1420 DOM::HTMLTableElement::createTHead()
    {91, 699, 0, 0, 0, 0, 33},	//1421 DOM::HTMLTableElement::deleteTHead()
    {91, 659, 0, 0, 0, 127, 34},	//1422 DOM::HTMLTableElement::createTFoot()
    {91, 698, 0, 0, 0, 0, 35},	//1423 DOM::HTMLTableElement::deleteTFoot()
    {91, 630, 0, 0, 0, 127, 36},	//1424 DOM::HTMLTableElement::createCaption()
    {91, 685, 0, 0, 0, 0, 37},	//1425 DOM::HTMLTableElement::deleteCaption()
    {91, 936, 179, 1, 0, 127, 38},	//1426 DOM::HTMLTableElement::insertRow(long)
    {91, 694, 179, 1, 0, 0, 39},	//1427 DOM::HTMLTableElement::deleteRow(long)
    {91, 1957, 0, 0, Smoke::mf_dtor, 0, 40 },	//1428 DOM::HTMLTableElement::~HTMLTableElement()
    {92, 278, 0, 0, Smoke::mf_ctor, 208, 1},	//1429 DOM::HTMLTableRowElement::HTMLTableRowElement()
    {92, 278, 298, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 208, 2},	//1430 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
    {92, 278, 15, 1, Smoke::mf_ctor, 208, 3},	//1431 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
    {92, 1117, 298, 1, 0, 207, 4},	//1432 DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
    {92, 1117, 15, 1, 0, 207, 5},	//1433 DOM::HTMLTableRowElement::operator=(const DOM::Node&)
    {92, 1249, 0, 0, Smoke::mf_const, 617, 6},	//1434 DOM::HTMLTableRowElement::rowIndex() const
    {92, 1573, 179, 1, 0, 0, 7},	//1435 DOM::HTMLTableRowElement::setRowIndex(long)
    {92, 1269, 0, 0, Smoke::mf_const, 617, 8},	//1436 DOM::HTMLTableRowElement::sectionRowIndex() const
    {92, 1588, 179, 1, 0, 0, 9},	//1437 DOM::HTMLTableRowElement::setSectionRowIndex(long)
    {92, 552, 0, 0, Smoke::mf_const, 115, 10},	//1438 DOM::HTMLTableRowElement::cells() const
    {92, 1351, 197, 1, 0, 0, 11},	//1439 DOM::HTMLTableRowElement::setCells(const DOM::HTMLCollection&)
    {92, 496, 0, 0, Smoke::mf_const, 65, 12},	//1440 DOM::HTMLTableRowElement::align() const
    {92, 1303, 19, 1, 0, 0, 13},	//1441 DOM::HTMLTableRowElement::setAlign(const DOM::DOMString&)
    {92, 533, 0, 0, Smoke::mf_const, 65, 14},	//1442 DOM::HTMLTableRowElement::bgColor() const
    {92, 1327, 19, 1, 0, 0, 15},	//1443 DOM::HTMLTableRowElement::setBgColor(const DOM::DOMString&)
    {92, 553, 0, 0, Smoke::mf_const, 65, 16},	//1444 DOM::HTMLTableRowElement::ch() const
    {92, 1353, 19, 1, 0, 0, 17},	//1445 DOM::HTMLTableRowElement::setCh(const DOM::DOMString&)
    {92, 554, 0, 0, Smoke::mf_const, 65, 18},	//1446 DOM::HTMLTableRowElement::chOff() const
    {92, 1355, 19, 1, 0, 0, 19},	//1447 DOM::HTMLTableRowElement::setChOff(const DOM::DOMString&)
    {92, 1818, 0, 0, Smoke::mf_const, 65, 20},	//1448 DOM::HTMLTableRowElement::vAlign() const
    {92, 1667, 19, 1, 0, 0, 21},	//1449 DOM::HTMLTableRowElement::setVAlign(const DOM::DOMString&)
    {92, 930, 179, 1, 0, 127, 22},	//1450 DOM::HTMLTableRowElement::insertCell(long)
    {92, 686, 179, 1, 0, 0, 23},	//1451 DOM::HTMLTableRowElement::deleteCell(long)
    {92, 1958, 0, 0, Smoke::mf_dtor, 0, 24 },	//1452 DOM::HTMLTableRowElement::~HTMLTableRowElement()
    {93, 280, 0, 0, Smoke::mf_ctor, 211, 1},	//1453 DOM::HTMLTableSectionElement::HTMLTableSectionElement()
    {93, 280, 296, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 2},	//1454 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
    {93, 280, 15, 1, Smoke::mf_ctor, 211, 3},	//1455 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
    {93, 1117, 296, 1, 0, 210, 4},	//1456 DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
    {93, 1117, 15, 1, 0, 210, 5},	//1457 DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
    {93, 496, 0, 0, Smoke::mf_const, 65, 6},	//1458 DOM::HTMLTableSectionElement::align() const
    {93, 1303, 19, 1, 0, 0, 7},	//1459 DOM::HTMLTableSectionElement::setAlign(const DOM::DOMString&)
    {93, 553, 0, 0, Smoke::mf_const, 65, 8},	//1460 DOM::HTMLTableSectionElement::ch() const
    {93, 1353, 19, 1, 0, 0, 9},	//1461 DOM::HTMLTableSectionElement::setCh(const DOM::DOMString&)
    {93, 554, 0, 0, Smoke::mf_const, 65, 10},	//1462 DOM::HTMLTableSectionElement::chOff() const
    {93, 1355, 19, 1, 0, 0, 11},	//1463 DOM::HTMLTableSectionElement::setChOff(const DOM::DOMString&)
    {93, 1818, 0, 0, Smoke::mf_const, 65, 12},	//1464 DOM::HTMLTableSectionElement::vAlign() const
    {93, 1667, 19, 1, 0, 0, 13},	//1465 DOM::HTMLTableSectionElement::setVAlign(const DOM::DOMString&)
    {93, 1251, 0, 0, Smoke::mf_const, 115, 14},	//1466 DOM::HTMLTableSectionElement::rows() const
    {93, 936, 179, 1, 0, 127, 15},	//1467 DOM::HTMLTableSectionElement::insertRow(long)
    {93, 694, 179, 1, 0, 0, 16},	//1468 DOM::HTMLTableSectionElement::deleteRow(long)
    {93, 1959, 0, 0, Smoke::mf_dtor, 0, 17 },	//1469 DOM::HTMLTableSectionElement::~HTMLTableSectionElement()
    {94, 282, 0, 0, Smoke::mf_ctor, 213, 1},	//1470 DOM::HTMLTextAreaElement::HTMLTextAreaElement()
    {94, 282, 300, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 213, 2},	//1471 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
    {94, 282, 15, 1, Smoke::mf_ctor, 213, 3},	//1472 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
    {94, 1117, 300, 1, 0, 212, 4},	//1473 DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
    {94, 1117, 15, 1, 0, 212, 5},	//1474 DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
    {94, 682, 0, 0, Smoke::mf_const, 65, 6},	//1475 DOM::HTMLTextAreaElement::defaultValue() const
    {94, 1415, 19, 1, 0, 0, 7},	//1476 DOM::HTMLTextAreaElement::setDefaultValue(const DOM::DOMString&)
    {94, 799, 0, 0, Smoke::mf_const, 135, 8},	//1477 DOM::HTMLTextAreaElement::form() const
    {94, 473, 0, 0, Smoke::mf_const, 65, 9},	//1478 DOM::HTMLTextAreaElement::accessKey() const
    {94, 1297, 19, 1, 0, 0, 10},	//1479 DOM::HTMLTextAreaElement::setAccessKey(const DOM::DOMString&)
    {94, 595, 0, 0, Smoke::mf_const, 617, 11},	//1480 DOM::HTMLTextAreaElement::cols() const
    {94, 1378, 179, 1, 0, 0, 12},	//1481 DOM::HTMLTextAreaElement::setCols(long)
    {94, 706, 0, 0, Smoke::mf_const, 450, 13},	//1482 DOM::HTMLTextAreaElement::disabled() const
    {94, 1423, 135, 1, 0, 0, 14},	//1483 DOM::HTMLTextAreaElement::setDisabled(bool)
    {94, 1072, 0, 0, Smoke::mf_const, 65, 15},	//1484 DOM::HTMLTextAreaElement::name() const
    {94, 1533, 19, 1, 0, 0, 16},	//1485 DOM::HTMLTextAreaElement::setName(const DOM::DOMString&)
    {94, 1196, 0, 0, Smoke::mf_const, 450, 17},	//1486 DOM::HTMLTextAreaElement::readOnly() const
    {94, 1567, 135, 1, 0, 0, 18},	//1487 DOM::HTMLTextAreaElement::setReadOnly(bool)
    {94, 1251, 0, 0, Smoke::mf_const, 617, 19},	//1488 DOM::HTMLTextAreaElement::rows() const
    {94, 1577, 179, 1, 0, 0, 20},	//1489 DOM::HTMLTextAreaElement::setRows(long)
    {94, 1768, 0, 0, Smoke::mf_const, 617, 21},	//1490 DOM::HTMLTextAreaElement::tabIndex() const
    {94, 1646, 179, 1, 0, 0, 22},	//1491 DOM::HTMLTextAreaElement::setTabIndex(long)
    {94, 1800, 0, 0, Smoke::mf_const, 65, 23},	//1492 DOM::HTMLTextAreaElement::type() const
    {94, 1821, 0, 0, Smoke::mf_const, 65, 24},	//1493 DOM::HTMLTextAreaElement::value() const
    {94, 1671, 19, 1, 0, 0, 25},	//1494 DOM::HTMLTextAreaElement::setValue(const DOM::DOMString&)
    {94, 535, 0, 0, 0, 0, 26},	//1495 DOM::HTMLTextAreaElement::blur()
    {94, 788, 0, 0, 0, 0, 27},	//1496 DOM::HTMLTextAreaElement::focus()
    {94, 1270, 0, 0, 0, 0, 28},	//1497 DOM::HTMLTextAreaElement::select()
    {94, 1285, 0, 0, 0, 617, 29},	//1498 DOM::HTMLTextAreaElement::selectionStart()
    {94, 1603, 179, 1, 0, 0, 30},	//1499 DOM::HTMLTextAreaElement::setSelectionStart(long)
    {94, 1284, 0, 0, 0, 617, 31},	//1500 DOM::HTMLTextAreaElement::selectionEnd()
    {94, 1599, 179, 1, 0, 0, 32},	//1501 DOM::HTMLTextAreaElement::setSelectionEnd(long)
    {94, 1601, 240, 2, 0, 0, 33},	//1502 DOM::HTMLTextAreaElement::setSelectionRange(long, long)
    {94, 1777, 0, 0, 0, 617, 34},	//1503 DOM::HTMLTextAreaElement::textLength()
    {94, 1960, 0, 0, Smoke::mf_dtor, 0, 35 },	//1504 DOM::HTMLTextAreaElement::~HTMLTextAreaElement()
    {95, 284, 0, 0, Smoke::mf_ctor, 215, 1},	//1505 DOM::HTMLTitleElement::HTMLTitleElement()
    {95, 284, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 215, 2},	//1506 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
    {95, 284, 15, 1, Smoke::mf_ctor, 215, 3},	//1507 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
    {95, 1117, 302, 1, 0, 214, 4},	//1508 DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
    {95, 1117, 15, 1, 0, 214, 5},	//1509 DOM::HTMLTitleElement::operator=(const DOM::Node&)
    {95, 1774, 0, 0, Smoke::mf_const, 65, 6},	//1510 DOM::HTMLTitleElement::text() const
    {95, 1650, 19, 1, 0, 0, 7},	//1511 DOM::HTMLTitleElement::setText(const DOM::DOMString&)
    {95, 1961, 0, 0, Smoke::mf_dtor, 0, 8 },	//1512 DOM::HTMLTitleElement::~HTMLTitleElement()
    {96, 286, 0, 0, Smoke::mf_ctor, 217, 1},	//1513 DOM::HTMLUListElement::HTMLUListElement()
    {96, 286, 304, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 2},	//1514 DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
    {96, 286, 15, 1, Smoke::mf_ctor, 217, 3},	//1515 DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
    {96, 1117, 304, 1, 0, 216, 4},	//1516 DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
    {96, 1117, 15, 1, 0, 216, 5},	//1517 DOM::HTMLUListElement::operator=(const DOM::Node&)
    {96, 597, 0, 0, Smoke::mf_const, 450, 6},	//1518 DOM::HTMLUListElement::compact() const
    {96, 1381, 135, 1, 0, 0, 7},	//1519 DOM::HTMLUListElement::setCompact(bool)
    {96, 1800, 0, 0, Smoke::mf_const, 65, 8},	//1520 DOM::HTMLUListElement::type() const
    {96, 1658, 19, 1, 0, 0, 9},	//1521 DOM::HTMLUListElement::setType(const DOM::DOMString&)
    {96, 1962, 0, 0, Smoke::mf_dtor, 0, 10 },	//1522 DOM::HTMLUListElement::~HTMLUListElement()
    {97, 329, 0, 0, Smoke::mf_ctor, 219, 1},	//1523 DOM::KeyboardEvent::KeyboardEvent()
    {97, 329, 306, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 219, 2},	//1524 DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
    {97, 329, 165, 1, Smoke::mf_ctor, 219, 3},	//1525 DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
    {97, 1117, 306, 1, 0, 218, 4},	//1526 DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
    {97, 1117, 165, 1, 0, 218, 5},	//1527 DOM::KeyboardEvent::operator=(const DOM::Event&)
    {97, 994, 0, 0, Smoke::mf_const, 65, 6},	//1528 DOM::KeyboardEvent::keyIdentifier() const
    {97, 995, 0, 0, Smoke::mf_const, 621, 7},	//1529 DOM::KeyboardEvent::keyLocation() const
    {97, 668, 0, 0, Smoke::mf_const, 450, 8},	//1530 DOM::KeyboardEvent::ctrlKey() const
    {97, 1702, 0, 0, Smoke::mf_const, 450, 9},	//1531 DOM::KeyboardEvent::shiftKey() const
    {97, 500, 0, 0, Smoke::mf_const, 450, 10},	//1532 DOM::KeyboardEvent::altKey() const
    {97, 1055, 0, 0, Smoke::mf_const, 450, 11},	//1533 DOM::KeyboardEvent::metaKey() const
    {97, 842, 308, 1, Smoke::mf_const, 450, 12},	//1534 DOM::KeyboardEvent::getModifierState(DOM::DOMString) const
    {97, 911, 310, 7, 0, 0, 13},	//1535 DOM::KeyboardEvent::initKeyboardEvent(DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString)
    {97, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 14},	//1536 DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD (enum)
    {97, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 15},	//1537 DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT (enum)
    {97, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 16},	//1538 DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT (enum)
    {97, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 220, 17},	//1539 DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD (enum)
    {97, 1966, 0, 0, Smoke::mf_dtor, 0, 18 },	//1540 DOM::KeyboardEvent::~KeyboardEvent()
    {98, 331, 0, 0, Smoke::mf_ctor, 222, 1},	//1541 DOM::LinkStyle::LinkStyle()
    {98, 331, 318, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 222, 2},	//1542 DOM::LinkStyle::LinkStyle(const DOM::LinkStyle&)
    {98, 1117, 318, 1, 0, 221, 3},	//1543 DOM::LinkStyle::operator=(const DOM::LinkStyle&)
    {98, 1117, 15, 1, 0, 221, 4},	//1544 DOM::LinkStyle::operator=(const DOM::Node&)
    {98, 1701, 0, 0, 0, 268, 5},	//1545 DOM::LinkStyle::sheet()
    {98, 974, 0, 0, Smoke::mf_const, 450, 6},	//1546 DOM::LinkStyle::isNull() const
    {98, 1967, 0, 0, Smoke::mf_dtor, 0, 7 },	//1547 DOM::LinkStyle::~LinkStyle()
    {99, 337, 0, 0, Smoke::mf_ctor, 225, 1},	//1548 DOM::MediaList::MediaList()
    {99, 337, 320, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 225, 2},	//1549 DOM::MediaList::MediaList(const DOM::MediaList&)
    {99, 1117, 320, 1, 0, 224, 3},	//1550 DOM::MediaList::operator=(const DOM::MediaList&)
    {99, 1053, 0, 0, Smoke::mf_const, 65, 4},	//1551 DOM::MediaList::mediaText() const
    {99, 1525, 19, 1, 0, 0, 5},	//1552 DOM::MediaList::setMediaText(const DOM::DOMString&)
    {99, 1032, 0, 0, Smoke::mf_const, 621, 6},	//1553 DOM::MediaList::length() const
    {99, 984, 42, 1, Smoke::mf_const, 65, 7},	//1554 DOM::MediaList::item(unsigned long) const
    {99, 692, 19, 1, 0, 0, 8},	//1555 DOM::MediaList::deleteMedium(const DOM::DOMString&)
    {99, 506, 19, 1, 0, 0, 9},	//1556 DOM::MediaList::appendMedium(const DOM::DOMString&)
    {99, 974, 0, 0, Smoke::mf_const, 450, 10},	//1557 DOM::MediaList::isNull() const
    {99, 1968, 0, 0, Smoke::mf_dtor, 0, 11 },	//1558 DOM::MediaList::~MediaList()
    {100, 344, 0, 0, Smoke::mf_ctor, 227, 1},	//1559 DOM::MouseEvent::MouseEvent()
    {100, 344, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 227, 2},	//1560 DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
    {100, 344, 165, 1, Smoke::mf_ctor, 227, 3},	//1561 DOM::MouseEvent::MouseEvent(const DOM::Event&)
    {100, 1117, 322, 1, 0, 226, 4},	//1562 DOM::MouseEvent::operator=(const DOM::MouseEvent&)
    {100, 1117, 165, 1, 0, 226, 5},	//1563 DOM::MouseEvent::operator=(const DOM::Event&)
    {100, 1261, 0, 0, Smoke::mf_const, 617, 6},	//1564 DOM::MouseEvent::screenX() const
    {100, 1262, 0, 0, Smoke::mf_const, 617, 7},	//1565 DOM::MouseEvent::screenY() const
    {100, 571, 0, 0, Smoke::mf_const, 617, 8},	//1566 DOM::MouseEvent::clientX() const
    {100, 572, 0, 0, Smoke::mf_const, 617, 9},	//1567 DOM::MouseEvent::clientY() const
    {100, 668, 0, 0, Smoke::mf_const, 450, 10},	//1568 DOM::MouseEvent::ctrlKey() const
    {100, 1702, 0, 0, Smoke::mf_const, 450, 11},	//1569 DOM::MouseEvent::shiftKey() const
    {100, 500, 0, 0, Smoke::mf_const, 450, 12},	//1570 DOM::MouseEvent::altKey() const
    {100, 1055, 0, 0, Smoke::mf_const, 450, 13},	//1571 DOM::MouseEvent::metaKey() const
    {100, 543, 0, 0, Smoke::mf_const, 623, 14},	//1572 DOM::MouseEvent::button() const
    {100, 1203, 0, 0, Smoke::mf_const, 234, 15},	//1573 DOM::MouseEvent::relatedTarget() const
    {100, 913, 324, 15, 0, 0, 16},	//1574 DOM::MouseEvent::initMouseEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&)
    {100, 1970, 0, 0, Smoke::mf_dtor, 0, 17 },	//1575 DOM::MouseEvent::~MouseEvent()
    {101, 357, 0, 0, Smoke::mf_ctor, 229, 1},	//1576 DOM::MutationEvent::MutationEvent()
    {101, 357, 340, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 229, 2},	//1577 DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
    {101, 357, 165, 1, Smoke::mf_ctor, 229, 3},	//1578 DOM::MutationEvent::MutationEvent(const DOM::Event&)
    {101, 1117, 340, 1, 0, 228, 4},	//1579 DOM::MutationEvent::operator=(const DOM::MutationEvent&)
    {101, 1117, 165, 1, 0, 228, 5},	//1580 DOM::MutationEvent::operator=(const DOM::Event&)
    {101, 1202, 0, 0, Smoke::mf_const, 234, 6},	//1581 DOM::MutationEvent::relatedNode() const
    {101, 1164, 0, 0, Smoke::mf_const, 65, 7},	//1582 DOM::MutationEvent::prevValue() const
    {101, 1076, 0, 0, Smoke::mf_const, 65, 8},	//1583 DOM::MutationEvent::newValue() const
    {101, 516, 0, 0, Smoke::mf_const, 65, 9},	//1584 DOM::MutationEvent::attrName() const
    {101, 515, 0, 0, Smoke::mf_const, 623, 10},	//1585 DOM::MutationEvent::attrChange() const
    {101, 915, 342, 8, 0, 0, 11},	//1586 DOM::MutationEvent::initMutationEvent(const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short)
    {101, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 12},	//1587 DOM::MutationEvent::MODIFICATION (enum)
    {101, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 13},	//1588 DOM::MutationEvent::ADDITION (enum)
    {101, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 230, 14},	//1589 DOM::MutationEvent::REMOVAL (enum)
    {101, 1974, 0, 0, Smoke::mf_dtor, 0, 15 },	//1590 DOM::MutationEvent::~MutationEvent()
    {102, 368, 0, 0, Smoke::mf_ctor, 233, 1},	//1591 DOM::NamedNodeMap::NamedNodeMap()
    {102, 368, 351, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 233, 2},	//1592 DOM::NamedNodeMap::NamedNodeMap(const DOM::NamedNodeMap&)
    {102, 1117, 351, 1, 0, 232, 3},	//1593 DOM::NamedNodeMap::operator=(const DOM::NamedNodeMap&)
    {102, 1032, 0, 0, Smoke::mf_const, 621, 4},	//1594 DOM::NamedNodeMap::length() const
    {102, 844, 19, 1, Smoke::mf_const, 234, 5},	//1595 DOM::NamedNodeMap::getNamedItem(const DOM::DOMString&) const
    {102, 1535, 15, 1, 0, 234, 6},	//1596 DOM::NamedNodeMap::setNamedItem(const DOM::Node&)
    {102, 1219, 19, 1, 0, 234, 7},	//1597 DOM::NamedNodeMap::removeNamedItem(const DOM::DOMString&)
    {102, 984, 42, 1, Smoke::mf_const, 234, 8},	//1598 DOM::NamedNodeMap::item(unsigned long) const
    {102, 846, 4, 2, Smoke::mf_const, 234, 9},	//1599 DOM::NamedNodeMap::getNamedItemNS(const DOM::DOMString&, const DOM::DOMString&) const
    {102, 1537, 15, 1, 0, 234, 10},	//1600 DOM::NamedNodeMap::setNamedItemNS(const DOM::Node&)
    {102, 1221, 4, 2, 0, 234, 11},	//1601 DOM::NamedNodeMap::removeNamedItemNS(const DOM::DOMString&, const DOM::DOMString&)
    {102, 974, 0, 0, Smoke::mf_const, 450, 12},	//1602 DOM::NamedNodeMap::isNull() const
    {102, 1975, 0, 0, Smoke::mf_dtor, 0, 13 },	//1603 DOM::NamedNodeMap::~NamedNodeMap()
    {103, 372, 0, 0, Smoke::mf_ctor, 236, 1},	//1604 DOM::Node::Node()
    {103, 372, 15, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 236, 2},	//1605 DOM::Node::Node(const DOM::Node&)
    {103, 1117, 15, 1, 0, 235, 3},	//1606 DOM::Node::operator=(const DOM::Node&)
    {103, 1119, 15, 1, Smoke::mf_const, 450, 4},	//1607 DOM::Node::operator==(const DOM::Node&) const
    {103, 1109, 15, 1, Smoke::mf_const, 450, 5},	//1608 DOM::Node::operator!=(const DOM::Node&) const
    {103, 1090, 0, 0, Smoke::mf_const, 65, 6},	//1609 DOM::Node::nodeName() const
    {103, 1093, 0, 0, Smoke::mf_const, 65, 7},	//1610 DOM::Node::nodeValue() const
    {103, 1547, 19, 1, 0, 0, 8},	//1611 DOM::Node::setNodeValue(const DOM::DOMString&)
    {103, 1091, 0, 0, Smoke::mf_const, 623, 9},	//1612 DOM::Node::nodeType() const
    {103, 1142, 0, 0, Smoke::mf_const, 234, 10},	//1613 DOM::Node::parentNode() const
    {103, 563, 0, 0, Smoke::mf_const, 247, 11},	//1614 DOM::Node::childNodes() const
    {103, 784, 0, 0, Smoke::mf_const, 234, 12},	//1615 DOM::Node::firstChild() const
    {103, 1023, 0, 0, Smoke::mf_const, 234, 13},	//1616 DOM::Node::lastChild() const
    {103, 1168, 0, 0, Smoke::mf_const, 234, 14},	//1617 DOM::Node::previousSibling() const
    {103, 1083, 0, 0, Smoke::mf_const, 234, 15},	//1618 DOM::Node::nextSibling() const
    {103, 517, 0, 0, Smoke::mf_const, 231, 16},	//1619 DOM::Node::attributes() const
    {103, 1126, 0, 0, Smoke::mf_const, 68, 17},	//1620 DOM::Node::ownerDocument() const
    {103, 928, 353, 2, 0, 234, 18},	//1621 DOM::Node::insertBefore(const DOM::Node&, const DOM::Node&)
    {103, 1231, 353, 2, 0, 234, 19},	//1622 DOM::Node::replaceChild(const DOM::Node&, const DOM::Node&)
    {103, 1215, 15, 1, 0, 234, 20},	//1623 DOM::Node::removeChild(const DOM::Node&)
    {103, 502, 15, 1, 0, 234, 21},	//1624 DOM::Node::appendChild(const DOM::Node&)
    {103, 874, 0, 0, 0, 450, 22},	//1625 DOM::Node::hasChildNodes()
    {103, 578, 135, 1, 0, 234, 23},	//1626 DOM::Node::cloneNode(bool)
    {103, 1095, 0, 0, 0, 0, 24},	//1627 DOM::Node::normalize()
    {103, 982, 4, 2, Smoke::mf_const, 450, 25},	//1628 DOM::Node::isSupported(const DOM::DOMString&, const DOM::DOMString&) const
    {103, 1075, 0, 0, Smoke::mf_const, 65, 26},	//1629 DOM::Node::namespaceURI() const
    {103, 1158, 0, 0, Smoke::mf_const, 65, 27},	//1630 DOM::Node::prefix() const
    {103, 1559, 19, 1, 0, 0, 28},	//1631 DOM::Node::setPrefix(const DOM::DOMString&)
    {103, 1041, 0, 0, Smoke::mf_const, 65, 29},	//1632 DOM::Node::localName() const
    {103, 873, 0, 0, 0, 450, 30},	//1633 DOM::Node::hasAttributes()
    {103, 490, 356, 3, 0, 0, 31},	//1634 DOM::Node::addEventListener(const DOM::DOMString&, DOM::EventListener*, const bool)
    {103, 1217, 360, 3, 0, 0, 32},	//1635 DOM::Node::removeEventListener(const DOM::DOMString&, DOM::EventListener*, bool)
    {103, 708, 165, 1, 0, 450, 33},	//1636 DOM::Node::dispatchEvent(const DOM::Event&)
    {103, 1776, 0, 0, Smoke::mf_const, 65, 34},	//1637 DOM::Node::textContent() const
    {103, 1652, 19, 1, 0, 0, 35},	//1638 DOM::Node::setTextContent(const DOM::DOMString&)
    {103, 600, 15, 1, 0, 620, 36},	//1639 DOM::Node::compareDocumentPosition(const DOM::Node&)
    {103, 733, 0, 0, Smoke::mf_const, 620, 37},	//1640 DOM::Node::elementId() const
    {103, 974, 0, 0, Smoke::mf_const, 450, 38},	//1641 DOM::Node::isNull() const
    {103, 905, 0, 0, Smoke::mf_const, 621, 39},	//1642 DOM::Node::index() const
    {103, 1784, 0, 0, 0, 365, 40},	//1643 DOM::Node::toHTML()
    {103, 509, 0, 0, 0, 0, 41},	//1644 DOM::Node::applyChanges()
    {103, 825, 364, 4, 0, 0, 42},	//1645 DOM::Node::getCursor(int, int&, int&, int&)
    {103, 857, 0, 0, 0, 360, 43},	//1646 DOM::Node::getRect()
    {103, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 44},	//1647 DOM::Node::ELEMENT_NODE (enum)
    {103, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 45},	//1648 DOM::Node::ATTRIBUTE_NODE (enum)
    {103, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 46},	//1649 DOM::Node::TEXT_NODE (enum)
    {103, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 47},	//1650 DOM::Node::CDATA_SECTION_NODE (enum)
    {103, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 48},	//1651 DOM::Node::ENTITY_REFERENCE_NODE (enum)
    {103, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 49},	//1652 DOM::Node::ENTITY_NODE (enum)
    {103, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 50},	//1653 DOM::Node::PROCESSING_INSTRUCTION_NODE (enum)
    {103, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 51},	//1654 DOM::Node::COMMENT_NODE (enum)
    {103, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 52},	//1655 DOM::Node::DOCUMENT_NODE (enum)
    {103, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 53},	//1656 DOM::Node::DOCUMENT_TYPE_NODE (enum)
    {103, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 54},	//1657 DOM::Node::DOCUMENT_FRAGMENT_NODE (enum)
    {103, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 55},	//1658 DOM::Node::NOTATION_NODE (enum)
    {103, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 56},	//1659 DOM::Node::XPATH_NAMESPACE_NODE (enum)
    {103, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 57},	//1660 DOM::Node::DOCUMENT_POSITION_DISCONNECTED (enum)
    {103, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 58},	//1661 DOM::Node::DOCUMENT_POSITION_PRECEDING (enum)
    {103, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 59},	//1662 DOM::Node::DOCUMENT_POSITION_FOLLOWING (enum)
    {103, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 60},	//1663 DOM::Node::DOCUMENT_POSITION_CONTAINS (enum)
    {103, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 61},	//1664 DOM::Node::DOCUMENT_POSITION_CONTAINED_BY (enum)
    {103, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 62},	//1665 DOM::Node::DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC (enum)
    {103, 1976, 0, 0, Smoke::mf_dtor, 0, 63 },	//1666 DOM::Node::~Node()
    {104, 374, 0, 0, Smoke::mf_ctor, 241, 1},	//1667 DOM::NodeFilter::NodeFilter()
    {104, 374, 369, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 241, 2},	//1668 DOM::NodeFilter::NodeFilter(const DOM::NodeFilter&)
    {104, 1117, 369, 1, Smoke::mf_virtual, 240, 3},	//1669 DOM::NodeFilter::operator=(const DOM::NodeFilter&)
    {104, 471, 15, 1, Smoke::mf_virtual, 619, 4},	//1670 DOM::NodeFilter::acceptNode(const DOM::Node&)
    {104, 974, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 450, 5},	//1671 DOM::NodeFilter::isNull() const
    {104, 1398, 371, 1, 0, 0, 6},	//1672 DOM::NodeFilter::setCustomNodeFilter(DOM::CustomNodeFilter*)
    {104, 675, 0, 0, 0, 58, 7},	//1673 DOM::NodeFilter::customNodeFilter()
    {104, 635, 371, 1, Smoke::mf_static, 239, 8},	//1674 DOM::NodeFilter::createCustom(DOM::CustomNodeFilter*)
    {104, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 9},	//1675 DOM::NodeFilter::FILTER_ACCEPT (enum)
    {104, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 10},	//1676 DOM::NodeFilter::FILTER_REJECT (enum)
    {104, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 11},	//1677 DOM::NodeFilter::FILTER_SKIP (enum)
    {104, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 12},	//1678 DOM::NodeFilter::SHOW_ALL (enum)
    {104, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 13},	//1679 DOM::NodeFilter::SHOW_ELEMENT (enum)
    {104, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 14},	//1680 DOM::NodeFilter::SHOW_ATTRIBUTE (enum)
    {104, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 15},	//1681 DOM::NodeFilter::SHOW_TEXT (enum)
    {104, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 16},	//1682 DOM::NodeFilter::SHOW_CDATA_SECTION (enum)
    {104, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 17},	//1683 DOM::NodeFilter::SHOW_ENTITY_REFERENCE (enum)
    {104, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 18},	//1684 DOM::NodeFilter::SHOW_ENTITY (enum)
    {104, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 19},	//1685 DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION (enum)
    {104, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 20},	//1686 DOM::NodeFilter::SHOW_COMMENT (enum)
    {104, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 21},	//1687 DOM::NodeFilter::SHOW_DOCUMENT (enum)
    {104, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 22},	//1688 DOM::NodeFilter::SHOW_DOCUMENT_TYPE (enum)
    {104, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 23},	//1689 DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT (enum)
    {104, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 243, 24},	//1690 DOM::NodeFilter::SHOW_NOTATION (enum)
    {104, 1977, 0, 0, Smoke::mf_dtor, 0, 25 },	//1691 DOM::NodeFilter::~NodeFilter()
    {105, 376, 0, 0, Smoke::mf_ctor, 246, 1},	//1692 DOM::NodeIterator::NodeIterator()
    {105, 376, 373, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 246, 2},	//1693 DOM::NodeIterator::NodeIterator(const DOM::NodeIterator&)
    {105, 1117, 373, 1, 0, 245, 3},	//1694 DOM::NodeIterator::operator=(const DOM::NodeIterator&)
    {105, 1248, 0, 0, 0, 234, 4},	//1695 DOM::NodeIterator::root()
    {105, 1835, 0, 0, 0, 621, 5},	//1696 DOM::NodeIterator::whatToShow()
    {105, 763, 0, 0, 0, 239, 6},	//1697 DOM::NodeIterator::filter()
    {105, 758, 0, 0, 0, 450, 7},	//1698 DOM::NodeIterator::expandEntityReferences()
    {105, 1082, 0, 0, 0, 234, 8},	//1699 DOM::NodeIterator::nextNode()
    {105, 1167, 0, 0, 0, 234, 9},	//1700 DOM::NodeIterator::previousNode()
    {105, 702, 0, 0, 0, 0, 10},	//1701 DOM::NodeIterator::detach()
    {105, 974, 0, 0, Smoke::mf_const, 450, 11},	//1702 DOM::NodeIterator::isNull() const
    {105, 1978, 0, 0, Smoke::mf_dtor, 0, 12 },	//1703 DOM::NodeIterator::~NodeIterator()
    {106, 378, 0, 0, Smoke::mf_ctor, 249, 1},	//1704 DOM::NodeList::NodeList()
    {106, 378, 375, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 249, 2},	//1705 DOM::NodeList::NodeList(const DOM::NodeList&)
    {106, 1117, 375, 1, 0, 248, 3},	//1706 DOM::NodeList::operator=(const DOM::NodeList&)
    {106, 1032, 0, 0, Smoke::mf_const, 621, 4},	//1707 DOM::NodeList::length() const
    {106, 984, 42, 1, Smoke::mf_const, 234, 5},	//1708 DOM::NodeList::item(unsigned long) const
    {106, 974, 0, 0, Smoke::mf_const, 450, 6},	//1709 DOM::NodeList::isNull() const
    {106, 1979, 0, 0, Smoke::mf_dtor, 0, 7 },	//1710 DOM::NodeList::~NodeList()
    {107, 381, 0, 0, Smoke::mf_ctor, 251, 1},	//1711 DOM::Notation::Notation()
    {107, 381, 377, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 251, 2},	//1712 DOM::Notation::Notation(const DOM::Notation&)
    {107, 381, 15, 1, Smoke::mf_ctor, 251, 3},	//1713 DOM::Notation::Notation(const DOM::Node&)
    {107, 1117, 15, 1, 0, 250, 4},	//1714 DOM::Notation::operator=(const DOM::Node&)
    {107, 1117, 377, 1, 0, 250, 5},	//1715 DOM::Notation::operator=(const DOM::Notation&)
    {107, 1174, 0, 0, Smoke::mf_const, 65, 6},	//1716 DOM::Notation::publicId() const
    {107, 1764, 0, 0, Smoke::mf_const, 65, 7},	//1717 DOM::Notation::systemId() const
    {107, 1980, 0, 0, Smoke::mf_dtor, 0, 8 },	//1718 DOM::Notation::~Notation()
    {108, 388, 0, 0, Smoke::mf_ctor, 254, 1},	//1719 DOM::ProcessingInstruction::ProcessingInstruction()
    {108, 388, 379, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 254, 2},	//1720 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
    {108, 388, 15, 1, Smoke::mf_ctor, 254, 3},	//1721 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
    {108, 1117, 15, 1, 0, 253, 4},	//1722 DOM::ProcessingInstruction::operator=(const DOM::Node&)
    {108, 1117, 379, 1, 0, 253, 5},	//1723 DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
    {108, 1771, 0, 0, Smoke::mf_const, 65, 6},	//1724 DOM::ProcessingInstruction::target() const
    {108, 677, 0, 0, Smoke::mf_const, 65, 7},	//1725 DOM::ProcessingInstruction::data() const
    {108, 1405, 19, 1, 0, 0, 8},	//1726 DOM::ProcessingInstruction::setData(const DOM::DOMString&)
    {108, 1701, 0, 0, Smoke::mf_const, 268, 9},	//1727 DOM::ProcessingInstruction::sheet() const
    {108, 1981, 0, 0, Smoke::mf_dtor, 0, 10 },	//1728 DOM::ProcessingInstruction::~ProcessingInstruction()
    {109, 393, 0, 0, Smoke::mf_ctor, 257, 1},	//1729 DOM::RGBColor::RGBColor()
    {109, 393, 381, 1, Smoke::mf_ctor, 257, 2},	//1730 DOM::RGBColor::RGBColor(const QColor&)
    {109, 393, 116, 1, Smoke::mf_ctor, 257, 3},	//1731 DOM::RGBColor::RGBColor(unsigned int)
    {109, 393, 383, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 257, 4},	//1732 DOM::RGBColor::RGBColor(const DOM::RGBColor&)
    {109, 1117, 383, 1, 0, 256, 5},	//1733 DOM::RGBColor::operator=(const DOM::RGBColor&)
    {109, 1197, 0, 0, Smoke::mf_const, 23, 6},	//1734 DOM::RGBColor::red() const
    {109, 864, 0, 0, Smoke::mf_const, 23, 7},	//1735 DOM::RGBColor::green() const
    {109, 534, 0, 0, Smoke::mf_const, 23, 8},	//1736 DOM::RGBColor::blue() const
    {109, 594, 0, 0, Smoke::mf_const, 620, 9},	//1737 DOM::RGBColor::color() const
    {109, 1045, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 620, 10},	//1738 DOM::RGBColor::m_color() const
    {109, 1512, 116, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//1739 DOM::RGBColor::setM_color(unsigned int)
    {109, 1982, 0, 0, Smoke::mf_dtor, 0, 12 },	//1740 DOM::RGBColor::~RGBColor()
    {110, 397, 0, 0, Smoke::mf_ctor, 260, 1},	//1741 DOM::Range::Range()
    {110, 397, 385, 1, Smoke::mf_ctor, 260, 2},	//1742 DOM::Range::Range(const DOM::Document)
    {110, 397, 387, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 260, 3},	//1743 DOM::Range::Range(const DOM::Range&)
    {110, 397, 389, 4, Smoke::mf_ctor, 260, 4},	//1744 DOM::Range::Range(const DOM::Node, const long, const DOM::Node, const long)
    {110, 1117, 387, 1, 0, 259, 5},	//1745 DOM::Range::operator=(const DOM::Range&)
    {110, 1727, 0, 0, Smoke::mf_const, 234, 6},	//1746 DOM::Range::startContainer() const
    {110, 1728, 0, 0, Smoke::mf_const, 617, 7},	//1747 DOM::Range::startOffset() const
    {110, 740, 0, 0, Smoke::mf_const, 234, 8},	//1748 DOM::Range::endContainer() const
    {110, 741, 0, 0, Smoke::mf_const, 617, 9},	//1749 DOM::Range::endOffset() const
    {110, 593, 0, 0, Smoke::mf_const, 450, 10},	//1750 DOM::Range::collapsed() const
    {110, 596, 0, 0, 0, 234, 11},	//1751 DOM::Range::commonAncestorContainer()
    {110, 1624, 394, 2, 0, 0, 12},	//1752 DOM::Range::setStart(const DOM::Node&, long)
    {110, 1433, 394, 2, 0, 0, 13},	//1753 DOM::Range::setEnd(const DOM::Node&, long)
    {110, 1629, 15, 1, 0, 0, 14},	//1754 DOM::Range::setStartBefore(const DOM::Node&)
    {110, 1627, 15, 1, 0, 0, 15},	//1755 DOM::Range::setStartAfter(const DOM::Node&)
    {110, 1437, 15, 1, 0, 0, 16},	//1756 DOM::Range::setEndBefore(const DOM::Node&)
    {110, 1435, 15, 1, 0, 0, 17},	//1757 DOM::Range::setEndAfter(const DOM::Node&)
    {110, 591, 135, 1, 0, 0, 18},	//1758 DOM::Range::collapse(bool)
    {110, 1272, 15, 1, 0, 0, 19},	//1759 DOM::Range::selectNode(const DOM::Node&)
    {110, 1274, 15, 1, 0, 0, 20},	//1760 DOM::Range::selectNodeContents(const DOM::Node&)
    {110, 598, 397, 2, 0, 619, 21},	//1761 DOM::Range::compareBoundaryPoints(DOM::Range::CompareHow, const DOM::Range&)
    {110, 539, 0, 0, 0, 450, 22},	//1762 DOM::Range::boundaryPointsValid()
    {110, 688, 0, 0, 0, 0, 23},	//1763 DOM::Range::deleteContents()
    {110, 759, 0, 0, 0, 71, 24},	//1764 DOM::Range::extractContents()
    {110, 577, 0, 0, 0, 71, 25},	//1765 DOM::Range::cloneContents()
    {110, 934, 15, 1, 0, 0, 26},	//1766 DOM::Range::insertNode(const DOM::Node&)
    {110, 1762, 15, 1, 0, 0, 27},	//1767 DOM::Range::surroundContents(const DOM::Node&)
    {110, 580, 0, 0, 0, 258, 28},	//1768 DOM::Range::cloneRange()
    {110, 1787, 0, 0, 0, 65, 29},	//1769 DOM::Range::toString()
    {110, 1784, 0, 0, 0, 65, 30},	//1770 DOM::Range::toHTML()
    {110, 633, 19, 1, 0, 71, 31},	//1771 DOM::Range::createContextualFragment(const DOM::DOMString&)
    {110, 702, 0, 0, 0, 0, 32},	//1772 DOM::Range::detach()
    {110, 955, 0, 0, Smoke::mf_const, 450, 33},	//1773 DOM::Range::isDetached() const
    {110, 974, 0, 0, Smoke::mf_const, 450, 34},	//1774 DOM::Range::isNull() const
    {110, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 35},	//1775 DOM::Range::START_TO_START (enum)
    {110, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 36},	//1776 DOM::Range::START_TO_END (enum)
    {110, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 37},	//1777 DOM::Range::END_TO_END (enum)
    {110, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 38},	//1778 DOM::Range::END_TO_START (enum)
    {110, 1983, 0, 0, Smoke::mf_dtor, 0, 39 },	//1779 DOM::Range::~Range()
    {111, 400, 27, 1, Smoke::mf_ctor, 263, 1},	//1780 DOM::RangeException::RangeException(unsigned short)
    {111, 400, 400, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 263, 2},	//1781 DOM::RangeException::RangeException(const DOM::RangeException&)
    {111, 1117, 400, 1, 0, 262, 3},	//1782 DOM::RangeException::operator=(const DOM::RangeException&)
    {111, 586, 0, 0, Smoke::mf_const, 65, 4},	//1783 DOM::RangeException::codeAsString() const
    {111, 586, 31, 1, Smoke::mf_static, 65, 5},	//1784 DOM::RangeException::codeAsString(int)
    {111, 980, 31, 1, Smoke::mf_static, 450, 6},	//1785 DOM::RangeException::isRangeExceptionCode(int)
    {111, 585, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 623, 7},	//1786 DOM::RangeException::code() const
    {111, 1367, 27, 1, Smoke::mf_attribute, 0, 8},	//1787 DOM::RangeException::setCode(unsigned short)
    {111, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 9},	//1788 DOM::RangeException::BAD_BOUNDARYPOINTS_ERR (enum)
    {111, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 10},	//1789 DOM::RangeException::INVALID_NODE_TYPE_ERR (enum)
    {111, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 11},	//1790 DOM::RangeException::_EXCEPTION_OFFSET (enum)
    {111, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 12},	//1791 DOM::RangeException::_EXCEPTION_MAX (enum)
    {111, 1984, 0, 0, Smoke::mf_dtor, 0, 13 },	//1792 DOM::RangeException::~RangeException()
    {112, 403, 0, 0, Smoke::mf_ctor, 267, 1},	//1793 DOM::Rect::Rect()
    {112, 403, 402, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 267, 2},	//1794 DOM::Rect::Rect(const DOM::Rect&)
    {112, 1117, 402, 1, 0, 266, 3},	//1795 DOM::Rect::operator=(const DOM::Rect&)
    {112, 1788, 0, 0, Smoke::mf_const, 23, 4},	//1796 DOM::Rect::top() const
    {112, 1247, 0, 0, Smoke::mf_const, 23, 5},	//1797 DOM::Rect::right() const
    {112, 538, 0, 0, Smoke::mf_const, 23, 6},	//1798 DOM::Rect::bottom() const
    {112, 1031, 0, 0, Smoke::mf_const, 23, 7},	//1799 DOM::Rect::left() const
    {112, 974, 0, 0, Smoke::mf_const, 450, 8},	//1800 DOM::Rect::isNull() const
    {112, 1985, 0, 0, Smoke::mf_dtor, 0, 9 },	//1801 DOM::Rect::~Rect()
    {113, 430, 0, 0, Smoke::mf_ctor, 270, 1},	//1802 DOM::StyleSheet::StyleSheet()
    {113, 430, 71, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 270, 2},	//1803 DOM::StyleSheet::StyleSheet(const DOM::StyleSheet&)
    {113, 1117, 71, 1, 0, 269, 3},	//1804 DOM::StyleSheet::operator=(const DOM::StyleSheet&)
    {113, 1800, 0, 0, Smoke::mf_const, 65, 4},	//1805 DOM::StyleSheet::type() const
    {113, 706, 0, 0, Smoke::mf_const, 450, 5},	//1806 DOM::StyleSheet::disabled() const
    {113, 1423, 135, 1, 0, 0, 6},	//1807 DOM::StyleSheet::setDisabled(bool)
    {113, 1128, 0, 0, Smoke::mf_const, 234, 7},	//1808 DOM::StyleSheet::ownerNode() const
    {113, 1145, 0, 0, Smoke::mf_const, 268, 8},	//1809 DOM::StyleSheet::parentStyleSheet() const
    {113, 888, 0, 0, Smoke::mf_const, 65, 9},	//1810 DOM::StyleSheet::href() const
    {113, 1781, 0, 0, Smoke::mf_const, 65, 10},	//1811 DOM::StyleSheet::title() const
    {113, 1052, 0, 0, Smoke::mf_const, 223, 11},	//1812 DOM::StyleSheet::media() const
    {113, 528, 0, 0, 0, 325, 12},	//1813 DOM::StyleSheet::baseUrl()
    {113, 949, 0, 0, Smoke::mf_const, 450, 13},	//1814 DOM::StyleSheet::isCSSStyleSheet() const
    {113, 974, 0, 0, Smoke::mf_const, 450, 14},	//1815 DOM::StyleSheet::isNull() const
    {113, 1986, 0, 0, Smoke::mf_dtor, 0, 15 },	//1816 DOM::StyleSheet::~StyleSheet()
    {114, 432, 0, 0, Smoke::mf_ctor, 273, 1},	//1817 DOM::StyleSheetList::StyleSheetList()
    {114, 432, 404, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 273, 2},	//1818 DOM::StyleSheetList::StyleSheetList(const DOM::StyleSheetList&)
    {114, 1117, 404, 1, 0, 272, 3},	//1819 DOM::StyleSheetList::operator=(const DOM::StyleSheetList&)
    {114, 1032, 0, 0, Smoke::mf_const, 621, 4},	//1820 DOM::StyleSheetList::length() const
    {114, 984, 42, 1, 0, 268, 5},	//1821 DOM::StyleSheetList::item(unsigned long)
    {114, 974, 0, 0, Smoke::mf_const, 450, 6},	//1822 DOM::StyleSheetList::isNull() const
    {114, 1987, 0, 0, Smoke::mf_dtor, 0, 7 },	//1823 DOM::StyleSheetList::~StyleSheetList()
    {115, 439, 0, 0, Smoke::mf_ctor, 276, 1},	//1824 DOM::Text::Text()
    {115, 439, 406, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 276, 2},	//1825 DOM::Text::Text(const DOM::Text&)
    {115, 439, 15, 1, Smoke::mf_ctor, 276, 3},	//1826 DOM::Text::Text(const DOM::Node&)
    {115, 1117, 15, 1, 0, 275, 4},	//1827 DOM::Text::operator=(const DOM::Node&)
    {115, 1117, 406, 1, 0, 275, 5},	//1828 DOM::Text::operator=(const DOM::Text&)
    {115, 1722, 408, 1, 0, 274, 6},	//1829 DOM::Text::splitText(const unsigned long)
    {115, 1988, 0, 0, Smoke::mf_dtor, 0, 7 },	//1830 DOM::Text::~Text()
    {116, 441, 0, 0, Smoke::mf_ctor, 278, 1},	//1831 DOM::TextEvent::TextEvent()
    {116, 441, 410, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 278, 2},	//1832 DOM::TextEvent::TextEvent(const DOM::TextEvent&)
    {116, 441, 165, 1, Smoke::mf_ctor, 278, 3},	//1833 DOM::TextEvent::TextEvent(const DOM::Event&)
    {116, 1117, 410, 1, 0, 277, 4},	//1834 DOM::TextEvent::operator=(const DOM::TextEvent&)
    {116, 1117, 165, 1, 0, 277, 5},	//1835 DOM::TextEvent::operator=(const DOM::Event&)
    {116, 917, 412, 5, 0, 0, 6},	//1836 DOM::TextEvent::initTextEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&)
    {116, 1989, 0, 0, Smoke::mf_dtor, 0, 7 },	//1837 DOM::TextEvent::~TextEvent()
    {117, 443, 0, 0, Smoke::mf_ctor, 281, 1},	//1838 DOM::TreeWalker::TreeWalker()
    {117, 443, 418, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 281, 2},	//1839 DOM::TreeWalker::TreeWalker(const DOM::TreeWalker&)
    {117, 1117, 418, 1, 0, 280, 3},	//1840 DOM::TreeWalker::operator=(const DOM::TreeWalker&)
    {117, 1248, 0, 0, 0, 234, 4},	//1841 DOM::TreeWalker::root()
    {117, 1835, 0, 0, 0, 621, 5},	//1842 DOM::TreeWalker::whatToShow()
    {117, 763, 0, 0, 0, 239, 6},	//1843 DOM::TreeWalker::filter()
    {117, 758, 0, 0, 0, 450, 7},	//1844 DOM::TreeWalker::expandEntityReferences()
    {117, 670, 0, 0, 0, 234, 8},	//1845 DOM::TreeWalker::currentNode()
    {117, 1396, 15, 1, 0, 0, 9},	//1846 DOM::TreeWalker::setCurrentNode(const DOM::Node&)
    {117, 1142, 0, 0, 0, 234, 10},	//1847 DOM::TreeWalker::parentNode()
    {117, 784, 0, 0, 0, 234, 11},	//1848 DOM::TreeWalker::firstChild()
    {117, 1023, 0, 0, 0, 234, 12},	//1849 DOM::TreeWalker::lastChild()
    {117, 1168, 0, 0, 0, 234, 13},	//1850 DOM::TreeWalker::previousSibling()
    {117, 1083, 0, 0, 0, 234, 14},	//1851 DOM::TreeWalker::nextSibling()
    {117, 1167, 0, 0, 0, 234, 15},	//1852 DOM::TreeWalker::previousNode()
    {117, 1082, 0, 0, 0, 234, 16},	//1853 DOM::TreeWalker::nextNode()
    {117, 974, 0, 0, Smoke::mf_const, 450, 17},	//1854 DOM::TreeWalker::isNull() const
    {117, 1990, 0, 0, Smoke::mf_dtor, 0, 18 },	//1855 DOM::TreeWalker::~TreeWalker()
    {118, 445, 0, 0, Smoke::mf_ctor, 283, 1},	//1856 DOM::UIEvent::UIEvent()
    {118, 445, 420, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 283, 2},	//1857 DOM::UIEvent::UIEvent(const DOM::UIEvent&)
    {118, 445, 165, 1, Smoke::mf_ctor, 283, 3},	//1858 DOM::UIEvent::UIEvent(const DOM::Event&)
    {118, 1117, 420, 1, 0, 282, 4},	//1859 DOM::UIEvent::operator=(const DOM::UIEvent&)
    {118, 1117, 165, 1, 0, 282, 5},	//1860 DOM::UIEvent::operator=(const DOM::Event&)
    {118, 1824, 0, 0, Smoke::mf_const, 1, 6},	//1861 DOM::UIEvent::view() const
    {118, 703, 0, 0, Smoke::mf_const, 617, 7},	//1862 DOM::UIEvent::detail() const
    {118, 993, 0, 0, Smoke::mf_const, 608, 8},	//1863 DOM::UIEvent::keyCode() const
    {118, 557, 0, 0, Smoke::mf_const, 608, 9},	//1864 DOM::UIEvent::charCode() const
    {118, 1131, 0, 0, Smoke::mf_const, 608, 10},	//1865 DOM::UIEvent::pageX() const
    {118, 1132, 0, 0, Smoke::mf_const, 608, 11},	//1866 DOM::UIEvent::pageY() const
    {118, 1026, 0, 0, Smoke::mf_const, 608, 12},	//1867 DOM::UIEvent::layerX() const
    {118, 1027, 0, 0, Smoke::mf_const, 608, 13},	//1868 DOM::UIEvent::layerY() const
    {118, 1838, 0, 0, Smoke::mf_const, 608, 14},	//1869 DOM::UIEvent::which() const
    {118, 919, 422, 5, 0, 0, 15},	//1870 DOM::UIEvent::initUIEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long)
    {118, 1991, 0, 0, Smoke::mf_dtor, 0, 16 },	//1871 DOM::UIEvent::~UIEvent()
    {124, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 588, 1},	//1872 KHTMLPart::metaObject() const
    {124, 1178, 108, 1, Smoke::mf_virtual, 624, 2},	//1873 KHTMLPart::qt_metacast(const char*)
    {124, 1790, 428, 2, Smoke::mf_static, 365, 3},	//1874 KHTMLPart::tr(const char*, const char*)
    {124, 1794, 428, 2, Smoke::mf_static, 365, 4},	//1875 KHTMLPart::trUtf8(const char*, const char*)
    {124, 1790, 431, 3, Smoke::mf_static, 365, 5},	//1876 KHTMLPart::tr(const char*, const char*, int)
    {124, 1794, 431, 3, Smoke::mf_static, 365, 6},	//1877 KHTMLPart::trUtf8(const char*, const char*, int)
    {124, 1176, 435, 3, Smoke::mf_virtual, 608, 7},	//1878 KHTMLPart::qt_metacall(QMetaObject::Call, int, void**)
    {124, 303, 439, 3, Smoke::mf_ctor, 289, 8},	//1879 KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
    {124, 303, 443, 3, Smoke::mf_ctor, 289, 9},	//1880 KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
    {124, 1107, 447, 1, Smoke::mf_virtual, 450, 10},	//1881 KHTMLPart::openUrl(const KUrl&)
    {124, 584, 0, 0, Smoke::mf_virtual, 450, 11},	//1882 KHTMLPart::closeUrl()
    {124, 1705, 449, 1, Smoke::mf_virtual, 0, 12},	//1883 KHTMLPart::showError(KJob*)
    {124, 891, 0, 0, Smoke::mf_const, 124, 13},	//1884 KHTMLPart::htmlDocument() const
    {124, 721, 0, 0, Smoke::mf_const, 68, 14},	//1885 KHTMLPart::document() const
    {124, 723, 0, 0, Smoke::mf_const, 365, 15},	//1886 KHTMLPart::documentSource() const
    {124, 478, 0, 0, Smoke::mf_const, 234, 16},	//1887 KHTMLPart::activeNode() const
    {124, 540, 0, 0, Smoke::mf_const, 316, 17},	//1888 KHTMLPart::browserExtension() const
    {124, 541, 0, 0, Smoke::mf_const, 317, 18},	//1889 KHTMLPart::browserHostExtension() const
    {124, 1824, 0, 0, Smoke::mf_const, 309, 19},	//1890 KHTMLPart::view() const
    {124, 1497, 135, 1, Smoke::mf_property, 0, 20},	//1891 KHTMLPart::setJScriptEnabled(bool)
    {124, 986, 0, 0, Smoke::mf_const|Smoke::mf_property, 450, 21},	//1892 KHTMLPart::jScriptEnabled() const
    {124, 987, 0, 0, 0, 313, 22},	//1893 KHTMLPart::jScriptInterpreter()
    {124, 1631, 135, 1, 0, 0, 23},	//1894 KHTMLPart::setStatusMessagesEnabled(bool)
    {124, 1735, 0, 0, Smoke::mf_const, 450, 24},	//1895 KHTMLPart::statusMessagesEnabled() const
    {124, 1527, 135, 1, Smoke::mf_property, 0, 25},	//1896 KHTMLPart::setMetaRefreshEnabled(bool)
    {124, 1057, 0, 0, Smoke::mf_const|Smoke::mf_property, 450, 26},	//1897 KHTMLPart::metaRefreshEnabled() const
    {124, 755, 451, 2, 0, 373, 27},	//1898 KHTMLPart::executeScript(const DOM::Node&, const QString&)
    {124, 1400, 135, 1, Smoke::mf_property, 0, 28},	//1899 KHTMLPart::setDNDEnabled(bool)
    {124, 711, 0, 0, Smoke::mf_const|Smoke::mf_property, 450, 29},	//1900 KHTMLPart::dndEnabled() const
    {124, 1499, 135, 1, Smoke::mf_property, 0, 30},	//1901 KHTMLPart::setJavaEnabled(bool)
    {124, 988, 0, 0, Smoke::mf_const|Smoke::mf_property, 450, 31},	//1902 KHTMLPart::javaEnabled() const
    {124, 1557, 135, 1, Smoke::mf_property, 0, 32},	//1903 KHTMLPart::setPluginsEnabled(bool)
    {124, 1154, 0, 0, Smoke::mf_const|Smoke::mf_property, 450, 33},	//1904 KHTMLPart::pluginsEnabled() const
    {124, 1321, 135, 1, 0, 0, 34},	//1905 KHTMLPart::setAutoloadImages(bool)
    {124, 520, 0, 0, Smoke::mf_const, 450, 35},	//1906 KHTMLPart::autoloadImages() const
    {124, 1551, 135, 1, 0, 0, 36},	//1907 KHTMLPart::setOnlyLocalReferences(bool)
    {124, 1451, 135, 1, 0, 0, 37},	//1908 KHTMLPart::setForcePermitLocalImages(bool)
    {124, 1402, 454, 1, Smoke::mf_property, 0, 38},	//1909 KHTMLPart::setDNSPrefetch(KHTMLPart::DNSPrefetch)
    {124, 712, 0, 0, Smoke::mf_const|Smoke::mf_property, 291, 39},	//1910 KHTMLPart::dnsPrefetch() const
    {124, 1104, 0, 0, Smoke::mf_const, 450, 40},	//1911 KHTMLPart::onlyLocalReferences() const
    {124, 798, 0, 0, Smoke::mf_const, 450, 41},	//1912 KHTMLPart::forcePermitLocalImages() const
    {124, 951, 0, 0, Smoke::mf_const, 450, 42},	//1913 KHTMLPart::isCaretMode() const
    {124, 956, 0, 0, Smoke::mf_const, 450, 43},	//1914 KHTMLPart::isEditable() const
    {124, 1340, 456, 3, 0, 0, 44},	//1915 KHTMLPart::setCaretPosition(DOM::Node, long, bool)
    {124, 546, 0, 0, Smoke::mf_const, 290, 45},	//1916 KHTMLPart::caretDisplayPolicyNonFocused() const
    {124, 1336, 460, 1, 0, 0, 46},	//1917 KHTMLPart::setCaretDisplayPolicyNonFocused(KHTMLPart::CaretDisplayPolicy)
    {124, 527, 0, 0, Smoke::mf_const, 325, 47},	//1918 KHTMLPart::baseURL() const
    {124, 524, 0, 0, Smoke::mf_const, 325, 48},	//1919 KHTMLPart::backgroundURL() const
    {124, 1256, 462, 3, 0, 0, 49},	//1920 KHTMLPart::scheduleRedirection(int, const QString&, bool)
    {124, 529, 466, 3, Smoke::mf_virtual, 0, 50},	//1921 KHTMLPart::begin(const KUrl&, int, int)
    {124, 1854, 470, 2, Smoke::mf_virtual, 0, 51},	//1922 KHTMLPart::write(const char*, int)
    {124, 1854, 106, 1, Smoke::mf_virtual, 0, 52},	//1923 KHTMLPart::write(const QString&)
    {124, 739, 0, 0, Smoke::mf_virtual, 0, 53},	//1924 KHTMLPart::end()
    {124, 1133, 473, 4, 0, 0, 54},	//1925 KHTMLPart::paint(QPainter*, const QRect&, int, bool*)
    {124, 1427, 478, 2, 0, 450, 55},	//1926 KHTMLPart::setEncoding(const QString&, bool)
    {124, 737, 0, 0, Smoke::mf_const|Smoke::mf_property, 365, 56},	//1927 KHTMLPart::encoding() const
    {124, 1664, 447, 1, 0, 0, 57},	//1928 KHTMLPart::setUserStyleSheet(const KUrl&)
    {124, 1664, 106, 1, 0, 0, 58},	//1929 KHTMLPart::setUserStyleSheet(const QString&)
    {124, 1620, 106, 1, 0, 0, 59},	//1930 KHTMLPart::setStandardFont(const QString&)
    {124, 1443, 106, 1, 0, 0, 60},	//1931 KHTMLPart::setFixedFont(const QString&)
    {124, 862, 106, 1, 0, 450, 61},	//1932 KHTMLPart::gotoAnchor(const QString&)
    {124, 1077, 0, 0, 0, 450, 62},	//1933 KHTMLPart::nextAnchor()
    {124, 1163, 0, 0, 0, 450, 63},	//1934 KHTMLPart::prevAnchor()
    {124, 1660, 481, 1, 0, 0, 64},	//1935 KHTMLPart::setURLCursor(const QCursor&)
    {124, 1811, 0, 0, Smoke::mf_const, 336, 65},	//1936 KHTMLPart::urlCursor() const
    {124, 776, 0, 0, 0, 0, 66},	//1937 KHTMLPart::findText()
    {124, 776, 483, 4, 0, 0, 67},	//1938 KHTMLPart::findText(const QString&, long, QWidget*, KFindDialog*)
    {124, 780, 0, 0, 0, 0, 68},	//1939 KHTMLPart::findTextBegin()
    {124, 781, 135, 1, 0, 450, 69},	//1940 KHTMLPart::findTextNext(bool)
    {124, 1692, 31, 1, 0, 0, 70},	//1941 KHTMLPart::setZoomFactor(int)
    {124, 1864, 0, 0, Smoke::mf_const, 608, 71},	//1942 KHTMLPart::zoomFactor() const
    {124, 1449, 31, 1, 0, 0, 72},	//1943 KHTMLPart::setFontScaleFactor(int)
    {124, 797, 0, 0, Smoke::mf_const, 608, 73},	//1944 KHTMLPart::fontScaleFactor() const
    {124, 1279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 365, 74},	//1945 KHTMLPart::selectedText() const
    {124, 1280, 0, 0, Smoke::mf_const, 365, 75},	//1946 KHTMLPart::selectedTextAsHTML() const
    {124, 1281, 0, 0, Smoke::mf_const, 258, 76},	//1947 KHTMLPart::selection() const
    {124, 1281, 488, 4, Smoke::mf_const, 0, 77},	//1948 KHTMLPart::selection(DOM::Node&, long&, DOM::Node&, long&) const
    {124, 1597, 387, 1, 0, 0, 78},	//1949 KHTMLPart::setSelection(const DOM::Range&)
    {124, 878, 0, 0, Smoke::mf_const, 450, 79},	//1950 KHTMLPart::hasSelection() const
    {124, 732, 0, 0, Smoke::mf_const, 80, 80},	//1951 KHTMLPart::editor() const
    {124, 1271, 0, 0, 0, 0, 81},	//1952 KHTMLPart::selectAll()
    {124, 1703, 0, 0, 0, 0, 82},	//1953 KHTMLPart::show()
    {124, 882, 0, 0, 0, 0, 83},	//1954 KHTMLPart::hide()
    {124, 1148, 0, 0, 0, 321, 84},	//1955 KHTMLPart::partManager()
    {124, 1254, 493, 1, Smoke::mf_virtual, 0, 85},	//1956 KHTMLPart::saveState(QDataStream&)
    {124, 1240, 493, 1, Smoke::mf_virtual, 0, 86},	//1957 KHTMLPart::restoreState(QDataStream&)
    {124, 1092, 0, 0, Smoke::mf_const, 234, 87},	//1958 KHTMLPart::nodeUnderMouse() const
    {124, 1094, 0, 0, Smoke::mf_const, 234, 88},	//1959 KHTMLPart::nonSharedNodeUnderMouse() const
    {124, 1698, 0, 0, Smoke::mf_const, 573, 89},	//1960 KHTMLPart::settings() const
    {124, 1143, 0, 0, 0, 289, 90},	//1961 KHTMLPart::parentPart()
    {124, 808, 0, 0, Smoke::mf_const, 367, 91},	//1962 KHTMLPart::frameNames() const
    {124, 812, 0, 0, Smoke::mf_const, 348, 92},	//1963 KHTMLPart::frames() const
    {124, 769, 106, 1, 0, 289, 93},	//1964 KHTMLPart::findFrame(const QString&)
    {124, 771, 495, 3, 0, 289, 94},	//1965 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**)
    {124, 669, 0, 0, Smoke::mf_const, 323, 95},	//1966 KHTMLPart::currentFrame() const
    {124, 806, 106, 1, 0, 450, 96},	//1967 KHTMLPart::frameExists(const QString&)
    {124, 810, 499, 1, 0, 314, 97},	//1968 KHTMLPart::framejScript(KParts::ReadOnlyPart*)
    {124, 774, 106, 1, 0, 323, 98},	//1969 KHTMLPart::findFramePart(const QString&)
    {124, 1495, 106, 1, 0, 0, 99},	//1970 KHTMLPart::setJSStatusBarText(const QString&)
    {124, 1489, 106, 1, 0, 0, 100},	//1971 KHTMLPart::setJSDefaultStatusBarText(const QString&)
    {124, 992, 0, 0, Smoke::mf_const, 365, 101},	//1972 KHTMLPart::jsStatusBarText() const
    {124, 989, 0, 0, Smoke::mf_const, 365, 102},	//1973 KHTMLPart::jsDefaultStatusBarText() const
    {124, 1200, 0, 0, Smoke::mf_const, 365, 103},	//1974 KHTMLPart::referrer() const
    {124, 1130, 0, 0, Smoke::mf_const, 365, 104},	//1975 KHTMLPart::pageReferrer() const
    {124, 1025, 0, 0, Smoke::mf_const|Smoke::mf_property, 365, 105},	//1976 KHTMLPart::lastModified() const
    {124, 1161, 501, 2, 0, 0, 106},	//1977 KHTMLPart::preloadStyleSheet(const QString&, const QString&)
    {124, 1159, 501, 2, 0, 0, 107},	//1978 KHTMLPart::preloadScript(const QString&, const QString&)
    {124, 978, 504, 2, 0, 450, 108},	//1979 KHTMLPart::isPointInsideSelection(int, int)
    {124, 1242, 0, 0, Smoke::mf_const, 450, 109},	//1980 KHTMLPart::restored() const
    {124, 1307, 135, 1, 0, 0, 110},	//1981 KHTMLPart::setAlwaysHonourDoctype(bool)
    {124, 1453, 507, 1, 0, 0, 111},	//1982 KHTMLPart::setFormNotification(KHTMLPart::FormNotification)
    {124, 800, 0, 0, Smoke::mf_const, 293, 112},	//1983 KHTMLPart::formNotification() const
    {124, 1789, 0, 0, 0, 325, 113},	//1984 KHTMLPart::toplevelURL()
    {124, 973, 0, 0, Smoke::mf_const|Smoke::mf_property, 450, 114},	//1985 KHTMLPart::isModified() const
    {124, 1639, 509, 2, 0, 0, 115},	//1986 KHTMLPart::setSuppressedPopupIndicator(bool, KHTMLPart*)
    {124, 903, 0, 0, Smoke::mf_const, 450, 116},	//1987 KHTMLPart::inProgress() const
    {124, 1102, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//1988 KHTMLPart::onURL(const QString&)
    {124, 1155, 512, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 118},	//1989 KHTMLPart::popupMenu(const QString&, const QPoint&)
    {124, 1283, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 119},	//1990 KHTMLPart::selectionChanged()
    {124, 1088, 15, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 120},	//1991 KHTMLPart::nodeActivated(const DOM::Node&)
    {124, 719, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 121},	//1992 KHTMLPart::docCreated()
    {124, 547, 394, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 122},	//1993 KHTMLPart::caretPositionChanged(const DOM::Node&, long)
    {124, 801, 515, 6, Smoke::mf_protected|Smoke::mf_signal, 0, 123},	//1994 KHTMLPart::formSubmitNotification(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
    {124, 606, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 124},	//1995 KHTMLPart::configurationChanged()
    {124, 602, 106, 1, Smoke::mf_protected, 325, 125},	//1996 KHTMLPart::completeURL(const QString&)
    {124, 892, 522, 3, Smoke::mf_protected, 0, 126},	//1997 KHTMLPart::htmlError(int, const QString&, const KUrl&)
    {124, 673, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 127},	//1998 KHTMLPart::customEvent(QEvent*)
    {124, 1010, 528, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//1999 KHTMLPart::khtmlMousePressEvent(khtml::MousePressEvent*)
    {124, 1006, 530, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//2000 KHTMLPart::khtmlMouseDoubleClickEvent(khtml::MouseDoubleClickEvent*)
    {124, 1008, 532, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 130},	//2001 KHTMLPart::khtmlMouseMoveEvent(khtml::MouseMoveEvent*)
    {124, 1012, 534, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 131},	//2002 KHTMLPart::khtmlMouseReleaseEvent(khtml::MouseReleaseEvent*)
    {124, 1000, 536, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 132},	//2003 KHTMLPart::khtmlDrawContentsEvent(khtml::DrawContentsEvent*)
    {124, 865, 538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 133},	//2004 KHTMLPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {124, 1106, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 450, 134},	//2005 KHTMLPart::openFile()
    {124, 1812, 540, 6, Smoke::mf_protected|Smoke::mf_virtual, 450, 135},	//2006 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&)
    {124, 654, 547, 6, Smoke::mf_protected|Smoke::mf_virtual, 323, 136},	//2007 KHTMLPart::createPart(QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&)
    {124, 1152, 106, 1, Smoke::mf_const|Smoke::mf_protected, 450, 137},	//2008 KHTMLPart::pluginPageQuestionAsked(const QString&) const
    {124, 1555, 106, 1, Smoke::mf_protected, 0, 138},	//2009 KHTMLPart::setPluginPageQuestionAsked(const QString&)
    {124, 1553, 554, 1, Smoke::mf_protected, 0, 139},	//2010 KHTMLPart::setPageSecurity(KHTMLPart::PageSecurity)
    {124, 715, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 450, 140},	//2011 KHTMLPart::doOpenStream(const QString&)
    {124, 717, 556, 1, Smoke::mf_protected|Smoke::mf_virtual, 450, 141},	//2012 KHTMLPart::doWriteStream(const QByteArray&)
    {124, 714, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 450, 142},	//2013 KHTMLPart::doCloseStream()
    {124, 1779, 558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 143},	//2014 KHTMLPart::timerEvent(QTimerEvent*)
    {124, 1050, 106, 1, Smoke::mf_protected, 450, 144},	//2015 KHTMLPart::mayPrefetchHostname(const QString&)
    {124, 1808, 0, 0, Smoke::mf_protected, 0, 145},	//2016 KHTMLPart::updateZoomFactor()
    {124, 1301, 15, 1, Smoke::mf_slot, 0, 146},	//2017 KHTMLPart::setActiveNode(const DOM::Node&)
    {124, 1737, 0, 0, Smoke::mf_slot, 0, 147},	//2018 KHTMLPart::stopAnimations()
    {124, 755, 106, 1, Smoke::mf_slot, 373, 148},	//2019 KHTMLPart::executeScript(const QString&)
    {124, 1338, 135, 1, Smoke::mf_slot, 0, 149},	//2020 KHTMLPart::setCaretMode(bool)
    {124, 1425, 135, 1, Smoke::mf_slot, 0, 150},	//2021 KHTMLPart::setEditable(bool)
    {124, 1343, 135, 1, Smoke::mf_slot, 0, 151},	//2022 KHTMLPart::setCaretVisible(bool)
    {124, 1752, 515, 6, Smoke::mf_slot, 0, 152},	//2023 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
    {124, 1711, 449, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//2024 KHTMLPart::slotFinished(KJob*)
    {124, 1729, 560, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 154},	//2025 KHTMLPart::startingJob(KIO::Job*)
    {124, 899, 0, 0, 0, 297, 155},	//2026 KHTMLPart::impl()
    {124, 1790, 108, 1, Smoke::mf_static, 365, 156},	//2027 KHTMLPart::tr(const char*)
    {124, 1794, 108, 1, Smoke::mf_static, 365, 157},	//2028 KHTMLPart::trUtf8(const char*)
    {124, 303, 0, 0, Smoke::mf_ctor, 289, 158},	//2029 KHTMLPart::KHTMLPart()
    {124, 303, 562, 1, Smoke::mf_ctor, 289, 159},	//2030 KHTMLPart::KHTMLPart(QWidget*)
    {124, 303, 564, 2, Smoke::mf_ctor, 289, 160},	//2031 KHTMLPart::KHTMLPart(QWidget*, QObject*)
    {124, 303, 205, 1, Smoke::mf_ctor, 289, 161},	//2032 KHTMLPart::KHTMLPart(KHTMLView*)
    {124, 303, 567, 2, Smoke::mf_ctor, 289, 162},	//2033 KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
    {124, 1340, 570, 2, 0, 0, 163},	//2034 KHTMLPart::setCaretPosition(DOM::Node, long)
    {124, 1256, 573, 2, 0, 0, 164},	//2035 KHTMLPart::scheduleRedirection(int, const QString&)
    {124, 529, 0, 0, 0, 0, 165},	//2036 KHTMLPart::begin()
    {124, 529, 447, 1, 0, 0, 166},	//2037 KHTMLPart::begin(const KUrl&)
    {124, 529, 576, 2, 0, 0, 167},	//2038 KHTMLPart::begin(const KUrl&, int)
    {124, 1854, 108, 1, 0, 0, 168},	//2039 KHTMLPart::write(const char*)
    {124, 1133, 579, 2, 0, 0, 169},	//2040 KHTMLPart::paint(QPainter*, const QRect&)
    {124, 1133, 582, 3, 0, 0, 170},	//2041 KHTMLPart::paint(QPainter*, const QRect&, int)
    {124, 1427, 106, 1, 0, 450, 171},	//2042 KHTMLPart::setEncoding(const QString&)
    {124, 776, 586, 2, 0, 0, 172},	//2043 KHTMLPart::findText(const QString&, long)
    {124, 776, 589, 3, 0, 0, 173},	//2044 KHTMLPart::findText(const QString&, long, QWidget*)
    {124, 781, 0, 0, 0, 450, 174},	//2045 KHTMLPart::findTextNext()
    {124, 771, 593, 2, 0, 289, 175},	//2046 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&)
    {124, 1307, 0, 0, 0, 0, 176},	//2047 KHTMLPart::setAlwaysHonourDoctype()
    {124, 1639, 135, 1, 0, 0, 177},	//2048 KHTMLPart::setSuppressedPopupIndicator(bool)
    {124, 1812, 596, 4, Smoke::mf_protected, 450, 178},	//2049 KHTMLPart::urlSelected(const QString&, int, int, const QString&)
    {124, 1812, 601, 5, Smoke::mf_protected, 450, 179},	//2050 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&)
    {124, 1752, 607, 4, Smoke::mf_slot, 0, 180},	//2051 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&)
    {124, 1752, 612, 5, Smoke::mf_slot, 0, 181},	//2052 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&)
    {124, 1734, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 587, 182},	//2053 KHTMLPart::staticMetaObject() const
    {124, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 183},	//2054 KHTMLPart::DefaultGUI (enum)
    {124, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 294, 184},	//2055 KHTMLPart::BrowserViewGUI (enum)
    {124, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 185},	//2056 KHTMLPart::DNSPrefetchDisabled (enum)
    {124, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 186},	//2057 KHTMLPart::DNSPrefetchEnabled (enum)
    {124, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 291, 187},	//2058 KHTMLPart::DNSPrefetchOnlyWWWAndSLD (enum)
    {124, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 188},	//2059 KHTMLPart::CaretVisible (enum)
    {124, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 189},	//2060 KHTMLPart::CaretInvisible (enum)
    {124, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 290, 190},	//2061 KHTMLPart::CaretBlink (enum)
    {124, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 191},	//2062 KHTMLPart::FindLinksOnly (enum)
    {124, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 292, 192},	//2063 KHTMLPart::FindNoPopups (enum)
    {124, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 193},	//2064 KHTMLPart::NoNotification (enum)
    {124, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 194},	//2065 KHTMLPart::Before (enum)
    {124, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 195},	//2066 KHTMLPart::Only (enum)
    {124, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 293, 196},	//2067 KHTMLPart::Unused (enum)
    {124, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 197},	//2068 KHTMLPart::NotCrypted (enum)
    {124, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 198},	//2069 KHTMLPart::Encrypted (enum)
    {124, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 295, 199},	//2070 KHTMLPart::Mixed (enum)
    {124, 1963, 0, 0, Smoke::mf_dtor, 0, 200 },	//2071 KHTMLPart::~KHTMLPart()
    {126, 307, 0, 0, Smoke::mf_ctor, 298, 1},	//2072 KHTMLSettings::KHTMLSettings()
    {126, 307, 618, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 298, 2},	//2073 KHTMLSettings::KHTMLSettings(const KHTMLSettings&)
    {126, 906, 0, 0, 0, 0, 3},	//2074 KHTMLSettings::init()
    {126, 906, 620, 2, 0, 0, 4},	//2075 KHTMLSettings::init(KConfig*, bool)
    {126, 555, 0, 0, Smoke::mf_const, 450, 5},	//2076 KHTMLSettings::changeCursor() const
    {126, 1801, 0, 0, Smoke::mf_const, 450, 6},	//2077 KHTMLSettings::underlineLink() const
    {126, 887, 0, 0, Smoke::mf_const, 450, 7},	//2078 KHTMLSettings::hoverLink() const
    {126, 498, 0, 0, Smoke::mf_const, 450, 8},	//2079 KHTMLSettings::allowTabulation() const
    {126, 519, 0, 0, Smoke::mf_const, 450, 9},	//2080 KHTMLSettings::autoSpellCheck() const
    {126, 1704, 0, 0, Smoke::mf_const, 299, 10},	//2081 KHTMLSettings::showAnimations() const
    {126, 1714, 0, 0, Smoke::mf_const, 308, 11},	//2082 KHTMLSettings::smoothScrolling() const
    {126, 712, 0, 0, Smoke::mf_const, 300, 12},	//2083 KHTMLSettings::dnsPrefetch() const
    {126, 1736, 0, 0, Smoke::mf_const, 365, 13},	//2084 KHTMLSettings::stdFontName() const
    {126, 787, 0, 0, Smoke::mf_const, 365, 14},	//2085 KHTMLSettings::fixedFontName() const
    {126, 1288, 0, 0, Smoke::mf_const, 365, 15},	//2086 KHTMLSettings::serifFontName() const
    {126, 1253, 0, 0, Smoke::mf_const, 365, 16},	//2087 KHTMLSettings::sansSerifFontName() const
    {126, 672, 0, 0, Smoke::mf_const, 365, 17},	//2088 KHTMLSettings::cursiveFontName() const
    {126, 762, 0, 0, Smoke::mf_const, 365, 18},	//2089 KHTMLSettings::fantasyFontName() const
    {126, 1633, 106, 1, 0, 0, 19},	//2090 KHTMLSettings::setStdFontName(const QString&)
    {126, 1445, 106, 1, 0, 0, 20},	//2091 KHTMLSettings::setFixedFontName(const QString&)
    {126, 1060, 0, 0, Smoke::mf_const, 608, 21},	//2092 KHTMLSettings::minFontSize() const
    {126, 1054, 0, 0, Smoke::mf_const, 608, 22},	//2093 KHTMLSettings::mediumFontSize() const
    {126, 990, 0, 0, Smoke::mf_const, 450, 23},	//2094 KHTMLSettings::jsErrorsEnabled() const
    {126, 1491, 135, 1, 0, 0, 24},	//2095 KHTMLSettings::setJSErrorsEnabled(bool)
    {126, 737, 0, 0, Smoke::mf_const, 593, 25},	//2096 KHTMLSettings::encoding() const
    {126, 795, 0, 0, Smoke::mf_const, 450, 26},	//2097 KHTMLSettings::followSystemColors() const
    {126, 1775, 0, 0, Smoke::mf_const, 581, 27},	//2098 KHTMLSettings::textColor() const
    {126, 526, 0, 0, Smoke::mf_const, 581, 28},	//2099 KHTMLSettings::baseColor() const
    {126, 1034, 0, 0, Smoke::mf_const, 581, 29},	//2100 KHTMLSettings::linkColor() const
    {126, 1820, 0, 0, Smoke::mf_const, 581, 30},	//2101 KHTMLSettings::vLinkColor() const
    {126, 518, 0, 0, Smoke::mf_const, 450, 31},	//2102 KHTMLSettings::autoLoadImages() const
    {126, 1802, 0, 0, Smoke::mf_const, 450, 32},	//2103 KHTMLSettings::unfinishedImageFrame() const
    {126, 975, 0, 0, 0, 450, 33},	//2104 KHTMLSettings::isOpenMiddleClickEnabled()
    {126, 945, 0, 0, 0, 450, 34},	//2105 KHTMLSettings::isBackRightClickEnabled()
    {126, 964, 106, 1, Smoke::mf_const, 450, 35},	//2106 KHTMLSettings::isJavaEnabled(const QString&) const
    {126, 968, 106, 1, Smoke::mf_const, 450, 36},	//2107 KHTMLSettings::isJavaScriptEnabled(const QString&) const
    {126, 966, 106, 1, Smoke::mf_const, 450, 37},	//2108 KHTMLSettings::isJavaScriptDebugEnabled(const QString&) const
    {126, 970, 106, 1, Smoke::mf_const, 450, 38},	//2109 KHTMLSettings::isJavaScriptErrorReportingEnabled(const QString&) const
    {126, 976, 106, 1, Smoke::mf_const, 450, 39},	//2110 KHTMLSettings::isPluginsEnabled(const QString&) const
    {126, 942, 106, 1, Smoke::mf_const, 450, 40},	//2111 KHTMLSettings::isAdFiltered(const QString&) const
    {126, 479, 623, 2, Smoke::mf_const, 365, 41},	//2112 KHTMLSettings::adFilteredBy(const QString&, bool*) const
    {126, 941, 0, 0, Smoke::mf_const, 450, 42},	//2113 KHTMLSettings::isAdFilterEnabled() const
    {126, 963, 0, 0, Smoke::mf_const, 450, 43},	//2114 KHTMLSettings::isHideAdsEnabled() const
    {126, 484, 106, 1, 0, 0, 44},	//2115 KHTMLSettings::addAdFilter(const QString&)
    {126, 474, 0, 0, Smoke::mf_const, 450, 45},	//2116 KHTMLSettings::accessKeysEnabled() const
    {126, 1848, 106, 1, Smoke::mf_const, 303, 46},	//2117 KHTMLSettings::windowOpenPolicy(const QString&) const
    {126, 1846, 106, 1, Smoke::mf_const, 302, 47},	//2118 KHTMLSettings::windowMovePolicy(const QString&) const
    {126, 1850, 106, 1, Smoke::mf_const, 304, 48},	//2119 KHTMLSettings::windowResizePolicy(const QString&) const
    {126, 1852, 106, 1, Smoke::mf_const, 305, 49},	//2120 KHTMLSettings::windowStatusPolicy(const QString&) const
    {126, 1844, 106, 1, Smoke::mf_const, 301, 50},	//2121 KHTMLSettings::windowFocusPolicy(const QString&) const
    {126, 1739, 106, 1, Smoke::mf_static, 306, 51},	//2122 KHTMLSettings::strToAdvice(const QString&)
    {126, 1720, 626, 4, Smoke::mf_static, 0, 52},	//2123 KHTMLSettings::splitDomainAdvice(const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&)
    {126, 494, 631, 1, Smoke::mf_static, 597, 53},	//2124 KHTMLSettings::adviceToStr(KHTMLSettings::KJavaScriptAdvice)
    {126, 1194, 633, 4, 0, 0, 54},	//2125 KHTMLSettings::readDomainSettings(const KConfigGroup&, bool, bool, KPerDomainSettings&)
    {126, 1699, 0, 0, Smoke::mf_const, 365, 55},	//2126 KHTMLSettings::settingsToCSS() const
    {126, 521, 0, 0, Smoke::mf_static, 593, 56},	//2127 KHTMLSettings::availableFamilies()
    {126, 1817, 0, 0, Smoke::mf_const, 365, 57},	//2128 KHTMLSettings::userStyleSheet() const
    {126, 960, 0, 0, Smoke::mf_const, 450, 58},	//2129 KHTMLSettings::isFormCompletionEnabled() const
    {126, 1048, 0, 0, Smoke::mf_const, 608, 59},	//2130 KHTMLSettings::maxFormCompletionItems() const
    {126, 944, 0, 0, Smoke::mf_const, 450, 60},	//2131 KHTMLSettings::isAutoDelayedActionsEnabled() const
    {126, 761, 0, 0, Smoke::mf_const, 349, 61},	//2132 KHTMLSettings::fallbackAccessKeysAssignments() const
    {126, 1493, 135, 1, 0, 0, 62},	//2133 KHTMLSettings::setJSPopupBlockerPassivePopup(bool)
    {126, 991, 0, 0, Smoke::mf_const, 450, 63},	//2134 KHTMLSettings::jsPopupBlockerPassivePopup() const
    {126, 906, 638, 1, 0, 0, 64},	//2135 KHTMLSettings::init(KConfig*)
    {126, 964, 0, 0, Smoke::mf_const, 450, 65},	//2136 KHTMLSettings::isJavaEnabled() const
    {126, 968, 0, 0, Smoke::mf_const, 450, 66},	//2137 KHTMLSettings::isJavaScriptEnabled() const
    {126, 966, 0, 0, Smoke::mf_const, 450, 67},	//2138 KHTMLSettings::isJavaScriptDebugEnabled() const
    {126, 970, 0, 0, Smoke::mf_const, 450, 68},	//2139 KHTMLSettings::isJavaScriptErrorReportingEnabled() const
    {126, 976, 0, 0, Smoke::mf_const, 450, 69},	//2140 KHTMLSettings::isPluginsEnabled() const
    {126, 479, 106, 1, Smoke::mf_const, 365, 70},	//2141 KHTMLSettings::adFilteredBy(const QString&) const
    {126, 1848, 0, 0, Smoke::mf_const, 303, 71},	//2142 KHTMLSettings::windowOpenPolicy() const
    {126, 1846, 0, 0, Smoke::mf_const, 302, 72},	//2143 KHTMLSettings::windowMovePolicy() const
    {126, 1850, 0, 0, Smoke::mf_const, 304, 73},	//2144 KHTMLSettings::windowResizePolicy() const
    {126, 1852, 0, 0, Smoke::mf_const, 305, 74},	//2145 KHTMLSettings::windowStatusPolicy() const
    {126, 1844, 0, 0, Smoke::mf_const, 301, 75},	//2146 KHTMLSettings::windowFocusPolicy() const
    {126, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 76},	//2147 KHTMLSettings::KJavaScriptDunno (enum)
    {126, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 77},	//2148 KHTMLSettings::KJavaScriptAccept (enum)
    {126, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 306, 78},	//2149 KHTMLSettings::KJavaScriptReject (enum)
    {126, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 79},	//2150 KHTMLSettings::KAnimationDisabled (enum)
    {126, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 80},	//2151 KHTMLSettings::KAnimationLoopOnce (enum)
    {126, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 299, 81},	//2152 KHTMLSettings::KAnimationEnabled (enum)
    {126, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 82},	//2153 KHTMLSettings::KSmoothScrollingDisabled (enum)
    {126, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 83},	//2154 KHTMLSettings::KSmoothScrollingWhenEfficient (enum)
    {126, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 308, 84},	//2155 KHTMLSettings::KSmoothScrollingEnabled (enum)
    {126, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 85},	//2156 KHTMLSettings::KDNSPrefetchDisabled (enum)
    {126, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 86},	//2157 KHTMLSettings::KDNSPrefetchOnlyWWWAndSLD (enum)
    {126, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 300, 87},	//2158 KHTMLSettings::KDNSPrefetchEnabled (enum)
    {126, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 88},	//2159 KHTMLSettings::KJSWindowOpenAllow (enum)
    {126, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 89},	//2160 KHTMLSettings::KJSWindowOpenAsk (enum)
    {126, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 90},	//2161 KHTMLSettings::KJSWindowOpenDeny (enum)
    {126, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 303, 91},	//2162 KHTMLSettings::KJSWindowOpenSmart (enum)
    {126, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 92},	//2163 KHTMLSettings::KJSWindowStatusAllow (enum)
    {126, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 305, 93},	//2164 KHTMLSettings::KJSWindowStatusIgnore (enum)
    {126, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 94},	//2165 KHTMLSettings::KJSWindowMoveAllow (enum)
    {126, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 95},	//2166 KHTMLSettings::KJSWindowMoveIgnore (enum)
    {126, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 96},	//2167 KHTMLSettings::KJSWindowResizeAllow (enum)
    {126, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 304, 97},	//2168 KHTMLSettings::KJSWindowResizeIgnore (enum)
    {126, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 98},	//2169 KHTMLSettings::KJSWindowFocusAllow (enum)
    {126, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 301, 99},	//2170 KHTMLSettings::KJSWindowFocusIgnore (enum)
    {126, 1964, 0, 0, Smoke::mf_dtor, 0, 100 },	//2171 KHTMLSettings::~KHTMLSettings()
    {127, 1056, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 588, 1},	//2172 KHTMLView::metaObject() const
    {127, 1178, 108, 1, Smoke::mf_virtual, 624, 2},	//2173 KHTMLView::qt_metacast(const char*)
    {127, 1790, 428, 2, Smoke::mf_static, 365, 3},	//2174 KHTMLView::tr(const char*, const char*)
    {127, 1794, 428, 2, Smoke::mf_static, 365, 4},	//2175 KHTMLView::trUtf8(const char*, const char*)
    {127, 1790, 431, 3, Smoke::mf_static, 365, 5},	//2176 KHTMLView::tr(const char*, const char*, int)
    {127, 1794, 431, 3, Smoke::mf_static, 365, 6},	//2177 KHTMLView::trUtf8(const char*, const char*, int)
    {127, 1176, 435, 3, Smoke::mf_virtual, 608, 7},	//2178 KHTMLView::qt_metacall(QMetaObject::Call, int, void**)
    {127, 309, 640, 2, Smoke::mf_ctor, 309, 8},	//2179 KHTMLView::KHTMLView(KHTMLPart*, QWidget*)
    {127, 1146, 0, 0, Smoke::mf_const, 289, 9},	//2180 KHTMLView::part() const
    {127, 809, 0, 0, Smoke::mf_const, 608, 10},	//2181 KHTMLView::frameWidth() const
    {127, 1518, 31, 1, 0, 0, 11},	//2182 KHTMLView::setMarginWidth(int)
    {127, 1047, 0, 0, Smoke::mf_const, 608, 12},	//2183 KHTMLView::marginWidth() const
    {127, 1515, 31, 1, 0, 0, 13},	//2184 KHTMLView::setMarginHeight(int)
    {127, 1046, 0, 0, 0, 608, 14},	//2185 KHTMLView::marginHeight()
    {127, 1678, 643, 1, Smoke::mf_virtual, 0, 15},	//2186 KHTMLView::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {127, 1464, 643, 1, Smoke::mf_virtual, 0, 16},	//2187 KHTMLView::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {127, 1170, 135, 1, 0, 0, 17},	//2188 KHTMLView::print(bool)
    {127, 710, 0, 0, 0, 0, 18},	//2189 KHTMLView::displayAccessKeys()
    {127, 615, 0, 0, Smoke::mf_const, 608, 19},	//2190 KHTMLView::contentsWidth() const
    {127, 611, 0, 0, Smoke::mf_const, 608, 20},	//2191 KHTMLView::contentsHeight() const
    {127, 616, 0, 0, Smoke::mf_const, 608, 21},	//2192 KHTMLView::contentsX() const
    {127, 617, 0, 0, Smoke::mf_const, 608, 22},	//2193 KHTMLView::contentsY() const
    {127, 1833, 0, 0, Smoke::mf_const, 608, 23},	//2194 KHTMLView::visibleWidth() const
    {127, 1832, 0, 0, Smoke::mf_const, 608, 24},	//2195 KHTMLView::visibleHeight() const
    {127, 1388, 504, 2, 0, 0, 25},	//2196 KHTMLView::setContentsPos(int, int)
    {127, 612, 645, 1, Smoke::mf_const, 359, 26},	//2197 KHTMLView::contentsToViewport(const QPoint&) const
    {127, 1827, 645, 1, Smoke::mf_const, 359, 27},	//2198 KHTMLView::viewportToContents(const QPoint&) const
    {127, 1827, 647, 4, Smoke::mf_const, 0, 28},	//2199 KHTMLView::viewportToContents(int, int, int&, int&) const
    {127, 612, 647, 4, Smoke::mf_const, 0, 29},	//2200 KHTMLView::contentsToViewport(int, int, int&, int&) const
    {127, 1264, 504, 2, 0, 0, 30},	//2201 KHTMLView::scrollBy(int, int)
    {127, 1804, 652, 1, 0, 0, 31},	//2202 KHTMLView::updateContents(const QRect&)
    {127, 1804, 654, 4, 0, 0, 32},	//2203 KHTMLView::updateContents(int, int, int, int)
    {127, 488, 659, 3, 0, 0, 33},	//2204 KHTMLView::addChild(QWidget*, int, int)
    {127, 1228, 652, 1, 0, 0, 34},	//2205 KHTMLView::repaintContents(const QRect&)
    {127, 1228, 654, 4, 0, 0, 35},	//2206 KHTMLView::repaintContents(int, int, int, int)
    {127, 1694, 31, 1, 0, 0, 36},	//2207 KHTMLView::setZoomLevel(int)
    {127, 1865, 0, 0, Smoke::mf_const, 608, 37},	//2208 KHTMLView::zoomLevel() const
    {127, 1612, 663, 1, 0, 0, 38},	//2209 KHTMLView::setSmoothScrollingMode(KHTMLView::SmoothScrollingMode)
    {127, 1715, 0, 0, Smoke::mf_const, 311, 39},	//2210 KHTMLView::smoothScrollingMode() const
    {127, 1236, 504, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 40},	//2211 KHTMLView::resizeContents(int, int)
    {127, 1029, 0, 0, Smoke::mf_slot, 0, 41},	//2212 KHTMLView::layout()
    {127, 783, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2213 KHTMLView::finishedLayout()
    {127, 568, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2214 KHTMLView::cleared()
    {127, 1866, 31, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2215 KHTMLView::zoomView(int)
    {127, 883, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2216 KHTMLView::hideAccessKeys()
    {127, 1227, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2217 KHTMLView::repaintAccessKeys()
    {127, 767, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//2218 KHTMLView::findAheadActive(bool)
    {127, 567, 0, 0, Smoke::mf_protected, 0, 48},	//2219 KHTMLView::clear()
    {127, 746, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 450, 49},	//2220 KHTMLView::event(QEvent*)
    {127, 1138, 665, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//2221 KHTMLView::paintEvent(QPaintEvent*)
    {127, 1238, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 51},	//2222 KHTMLView::resizeEvent(QResizeEvent*)
    {127, 1707, 669, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//2223 KHTMLView::showEvent(QShowEvent*)
    {127, 884, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//2224 KHTMLView::hideEvent(QHideEvent*)
    {127, 791, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 450, 54},	//2225 KHTMLView::focusNextPrevChild(bool)
    {127, 1066, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//2226 KHTMLView::mousePressEvent(QMouseEvent*)
    {127, 789, 675, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//2227 KHTMLView::focusInEvent(QFocusEvent*)
    {127, 793, 675, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//2228 KHTMLView::focusOutEvent(QFocusEvent*)
    {127, 1062, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//2229 KHTMLView::mouseDoubleClickEvent(QMouseEvent*)
    {127, 1064, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//2230 KHTMLView::mouseMoveEvent(QMouseEvent*)
    {127, 1068, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//2231 KHTMLView::mouseReleaseEvent(QMouseEvent*)
    {127, 1836, 677, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//2232 KHTMLView::wheelEvent(QWheelEvent*)
    {127, 726, 679, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//2233 KHTMLView::dragEnterEvent(QDragEnterEvent*)
    {127, 730, 681, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2234 KHTMLView::dropEvent(QDropEvent*)
    {127, 582, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//2235 KHTMLView::closeEvent(QCloseEvent*)
    {127, 1840, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 450, 65},	//2236 KHTMLView::widgetEvent(QEvent*)
    {127, 1825, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 450, 66},	//2237 KHTMLView::viewportEvent(QEvent*)
    {127, 748, 685, 2, Smoke::mf_protected|Smoke::mf_virtual, 450, 67},	//2238 KHTMLView::eventFilter(QObject*, QEvent*)
    {127, 1266, 504, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//2239 KHTMLView::scrollContentsBy(int, int)
    {127, 996, 688, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//2240 KHTMLView::keyPressEvent(QKeyEvent*)
    {127, 998, 688, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//2241 KHTMLView::keyReleaseEvent(QKeyEvent*)
    {127, 713, 0, 0, Smoke::mf_protected, 0, 71},	//2242 KHTMLView::doAutoScroll()
    {127, 1779, 558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//2243 KHTMLView::timerEvent(QTimerEvent*)
    {127, 1614, 663, 1, Smoke::mf_protected, 0, 73},	//2244 KHTMLView::setSmoothScrollingModeDefault(KHTMLView::SmoothScrollingMode)
    {127, 1713, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 74},	//2245 KHTMLView::slotPaletteChanged()
    {127, 1790, 108, 1, Smoke::mf_static, 365, 75},	//2246 KHTMLView::tr(const char*)
    {127, 1794, 108, 1, Smoke::mf_static, 365, 76},	//2247 KHTMLView::trUtf8(const char*)
    {127, 1170, 0, 0, 0, 0, 77},	//2248 KHTMLView::print()
    {127, 1734, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 587, 78},	//2249 KHTMLView::staticMetaObject() const
    {127, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 79},	//2250 KHTMLView::SSMDisabled (enum)
    {127, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 80},	//2251 KHTMLView::SSMWhenEfficient (enum)
    {127, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 81},	//2252 KHTMLView::SSMEnabled (enum)
    {127, 1965, 0, 0, Smoke::mf_dtor, 0, 82 },	//2253 KHTMLView::~KHTMLView()
    {135, 751, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 597, 0},	//2254 KParts::Event::eventName() const
    {138, 735, 562, 1, Smoke::mf_virtual, 0, 0},	//2255 KParts::Part::embed(QWidget*)
    {138, 1839, 0, 0, Smoke::mf_virtual, 375, 0},	//2256 KParts::Part::widget()
    {138, 1514, 690, 1, Smoke::mf_virtual, 0, 0},	//2257 KParts::Part::setManager(KParts::PartManager*)
    {138, 886, 692, 2, Smoke::mf_virtual, 319, 0},	//2258 KParts::Part::hitTest(QWidget*, const QPoint&)
    {138, 1590, 135, 1, Smoke::mf_virtual, 0, 0},	//2259 KParts::Part::setSelectable(bool)
    {138, 1686, 562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2260 KParts::Part::setWidget(QWidget*)
    {138, 1147, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2261 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {138, 1149, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2262 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {140, 1383, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2263 KParts::PartBase::setComponentData(const KComponentData&)
    {140, 1383, 701, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2264 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {146, 475, 704, 1, Smoke::mf_const|Smoke::mf_virtual, 327, 0},	//2265 KXMLGUIClient::action(const QDomElement&) const
    {146, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 284, 0},	//2266 KXMLGUIClient::actionCollection() const
    {146, 605, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//2267 KXMLGUIClient::componentData() const
    {146, 724, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 338, 0},	//2268 KXMLGUIClient::domDocument() const
    {146, 1862, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 365, 0},	//2269 KXMLGUIClient::xmlFile() const
    {146, 1042, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 365, 0},	//2270 KXMLGUIClient::localXMLFile() const
    {146, 1691, 706, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2271 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {146, 1509, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2272 KXMLGUIClient::setLocalXMLFile(const QString&)
    {146, 1690, 478, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2273 KXMLGUIClient::setXML(const QString&, bool)
    {146, 1404, 710, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2274 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {146, 1733, 713, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2275 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {146, 1830, 716, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2276 KXMLGUIClient::virtual_hook(int, void*)
    {146, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 326, 13},	//2277 KXMLGUIClient::StateNoReverse (enum)
    {146, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 326, 14},	//2278 KXMLGUIClient::StateReverse (enum)
    {147, 1061, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 0},	//2279 QAbstractScrollArea::minimumSizeHint() const
    {147, 618, 719, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2280 QAbstractScrollArea::contextMenuEvent(QContextMenuEvent*)
    {147, 729, 721, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2281 QAbstractScrollArea::dragMoveEvent(QDragMoveEvent*)
    {147, 728, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2282 QAbstractScrollArea::dragLeaveEvent(QDragLeaveEvent*)
    {168, 556, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2283 QFrame::changeEvent(QEvent*)
    {169, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 1},	//2284 QGlobalSpace::__codecvt_ok (enum)
    {169, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 2},	//2285 QGlobalSpace::__codecvt_partial (enum)
    {169, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 3},	//2286 QGlobalSpace::__codecvt_error (enum)
    {169, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 4},	//2287 QGlobalSpace::__codecvt_noconv (enum)
    {176, 746, 526, 1, Smoke::mf_virtual, 450, 0},	//2288 QObject::event(QEvent*)
    {176, 748, 685, 2, Smoke::mf_virtual, 450, 0},	//2289 QObject::eventFilter(QObject*, QEvent*)
    {176, 562, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2290 QObject::childEvent(QChildEvent*)
    {176, 673, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2291 QObject::customEvent(QEvent*)
    {176, 607, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2292 QObject::connectNotify(const char*)
    {176, 707, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2293 QObject::disconnectNotify(const char*)
    {185, 1710, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 364, 0},	//2294 QScrollArea::sizeHint() const
    {193, 704, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 608, 0},	//2295 QWidget::devType() const
    {193, 1682, 135, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2296 QWidget::setVisible(bool)
    {193, 881, 31, 1, Smoke::mf_const|Smoke::mf_virtual, 608, 0},	//2297 QWidget::heightForWidth(int) const
    {193, 1137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 355, 0},	//2298 QWidget::paintEngine() const
    {193, 744, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2299 QWidget::enterEvent(QEvent*)
    {193, 1030, 526, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2300 QWidget::leaveEvent(QEvent*)
    {193, 1070, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2301 QWidget::moveEvent(QMoveEvent*)
    {193, 1769, 729, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2302 QWidget::tabletEvent(QTabletEvent*)
    {193, 477, 731, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2303 QWidget::actionEvent(QActionEvent*)
    {193, 1861, 733, 1, Smoke::mf_protected|Smoke::mf_virtual, 450, 0},	//2304 QWidget::x11Event(_XEvent*)
    {193, 1059, 735, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 608, 0},	//2305 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {193, 924, 737, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2306 QWidget::inputMethodEvent(QInputMethodEvent*)
    {193, 925, 739, 1, Smoke::mf_const|Smoke::mf_virtual, 373, 0},	//2307 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {193, 1748, 741, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2308 QWidget::styleChange(QStyle&)
    {193, 736, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2309 QWidget::enabledChange(bool)
    {193, 1141, 743, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2310 QWidget::paletteChange(const QPalette&)
    {193, 796, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2311 QWidget::fontChange(const QFont&)
    {193, 1843, 135, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2312 QWidget::windowActivationChange(bool)
    {193, 1022, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2313 QWidget::languageChange()
    {195, 140, 747, 5, Smoke::mf_ctor, 611, 1},	//2314 khtml::DrawContentsEvent::DrawContentsEvent(QPainter*, int, int, int, int)
    {195, 1140, 0, 0, Smoke::mf_const, 357, 2},	//2315 khtml::DrawContentsEvent::painter() const
    {195, 575, 0, 0, Smoke::mf_const, 608, 3},	//2316 khtml::DrawContentsEvent::clipx() const
    {195, 576, 0, 0, Smoke::mf_const, 608, 4},	//2317 khtml::DrawContentsEvent::clipy() const
    {195, 574, 0, 0, Smoke::mf_const, 608, 5},	//2318 khtml::DrawContentsEvent::clipw() const
    {195, 573, 0, 0, Smoke::mf_const, 608, 6},	//2319 khtml::DrawContentsEvent::cliph() const
    {195, 1772, 753, 1, Smoke::mf_static, 450, 7},	//2320 khtml::DrawContentsEvent::test(const QEvent*)
    {195, 140, 755, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 611, 8},	//2321 khtml::DrawContentsEvent::DrawContentsEvent(const khtml::DrawContentsEvent&)
    {195, 1898, 0, 0, Smoke::mf_dtor, 0, 9 },	//2322 khtml::DrawContentsEvent::~DrawContentsEvent()
    {197, 340, 757, 7, Smoke::mf_ctor, 612, 1},	//2323 khtml::MouseDoubleClickEvent::MouseDoubleClickEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, int)
    {197, 1772, 753, 1, Smoke::mf_static, 450, 2},	//2324 khtml::MouseDoubleClickEvent::test(const QEvent*)
    {197, 570, 0, 0, Smoke::mf_const, 608, 3},	//2325 khtml::MouseDoubleClickEvent::clickCount() const
    {197, 340, 765, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 612, 4},	//2326 khtml::MouseDoubleClickEvent::MouseDoubleClickEvent(const khtml::MouseDoubleClickEvent&)
    {197, 340, 767, 6, Smoke::mf_ctor, 612, 5},	//2327 khtml::MouseDoubleClickEvent::MouseDoubleClickEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {197, 1969, 0, 0, Smoke::mf_dtor, 0, 6 },	//2328 khtml::MouseDoubleClickEvent::~MouseDoubleClickEvent()
    {198, 344, 774, 7, Smoke::mf_ctor, 613, 1},	//2329 khtml::MouseEvent::MouseEvent(const char*, QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {198, 1175, 0, 0, Smoke::mf_const, 351, 2},	//2330 khtml::MouseEvent::qmouseEvent() const
    {198, 1860, 0, 0, Smoke::mf_const, 608, 3},	//2331 khtml::MouseEvent::x() const
    {198, 1863, 0, 0, Smoke::mf_const, 608, 4},	//2332 khtml::MouseEvent::y() const
    {198, 467, 0, 0, Smoke::mf_const, 608, 5},	//2333 khtml::MouseEvent::absX() const
    {198, 468, 0, 0, Smoke::mf_const, 608, 6},	//2334 khtml::MouseEvent::absY() const
    {198, 1810, 0, 0, Smoke::mf_const, 65, 7},	//2335 khtml::MouseEvent::url() const
    {198, 1771, 0, 0, Smoke::mf_const, 65, 8},	//2336 khtml::MouseEvent::target() const
    {198, 922, 0, 0, Smoke::mf_const, 234, 9},	//2337 khtml::MouseEvent::innerNode() const
    {198, 1101, 0, 0, Smoke::mf_const, 617, 10},	//2338 khtml::MouseEvent::offset() const
    {198, 344, 782, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 613, 11},	//2339 khtml::MouseEvent::MouseEvent(const khtml::MouseEvent&)
    {198, 1970, 0, 0, Smoke::mf_dtor, 0, 12 },	//2340 khtml::MouseEvent::~MouseEvent()
    {199, 347, 767, 6, Smoke::mf_ctor, 614, 1},	//2341 khtml::MouseMoveEvent::MouseMoveEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {199, 1772, 753, 1, Smoke::mf_static, 450, 2},	//2342 khtml::MouseMoveEvent::test(const QEvent*)
    {199, 347, 784, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 614, 3},	//2343 khtml::MouseMoveEvent::MouseMoveEvent(const khtml::MouseMoveEvent&)
    {199, 1971, 0, 0, Smoke::mf_dtor, 0, 4 },	//2344 khtml::MouseMoveEvent::~MouseMoveEvent()
    {200, 350, 767, 6, Smoke::mf_ctor, 615, 1},	//2345 khtml::MousePressEvent::MousePressEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {200, 1772, 753, 1, Smoke::mf_static, 450, 2},	//2346 khtml::MousePressEvent::test(const QEvent*)
    {200, 350, 786, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 615, 3},	//2347 khtml::MousePressEvent::MousePressEvent(const khtml::MousePressEvent&)
    {200, 1972, 0, 0, Smoke::mf_dtor, 0, 4 },	//2348 khtml::MousePressEvent::~MousePressEvent()
    {201, 353, 788, 7, Smoke::mf_ctor, 616, 1},	//2349 khtml::MouseReleaseEvent::MouseReleaseEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&, long)
    {201, 1772, 753, 1, Smoke::mf_static, 450, 2},	//2350 khtml::MouseReleaseEvent::test(const QEvent*)
    {201, 353, 796, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 616, 3},	//2351 khtml::MouseReleaseEvent::MouseReleaseEvent(const khtml::MouseReleaseEvent&)
    {201, 353, 767, 6, Smoke::mf_ctor, 616, 4},	//2352 khtml::MouseReleaseEvent::MouseReleaseEvent(QMouseEvent*, int, int, const DOM::DOMString&, const DOM::DOMString&, const DOM::Node&)
    {201, 1973, 0, 0, Smoke::mf_dtor, 0, 5 },	//2353 khtml::MouseReleaseEvent::~MouseReleaseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    35,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
    36,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
    0,
    37,  // DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
    38,  // DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
    0,
    618,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
    619,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
    0,
    620,  // DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
    621,  // DOM::HTMLBRElement::operator=(const DOM::Node&)
    0,
    596,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
    597,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
    0,
    598,  // DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
    599,  // DOM::HTMLAreaElement::operator=(const DOM::Node&)
    0,
    889,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
    890,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
    0,
    891,  // DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
    892,  // DOM::HTMLHeadingElement::operator=(const DOM::Node&)
    0,
    1560,  // DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
    1561,  // DOM::MouseEvent::MouseEvent(const DOM::Event&)
    0,
    1562,  // DOM::MouseEvent::operator=(const DOM::MouseEvent&)
    1563,  // DOM::MouseEvent::operator=(const DOM::Event&)
    0,
    636,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
    637,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
    0,
    638,  // DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
    639,  // DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
    0,
    966,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
    967,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
    0,
    968,  // DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
    969,  // DOM::HTMLInputElement::operator=(const DOM::Node&)
    0,
    1506,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
    1507,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
    0,
    1508,  // DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
    1509,  // DOM::HTMLTitleElement::operator=(const DOM::Node&)
    0,
    422,  // DOM::DocumentType::DocumentType(const DOM::DocumentType&)
    423,  // DOM::DocumentType::DocumentType(const DOM::Node&)
    0,
    424,  // DOM::DocumentType::operator=(const DOM::Node&)
    425,  // DOM::DocumentType::operator=(const DOM::DocumentType&)
    0,
    857,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
    858,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
    0,
    859,  // DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
    860,  // DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
    0,
    220,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
    221,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
    0,
    222,  // DOM::CSSValueList::operator=(const DOM::CSSValueList&)
    223,  // DOM::CSSValueList::operator=(const DOM::CSSValue&)
    0,
    82,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
    83,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
    0,
    84,  // DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
    85,  // DOM::CSSPageRule::operator=(const DOM::CSSRule&)
    0,
    2030,  // KHTMLPart::KHTMLPart(QWidget*)
    2032,  // KHTMLPart::KHTMLPart(KHTMLView*)
    0,
    2031,  // KHTMLPart::KHTMLPart(QWidget*, QObject*)
    2033,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
    0,
    1879,  // KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
    1880,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
    0,
    1923,  // KHTMLPart::write(const QString&)
    2039,  // KHTMLPart::write(const char*)
    0,
    1471,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
    1472,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
    0,
    1473,  // DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
    1474,  // DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
    0,
    1049,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
    1050,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
    0,
    1051,  // DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
    1052,  // DOM::HTMLLayerElement::operator=(const DOM::Node&)
    0,
    1390,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
    1391,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
    0,
    1392,  // DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
    1393,  // DOM::HTMLTableElement::operator=(const DOM::Node&)
    0,
    1259,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
    1260,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
    0,
    1261,  // DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
    1262,  // DOM::HTMLQuoteElement::operator=(const DOM::Node&)
    0,
    658,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
    659,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
    0,
    660,  // DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
    661,  // DOM::HTMLBodyElement::operator=(const DOM::Node&)
    0,
    1109,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
    1110,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
    0,
    1111,  // DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
    1112,  // DOM::HTMLMenuElement::operator=(const DOM::Node&)
    0,
    309,  // DOM::DOMString::DOMString(const QString&)
    310,  // DOM::DOMString::DOMString(const char*)
    0,
    413,  // DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
    414,  // DOM::DocumentStyle::operator=(const DOM::Document&)
    0,
    812,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
    813,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
    0,
    814,  // DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
    815,  // DOM::HTMLFormElement::operator=(const DOM::Node&)
    0,
    626,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
    627,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
    0,
    628,  // DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
    629,  // DOM::HTMLBaseElement::operator=(const DOM::Node&)
    0,
    198,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
    199,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
    0,
    200,  // DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
    201,  // DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
    0,
    187,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
    188,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
    0,
    189,  // DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
    190,  // DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
    0,
    650,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
    651,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
    0,
    652,  // DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
    653,  // DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
    0,
    716,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
    717,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
    0,
    718,  // DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
    719,  // DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
    0,
    444,  // DOM::Element::Element(const DOM::Node&)
    445,  // DOM::Element::Element(const DOM::Element&)
    0,
    446,  // DOM::Element::operator=(const DOM::Node&)
    447,  // DOM::Element::operator=(const DOM::Element&)
    0,
    1720,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
    1721,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
    0,
    1722,  // DOM::ProcessingInstruction::operator=(const DOM::Node&)
    1723,  // DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
    0,
    1064,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
    1065,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
    0,
    1066,  // DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
    1067,  // DOM::HTMLLegendElement::operator=(const DOM::Node&)
    0,
    1430,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
    1431,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
    0,
    1432,  // DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
    1433,  // DOM::HTMLTableRowElement::operator=(const DOM::Node&)
    0,
    1,  // DOM::operator!=(const DOM::DOMString&, const char*)
    5,  // DOM::operator!=(const DOM::DOMString&, const QString&)
    0,
    4,  // DOM::operator==(const DOM::DOMString&, const char*)
    7,  // DOM::operator==(const DOM::DOMString&, const QString&)
    0,
    1020,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
    1021,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
    0,
    1022,  // DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
    1023,  // DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
    0,
    242,  // DOM::Comment::Comment(const DOM::Comment&)
    243,  // DOM::Comment::Comment(const DOM::Node&)
    0,
    244,  // DOM::Comment::operator=(const DOM::Node&)
    245,  // DOM::Comment::operator=(const DOM::Comment&)
    0,
    798,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
    799,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
    0,
    800,  // DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
    801,  // DOM::HTMLFontElement::operator=(const DOM::Node&)
    0,
    72,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
    73,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
    0,
    74,  // DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
    75,  // DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
    0,
    1237,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
    1238,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
    0,
    1239,  // DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
    1240,  // DOM::HTMLParamElement::operator=(const DOM::Node&)
    0,
    404,  // DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
    405,  // DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
    0,
    406,  // DOM::DocumentFragment::operator=(const DOM::Node&)
    407,  // DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
    0,
    56,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
    57,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
    0,
    58,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
    59,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
    0,
    63,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
    64,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
    0,
    65,  // DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
    66,  // DOM::CSSImportRule::operator=(const DOM::CSSRule&)
    0,
    1336,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
    1337,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
    0,
    1338,  // DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
    1339,  // DOM::HTMLTableCellElement::operator=(const DOM::Node&)
    0,
    905,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
    906,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
    0,
    907,  // DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
    908,  // DOM::HTMLIFrameElement::operator=(const DOM::Node&)
    0,
    1577,  // DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
    1578,  // DOM::MutationEvent::MutationEvent(const DOM::Event&)
    0,
    1579,  // DOM::MutationEvent::operator=(const DOM::MutationEvent&)
    1580,  // DOM::MutationEvent::operator=(const DOM::Event&)
    0,
    834,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
    835,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
    0,
    836,  // DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
    837,  // DOM::HTMLFrameElement::operator=(const DOM::Node&)
    0,
    564,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
    565,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
    0,
    566,  // DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
    567,  // DOM::HTMLAppletElement::operator=(const DOM::Node&)
    0,
    867,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
    868,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
    0,
    869,  // DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
    870,  // DOM::HTMLHRElement::operator=(const DOM::Node&)
    0,
    1454,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
    1455,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
    0,
    1456,  // DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
    1457,  // DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
    0,
    881,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
    882,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
    0,
    883,  // DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
    884,  // DOM::HTMLHeadElement::operator=(const DOM::Node&)
    0,
    1229,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
    1230,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
    0,
    1231,  // DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
    1232,  // DOM::HTMLParagraphElement::operator=(const DOM::Node&)
    0,
    1832,  // DOM::TextEvent::TextEvent(const DOM::TextEvent&)
    1833,  // DOM::TextEvent::TextEvent(const DOM::Event&)
    0,
    1834,  // DOM::TextEvent::operator=(const DOM::TextEvent&)
    1835,  // DOM::TextEvent::operator=(const DOM::Event&)
    0,
    1075,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
    1076,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
    0,
    1077,  // DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
    1078,  // DOM::HTMLLinkElement::operator=(const DOM::Node&)
    0,
    932,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
    933,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
    0,
    934,  // DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
    935,  // DOM::HTMLImageElement::operator=(const DOM::Node&)
    0,
    1730,  // DOM::RGBColor::RGBColor(const QColor&)
    1732,  // DOM::RGBColor::RGBColor(const DOM::RGBColor&)
    0,
    1100,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
    1101,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
    0,
    1102,  // DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
    1103,  // DOM::HTMLMapElement::operator=(const DOM::Node&)
    0,
    1712,  // DOM::Notation::Notation(const DOM::Notation&)
    1713,  // DOM::Notation::Notation(const DOM::Node&)
    0,
    1714,  // DOM::Notation::operator=(const DOM::Node&)
    1715,  // DOM::Notation::operator=(const DOM::Notation&)
    0,
    1209,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
    1210,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
    0,
    1211,  // DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
    1212,  // DOM::HTMLOptionElement::operator=(const DOM::Node&)
    0,
    1328,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
    1329,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
    0,
    1330,  // DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
    1331,  // DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
    0,
    1543,  // DOM::LinkStyle::operator=(const DOM::LinkStyle&)
    1544,  // DOM::LinkStyle::operator=(const DOM::Node&)
    0,
    732,  // DOM::HTMLDocument::HTMLDocument(KHTMLView*)
    733,  // DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
    734,  // DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
    0,
    735,  // DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
    736,  // DOM::HTMLDocument::operator=(const DOM::Node&)
    0,
    1117,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
    1118,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
    0,
    1119,  // DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
    1120,  // DOM::HTMLMetaElement::operator=(const DOM::Node&)
    0,
    676,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
    677,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
    0,
    678,  // DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
    679,  // DOM::HTMLButtonElement::operator=(const DOM::Node&)
    0,
    1251,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
    1252,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
    0,
    1253,  // DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
    1254,  // DOM::HTMLPreElement::operator=(const DOM::Node&)
    0,
    532,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
    533,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
    0,
    534,  // DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
    535,  // DOM::HTMLAnchorElement::operator=(const DOM::Node&)
    0,
    29,  // DOM::CDATASection::CDATASection(const DOM::CDATASection&)
    30,  // DOM::CDATASection::CDATASection(const DOM::Node&)
    0,
    31,  // DOM::CDATASection::operator=(const DOM::Node&)
    32,  // DOM::CDATASection::operator=(const DOM::CDATASection&)
    0,
    1372,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
    1373,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
    0,
    1374,  // DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
    1375,  // DOM::HTMLTableColElement::operator=(const DOM::Node&)
    0,
    91,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
    92,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
    0,
    93,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
    94,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
    0,
    1131,  // DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
    1132,  // DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
    0,
    1133,  // DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
    1134,  // DOM::HTMLModElement::operator=(const DOM::Node&)
    0,
    724,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
    725,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
    0,
    726,  // DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
    727,  // DOM::HTMLDivElement::operator=(const DOM::Node&)
    0,
    1742,  // DOM::Range::Range(const DOM::Document)
    1743,  // DOM::Range::Range(const DOM::Range&)
    0,
    1039,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
    1040,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
    0,
    1041,  // DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
    1042,  // DOM::HTMLLabelElement::operator=(const DOM::Node&)
    0,
    763,  // DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
    764,  // DOM::HTMLElement::HTMLElement(const DOM::Node&)
    0,
    765,  // DOM::HTMLElement::operator=(const DOM::HTMLElement&)
    766,  // DOM::HTMLElement::operator=(const DOM::Node&)
    0,
    1199,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
    1200,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
    0,
    1201,  // DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
    1202,  // DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
    0,
    491,  // DOM::EntityReference::EntityReference(const DOM::EntityReference&)
    492,  // DOM::EntityReference::EntityReference(const DOM::Node&)
    0,
    493,  // DOM::EntityReference::operator=(const DOM::Node&)
    494,  // DOM::EntityReference::operator=(const DOM::EntityReference&)
    0,
    897,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
    898,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
    0,
    899,  // DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
    900,  // DOM::HTMLHtmlElement::operator=(const DOM::Node&)
    0,
    1857,  // DOM::UIEvent::UIEvent(const DOM::UIEvent&)
    1858,  // DOM::UIEvent::UIEvent(const DOM::Event&)
    0,
    1859,  // DOM::UIEvent::operator=(const DOM::UIEvent&)
    1860,  // DOM::UIEvent::operator=(const DOM::Event&)
    0,
    1825,  // DOM::Text::Text(const DOM::Text&)
    1826,  // DOM::Text::Text(const DOM::Node&)
    0,
    1827,  // DOM::Text::operator=(const DOM::Node&)
    1828,  // DOM::Text::operator=(const DOM::Text&)
    0,
    18,  // DOM::Attr::Attr(const DOM::Node&)
    19,  // DOM::Attr::Attr(const DOM::Attr&)
    0,
    20,  // DOM::Attr::operator=(const DOM::Node&)
    21,  // DOM::Attr::operator=(const DOM::Attr&)
    0,
    1267,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
    1268,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
    0,
    1269,  // DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
    1270,  // DOM::HTMLScriptElement::operator=(const DOM::Node&)
    0,
    348,  // DOM::Document::Document(const DOM::Document&)
    349,  // DOM::Document::Document(const DOM::Node&)
    0,
    350,  // DOM::Document::operator=(const DOM::Node&)
    351,  // DOM::Document::operator=(const DOM::Document&)
    0,
    1315,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
    1316,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
    0,
    1317,  // DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
    1318,  // DOM::HTMLStyleElement::operator=(const DOM::Node&)
    0,
    482,  // DOM::Entity::Entity(const DOM::Entity&)
    483,  // DOM::Entity::Entity(const DOM::Node&)
    0,
    484,  // DOM::Entity::operator=(const DOM::Node&)
    485,  // DOM::Entity::operator=(const DOM::Entity&)
    0,
    1029,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
    1030,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
    0,
    1031,  // DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
    1032,  // DOM::HTMLLIElement::operator=(const DOM::Node&)
    0,
    1514,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
    1515,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
    0,
    1516,  // DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
    1517,  // DOM::HTMLUListElement::operator=(const DOM::Node&)
    0,
    228,  // DOM::CharacterData::CharacterData(const DOM::CharacterData&)
    229,  // DOM::CharacterData::CharacterData(const DOM::Node&)
    0,
    230,  // DOM::CharacterData::operator=(const DOM::Node&)
    231,  // DOM::CharacterData::operator=(const DOM::CharacterData&)
    0,
    708,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
    709,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
    0,
    710,  // DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
    711,  // DOM::HTMLDListElement::operator=(const DOM::Node&)
    0,
    1287,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
    1288,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
    0,
    1289,  // DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
    1290,  // DOM::HTMLSelectElement::operator=(const DOM::Node&)
    0,
    1524,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
    1525,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
    0,
    1526,  // DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
    1527,  // DOM::KeyboardEvent::operator=(const DOM::Event&)
    0,
    1153,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
    1154,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
    0,
    1155,  // DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
    1156,  // DOM::HTMLObjectElement::operator=(const DOM::Node&)
    0,
    178,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
    179,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
    0,
    180,  // DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
    181,  // DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
    0,
    791,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
    792,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
    0,
    793,  // DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
    794,  // DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
    0,
    1141,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
    1142,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
    0,
    1143,  // DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
    1144,  // DOM::HTMLOListElement::operator=(const DOM::Node&)
    0,
    173,  // DOM::CSSStyleDeclaration::item(unsigned long) const
    174,  // DOM::CSSStyleDeclaration::item(unsigned long)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1111, 8},	// DOM::operator!=##
    {1, 1112, -187},	// DOM::operator!=#$
    {1, 1121, 9},	// DOM::operator==##
    {1, 1122, -190},	// DOM::operator==#$
    {1, 1742, 2},	// DOM::strcasecmp##
    {1, 1743, 6},	// DOM::strcasecmp#$
    {1, 1745, 3},	// DOM::strcmp##
    {2, 5, 10},	// DOM::AbstractView::AbstractView
    {2, 6, 11},	// DOM::AbstractView::AbstractView#
    {2, 721, 13},	// DOM::AbstractView::document
    {2, 823, 14},	// DOM::AbstractView::getComputedStyle##
    {2, 974, 15},	// DOM::AbstractView::isNull
    {2, 1118, 12},	// DOM::AbstractView::operator=#
    {2, 1868, 16},	// DOM::AbstractView::~AbstractView
    {3, 7, 17},	// DOM::Attr::Attr
    {3, 8, -449},	// DOM::Attr::Attr#
    {3, 1072, 22},	// DOM::Attr::name
    {3, 1118, -452},	// DOM::Attr::operator=#
    {3, 1127, 26},	// DOM::Attr::ownerElement
    {3, 1672, 25},	// DOM::Attr::setValue#
    {3, 1717, 23},	// DOM::Attr::specified
    {3, 1821, 24},	// DOM::Attr::value
    {3, 1869, 27},	// DOM::Attr::~Attr
    {4, 15, 28},	// DOM::CDATASection::CDATASection
    {4, 16, -374},	// DOM::CDATASection::CDATASection#
    {4, 1118, -377},	// DOM::CDATASection::operator=#
    {4, 1870, 33},	// DOM::CDATASection::~CDATASection
    {5, 20, 34},	// DOM::CSSCharsetRule::CSSCharsetRule
    {5, 21, -1},	// DOM::CSSCharsetRule::CSSCharsetRule#
    {5, 737, 39},	// DOM::CSSCharsetRule::encoding
    {5, 1118, -4},	// DOM::CSSCharsetRule::operator=#
    {5, 1428, 40},	// DOM::CSSCharsetRule::setEncoding#
    {5, 1871, 41},	// DOM::CSSCharsetRule::~CSSCharsetRule
    {6, 23, 43},	// DOM::CSSException::CSSException#
    {6, 24, 42},	// DOM::CSSException::CSSException$
    {6, 293, 51},	// DOM::CSSException::INVALID_MODIFICATION_ERR
    {6, 425, 50},	// DOM::CSSException::SYNTAX_ERR
    {6, 457, 53},	// DOM::CSSException::_EXCEPTION_MAX
    {6, 458, 52},	// DOM::CSSException::_EXCEPTION_OFFSET
    {6, 585, 48},	// DOM::CSSException::code
    {6, 586, 45},	// DOM::CSSException::codeAsString
    {6, 587, 46},	// DOM::CSSException::codeAsString$
    {6, 947, 47},	// DOM::CSSException::isCSSExceptionCode$
    {6, 1118, 44},	// DOM::CSSException::operator=#
    {6, 1369, 49},	// DOM::CSSException::setCode$
    {6, 1872, 54},	// DOM::CSSException::~CSSException
    {7, 25, 55},	// DOM::CSSFontFaceRule::CSSFontFaceRule
    {7, 26, -229},	// DOM::CSSFontFaceRule::CSSFontFaceRule#
    {7, 1118, -232},	// DOM::CSSFontFaceRule::operator=#
    {7, 1747, 60},	// DOM::CSSFontFaceRule::style
    {7, 1873, 61},	// DOM::CSSFontFaceRule::~CSSFontFaceRule
    {8, 27, 62},	// DOM::CSSImportRule::CSSImportRule
    {8, 28, -235},	// DOM::CSSImportRule::CSSImportRule#
    {8, 888, 67},	// DOM::CSSImportRule::href
    {8, 1052, 68},	// DOM::CSSImportRule::media
    {8, 1118, -238},	// DOM::CSSImportRule::operator=#
    {8, 1749, 69},	// DOM::CSSImportRule::styleSheet
    {8, 1874, 70},	// DOM::CSSImportRule::~CSSImportRule
    {9, 29, 71},	// DOM::CSSMediaRule::CSSMediaRule
    {9, 30, -211},	// DOM::CSSMediaRule::CSSMediaRule#
    {9, 665, 77},	// DOM::CSSMediaRule::cssRules
    {9, 697, 79},	// DOM::CSSMediaRule::deleteRule$
    {9, 939, 78},	// DOM::CSSMediaRule::insertRule#$
    {9, 1052, 76},	// DOM::CSSMediaRule::media
    {9, 1118, -214},	// DOM::CSSMediaRule::operator=#
    {9, 1875, 80},	// DOM::CSSMediaRule::~CSSMediaRule
    {10, 31, 81},	// DOM::CSSPageRule::CSSPageRule
    {10, 32, -67},	// DOM::CSSPageRule::CSSPageRule#
    {10, 1118, -70},	// DOM::CSSPageRule::operator=#
    {10, 1286, 86},	// DOM::CSSPageRule::selectorText
    {10, 1606, 87},	// DOM::CSSPageRule::setSelectorText#
    {10, 1747, 88},	// DOM::CSSPageRule::style
    {10, 1876, 89},	// DOM::CSSPageRule::~CSSPageRule
    {11, 33, 90},	// DOM::CSSPrimitiveValue::CSSPrimitiveValue
    {11, 34, -386},	// DOM::CSSPrimitiveValue::CSSPrimitiveValue#
    {11, 51, 125},	// DOM::CSSPrimitiveValue::CSS_ATTR
    {11, 52, 109},	// DOM::CSSPrimitiveValue::CSS_CM
    {11, 53, 126},	// DOM::CSSPrimitiveValue::CSS_COUNTER
    {11, 55, 114},	// DOM::CSSPrimitiveValue::CSS_DEG
    {11, 56, 121},	// DOM::CSSPrimitiveValue::CSS_DIMENSION
    {11, 57, 130},	// DOM::CSSPrimitiveValue::CSS_DPCM
    {11, 58, 129},	// DOM::CSSPrimitiveValue::CSS_DPI
    {11, 59, 106},	// DOM::CSSPrimitiveValue::CSS_EMS
    {11, 60, 107},	// DOM::CSSPrimitiveValue::CSS_EXS
    {11, 61, 116},	// DOM::CSSPrimitiveValue::CSS_GRAD
    {11, 62, 132},	// DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE
    {11, 63, 119},	// DOM::CSSPrimitiveValue::CSS_HZ
    {11, 64, 124},	// DOM::CSSPrimitiveValue::CSS_IDENT
    {11, 65, 111},	// DOM::CSSPrimitiveValue::CSS_IN
    {11, 68, 120},	// DOM::CSSPrimitiveValue::CSS_KHZ
    {11, 69, 110},	// DOM::CSSPrimitiveValue::CSS_MM
    {11, 70, 117},	// DOM::CSSPrimitiveValue::CSS_MS
    {11, 71, 104},	// DOM::CSSPrimitiveValue::CSS_NUMBER
    {11, 72, 131},	// DOM::CSSPrimitiveValue::CSS_PAIR
    {11, 73, 113},	// DOM::CSSPrimitiveValue::CSS_PC
    {11, 74, 105},	// DOM::CSSPrimitiveValue::CSS_PERCENTAGE
    {11, 76, 112},	// DOM::CSSPrimitiveValue::CSS_PT
    {11, 77, 108},	// DOM::CSSPrimitiveValue::CSS_PX
    {11, 78, 115},	// DOM::CSSPrimitiveValue::CSS_RAD
    {11, 79, 127},	// DOM::CSSPrimitiveValue::CSS_RECT
    {11, 80, 128},	// DOM::CSSPrimitiveValue::CSS_RGBCOLOR
    {11, 81, 118},	// DOM::CSSPrimitiveValue::CSS_S
    {11, 82, 122},	// DOM::CSSPrimitiveValue::CSS_STRING
    {11, 84, 103},	// DOM::CSSPrimitiveValue::CSS_UNKNOWN
    {11, 85, 123},	// DOM::CSSPrimitiveValue::CSS_URI
    {11, 824, 100},	// DOM::CSSPrimitiveValue::getCounterValue
    {11, 838, 97},	// DOM::CSSPrimitiveValue::getFloatValue$
    {11, 856, 102},	// DOM::CSSPrimitiveValue::getRGBColorValue
    {11, 858, 101},	// DOM::CSSPrimitiveValue::getRectValue
    {11, 860, 99},	// DOM::CSSPrimitiveValue::getStringValue
    {11, 1118, -389},	// DOM::CSSPrimitiveValue::operator=#
    {11, 1169, 95},	// DOM::CSSPrimitiveValue::primitiveType
    {11, 1448, 96},	// DOM::CSSPrimitiveValue::setFloatValue$$
    {11, 1636, 98},	// DOM::CSSPrimitiveValue::setStringValue$#
    {11, 1877, 133},	// DOM::CSSPrimitiveValue::~CSSPrimitiveValue
    {12, 18, 146},	// DOM::CSSRule::CHARSET_RULE
    {12, 35, 134},	// DOM::CSSRule::CSSRule
    {12, 36, 135},	// DOM::CSSRule::CSSRule#
    {12, 167, 149},	// DOM::CSSRule::FONT_FACE_RULE
    {12, 288, 147},	// DOM::CSSRule::IMPORT_RULE
    {12, 335, 148},	// DOM::CSSRule::MEDIA_RULE
    {12, 360, 151},	// DOM::CSSRule::NAMESPACE_RULE
    {12, 384, 150},	// DOM::CSSRule::PAGE_RULE
    {12, 390, 152},	// DOM::CSSRule::QUIRKS_RULE
    {12, 424, 145},	// DOM::CSSRule::STYLE_RULE
    {12, 447, 144},	// DOM::CSSRule::UNKNOWN_RULE
    {12, 513, 143},	// DOM::CSSRule::assignOther#$
    {12, 666, 138},	// DOM::CSSRule::cssText
    {12, 974, 142},	// DOM::CSSRule::isNull
    {12, 1118, 136},	// DOM::CSSRule::operator=#
    {12, 1144, 141},	// DOM::CSSRule::parentRule
    {12, 1145, 140},	// DOM::CSSRule::parentStyleSheet
    {12, 1395, 139},	// DOM::CSSRule::setCssText#
    {12, 1800, 137},	// DOM::CSSRule::type
    {12, 1878, 153},	// DOM::CSSRule::~CSSRule
    {13, 37, 154},	// DOM::CSSRuleList::CSSRuleList
    {13, 38, 155},	// DOM::CSSRuleList::CSSRuleList#
    {13, 974, 159},	// DOM::CSSRuleList::isNull
    {13, 985, 158},	// DOM::CSSRuleList::item$
    {13, 1032, 157},	// DOM::CSSRuleList::length
    {13, 1118, 156},	// DOM::CSSRuleList::operator=#
    {13, 1879, 160},	// DOM::CSSRuleList::~CSSRuleList
    {14, 39, 161},	// DOM::CSSStyleDeclaration::CSSStyleDeclaration
    {14, 40, 162},	// DOM::CSSStyleDeclaration::CSSStyleDeclaration#
    {14, 666, 164},	// DOM::CSSStyleDeclaration::cssText
    {14, 851, 169},	// DOM::CSSStyleDeclaration::getPropertyCSSValue#
    {14, 853, 171},	// DOM::CSSStyleDeclaration::getPropertyPriority#
    {14, 855, 168},	// DOM::CSSStyleDeclaration::getPropertyValue#
    {14, 974, 175},	// DOM::CSSStyleDeclaration::isNull
    {14, 985, -539},	// DOM::CSSStyleDeclaration::item$
    {14, 1032, 166},	// DOM::CSSStyleDeclaration::length
    {14, 1118, 163},	// DOM::CSSStyleDeclaration::operator=#
    {14, 1144, 167},	// DOM::CSSStyleDeclaration::parentRule
    {14, 1224, 170},	// DOM::CSSStyleDeclaration::removeProperty#
    {14, 1395, 165},	// DOM::CSSStyleDeclaration::setCssText#
    {14, 1566, 172},	// DOM::CSSStyleDeclaration::setProperty###
    {14, 1880, 176},	// DOM::CSSStyleDeclaration::~CSSStyleDeclaration
    {15, 41, 177},	// DOM::CSSStyleRule::CSSStyleRule
    {15, 42, -521},	// DOM::CSSStyleRule::CSSStyleRule#
    {15, 1118, -524},	// DOM::CSSStyleRule::operator=#
    {15, 1286, 182},	// DOM::CSSStyleRule::selectorText
    {15, 1606, 183},	// DOM::CSSStyleRule::setSelectorText#
    {15, 1747, 184},	// DOM::CSSStyleRule::style
    {15, 1881, 185},	// DOM::CSSStyleRule::~CSSStyleRule
    {16, 43, 186},	// DOM::CSSStyleSheet::CSSStyleSheet
    {16, 44, -145},	// DOM::CSSStyleSheet::CSSStyleSheet#
    {16, 559, 195},	// DOM::CSSStyleSheet::charset
    {16, 665, 192},	// DOM::CSSStyleSheet::cssRules
    {16, 697, 194},	// DOM::CSSStyleSheet::deleteRule$
    {16, 939, 193},	// DOM::CSSStyleSheet::insertRule#$
    {16, 1118, -148},	// DOM::CSSStyleSheet::operator=#
    {16, 1129, 191},	// DOM::CSSStyleSheet::ownerRule
    {16, 1882, 196},	// DOM::CSSStyleSheet::~CSSStyleSheet
    {17, 45, 197},	// DOM::CSSUnknownRule::CSSUnknownRule
    {17, 46, -139},	// DOM::CSSUnknownRule::CSSUnknownRule#
    {17, 1118, -142},	// DOM::CSSUnknownRule::operator=#
    {17, 1883, 202},	// DOM::CSSUnknownRule::~CSSUnknownRule
    {18, 47, 203},	// DOM::CSSValue::CSSValue
    {18, 48, 204},	// DOM::CSSValue::CSSValue#
    {18, 54, 215},	// DOM::CSSValue::CSS_CUSTOM
    {18, 66, 212},	// DOM::CSSValue::CSS_INHERIT
    {18, 67, 216},	// DOM::CSSValue::CSS_INITIAL
    {18, 75, 213},	// DOM::CSSValue::CSS_PRIMITIVE_VALUE
    {18, 83, 217},	// DOM::CSSValue::CSS_SVG_VALUE
    {18, 86, 214},	// DOM::CSSValue::CSS_VALUE_LIST
    {18, 666, 206},	// DOM::CSSValue::cssText
    {18, 667, 208},	// DOM::CSSValue::cssValueType
    {18, 948, 210},	// DOM::CSSValue::isCSSPrimitiveValue
    {18, 950, 209},	// DOM::CSSValue::isCSSValueList
    {18, 974, 211},	// DOM::CSSValue::isNull
    {18, 1118, 205},	// DOM::CSSValue::operator=#
    {18, 1395, 207},	// DOM::CSSValue::setCssText#
    {18, 1884, 218},	// DOM::CSSValue::~CSSValue
    {19, 49, 219},	// DOM::CSSValueList::CSSValueList
    {19, 50, -61},	// DOM::CSSValueList::CSSValueList#
    {19, 985, 225},	// DOM::CSSValueList::item$
    {19, 1032, 224},	// DOM::CSSValueList::length
    {19, 1118, -64},	// DOM::CSSValueList::operator=#
    {19, 1885, 226},	// DOM::CSSValueList::~CSSValueList
    {20, 90, 227},	// DOM::CharacterData::CharacterData
    {20, 91, -491},	// DOM::CharacterData::CharacterData#
    {20, 505, 236},	// DOM::CharacterData::appendData#
    {20, 677, 232},	// DOM::CharacterData::data
    {20, 690, 238},	// DOM::CharacterData::deleteData$$
    {20, 933, 237},	// DOM::CharacterData::insertData$#
    {20, 1032, 234},	// DOM::CharacterData::length
    {20, 1118, -494},	// DOM::CharacterData::operator=#
    {20, 1234, 239},	// DOM::CharacterData::replaceData$$#
    {20, 1406, 233},	// DOM::CharacterData::setData#
    {20, 1760, 235},	// DOM::CharacterData::substringData$$
    {20, 1886, 240},	// DOM::CharacterData::~CharacterData
    {21, 92, 241},	// DOM::Comment::Comment
    {21, 93, -199},	// DOM::Comment::Comment#
    {21, 1118, -202},	// DOM::Comment::operator=#
    {21, 1887, 246},	// DOM::Comment::~Comment
    {22, 94, 247},	// DOM::Counter::Counter
    {22, 95, 248},	// DOM::Counter::Counter#
    {22, 897, 250},	// DOM::Counter::identifier
    {22, 974, 253},	// DOM::Counter::isNull
    {22, 1036, 251},	// DOM::Counter::listStyle
    {22, 1118, 249},	// DOM::Counter::operator=#
    {22, 1287, 252},	// DOM::Counter::separator
    {22, 1888, 254},	// DOM::Counter::~Counter
    {23, 96, 255},	// DOM::CustomNodeFilter::CustomNodeFilter
    {23, 97, 259},	// DOM::CustomNodeFilter::CustomNodeFilter#
    {23, 472, 256},	// DOM::CustomNodeFilter::acceptNode#
    {23, 676, 258},	// DOM::CustomNodeFilter::customNodeFilterType
    {23, 974, 257},	// DOM::CustomNodeFilter::isNull
    {23, 1889, 260},	// DOM::CustomNodeFilter::~CustomNodeFilter
    {24, 1, 288},	// DOM::DOMException::ABORT_ERR
    {24, 98, 293},	// DOM::DOMException::DATA_CLONE_ERR
    {24, 112, 262},	// DOM::DOMException::DOMException#
    {24, 113, 261},	// DOM::DOMException::DOMException$
    {24, 116, 270},	// DOM::DOMException::DOMSTRING_SIZE_ERR
    {24, 145, 294},	// DOM::DOMException::ENCODING_ERR
    {24, 170, 271},	// DOM::DOMException::HIERARCHY_REQUEST_ERR
    {24, 289, 269},	// DOM::DOMException::INDEX_SIZE_ERR
    {24, 290, 278},	// DOM::DOMException::INUSE_ATTRIBUTE_ERR
    {24, 291, 283},	// DOM::DOMException::INVALID_ACCESS_ERR
    {24, 292, 273},	// DOM::DOMException::INVALID_CHARACTER_ERR
    {24, 293, 281},	// DOM::DOMException::INVALID_MODIFICATION_ERR
    {24, 295, 279},	// DOM::DOMException::INVALID_STATE_ERR
    {24, 359, 282},	// DOM::DOMException::NAMESPACE_ERR
    {24, 361, 287},	// DOM::DOMException::NETWORK_ERR
    {24, 363, 276},	// DOM::DOMException::NOT_FOUND_ERR
    {24, 364, 292},	// DOM::DOMException::NOT_READABLE_ERR
    {24, 365, 277},	// DOM::DOMException::NOT_SUPPORTED_ERR
    {24, 366, 274},	// DOM::DOMException::NO_DATA_ALLOWED_ERR
    {24, 367, 275},	// DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR
    {24, 391, 290},	// DOM::DOMException::QUOTA_EXCEEDED_ERR
    {24, 405, 286},	// DOM::DOMException::SECURITY_ERR
    {24, 425, 280},	// DOM::DOMException::SYNTAX_ERR
    {24, 437, 291},	// DOM::DOMException::TIMEOUT_ERR
    {24, 438, 285},	// DOM::DOMException::TYPE_MISMATCH_ERR
    {24, 450, 289},	// DOM::DOMException::URL_MISMATCH_ERR
    {24, 452, 284},	// DOM::DOMException::VALIDATION_ERR
    {24, 454, 272},	// DOM::DOMException::WRONG_DOCUMENT_ERR
    {24, 585, 267},	// DOM::DOMException::code
    {24, 586, 264},	// DOM::DOMException::codeAsString
    {24, 587, 265},	// DOM::DOMException::codeAsString$
    {24, 954, 266},	// DOM::DOMException::isDOMExceptionCode$
    {24, 1118, 263},	// DOM::DOMException::operator=#
    {24, 1369, 268},	// DOM::DOMException::setCode$
    {24, 1890, 295},	// DOM::DOMException::~DOMException
    {25, 114, 296},	// DOM::DOMImplementation::DOMImplementation
    {25, 115, 297},	// DOM::DOMImplementation::DOMImplementation#
    {25, 629, 303},	// DOM::DOMImplementation::createCSSStyleSheet##
    {25, 638, 301},	// DOM::DOMImplementation::createDocument###
    {25, 641, 300},	// DOM::DOMImplementation::createDocumentType###
    {25, 651, 304},	// DOM::DOMImplementation::createHTMLDocument#
    {25, 841, 302},	// DOM::DOMImplementation::getInterface#
    {25, 876, 299},	// DOM::DOMImplementation::hasFeature##
    {25, 974, 305},	// DOM::DOMImplementation::isNull
    {25, 1118, 298},	// DOM::DOMImplementation::operator=#
    {25, 1891, 306},	// DOM::DOMImplementation::~DOMImplementation
    {26, 117, 307},	// DOM::DOMString::DOMString
    {26, 118, 312},	// DOM::DOMString::DOMString#
    {26, 119, 308},	// DOM::DOMString::DOMString#$
    {26, 120, -121},	// DOM::DOMString::DOMString$
    {26, 121, 311},	// DOM::DOMString::DOMString$$
    {26, 558, 328},	// DOM::DOMString::characters
    {26, 621, 335},	// DOM::DOMString::copy
    {26, 743, 338},	// DOM::DOMString::endsWith#
    {26, 765, 340},	// DOM::DOMString::find#
    {26, 766, 318},	// DOM::DOMString::find#$
    {26, 927, 316},	// DOM::DOMString::insert#$
    {26, 957, 337},	// DOM::DOMString::isEmpty
    {26, 974, 336},	// DOM::DOMString::isNull
    {26, 1032, 321},	// DOM::DOMString::length
    {26, 1044, 325},	// DOM::DOMString::lower
    {26, 1099, 334},	// DOM::DOMString::number$
    {26, 1114, 315},	// DOM::DOMString::operator+#
    {26, 1116, 314},	// DOM::DOMString::operator+=#
    {26, 1118, 313},	// DOM::DOMString::operator=#
    {26, 1124, 317},	// DOM::DOMString::operator[]$
    {26, 1151, 333},	// DOM::DOMString::percentage$
    {26, 1205, 343},	// DOM::DOMString::remove$
    {26, 1206, 323},	// DOM::DOMString::remove$$
    {26, 1245, 341},	// DOM::DOMString::reverseFind#
    {26, 1246, 319},	// DOM::DOMString::reverseFind#$
    {26, 1719, 324},	// DOM::DOMString::split$
    {26, 1732, 339},	// DOM::DOMString::startsWith#
    {26, 1746, 329},	// DOM::DOMString::string
    {26, 1757, 342},	// DOM::DOMString::substring$
    {26, 1758, 320},	// DOM::DOMString::substring$$
    {26, 1782, 344},	// DOM::DOMString::toFloat
    {26, 1783, 332},	// DOM::DOMString::toFloat$
    {26, 1785, 330},	// DOM::DOMString::toInt
    {26, 1786, 331},	// DOM::DOMString::toInt$
    {26, 1799, 322},	// DOM::DOMString::truncate$
    {26, 1803, 327},	// DOM::DOMString::unicode
    {26, 1809, 326},	// DOM::DOMString::upper
    {26, 1892, 345},	// DOM::DOMString::~DOMString
    {27, 128, 346},	// DOM::Document::Document
    {27, 129, -461},	// DOM::Document::Document#
    {27, 130, 347},	// DOM::Document::Document$
    {27, 466, 386},	// DOM::Document::abort
    {27, 493, 380},	// DOM::Document::addStyleSheet#
    {27, 514, 384},	// DOM::Document::async
    {27, 603, 393},	// DOM::Document::completeURL#
    {27, 623, 362},	// DOM::Document::createAttribute#
    {27, 625, 363},	// DOM::Document::createAttributeNS##
    {27, 627, 360},	// DOM::Document::createCDATASection#
    {27, 632, 359},	// DOM::Document::createComment#
    {27, 639, 357},	// DOM::Document::createDocumentFragment
    {27, 643, 355},	// DOM::Document::createElement#
    {27, 645, 356},	// DOM::Document::createElementNS##
    {27, 647, 364},	// DOM::Document::createEntityReference#
    {27, 649, 374},	// DOM::Document::createEvent#
    {27, 653, 372},	// DOM::Document::createNodeIterator#$#$
    {27, 657, 361},	// DOM::Document::createProcessingInstruction##
    {27, 658, 371},	// DOM::Document::createRange
    {27, 662, 358},	// DOM::Document::createTextNode#
    {27, 664, 373},	// DOM::Document::createTreeWalker#$#$
    {27, 683, 375},	// DOM::Document::defaultView
    {27, 701, 391},	// DOM::Document::designMode
    {27, 720, 352},	// DOM::Document::doctype
    {27, 722, 354},	// DOM::Document::documentElement
    {27, 754, 395},	// DOM::Document::execCommand#$#
    {27, 828, 365},	// DOM::Document::getElementById#
    {27, 830, 368},	// DOM::Document::getElementsByClassName#
    {27, 834, 366},	// DOM::Document::getElementsByTagName#
    {27, 836, 367},	// DOM::Document::getElementsByTagNameNS##
    {27, 849, 383},	// DOM::Document::getOverrideStyle##
    {27, 900, 353},	// DOM::Document::implementation
    {27, 902, 369},	// DOM::Document::importNode#$
    {27, 961, 370},	// DOM::Document::isHTMLDocument
    {27, 1038, 387},	// DOM::Document::load#
    {27, 1040, 388},	// DOM::Document::loadXML#
    {27, 1118, -464},	// DOM::Document::operator=#
    {27, 1157, 377},	// DOM::Document::preferredStylesheetSet
    {27, 1181, 396},	// DOM::Document::queryCommandEnabled#
    {27, 1183, 397},	// DOM::Document::queryCommandIndeterm#
    {27, 1185, 398},	// DOM::Document::queryCommandState#
    {27, 1187, 399},	// DOM::Document::queryCommandSupported#
    {27, 1189, 400},	// DOM::Document::queryCommandValue#
    {27, 1191, 389},	// DOM::Document::querySelector#
    {27, 1193, 390},	// DOM::Document::querySelectorAll#
    {27, 1226, 381},	// DOM::Document::removeStyleSheet#
    {27, 1278, 378},	// DOM::Document::selectedStylesheetSet
    {27, 1312, 385},	// DOM::Document::setAsync$
    {27, 1420, 392},	// DOM::Document::setDesignMode$
    {27, 1596, 379},	// DOM::Document::setSelectedStylesheetSet#
    {27, 1750, 376},	// DOM::Document::styleSheets
    {27, 1787, 394},	// DOM::Document::toString
    {27, 1807, 401},	// DOM::Document::updateRendering
    {27, 1824, 382},	// DOM::Document::view
    {27, 1893, 402},	// DOM::Document::~Document
    {28, 131, 403},	// DOM::DocumentFragment::DocumentFragment
    {28, 132, -223},	// DOM::DocumentFragment::DocumentFragment#
    {28, 1118, -226},	// DOM::DocumentFragment::operator=#
    {28, 1191, 408},	// DOM::DocumentFragment::querySelector#
    {28, 1193, 409},	// DOM::DocumentFragment::querySelectorAll#
    {28, 1894, 410},	// DOM::DocumentFragment::~DocumentFragment
    {29, 133, 411},	// DOM::DocumentStyle::DocumentStyle
    {29, 134, 412},	// DOM::DocumentStyle::DocumentStyle#
    {29, 974, 419},	// DOM::DocumentStyle::isNull
    {29, 1118, -124},	// DOM::DocumentStyle::operator=#
    {29, 1157, 416},	// DOM::DocumentStyle::preferredStylesheetSet
    {29, 1278, 417},	// DOM::DocumentStyle::selectedStylesheetSet
    {29, 1596, 418},	// DOM::DocumentStyle::setSelectedStylesheetSet#
    {29, 1750, 415},	// DOM::DocumentStyle::styleSheets
    {29, 1895, 420},	// DOM::DocumentStyle::~DocumentStyle
    {30, 135, 421},	// DOM::DocumentType::DocumentType
    {30, 136, -49},	// DOM::DocumentType::DocumentType#
    {30, 745, 427},	// DOM::DocumentType::entities
    {30, 940, 431},	// DOM::DocumentType::internalSubset
    {30, 1072, 426},	// DOM::DocumentType::name
    {30, 1097, 428},	// DOM::DocumentType::notations
    {30, 1118, -52},	// DOM::DocumentType::operator=#
    {30, 1174, 429},	// DOM::DocumentType::publicId
    {30, 1764, 430},	// DOM::DocumentType::systemId
    {30, 1896, 432},	// DOM::DocumentType::~DocumentType
    {31, 137, 433},	// DOM::DomShared::DomShared
    {31, 138, 439},	// DOM::DomShared::DomShared#
    {31, 463, 440},	// DOM::DomShared::_ref
    {31, 691, 434},	// DOM::DomShared::deleteMe
    {31, 700, 436},	// DOM::DomShared::deref
    {31, 877, 437},	// DOM::DomShared::hasOneRef
    {31, 1198, 435},	// DOM::DomShared::ref
    {31, 1199, 438},	// DOM::DomShared::refCount
    {31, 1697, 441},	// DOM::DomShared::set_ref$
    {31, 1897, 442},	// DOM::DomShared::~DomShared
    {33, 150, 443},	// DOM::Element::Element
    {33, 151, -163},	// DOM::Element::Element#
    {33, 561, 470},	// DOM::Element::childElementCount
    {33, 785, 466},	// DOM::Element::firstElementChild
    {33, 799, 474},	// DOM::Element::form
    {33, 814, 449},	// DOM::Element::getAttribute#
    {33, 816, 458},	// DOM::Element::getAttributeNS##
    {33, 818, 452},	// DOM::Element::getAttributeNode#
    {33, 820, 461},	// DOM::Element::getAttributeNodeNS##
    {33, 830, 457},	// DOM::Element::getElementsByClassName#
    {33, 834, 455},	// DOM::Element::getElementsByTagName#
    {33, 836, 456},	// DOM::Element::getElementsByTagNameNS##
    {33, 870, 463},	// DOM::Element::hasAttribute#
    {33, 872, 464},	// DOM::Element::hasAttributeNS##
    {33, 962, 473},	// DOM::Element::isHTMLElement
    {33, 1003, 479},	// DOM::Element::khtmlMalformedPrefix#
    {33, 1005, 478},	// DOM::Element::khtmlMalformedQualifiedName#
    {33, 1015, 475},	// DOM::Element::khtmlValidAttrName#
    {33, 1017, 476},	// DOM::Element::khtmlValidPrefix#
    {33, 1019, 477},	// DOM::Element::khtmlValidQualifiedName#
    {33, 1024, 467},	// DOM::Element::lastElementChild
    {33, 1078, 469},	// DOM::Element::nextElementSibling
    {33, 1118, -166},	// DOM::Element::operator=#
    {33, 1166, 468},	// DOM::Element::previousElementSibling
    {33, 1191, 471},	// DOM::Element::querySelector#
    {33, 1193, 472},	// DOM::Element::querySelectorAll#
    {33, 1208, 451},	// DOM::Element::removeAttribute#
    {33, 1210, 460},	// DOM::Element::removeAttributeNS##
    {33, 1212, 454},	// DOM::Element::removeAttributeNode#
    {33, 1314, 450},	// DOM::Element::setAttribute##
    {33, 1316, 459},	// DOM::Element::setAttributeNS###
    {33, 1318, 453},	// DOM::Element::setAttributeNode#
    {33, 1320, 462},	// DOM::Element::setAttributeNodeNS#
    {33, 1747, 465},	// DOM::Element::style
    {33, 1770, 448},	// DOM::Element::tagName
    {33, 1899, 480},	// DOM::Element::~Element
    {34, 153, 481},	// DOM::Entity::Entity
    {34, 154, -473},	// DOM::Entity::Entity#
    {34, 1096, 488},	// DOM::Entity::notationName
    {34, 1118, -476},	// DOM::Entity::operator=#
    {34, 1174, 486},	// DOM::Entity::publicId
    {34, 1764, 487},	// DOM::Entity::systemId
    {34, 1900, 489},	// DOM::Entity::~Entity
    {35, 155, 490},	// DOM::EntityReference::EntityReference
    {35, 156, -425},	// DOM::EntityReference::EntityReference#
    {35, 1118, -428},	// DOM::EntityReference::operator=#
    {35, 1901, 495},	// DOM::EntityReference::~EntityReference
    {36, 4, 511},	// DOM::Event::AT_TARGET
    {36, 10, 512},	// DOM::Event::BUBBLING_PHASE
    {36, 14, 510},	// DOM::Event::CAPTURING_PHASE
    {36, 157, 496},	// DOM::Event::Event
    {36, 158, 497},	// DOM::Event::Event#
    {36, 542, 503},	// DOM::Event::bubbles
    {36, 544, 504},	// DOM::Event::cancelable
    {36, 671, 501},	// DOM::Event::currentTarget
    {36, 752, 502},	// DOM::Event::eventPhase
    {36, 910, 508},	// DOM::Event::initEvent#$$
    {36, 974, 509},	// DOM::Event::isNull
    {36, 1118, 498},	// DOM::Event::operator=#
    {36, 1165, 507},	// DOM::Event::preventDefault
    {36, 1738, 506},	// DOM::Event::stopPropagation
    {36, 1771, 500},	// DOM::Event::target
    {36, 1778, 505},	// DOM::Event::timeStamp
    {36, 1800, 499},	// DOM::Event::type
    {36, 1902, 513},	// DOM::Event::~Event
    {37, 160, 515},	// DOM::EventException::EventException#
    {37, 161, 514},	// DOM::EventException::EventException$
    {37, 448, 522},	// DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR
    {37, 457, 524},	// DOM::EventException::_EXCEPTION_MAX
    {37, 458, 523},	// DOM::EventException::_EXCEPTION_OFFSET
    {37, 585, 520},	// DOM::EventException::code
    {37, 586, 517},	// DOM::EventException::codeAsString
    {37, 587, 518},	// DOM::EventException::codeAsString$
    {37, 959, 519},	// DOM::EventException::isEventExceptionCode$
    {37, 1118, 516},	// DOM::EventException::operator=#
    {37, 1369, 521},	// DOM::EventException::setCode$
    {37, 1903, 525},	// DOM::EventException::~EventException
    {38, 162, 526},	// DOM::EventListener::EventListener
    {38, 163, 529},	// DOM::EventListener::EventListener#
    {38, 750, 528},	// DOM::EventListener::eventListenerType
    {38, 868, 527},	// DOM::EventListener::handleEvent#
    {38, 1904, 530},	// DOM::EventListener::~EventListener
    {39, 172, 531},	// DOM::HTMLAnchorElement::HTMLAnchorElement
    {39, 173, -368},	// DOM::HTMLAnchorElement::HTMLAnchorElement#
    {39, 473, 536},	// DOM::HTMLAnchorElement::accessKey
    {39, 535, 560},	// DOM::HTMLAnchorElement::blur
    {39, 559, 538},	// DOM::HTMLAnchorElement::charset
    {39, 620, 540},	// DOM::HTMLAnchorElement::coords
    {39, 788, 561},	// DOM::HTMLAnchorElement::focus
    {39, 888, 542},	// DOM::HTMLAnchorElement::href
    {39, 889, 544},	// DOM::HTMLAnchorElement::hreflang
    {39, 1072, 546},	// DOM::HTMLAnchorElement::name
    {39, 1118, -371},	// DOM::HTMLAnchorElement::operator=#
    {39, 1201, 548},	// DOM::HTMLAnchorElement::rel
    {39, 1243, 550},	// DOM::HTMLAnchorElement::rev
    {39, 1298, 537},	// DOM::HTMLAnchorElement::setAccessKey#
    {39, 1358, 539},	// DOM::HTMLAnchorElement::setCharset#
    {39, 1393, 541},	// DOM::HTMLAnchorElement::setCoords#
    {39, 1467, 543},	// DOM::HTMLAnchorElement::setHref#
    {39, 1469, 545},	// DOM::HTMLAnchorElement::setHreflang#
    {39, 1534, 547},	// DOM::HTMLAnchorElement::setName#
    {39, 1570, 549},	// DOM::HTMLAnchorElement::setRel#
    {39, 1572, 551},	// DOM::HTMLAnchorElement::setRev#
    {39, 1608, 553},	// DOM::HTMLAnchorElement::setShape#
    {39, 1647, 555},	// DOM::HTMLAnchorElement::setTabIndex$
    {39, 1649, 557},	// DOM::HTMLAnchorElement::setTarget#
    {39, 1659, 559},	// DOM::HTMLAnchorElement::setType#
    {39, 1700, 552},	// DOM::HTMLAnchorElement::shape
    {39, 1768, 554},	// DOM::HTMLAnchorElement::tabIndex
    {39, 1771, 556},	// DOM::HTMLAnchorElement::target
    {39, 1800, 558},	// DOM::HTMLAnchorElement::type
    {39, 1905, 562},	// DOM::HTMLAnchorElement::~HTMLAnchorElement
    {40, 174, 563},	// DOM::HTMLAppletElement::HTMLAppletElement
    {40, 175, -265},	// DOM::HTMLAppletElement::HTMLAppletElement#
    {40, 496, 568},	// DOM::HTMLAppletElement::align
    {40, 499, 570},	// DOM::HTMLAppletElement::alt
    {40, 510, 572},	// DOM::HTMLAppletElement::archive
    {40, 585, 574},	// DOM::HTMLAppletElement::code
    {40, 588, 576},	// DOM::HTMLAppletElement::codeBase
    {40, 839, 580},	// DOM::HTMLAppletElement::getHspace
    {40, 861, 588},	// DOM::HTMLAppletElement::getVspace
    {40, 880, 578},	// DOM::HTMLAppletElement::height
    {40, 890, 582},	// DOM::HTMLAppletElement::hspace
    {40, 1072, 584},	// DOM::HTMLAppletElement::name
    {40, 1100, 586},	// DOM::HTMLAppletElement::object
    {40, 1118, -268},	// DOM::HTMLAppletElement::operator=#
    {40, 1304, 569},	// DOM::HTMLAppletElement::setAlign#
    {40, 1306, 571},	// DOM::HTMLAppletElement::setAlt#
    {40, 1310, 573},	// DOM::HTMLAppletElement::setArchive#
    {40, 1368, 575},	// DOM::HTMLAppletElement::setCode#
    {40, 1371, 577},	// DOM::HTMLAppletElement::setCodeBase#
    {40, 1462, 579},	// DOM::HTMLAppletElement::setHeight#
    {40, 1471, 583},	// DOM::HTMLAppletElement::setHspace#
    {40, 1472, 581},	// DOM::HTMLAppletElement::setHspace$
    {40, 1534, 585},	// DOM::HTMLAppletElement::setName#
    {40, 1550, 587},	// DOM::HTMLAppletElement::setObject#
    {40, 1684, 591},	// DOM::HTMLAppletElement::setVspace#
    {40, 1685, 589},	// DOM::HTMLAppletElement::setVspace$
    {40, 1688, 593},	// DOM::HTMLAppletElement::setWidth#
    {40, 1834, 590},	// DOM::HTMLAppletElement::vspace
    {40, 1842, 592},	// DOM::HTMLAppletElement::width
    {40, 1906, 594},	// DOM::HTMLAppletElement::~HTMLAppletElement
    {41, 176, 595},	// DOM::HTMLAreaElement::HTMLAreaElement
    {41, 177, -13},	// DOM::HTMLAreaElement::HTMLAreaElement#
    {41, 473, 600},	// DOM::HTMLAreaElement::accessKey
    {41, 499, 602},	// DOM::HTMLAreaElement::alt
    {41, 620, 604},	// DOM::HTMLAreaElement::coords
    {41, 888, 606},	// DOM::HTMLAreaElement::href
    {41, 1084, 608},	// DOM::HTMLAreaElement::noHref
    {41, 1118, -16},	// DOM::HTMLAreaElement::operator=#
    {41, 1298, 601},	// DOM::HTMLAreaElement::setAccessKey#
    {41, 1306, 603},	// DOM::HTMLAreaElement::setAlt#
    {41, 1393, 605},	// DOM::HTMLAreaElement::setCoords#
    {41, 1467, 607},	// DOM::HTMLAreaElement::setHref#
    {41, 1540, 609},	// DOM::HTMLAreaElement::setNoHref$
    {41, 1608, 611},	// DOM::HTMLAreaElement::setShape#
    {41, 1647, 613},	// DOM::HTMLAreaElement::setTabIndex$
    {41, 1649, 615},	// DOM::HTMLAreaElement::setTarget#
    {41, 1700, 610},	// DOM::HTMLAreaElement::shape
    {41, 1768, 612},	// DOM::HTMLAreaElement::tabIndex
    {41, 1771, 614},	// DOM::HTMLAreaElement::target
    {41, 1907, 616},	// DOM::HTMLAreaElement::~HTMLAreaElement
    {42, 178, 617},	// DOM::HTMLBRElement::HTMLBRElement
    {42, 179, -7},	// DOM::HTMLBRElement::HTMLBRElement#
    {42, 567, 622},	// DOM::HTMLBRElement::clear
    {42, 1118, -10},	// DOM::HTMLBRElement::operator=#
    {42, 1366, 623},	// DOM::HTMLBRElement::setClear#
    {42, 1908, 624},	// DOM::HTMLBRElement::~HTMLBRElement
    {43, 180, 625},	// DOM::HTMLBaseElement::HTMLBaseElement
    {43, 181, -133},	// DOM::HTMLBaseElement::HTMLBaseElement#
    {43, 888, 630},	// DOM::HTMLBaseElement::href
    {43, 1118, -136},	// DOM::HTMLBaseElement::operator=#
    {43, 1467, 631},	// DOM::HTMLBaseElement::setHref#
    {43, 1649, 633},	// DOM::HTMLBaseElement::setTarget#
    {43, 1771, 632},	// DOM::HTMLBaseElement::target
    {43, 1909, 634},	// DOM::HTMLBaseElement::~HTMLBaseElement
    {44, 182, 635},	// DOM::HTMLBaseFontElement::HTMLBaseFontElement
    {44, 183, -31},	// DOM::HTMLBaseFontElement::HTMLBaseFontElement#
    {44, 594, 640},	// DOM::HTMLBaseFontElement::color
    {44, 760, 642},	// DOM::HTMLBaseFontElement::face
    {44, 859, 644},	// DOM::HTMLBaseFontElement::getSize
    {44, 1118, -34},	// DOM::HTMLBaseFontElement::operator=#
    {44, 1377, 641},	// DOM::HTMLBaseFontElement::setColor#
    {44, 1442, 643},	// DOM::HTMLBaseFontElement::setFace#
    {44, 1610, 647},	// DOM::HTMLBaseFontElement::setSize#
    {44, 1611, 645},	// DOM::HTMLBaseFontElement::setSize$
    {44, 1709, 646},	// DOM::HTMLBaseFontElement::size
    {44, 1910, 648},	// DOM::HTMLBaseFontElement::~HTMLBaseFontElement
    {45, 184, 649},	// DOM::HTMLBlockquoteElement::HTMLBlockquoteElement
    {45, 185, -151},	// DOM::HTMLBlockquoteElement::HTMLBlockquoteElement#
    {45, 565, 654},	// DOM::HTMLBlockquoteElement::cite
    {45, 1118, -154},	// DOM::HTMLBlockquoteElement::operator=#
    {45, 1362, 655},	// DOM::HTMLBlockquoteElement::setCite#
    {45, 1911, 656},	// DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement
    {46, 186, 657},	// DOM::HTMLBodyElement::HTMLBodyElement
    {46, 187, -109},	// DOM::HTMLBodyElement::HTMLBodyElement#
    {46, 464, 662},	// DOM::HTMLBodyElement::aLink
    {46, 523, 664},	// DOM::HTMLBodyElement::background
    {46, 533, 666},	// DOM::HTMLBodyElement::bgColor
    {46, 1033, 668},	// DOM::HTMLBodyElement::link
    {46, 1118, -112},	// DOM::HTMLBodyElement::operator=#
    {46, 1290, 663},	// DOM::HTMLBodyElement::setALink#
    {46, 1326, 665},	// DOM::HTMLBodyElement::setBackground#
    {46, 1328, 667},	// DOM::HTMLBodyElement::setBgColor#
    {46, 1508, 669},	// DOM::HTMLBodyElement::setLink#
    {46, 1651, 671},	// DOM::HTMLBodyElement::setText#
    {46, 1670, 673},	// DOM::HTMLBodyElement::setVLink#
    {46, 1774, 670},	// DOM::HTMLBodyElement::text
    {46, 1819, 672},	// DOM::HTMLBodyElement::vLink
    {46, 1912, 674},	// DOM::HTMLBodyElement::~HTMLBodyElement
    {47, 188, 675},	// DOM::HTMLButtonElement::HTMLButtonElement
    {47, 189, -356},	// DOM::HTMLButtonElement::HTMLButtonElement#
    {47, 473, 681},	// DOM::HTMLButtonElement::accessKey
    {47, 535, 692},	// DOM::HTMLButtonElement::blur
    {47, 706, 683},	// DOM::HTMLButtonElement::disabled
    {47, 788, 693},	// DOM::HTMLButtonElement::focus
    {47, 799, 680},	// DOM::HTMLButtonElement::form
    {47, 1072, 685},	// DOM::HTMLButtonElement::name
    {47, 1118, -359},	// DOM::HTMLButtonElement::operator=#
    {47, 1298, 682},	// DOM::HTMLButtonElement::setAccessKey#
    {47, 1424, 684},	// DOM::HTMLButtonElement::setDisabled$
    {47, 1534, 686},	// DOM::HTMLButtonElement::setName#
    {47, 1647, 688},	// DOM::HTMLButtonElement::setTabIndex$
    {47, 1672, 691},	// DOM::HTMLButtonElement::setValue#
    {47, 1768, 687},	// DOM::HTMLButtonElement::tabIndex
    {47, 1800, 689},	// DOM::HTMLButtonElement::type
    {47, 1821, 690},	// DOM::HTMLButtonElement::value
    {47, 1913, 694},	// DOM::HTMLButtonElement::~HTMLButtonElement
    {48, 190, 695},	// DOM::HTMLCollection::HTMLCollection
    {48, 191, 696},	// DOM::HTMLCollection::HTMLCollection#
    {48, 525, 701},	// DOM::HTMLCollection::base
    {48, 786, 703},	// DOM::HTMLCollection::firstItem
    {48, 974, 702},	// DOM::HTMLCollection::isNull
    {48, 985, 699},	// DOM::HTMLCollection::item$
    {48, 1032, 698},	// DOM::HTMLCollection::length
    {48, 1074, 700},	// DOM::HTMLCollection::namedItem#
    {48, 1079, 704},	// DOM::HTMLCollection::nextItem
    {48, 1081, 705},	// DOM::HTMLCollection::nextNamedItem#
    {48, 1118, 697},	// DOM::HTMLCollection::operator=#
    {48, 1914, 706},	// DOM::HTMLCollection::~HTMLCollection
    {49, 192, 707},	// DOM::HTMLDListElement::HTMLDListElement
    {49, 193, -497},	// DOM::HTMLDListElement::HTMLDListElement#
    {49, 597, 712},	// DOM::HTMLDListElement::compact
    {49, 1118, -500},	// DOM::HTMLDListElement::operator=#
    {49, 1382, 713},	// DOM::HTMLDListElement::setCompact$
    {49, 1915, 714},	// DOM::HTMLDListElement::~HTMLDListElement
    {50, 194, 715},	// DOM::HTMLDirectoryElement::HTMLDirectoryElement
    {50, 195, -157},	// DOM::HTMLDirectoryElement::HTMLDirectoryElement#
    {50, 597, 720},	// DOM::HTMLDirectoryElement::compact
    {50, 1118, -160},	// DOM::HTMLDirectoryElement::operator=#
    {50, 1382, 721},	// DOM::HTMLDirectoryElement::setCompact$
    {50, 1916, 722},	// DOM::HTMLDirectoryElement::~HTMLDirectoryElement
    {51, 196, 723},	// DOM::HTMLDivElement::HTMLDivElement
    {51, 197, -398},	// DOM::HTMLDivElement::HTMLDivElement#
    {51, 496, 728},	// DOM::HTMLDivElement::align
    {51, 1118, -401},	// DOM::HTMLDivElement::operator=#
    {51, 1304, 729},	// DOM::HTMLDivElement::setAlign#
    {51, 1917, 730},	// DOM::HTMLDivElement::~HTMLDivElement
    {52, 198, 731},	// DOM::HTMLDocument::HTMLDocument
    {52, 199, -343},	// DOM::HTMLDocument::HTMLDocument#
    {52, 449, 741},	// DOM::HTMLDocument::URL
    {52, 497, 760},	// DOM::HTMLDocument::all
    {52, 501, 750},	// DOM::HTMLDocument::anchors
    {52, 508, 745},	// DOM::HTMLDocument::applets
    {52, 536, 742},	// DOM::HTMLDocument::body
    {52, 581, 754},	// DOM::HTMLDocument::close
    {52, 603, 758},	// DOM::HTMLDocument::completeURL#
    {52, 619, 751},	// DOM::HTMLDocument::cookie
    {52, 725, 740},	// DOM::HTMLDocument::domain
    {52, 803, 747},	// DOM::HTMLDocument::forms
    {52, 832, 757},	// DOM::HTMLDocument::getElementsByName#
    {52, 898, 744},	// DOM::HTMLDocument::images
    {52, 1025, 759},	// DOM::HTMLDocument::lastModified
    {52, 1028, 748},	// DOM::HTMLDocument::layers
    {52, 1035, 746},	// DOM::HTMLDocument::links
    {52, 1105, 753},	// DOM::HTMLDocument::open
    {52, 1118, -347},	// DOM::HTMLDocument::operator=#
    {52, 1200, 739},	// DOM::HTMLDocument::referrer
    {52, 1263, 749},	// DOM::HTMLDocument::scripts
    {52, 1330, 743},	// DOM::HTMLDocument::setBody#
    {52, 1391, 752},	// DOM::HTMLDocument::setCookie#
    {52, 1655, 738},	// DOM::HTMLDocument::setTitle#
    {52, 1781, 737},	// DOM::HTMLDocument::title
    {52, 1855, 755},	// DOM::HTMLDocument::write#
    {52, 1859, 756},	// DOM::HTMLDocument::writeln#
    {52, 1918, 761},	// DOM::HTMLDocument::~HTMLDocument
    {53, 200, 762},	// DOM::HTMLElement::HTMLElement
    {53, 201, -413},	// DOM::HTMLElement::HTMLElement#
    {53, 487, 787},	// DOM::HTMLElement::addCSSProperty##
    {53, 497, 782},	// DOM::HTMLElement::all
    {53, 513, 788},	// DOM::HTMLElement::assignOther#$
    {53, 564, 781},	// DOM::HTMLElement::children
    {53, 566, 775},	// DOM::HTMLElement::className
    {53, 610, 784},	// DOM::HTMLElement::contentEditable
    {53, 705, 773},	// DOM::HTMLElement::dir
    {53, 896, 767},	// DOM::HTMLElement::id
    {53, 921, 777},	// DOM::HTMLElement::innerHTML
    {53, 923, 779},	// DOM::HTMLElement::innerText
    {53, 952, 783},	// DOM::HTMLElement::isContentEditable
    {53, 1021, 771},	// DOM::HTMLElement::lang
    {53, 1118, -416},	// DOM::HTMLElement::operator=#
    {53, 1214, 786},	// DOM::HTMLElement::removeCSSProperty#
    {53, 1364, 776},	// DOM::HTMLElement::setClassName#
    {53, 1387, 785},	// DOM::HTMLElement::setContentEditable#
    {53, 1422, 774},	// DOM::HTMLElement::setDir#
    {53, 1478, 768},	// DOM::HTMLElement::setId#
    {53, 1484, 778},	// DOM::HTMLElement::setInnerHTML#
    {53, 1486, 780},	// DOM::HTMLElement::setInnerText#
    {53, 1504, 772},	// DOM::HTMLElement::setLang#
    {53, 1655, 770},	// DOM::HTMLElement::setTitle#
    {53, 1781, 769},	// DOM::HTMLElement::title
    {53, 1919, 789},	// DOM::HTMLElement::~HTMLElement
    {54, 202, 790},	// DOM::HTMLFieldSetElement::HTMLFieldSetElement
    {54, 203, -527},	// DOM::HTMLFieldSetElement::HTMLFieldSetElement#
    {54, 799, 795},	// DOM::HTMLFieldSetElement::form
    {54, 1118, -530},	// DOM::HTMLFieldSetElement::operator=#
    {54, 1920, 796},	// DOM::HTMLFieldSetElement::~HTMLFieldSetElement
    {55, 204, 797},	// DOM::HTMLFontElement::HTMLFontElement
    {55, 205, -205},	// DOM::HTMLFontElement::HTMLFontElement#
    {55, 594, 802},	// DOM::HTMLFontElement::color
    {55, 760, 804},	// DOM::HTMLFontElement::face
    {55, 1118, -208},	// DOM::HTMLFontElement::operator=#
    {55, 1377, 803},	// DOM::HTMLFontElement::setColor#
    {55, 1442, 805},	// DOM::HTMLFontElement::setFace#
    {55, 1610, 807},	// DOM::HTMLFontElement::setSize#
    {55, 1709, 806},	// DOM::HTMLFontElement::size
    {55, 1921, 808},	// DOM::HTMLFontElement::~HTMLFontElement
    {56, 207, 809},	// DOM::HTMLFormCollection::HTMLFormCollection#
    {56, 1922, 810},	// DOM::HTMLFormCollection::~HTMLFormCollection
    {57, 208, 811},	// DOM::HTMLFormElement::HTMLFormElement
    {57, 209, -127},	// DOM::HTMLFormElement::HTMLFormElement#
    {57, 470, 820},	// DOM::HTMLFormElement::acceptCharset
    {57, 475, 822},	// DOM::HTMLFormElement::action
    {57, 734, 816},	// DOM::HTMLFormElement::elements
    {57, 738, 824},	// DOM::HTMLFormElement::enctype
    {57, 1032, 817},	// DOM::HTMLFormElement::length
    {57, 1058, 826},	// DOM::HTMLFormElement::method
    {57, 1072, 818},	// DOM::HTMLFormElement::name
    {57, 1118, -130},	// DOM::HTMLFormElement::operator=#
    {57, 1235, 831},	// DOM::HTMLFormElement::reset
    {57, 1296, 821},	// DOM::HTMLFormElement::setAcceptCharset#
    {57, 1300, 823},	// DOM::HTMLFormElement::setAction#
    {57, 1432, 825},	// DOM::HTMLFormElement::setEnctype#
    {57, 1530, 827},	// DOM::HTMLFormElement::setMethod#
    {57, 1534, 819},	// DOM::HTMLFormElement::setName#
    {57, 1649, 829},	// DOM::HTMLFormElement::setTarget#
    {57, 1751, 830},	// DOM::HTMLFormElement::submit
    {57, 1771, 828},	// DOM::HTMLFormElement::target
    {57, 1923, 832},	// DOM::HTMLFormElement::~HTMLFormElement
    {58, 210, 833},	// DOM::HTMLFrameElement::HTMLFrameElement
    {58, 211, -259},	// DOM::HTMLFrameElement::HTMLFrameElement#
    {58, 609, 854},	// DOM::HTMLFrameElement::contentDocument
    {58, 805, 838},	// DOM::HTMLFrameElement::frameBorder
    {58, 1043, 840},	// DOM::HTMLFrameElement::longDesc
    {58, 1046, 842},	// DOM::HTMLFrameElement::marginHeight
    {58, 1047, 844},	// DOM::HTMLFrameElement::marginWidth
    {58, 1072, 846},	// DOM::HTMLFrameElement::name
    {58, 1085, 848},	// DOM::HTMLFrameElement::noResize
    {58, 1118, -262},	// DOM::HTMLFrameElement::operator=#
    {58, 1268, 850},	// DOM::HTMLFrameElement::scrolling
    {58, 1458, 839},	// DOM::HTMLFrameElement::setFrameBorder#
    {58, 1511, 841},	// DOM::HTMLFrameElement::setLongDesc#
    {58, 1516, 843},	// DOM::HTMLFrameElement::setMarginHeight#
    {58, 1519, 845},	// DOM::HTMLFrameElement::setMarginWidth#
    {58, 1534, 847},	// DOM::HTMLFrameElement::setName#
    {58, 1542, 849},	// DOM::HTMLFrameElement::setNoResize$
    {58, 1587, 851},	// DOM::HTMLFrameElement::setScrolling#
    {58, 1619, 853},	// DOM::HTMLFrameElement::setSrc#
    {58, 1724, 852},	// DOM::HTMLFrameElement::src
    {58, 1924, 855},	// DOM::HTMLFrameElement::~HTMLFrameElement
    {59, 212, 856},	// DOM::HTMLFrameSetElement::HTMLFrameSetElement
    {59, 213, -55},	// DOM::HTMLFrameSetElement::HTMLFrameSetElement#
    {59, 595, 861},	// DOM::HTMLFrameSetElement::cols
    {59, 1118, -58},	// DOM::HTMLFrameSetElement::operator=#
    {59, 1251, 863},	// DOM::HTMLFrameSetElement::rows
    {59, 1379, 862},	// DOM::HTMLFrameSetElement::setCols#
    {59, 1578, 864},	// DOM::HTMLFrameSetElement::setRows#
    {59, 1925, 865},	// DOM::HTMLFrameSetElement::~HTMLFrameSetElement
    {60, 214, 866},	// DOM::HTMLHRElement::HTMLHRElement
    {60, 215, -271},	// DOM::HTMLHRElement::HTMLHRElement#
    {60, 496, 871},	// DOM::HTMLHRElement::align
    {60, 1086, 873},	// DOM::HTMLHRElement::noShade
    {60, 1118, -274},	// DOM::HTMLHRElement::operator=#
    {60, 1304, 872},	// DOM::HTMLHRElement::setAlign#
    {60, 1544, 874},	// DOM::HTMLHRElement::setNoShade$
    {60, 1610, 876},	// DOM::HTMLHRElement::setSize#
    {60, 1688, 878},	// DOM::HTMLHRElement::setWidth#
    {60, 1709, 875},	// DOM::HTMLHRElement::size
    {60, 1842, 877},	// DOM::HTMLHRElement::width
    {60, 1926, 879},	// DOM::HTMLHRElement::~HTMLHRElement
    {61, 216, 880},	// DOM::HTMLHeadElement::HTMLHeadElement
    {61, 217, -283},	// DOM::HTMLHeadElement::HTMLHeadElement#
    {61, 1118, -286},	// DOM::HTMLHeadElement::operator=#
    {61, 1172, 885},	// DOM::HTMLHeadElement::profile
    {61, 1562, 886},	// DOM::HTMLHeadElement::setProfile#
    {61, 1927, 887},	// DOM::HTMLHeadElement::~HTMLHeadElement
    {62, 218, 888},	// DOM::HTMLHeadingElement::HTMLHeadingElement
    {62, 219, -19},	// DOM::HTMLHeadingElement::HTMLHeadingElement#
    {62, 496, 893},	// DOM::HTMLHeadingElement::align
    {62, 1118, -22},	// DOM::HTMLHeadingElement::operator=#
    {62, 1304, 894},	// DOM::HTMLHeadingElement::setAlign#
    {62, 1928, 895},	// DOM::HTMLHeadingElement::~HTMLHeadingElement
    {63, 220, 896},	// DOM::HTMLHtmlElement::HTMLHtmlElement
    {63, 221, -431},	// DOM::HTMLHtmlElement::HTMLHtmlElement#
    {63, 1118, -434},	// DOM::HTMLHtmlElement::operator=#
    {63, 1677, 902},	// DOM::HTMLHtmlElement::setVersion#
    {63, 1823, 901},	// DOM::HTMLHtmlElement::version
    {63, 1929, 903},	// DOM::HTMLHtmlElement::~HTMLHtmlElement
    {64, 222, 904},	// DOM::HTMLIFrameElement::HTMLIFrameElement
    {64, 223, -247},	// DOM::HTMLIFrameElement::HTMLIFrameElement#
    {64, 496, 909},	// DOM::HTMLIFrameElement::align
    {64, 609, 929},	// DOM::HTMLIFrameElement::contentDocument
    {64, 805, 911},	// DOM::HTMLIFrameElement::frameBorder
    {64, 880, 913},	// DOM::HTMLIFrameElement::height
    {64, 1043, 915},	// DOM::HTMLIFrameElement::longDesc
    {64, 1046, 917},	// DOM::HTMLIFrameElement::marginHeight
    {64, 1047, 919},	// DOM::HTMLIFrameElement::marginWidth
    {64, 1072, 921},	// DOM::HTMLIFrameElement::name
    {64, 1118, -250},	// DOM::HTMLIFrameElement::operator=#
    {64, 1268, 923},	// DOM::HTMLIFrameElement::scrolling
    {64, 1304, 910},	// DOM::HTMLIFrameElement::setAlign#
    {64, 1458, 912},	// DOM::HTMLIFrameElement::setFrameBorder#
    {64, 1462, 914},	// DOM::HTMLIFrameElement::setHeight#
    {64, 1511, 916},	// DOM::HTMLIFrameElement::setLongDesc#
    {64, 1516, 918},	// DOM::HTMLIFrameElement::setMarginHeight#
    {64, 1519, 920},	// DOM::HTMLIFrameElement::setMarginWidth#
    {64, 1534, 922},	// DOM::HTMLIFrameElement::setName#
    {64, 1587, 924},	// DOM::HTMLIFrameElement::setScrolling#
    {64, 1619, 926},	// DOM::HTMLIFrameElement::setSrc#
    {64, 1688, 928},	// DOM::HTMLIFrameElement::setWidth#
    {64, 1724, 925},	// DOM::HTMLIFrameElement::src
    {64, 1842, 927},	// DOM::HTMLIFrameElement::width
    {64, 1930, 930},	// DOM::HTMLIFrameElement::~HTMLIFrameElement
    {65, 224, 931},	// DOM::HTMLImageElement::HTMLImageElement
    {65, 225, -307},	// DOM::HTMLImageElement::HTMLImageElement#
    {65, 496, 938},	// DOM::HTMLImageElement::align
    {65, 499, 940},	// DOM::HTMLImageElement::alt
    {65, 537, 944},	// DOM::HTMLImageElement::border
    {65, 821, 942},	// DOM::HTMLImageElement::getBorder
    {65, 880, 946},	// DOM::HTMLImageElement::height
    {65, 890, 948},	// DOM::HTMLImageElement::hspace
    {65, 972, 950},	// DOM::HTMLImageElement::isMap
    {65, 1043, 952},	// DOM::HTMLImageElement::longDesc
    {65, 1072, 936},	// DOM::HTMLImageElement::name
    {65, 1118, -310},	// DOM::HTMLImageElement::operator=#
    {65, 1304, 939},	// DOM::HTMLImageElement::setAlign#
    {65, 1306, 941},	// DOM::HTMLImageElement::setAlt#
    {65, 1332, 943},	// DOM::HTMLImageElement::setBorder#
    {65, 1333, 945},	// DOM::HTMLImageElement::setBorder$
    {65, 1463, 947},	// DOM::HTMLImageElement::setHeight$
    {65, 1472, 949},	// DOM::HTMLImageElement::setHspace$
    {65, 1488, 951},	// DOM::HTMLImageElement::setIsMap$
    {65, 1511, 953},	// DOM::HTMLImageElement::setLongDesc#
    {65, 1534, 937},	// DOM::HTMLImageElement::setName#
    {65, 1619, 955},	// DOM::HTMLImageElement::setSrc#
    {65, 1663, 957},	// DOM::HTMLImageElement::setUseMap#
    {65, 1685, 959},	// DOM::HTMLImageElement::setVspace$
    {65, 1689, 961},	// DOM::HTMLImageElement::setWidth$
    {65, 1724, 954},	// DOM::HTMLImageElement::src
    {65, 1816, 956},	// DOM::HTMLImageElement::useMap
    {65, 1834, 958},	// DOM::HTMLImageElement::vspace
    {65, 1842, 960},	// DOM::HTMLImageElement::width
    {65, 1860, 962},	// DOM::HTMLImageElement::x
    {65, 1863, 963},	// DOM::HTMLImageElement::y
    {65, 1931, 964},	// DOM::HTMLImageElement::~HTMLImageElement
    {66, 226, 965},	// DOM::HTMLInputElement::HTMLInputElement
    {66, 227, -37},	// DOM::HTMLInputElement::HTMLInputElement#
    {66, 469, 975},	// DOM::HTMLInputElement::accept
    {66, 473, 977},	// DOM::HTMLInputElement::accessKey
    {66, 496, 979},	// DOM::HTMLInputElement::align
    {66, 499, 981},	// DOM::HTMLInputElement::alt
    {66, 535, 1009},	// DOM::HTMLInputElement::blur
    {66, 560, 983},	// DOM::HTMLInputElement::checked
    {66, 569, 1012},	// DOM::HTMLInputElement::click
    {66, 680, 972},	// DOM::HTMLInputElement::defaultChecked
    {66, 682, 970},	// DOM::HTMLInputElement::defaultValue
    {66, 706, 987},	// DOM::HTMLInputElement::disabled
    {66, 788, 1010},	// DOM::HTMLInputElement::focus
    {66, 799, 974},	// DOM::HTMLInputElement::form
    {66, 859, 997},	// DOM::HTMLInputElement::getSize
    {66, 904, 985},	// DOM::HTMLInputElement::indeterminate
    {66, 1049, 989},	// DOM::HTMLInputElement::maxLength
    {66, 1072, 991},	// DOM::HTMLInputElement::name
    {66, 1118, -40},	// DOM::HTMLInputElement::operator=#
    {66, 1196, 993},	// DOM::HTMLInputElement::readOnly
    {66, 1270, 1011},	// DOM::HTMLInputElement::select
    {66, 1284, 1015},	// DOM::HTMLInputElement::selectionEnd
    {66, 1285, 1013},	// DOM::HTMLInputElement::selectionStart
    {66, 1294, 976},	// DOM::HTMLInputElement::setAccept#
    {66, 1298, 978},	// DOM::HTMLInputElement::setAccessKey#
    {66, 1304, 980},	// DOM::HTMLInputElement::setAlign#
    {66, 1306, 982},	// DOM::HTMLInputElement::setAlt#
    {66, 1360, 984},	// DOM::HTMLInputElement::setChecked$
    {66, 1412, 973},	// DOM::HTMLInputElement::setDefaultChecked$
    {66, 1416, 971},	// DOM::HTMLInputElement::setDefaultValue#
    {66, 1424, 988},	// DOM::HTMLInputElement::setDisabled$
    {66, 1480, 986},	// DOM::HTMLInputElement::setIndeterminate$
    {66, 1522, 990},	// DOM::HTMLInputElement::setMaxLength$
    {66, 1534, 992},	// DOM::HTMLInputElement::setName#
    {66, 1568, 994},	// DOM::HTMLInputElement::setReadOnly$
    {66, 1600, 1016},	// DOM::HTMLInputElement::setSelectionEnd$
    {66, 1602, 1017},	// DOM::HTMLInputElement::setSelectionRange$$
    {66, 1604, 1014},	// DOM::HTMLInputElement::setSelectionStart$
    {66, 1610, 996},	// DOM::HTMLInputElement::setSize#
    {66, 1611, 998},	// DOM::HTMLInputElement::setSize$
    {66, 1619, 1000},	// DOM::HTMLInputElement::setSrc#
    {66, 1647, 1002},	// DOM::HTMLInputElement::setTabIndex$
    {66, 1659, 1004},	// DOM::HTMLInputElement::setType#
    {66, 1663, 1006},	// DOM::HTMLInputElement::setUseMap#
    {66, 1672, 1008},	// DOM::HTMLInputElement::setValue#
    {66, 1709, 995},	// DOM::HTMLInputElement::size
    {66, 1724, 999},	// DOM::HTMLInputElement::src
    {66, 1768, 1001},	// DOM::HTMLInputElement::tabIndex
    {66, 1800, 1003},	// DOM::HTMLInputElement::type
    {66, 1816, 1005},	// DOM::HTMLInputElement::useMap
    {66, 1821, 1007},	// DOM::HTMLInputElement::value
    {66, 1932, 1018},	// DOM::HTMLInputElement::~HTMLInputElement
    {67, 228, 1019},	// DOM::HTMLIsIndexElement::HTMLIsIndexElement
    {67, 229, -193},	// DOM::HTMLIsIndexElement::HTMLIsIndexElement#
    {67, 799, 1024},	// DOM::HTMLIsIndexElement::form
    {67, 1118, -196},	// DOM::HTMLIsIndexElement::operator=#
    {67, 1173, 1025},	// DOM::HTMLIsIndexElement::prompt
    {67, 1564, 1026},	// DOM::HTMLIsIndexElement::setPrompt#
    {67, 1933, 1027},	// DOM::HTMLIsIndexElement::~HTMLIsIndexElement
    {68, 230, 1028},	// DOM::HTMLLIElement::HTMLLIElement
    {68, 231, -479},	// DOM::HTMLLIElement::HTMLLIElement#
    {68, 1118, -482},	// DOM::HTMLLIElement::operator=#
    {68, 1659, 1034},	// DOM::HTMLLIElement::setType#
    {68, 1673, 1036},	// DOM::HTMLLIElement::setValue$
    {68, 1800, 1033},	// DOM::HTMLLIElement::type
    {68, 1821, 1035},	// DOM::HTMLLIElement::value
    {68, 1934, 1037},	// DOM::HTMLLIElement::~HTMLLIElement
    {69, 232, 1038},	// DOM::HTMLLabelElement::HTMLLabelElement
    {69, 233, -407},	// DOM::HTMLLabelElement::HTMLLabelElement#
    {69, 473, 1043},	// DOM::HTMLLabelElement::accessKey
    {69, 894, 1045},	// DOM::HTMLLabelElement::htmlFor
    {69, 1118, -410},	// DOM::HTMLLabelElement::operator=#
    {69, 1298, 1044},	// DOM::HTMLLabelElement::setAccessKey#
    {69, 1474, 1046},	// DOM::HTMLLabelElement::setHtmlFor#
    {69, 1935, 1047},	// DOM::HTMLLabelElement::~HTMLLabelElement
    {70, 234, 1048},	// DOM::HTMLLayerElement::HTMLLayerElement
    {70, 235, -91},	// DOM::HTMLLayerElement::HTMLLayerElement#
    {70, 533, 1059},	// DOM::HTMLLayerElement::bgColor
    {70, 1028, 1061},	// DOM::HTMLLayerElement::layers
    {70, 1031, 1055},	// DOM::HTMLLayerElement::left
    {70, 1118, -94},	// DOM::HTMLLayerElement::operator=#
    {70, 1328, 1060},	// DOM::HTMLLayerElement::setBgColor#
    {70, 1506, 1056},	// DOM::HTMLLayerElement::setLeft$
    {70, 1657, 1054},	// DOM::HTMLLayerElement::setTop$
    {70, 1681, 1058},	// DOM::HTMLLayerElement::setVisibility#
    {70, 1788, 1053},	// DOM::HTMLLayerElement::top
    {70, 1831, 1057},	// DOM::HTMLLayerElement::visibility
    {70, 1936, 1062},	// DOM::HTMLLayerElement::~HTMLLayerElement
    {71, 236, 1063},	// DOM::HTMLLegendElement::HTMLLegendElement
    {71, 237, -175},	// DOM::HTMLLegendElement::HTMLLegendElement#
    {71, 473, 1069},	// DOM::HTMLLegendElement::accessKey
    {71, 496, 1071},	// DOM::HTMLLegendElement::align
    {71, 799, 1068},	// DOM::HTMLLegendElement::form
    {71, 1118, -178},	// DOM::HTMLLegendElement::operator=#
    {71, 1298, 1070},	// DOM::HTMLLegendElement::setAccessKey#
    {71, 1304, 1072},	// DOM::HTMLLegendElement::setAlign#
    {71, 1937, 1073},	// DOM::HTMLLegendElement::~HTMLLegendElement
    {72, 238, 1074},	// DOM::HTMLLinkElement::HTMLLinkElement
    {72, 239, -301},	// DOM::HTMLLinkElement::HTMLLinkElement#
    {72, 559, 1081},	// DOM::HTMLLinkElement::charset
    {72, 706, 1079},	// DOM::HTMLLinkElement::disabled
    {72, 888, 1083},	// DOM::HTMLLinkElement::href
    {72, 889, 1085},	// DOM::HTMLLinkElement::hreflang
    {72, 1052, 1087},	// DOM::HTMLLinkElement::media
    {72, 1118, -304},	// DOM::HTMLLinkElement::operator=#
    {72, 1201, 1089},	// DOM::HTMLLinkElement::rel
    {72, 1243, 1091},	// DOM::HTMLLinkElement::rev
    {72, 1358, 1082},	// DOM::HTMLLinkElement::setCharset#
    {72, 1424, 1080},	// DOM::HTMLLinkElement::setDisabled$
    {72, 1467, 1084},	// DOM::HTMLLinkElement::setHref#
    {72, 1469, 1086},	// DOM::HTMLLinkElement::setHreflang#
    {72, 1524, 1088},	// DOM::HTMLLinkElement::setMedia#
    {72, 1570, 1090},	// DOM::HTMLLinkElement::setRel#
    {72, 1572, 1092},	// DOM::HTMLLinkElement::setRev#
    {72, 1649, 1094},	// DOM::HTMLLinkElement::setTarget#
    {72, 1659, 1096},	// DOM::HTMLLinkElement::setType#
    {72, 1701, 1097},	// DOM::HTMLLinkElement::sheet
    {72, 1771, 1093},	// DOM::HTMLLinkElement::target
    {72, 1800, 1095},	// DOM::HTMLLinkElement::type
    {72, 1938, 1098},	// DOM::HTMLLinkElement::~HTMLLinkElement
    {73, 240, 1099},	// DOM::HTMLMapElement::HTMLMapElement
    {73, 241, -316},	// DOM::HTMLMapElement::HTMLMapElement#
    {73, 511, 1104},	// DOM::HTMLMapElement::areas
    {73, 1072, 1105},	// DOM::HTMLMapElement::name
    {73, 1118, -319},	// DOM::HTMLMapElement::operator=#
    {73, 1534, 1106},	// DOM::HTMLMapElement::setName#
    {73, 1939, 1107},	// DOM::HTMLMapElement::~HTMLMapElement
    {74, 242, 1108},	// DOM::HTMLMenuElement::HTMLMenuElement
    {74, 243, -115},	// DOM::HTMLMenuElement::HTMLMenuElement#
    {74, 597, 1113},	// DOM::HTMLMenuElement::compact
    {74, 1118, -118},	// DOM::HTMLMenuElement::operator=#
    {74, 1382, 1114},	// DOM::HTMLMenuElement::setCompact$
    {74, 1940, 1115},	// DOM::HTMLMenuElement::~HTMLMenuElement
    {75, 244, 1116},	// DOM::HTMLMetaElement::HTMLMetaElement
    {75, 245, -350},	// DOM::HTMLMetaElement::HTMLMetaElement#
    {75, 608, 1121},	// DOM::HTMLMetaElement::content
    {75, 895, 1123},	// DOM::HTMLMetaElement::httpEquiv
    {75, 1072, 1125},	// DOM::HTMLMetaElement::name
    {75, 1118, -353},	// DOM::HTMLMetaElement::operator=#
    {75, 1259, 1127},	// DOM::HTMLMetaElement::scheme
    {75, 1385, 1122},	// DOM::HTMLMetaElement::setContent#
    {75, 1476, 1124},	// DOM::HTMLMetaElement::setHttpEquiv#
    {75, 1534, 1126},	// DOM::HTMLMetaElement::setName#
    {75, 1583, 1128},	// DOM::HTMLMetaElement::setScheme#
    {75, 1941, 1129},	// DOM::HTMLMetaElement::~HTMLMetaElement
    {76, 246, 1130},	// DOM::HTMLModElement::HTMLModElement
    {76, 247, -392},	// DOM::HTMLModElement::HTMLModElement#
    {76, 565, 1135},	// DOM::HTMLModElement::cite
    {76, 678, 1137},	// DOM::HTMLModElement::dateTime
    {76, 1118, -395},	// DOM::HTMLModElement::operator=#
    {76, 1362, 1136},	// DOM::HTMLModElement::setCite#
    {76, 1408, 1138},	// DOM::HTMLModElement::setDateTime#
    {76, 1942, 1139},	// DOM::HTMLModElement::~HTMLModElement
    {77, 248, 1140},	// DOM::HTMLOListElement::HTMLOListElement
    {77, 249, -533},	// DOM::HTMLOListElement::HTMLOListElement#
    {77, 597, 1145},	// DOM::HTMLOListElement::compact
    {77, 1118, -536},	// DOM::HTMLOListElement::operator=#
    {77, 1382, 1146},	// DOM::HTMLOListElement::setCompact$
    {77, 1626, 1148},	// DOM::HTMLOListElement::setStart$
    {77, 1659, 1150},	// DOM::HTMLOListElement::setType#
    {77, 1726, 1147},	// DOM::HTMLOListElement::start
    {77, 1800, 1149},	// DOM::HTMLOListElement::type
    {77, 1943, 1151},	// DOM::HTMLOListElement::~HTMLOListElement
    {78, 250, 1152},	// DOM::HTMLObjectElement::HTMLObjectElement
    {78, 251, -515},	// DOM::HTMLObjectElement::HTMLObjectElement#
    {78, 496, 1160},	// DOM::HTMLObjectElement::align
    {78, 510, 1162},	// DOM::HTMLObjectElement::archive
    {78, 537, 1164},	// DOM::HTMLObjectElement::border
    {78, 585, 1158},	// DOM::HTMLObjectElement::code
    {78, 588, 1166},	// DOM::HTMLObjectElement::codeBase
    {78, 589, 1168},	// DOM::HTMLObjectElement::codeType
    {78, 609, 1196},	// DOM::HTMLObjectElement::contentDocument
    {78, 677, 1170},	// DOM::HTMLObjectElement::data
    {78, 679, 1172},	// DOM::HTMLObjectElement::declare
    {78, 799, 1157},	// DOM::HTMLObjectElement::form
    {78, 839, 1176},	// DOM::HTMLObjectElement::getHspace
    {78, 861, 1190},	// DOM::HTMLObjectElement::getVspace
    {78, 880, 1174},	// DOM::HTMLObjectElement::height
    {78, 890, 1178},	// DOM::HTMLObjectElement::hspace
    {78, 1072, 1180},	// DOM::HTMLObjectElement::name
    {78, 1118, -518},	// DOM::HTMLObjectElement::operator=#
    {78, 1304, 1161},	// DOM::HTMLObjectElement::setAlign#
    {78, 1310, 1163},	// DOM::HTMLObjectElement::setArchive#
    {78, 1332, 1165},	// DOM::HTMLObjectElement::setBorder#
    {78, 1368, 1159},	// DOM::HTMLObjectElement::setCode#
    {78, 1371, 1167},	// DOM::HTMLObjectElement::setCodeBase#
    {78, 1373, 1169},	// DOM::HTMLObjectElement::setCodeType#
    {78, 1406, 1171},	// DOM::HTMLObjectElement::setData#
    {78, 1410, 1173},	// DOM::HTMLObjectElement::setDeclare$
    {78, 1462, 1175},	// DOM::HTMLObjectElement::setHeight#
    {78, 1471, 1179},	// DOM::HTMLObjectElement::setHspace#
    {78, 1472, 1177},	// DOM::HTMLObjectElement::setHspace$
    {78, 1534, 1181},	// DOM::HTMLObjectElement::setName#
    {78, 1623, 1183},	// DOM::HTMLObjectElement::setStandby#
    {78, 1647, 1185},	// DOM::HTMLObjectElement::setTabIndex$
    {78, 1659, 1187},	// DOM::HTMLObjectElement::setType#
    {78, 1663, 1189},	// DOM::HTMLObjectElement::setUseMap#
    {78, 1684, 1193},	// DOM::HTMLObjectElement::setVspace#
    {78, 1685, 1191},	// DOM::HTMLObjectElement::setVspace$
    {78, 1688, 1195},	// DOM::HTMLObjectElement::setWidth#
    {78, 1725, 1182},	// DOM::HTMLObjectElement::standby
    {78, 1768, 1184},	// DOM::HTMLObjectElement::tabIndex
    {78, 1800, 1186},	// DOM::HTMLObjectElement::type
    {78, 1816, 1188},	// DOM::HTMLObjectElement::useMap
    {78, 1834, 1192},	// DOM::HTMLObjectElement::vspace
    {78, 1842, 1194},	// DOM::HTMLObjectElement::width
    {78, 1944, 1197},	// DOM::HTMLObjectElement::~HTMLObjectElement
    {79, 252, 1198},	// DOM::HTMLOptGroupElement::HTMLOptGroupElement
    {79, 253, -419},	// DOM::HTMLOptGroupElement::HTMLOptGroupElement#
    {79, 706, 1203},	// DOM::HTMLOptGroupElement::disabled
    {79, 1020, 1205},	// DOM::HTMLOptGroupElement::label
    {79, 1118, -422},	// DOM::HTMLOptGroupElement::operator=#
    {79, 1424, 1204},	// DOM::HTMLOptGroupElement::setDisabled$
    {79, 1502, 1206},	// DOM::HTMLOptGroupElement::setLabel#
    {79, 1945, 1207},	// DOM::HTMLOptGroupElement::~HTMLOptGroupElement
    {80, 254, 1208},	// DOM::HTMLOptionElement::HTMLOptionElement
    {80, 255, -328},	// DOM::HTMLOptionElement::HTMLOptionElement#
    {80, 681, 1214},	// DOM::HTMLOptionElement::defaultSelected
    {80, 706, 1219},	// DOM::HTMLOptionElement::disabled
    {80, 799, 1213},	// DOM::HTMLOptionElement::form
    {80, 905, 1217},	// DOM::HTMLOptionElement::index
    {80, 1020, 1221},	// DOM::HTMLOptionElement::label
    {80, 1118, -331},	// DOM::HTMLOptionElement::operator=#
    {80, 1276, 1223},	// DOM::HTMLOptionElement::selected
    {80, 1414, 1215},	// DOM::HTMLOptionElement::setDefaultSelected$
    {80, 1424, 1220},	// DOM::HTMLOptionElement::setDisabled$
    {80, 1482, 1218},	// DOM::HTMLOptionElement::setIndex$
    {80, 1502, 1222},	// DOM::HTMLOptionElement::setLabel#
    {80, 1592, 1224},	// DOM::HTMLOptionElement::setSelected$
    {80, 1672, 1226},	// DOM::HTMLOptionElement::setValue#
    {80, 1774, 1216},	// DOM::HTMLOptionElement::text
    {80, 1821, 1225},	// DOM::HTMLOptionElement::value
    {80, 1946, 1227},	// DOM::HTMLOptionElement::~HTMLOptionElement
    {81, 256, 1228},	// DOM::HTMLParagraphElement::HTMLParagraphElement
    {81, 257, -289},	// DOM::HTMLParagraphElement::HTMLParagraphElement#
    {81, 496, 1233},	// DOM::HTMLParagraphElement::align
    {81, 1118, -292},	// DOM::HTMLParagraphElement::operator=#
    {81, 1304, 1234},	// DOM::HTMLParagraphElement::setAlign#
    {81, 1947, 1235},	// DOM::HTMLParagraphElement::~HTMLParagraphElement
    {82, 258, 1236},	// DOM::HTMLParamElement::HTMLParamElement
    {82, 259, -217},	// DOM::HTMLParamElement::HTMLParamElement#
    {82, 1072, 1241},	// DOM::HTMLParamElement::name
    {82, 1118, -220},	// DOM::HTMLParamElement::operator=#
    {82, 1534, 1242},	// DOM::HTMLParamElement::setName#
    {82, 1659, 1244},	// DOM::HTMLParamElement::setType#
    {82, 1672, 1246},	// DOM::HTMLParamElement::setValue#
    {82, 1675, 1248},	// DOM::HTMLParamElement::setValueType#
    {82, 1800, 1243},	// DOM::HTMLParamElement::type
    {82, 1821, 1245},	// DOM::HTMLParamElement::value
    {82, 1822, 1247},	// DOM::HTMLParamElement::valueType
    {82, 1948, 1249},	// DOM::HTMLParamElement::~HTMLParamElement
    {83, 260, 1250},	// DOM::HTMLPreElement::HTMLPreElement
    {83, 261, -362},	// DOM::HTMLPreElement::HTMLPreElement#
    {83, 1118, -365},	// DOM::HTMLPreElement::operator=#
    {83, 1689, 1256},	// DOM::HTMLPreElement::setWidth$
    {83, 1842, 1255},	// DOM::HTMLPreElement::width
    {83, 1949, 1257},	// DOM::HTMLPreElement::~HTMLPreElement
    {84, 262, 1258},	// DOM::HTMLQuoteElement::HTMLQuoteElement
    {84, 263, -103},	// DOM::HTMLQuoteElement::HTMLQuoteElement#
    {84, 565, 1263},	// DOM::HTMLQuoteElement::cite
    {84, 1118, -106},	// DOM::HTMLQuoteElement::operator=#
    {84, 1362, 1264},	// DOM::HTMLQuoteElement::setCite#
    {84, 1950, 1265},	// DOM::HTMLQuoteElement::~HTMLQuoteElement
    {85, 264, 1266},	// DOM::HTMLScriptElement::HTMLScriptElement
    {85, 265, -455},	// DOM::HTMLScriptElement::HTMLScriptElement#
    {85, 559, 1277},	// DOM::HTMLScriptElement::charset
    {85, 684, 1279},	// DOM::HTMLScriptElement::defer
    {85, 746, 1275},	// DOM::HTMLScriptElement::event
    {85, 894, 1273},	// DOM::HTMLScriptElement::htmlFor
    {85, 1118, -458},	// DOM::HTMLScriptElement::operator=#
    {85, 1358, 1278},	// DOM::HTMLScriptElement::setCharset#
    {85, 1418, 1280},	// DOM::HTMLScriptElement::setDefer$
    {85, 1440, 1276},	// DOM::HTMLScriptElement::setEvent#
    {85, 1474, 1274},	// DOM::HTMLScriptElement::setHtmlFor#
    {85, 1619, 1282},	// DOM::HTMLScriptElement::setSrc#
    {85, 1651, 1272},	// DOM::HTMLScriptElement::setText#
    {85, 1659, 1284},	// DOM::HTMLScriptElement::setType#
    {85, 1724, 1281},	// DOM::HTMLScriptElement::src
    {85, 1774, 1271},	// DOM::HTMLScriptElement::text
    {85, 1800, 1283},	// DOM::HTMLScriptElement::type
    {85, 1951, 1285},	// DOM::HTMLScriptElement::~HTMLScriptElement
    {86, 266, 1286},	// DOM::HTMLSelectElement::HTMLSelectElement
    {86, 267, -503},	// DOM::HTMLSelectElement::HTMLSelectElement#
    {86, 483, 1309},	// DOM::HTMLSelectElement::add##
    {86, 535, 1311},	// DOM::HTMLSelectElement::blur
    {86, 706, 1299},	// DOM::HTMLSelectElement::disabled
    {86, 788, 1312},	// DOM::HTMLSelectElement::focus
    {86, 799, 1297},	// DOM::HTMLSelectElement::form
    {86, 1032, 1296},	// DOM::HTMLSelectElement::length
    {86, 1071, 1301},	// DOM::HTMLSelectElement::multiple
    {86, 1072, 1303},	// DOM::HTMLSelectElement::name
    {86, 1118, -506},	// DOM::HTMLSelectElement::operator=#
    {86, 1125, 1298},	// DOM::HTMLSelectElement::options
    {86, 1205, 1310},	// DOM::HTMLSelectElement::remove$
    {86, 1277, 1292},	// DOM::HTMLSelectElement::selectedIndex
    {86, 1424, 1300},	// DOM::HTMLSelectElement::setDisabled$
    {86, 1532, 1302},	// DOM::HTMLSelectElement::setMultiple$
    {86, 1534, 1304},	// DOM::HTMLSelectElement::setName#
    {86, 1594, 1293},	// DOM::HTMLSelectElement::setSelectedIndex$
    {86, 1611, 1306},	// DOM::HTMLSelectElement::setSize$
    {86, 1647, 1308},	// DOM::HTMLSelectElement::setTabIndex$
    {86, 1672, 1295},	// DOM::HTMLSelectElement::setValue#
    {86, 1709, 1305},	// DOM::HTMLSelectElement::size
    {86, 1768, 1307},	// DOM::HTMLSelectElement::tabIndex
    {86, 1800, 1291},	// DOM::HTMLSelectElement::type
    {86, 1821, 1294},	// DOM::HTMLSelectElement::value
    {86, 1952, 1313},	// DOM::HTMLSelectElement::~HTMLSelectElement
    {87, 268, 1314},	// DOM::HTMLStyleElement::HTMLStyleElement
    {87, 269, -467},	// DOM::HTMLStyleElement::HTMLStyleElement#
    {87, 706, 1319},	// DOM::HTMLStyleElement::disabled
    {87, 1052, 1321},	// DOM::HTMLStyleElement::media
    {87, 1118, -470},	// DOM::HTMLStyleElement::operator=#
    {87, 1424, 1320},	// DOM::HTMLStyleElement::setDisabled$
    {87, 1524, 1322},	// DOM::HTMLStyleElement::setMedia#
    {87, 1659, 1324},	// DOM::HTMLStyleElement::setType#
    {87, 1701, 1325},	// DOM::HTMLStyleElement::sheet
    {87, 1800, 1323},	// DOM::HTMLStyleElement::type
    {87, 1953, 1326},	// DOM::HTMLStyleElement::~HTMLStyleElement
    {88, 270, 1327},	// DOM::HTMLTableCaptionElement::HTMLTableCaptionElement
    {88, 271, -334},	// DOM::HTMLTableCaptionElement::HTMLTableCaptionElement#
    {88, 496, 1332},	// DOM::HTMLTableCaptionElement::align
    {88, 1118, -337},	// DOM::HTMLTableCaptionElement::operator=#
    {88, 1304, 1333},	// DOM::HTMLTableCaptionElement::setAlign#
    {88, 1954, 1334},	// DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement
    {89, 272, 1335},	// DOM::HTMLTableCellElement::HTMLTableCellElement
    {89, 273, -241},	// DOM::HTMLTableCellElement::HTMLTableCellElement#
    {89, 465, 1342},	// DOM::HTMLTableCellElement::abbr
    {89, 496, 1344},	// DOM::HTMLTableCellElement::align
    {89, 522, 1346},	// DOM::HTMLTableCellElement::axis
    {89, 533, 1348},	// DOM::HTMLTableCellElement::bgColor
    {89, 549, 1340},	// DOM::HTMLTableCellElement::cellIndex
    {89, 553, 1350},	// DOM::HTMLTableCellElement::ch
    {89, 554, 1352},	// DOM::HTMLTableCellElement::chOff
    {89, 590, 1354},	// DOM::HTMLTableCellElement::colSpan
    {89, 879, 1356},	// DOM::HTMLTableCellElement::headers
    {89, 880, 1358},	// DOM::HTMLTableCellElement::height
    {89, 1087, 1360},	// DOM::HTMLTableCellElement::noWrap
    {89, 1118, -244},	// DOM::HTMLTableCellElement::operator=#
    {89, 1250, 1362},	// DOM::HTMLTableCellElement::rowSpan
    {89, 1260, 1364},	// DOM::HTMLTableCellElement::scope
    {89, 1292, 1343},	// DOM::HTMLTableCellElement::setAbbr#
    {89, 1304, 1345},	// DOM::HTMLTableCellElement::setAlign#
    {89, 1324, 1347},	// DOM::HTMLTableCellElement::setAxis#
    {89, 1328, 1349},	// DOM::HTMLTableCellElement::setBgColor#
    {89, 1346, 1341},	// DOM::HTMLTableCellElement::setCellIndex$
    {89, 1354, 1351},	// DOM::HTMLTableCellElement::setCh#
    {89, 1356, 1353},	// DOM::HTMLTableCellElement::setChOff#
    {89, 1375, 1355},	// DOM::HTMLTableCellElement::setColSpan$
    {89, 1460, 1357},	// DOM::HTMLTableCellElement::setHeaders#
    {89, 1462, 1359},	// DOM::HTMLTableCellElement::setHeight#
    {89, 1546, 1361},	// DOM::HTMLTableCellElement::setNoWrap$
    {89, 1576, 1363},	// DOM::HTMLTableCellElement::setRowSpan$
    {89, 1585, 1365},	// DOM::HTMLTableCellElement::setScope#
    {89, 1668, 1367},	// DOM::HTMLTableCellElement::setVAlign#
    {89, 1688, 1369},	// DOM::HTMLTableCellElement::setWidth#
    {89, 1818, 1366},	// DOM::HTMLTableCellElement::vAlign
    {89, 1842, 1368},	// DOM::HTMLTableCellElement::width
    {89, 1955, 1370},	// DOM::HTMLTableCellElement::~HTMLTableCellElement
    {90, 274, 1371},	// DOM::HTMLTableColElement::HTMLTableColElement
    {90, 275, -380},	// DOM::HTMLTableColElement::HTMLTableColElement#
    {90, 496, 1376},	// DOM::HTMLTableColElement::align
    {90, 553, 1378},	// DOM::HTMLTableColElement::ch
    {90, 554, 1380},	// DOM::HTMLTableColElement::chOff
    {90, 1118, -383},	// DOM::HTMLTableColElement::operator=#
    {90, 1304, 1377},	// DOM::HTMLTableColElement::setAlign#
    {90, 1354, 1379},	// DOM::HTMLTableColElement::setCh#
    {90, 1356, 1381},	// DOM::HTMLTableColElement::setChOff#
    {90, 1617, 1383},	// DOM::HTMLTableColElement::setSpan$
    {90, 1668, 1385},	// DOM::HTMLTableColElement::setVAlign#
    {90, 1688, 1387},	// DOM::HTMLTableColElement::setWidth#
    {90, 1716, 1382},	// DOM::HTMLTableColElement::span
    {90, 1818, 1384},	// DOM::HTMLTableColElement::vAlign
    {90, 1842, 1386},	// DOM::HTMLTableColElement::width
    {90, 1956, 1388},	// DOM::HTMLTableColElement::~HTMLTableColElement
    {91, 276, 1389},	// DOM::HTMLTableElement::HTMLTableElement
    {91, 277, -97},	// DOM::HTMLTableElement::HTMLTableElement#
    {91, 496, 1402},	// DOM::HTMLTableElement::align
    {91, 533, 1404},	// DOM::HTMLTableElement::bgColor
    {91, 537, 1406},	// DOM::HTMLTableElement::border
    {91, 545, 1394},	// DOM::HTMLTableElement::caption
    {91, 550, 1408},	// DOM::HTMLTableElement::cellPadding
    {91, 551, 1410},	// DOM::HTMLTableElement::cellSpacing
    {91, 630, 1424},	// DOM::HTMLTableElement::createCaption
    {91, 659, 1422},	// DOM::HTMLTableElement::createTFoot
    {91, 660, 1420},	// DOM::HTMLTableElement::createTHead
    {91, 685, 1425},	// DOM::HTMLTableElement::deleteCaption
    {91, 695, 1427},	// DOM::HTMLTableElement::deleteRow$
    {91, 698, 1423},	// DOM::HTMLTableElement::deleteTFoot
    {91, 699, 1421},	// DOM::HTMLTableElement::deleteTHead
    {91, 804, 1412},	// DOM::HTMLTableElement::frame
    {91, 937, 1426},	// DOM::HTMLTableElement::insertRow$
    {91, 1118, -100},	// DOM::HTMLTableElement::operator=#
    {91, 1251, 1400},	// DOM::HTMLTableElement::rows
    {91, 1252, 1414},	// DOM::HTMLTableElement::rules
    {91, 1304, 1403},	// DOM::HTMLTableElement::setAlign#
    {91, 1328, 1405},	// DOM::HTMLTableElement::setBgColor#
    {91, 1332, 1407},	// DOM::HTMLTableElement::setBorder#
    {91, 1335, 1395},	// DOM::HTMLTableElement::setCaption#
    {91, 1348, 1409},	// DOM::HTMLTableElement::setCellPadding#
    {91, 1350, 1411},	// DOM::HTMLTableElement::setCellSpacing#
    {91, 1456, 1413},	// DOM::HTMLTableElement::setFrame#
    {91, 1581, 1415},	// DOM::HTMLTableElement::setRules#
    {91, 1638, 1417},	// DOM::HTMLTableElement::setSummary#
    {91, 1643, 1399},	// DOM::HTMLTableElement::setTFoot#
    {91, 1645, 1397},	// DOM::HTMLTableElement::setTHead#
    {91, 1688, 1419},	// DOM::HTMLTableElement::setWidth#
    {91, 1761, 1416},	// DOM::HTMLTableElement::summary
    {91, 1765, 1401},	// DOM::HTMLTableElement::tBodies
    {91, 1766, 1398},	// DOM::HTMLTableElement::tFoot
    {91, 1767, 1396},	// DOM::HTMLTableElement::tHead
    {91, 1842, 1418},	// DOM::HTMLTableElement::width
    {91, 1957, 1428},	// DOM::HTMLTableElement::~HTMLTableElement
    {92, 278, 1429},	// DOM::HTMLTableRowElement::HTMLTableRowElement
    {92, 279, -181},	// DOM::HTMLTableRowElement::HTMLTableRowElement#
    {92, 496, 1440},	// DOM::HTMLTableRowElement::align
    {92, 533, 1442},	// DOM::HTMLTableRowElement::bgColor
    {92, 552, 1438},	// DOM::HTMLTableRowElement::cells
    {92, 553, 1444},	// DOM::HTMLTableRowElement::ch
    {92, 554, 1446},	// DOM::HTMLTableRowElement::chOff
    {92, 687, 1451},	// DOM::HTMLTableRowElement::deleteCell$
    {92, 931, 1450},	// DOM::HTMLTableRowElement::insertCell$
    {92, 1118, -184},	// DOM::HTMLTableRowElement::operator=#
    {92, 1249, 1434},	// DOM::HTMLTableRowElement::rowIndex
    {92, 1269, 1436},	// DOM::HTMLTableRowElement::sectionRowIndex
    {92, 1304, 1441},	// DOM::HTMLTableRowElement::setAlign#
    {92, 1328, 1443},	// DOM::HTMLTableRowElement::setBgColor#
    {92, 1352, 1439},	// DOM::HTMLTableRowElement::setCells#
    {92, 1354, 1445},	// DOM::HTMLTableRowElement::setCh#
    {92, 1356, 1447},	// DOM::HTMLTableRowElement::setChOff#
    {92, 1574, 1435},	// DOM::HTMLTableRowElement::setRowIndex$
    {92, 1589, 1437},	// DOM::HTMLTableRowElement::setSectionRowIndex$
    {92, 1668, 1449},	// DOM::HTMLTableRowElement::setVAlign#
    {92, 1818, 1448},	// DOM::HTMLTableRowElement::vAlign
    {92, 1958, 1452},	// DOM::HTMLTableRowElement::~HTMLTableRowElement
    {93, 280, 1453},	// DOM::HTMLTableSectionElement::HTMLTableSectionElement
    {93, 281, -277},	// DOM::HTMLTableSectionElement::HTMLTableSectionElement#
    {93, 496, 1458},	// DOM::HTMLTableSectionElement::align
    {93, 553, 1460},	// DOM::HTMLTableSectionElement::ch
    {93, 554, 1462},	// DOM::HTMLTableSectionElement::chOff
    {93, 695, 1468},	// DOM::HTMLTableSectionElement::deleteRow$
    {93, 937, 1467},	// DOM::HTMLTableSectionElement::insertRow$
    {93, 1118, -280},	// DOM::HTMLTableSectionElement::operator=#
    {93, 1251, 1466},	// DOM::HTMLTableSectionElement::rows
    {93, 1304, 1459},	// DOM::HTMLTableSectionElement::setAlign#
    {93, 1354, 1461},	// DOM::HTMLTableSectionElement::setCh#
    {93, 1356, 1463},	// DOM::HTMLTableSectionElement::setChOff#
    {93, 1668, 1465},	// DOM::HTMLTableSectionElement::setVAlign#
    {93, 1818, 1464},	// DOM::HTMLTableSectionElement::vAlign
    {93, 1959, 1469},	// DOM::HTMLTableSectionElement::~HTMLTableSectionElement
    {94, 282, 1470},	// DOM::HTMLTextAreaElement::HTMLTextAreaElement
    {94, 283, -85},	// DOM::HTMLTextAreaElement::HTMLTextAreaElement#
    {94, 473, 1478},	// DOM::HTMLTextAreaElement::accessKey
    {94, 535, 1495},	// DOM::HTMLTextAreaElement::blur
    {94, 595, 1480},	// DOM::HTMLTextAreaElement::cols
    {94, 682, 1475},	// DOM::HTMLTextAreaElement::defaultValue
    {94, 706, 1482},	// DOM::HTMLTextAreaElement::disabled
    {94, 788, 1496},	// DOM::HTMLTextAreaElement::focus
    {94, 799, 1477},	// DOM::HTMLTextAreaElement::form
    {94, 1072, 1484},	// DOM::HTMLTextAreaElement::name
    {94, 1118, -88},	// DOM::HTMLTextAreaElement::operator=#
    {94, 1196, 1486},	// DOM::HTMLTextAreaElement::readOnly
    {94, 1251, 1488},	// DOM::HTMLTextAreaElement::rows
    {94, 1270, 1497},	// DOM::HTMLTextAreaElement::select
    {94, 1284, 1500},	// DOM::HTMLTextAreaElement::selectionEnd
    {94, 1285, 1498},	// DOM::HTMLTextAreaElement::selectionStart
    {94, 1298, 1479},	// DOM::HTMLTextAreaElement::setAccessKey#
    {94, 1380, 1481},	// DOM::HTMLTextAreaElement::setCols$
    {94, 1416, 1476},	// DOM::HTMLTextAreaElement::setDefaultValue#
    {94, 1424, 1483},	// DOM::HTMLTextAreaElement::setDisabled$
    {94, 1534, 1485},	// DOM::HTMLTextAreaElement::setName#
    {94, 1568, 1487},	// DOM::HTMLTextAreaElement::setReadOnly$
    {94, 1579, 1489},	// DOM::HTMLTextAreaElement::setRows$
    {94, 1600, 1501},	// DOM::HTMLTextAreaElement::setSelectionEnd$
    {94, 1602, 1502},	// DOM::HTMLTextAreaElement::setSelectionRange$$
    {94, 1604, 1499},	// DOM::HTMLTextAreaElement::setSelectionStart$
    {94, 1647, 1491},	// DOM::HTMLTextAreaElement::setTabIndex$
    {94, 1672, 1494},	// DOM::HTMLTextAreaElement::setValue#
    {94, 1768, 1490},	// DOM::HTMLTextAreaElement::tabIndex
    {94, 1777, 1503},	// DOM::HTMLTextAreaElement::textLength
    {94, 1800, 1492},	// DOM::HTMLTextAreaElement::type
    {94, 1821, 1493},	// DOM::HTMLTextAreaElement::value
    {94, 1960, 1504},	// DOM::HTMLTextAreaElement::~HTMLTextAreaElement
    {95, 284, 1505},	// DOM::HTMLTitleElement::HTMLTitleElement
    {95, 285, -43},	// DOM::HTMLTitleElement::HTMLTitleElement#
    {95, 1118, -46},	// DOM::HTMLTitleElement::operator=#
    {95, 1651, 1511},	// DOM::HTMLTitleElement::setText#
    {95, 1774, 1510},	// DOM::HTMLTitleElement::text
    {95, 1961, 1512},	// DOM::HTMLTitleElement::~HTMLTitleElement
    {96, 286, 1513},	// DOM::HTMLUListElement::HTMLUListElement
    {96, 287, -485},	// DOM::HTMLUListElement::HTMLUListElement#
    {96, 597, 1518},	// DOM::HTMLUListElement::compact
    {96, 1118, -488},	// DOM::HTMLUListElement::operator=#
    {96, 1382, 1519},	// DOM::HTMLUListElement::setCompact$
    {96, 1659, 1521},	// DOM::HTMLUListElement::setType#
    {96, 1800, 1520},	// DOM::HTMLUListElement::type
    {96, 1962, 1522},	// DOM::HTMLUListElement::~HTMLUListElement
    {97, 122, 1537},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT
    {97, 123, 1539},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD
    {97, 124, 1538},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT
    {97, 125, 1536},	// DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD
    {97, 329, 1523},	// DOM::KeyboardEvent::KeyboardEvent
    {97, 330, -509},	// DOM::KeyboardEvent::KeyboardEvent#
    {97, 500, 1532},	// DOM::KeyboardEvent::altKey
    {97, 668, 1530},	// DOM::KeyboardEvent::ctrlKey
    {97, 843, 1534},	// DOM::KeyboardEvent::getModifierState#
    {97, 912, 1535},	// DOM::KeyboardEvent::initKeyboardEvent#$$##$#
    {97, 994, 1528},	// DOM::KeyboardEvent::keyIdentifier
    {97, 995, 1529},	// DOM::KeyboardEvent::keyLocation
    {97, 1055, 1533},	// DOM::KeyboardEvent::metaKey
    {97, 1118, -512},	// DOM::KeyboardEvent::operator=#
    {97, 1702, 1531},	// DOM::KeyboardEvent::shiftKey
    {97, 1966, 1540},	// DOM::KeyboardEvent::~KeyboardEvent
    {98, 331, 1541},	// DOM::LinkStyle::LinkStyle
    {98, 332, 1542},	// DOM::LinkStyle::LinkStyle#
    {98, 974, 1546},	// DOM::LinkStyle::isNull
    {98, 1118, -340},	// DOM::LinkStyle::operator=#
    {98, 1701, 1545},	// DOM::LinkStyle::sheet
    {98, 1967, 1547},	// DOM::LinkStyle::~LinkStyle
    {99, 337, 1548},	// DOM::MediaList::MediaList
    {99, 338, 1549},	// DOM::MediaList::MediaList#
    {99, 507, 1556},	// DOM::MediaList::appendMedium#
    {99, 693, 1555},	// DOM::MediaList::deleteMedium#
    {99, 974, 1557},	// DOM::MediaList::isNull
    {99, 985, 1554},	// DOM::MediaList::item$
    {99, 1032, 1553},	// DOM::MediaList::length
    {99, 1053, 1551},	// DOM::MediaList::mediaText
    {99, 1118, 1550},	// DOM::MediaList::operator=#
    {99, 1526, 1552},	// DOM::MediaList::setMediaText#
    {99, 1968, 1558},	// DOM::MediaList::~MediaList
    {100, 344, 1559},	// DOM::MouseEvent::MouseEvent
    {100, 345, -25},	// DOM::MouseEvent::MouseEvent#
    {100, 500, 1570},	// DOM::MouseEvent::altKey
    {100, 543, 1572},	// DOM::MouseEvent::button
    {100, 571, 1566},	// DOM::MouseEvent::clientX
    {100, 572, 1567},	// DOM::MouseEvent::clientY
    {100, 668, 1568},	// DOM::MouseEvent::ctrlKey
    {100, 914, 1574},	// DOM::MouseEvent::initMouseEvent#$$#$$$$$$$$$$#
    {100, 1055, 1571},	// DOM::MouseEvent::metaKey
    {100, 1118, -28},	// DOM::MouseEvent::operator=#
    {100, 1203, 1573},	// DOM::MouseEvent::relatedTarget
    {100, 1261, 1564},	// DOM::MouseEvent::screenX
    {100, 1262, 1565},	// DOM::MouseEvent::screenY
    {100, 1702, 1569},	// DOM::MouseEvent::shiftKey
    {100, 1970, 1575},	// DOM::MouseEvent::~MouseEvent
    {101, 2, 1588},	// DOM::MutationEvent::ADDITION
    {101, 336, 1587},	// DOM::MutationEvent::MODIFICATION
    {101, 357, 1576},	// DOM::MutationEvent::MutationEvent
    {101, 358, -253},	// DOM::MutationEvent::MutationEvent#
    {101, 392, 1589},	// DOM::MutationEvent::REMOVAL
    {101, 515, 1585},	// DOM::MutationEvent::attrChange
    {101, 516, 1584},	// DOM::MutationEvent::attrName
    {101, 916, 1586},	// DOM::MutationEvent::initMutationEvent#$$####$
    {101, 1076, 1583},	// DOM::MutationEvent::newValue
    {101, 1118, -256},	// DOM::MutationEvent::operator=#
    {101, 1164, 1582},	// DOM::MutationEvent::prevValue
    {101, 1202, 1581},	// DOM::MutationEvent::relatedNode
    {101, 1974, 1590},	// DOM::MutationEvent::~MutationEvent
    {102, 368, 1591},	// DOM::NamedNodeMap::NamedNodeMap
    {102, 369, 1592},	// DOM::NamedNodeMap::NamedNodeMap#
    {102, 845, 1595},	// DOM::NamedNodeMap::getNamedItem#
    {102, 847, 1599},	// DOM::NamedNodeMap::getNamedItemNS##
    {102, 974, 1602},	// DOM::NamedNodeMap::isNull
    {102, 985, 1598},	// DOM::NamedNodeMap::item$
    {102, 1032, 1594},	// DOM::NamedNodeMap::length
    {102, 1118, 1593},	// DOM::NamedNodeMap::operator=#
    {102, 1220, 1597},	// DOM::NamedNodeMap::removeNamedItem#
    {102, 1222, 1601},	// DOM::NamedNodeMap::removeNamedItemNS##
    {102, 1536, 1596},	// DOM::NamedNodeMap::setNamedItem#
    {102, 1538, 1600},	// DOM::NamedNodeMap::setNamedItemNS#
    {102, 1975, 1603},	// DOM::NamedNodeMap::~NamedNodeMap
    {103, 3, 1648},	// DOM::Node::ATTRIBUTE_NODE
    {103, 17, 1650},	// DOM::Node::CDATA_SECTION_NODE
    {103, 19, 1654},	// DOM::Node::COMMENT_NODE
    {103, 102, 1657},	// DOM::Node::DOCUMENT_FRAGMENT_NODE
    {103, 103, 1655},	// DOM::Node::DOCUMENT_NODE
    {103, 104, 1664},	// DOM::Node::DOCUMENT_POSITION_CONTAINED_BY
    {103, 105, 1663},	// DOM::Node::DOCUMENT_POSITION_CONTAINS
    {103, 106, 1660},	// DOM::Node::DOCUMENT_POSITION_DISCONNECTED
    {103, 107, 1662},	// DOM::Node::DOCUMENT_POSITION_FOLLOWING
    {103, 108, 1665},	// DOM::Node::DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
    {103, 109, 1661},	// DOM::Node::DOCUMENT_POSITION_PRECEDING
    {103, 110, 1656},	// DOM::Node::DOCUMENT_TYPE_NODE
    {103, 144, 1647},	// DOM::Node::ELEMENT_NODE
    {103, 148, 1652},	// DOM::Node::ENTITY_NODE
    {103, 149, 1651},	// DOM::Node::ENTITY_REFERENCE_NODE
    {103, 362, 1658},	// DOM::Node::NOTATION_NODE
    {103, 372, 1604},	// DOM::Node::Node
    {103, 373, 1605},	// DOM::Node::Node#
    {103, 385, 1653},	// DOM::Node::PROCESSING_INSTRUCTION_NODE
    {103, 436, 1649},	// DOM::Node::TEXT_NODE
    {103, 456, 1659},	// DOM::Node::XPATH_NAMESPACE_NODE
    {103, 491, 1634},	// DOM::Node::addEventListener##$
    {103, 503, 1624},	// DOM::Node::appendChild#
    {103, 509, 1644},	// DOM::Node::applyChanges
    {103, 517, 1619},	// DOM::Node::attributes
    {103, 563, 1614},	// DOM::Node::childNodes
    {103, 579, 1626},	// DOM::Node::cloneNode$
    {103, 601, 1639},	// DOM::Node::compareDocumentPosition#
    {103, 709, 1636},	// DOM::Node::dispatchEvent#
    {103, 733, 1640},	// DOM::Node::elementId
    {103, 784, 1615},	// DOM::Node::firstChild
    {103, 826, 1645},	// DOM::Node::getCursor$$$$
    {103, 857, 1646},	// DOM::Node::getRect
    {103, 873, 1633},	// DOM::Node::hasAttributes
    {103, 874, 1625},	// DOM::Node::hasChildNodes
    {103, 905, 1642},	// DOM::Node::index
    {103, 929, 1621},	// DOM::Node::insertBefore##
    {103, 974, 1641},	// DOM::Node::isNull
    {103, 983, 1628},	// DOM::Node::isSupported##
    {103, 1023, 1616},	// DOM::Node::lastChild
    {103, 1041, 1632},	// DOM::Node::localName
    {103, 1075, 1629},	// DOM::Node::namespaceURI
    {103, 1083, 1618},	// DOM::Node::nextSibling
    {103, 1090, 1609},	// DOM::Node::nodeName
    {103, 1091, 1612},	// DOM::Node::nodeType
    {103, 1093, 1610},	// DOM::Node::nodeValue
    {103, 1095, 1627},	// DOM::Node::normalize
    {103, 1110, 1608},	// DOM::Node::operator!=#
    {103, 1118, 1606},	// DOM::Node::operator=#
    {103, 1120, 1607},	// DOM::Node::operator==#
    {103, 1126, 1620},	// DOM::Node::ownerDocument
    {103, 1142, 1613},	// DOM::Node::parentNode
    {103, 1158, 1630},	// DOM::Node::prefix
    {103, 1168, 1617},	// DOM::Node::previousSibling
    {103, 1216, 1623},	// DOM::Node::removeChild#
    {103, 1218, 1635},	// DOM::Node::removeEventListener##$
    {103, 1232, 1622},	// DOM::Node::replaceChild##
    {103, 1548, 1611},	// DOM::Node::setNodeValue#
    {103, 1560, 1631},	// DOM::Node::setPrefix#
    {103, 1653, 1638},	// DOM::Node::setTextContent#
    {103, 1776, 1637},	// DOM::Node::textContent
    {103, 1784, 1643},	// DOM::Node::toHTML
    {103, 1976, 1666},	// DOM::Node::~Node
    {104, 164, 1675},	// DOM::NodeFilter::FILTER_ACCEPT
    {104, 165, 1676},	// DOM::NodeFilter::FILTER_REJECT
    {104, 166, 1677},	// DOM::NodeFilter::FILTER_SKIP
    {104, 374, 1667},	// DOM::NodeFilter::NodeFilter
    {104, 375, 1668},	// DOM::NodeFilter::NodeFilter#
    {104, 406, 1678},	// DOM::NodeFilter::SHOW_ALL
    {104, 407, 1680},	// DOM::NodeFilter::SHOW_ATTRIBUTE
    {104, 408, 1682},	// DOM::NodeFilter::SHOW_CDATA_SECTION
    {104, 409, 1686},	// DOM::NodeFilter::SHOW_COMMENT
    {104, 410, 1687},	// DOM::NodeFilter::SHOW_DOCUMENT
    {104, 411, 1689},	// DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT
    {104, 412, 1688},	// DOM::NodeFilter::SHOW_DOCUMENT_TYPE
    {104, 413, 1679},	// DOM::NodeFilter::SHOW_ELEMENT
    {104, 414, 1684},	// DOM::NodeFilter::SHOW_ENTITY
    {104, 415, 1683},	// DOM::NodeFilter::SHOW_ENTITY_REFERENCE
    {104, 416, 1690},	// DOM::NodeFilter::SHOW_NOTATION
    {104, 417, 1685},	// DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION
    {104, 418, 1681},	// DOM::NodeFilter::SHOW_TEXT
    {104, 472, 1670},	// DOM::NodeFilter::acceptNode#
    {104, 636, 1674},	// DOM::NodeFilter::createCustom#
    {104, 675, 1673},	// DOM::NodeFilter::customNodeFilter
    {104, 974, 1671},	// DOM::NodeFilter::isNull
    {104, 1118, 1669},	// DOM::NodeFilter::operator=#
    {104, 1399, 1672},	// DOM::NodeFilter::setCustomNodeFilter#
    {104, 1977, 1691},	// DOM::NodeFilter::~NodeFilter
    {105, 376, 1692},	// DOM::NodeIterator::NodeIterator
    {105, 377, 1693},	// DOM::NodeIterator::NodeIterator#
    {105, 702, 1701},	// DOM::NodeIterator::detach
    {105, 758, 1698},	// DOM::NodeIterator::expandEntityReferences
    {105, 763, 1697},	// DOM::NodeIterator::filter
    {105, 974, 1702},	// DOM::NodeIterator::isNull
    {105, 1082, 1699},	// DOM::NodeIterator::nextNode
    {105, 1118, 1694},	// DOM::NodeIterator::operator=#
    {105, 1167, 1700},	// DOM::NodeIterator::previousNode
    {105, 1248, 1695},	// DOM::NodeIterator::root
    {105, 1835, 1696},	// DOM::NodeIterator::whatToShow
    {105, 1978, 1703},	// DOM::NodeIterator::~NodeIterator
    {106, 378, 1704},	// DOM::NodeList::NodeList
    {106, 379, 1705},	// DOM::NodeList::NodeList#
    {106, 974, 1709},	// DOM::NodeList::isNull
    {106, 985, 1708},	// DOM::NodeList::item$
    {106, 1032, 1707},	// DOM::NodeList::length
    {106, 1118, 1706},	// DOM::NodeList::operator=#
    {106, 1979, 1710},	// DOM::NodeList::~NodeList
    {107, 381, 1711},	// DOM::Notation::Notation
    {107, 382, -322},	// DOM::Notation::Notation#
    {107, 1118, -325},	// DOM::Notation::operator=#
    {107, 1174, 1716},	// DOM::Notation::publicId
    {107, 1764, 1717},	// DOM::Notation::systemId
    {107, 1980, 1718},	// DOM::Notation::~Notation
    {108, 388, 1719},	// DOM::ProcessingInstruction::ProcessingInstruction
    {108, 389, -169},	// DOM::ProcessingInstruction::ProcessingInstruction#
    {108, 677, 1725},	// DOM::ProcessingInstruction::data
    {108, 1118, -172},	// DOM::ProcessingInstruction::operator=#
    {108, 1406, 1726},	// DOM::ProcessingInstruction::setData#
    {108, 1701, 1727},	// DOM::ProcessingInstruction::sheet
    {108, 1771, 1724},	// DOM::ProcessingInstruction::target
    {108, 1981, 1728},	// DOM::ProcessingInstruction::~ProcessingInstruction
    {109, 393, 1729},	// DOM::RGBColor::RGBColor
    {109, 394, -313},	// DOM::RGBColor::RGBColor#
    {109, 395, 1731},	// DOM::RGBColor::RGBColor$
    {109, 534, 1736},	// DOM::RGBColor::blue
    {109, 594, 1737},	// DOM::RGBColor::color
    {109, 864, 1735},	// DOM::RGBColor::green
    {109, 1045, 1738},	// DOM::RGBColor::m_color
    {109, 1118, 1733},	// DOM::RGBColor::operator=#
    {109, 1197, 1734},	// DOM::RGBColor::red
    {109, 1513, 1739},	// DOM::RGBColor::setM_color$
    {109, 1982, 1740},	// DOM::RGBColor::~RGBColor
    {110, 146, 1777},	// DOM::Range::END_TO_END
    {110, 147, 1778},	// DOM::Range::END_TO_START
    {110, 397, 1741},	// DOM::Range::Range
    {110, 398, -404},	// DOM::Range::Range#
    {110, 399, 1744},	// DOM::Range::Range#$#$
    {110, 422, 1776},	// DOM::Range::START_TO_END
    {110, 423, 1775},	// DOM::Range::START_TO_START
    {110, 539, 1762},	// DOM::Range::boundaryPointsValid
    {110, 577, 1765},	// DOM::Range::cloneContents
    {110, 580, 1768},	// DOM::Range::cloneRange
    {110, 592, 1758},	// DOM::Range::collapse$
    {110, 593, 1750},	// DOM::Range::collapsed
    {110, 596, 1751},	// DOM::Range::commonAncestorContainer
    {110, 599, 1761},	// DOM::Range::compareBoundaryPoints$#
    {110, 634, 1771},	// DOM::Range::createContextualFragment#
    {110, 688, 1763},	// DOM::Range::deleteContents
    {110, 702, 1772},	// DOM::Range::detach
    {110, 740, 1748},	// DOM::Range::endContainer
    {110, 741, 1749},	// DOM::Range::endOffset
    {110, 759, 1764},	// DOM::Range::extractContents
    {110, 935, 1766},	// DOM::Range::insertNode#
    {110, 955, 1773},	// DOM::Range::isDetached
    {110, 974, 1774},	// DOM::Range::isNull
    {110, 1118, 1745},	// DOM::Range::operator=#
    {110, 1273, 1759},	// DOM::Range::selectNode#
    {110, 1275, 1760},	// DOM::Range::selectNodeContents#
    {110, 1434, 1753},	// DOM::Range::setEnd#$
    {110, 1436, 1757},	// DOM::Range::setEndAfter#
    {110, 1438, 1756},	// DOM::Range::setEndBefore#
    {110, 1625, 1752},	// DOM::Range::setStart#$
    {110, 1628, 1755},	// DOM::Range::setStartAfter#
    {110, 1630, 1754},	// DOM::Range::setStartBefore#
    {110, 1727, 1746},	// DOM::Range::startContainer
    {110, 1728, 1747},	// DOM::Range::startOffset
    {110, 1763, 1767},	// DOM::Range::surroundContents#
    {110, 1784, 1770},	// DOM::Range::toHTML
    {110, 1787, 1769},	// DOM::Range::toString
    {110, 1983, 1779},	// DOM::Range::~Range
    {111, 9, 1788},	// DOM::RangeException::BAD_BOUNDARYPOINTS_ERR
    {111, 294, 1789},	// DOM::RangeException::INVALID_NODE_TYPE_ERR
    {111, 401, 1781},	// DOM::RangeException::RangeException#
    {111, 402, 1780},	// DOM::RangeException::RangeException$
    {111, 457, 1791},	// DOM::RangeException::_EXCEPTION_MAX
    {111, 458, 1790},	// DOM::RangeException::_EXCEPTION_OFFSET
    {111, 585, 1786},	// DOM::RangeException::code
    {111, 586, 1783},	// DOM::RangeException::codeAsString
    {111, 587, 1784},	// DOM::RangeException::codeAsString$
    {111, 981, 1785},	// DOM::RangeException::isRangeExceptionCode$
    {111, 1118, 1782},	// DOM::RangeException::operator=#
    {111, 1369, 1787},	// DOM::RangeException::setCode$
    {111, 1984, 1792},	// DOM::RangeException::~RangeException
    {112, 403, 1793},	// DOM::Rect::Rect
    {112, 404, 1794},	// DOM::Rect::Rect#
    {112, 538, 1798},	// DOM::Rect::bottom
    {112, 974, 1800},	// DOM::Rect::isNull
    {112, 1031, 1799},	// DOM::Rect::left
    {112, 1118, 1795},	// DOM::Rect::operator=#
    {112, 1247, 1797},	// DOM::Rect::right
    {112, 1788, 1796},	// DOM::Rect::top
    {112, 1985, 1801},	// DOM::Rect::~Rect
    {113, 430, 1802},	// DOM::StyleSheet::StyleSheet
    {113, 431, 1803},	// DOM::StyleSheet::StyleSheet#
    {113, 528, 1813},	// DOM::StyleSheet::baseUrl
    {113, 706, 1806},	// DOM::StyleSheet::disabled
    {113, 888, 1810},	// DOM::StyleSheet::href
    {113, 949, 1814},	// DOM::StyleSheet::isCSSStyleSheet
    {113, 974, 1815},	// DOM::StyleSheet::isNull
    {113, 1052, 1812},	// DOM::StyleSheet::media
    {113, 1118, 1804},	// DOM::StyleSheet::operator=#
    {113, 1128, 1808},	// DOM::StyleSheet::ownerNode
    {113, 1145, 1809},	// DOM::StyleSheet::parentStyleSheet
    {113, 1424, 1807},	// DOM::StyleSheet::setDisabled$
    {113, 1781, 1811},	// DOM::StyleSheet::title
    {113, 1800, 1805},	// DOM::StyleSheet::type
    {113, 1986, 1816},	// DOM::StyleSheet::~StyleSheet
    {114, 432, 1817},	// DOM::StyleSheetList::StyleSheetList
    {114, 433, 1818},	// DOM::StyleSheetList::StyleSheetList#
    {114, 974, 1822},	// DOM::StyleSheetList::isNull
    {114, 985, 1821},	// DOM::StyleSheetList::item$
    {114, 1032, 1820},	// DOM::StyleSheetList::length
    {114, 1118, 1819},	// DOM::StyleSheetList::operator=#
    {114, 1987, 1823},	// DOM::StyleSheetList::~StyleSheetList
    {115, 439, 1824},	// DOM::Text::Text
    {115, 440, -443},	// DOM::Text::Text#
    {115, 1118, -446},	// DOM::Text::operator=#
    {115, 1723, 1829},	// DOM::Text::splitText$
    {115, 1988, 1830},	// DOM::Text::~Text
    {116, 441, 1831},	// DOM::TextEvent::TextEvent
    {116, 442, -295},	// DOM::TextEvent::TextEvent#
    {116, 918, 1836},	// DOM::TextEvent::initTextEvent#$$##
    {116, 1118, -298},	// DOM::TextEvent::operator=#
    {116, 1989, 1837},	// DOM::TextEvent::~TextEvent
    {117, 443, 1838},	// DOM::TreeWalker::TreeWalker
    {117, 444, 1839},	// DOM::TreeWalker::TreeWalker#
    {117, 670, 1845},	// DOM::TreeWalker::currentNode
    {117, 758, 1844},	// DOM::TreeWalker::expandEntityReferences
    {117, 763, 1843},	// DOM::TreeWalker::filter
    {117, 784, 1848},	// DOM::TreeWalker::firstChild
    {117, 974, 1854},	// DOM::TreeWalker::isNull
    {117, 1023, 1849},	// DOM::TreeWalker::lastChild
    {117, 1082, 1853},	// DOM::TreeWalker::nextNode
    {117, 1083, 1851},	// DOM::TreeWalker::nextSibling
    {117, 1118, 1840},	// DOM::TreeWalker::operator=#
    {117, 1142, 1847},	// DOM::TreeWalker::parentNode
    {117, 1167, 1852},	// DOM::TreeWalker::previousNode
    {117, 1168, 1850},	// DOM::TreeWalker::previousSibling
    {117, 1248, 1841},	// DOM::TreeWalker::root
    {117, 1397, 1846},	// DOM::TreeWalker::setCurrentNode#
    {117, 1835, 1842},	// DOM::TreeWalker::whatToShow
    {117, 1990, 1855},	// DOM::TreeWalker::~TreeWalker
    {118, 445, 1856},	// DOM::UIEvent::UIEvent
    {118, 446, -437},	// DOM::UIEvent::UIEvent#
    {118, 557, 1864},	// DOM::UIEvent::charCode
    {118, 703, 1862},	// DOM::UIEvent::detail
    {118, 920, 1870},	// DOM::UIEvent::initUIEvent#$$#$
    {118, 993, 1863},	// DOM::UIEvent::keyCode
    {118, 1026, 1867},	// DOM::UIEvent::layerX
    {118, 1027, 1868},	// DOM::UIEvent::layerY
    {118, 1118, -440},	// DOM::UIEvent::operator=#
    {118, 1131, 1865},	// DOM::UIEvent::pageX
    {118, 1132, 1866},	// DOM::UIEvent::pageY
    {118, 1824, 1861},	// DOM::UIEvent::view
    {118, 1838, 1869},	// DOM::UIEvent::which
    {118, 1991, 1871},	// DOM::UIEvent::~UIEvent
    {124, 11, 2065},	// KHTMLPart::Before
    {124, 13, 2055},	// KHTMLPart::BrowserViewGUI
    {124, 87, 2061},	// KHTMLPart::CaretBlink
    {124, 88, 2060},	// KHTMLPart::CaretInvisible
    {124, 89, 2059},	// KHTMLPart::CaretVisible
    {124, 99, 2056},	// KHTMLPart::DNSPrefetchDisabled
    {124, 100, 2057},	// KHTMLPart::DNSPrefetchEnabled
    {124, 101, 2058},	// KHTMLPart::DNSPrefetchOnlyWWWAndSLD
    {124, 126, 2054},	// KHTMLPart::DefaultGUI
    {124, 152, 2069},	// KHTMLPart::Encrypted
    {124, 168, 2062},	// KHTMLPart::FindLinksOnly
    {124, 169, 2063},	// KHTMLPart::FindNoPopups
    {124, 303, 2029},	// KHTMLPart::KHTMLPart
    {124, 304, -73},	// KHTMLPart::KHTMLPart#
    {124, 305, -76},	// KHTMLPart::KHTMLPart##
    {124, 306, -79},	// KHTMLPart::KHTMLPart##$
    {124, 339, 2070},	// KHTMLPart::Mixed
    {124, 371, 2064},	// KHTMLPart::NoNotification
    {124, 380, 2068},	// KHTMLPart::NotCrypted
    {124, 383, 2066},	// KHTMLPart::Only
    {124, 451, 2067},	// KHTMLPart::Unused
    {124, 478, 1887},	// KHTMLPart::activeNode
    {124, 520, 1906},	// KHTMLPart::autoloadImages
    {124, 524, 1919},	// KHTMLPart::backgroundURL
    {124, 527, 1918},	// KHTMLPart::baseURL
    {124, 529, 2036},	// KHTMLPart::begin
    {124, 530, 2037},	// KHTMLPart::begin#
    {124, 531, 2038},	// KHTMLPart::begin#$
    {124, 532, 1921},	// KHTMLPart::begin#$$
    {124, 540, 1888},	// KHTMLPart::browserExtension
    {124, 541, 1889},	// KHTMLPart::browserHostExtension
    {124, 546, 1916},	// KHTMLPart::caretDisplayPolicyNonFocused
    {124, 548, 1993},	// KHTMLPart::caretPositionChanged#$
    {124, 584, 1882},	// KHTMLPart::closeUrl
    {124, 604, 1996},	// KHTMLPart::completeURL$
    {124, 606, 1995},	// KHTMLPart::configurationChanged
    {124, 655, 2007},	// KHTMLPart::createPart##$$??
    {124, 669, 1966},	// KHTMLPart::currentFrame
    {124, 674, 1998},	// KHTMLPart::customEvent#
    {124, 711, 1900},	// KHTMLPart::dndEnabled
    {124, 712, 1910},	// KHTMLPart::dnsPrefetch
    {124, 714, 2013},	// KHTMLPart::doCloseStream
    {124, 716, 2011},	// KHTMLPart::doOpenStream$
    {124, 718, 2012},	// KHTMLPart::doWriteStream#
    {124, 719, 1992},	// KHTMLPart::docCreated
    {124, 721, 1885},	// KHTMLPart::document
    {124, 723, 1886},	// KHTMLPart::documentSource
    {124, 732, 1951},	// KHTMLPart::editor
    {124, 737, 1927},	// KHTMLPart::encoding
    {124, 739, 1924},	// KHTMLPart::end
    {124, 756, 1898},	// KHTMLPart::executeScript#$
    {124, 757, 2019},	// KHTMLPart::executeScript$
    {124, 770, 1964},	// KHTMLPart::findFrame$
    {124, 772, 2046},	// KHTMLPart::findFrameParent#$
    {124, 773, 1965},	// KHTMLPart::findFrameParent#$?
    {124, 775, 1969},	// KHTMLPart::findFramePart$
    {124, 776, 1937},	// KHTMLPart::findText
    {124, 777, 2043},	// KHTMLPart::findText$$
    {124, 778, 2044},	// KHTMLPart::findText$$#
    {124, 779, 1938},	// KHTMLPart::findText$$##
    {124, 780, 1939},	// KHTMLPart::findTextBegin
    {124, 781, 2045},	// KHTMLPart::findTextNext
    {124, 782, 1940},	// KHTMLPart::findTextNext$
    {124, 797, 1944},	// KHTMLPart::fontScaleFactor
    {124, 798, 1912},	// KHTMLPart::forcePermitLocalImages
    {124, 800, 1983},	// KHTMLPart::formNotification
    {124, 802, 1994},	// KHTMLPart::formSubmitNotification$$#$$$
    {124, 807, 1967},	// KHTMLPart::frameExists$
    {124, 808, 1962},	// KHTMLPart::frameNames
    {124, 811, 1968},	// KHTMLPart::framejScript#
    {124, 812, 1963},	// KHTMLPart::frames
    {124, 863, 1932},	// KHTMLPart::gotoAnchor$
    {124, 866, 2004},	// KHTMLPart::guiActivateEvent#
    {124, 878, 1950},	// KHTMLPart::hasSelection
    {124, 882, 1954},	// KHTMLPart::hide
    {124, 891, 1884},	// KHTMLPart::htmlDocument
    {124, 893, 1997},	// KHTMLPart::htmlError$$#
    {124, 899, 2026},	// KHTMLPart::impl
    {124, 903, 1987},	// KHTMLPart::inProgress
    {124, 951, 1913},	// KHTMLPart::isCaretMode
    {124, 956, 1914},	// KHTMLPart::isEditable
    {124, 973, 1985},	// KHTMLPart::isModified
    {124, 979, 1979},	// KHTMLPart::isPointInsideSelection$$
    {124, 986, 1892},	// KHTMLPart::jScriptEnabled
    {124, 987, 1893},	// KHTMLPart::jScriptInterpreter
    {124, 988, 1902},	// KHTMLPart::javaEnabled
    {124, 989, 1973},	// KHTMLPart::jsDefaultStatusBarText
    {124, 992, 1972},	// KHTMLPart::jsStatusBarText
    {124, 1001, 2003},	// KHTMLPart::khtmlDrawContentsEvent#
    {124, 1007, 2000},	// KHTMLPart::khtmlMouseDoubleClickEvent#
    {124, 1009, 2001},	// KHTMLPart::khtmlMouseMoveEvent#
    {124, 1011, 1999},	// KHTMLPart::khtmlMousePressEvent#
    {124, 1013, 2002},	// KHTMLPart::khtmlMouseReleaseEvent#
    {124, 1025, 1976},	// KHTMLPart::lastModified
    {124, 1051, 2015},	// KHTMLPart::mayPrefetchHostname$
    {124, 1056, 1872},	// KHTMLPart::metaObject
    {124, 1057, 1897},	// KHTMLPart::metaRefreshEnabled
    {124, 1077, 1933},	// KHTMLPart::nextAnchor
    {124, 1089, 1991},	// KHTMLPart::nodeActivated#
    {124, 1092, 1958},	// KHTMLPart::nodeUnderMouse
    {124, 1094, 1959},	// KHTMLPart::nonSharedNodeUnderMouse
    {124, 1103, 1988},	// KHTMLPart::onURL$
    {124, 1104, 1911},	// KHTMLPart::onlyLocalReferences
    {124, 1106, 2005},	// KHTMLPart::openFile
    {124, 1108, 1881},	// KHTMLPart::openUrl#
    {124, 1130, 1975},	// KHTMLPart::pageReferrer
    {124, 1134, 2040},	// KHTMLPart::paint##
    {124, 1135, 2041},	// KHTMLPart::paint##$
    {124, 1136, 1925},	// KHTMLPart::paint##$$
    {124, 1143, 1961},	// KHTMLPart::parentPart
    {124, 1148, 1955},	// KHTMLPart::partManager
    {124, 1153, 2008},	// KHTMLPart::pluginPageQuestionAsked$
    {124, 1154, 1904},	// KHTMLPart::pluginsEnabled
    {124, 1156, 1989},	// KHTMLPart::popupMenu$#
    {124, 1160, 1978},	// KHTMLPart::preloadScript$$
    {124, 1162, 1977},	// KHTMLPart::preloadStyleSheet$$
    {124, 1163, 1934},	// KHTMLPart::prevAnchor
    {124, 1177, 1878},	// KHTMLPart::qt_metacall$$?
    {124, 1179, 1873},	// KHTMLPart::qt_metacast$
    {124, 1200, 1974},	// KHTMLPart::referrer
    {124, 1241, 1957},	// KHTMLPart::restoreState#
    {124, 1242, 1980},	// KHTMLPart::restored
    {124, 1255, 1956},	// KHTMLPart::saveState#
    {124, 1257, 2035},	// KHTMLPart::scheduleRedirection$$
    {124, 1258, 1920},	// KHTMLPart::scheduleRedirection$$$
    {124, 1271, 1952},	// KHTMLPart::selectAll
    {124, 1279, 1945},	// KHTMLPart::selectedText
    {124, 1280, 1946},	// KHTMLPart::selectedTextAsHTML
    {124, 1281, 1947},	// KHTMLPart::selection
    {124, 1282, 1948},	// KHTMLPart::selection#$#$
    {124, 1283, 1990},	// KHTMLPart::selectionChanged
    {124, 1302, 2017},	// KHTMLPart::setActiveNode#
    {124, 1307, 2047},	// KHTMLPart::setAlwaysHonourDoctype
    {124, 1308, 1981},	// KHTMLPart::setAlwaysHonourDoctype$
    {124, 1322, 1905},	// KHTMLPart::setAutoloadImages$
    {124, 1337, 1917},	// KHTMLPart::setCaretDisplayPolicyNonFocused$
    {124, 1339, 2020},	// KHTMLPart::setCaretMode$
    {124, 1341, 2034},	// KHTMLPart::setCaretPosition#$
    {124, 1342, 1915},	// KHTMLPart::setCaretPosition#$$
    {124, 1344, 2022},	// KHTMLPart::setCaretVisible$
    {124, 1401, 1899},	// KHTMLPart::setDNDEnabled$
    {124, 1403, 1909},	// KHTMLPart::setDNSPrefetch$
    {124, 1426, 2021},	// KHTMLPart::setEditable$
    {124, 1429, 2042},	// KHTMLPart::setEncoding$
    {124, 1430, 1926},	// KHTMLPart::setEncoding$$
    {124, 1444, 1931},	// KHTMLPart::setFixedFont$
    {124, 1450, 1943},	// KHTMLPart::setFontScaleFactor$
    {124, 1452, 1908},	// KHTMLPart::setForcePermitLocalImages$
    {124, 1454, 1982},	// KHTMLPart::setFormNotification$
    {124, 1490, 1971},	// KHTMLPart::setJSDefaultStatusBarText$
    {124, 1496, 1970},	// KHTMLPart::setJSStatusBarText$
    {124, 1498, 1891},	// KHTMLPart::setJScriptEnabled$
    {124, 1500, 1901},	// KHTMLPart::setJavaEnabled$
    {124, 1528, 1896},	// KHTMLPart::setMetaRefreshEnabled$
    {124, 1552, 1907},	// KHTMLPart::setOnlyLocalReferences$
    {124, 1554, 2010},	// KHTMLPart::setPageSecurity$
    {124, 1556, 2009},	// KHTMLPart::setPluginPageQuestionAsked$
    {124, 1558, 1903},	// KHTMLPart::setPluginsEnabled$
    {124, 1598, 1949},	// KHTMLPart::setSelection#
    {124, 1621, 1930},	// KHTMLPart::setStandardFont$
    {124, 1632, 1894},	// KHTMLPart::setStatusMessagesEnabled$
    {124, 1640, 2048},	// KHTMLPart::setSuppressedPopupIndicator$
    {124, 1641, 1986},	// KHTMLPart::setSuppressedPopupIndicator$#
    {124, 1661, 1935},	// KHTMLPart::setURLCursor#
    {124, 1665, 1928},	// KHTMLPart::setUserStyleSheet#
    {124, 1666, 1929},	// KHTMLPart::setUserStyleSheet$
    {124, 1693, 1941},	// KHTMLPart::setZoomFactor$
    {124, 1698, 1960},	// KHTMLPart::settings
    {124, 1703, 1953},	// KHTMLPart::show
    {124, 1706, 1883},	// KHTMLPart::showError#
    {124, 1712, 2024},	// KHTMLPart::slotFinished#
    {124, 1730, 2025},	// KHTMLPart::startingJob#
    {124, 1734, 2053},	// KHTMLPart::staticMetaObject
    {124, 1735, 1895},	// KHTMLPart::statusMessagesEnabled
    {124, 1737, 2018},	// KHTMLPart::stopAnimations
    {124, 1753, 2051},	// KHTMLPart::submitFormProxy$$#$
    {124, 1754, 2052},	// KHTMLPart::submitFormProxy$$#$$
    {124, 1755, 2023},	// KHTMLPart::submitFormProxy$$#$$$
    {124, 1780, 2014},	// KHTMLPart::timerEvent#
    {124, 1789, 1984},	// KHTMLPart::toplevelURL
    {124, 1791, 2027},	// KHTMLPart::tr$
    {124, 1792, 1874},	// KHTMLPart::tr$$
    {124, 1793, 1876},	// KHTMLPart::tr$$$
    {124, 1795, 2028},	// KHTMLPart::trUtf8$
    {124, 1796, 1875},	// KHTMLPart::trUtf8$$
    {124, 1797, 1877},	// KHTMLPart::trUtf8$$$
    {124, 1808, 2016},	// KHTMLPart::updateZoomFactor
    {124, 1811, 1936},	// KHTMLPart::urlCursor
    {124, 1813, 2049},	// KHTMLPart::urlSelected$$$$
    {124, 1814, 2050},	// KHTMLPart::urlSelected$$$$#
    {124, 1815, 2006},	// KHTMLPart::urlSelected$$$$##
    {124, 1824, 1890},	// KHTMLPart::view
    {124, 1856, -82},	// KHTMLPart::write$
    {124, 1857, 1922},	// KHTMLPart::write$$
    {124, 1864, 1942},	// KHTMLPart::zoomFactor
    {124, 1963, 2071},	// KHTMLPart::~KHTMLPart
    {126, 297, 2150},	// KHTMLSettings::KAnimationDisabled
    {126, 298, 2152},	// KHTMLSettings::KAnimationEnabled
    {126, 299, 2151},	// KHTMLSettings::KAnimationLoopOnce
    {126, 300, 2156},	// KHTMLSettings::KDNSPrefetchDisabled
    {126, 301, 2158},	// KHTMLSettings::KDNSPrefetchEnabled
    {126, 302, 2157},	// KHTMLSettings::KDNSPrefetchOnlyWWWAndSLD
    {126, 307, 2072},	// KHTMLSettings::KHTMLSettings
    {126, 308, 2073},	// KHTMLSettings::KHTMLSettings#
    {126, 311, 2169},	// KHTMLSettings::KJSWindowFocusAllow
    {126, 312, 2170},	// KHTMLSettings::KJSWindowFocusIgnore
    {126, 313, 2165},	// KHTMLSettings::KJSWindowMoveAllow
    {126, 314, 2166},	// KHTMLSettings::KJSWindowMoveIgnore
    {126, 315, 2159},	// KHTMLSettings::KJSWindowOpenAllow
    {126, 316, 2160},	// KHTMLSettings::KJSWindowOpenAsk
    {126, 317, 2161},	// KHTMLSettings::KJSWindowOpenDeny
    {126, 318, 2162},	// KHTMLSettings::KJSWindowOpenSmart
    {126, 319, 2167},	// KHTMLSettings::KJSWindowResizeAllow
    {126, 320, 2168},	// KHTMLSettings::KJSWindowResizeIgnore
    {126, 321, 2163},	// KHTMLSettings::KJSWindowStatusAllow
    {126, 322, 2164},	// KHTMLSettings::KJSWindowStatusIgnore
    {126, 323, 2148},	// KHTMLSettings::KJavaScriptAccept
    {126, 324, 2147},	// KHTMLSettings::KJavaScriptDunno
    {126, 325, 2149},	// KHTMLSettings::KJavaScriptReject
    {126, 326, 2153},	// KHTMLSettings::KSmoothScrollingDisabled
    {126, 327, 2155},	// KHTMLSettings::KSmoothScrollingEnabled
    {126, 328, 2154},	// KHTMLSettings::KSmoothScrollingWhenEfficient
    {126, 474, 2116},	// KHTMLSettings::accessKeysEnabled
    {126, 480, 2141},	// KHTMLSettings::adFilteredBy$
    {126, 481, 2112},	// KHTMLSettings::adFilteredBy$$
    {126, 485, 2115},	// KHTMLSettings::addAdFilter$
    {126, 495, 2124},	// KHTMLSettings::adviceToStr$
    {126, 498, 2079},	// KHTMLSettings::allowTabulation
    {126, 518, 2102},	// KHTMLSettings::autoLoadImages
    {126, 519, 2080},	// KHTMLSettings::autoSpellCheck
    {126, 521, 2127},	// KHTMLSettings::availableFamilies
    {126, 526, 2099},	// KHTMLSettings::baseColor
    {126, 555, 2076},	// KHTMLSettings::changeCursor
    {126, 672, 2088},	// KHTMLSettings::cursiveFontName
    {126, 712, 2083},	// KHTMLSettings::dnsPrefetch
    {126, 737, 2096},	// KHTMLSettings::encoding
    {126, 761, 2132},	// KHTMLSettings::fallbackAccessKeysAssignments
    {126, 762, 2089},	// KHTMLSettings::fantasyFontName
    {126, 787, 2085},	// KHTMLSettings::fixedFontName
    {126, 795, 2097},	// KHTMLSettings::followSystemColors
    {126, 887, 2078},	// KHTMLSettings::hoverLink
    {126, 906, 2074},	// KHTMLSettings::init
    {126, 907, 2135},	// KHTMLSettings::init#
    {126, 908, 2075},	// KHTMLSettings::init#$
    {126, 941, 2113},	// KHTMLSettings::isAdFilterEnabled
    {126, 943, 2111},	// KHTMLSettings::isAdFiltered$
    {126, 944, 2131},	// KHTMLSettings::isAutoDelayedActionsEnabled
    {126, 945, 2105},	// KHTMLSettings::isBackRightClickEnabled
    {126, 960, 2129},	// KHTMLSettings::isFormCompletionEnabled
    {126, 963, 2114},	// KHTMLSettings::isHideAdsEnabled
    {126, 964, 2136},	// KHTMLSettings::isJavaEnabled
    {126, 965, 2106},	// KHTMLSettings::isJavaEnabled$
    {126, 966, 2138},	// KHTMLSettings::isJavaScriptDebugEnabled
    {126, 967, 2108},	// KHTMLSettings::isJavaScriptDebugEnabled$
    {126, 968, 2137},	// KHTMLSettings::isJavaScriptEnabled
    {126, 969, 2107},	// KHTMLSettings::isJavaScriptEnabled$
    {126, 970, 2139},	// KHTMLSettings::isJavaScriptErrorReportingEnabled
    {126, 971, 2109},	// KHTMLSettings::isJavaScriptErrorReportingEnabled$
    {126, 975, 2104},	// KHTMLSettings::isOpenMiddleClickEnabled
    {126, 976, 2140},	// KHTMLSettings::isPluginsEnabled
    {126, 977, 2110},	// KHTMLSettings::isPluginsEnabled$
    {126, 990, 2094},	// KHTMLSettings::jsErrorsEnabled
    {126, 991, 2134},	// KHTMLSettings::jsPopupBlockerPassivePopup
    {126, 1034, 2100},	// KHTMLSettings::linkColor
    {126, 1048, 2130},	// KHTMLSettings::maxFormCompletionItems
    {126, 1054, 2093},	// KHTMLSettings::mediumFontSize
    {126, 1060, 2092},	// KHTMLSettings::minFontSize
    {126, 1195, 2125},	// KHTMLSettings::readDomainSettings#$$#
    {126, 1253, 2087},	// KHTMLSettings::sansSerifFontName
    {126, 1288, 2086},	// KHTMLSettings::serifFontName
    {126, 1446, 2091},	// KHTMLSettings::setFixedFontName$
    {126, 1492, 2095},	// KHTMLSettings::setJSErrorsEnabled$
    {126, 1494, 2133},	// KHTMLSettings::setJSPopupBlockerPassivePopup$
    {126, 1634, 2090},	// KHTMLSettings::setStdFontName$
    {126, 1699, 2126},	// KHTMLSettings::settingsToCSS
    {126, 1704, 2081},	// KHTMLSettings::showAnimations
    {126, 1714, 2082},	// KHTMLSettings::smoothScrolling
    {126, 1721, 2123},	// KHTMLSettings::splitDomainAdvice$$$$
    {126, 1736, 2084},	// KHTMLSettings::stdFontName
    {126, 1740, 2122},	// KHTMLSettings::strToAdvice$
    {126, 1775, 2098},	// KHTMLSettings::textColor
    {126, 1801, 2077},	// KHTMLSettings::underlineLink
    {126, 1802, 2103},	// KHTMLSettings::unfinishedImageFrame
    {126, 1817, 2128},	// KHTMLSettings::userStyleSheet
    {126, 1820, 2101},	// KHTMLSettings::vLinkColor
    {126, 1844, 2146},	// KHTMLSettings::windowFocusPolicy
    {126, 1845, 2121},	// KHTMLSettings::windowFocusPolicy$
    {126, 1846, 2143},	// KHTMLSettings::windowMovePolicy
    {126, 1847, 2118},	// KHTMLSettings::windowMovePolicy$
    {126, 1848, 2142},	// KHTMLSettings::windowOpenPolicy
    {126, 1849, 2117},	// KHTMLSettings::windowOpenPolicy$
    {126, 1850, 2144},	// KHTMLSettings::windowResizePolicy
    {126, 1851, 2119},	// KHTMLSettings::windowResizePolicy$
    {126, 1852, 2145},	// KHTMLSettings::windowStatusPolicy
    {126, 1853, 2120},	// KHTMLSettings::windowStatusPolicy$
    {126, 1964, 2171},	// KHTMLSettings::~KHTMLSettings
    {127, 310, 2179},	// KHTMLView::KHTMLView##
    {127, 419, 2250},	// KHTMLView::SSMDisabled
    {127, 420, 2252},	// KHTMLView::SSMEnabled
    {127, 421, 2251},	// KHTMLView::SSMWhenEfficient
    {127, 489, 2204},	// KHTMLView::addChild#$$
    {127, 567, 2219},	// KHTMLView::clear
    {127, 568, 2214},	// KHTMLView::cleared
    {127, 583, 2235},	// KHTMLView::closeEvent#
    {127, 611, 2191},	// KHTMLView::contentsHeight
    {127, 613, 2197},	// KHTMLView::contentsToViewport#
    {127, 614, 2200},	// KHTMLView::contentsToViewport$$$$
    {127, 615, 2190},	// KHTMLView::contentsWidth
    {127, 616, 2192},	// KHTMLView::contentsX
    {127, 617, 2193},	// KHTMLView::contentsY
    {127, 710, 2189},	// KHTMLView::displayAccessKeys
    {127, 713, 2242},	// KHTMLView::doAutoScroll
    {127, 727, 2233},	// KHTMLView::dragEnterEvent#
    {127, 731, 2234},	// KHTMLView::dropEvent#
    {127, 747, 2220},	// KHTMLView::event#
    {127, 749, 2238},	// KHTMLView::eventFilter##
    {127, 768, 2218},	// KHTMLView::findAheadActive$
    {127, 783, 2213},	// KHTMLView::finishedLayout
    {127, 790, 2227},	// KHTMLView::focusInEvent#
    {127, 792, 2225},	// KHTMLView::focusNextPrevChild$
    {127, 794, 2228},	// KHTMLView::focusOutEvent#
    {127, 809, 2181},	// KHTMLView::frameWidth
    {127, 883, 2216},	// KHTMLView::hideAccessKeys
    {127, 885, 2224},	// KHTMLView::hideEvent#
    {127, 997, 2240},	// KHTMLView::keyPressEvent#
    {127, 999, 2241},	// KHTMLView::keyReleaseEvent#
    {127, 1029, 2212},	// KHTMLView::layout
    {127, 1046, 2185},	// KHTMLView::marginHeight
    {127, 1047, 2183},	// KHTMLView::marginWidth
    {127, 1056, 2172},	// KHTMLView::metaObject
    {127, 1063, 2229},	// KHTMLView::mouseDoubleClickEvent#
    {127, 1065, 2230},	// KHTMLView::mouseMoveEvent#
    {127, 1067, 2226},	// KHTMLView::mousePressEvent#
    {127, 1069, 2231},	// KHTMLView::mouseReleaseEvent#
    {127, 1139, 2221},	// KHTMLView::paintEvent#
    {127, 1146, 2180},	// KHTMLView::part
    {127, 1170, 2248},	// KHTMLView::print
    {127, 1171, 2188},	// KHTMLView::print$
    {127, 1177, 2178},	// KHTMLView::qt_metacall$$?
    {127, 1179, 2173},	// KHTMLView::qt_metacast$
    {127, 1227, 2217},	// KHTMLView::repaintAccessKeys
    {127, 1229, 2205},	// KHTMLView::repaintContents#
    {127, 1230, 2206},	// KHTMLView::repaintContents$$$$
    {127, 1237, 2211},	// KHTMLView::resizeContents$$
    {127, 1239, 2222},	// KHTMLView::resizeEvent#
    {127, 1265, 2201},	// KHTMLView::scrollBy$$
    {127, 1267, 2239},	// KHTMLView::scrollContentsBy$$
    {127, 1389, 2196},	// KHTMLView::setContentsPos$$
    {127, 1465, 2187},	// KHTMLView::setHorizontalScrollBarPolicy$
    {127, 1517, 2184},	// KHTMLView::setMarginHeight$
    {127, 1520, 2182},	// KHTMLView::setMarginWidth$
    {127, 1613, 2209},	// KHTMLView::setSmoothScrollingMode$
    {127, 1615, 2244},	// KHTMLView::setSmoothScrollingModeDefault$
    {127, 1679, 2186},	// KHTMLView::setVerticalScrollBarPolicy$
    {127, 1695, 2207},	// KHTMLView::setZoomLevel$
    {127, 1708, 2223},	// KHTMLView::showEvent#
    {127, 1713, 2245},	// KHTMLView::slotPaletteChanged
    {127, 1715, 2210},	// KHTMLView::smoothScrollingMode
    {127, 1734, 2249},	// KHTMLView::staticMetaObject
    {127, 1780, 2243},	// KHTMLView::timerEvent#
    {127, 1791, 2246},	// KHTMLView::tr$
    {127, 1792, 2174},	// KHTMLView::tr$$
    {127, 1793, 2176},	// KHTMLView::tr$$$
    {127, 1795, 2247},	// KHTMLView::trUtf8$
    {127, 1796, 2175},	// KHTMLView::trUtf8$$
    {127, 1797, 2177},	// KHTMLView::trUtf8$$$
    {127, 1805, 2202},	// KHTMLView::updateContents#
    {127, 1806, 2203},	// KHTMLView::updateContents$$$$
    {127, 1826, 2237},	// KHTMLView::viewportEvent#
    {127, 1828, 2198},	// KHTMLView::viewportToContents#
    {127, 1829, 2199},	// KHTMLView::viewportToContents$$$$
    {127, 1832, 2195},	// KHTMLView::visibleHeight
    {127, 1833, 2194},	// KHTMLView::visibleWidth
    {127, 1837, 2232},	// KHTMLView::wheelEvent#
    {127, 1841, 2236},	// KHTMLView::widgetEvent#
    {127, 1865, 2208},	// KHTMLView::zoomLevel
    {127, 1867, 2215},	// KHTMLView::zoomView$
    {127, 1965, 2253},	// KHTMLView::~KHTMLView
    {169, 459, 2286},	// QGlobalSpace::__codecvt_error
    {169, 460, 2287},	// QGlobalSpace::__codecvt_noconv
    {169, 461, 2284},	// QGlobalSpace::__codecvt_ok
    {169, 462, 2285},	// QGlobalSpace::__codecvt_partial
    {195, 141, 2321},	// khtml::DrawContentsEvent::DrawContentsEvent#
    {195, 142, 2314},	// khtml::DrawContentsEvent::DrawContentsEvent#$$$$
    {195, 573, 2319},	// khtml::DrawContentsEvent::cliph
    {195, 574, 2318},	// khtml::DrawContentsEvent::clipw
    {195, 575, 2316},	// khtml::DrawContentsEvent::clipx
    {195, 576, 2317},	// khtml::DrawContentsEvent::clipy
    {195, 1140, 2315},	// khtml::DrawContentsEvent::painter
    {195, 1773, 2320},	// khtml::DrawContentsEvent::test#
    {195, 1898, 2322},	// khtml::DrawContentsEvent::~DrawContentsEvent
    {197, 341, 2326},	// khtml::MouseDoubleClickEvent::MouseDoubleClickEvent#
    {197, 342, 2327},	// khtml::MouseDoubleClickEvent::MouseDoubleClickEvent#$$###
    {197, 343, 2323},	// khtml::MouseDoubleClickEvent::MouseDoubleClickEvent#$$###$
    {197, 570, 2325},	// khtml::MouseDoubleClickEvent::clickCount
    {197, 1773, 2324},	// khtml::MouseDoubleClickEvent::test#
    {197, 1969, 2328},	// khtml::MouseDoubleClickEvent::~MouseDoubleClickEvent
    {198, 345, 2339},	// khtml::MouseEvent::MouseEvent#
    {198, 346, 2329},	// khtml::MouseEvent::MouseEvent$#$$###
    {198, 467, 2333},	// khtml::MouseEvent::absX
    {198, 468, 2334},	// khtml::MouseEvent::absY
    {198, 922, 2337},	// khtml::MouseEvent::innerNode
    {198, 1101, 2338},	// khtml::MouseEvent::offset
    {198, 1175, 2330},	// khtml::MouseEvent::qmouseEvent
    {198, 1771, 2336},	// khtml::MouseEvent::target
    {198, 1810, 2335},	// khtml::MouseEvent::url
    {198, 1860, 2331},	// khtml::MouseEvent::x
    {198, 1863, 2332},	// khtml::MouseEvent::y
    {198, 1970, 2340},	// khtml::MouseEvent::~MouseEvent
    {199, 348, 2343},	// khtml::MouseMoveEvent::MouseMoveEvent#
    {199, 349, 2341},	// khtml::MouseMoveEvent::MouseMoveEvent#$$###
    {199, 1773, 2342},	// khtml::MouseMoveEvent::test#
    {199, 1971, 2344},	// khtml::MouseMoveEvent::~MouseMoveEvent
    {200, 351, 2347},	// khtml::MousePressEvent::MousePressEvent#
    {200, 352, 2345},	// khtml::MousePressEvent::MousePressEvent#$$###
    {200, 1773, 2346},	// khtml::MousePressEvent::test#
    {200, 1972, 2348},	// khtml::MousePressEvent::~MousePressEvent
    {201, 354, 2351},	// khtml::MouseReleaseEvent::MouseReleaseEvent#
    {201, 355, 2352},	// khtml::MouseReleaseEvent::MouseReleaseEvent#$$###
    {201, 356, 2349},	// khtml::MouseReleaseEvent::MouseReleaseEvent#$$###$
    {201, 1773, 2350},	// khtml::MouseReleaseEvent::test#
    {201, 1973, 2353},	// khtml::MouseReleaseEvent::~MouseReleaseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtgui_Smoke();
SMOKE_IMPORT void init_kparts_Smoke();

static bool initialized = false;
Smoke *khtml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_khtml_Smoke() {
    init_qtgui_Smoke();
    init_kparts_Smoke();
    if (initialized) return;
    khtml_Smoke = new Smoke(
        "khtml",
        __smokekhtml::classes, 201,
        __smokekhtml::methods, 2354,
        __smokekhtml::methodMaps, 2117,
        __smokekhtml::methodNames, 1991,
        __smokekhtml::types, 626,
        __smokekhtml::inheritanceList,
        __smokekhtml::argumentList,
        __smokekhtml::ambiguousMethodList,
        __smokekhtml::cast );
    initialized = true;
}

void delete_khtml_Smoke() { delete khtml_Smoke; }

}
