#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KConfigDialog
      switch(to) {
        case 3: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 4:   //KIcon
      switch(to) {
        case 4: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 5:   //KMimeType
      switch(to) {
        case 5: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 6:   //KUrl
      switch(to) {
        case 6: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //KXMLGUIClient
      switch(to) {
        case 7: return (void*)(KXMLGUIClient*)xptr;
        case 42: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 8:   //Okular::Action
      switch(to) {
        case 8: return (void*)(Okular::Action*)xptr;
        case 60: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 18: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 22: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 28: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 58: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 41: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 9:   //Okular::ActionPrivate
      switch(to) {
        case 9: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 10:   //Okular::Annotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)xptr;
        case 65: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 43: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 64: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 61: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 30: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 40: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 19: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 11:   //Okular::Annotation::Revision
      switch(to) {
        case 11: return (void*)(Okular::Annotation::Revision*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Annotation::Style
      switch(to) {
        case 12: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::Annotation::Window
      switch(to) {
        case 13: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::AnnotationObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 14: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::AnnotationPrivate
      switch(to) {
        case 15: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::AnnotationUtils
      switch(to) {
        case 16: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::BookmarkManager
      switch(to) {
        case 17: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::BrowseAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 18: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::CaretAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 19: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::ConfigInterface
      switch(to) {
        case 20: return (void*)(Okular::ConfigInterface*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::Document
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::Document*)xptr;
        case 21: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::DocumentAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 22: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::DocumentInfo
      switch(to) {
        case 82: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
        case 84: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
        case 23: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::DocumentObserver
      switch(to) {
        case 24: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::DocumentSynopsis
      switch(to) {
        case 82: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 84: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentViewport
      switch(to) {
        case 26: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::EmbeddedFile
      switch(to) {
        case 27: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::ExecuteAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 28: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::ExportFormat
      switch(to) {
        case 29: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 30: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::FilePrinter
      switch(to) {
        case 31: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::FontInfo
      switch(to) {
        case 32: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::FormField
      switch(to) {
        case 33: return (void*)(Okular::FormField*)xptr;
        case 34: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 37: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 35: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FormFieldButton
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 34: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FormFieldChoice
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 35: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FormFieldPrivate
      switch(to) {
        case 36: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormFieldText
      switch(to) {
        case 33: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 37: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::Generator
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 38: return (void*)(Okular::Generator*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::GeneratorPrivate
      switch(to) {
        case 39: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::GeomAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 40: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::GotoAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 41: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::GuiInterface
      switch(to) {
        case 7: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 42: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::HighlightAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 43: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::HighlightAnnotation::Quad
      switch(to) {
        case 44: return (void*)(Okular::HighlightAnnotation::Quad*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::InkAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::LineAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::MovieAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::MovieAction*)xptr;
        case 47: return (void*)(Okular::MovieAction*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::NormalizedPoint
      switch(to) {
        case 48: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::NormalizedRect
      switch(to) {
        case 49: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::ObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)xptr;
        case 62: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 14: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::Page
      switch(to) {
        case 51: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::PageSize
      switch(to) {
        case 52: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::PageTransition
      switch(to) {
        case 53: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::PixmapRequest
      switch(to) {
        case 54: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::PrintInterface
      switch(to) {
        case 55: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::RegularAreaRect
      switch(to) {
        case 56: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::RenditionAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::RenditionAction*)xptr;
        case 57: return (void*)(Okular::RenditionAction*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::ScriptAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 58: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::Sound
      switch(to) {
        case 59: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::SoundAction
      switch(to) {
        case 8: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 60: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::SoundAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 61: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::SourceRefObjectRect
      switch(to) {
        case 50: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 62: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::SourceReference
      switch(to) {
        case 63: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::StampAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 64: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::TextAnnotation
      switch(to) {
        case 10: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 65: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::TextDocumentConverter
      switch(to) {
        case 91: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 66: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::TextDocumentGenerator
      switch(to) {
        case 38: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 91: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 20: return (void*)(Okular::ConfigInterface*)(Okular::TextDocumentGenerator*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::TextDocumentSettings
      switch(to) {
        case 68: return (void*)(Okular::TextDocumentSettings*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::TextEntity
      switch(to) {
        case 69: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::TextPage
      switch(to) {
        case 70: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::TextSelection
      switch(to) {
        case 71: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 72:   //Okular::Tile
      switch(to) {
        case 72: return (void*)(Okular::Tile*)xptr;
        default: return xptr;
      }
    case 73:   //Okular::Utils
      switch(to) {
        case 73: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 74:   //Okular::View
      switch(to) {
        case 74: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 75:   //Okular::VisiblePageRect
      switch(to) {
        case 75: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 76:   //QAction
      switch(to) {
        case 76: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 77:   //QBool
      switch(to) {
        case 77: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 78:   //QByteArray
      switch(to) {
        case 78: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 79:   //QChildEvent
      switch(to) {
        case 79: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QColor
      switch(to) {
        case 80: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 81:   //QDateTime
      switch(to) {
        case 81: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 82:   //QDomDocument
      switch(to) {
        case 84: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 82: return (void*)(QDomDocument*)xptr;
        case 23: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 83:   //QDomElement
      switch(to) {
        case 84: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 83: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 84:   //QDomNode
      switch(to) {
        case 84: return (void*)(QDomNode*)xptr;
        case 23: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
        case 25: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 85:   //QEvent
      switch(to) {
        case 85: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QFont
      switch(to) {
        case 86: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 88:   //QImage
      switch(to) {
        case 88: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 89:   //QMetaObject
      switch(to) {
        case 89: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 90:   //QMutex
      switch(to) {
        case 90: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 91:   //QObject
      switch(to) {
        case 91: return (void*)(QObject*)xptr;
        case 38: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 21: return (void*)(Okular::Document*)(QObject*)xptr;
        case 67: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 66: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 92:   //QPainterPath
      switch(to) {
        case 92: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 93:   //QPixmap
      switch(to) {
        case 93: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 94:   //QPolygonF
      switch(to) {
        case 94: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 95:   //QPrinter
      switch(to) {
        case 95: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 96:   //QRect
      switch(to) {
        case 96: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 97:   //QRectF
      switch(to) {
        case 97: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 98:   //QRegExp
      switch(to) {
        case 98: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 99:   //QSize
      switch(to) {
        case 99: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 100:   //QSizeF
      switch(to) {
        case 100: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 101:   //QTextBlock
      switch(to) {
        case 101: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 102:   //QTextDocument
      switch(to) {
        case 102: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 103:   //QTimerEvent
      switch(to) {
        case 103: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 104:   //QTransform
      switch(to) {
        case 104: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 105:   //QVariant
      switch(to) {
        case 105: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 106:   //QWidget
      switch(to) {
        case 91: return (void*)(QObject*)(QWidget*)xptr;
        case 106: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    50, 0,	// 1: Okular::ObjectRect
    8, 0,	// 3: Okular::Action
    10, 0,	// 5: Okular::Annotation
    91, 0,	// 7: QObject
    82, 0,	// 9: QDomDocument
    33, 0,	// 11: Okular::FormField
    7, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    38, 20, 0,	// 17: Okular::Generator, Okular::ConfigInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PixmapRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Tile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//3
    { "KIcon", true, 0, 0, 0, 0, 0 },	//4
    { "KMimeType", true, 0, 0, 0, 0, 0 },	//5
    { "KUrl", true, 0, 0, 0, 0, 0 },	//6
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//7
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//8
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//9
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//10
    { "Okular::Annotation::Revision", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//12
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//14
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//15
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//16
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//17
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//18
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//19
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//20
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//21
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//22
    { "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//23
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//24
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//25
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//26
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//27
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//28
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//29
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//30
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//31
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//32
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//33
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//34
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//35
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//37
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//38
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//39
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//40
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//41
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//42
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//43
    { "Okular::HighlightAnnotation::Quad", true, 0, 0, 0, 0, 0 },	//44
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//45
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//46
    { "Okular::MovieAction", true, 0, 0, 0, 0, 0 },	//47
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//48
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//49
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//50
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//51
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//52
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//53
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, xenum_Okular__PixmapRequest, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//54
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//55
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//56
    { "Okular::RenditionAction", true, 0, 0, 0, 0, 0 },	//57
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//58
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//59
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//60
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//61
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//62
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//63
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//64
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//65
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//66
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//67
    { "Okular::TextDocumentSettings", true, 0, 0, 0, 0, 0 },	//68
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//69
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//70
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//71
    { "Okular::Tile", false, 0, xcall_Okular__Tile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Tile) },	//72
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//73
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//74
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//75
    { "QAction", true, 0, 0, 0, 0, 0 },	//76
    { "QBool", true, 0, 0, 0, 0, 0 },	//77
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//78
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QColor", true, 0, 0, 0, 0, 0 },	//80
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//81
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//82
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//83
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//84
    { "QEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QFont", true, 0, 0, 0, 0, 0 },	//86
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//87
    { "QImage", true, 0, 0, 0, 0, 0 },	//88
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//89
    { "QMutex", true, 0, 0, 0, 0, 0 },	//90
    { "QObject", true, 0, 0, 0, 0, 0 },	//91
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//92
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//93
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//94
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//95
    { "QRect", true, 0, 0, 0, 0, 0 },	//96
    { "QRectF", true, 0, 0, 0, 0, 0 },	//97
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//98
    { "QSize", true, 0, 0, 0, 0, 0 },	//99
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//100
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//101
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//102
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//103
    { "QTransform", true, 0, 0, 0, 0, 0 },	//104
    { "QVariant", true, 0, 0, 0, 0, 0 },	//105
    { "QWidget", true, 0, 0, 0, 0, 0 },	//106
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "KConfigDialog*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KIcon", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "KMimeType", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "KSycocaFactoryId", 87, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KSycocaType", 87, Smoke::t_enum|Smoke::tf_stack },	//9
    { "KUrl", 6, Smoke::t_class|Smoke::tf_stack },	//10
    { "KXMLGUIClient*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KXMLGUIClient::ReverseStateChange", 7, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Okular::Action*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Okular::Action::ActionType", 8, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Okular::ActionPrivate&", 9, Smoke::t_class|Smoke::tf_ref },	//15
    { "Okular::ActionPrivate*", 9, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Okular::Annotation*", 10, Smoke::t_class|Smoke::tf_ptr },	//17
    { "Okular::Annotation::AdditionalActionType", 10, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Okular::Annotation::Flag", 10, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Okular::Annotation::LineEffect", 10, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Okular::Annotation::LineStyle", 10, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Okular::Annotation::Revision", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "Okular::Annotation::RevisionScope", 10, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::RevisionType", 10, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::Style&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "Okular::Annotation::SubType", 10, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Okular::Annotation::Window&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "Okular::AnnotationObjectRect*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Okular::AnnotationPrivate&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "Okular::AnnotationPrivate*", 15, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Okular::AnnotationUtils*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Okular::BookmarkManager*", 17, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Okular::BrowseAction*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::CaretAnnotation*", 19, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Okular::CaretAnnotation::CaretSymbol", 19, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Okular::ConfigInterface*", 20, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Okular::Document*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::Document::OpenResult", 21, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Okular::Document::PixmapRequestFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Okular::Document::PrintingType", 21, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Okular::Document::SaveCapability", 21, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Okular::Document::SearchStatus", 21, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Okular::Document::SearchType", 21, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Okular::DocumentAction*", 22, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Okular::DocumentAction::DocumentActionType", 22, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Okular::DocumentInfo*", 23, Smoke::t_class|Smoke::tf_ptr },	//46
    { "Okular::DocumentInfo::Key", 23, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Okular::DocumentObserver*", 24, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentSynopsis*", 25, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Okular::DocumentViewport", 26, Smoke::t_class|Smoke::tf_stack },	//50
    { "Okular::DocumentViewport*", 26, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Okular::DocumentViewport::Position", 26, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Okular::EmbeddedFile*", 27, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::ExecuteAction*", 28, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Okular::ExportFormat", 29, Smoke::t_class|Smoke::tf_stack },	//55
    { "Okular::ExportFormat&", 29, Smoke::t_class|Smoke::tf_ref },	//56
    { "Okular::ExportFormat*", 29, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Okular::ExportFormat::StandardExportFormat", 29, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Okular::FileAttachmentAnnotation*", 30, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Okular::FilePrinter*", 31, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Okular::FilePrinter::FileDeletePolicy", 31, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Okular::FilePrinter::PageSelectPolicy", 31, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Okular::FontInfo", 32, Smoke::t_class|Smoke::tf_stack },	//63
    { "Okular::FontInfo&", 32, Smoke::t_class|Smoke::tf_ref },	//64
    { "Okular::FontInfo*", 32, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Okular::FontInfo::EmbedType", 32, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Okular::FontInfo::FontType", 32, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Okular::FormField*", 33, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Okular::FormField::FieldType", 33, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Okular::FormFieldButton*", 34, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Okular::FormFieldButton::ButtonType", 34, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Okular::FormFieldChoice*", 35, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Okular::FormFieldChoice::ChoiceType", 35, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Okular::FormFieldPrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//74
    { "Okular::FormFieldPrivate*", 36, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Okular::FormFieldText*", 37, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Okular::FormFieldText::TextType", 37, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Okular::Generator*", 38, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Okular::Generator::GeneratorFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Okular::Generator::PageSizeMetric", 38, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Okular::Generator::PrintError", 38, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Okular::GeneratorPrivate&", 39, Smoke::t_class|Smoke::tf_ref },	//83
    { "Okular::GeneratorPrivate*", 39, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Okular::GeomAnnotation*", 40, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Okular::GeomAnnotation::GeomType", 40, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Okular::GotoAction*", 41, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Okular::GuiInterface*", 42, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Okular::HighlightAnnotation*", 43, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Okular::HighlightAnnotation::HighlightType", 43, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Okular::HighlightAnnotation::Quad", 44, Smoke::t_class|Smoke::tf_stack },	//91
    { "Okular::InkAnnotation*", 45, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Okular::LineAnnotation*", 46, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Okular::LineAnnotation::LineIntent", 46, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Okular::LineAnnotation::TermStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Okular::NormalizedPoint", 48, Smoke::t_class|Smoke::tf_stack },	//97
    { "Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref },	//98
    { "Okular::NormalizedPoint*", 48, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Okular::NormalizedRect", 49, Smoke::t_class|Smoke::tf_stack },	//100
    { "Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref },	//101
    { "Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Okular::ObjectRect::ObjectType", 50, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Okular::Page::PageAction", 51, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Okular::PageSize", 52, Smoke::t_class|Smoke::tf_stack },	//107
    { "Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref },	//108
    { "Okular::PageSize*", 52, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref },	//110
    { "Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Okular::PageTransition::Alignment", 53, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Okular::PageTransition::Direction", 53, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Okular::PageTransition::Type", 53, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Okular::PixmapRequest*", 54, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Okular::PixmapRequest::PixmapRequestFeature", 54, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Okular::PrintInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref },	//119
    { "Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Okular::ScriptAction*", 58, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Okular::Sound*", 59, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Okular::Sound::SoundEncoding", 59, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Okular::Sound::SoundType", 59, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Okular::SoundAction*", 60, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Okular::SoundAnnotation*", 61, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Okular::SourceRefObjectRect*", 62, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Okular::SourceReference*", 63, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Okular::StampAnnotation*", 64, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Okular::TextAnnotation*", 65, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Okular::TextAnnotation::InplaceIntent", 65, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Okular::TextAnnotation::TextType", 65, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Okular::TextDocumentConverter*", 66, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Okular::TextDocumentGenerator*", 67, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Okular::TextDocumentSettings*", 68, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Okular::TextEntity*", 69, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Okular::TextPage*", 70, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Okular::TextPage::TextAreaInclusionBehaviour", 70, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Okular::TextSelection*", 71, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Okular::Tile", 72, Smoke::t_class|Smoke::tf_stack },	//143
    { "Okular::Tile&", 72, Smoke::t_class|Smoke::tf_ref },	//144
    { "Okular::Tile*", 72, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Okular::Utils*", 73, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Okular::View*", 74, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Okular::VisiblePageRect*", 75, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QAction*", 76, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QBool", 77, Smoke::t_class|Smoke::tf_stack },	//150
    { "QByteArray", 78, Smoke::t_class|Smoke::tf_stack },	//151
    { "QByteArray*", 78, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QChildEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QColor", 80, Smoke::t_class|Smoke::tf_stack },	//154
    { "QDateTime", 81, Smoke::t_class|Smoke::tf_stack },	//155
    { "QDomDocument", 82, Smoke::t_class|Smoke::tf_stack },	//156
    { "QDomDocument&", 82, Smoke::t_class|Smoke::tf_ref },	//157
    { "QDomElement", 83, Smoke::t_class|Smoke::tf_stack },	//158
    { "QDomElement&", 83, Smoke::t_class|Smoke::tf_ref },	//159
    { "QDomNode", 84, Smoke::t_class|Smoke::tf_stack },	//160
    { "QDomNode&", 84, Smoke::t_class|Smoke::tf_ref },	//161
    { "QEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QFlags<Okular::Document::PixmapRequestFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//163
    { "QFlags<Okular::PixmapRequest::PixmapRequestFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//164
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//165
    { "QFont", 86, Smoke::t_class|Smoke::tf_stack },	//166
    { "QImage", 88, Smoke::t_class|Smoke::tf_stack },	//167
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//169
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//170
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//171
    { "QLinkedList<const Okular::ObjectRect*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//173
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//174
    { "QList<Okular::FormFieldButton*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//176
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QList<Okular::TextEntity*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "QList<Okular::Tile>", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//182
    { "QMetaObject::Call", 89, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QMutex*", 90, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QObject*", 91, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainterPath&", 92, Smoke::t_class|Smoke::tf_ref },	//186
    { "QPixmap*", 93, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QPrinter&", 95, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPrinter::Orientation", 95, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QRect", 96, Smoke::t_class|Smoke::tf_stack },	//190
    { "QRegExp&", 98, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSize", 99, Smoke::t_class|Smoke::tf_stack },	//192
    { "QSizeF", 100, Smoke::t_class|Smoke::tf_stack },	//193
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//194
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//195
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//196
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//197
    { "QTextBlock", 101, Smoke::t_class|Smoke::tf_stack },	//198
    { "QTextDocument*", 102, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QTimerEvent*", 103, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QVariant", 105, Smoke::t_class|Smoke::tf_stack },	//201
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//202
    { "QWidget*", 106, Smoke::t_class|Smoke::tf_ptr },	//203
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "_LIB_VERSION_TYPE", 87, Smoke::t_enum|Smoke::tf_stack },	//276
    { "__codecvt_result", 87, Smoke::t_enum|Smoke::tf_stack },	//277
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//278
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//279
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const KComponentData*", 2, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const KIcon&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KUrl&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const Okular::Action*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//285
    { "const Okular::ActionPrivate*", 9, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//286
    { "const Okular::Annotation*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//287
    { "const Okular::Annotation::Style&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const Okular::Annotation::Window&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const Okular::AnnotationObjectRect&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const Okular::AnnotationPrivate*", 15, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const Okular::AnnotationUtils&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const Okular::ConfigInterface&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const Okular::Document*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//294
    { "const Okular::DocumentInfo&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const Okular::DocumentInfo*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//296
    { "const Okular::DocumentObserver*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//297
    { "const Okular::DocumentSynopsis&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const Okular::DocumentSynopsis*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//299
    { "const Okular::DocumentViewport&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const Okular::EmbeddedFile&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const Okular::ExportFormat&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const Okular::FilePrinter&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const Okular::FontInfo&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const Okular::FormFieldPrivate*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//305
    { "const Okular::GeneratorPrivate*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//306
    { "const Okular::GuiInterface&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const Okular::MovieAction*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//308
    { "const Okular::NormalizedPoint&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const Okular::NormalizedRect&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const Okular::NormalizedRect*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//311
    { "const Okular::ObjectRect&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const Okular::ObjectRect*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const Okular::Page*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const Okular::PageSize&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const Okular::PageTransition&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const Okular::PageTransition*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//317
    { "const Okular::PrintInterface&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const Okular::RegularAreaRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const Okular::RegularAreaRect*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//320
    { "const Okular::RenditionAction*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//321
    { "const Okular::SourceRefObjectRect&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const Okular::SourceReference*", 63, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//323
    { "const Okular::Tile&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const Okular::Utils&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const Okular::VisiblePageRect&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QByteArray&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QColor&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QDateTime&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QDomDocument&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QDomElement&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QDomNode&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QFont&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QImage*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//334
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//342
    { "const QList<Okular::FormFieldButton*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QMetaObject&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QMetaObject*", 89, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//350
    { "const QPainterPath&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QPolygonF&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QRect&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QRectF&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QRegExp&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QSizeF&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//357
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//359
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//360
    { "const QTextBlock&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QTransform&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QVariant&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//365
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//366
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//367
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//368
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//369
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//370
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//371
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//372
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//373
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//374
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    331, 0,	//1  const QDomElement&
    280, 0,	//3  const KComponentData&
    358, 278, 278, 0,	//5  const QString&, bool, bool
    358, 0,	//9  const QString&
    358, 278, 0,	//11  const QString&, bool
    330, 278, 0,	//14  const QDomDocument&, bool
    358, 12, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    369, 372, 0,	//20  int, void*
    363, 0,	//23  const QVariant&
    15, 0,	//25  Okular::ActionPrivate&
    329, 0,	//27  const QDateTime&
    369, 0,	//29  int
    310, 0,	//31  const Okular::NormalizedRect&
    309, 0,	//33  const Okular::NormalizedPoint&
    371, 0,	//35  void(*)(const Okular::Annotation*)
    161, 157, 0,	//37  QDomNode&, QDomDocument&
    332, 0,	//40  const QDomNode&
    29, 0,	//42  Okular::AnnotationPrivate&
    29, 332, 0,	//44  Okular::AnnotationPrivate&, const QDomNode&
    17, 0,	//47  Okular::Annotation*
    367, 367, 0,	//49  double, double
    367, 367, 367, 367, 0,	//52  double, double, double, double
    362, 0,	//57  const QTransform&
    290, 0,	//59  const Okular::AnnotationObjectRect&
    287, 159, 157, 0,	//61  const Okular::Annotation*, QDomElement&, QDomDocument&
    332, 358, 0,	//65  const QDomNode&, const QString&
    287, 367, 367, 0,	//68  const Okular::Annotation*, double, double
    292, 0,	//72  const Okular::AnnotationUtils&
    35, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    3, 0,	//76  KConfigDialog*
    293, 0,	//78  const Okular::ConfigInterface&
    365, 0,	//80  const char*
    365, 365, 0,	//82  const char*, const char*
    365, 365, 369, 0,	//85  const char*, const char*, int
    183, 369, 373, 0,	//89  QMetaObject::Call, int, void**
    203, 0,	//93  QWidget*
    358, 284, 283, 358, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&, const QString&
    48, 0,	//100  Okular::DocumentObserver*
    364, 48, 0,	//102  const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*
    115, 0,	//105  Okular::Permission
    358, 302, 0,	//107  const QString&, const Okular::ExportFormat&
    358, 363, 0,	//110  const QString&, const QVariant&
    369, 48, 278, 0,	//113  int, Okular::DocumentObserver*, bool
    300, 48, 278, 0,	//117  const Okular::DocumentViewport&, Okular::DocumentObserver*, bool
    300, 0,	//121  const Okular::DocumentViewport&
    369, 48, 0,	//123  int, Okular::DocumentObserver*
    339, 0,	//126  const QLinkedList<Okular::PixmapRequest*>&
    339, 163, 0,	//128  const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>
    370, 0,	//131  unsigned int
    369, 17, 0,	//133  int, Okular::Annotation*
    287, 0,	//136  const Okular::Annotation*
    369, 17, 309, 0,	//138  int, Okular::Annotation*, const Okular::NormalizedPoint&
    369, 17, 358, 369, 369, 369, 0,	//142  int, Okular::Annotation*, const QString&, int, int, int
    369, 341, 0,	//149  int, const QList<Okular::Annotation*>&
    369, 120, 328, 0,	//152  int, Okular::RegularAreaRect*, const QColor&
    369, 358, 278, 213, 43, 278, 328, 0,	//156  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    369, 43, 0,	//164  int, Okular::Document::SearchType
    285, 0,	//167  const Okular::Action*
    323, 0,	//169  const Okular::SourceReference*
    188, 0,	//171  QPrinter&
    41, 0,	//173  Okular::Document::SaveCapability
    358, 195, 0,	//175  const QString&, QString*
    147, 0,	//178  Okular::View*
    304, 0,	//180  const Okular::FontInfo&
    358, 284, 358, 0,	//182  const QString&, const KUrl&, const QString&
    369, 367, 367, 0,	//186  int, double, double
    278, 0,	//190  bool
    358, 195, 195, 195, 0,	//192  const QString&, QString*, QString*, QString*
    315, 0,	//197  const Okular::PageSize&
    369, 76, 358, 369, 369, 369, 0,	//199  int, Okular::FormFieldText*, const QString&, int, int, int
    369, 72, 348, 0,	//206  int, Okular::FormFieldChoice*, const QList<int>&
    369, 72, 358, 369, 369, 369, 0,	//210  int, Okular::FormFieldChoice*, const QString&, int, int, int
    369, 343, 347, 0,	//217  int, const QList<Okular::FormFieldButton*>&, const QList<bool>&
    284, 0,	//221  const KUrl&
    358, 369, 0,	//223  const QString&, int
    369, 42, 0,	//226  int, Okular::Document::SearchStatus
    358, 369, 369, 279, 0,	//229  const QString&, int, int, bool*
    308, 0,	//234  const Okular::MovieAction*
    321, 0,	//236  const Okular::RenditionAction*
    17, 358, 369, 369, 0,	//238  Okular::Annotation*, const QString&, int, int
    369, 76, 358, 369, 369, 0,	//243  int, Okular::FormFieldText*, const QString&, int, int
    369, 72, 358, 369, 369, 0,	//249  int, Okular::FormFieldChoice*, const QString&, int, int
    369, 343, 0,	//255  int, const QList<Okular::FormFieldButton*>&
    358, 284, 283, 0,	//258  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    364, 0,	//262  const QVector<Okular::VisiblePageRect*>&
    300, 48, 0,	//264  const Okular::DocumentViewport&, Okular::DocumentObserver*
    358, 284, 0,	//267  const QString&, const KUrl&
    45, 0,	//270  Okular::DocumentAction::DocumentActionType
    358, 358, 358, 0,	//272  const QString&, const QString&, const QString&
    47, 358, 0,	//276  Okular::DocumentInfo::Key, const QString&
    47, 0,	//279  Okular::DocumentInfo::Key
    295, 0,	//281  const Okular::DocumentInfo&
    358, 358, 0,	//283  const QString&, const QString&
    330, 0,	//286  const QDomDocument&
    298, 0,	//288  const Okular::DocumentSynopsis&
    301, 0,	//290  const Okular::EmbeddedFile&
    358, 283, 0,	//292  const QString&, const KSharedPtr<KMimeType>&
    282, 358, 283, 0,	//295  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    302, 0,	//299  const Okular::ExportFormat&
    58, 0,	//301  Okular::ExportFormat::StandardExportFormat
    53, 0,	//303  Okular::EmbeddedFile*
    188, 357, 189, 61, 62, 358, 0,	//305  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    188, 369, 369, 348, 0,	//312  QPrinter&, int, int, const QList<int>&
    188, 369, 348, 0,	//317  QPrinter&, int, const QList<int>&
    348, 0,	//321  const QList<int>&
    188, 359, 61, 62, 358, 189, 0,	//323  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation
    188, 61, 62, 278, 358, 358, 189, 0,	//330  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation
    188, 358, 0,	//338  QPrinter&, const QString&
    188, 61, 358, 0,	//341  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    188, 62, 358, 278, 358, 0,	//345  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    188, 189, 0,	//351  QPrinter&, QPrinter::Orientation
    303, 0,	//354  const Okular::FilePrinter&
    188, 357, 189, 0,	//356  QPrinter&, const QString, QPrinter::Orientation
    188, 357, 189, 61, 0,	//360  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy
    188, 357, 189, 61, 62, 0,	//365  QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    67, 0,	//371  Okular::FontInfo::FontType
    66, 0,	//373  Okular::FontInfo::EmbedType
    74, 0,	//375  Okular::FormFieldPrivate&
    13, 0,	//377  Okular::Action*
    185, 346, 0,	//379  QObject*, const QList<QVariant>&
    358, 202, 0,	//382  const QString&, QVector<Okular::Page*>&
    327, 202, 0,	//385  const QByteArray&, QVector<Okular::Page*>&
    358, 202, 358, 0,	//388  const QString&, QVector<Okular::Page*>&, const QString&
    327, 202, 358, 0,	//392  const QByteArray&, QVector<Okular::Page*>&, const QString&
    116, 0,	//396  Okular::PixmapRequest*
    105, 0,	//398  Okular::Page*
    121, 121, 0,	//400  Okular::Rotation, Okular::Rotation
    315, 315, 0,	//403  const Okular::PageSize&, const Okular::PageSize&
    80, 0,	//406  Okular::Generator::GeneratorFeature
    356, 0,	//408  const QSizeF&
    105, 140, 0,	//410  Okular::Page*, Okular::TextPage*
    80, 278, 0,	//413  Okular::Generator::GeneratorFeature, bool
    369, 310, 0,	//416  int, const Okular::NormalizedRect&
    304, 152, 0,	//419  const Okular::FontInfo&, QByteArray*
    83, 185, 346, 0,	//422  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    86, 0,	//426  Okular::GeomAnnotation::GeomType
    328, 0,	//428  const QColor&
    358, 300, 0,	//430  const QString&, const Okular::DocumentViewport&
    307, 0,	//433  const Okular::GuiInterface&
    90, 0,	//435  Okular::HighlightAnnotation::HighlightType
    345, 0,	//437  const QList<QLinkedList<Okular::NormalizedPoint> >&
    337, 0,	//439  const QLinkedList<Okular::NormalizedPoint>&
    95, 0,	//441  Okular::LineAnnotation::TermStyle
    367, 0,	//443  double
    94, 0,	//445  Okular::LineAnnotation::LineIntent
    369, 369, 369, 369, 0,	//447  int, int, int, int
    367, 367, 367, 367, 309, 309, 0,	//452  double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&
    353, 367, 367, 0,	//459  const QRect&, double, double
    354, 0,	//463  const QRectF&
    311, 0,	//465  const Okular::NormalizedRect*
    369, 369, 0,	//467  int, int
    367, 367, 367, 367, 278, 104, 372, 0,	//470  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    310, 278, 104, 372, 0,	//478  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    352, 104, 372, 0,	//483  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    312, 0,	//487  const Okular::ObjectRect&
    104, 0,	//489  Okular::ObjectRect::ObjectType
    372, 0,	//491  void*
    351, 0,	//493  const QPainterPath&
    370, 367, 367, 121, 0,	//495  unsigned int, double, double, Okular::Rotation
    48, 369, 369, 310, 0,	//500  Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&
    369, 358, 124, 213, 320, 0,	//505  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    320, 0,	//511  const Okular::RegularAreaRect*
    320, 141, 0,	//513  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    309, 195, 0,	//516  const Okular::NormalizedPoint&, QString*
    142, 0,	//519  Okular::TextSelection*
    104, 367, 367, 367, 367, 0,	//521  Okular::ObjectRect::ObjectType, double, double, double, double
    104, 367, 367, 367, 367, 368, 0,	//527  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    106, 0,	//534  Okular::Page::PageAction
    48, 187, 310, 0,	//536  Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&
    140, 0,	//540  Okular::TextPage*
    338, 0,	//542  const QLinkedList<Okular::ObjectRect*>&
    340, 0,	//544  const QLinkedList<Okular::SourceRefObjectRect*>&
    111, 0,	//546  Okular::PageTransition*
    106, 13, 0,	//548  Okular::Page::PageAction, Okular::Action*
    336, 0,	//551  const QLinkedList<Okular::FormField*>&
    297, 0,	//553  const Okular::DocumentObserver*
    297, 310, 0,	//555  const Okular::DocumentObserver*, const Okular::NormalizedRect&
    48, 369, 0,	//558  Okular::DocumentObserver*, int
    48, 369, 369, 0,	//561  Okular::DocumentObserver*, int, int
    369, 358, 124, 213, 0,	//565  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    48, 187, 0,	//570  Okular::DocumentObserver*, QPixmap*
    367, 367, 358, 0,	//573  double, double, const QString&
    114, 0,	//577  Okular::PageTransition::Type
    316, 0,	//579  const Okular::PageTransition&
    112, 0,	//581  Okular::PageTransition::Alignment
    113, 0,	//583  Okular::PageTransition::Direction
    48, 369, 369, 369, 369, 164, 0,	//585  Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>
    318, 0,	//592  const Okular::PrintInterface&
    319, 0,	//594  const Okular::RegularAreaRect&
    123, 358, 0,	//596  Okular::ScriptType, const QString&
    327, 0,	//599  const QByteArray&
    126, 0,	//601  Okular::Sound::SoundEncoding
    367, 278, 278, 278, 125, 0,	//603  double, bool, bool, bool, Okular::Sound*
    125, 0,	//609  Okular::Sound*
    309, 372, 0,	//611  const Okular::NormalizedPoint&, void*
    322, 0,	//614  const Okular::SourceRefObjectRect&
    358, 369, 369, 0,	//616  const QString&, int, int
    135, 0,	//620  Okular::TextAnnotation::TextType
    333, 0,	//622  const QFont&
    309, 369, 0,	//624  const Okular::NormalizedPoint&, int
    134, 0,	//627  Okular::TextAnnotation::InplaceIntent
    13, 369, 369, 0,	//629  Okular::Action*, int, int
    17, 369, 369, 0,	//633  Okular::Annotation*, int, int
    369, 358, 361, 0,	//637  int, const QString&, const QTextBlock&
    199, 0,	//641  QTextDocument*
    199, 361, 0,	//643  QTextDocument*, const QTextBlock&
    136, 358, 185, 346, 0,	//646  Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&
    136, 185, 346, 0,	//651  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    358, 102, 0,	//655  const QString&, Okular::NormalizedRect*
    344, 0,	//658  const QList<Okular::TextEntity*>&
    310, 187, 278, 0,	//660  const Okular::NormalizedRect&, QPixmap*, bool
    324, 0,	//664  const Okular::Tile&
    353, 369, 369, 369, 0,	//666  const QRect&, int, int, int
    334, 0,	//671  const QImage*
    325, 0,	//673  const Okular::Utils&
    326, 0,	//675  const Okular::VisiblePageRect&
    162, 0,	//677  QEvent*
    185, 162, 0,	//679  QObject*, QEvent*
    200, 0,	//682  QTimerEvent*
    153, 0,	//684  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "AScreen",	//9
    "ASound",	//10
    "AStamp",	//11
    "AText",	//12
    "AWidget",	//13
    "A_BASE",	//14
    "Accepted",	//15
    "Action",	//16
    "Action#",	//17
    "AllDocument",	//18
    "Annotation",	//19
    "Annotation#",	//20
    "Annotation##",	//21
    "AnnotationObjectRect",	//22
    "AnnotationObjectRect#",	//23
    "AnnotationUtils",	//24
    "AnnotationUtils#",	//25
    "AnyPixelTextAreaInclusionBehaviour",	//26
    "ApplicationDeletesFiles",	//27
    "ApplicationSelectsPages",	//28
    "Arrow",	//29
    "Asynchronous",	//30
    "Author",	//31
    "BeingMoved",	//32
    "Beveled",	//33
    "Blinds",	//34
    "Box",	//35
    "Browse",	//36
    "BrowseAction",	//37
    "BrowseAction$",	//38
    "Butt",	//39
    "CIDTrueType",	//40
    "CIDTrueTypeOT",	//41
    "CIDType0",	//42
    "CIDType0C",	//43
    "CIDType0COT",	//44
    "Callout",	//45
    "Cancelled",	//46
    "CaretAnnotation",	//47
    "CaretAnnotation#",	//48
    "Category",	//49
    "Center",	//50
    "CentralPixelTextAreaInclusionBehaviour",	//51
    "CheckBox",	//52
    "Circle",	//53
    "Close",	//54
    "ClosedArrow",	//55
    "Closing",	//56
    "Cloudy",	//57
    "ComboBox",	//58
    "Completed",	//59
    "ConfigInterface",	//60
    "ConfigInterface#",	//61
    "Copyright",	//62
    "Cover",	//63
    "CreationDate",	//64
    "Creator",	//65
    "Dashed",	//66
    "Delete",	//67
    "DenyDelete",	//68
    "DenyPrint",	//69
    "DenyWrite",	//70
    "Description",	//71
    "Diamond",	//72
    "Dimension",	//73
    "Dissolve",	//74
    "DocAction",	//75
    "Document",	//76
    "Document#",	//77
    "DocumentAction",	//78
    "DocumentAction$",	//79
    "DocumentInfo",	//80
    "DocumentInfo#",	//81
    "DocumentSize",	//82
    "DocumentSynopsis",	//83
    "DocumentSynopsis#",	//84
    "DocumentViewport",	//85
    "DocumentViewport#",	//86
    "DocumentViewport$",	//87
    "Embedded",	//88
    "EmbeddedFile",	//89
    "EmbeddedFile#",	//90
    "EmbeddedSubset",	//91
    "EndOfDocumentReached",	//92
    "EndPresentation",	//93
    "Execute",	//94
    "ExecuteAction",	//95
    "ExecuteAction$$",	//96
    "ExportFormat",	//97
    "ExportFormat#",	//98
    "ExportFormat#$?",	//99
    "ExportFormat$?",	//100
    "External",	//101
    "ExternallyDrawn",	//102
    "Fade",	//103
    "FileAttachmentAnnotation",	//104
    "FileAttachmentAnnotation#",	//105
    "FileConversionPrintError",	//106
    "FilePath",	//107
    "FilePrinter",	//108
    "FilePrinter#",	//109
    "FileSelect",	//110
    "Find",	//111
    "FixedRotation",	//112
    "FixedSize",	//113
    "Fly",	//114
    "FontInfo",	//115
    "FontInfo#",	//116
    "FormButton",	//117
    "FormChoice",	//118
    "FormField",	//119
    "FormField#",	//120
    "FormFieldButton",	//121
    "FormFieldChoice",	//122
    "FormFieldText",	//123
    "FormSignature",	//124
    "FormText",	//125
    "FullyEmbedded",	//126
    "Generator",	//127
    "Generator##?",	//128
    "Generator#?",	//129
    "GeomAnnotation",	//130
    "GeomAnnotation#",	//131
    "Glitter",	//132
    "GoToPage",	//133
    "GoogleAll",	//134
    "GoogleAny",	//135
    "Goto",	//136
    "GotoAction",	//137
    "GotoAction$#",	//138
    "GotoAction$$",	//139
    "Group",	//140
    "GuiInterface",	//141
    "GuiInterface#",	//142
    "HTML",	//143
    "Hidden",	//144
    "Highlight",	//145
    "HighlightAnnotation",	//146
    "HighlightAnnotation#",	//147
    "HistoryBack",	//148
    "HistoryForward",	//149
    "Horizontal",	//150
    "Image",	//151
    "InPlace",	//152
    "InkAnnotation",	//153
    "InkAnnotation#",	//154
    "InscribedCircle",	//155
    "InscribedSquare",	//156
    "Inset",	//157
    "InvalidPageSizePrintError",	//158
    "InvalidPrinterStatePrintError",	//159
    "Inward",	//160
    "KST_CTimeInfo",	//161
    "KST_KCustom",	//162
    "KST_KDEDesktopMimeType",	//163
    "KST_KFolderMimeType",	//164
    "KST_KImageIO",	//165
    "KST_KImageIOFormat",	//166
    "KST_KMimeType",	//167
    "KST_KMimeTypeEntry",	//168
    "KST_KMimeTypeFactory",	//169
    "KST_KProtocolInfo",	//170
    "KST_KProtocolInfoFactory",	//171
    "KST_KService",	//172
    "KST_KServiceFactory",	//173
    "KST_KServiceGroup",	//174
    "KST_KServiceGroupFactory",	//175
    "KST_KServiceSeparator",	//176
    "KST_KServiceType",	//177
    "KST_KServiceTypeFactory",	//178
    "KST_KSycocaEntry",	//179
    "Keywords",	//180
    "LineAnnotation",	//181
    "LineAnnotation#",	//182
    "Linked",	//183
    "ListBox",	//184
    "Marked",	//185
    "MatchFound",	//186
    "MimeType",	//187
    "ModificationDate",	//188
    "Movie",	//189
    "Multiline",	//190
    "NativePrinting",	//191
    "NextMatch",	//192
    "NoBinaryToPrintError",	//193
    "NoEffect",	//194
    "NoFeature",	//195
    "NoFileToPrintError",	//196
    "NoMatchFound",	//197
    "NoOption",	//198
    "NoPrintError",	//199
    "NoPrinting",	//200
    "None",	//201
    "Normal",	//202
    "NormalizedPoint",	//203
    "NormalizedPoint#",	//204
    "NormalizedPoint$$",	//205
    "NormalizedPoint$$$$",	//206
    "NormalizedRect",	//207
    "NormalizedRect#",	//208
    "NormalizedRect#$$",	//209
    "NormalizedRect$$$$",	//210
    "NotEmbedded",	//211
    "OAnnotation",	//212
    "ObjectRect",	//213
    "ObjectRect#",	//214
    "ObjectRect#$$",	//215
    "ObjectRect#$$$",	//216
    "ObjectRect$$$$$$$",	//217
    "OpenArrow",	//218
    "OpenDocumentText",	//219
    "OpenError",	//220
    "OpenNeedsPassword",	//221
    "OpenSuccess",	//222
    "Opening",	//223
    "Outward",	//224
    "P",	//225
    "PDF",	//226
    "Page",	//227
    "Page$$$$",	//228
    "PageClosing",	//229
    "PageFirst",	//230
    "PageLast",	//231
    "PageNext",	//232
    "PageOpening",	//233
    "PagePrev",	//234
    "PageSize",	//235
    "PageSize#",	//236
    "PageSize$$$",	//237
    "PageSizes",	//238
    "PageTransition",	//239
    "PageTransition#",	//240
    "PageTransition$",	//241
    "Pages",	//242
    "PagesSize",	//243
    "Pixels",	//244
    "PixmapRequest",	//245
    "PixmapRequest#$$$$$",	//246
    "PlainText",	//247
    "Points",	//248
    "PolygonCloud",	//249
    "PostscriptPrinting",	//250
    "Preload",	//251
    "Presentation",	//252
    "PreviousMatch",	//253
    "PrintInterface",	//254
    "PrintInterface#",	//255
    "PrintNative",	//256
    "PrintPostscript",	//257
    "PrintToFile",	//258
    "PrintToFilePrintError",	//259
    "PrintingProcessCrashPrintError",	//260
    "PrintingProcessStartPrintError",	//261
    "Producer",	//262
    "Push",	//263
    "Quit",	//264
    "RClosedArrow",	//265
    "ROpenArrow",	//266
    "Radio",	//267
    "Raw",	//268
    "ReadRawData",	//269
    "RegularAreaRect",	//270
    "RegularAreaRect#",	//271
    "Rejected",	//272
    "RemoveAllPrevious",	//273
    "Rendition",	//274
    "Replace",	//275
    "Reply",	//276
    "SaveAnnotationsCapability",	//277
    "SaveFormsCapability",	//278
    "Script",	//279
    "ScriptAction",	//280
    "ScriptAction$$",	//281
    "SearchCancelled",	//282
    "Signed",	//283
    "Slash",	//284
    "Solid",	//285
    "Sound",	//286
    "Sound#",	//287
    "Sound$",	//288
    "SoundAction",	//289
    "SoundAction$$$$#",	//290
    "SoundAnnotation",	//291
    "SoundAnnotation#",	//292
    "SourceRef",	//293
    "SourceRefObjectRect",	//294
    "SourceRefObjectRect#",	//295
    "SourceRefObjectRect#$",	//296
    "SourceReference",	//297
    "SourceReference$$",	//298
    "SourceReference$$$",	//299
    "Split",	//300
    "Square",	//301
    "Squiggly",	//302
    "StampAnnotation",	//303
    "StampAnnotation#",	//304
    "StateNoReverse",	//305
    "StateReverse",	//306
    "StrikeOut",	//307
    "Subject",	//308
    "SystemDeletesFiles",	//309
    "SystemSelectsPages",	//310
    "TeXFontMetric",	//311
    "TeXFreeTypeHandled",	//312
    "TeXPK",	//313
    "TeXVirtual",	//314
    "TemporaryFileOpenPrintError",	//315
    "TextAnnotation",	//316
    "TextAnnotation#",	//317
    "TextDocumentConverter",	//318
    "TextDocumentGenerator",	//319
    "TextDocumentGenerator##?",	//320
    "TextDocumentGenerator#$#?",	//321
    "TextEntity",	//322
    "TextEntity$#",	//323
    "TextExtraction",	//324
    "TextPage",	//325
    "TextPage?",	//326
    "Threaded",	//327
    "Tile",	//328
    "Tile#",	//329
    "Tile##$",	//330
    "TiledRendering",	//331
    "Title",	//332
    "ToggleHidingOnMouse",	//333
    "TopLeft",	//334
    "TrueType",	//335
    "TrueTypeOT",	//336
    "Type1",	//337
    "Type1C",	//338
    "Type1COT",	//339
    "Type3",	//340
    "TypeWriter",	//341
    "UnableToFindFilePrintError",	//342
    "Uncover",	//343
    "Underline",	//344
    "Unknown",	//345
    "UnknownPrintError",	//346
    "Unmarked",	//347
    "Utils",	//348
    "Utils#",	//349
    "Vertical",	//350
    "VisiblePageRect",	//351
    "VisiblePageRect#",	//352
    "VisiblePageRect$",	//353
    "VisiblePageRect$#",	//354
    "Wipe",	//355
    "_IEEE_",	//356
    "_ISOC_",	//357
    "_POSIX_",	//358
    "_SVID_",	//359
    "_XOPEN_",	//360
    "__codecvt_error",	//361
    "__codecvt_noconv",	//362
    "__codecvt_ok",	//363
    "__codecvt_partial",	//364
    "action",	//365
    "actionCollection",	//366
    "actionTip",	//367
    "actionType",	//368
    "activationAction",	//369
    "addAction",	//370
    "addAction#$$",	//371
    "addAnnotation",	//372
    "addAnnotation#",	//373
    "addAnnotation#$$",	//374
    "addMetaData",	//375
    "addMetaData$$",	//376
    "addMetaData$$$",	//377
    "addObserver",	//378
    "addObserver#",	//379
    "addPageAnnotation",	//380
    "addPageAnnotation$#",	//381
    "addPages",	//382
    "addPages#",	//383
    "addTitle",	//384
    "addTitle$$#",	//385
    "alignment",	//386
    "allPagesSize",	//387
    "angle",	//388
    "annotation",	//389
    "annotationContentsChangedByUndoRedo",	//390
    "annotationContentsChangedByUndoRedo#$$$",	//391
    "annotationGeometry",	//392
    "annotationGeometry#$$",	//393
    "annotations",	//394
    "append",	//395
    "append$#",	//396
    "area",	//397
    "asynchronous",	//398
    "author",	//399
    "bitsPerSample",	//400
    "bookmarkManager",	//401
    "bookmarkedPageList",	//402
    "bookmarkedPageRange",	//403
    "bottom",	//404
    "boundingBox",	//405
    "boundingRect",	//406
    "boundingRect$$",	//407
    "boundingRectangle",	//408
    "buttonType",	//409
    "calculateViewport",	//410
    "calculateViewport##",	//411
    "canBeExtracted",	//412
    "canBeMoved",	//413
    "canBeSpellChecked",	//414
    "canConfigurePrinter",	//415
    "canExportToText",	//416
    "canGeneratePixmap",	//417
    "canGenerateTextPage",	//418
    "canModifyPageAnnotation",	//419
    "canModifyPageAnnotation#",	//420
    "canProvideFontInformation",	//421
    "canRedo",	//422
    "canRedoChanged",	//423
    "canRedoChanged$",	//424
    "canRemovePageAnnotation",	//425
    "canRemovePageAnnotation#",	//426
    "canSaveChanges",	//427
    "canSaveChanges$",	//428
    "canUndo",	//429
    "canUndoChanged",	//430
    "canUndoChanged$",	//431
    "cancelSearch",	//432
    "caption",	//433
    "caretSymbol",	//434
    "center",	//435
    "channels",	//436
    "childEvent",	//437
    "choiceType",	//438
    "choices",	//439
    "close",	//440
    "closeDocument",	//441
    "column",	//442
    "componentData",	//443
    "configurableGenerators",	//444
    "connectNotify",	//445
    "contains",	//446
    "contains$$",	//447
    "contains$$$$",	//448
    "contents",	//449
    "continueSearch",	//450
    "continueSearch$",	//451
    "continueSearch$$",	//452
    "convert",	//453
    "convert$",	//454
    "convertWithPassword",	//455
    "convertWithPassword$$",	//456
    "copies",	//457
    "copies#$",	//458
    "createAnnotation",	//459
    "createAnnotation#",	//460
    "creationDate",	//461
    "cupsAvailable",	//462
    "cupsOptions",	//463
    "cupsOptions#$",	//464
    "currentChoices",	//465
    "currentDocument",	//466
    "currentPage",	//467
    "customEvent",	//468
    "d_func",	//469
    "data",	//470
    "deleteAnnotations",	//471
    "deleteFile",	//472
    "deleteFile#$$",	//473
    "deletePixmap",	//474
    "deletePixmap#",	//475
    "deletePixmaps",	//476
    "deleteRects",	//477
    "deleteSourceReferences",	//478
    "description",	//479
    "destViewport",	//480
    "destination",	//481
    "destination#$",	//482
    "destinationName",	//483
    "detectCupsConfig",	//484
    "detectCupsService",	//485
    "direction",	//486
    "disconnectNotify",	//487
    "distanceSqr",	//488
    "distanceSqr$$$$",	//489
    "distanceSqr$$$$##",	//490
    "doCloseDocument",	//491
    "doPrintFiles",	//492
    "doPrintFiles#?$$$$",	//493
    "document",	//494
    "documentActionType",	//495
    "documentInfo",	//496
    "documentMetaData",	//497
    "documentMetaData$",	//498
    "documentMetaData$#",	//499
    "documentSynopsis",	//500
    "domDocument",	//501
    "dpi",	//502
    "dpiX",	//503
    "dpiY",	//504
    "duration",	//505
    "dynamicSourceReference",	//506
    "dynamicSourceReference$$$",	//507
    "editChoice",	//508
    "editFormButtons",	//509
    "editFormButtons$??",	//510
    "editFormCombo",	//511
    "editFormCombo$#$$$$",	//512
    "editFormList",	//513
    "editFormList$#?",	//514
    "editFormText",	//515
    "editFormText$#$$$$",	//516
    "editPageAnnotationContents",	//517
    "editPageAnnotationContents$#$$$$",	//518
    "embedType",	//519
    "embeddedFile",	//520
    "embeddedFiles",	//521
    "error",	//522
    "error$$",	//523
    "event",	//524
    "eventFilter",	//525
    "exportFormats",	//526
    "exportTo",	//527
    "exportTo$#",	//528
    "exportToText",	//529
    "exportToText$",	//530
    "file",	//531
    "fileIconName",	//532
    "fileName",	//533
    "fillConfigDialog",	//534
    "fillConfigDialog#",	//535
    "findChildElement",	//536
    "findChildElement#$",	//537
    "findText",	//538
    "findText$$$$",	//539
    "findText$$$$#",	//540
    "flags",	//541
    "fontData",	//542
    "fontData#",	//543
    "fontReadingEnded",	//544
    "fontReadingProgress",	//545
    "fontReadingProgress$",	//546
    "fontsForPage",	//547
    "fontsForPage$",	//548
    "formButtonsChangedByUndoRedo",	//549
    "formButtonsChangedByUndoRedo$?",	//550
    "formComboChangedByUndoRedo",	//551
    "formComboChangedByUndoRedo$#$$$",	//552
    "formFields",	//553
    "formListChangedByUndoRedo",	//554
    "formListChangedByUndoRedo$#?",	//555
    "formTextChangedByUndoRedo",	//556
    "formTextChangedByUndoRedo$#$$$",	//557
    "fromQRectF",	//558
    "fromQRectF#",	//559
    "generalSettings",	//560
    "generateDocumentInfo",	//561
    "generateDocumentSynopsis",	//562
    "generatePixmap",	//563
    "generatePixmap#",	//564
    "generateTextPage",	//565
    "generateTextPage#",	//566
    "generator",	//567
    "geometricalInnerColor",	//568
    "geometricalType",	//569
    "geometry",	//570
    "geometry$$",	//571
    "get",	//572
    "get$",	//573
    "getAnnotationPropertiesDomNode",	//574
    "getKeyString",	//575
    "getKeyString$",	//576
    "getKeyTitle",	//577
    "getKeyTitle$",	//578
    "gotFont",	//579
    "gotFont#",	//580
    "guiClient",	//581
    "hasAnnotations",	//582
    "hasFeature",	//583
    "hasFeature$",	//584
    "hasHighlights",	//585
    "hasHighlights$",	//586
    "hasObjectRect",	//587
    "hasObjectRect$$$$",	//588
    "hasPixmap",	//589
    "hasPixmap#",	//590
    "hasPixmap#$",	//591
    "hasPixmap#$$",	//592
    "hasPixmap#$$#",	//593
    "hasTextPage",	//594
    "hasTilesManager",	//595
    "hasTilesManager#",	//596
    "hasTransition",	//597
    "height",	//598
    "highlightQuads",	//599
    "highlightType",	//600
    "historyAtBegin",	//601
    "historyAtEnd",	//602
    "icon",	//603
    "id",	//604
    "image",	//605
    "image#",	//606
    "imageBoundingBox",	//607
    "imageBoundingBox#",	//608
    "inkPaths",	//609
    "inplaceAlignment",	//610
    "inplaceCallout",	//611
    "inplaceCallout$",	//612
    "inplaceIntent",	//613
    "intersects",	//614
    "intersects#",	//615
    "intersects$$$$",	//616
    "isAllowed",	//617
    "isAllowed$",	//618
    "isBottom",	//619
    "isBottom#",	//620
    "isBottomOrLevel",	//621
    "isBottomOrLevel#",	//622
    "isBoundingBoxKnown",	//623
    "isEditable",	//624
    "isExternal",	//625
    "isLeft",	//626
    "isLeft#",	//627
    "isNull",	//628
    "isOpened",	//629
    "isPassword",	//630
    "isReadOnly",	//631
    "isRectangular",	//632
    "isRichText",	//633
    "isRight",	//634
    "isRight#",	//635
    "isTile",	//636
    "isTop",	//637
    "isTop#",	//638
    "isTopOrLevel",	//639
    "isTopOrLevel#",	//640
    "isValid",	//641
    "isVisible",	//642
    "jobname",	//643
    "jobname#$",	//644
    "label",	//645
    "left",	//646
    "lineClosed",	//647
    "lineEndStyle",	//648
    "lineInnerColor",	//649
    "lineIntent",	//650
    "lineLeadingBackwardPoint",	//651
    "lineLeadingForwardPoint",	//652
    "linePoints",	//653
    "lineStartStyle",	//654
    "linkEndPresentation",	//655
    "linkFind",	//656
    "linkGoToPage",	//657
    "linkPresentation",	//658
    "loadDocument",	//659
    "loadDocument$?",	//660
    "loadDocumentFromData",	//661
    "loadDocumentFromData#?",	//662
    "loadDocumentFromDataWithPassword",	//663
    "loadDocumentFromDataWithPassword#?$",	//664
    "loadDocumentWithPassword",	//665
    "loadDocumentWithPassword$?$",	//666
    "localXMLFile",	//667
    "m_object",	//668
    "m_objectType",	//669
    "m_path",	//670
    "m_transformedPath",	//671
    "maximumLength",	//672
    "mediaPageSize",	//673
    "mediaPageSize#",	//674
    "mediaPaperSource",	//675
    "mediaPaperSource#",	//676
    "metaData",	//677
    "metaData$",	//678
    "metaData$#",	//679
    "metaObject",	//680
    "mimeType",	//681
    "mix",	//682
    "modificationDate",	//683
    "modifyPageAnnotationProperties",	//684
    "modifyPageAnnotationProperties$#",	//685
    "muLaw",	//686
    "multiSelect",	//687
    "name",	//688
    "nativeId",	//689
    "nearestObjectRect",	//690
    "nearestObjectRect$$$$$$",	//691
    "normalizedRect",	//692
    "notice",	//693
    "notice$$",	//694
    "number",	//695
    "object",	//696
    "objectRect",	//697
    "objectRect$$$$$",	//698
    "objectRects",	//699
    "objectRects$$$$$",	//700
    "objectType",	//701
    "observer",	//702
    "openDialogAfterCreation",	//703
    "openDocument",	//704
    "openDocument$#?",	//705
    "openDocument$#?$",	//706
    "openDocumentArchive",	//707
    "openDocumentArchive$#",	//708
    "openDocumentArchive$#$",	//709
    "openUrl",	//710
    "openUrl#",	//711
    "operator!=",	//712
    "operator!=#",	//713
    "operator&",	//714
    "operator&#",	//715
    "operator<",	//716
    "operator<#",	//717
    "operator=",	//718
    "operator=#",	//719
    "operator==",	//720
    "operator==#",	//721
    "operator|",	//722
    "operator|#",	//723
    "operator|=",	//724
    "operator|=#",	//725
    "optionCollateCopies",	//726
    "optionCollateCopies#",	//727
    "optionCupsProperties",	//728
    "optionCupsProperties#",	//729
    "optionDoubleSidedPrinting",	//730
    "optionDoubleSidedPrinting#",	//731
    "optionMedia",	//732
    "optionMedia#",	//733
    "optionOrientation",	//734
    "optionOrientation#$",	//735
    "optionPageMargins",	//736
    "optionPageMargins#",	//737
    "optionPageOrder",	//738
    "optionPageOrder#",	//739
    "orientation",	//740
    "page",	//741
    "page$",	//742
    "pageAction",	//743
    "pageAction$",	//744
    "pageList",	//745
    "pageList#$$?",	//746
    "pageList#$?",	//747
    "pageListToPageRange",	//748
    "pageListToPageRange?",	//749
    "pageNumber",	//750
    "pageRange",	//751
    "pageRange#$?",	//752
    "pageSizeChanged",	//753
    "pageSizeChanged##",	//754
    "pageSizeString",	//755
    "pageSizeString$",	//756
    "pageSizes",	//757
    "pages",	//758
    "pages#$$$$",	//759
    "pagesSizeMetric",	//760
    "parameters",	//761
    "pdf2psAvailable",	//762
    "pixmap",	//763
    "preload",	//764
    "prepareToModifyAnnotationProperties",	//765
    "prepareToModifyAnnotationProperties#",	//766
    "print",	//767
    "print#",	//768
    "printArguments",	//769
    "printArguments#$$$$$$",	//770
    "printConfigurationWidget",	//771
    "printError",	//772
    "printError$",	//773
    "printFile",	//774
    "printFile#$$",	//775
    "printFile#$$$",	//776
    "printFile#$$$$",	//777
    "printFile#$$$$$",	//778
    "printingSupport",	//779
    "priority",	//780
    "processAction",	//781
    "processAction#",	//782
    "processMovieAction",	//783
    "processMovieAction#",	//784
    "processRenditionAction",	//785
    "processRenditionAction#",	//786
    "processSourceReference",	//787
    "processSourceReference#",	//788
    "ps2pdfAvailable",	//789
    "psPaperSize",	//790
    "psPaperSize#",	//791
    "qt_metacall",	//792
    "qt_metacall$$?",	//793
    "qt_metacast",	//794
    "qt_metacast$",	//795
    "quit",	//796
    "ratio",	//797
    "realDpi",	//798
    "realDpi#",	//799
    "realDpiX",	//800
    "realDpiY",	//801
    "rect",	//802
    "redo",	//803
    "region",	//804
    "registerView",	//805
    "registerView#",	//806
    "removeAnnotation",	//807
    "removeAnnotation#",	//808
    "removeObserver",	//809
    "removeObserver#",	//810
    "removePageAnnotation",	//811
    "removePageAnnotation$#",	//812
    "removePageAnnotations",	//813
    "removePageAnnotations$?",	//814
    "reparseConfig",	//815
    "repeat",	//816
    "requestFontData",	//817
    "requestFontData##",	//818
    "requestPixmaps",	//819
    "requestPixmaps?",	//820
    "requestPixmaps?$",	//821
    "requestTextPage",	//822
    "requestTextPage$",	//823
    "resetSearch",	//824
    "resetSearch$",	//825
    "revisions",	//826
    "right",	//827
    "rotateRect",	//828
    "rotateRect#$$$",	//829
    "rotation",	//830
    "rotationChanged",	//831
    "rotationChanged$$",	//832
    "roundedGeometry",	//833
    "roundedGeometry$$",	//834
    "row",	//835
    "samplingRate",	//836
    "saveChanges",	//837
    "saveChanges$",	//838
    "saveChanges$$",	//839
    "saveDocumentArchive",	//840
    "saveDocumentArchive$",	//841
    "scale",	//842
    "script",	//843
    "scriptType",	//844
    "searchFinished",	//845
    "searchFinished$$",	//846
    "searchText",	//847
    "searchText$$$$$$#",	//848
    "set",	//849
    "set$$",	//850
    "set$$$",	//851
    "setActivationAction",	//852
    "setActivationAction#",	//853
    "setAlignment",	//854
    "setAlignment$",	//855
    "setAngle",	//856
    "setAngle$",	//857
    "setAnnotationEditingEnabled",	//858
    "setAnnotationEditingEnabled$",	//859
    "setAnnotationProperties",	//860
    "setAnnotationProperties#",	//861
    "setAuthor",	//862
    "setAuthor$",	//863
    "setBitsPerSample",	//864
    "setBitsPerSample$",	//865
    "setBottom",	//866
    "setBottom$",	//867
    "setBoundingBox",	//868
    "setBoundingBox#",	//869
    "setBoundingRectangle",	//870
    "setBoundingRectangle#",	//871
    "setCanBeExtracted",	//872
    "setCanBeExtracted$",	//873
    "setCaretSymbol",	//874
    "setCaretSymbol$",	//875
    "setChannels",	//876
    "setChannels$",	//877
    "setComponentData",	//878
    "setContents",	//879
    "setContents$",	//880
    "setCreationDate",	//881
    "setCreationDate#",	//882
    "setCurrentChoices",	//883
    "setCurrentChoices?",	//884
    "setDOMDocument",	//885
    "setDPI",	//886
    "setDPI#",	//887
    "setDirection",	//888
    "setDirection$",	//889
    "setDisposeDataFunction",	//890
    "setDisposeDataFunction$",	//891
    "setDocument",	//892
    "setDocument#",	//893
    "setDuration",	//894
    "setDuration$",	//895
    "setEditChoice",	//896
    "setEditChoice$",	//897
    "setEmbedType",	//898
    "setEmbedType$",	//899
    "setEmbeddedFile",	//900
    "setEmbeddedFile#",	//901
    "setFeature",	//902
    "setFeature$",	//903
    "setFeature$$",	//904
    "setFile",	//905
    "setFile$",	//906
    "setFileIconName",	//907
    "setFileIconName$",	//908
    "setFlags",	//909
    "setFlags$",	//910
    "setFormFields",	//911
    "setFormFields?",	//912
    "setGeometricalInnerColor",	//913
    "setGeometricalInnerColor#",	//914
    "setGeometricalType",	//915
    "setGeometricalType$",	//916
    "setHighlightType",	//917
    "setHighlightType$",	//918
    "setInkPaths",	//919
    "setInkPaths?",	//920
    "setInplaceAlignment",	//921
    "setInplaceAlignment$",	//922
    "setInplaceCallout",	//923
    "setInplaceCallout#$",	//924
    "setInplaceIntent",	//925
    "setInplaceIntent$",	//926
    "setIsRectangular",	//927
    "setIsRectangular$",	//928
    "setLabel",	//929
    "setLabel$",	//930
    "setLeft",	//931
    "setLeft$",	//932
    "setLineClosed",	//933
    "setLineClosed$",	//934
    "setLineEndStyle",	//935
    "setLineEndStyle$",	//936
    "setLineInnerColor",	//937
    "setLineInnerColor#",	//938
    "setLineIntent",	//939
    "setLineIntent$",	//940
    "setLineLeadingBackwardPoint",	//941
    "setLineLeadingBackwardPoint$",	//942
    "setLineLeadingForwardPoint",	//943
    "setLineLeadingForwardPoint$",	//944
    "setLinePoints",	//945
    "setLinePoints?",	//946
    "setLineStartStyle",	//947
    "setLineStartStyle$",	//948
    "setLocalXMLFile",	//949
    "setM_object",	//950
    "setM_object$",	//951
    "setM_objectType",	//952
    "setM_objectType$",	//953
    "setM_path",	//954
    "setM_path#",	//955
    "setM_transformedPath",	//956
    "setM_transformedPath#",	//957
    "setModificationDate",	//958
    "setModificationDate#",	//959
    "setName",	//960
    "setName$",	//961
    "setNativeId",	//962
    "setNativeId#",	//963
    "setNextDocumentDestination",	//964
    "setNextDocumentDestination$",	//965
    "setNextDocumentViewport",	//966
    "setNextDocumentViewport#",	//967
    "setNextViewport",	//968
    "setNormalizedRect",	//969
    "setNormalizedRect#",	//970
    "setObjectRects",	//971
    "setObjectRects?",	//972
    "setPageAction",	//973
    "setPageAction$#",	//974
    "setPageNumber",	//975
    "setPageNumber$",	//976
    "setPageSize",	//977
    "setPageSize#",	//978
    "setPageTextSelection",	//979
    "setPageTextSelection$##",	//980
    "setPixmap",	//981
    "setPixmap##",	//982
    "setPixmap###",	//983
    "setPrevViewport",	//984
    "setRect",	//985
    "setRect#",	//986
    "setRight",	//987
    "setRight$",	//988
    "setRotation",	//989
    "setRotation$",	//990
    "setSamplingRate",	//991
    "setSamplingRate$",	//992
    "setScale",	//993
    "setScale$",	//994
    "setShowCaption",	//995
    "setShowCaption$",	//996
    "setSound",	//997
    "setSound#",	//998
    "setSoundEncoding",	//999
    "setSoundEncoding$",	//1000
    "setSoundIconName",	//1001
    "setSoundIconName$",	//1002
    "setSourceReferences",	//1003
    "setSourceReferences?",	//1004
    "setStampIconName",	//1005
    "setStampIconName$",	//1006
    "setState",	//1007
    "setState$",	//1008
    "setText",	//1009
    "setText$",	//1010
    "setTextFont",	//1011
    "setTextFont#",	//1012
    "setTextIcon",	//1013
    "setTextIcon$",	//1014
    "setTextPage",	//1015
    "setTextPage#",	//1016
    "setTextType",	//1017
    "setTextType$",	//1018
    "setTile",	//1019
    "setTile$",	//1020
    "setTop",	//1021
    "setTop$",	//1022
    "setTransition",	//1023
    "setTransition#",	//1024
    "setType",	//1025
    "setType$",	//1026
    "setUniqueName",	//1027
    "setUniqueName$",	//1028
    "setViewport",	//1029
    "setViewport#",	//1030
    "setViewport##",	//1031
    "setViewport##$",	//1032
    "setViewportPage",	//1033
    "setViewportPage$",	//1034
    "setViewportPage$#",	//1035
    "setViewportPage$#$",	//1036
    "setVisiblePageRects",	//1037
    "setVisiblePageRects?",	//1038
    "setVisiblePageRects?#",	//1039
    "setX",	//1040
    "setX$",	//1041
    "setXML",	//1042
    "setXMLFile",	//1043
    "setY",	//1044
    "setY$",	//1045
    "setZoom",	//1046
    "setZoom$",	//1047
    "setZoom$#",	//1048
    "showCaption",	//1049
    "siblings",	//1050
    "signalPixmapRequestDone",	//1051
    "signalPixmapRequestDone#",	//1052
    "signalTextGenerationDone",	//1053
    "signalTextGenerationDone##",	//1054
    "size",	//1055
    "sound",	//1056
    "soundEncoding",	//1057
    "soundIconName",	//1058
    "soundType",	//1059
    "sourceReferenceActivated",	//1060
    "sourceReferenceActivated$$$$",	//1061
    "stampIconName",	//1062
    "standardFormat",	//1063
    "standardFormat$",	//1064
    "startFontReading",	//1065
    "state",	//1066
    "stateChanged",	//1067
    "staticMetaObject",	//1068
    "stopFontReading",	//1069
    "store",	//1070
    "store##",	//1071
    "storeAnnotation",	//1072
    "storeAnnotation###",	//1073
    "style",	//1074
    "subType",	//1075
    "supportedMimeTypes",	//1076
    "supportsPageSizes",	//1077
    "supportsPrintToFile",	//1078
    "supportsSearching",	//1079
    "supportsTiles",	//1080
    "synchronous",	//1081
    "text",	//1082
    "text#",	//1083
    "text#$",	//1084
    "textAlignment",	//1085
    "textArea",	//1086
    "textArea#",	//1087
    "textFont",	//1088
    "textIcon",	//1089
    "textPage",	//1090
    "textPage#",	//1091
    "textSelection",	//1092
    "textSelectionColor",	//1093
    "textType",	//1094
    "tilesAt",	//1095
    "tilesAt##",	//1096
    "timerEvent",	//1097
    "toString",	//1098
    "top",	//1099
    "totalOrientation",	//1100
    "tr",	//1101
    "tr$",	//1102
    "tr$$",	//1103
    "tr$$$",	//1104
    "trUtf8",	//1105
    "trUtf8$",	//1106
    "trUtf8$$",	//1107
    "trUtf8$$$",	//1108
    "transform",	//1109
    "transform#",	//1110
    "transformedArea",	//1111
    "transformedArea#",	//1112
    "transformedBoundingRectangle",	//1113
    "transformedInkPaths",	//1114
    "transformedInplaceCallout",	//1115
    "transformedInplaceCallout$",	//1116
    "transformedLinePoints",	//1117
    "transition",	//1118
    "translate",	//1119
    "translate#",	//1120
    "translatePageAnnotation",	//1121
    "translatePageAnnotation$##",	//1122
    "type",	//1123
    "uiName",	//1124
    "undo",	//1125
    "uniqueName",	//1126
    "unregisterView",	//1127
    "unregisterView#",	//1128
    "updatePageBoundingBox",	//1129
    "updatePageBoundingBox$#",	//1130
    "url",	//1131
    "userMutex",	//1132
    "viewport",	//1133
    "virtual_hook",	//1134
    "visiblePageRects",	//1135
    "volume",	//1136
    "walletDataForFile",	//1137
    "walletDataForFile$$$$",	//1138
    "warning",	//1139
    "warning$$",	//1140
    "width",	//1141
    "window",	//1142
    "wordAt",	//1143
    "wordAt#",	//1144
    "wordAt#$",	//1145
    "words",	//1146
    "words#$",	//1147
    "x",	//1148
    "xmlFile",	//1149
    "y",	//1150
    "~Action",	//1151
    "~Annotation",	//1152
    "~AnnotationObjectRect",	//1153
    "~AnnotationUtils",	//1154
    "~BrowseAction",	//1155
    "~CaretAnnotation",	//1156
    "~ConfigInterface",	//1157
    "~Document",	//1158
    "~DocumentAction",	//1159
    "~DocumentInfo",	//1160
    "~DocumentSynopsis",	//1161
    "~DocumentViewport",	//1162
    "~EmbeddedFile",	//1163
    "~ExecuteAction",	//1164
    "~ExportFormat",	//1165
    "~FileAttachmentAnnotation",	//1166
    "~FilePrinter",	//1167
    "~FontInfo",	//1168
    "~FormField",	//1169
    "~FormFieldButton",	//1170
    "~FormFieldChoice",	//1171
    "~FormFieldText",	//1172
    "~Generator",	//1173
    "~GeomAnnotation",	//1174
    "~GotoAction",	//1175
    "~GuiInterface",	//1176
    "~HighlightAnnotation",	//1177
    "~InkAnnotation",	//1178
    "~LineAnnotation",	//1179
    "~NormalizedPoint",	//1180
    "~NormalizedRect",	//1181
    "~ObjectRect",	//1182
    "~Page",	//1183
    "~PageSize",	//1184
    "~PageTransition",	//1185
    "~PixmapRequest",	//1186
    "~PrintInterface",	//1187
    "~RegularAreaRect",	//1188
    "~ScriptAction",	//1189
    "~Sound",	//1190
    "~SoundAction",	//1191
    "~SoundAnnotation",	//1192
    "~SourceRefObjectRect",	//1193
    "~SourceReference",	//1194
    "~StampAnnotation",	//1195
    "~TextAnnotation",	//1196
    "~TextDocumentConverter",	//1197
    "~TextDocumentGenerator",	//1198
    "~TextEntity",	//1199
    "~TextPage",	//1200
    "~Tile",	//1201
    "~Utils",	//1202
    "~VisiblePageRect",	//1203
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 365, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 149, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {7, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {7, 443, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//3 KXMLGUIClient::componentData() const
    {7, 501, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 156, 0},	//4 KXMLGUIClient::domDocument() const
    {7, 1149, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 0},	//5 KXMLGUIClient::xmlFile() const
    {7, 667, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 0},	//6 KXMLGUIClient::localXMLFile() const
    {7, 878, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {7, 1043, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {7, 949, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {7, 1042, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {7, 885, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {7, 1067, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {7, 1134, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {7, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {7, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {8, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 14, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {8, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 2},	//17 Okular::Action::actionTip() const
    {8, 962, 23, 1, 0, 0, 3},	//18 Okular::Action::setNativeId(const QVariant&)
    {8, 689, 0, 0, Smoke::mf_const, 201, 4},	//19 Okular::Action::nativeId() const
    {8, 16, 25, 1, Smoke::mf_ctor|Smoke::mf_protected, 13, 5},	//20 Okular::Action::Action(Okular::ActionPrivate&)
    {8, 469, 0, 0, Smoke::mf_protected, 16, 6},	//21 Okular::Action::d_func()
    {8, 469, 0, 0, Smoke::mf_const|Smoke::mf_protected, 286, 7},	//22 Okular::Action::d_func() const
    {8, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 8},	//23 Okular::Action::Goto (enum)
    {8, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 9},	//24 Okular::Action::Execute (enum)
    {8, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 10},	//25 Okular::Action::Browse (enum)
    {8, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 11},	//26 Okular::Action::DocAction (enum)
    {8, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 12},	//27 Okular::Action::Sound (enum)
    {8, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 13},	//28 Okular::Action::Movie (enum)
    {8, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 14},	//29 Okular::Action::Script (enum)
    {8, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 15},	//30 Okular::Action::Rendition (enum)
    {8, 1151, 0, 0, Smoke::mf_dtor, 0, 16 },	//31 Okular::Action::~Action()
    {10, 862, 9, 1, 0, 0, 1},	//32 Okular::Annotation::setAuthor(const QString&)
    {10, 399, 0, 0, Smoke::mf_const, 194, 2},	//33 Okular::Annotation::author() const
    {10, 879, 9, 1, 0, 0, 3},	//34 Okular::Annotation::setContents(const QString&)
    {10, 449, 0, 0, Smoke::mf_const, 194, 4},	//35 Okular::Annotation::contents() const
    {10, 1027, 9, 1, 0, 0, 5},	//36 Okular::Annotation::setUniqueName(const QString&)
    {10, 1126, 0, 0, Smoke::mf_const, 194, 6},	//37 Okular::Annotation::uniqueName() const
    {10, 958, 27, 1, 0, 0, 7},	//38 Okular::Annotation::setModificationDate(const QDateTime&)
    {10, 683, 0, 0, Smoke::mf_const, 155, 8},	//39 Okular::Annotation::modificationDate() const
    {10, 881, 27, 1, 0, 0, 9},	//40 Okular::Annotation::setCreationDate(const QDateTime&)
    {10, 461, 0, 0, Smoke::mf_const, 155, 10},	//41 Okular::Annotation::creationDate() const
    {10, 909, 29, 1, 0, 0, 11},	//42 Okular::Annotation::setFlags(int)
    {10, 541, 0, 0, Smoke::mf_const, 369, 12},	//43 Okular::Annotation::flags() const
    {10, 870, 31, 1, 0, 0, 13},	//44 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {10, 408, 0, 0, Smoke::mf_const, 100, 14},	//45 Okular::Annotation::boundingRectangle() const
    {10, 1113, 0, 0, Smoke::mf_const, 100, 15},	//46 Okular::Annotation::transformedBoundingRectangle() const
    {10, 1119, 33, 1, 0, 0, 16},	//47 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {10, 1074, 0, 0, 0, 25, 17},	//48 Okular::Annotation::style()
    {10, 1074, 0, 0, Smoke::mf_const, 288, 18},	//49 Okular::Annotation::style() const
    {10, 1142, 0, 0, 0, 27, 19},	//50 Okular::Annotation::window()
    {10, 1142, 0, 0, Smoke::mf_const, 289, 20},	//51 Okular::Annotation::window() const
    {10, 826, 0, 0, 0, 169, 21},	//52 Okular::Annotation::revisions()
    {10, 826, 0, 0, Smoke::mf_const, 335, 22},	//53 Okular::Annotation::revisions() const
    {10, 962, 23, 1, 0, 0, 23},	//54 Okular::Annotation::setNativeId(const QVariant&)
    {10, 689, 0, 0, Smoke::mf_const, 201, 24},	//55 Okular::Annotation::nativeId() const
    {10, 890, 35, 1, 0, 0, 25},	//56 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {10, 413, 0, 0, Smoke::mf_const, 278, 26},	//57 Okular::Annotation::canBeMoved() const
    {10, 703, 0, 0, Smoke::mf_const, 278, 27},	//58 Okular::Annotation::openDialogAfterCreation() const
    {10, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 26, 28},	//59 Okular::Annotation::subType() const [pure virtual]
    {10, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 29},	//60 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {10, 574, 0, 0, Smoke::mf_const, 160, 30},	//61 Okular::Annotation::getAnnotationPropertiesDomNode() const
    {10, 860, 40, 1, 0, 0, 31},	//62 Okular::Annotation::setAnnotationProperties(const QDomNode&)
    {10, 19, 42, 1, Smoke::mf_ctor|Smoke::mf_protected, 17, 32},	//63 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {10, 19, 44, 2, Smoke::mf_ctor|Smoke::mf_protected, 17, 33},	//64 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {10, 469, 0, 0, Smoke::mf_protected, 30, 34},	//65 Okular::Annotation::d_func()
    {10, 469, 0, 0, Smoke::mf_const|Smoke::mf_protected, 291, 35},	//66 Okular::Annotation::d_func() const
    {10, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 36},	//67 Okular::Annotation::AText (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 37},	//68 Okular::Annotation::ALine (enum)
    {10, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 38},	//69 Okular::Annotation::AGeom (enum)
    {10, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 39},	//70 Okular::Annotation::AHighlight (enum)
    {10, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 40},	//71 Okular::Annotation::AStamp (enum)
    {10, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 41},	//72 Okular::Annotation::AInk (enum)
    {10, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 42},	//73 Okular::Annotation::ACaret (enum)
    {10, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 43},	//74 Okular::Annotation::AFileAttachment (enum)
    {10, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 44},	//75 Okular::Annotation::ASound (enum)
    {10, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 45},	//76 Okular::Annotation::AMovie (enum)
    {10, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 46},	//77 Okular::Annotation::AScreen (enum)
    {10, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 47},	//78 Okular::Annotation::AWidget (enum)
    {10, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 48},	//79 Okular::Annotation::A_BASE (enum)
    {10, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 49},	//80 Okular::Annotation::Hidden (enum)
    {10, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 50},	//81 Okular::Annotation::FixedSize (enum)
    {10, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 51},	//82 Okular::Annotation::FixedRotation (enum)
    {10, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 52},	//83 Okular::Annotation::DenyPrint (enum)
    {10, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 53},	//84 Okular::Annotation::DenyWrite (enum)
    {10, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 54},	//85 Okular::Annotation::DenyDelete (enum)
    {10, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 55},	//86 Okular::Annotation::ToggleHidingOnMouse (enum)
    {10, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 56},	//87 Okular::Annotation::External (enum)
    {10, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 57},	//88 Okular::Annotation::ExternallyDrawn (enum)
    {10, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 58},	//89 Okular::Annotation::BeingMoved (enum)
    {10, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 59},	//90 Okular::Annotation::Solid (enum)
    {10, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//91 Okular::Annotation::Dashed (enum)
    {10, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//92 Okular::Annotation::Beveled (enum)
    {10, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 62},	//93 Okular::Annotation::Inset (enum)
    {10, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 63},	//94 Okular::Annotation::Underline (enum)
    {10, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 64},	//95 Okular::Annotation::NoEffect (enum)
    {10, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 65},	//96 Okular::Annotation::Cloudy (enum)
    {10, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 66},	//97 Okular::Annotation::Reply (enum)
    {10, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 67},	//98 Okular::Annotation::Group (enum)
    {10, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 68},	//99 Okular::Annotation::Delete (enum)
    {10, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 69},	//100 Okular::Annotation::None (enum)
    {10, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 70},	//101 Okular::Annotation::Marked (enum)
    {10, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 71},	//102 Okular::Annotation::Unmarked (enum)
    {10, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 72},	//103 Okular::Annotation::Accepted (enum)
    {10, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 73},	//104 Okular::Annotation::Rejected (enum)
    {10, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 74},	//105 Okular::Annotation::Cancelled (enum)
    {10, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 75},	//106 Okular::Annotation::Completed (enum)
    {10, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 76},	//107 Okular::Annotation::PageOpening (enum)
    {10, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 77},	//108 Okular::Annotation::PageClosing (enum)
    {10, 1152, 0, 0, Smoke::mf_dtor, 0, 78 },	//109 Okular::Annotation::~Annotation()
    {14, 22, 47, 1, Smoke::mf_ctor, 28, 1},	//110 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {14, 389, 0, 0, Smoke::mf_const, 17, 2},	//111 Okular::AnnotationObjectRect::annotation() const
    {14, 406, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 190, 3},	//112 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {14, 446, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 278, 4},	//113 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {14, 1109, 57, 1, Smoke::mf_virtual, 0, 5},	//114 Okular::AnnotationObjectRect::transform(const QTransform&)
    {14, 22, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 6},	//115 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {14, 1153, 0, 0, Smoke::mf_dtor, 0, 7 },	//116 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {16, 459, 1, 1, Smoke::mf_static, 17, 1},	//117 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {16, 1072, 61, 3, Smoke::mf_static, 0, 2},	//118 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {16, 536, 65, 2, Smoke::mf_static, 158, 3},	//119 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {16, 392, 68, 3, Smoke::mf_static, 190, 4},	//120 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {16, 24, 0, 0, Smoke::mf_ctor, 31, 5},	//121 Okular::AnnotationUtils::AnnotationUtils()
    {16, 24, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 6},	//122 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {16, 1154, 0, 0, Smoke::mf_dtor, 0, 7 },	//123 Okular::AnnotationUtils::~AnnotationUtils()
    {18, 37, 9, 1, Smoke::mf_ctor, 33, 1},	//124 Okular::BrowseAction::BrowseAction(const QString&)
    {18, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//125 Okular::BrowseAction::actionType() const
    {18, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 3},	//126 Okular::BrowseAction::actionTip() const
    {18, 1131, 0, 0, Smoke::mf_const, 194, 4},	//127 Okular::BrowseAction::url() const
    {18, 1155, 0, 0, Smoke::mf_dtor, 0, 5 },	//128 Okular::BrowseAction::~BrowseAction()
    {19, 47, 0, 0, Smoke::mf_ctor, 34, 1},	//129 Okular::CaretAnnotation::CaretAnnotation()
    {19, 47, 40, 1, Smoke::mf_ctor, 34, 2},	//130 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {19, 874, 74, 1, 0, 0, 3},	//131 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {19, 434, 0, 0, Smoke::mf_const, 35, 4},	//132 Okular::CaretAnnotation::caretSymbol() const
    {19, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 5},	//133 Okular::CaretAnnotation::subType() const
    {19, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//134 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {19, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 7},	//135 Okular::CaretAnnotation::None (enum)
    {19, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 8},	//136 Okular::CaretAnnotation::P (enum)
    {19, 1156, 0, 0, Smoke::mf_dtor, 0, 9 },	//137 Okular::CaretAnnotation::~CaretAnnotation()
    {20, 815, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 1},	//138 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {20, 382, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//139 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {20, 60, 0, 0, Smoke::mf_ctor, 36, 3},	//140 Okular::ConfigInterface::ConfigInterface()
    {20, 60, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 4},	//141 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {20, 1157, 0, 0, Smoke::mf_dtor, 0, 5 },	//142 Okular::ConfigInterface::~ConfigInterface()
    {21, 680, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//143 Okular::Document::metaObject() const
    {21, 794, 80, 1, Smoke::mf_virtual, 372, 2},	//144 Okular::Document::qt_metacast(const char*)
    {21, 1101, 82, 2, Smoke::mf_static, 194, 3},	//145 Okular::Document::tr(const char*, const char*)
    {21, 1105, 82, 2, Smoke::mf_static, 194, 4},	//146 Okular::Document::trUtf8(const char*, const char*)
    {21, 1101, 85, 3, Smoke::mf_static, 194, 5},	//147 Okular::Document::tr(const char*, const char*, int)
    {21, 1105, 85, 3, Smoke::mf_static, 194, 6},	//148 Okular::Document::trUtf8(const char*, const char*, int)
    {21, 792, 89, 3, Smoke::mf_virtual, 369, 7},	//149 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {21, 76, 93, 1, Smoke::mf_ctor, 37, 8},	//150 Okular::Document::Document(QWidget*)
    {21, 704, 95, 4, 0, 38, 9},	//151 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&, const QString&)
    {21, 441, 0, 0, 0, 0, 10},	//152 Okular::Document::closeDocument()
    {21, 378, 100, 1, 0, 0, 11},	//153 Okular::Document::addObserver(Okular::DocumentObserver*)
    {21, 809, 100, 1, 0, 0, 12},	//154 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {21, 815, 0, 0, 0, 0, 13},	//155 Okular::Document::reparseConfig()
    {21, 629, 0, 0, Smoke::mf_const, 278, 14},	//156 Okular::Document::isOpened() const
    {21, 496, 0, 0, Smoke::mf_const, 296, 15},	//157 Okular::Document::documentInfo() const
    {21, 500, 0, 0, Smoke::mf_const, 299, 16},	//158 Okular::Document::documentSynopsis() const
    {21, 1065, 0, 0, 0, 0, 17},	//159 Okular::Document::startFontReading()
    {21, 1069, 0, 0, 0, 0, 18},	//160 Okular::Document::stopFontReading()
    {21, 421, 0, 0, Smoke::mf_const, 278, 19},	//161 Okular::Document::canProvideFontInformation() const
    {21, 521, 0, 0, Smoke::mf_const, 342, 20},	//162 Okular::Document::embeddedFiles() const
    {21, 741, 29, 1, Smoke::mf_const, 314, 21},	//163 Okular::Document::page(int) const
    {21, 1133, 0, 0, Smoke::mf_const, 300, 22},	//164 Okular::Document::viewport() const
    {21, 1037, 102, 2, 0, 0, 23},	//165 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, Okular::DocumentObserver*)
    {21, 1135, 0, 0, Smoke::mf_const, 364, 24},	//166 Okular::Document::visiblePageRects() const
    {21, 467, 0, 0, Smoke::mf_const, 370, 25},	//167 Okular::Document::currentPage() const
    {21, 758, 0, 0, Smoke::mf_const, 370, 26},	//168 Okular::Document::pages() const
    {21, 466, 0, 0, Smoke::mf_const, 10, 27},	//169 Okular::Document::currentDocument() const
    {21, 617, 105, 1, Smoke::mf_const, 278, 28},	//170 Okular::Document::isAllowed(Okular::Permission) const
    {21, 1079, 0, 0, Smoke::mf_const, 278, 29},	//171 Okular::Document::supportsSearching() const
    {21, 1077, 0, 0, Smoke::mf_const, 278, 30},	//172 Okular::Document::supportsPageSizes() const
    {21, 1080, 0, 0, Smoke::mf_const, 278, 31},	//173 Okular::Document::supportsTiles() const
    {21, 757, 0, 0, Smoke::mf_const, 177, 32},	//174 Okular::Document::pageSizes() const
    {21, 416, 0, 0, Smoke::mf_const, 278, 33},	//175 Okular::Document::canExportToText() const
    {21, 529, 9, 1, Smoke::mf_const, 278, 34},	//176 Okular::Document::exportToText(const QString&) const
    {21, 526, 0, 0, Smoke::mf_const, 173, 35},	//177 Okular::Document::exportFormats() const
    {21, 527, 107, 2, Smoke::mf_const, 278, 36},	//178 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {21, 601, 0, 0, Smoke::mf_const, 278, 37},	//179 Okular::Document::historyAtBegin() const
    {21, 602, 0, 0, Smoke::mf_const, 278, 38},	//180 Okular::Document::historyAtEnd() const
    {21, 677, 110, 2, Smoke::mf_const, 201, 39},	//181 Okular::Document::metaData(const QString&, const QVariant&) const
    {21, 830, 0, 0, Smoke::mf_const, 121, 40},	//182 Okular::Document::rotation() const
    {21, 387, 0, 0, Smoke::mf_const, 193, 41},	//183 Okular::Document::allPagesSize() const
    {21, 755, 29, 1, Smoke::mf_const, 194, 42},	//184 Okular::Document::pageSizeString(int) const
    {21, 581, 0, 0, 0, 11, 43},	//185 Okular::Document::guiClient()
    {21, 1033, 113, 3, 0, 0, 44},	//186 Okular::Document::setViewportPage(int, Okular::DocumentObserver*, bool)
    {21, 1029, 117, 3, 0, 0, 45},	//187 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*, bool)
    {21, 984, 0, 0, 0, 0, 46},	//188 Okular::Document::setPrevViewport()
    {21, 968, 0, 0, 0, 0, 47},	//189 Okular::Document::setNextViewport()
    {21, 966, 121, 1, 0, 0, 48},	//190 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {21, 964, 9, 1, 0, 0, 49},	//191 Okular::Document::setNextDocumentDestination(const QString&)
    {21, 1046, 123, 2, 0, 0, 50},	//192 Okular::Document::setZoom(int, Okular::DocumentObserver*)
    {21, 819, 126, 1, 0, 0, 51},	//193 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {21, 819, 128, 2, 0, 0, 52},	//194 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>)
    {21, 822, 131, 1, 0, 0, 53},	//195 Okular::Document::requestTextPage(unsigned int)
    {21, 380, 133, 2, 0, 0, 54},	//196 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {21, 419, 136, 1, Smoke::mf_const, 278, 55},	//197 Okular::Document::canModifyPageAnnotation(const Okular::Annotation*) const
    {21, 765, 47, 1, 0, 0, 56},	//198 Okular::Document::prepareToModifyAnnotationProperties(Okular::Annotation*)
    {21, 684, 133, 2, 0, 0, 57},	//199 Okular::Document::modifyPageAnnotationProperties(int, Okular::Annotation*)
    {21, 1121, 138, 3, 0, 0, 58},	//200 Okular::Document::translatePageAnnotation(int, Okular::Annotation*, const Okular::NormalizedPoint&)
    {21, 517, 142, 6, 0, 0, 59},	//201 Okular::Document::editPageAnnotationContents(int, Okular::Annotation*, const QString&, int, int, int)
    {21, 425, 136, 1, Smoke::mf_const, 278, 60},	//202 Okular::Document::canRemovePageAnnotation(const Okular::Annotation*) const
    {21, 811, 133, 2, 0, 0, 61},	//203 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {21, 813, 149, 2, 0, 0, 62},	//204 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {21, 979, 152, 3, 0, 0, 63},	//205 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {21, 429, 0, 0, Smoke::mf_const, 278, 64},	//206 Okular::Document::canUndo() const
    {21, 422, 0, 0, Smoke::mf_const, 278, 65},	//207 Okular::Document::canRedo() const
    {21, 847, 156, 7, 0, 0, 66},	//208 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {21, 450, 29, 1, 0, 0, 67},	//209 Okular::Document::continueSearch(int)
    {21, 450, 164, 2, 0, 0, 68},	//210 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {21, 824, 29, 1, 0, 0, 69},	//211 Okular::Document::resetSearch(int)
    {21, 401, 0, 0, Smoke::mf_const, 32, 70},	//212 Okular::Document::bookmarkManager() const
    {21, 781, 167, 1, 0, 0, 71},	//213 Okular::Document::processAction(const Okular::Action*)
    {21, 402, 0, 0, Smoke::mf_const, 182, 72},	//214 Okular::Document::bookmarkedPageList() const
    {21, 403, 0, 0, Smoke::mf_const, 194, 73},	//215 Okular::Document::bookmarkedPageRange() const
    {21, 787, 169, 1, 0, 0, 74},	//216 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {21, 415, 0, 0, Smoke::mf_const, 278, 75},	//217 Okular::Document::canConfigurePrinter() const
    {21, 779, 0, 0, Smoke::mf_const, 40, 76},	//218 Okular::Document::printingSupport() const
    {21, 1078, 0, 0, Smoke::mf_const, 278, 77},	//219 Okular::Document::supportsPrintToFile() const
    {21, 767, 171, 1, 0, 278, 78},	//220 Okular::Document::print(QPrinter&)
    {21, 772, 0, 0, Smoke::mf_const, 194, 79},	//221 Okular::Document::printError() const
    {21, 771, 0, 0, Smoke::mf_const, 203, 80},	//222 Okular::Document::printConfigurationWidget() const
    {21, 534, 76, 1, 0, 0, 81},	//223 Okular::Document::fillConfigDialog(KConfigDialog*)
    {21, 444, 0, 0, Smoke::mf_const, 369, 82},	//224 Okular::Document::configurableGenerators() const
    {21, 1076, 0, 0, Smoke::mf_const, 196, 83},	//225 Okular::Document::supportedMimeTypes() const
    {21, 443, 0, 0, Smoke::mf_const, 281, 84},	//226 Okular::Document::componentData() const
    {21, 427, 173, 1, Smoke::mf_const, 278, 85},	//227 Okular::Document::canSaveChanges(Okular::Document::SaveCapability) const
    {21, 427, 0, 0, Smoke::mf_const, 278, 86},	//228 Okular::Document::canSaveChanges() const
    {21, 837, 9, 1, 0, 278, 87},	//229 Okular::Document::saveChanges(const QString&)
    {21, 837, 175, 2, 0, 278, 88},	//230 Okular::Document::saveChanges(const QString&, QString*)
    {21, 805, 178, 1, 0, 0, 89},	//231 Okular::Document::registerView(Okular::View*)
    {21, 1127, 178, 1, 0, 0, 90},	//232 Okular::Document::unregisterView(Okular::View*)
    {21, 542, 180, 1, Smoke::mf_const, 151, 91},	//233 Okular::Document::fontData(const Okular::FontInfo&) const
    {21, 707, 182, 3, 0, 38, 92},	//234 Okular::Document::openDocumentArchive(const QString&, const KUrl&, const QString&)
    {21, 840, 9, 1, 0, 278, 93},	//235 Okular::Document::saveDocumentArchive(const QString&)
    {21, 506, 186, 3, 0, 323, 94},	//236 Okular::Document::dynamicSourceReference(int, double, double)
    {21, 740, 0, 0, Smoke::mf_const, 189, 95},	//237 Okular::Document::orientation() const
    {21, 858, 190, 1, 0, 0, 96},	//238 Okular::Document::setAnnotationEditingEnabled(bool)
    {21, 1137, 192, 4, Smoke::mf_const, 0, 97},	//239 Okular::Document::walletDataForFile(const QString&, QString*, QString*, QString*) const
    {21, 989, 29, 1, Smoke::mf_slot, 0, 98},	//240 Okular::Document::setRotation(int)
    {21, 977, 197, 1, Smoke::mf_slot, 0, 99},	//241 Okular::Document::setPageSize(const Okular::PageSize&)
    {21, 432, 0, 0, Smoke::mf_slot, 0, 100},	//242 Okular::Document::cancelSearch()
    {21, 1125, 0, 0, Smoke::mf_slot, 0, 101},	//243 Okular::Document::undo()
    {21, 803, 0, 0, Smoke::mf_slot, 0, 102},	//244 Okular::Document::redo()
    {21, 515, 199, 6, Smoke::mf_slot, 0, 103},	//245 Okular::Document::editFormText(int, Okular::FormFieldText*, const QString&, int, int, int)
    {21, 513, 206, 3, Smoke::mf_slot, 0, 104},	//246 Okular::Document::editFormList(int, Okular::FormFieldChoice*, const QList<int>&)
    {21, 511, 210, 6, Smoke::mf_slot, 0, 105},	//247 Okular::Document::editFormCombo(int, Okular::FormFieldChoice*, const QString&, int, int, int)
    {21, 509, 217, 3, Smoke::mf_slot, 0, 106},	//248 Okular::Document::editFormButtons(int, const QList<Okular::FormFieldButton*>&, const QList<bool>&)
    {21, 440, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//249 Okular::Document::close()
    {21, 796, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//250 Okular::Document::quit()
    {21, 656, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//251 Okular::Document::linkFind()
    {21, 657, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//252 Okular::Document::linkGoToPage()
    {21, 658, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//253 Okular::Document::linkPresentation()
    {21, 655, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//254 Okular::Document::linkEndPresentation()
    {21, 710, 221, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//255 Okular::Document::openUrl(const KUrl&)
    {21, 522, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//256 Okular::Document::error(const QString&, int)
    {21, 1139, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 115},	//257 Okular::Document::warning(const QString&, int)
    {21, 693, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 116},	//258 Okular::Document::notice(const QString&, int)
    {21, 579, 180, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//259 Okular::Document::gotFont(const Okular::FontInfo&)
    {21, 545, 29, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 118},	//260 Okular::Document::fontReadingProgress(int)
    {21, 544, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 119},	//261 Okular::Document::fontReadingEnded()
    {21, 845, 226, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 120},	//262 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {21, 1060, 229, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 121},	//263 Okular::Document::sourceReferenceActivated(const QString&, int, int, bool*)
    {21, 783, 234, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 122},	//264 Okular::Document::processMovieAction(const Okular::MovieAction*)
    {21, 430, 190, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 123},	//265 Okular::Document::canUndoChanged(bool)
    {21, 423, 190, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 124},	//266 Okular::Document::canRedoChanged(bool)
    {21, 785, 236, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 125},	//267 Okular::Document::processRenditionAction(const Okular::RenditionAction*)
    {21, 390, 238, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 126},	//268 Okular::Document::annotationContentsChangedByUndoRedo(Okular::Annotation*, const QString&, int, int)
    {21, 556, 243, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 127},	//269 Okular::Document::formTextChangedByUndoRedo(int, Okular::FormFieldText*, const QString&, int, int)
    {21, 554, 206, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 128},	//270 Okular::Document::formListChangedByUndoRedo(int, Okular::FormFieldChoice*, const QList<int>&)
    {21, 551, 249, 5, Smoke::mf_protected|Smoke::mf_signal, 0, 129},	//271 Okular::Document::formComboChangedByUndoRedo(int, Okular::FormFieldChoice*, const QString&, int, int)
    {21, 549, 255, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 130},	//272 Okular::Document::formButtonsChangedByUndoRedo(int, const QList<Okular::FormFieldButton*>&)
    {21, 1101, 80, 1, Smoke::mf_static, 194, 131},	//273 Okular::Document::tr(const char*)
    {21, 1105, 80, 1, Smoke::mf_static, 194, 132},	//274 Okular::Document::trUtf8(const char*)
    {21, 704, 258, 3, 0, 38, 133},	//275 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {21, 1037, 262, 1, 0, 0, 134},	//276 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {21, 677, 9, 1, Smoke::mf_const, 201, 135},	//277 Okular::Document::metaData(const QString&) const
    {21, 1033, 29, 1, 0, 0, 136},	//278 Okular::Document::setViewportPage(int)
    {21, 1033, 123, 2, 0, 0, 137},	//279 Okular::Document::setViewportPage(int, Okular::DocumentObserver*)
    {21, 1029, 121, 1, 0, 0, 138},	//280 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {21, 1029, 264, 2, 0, 0, 139},	//281 Okular::Document::setViewport(const Okular::DocumentViewport&, Okular::DocumentObserver*)
    {21, 1046, 29, 1, 0, 0, 140},	//282 Okular::Document::setZoom(int)
    {21, 707, 267, 2, 0, 38, 141},	//283 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {21, 1068, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 142},	//284 Okular::Document::staticMetaObject() const
    {21, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 143},	//285 Okular::Document::OpenSuccess (enum)
    {21, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 144},	//286 Okular::Document::OpenError (enum)
    {21, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 145},	//287 Okular::Document::OpenNeedsPassword (enum)
    {21, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 146},	//288 Okular::Document::NoOption (enum)
    {21, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 147},	//289 Okular::Document::RemoveAllPrevious (enum)
    {21, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 148},	//290 Okular::Document::NextMatch (enum)
    {21, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 149},	//291 Okular::Document::PreviousMatch (enum)
    {21, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 150},	//292 Okular::Document::AllDocument (enum)
    {21, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 151},	//293 Okular::Document::GoogleAll (enum)
    {21, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 152},	//294 Okular::Document::GoogleAny (enum)
    {21, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 153},	//295 Okular::Document::MatchFound (enum)
    {21, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 154},	//296 Okular::Document::NoMatchFound (enum)
    {21, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 155},	//297 Okular::Document::SearchCancelled (enum)
    {21, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 156},	//298 Okular::Document::EndOfDocumentReached (enum)
    {21, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 157},	//299 Okular::Document::NoPrinting (enum)
    {21, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 158},	//300 Okular::Document::NativePrinting (enum)
    {21, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 159},	//301 Okular::Document::PostscriptPrinting (enum)
    {21, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 160},	//302 Okular::Document::SaveFormsCapability (enum)
    {21, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 161},	//303 Okular::Document::SaveAnnotationsCapability (enum)
    {21, 1158, 0, 0, Smoke::mf_dtor, 0, 162 },	//304 Okular::Document::~Document()
    {22, 78, 270, 1, Smoke::mf_ctor, 44, 1},	//305 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {22, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//306 Okular::DocumentAction::actionType() const
    {22, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 3},	//307 Okular::DocumentAction::actionTip() const
    {22, 495, 0, 0, Smoke::mf_const, 45, 4},	//308 Okular::DocumentAction::documentActionType() const
    {22, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 5},	//309 Okular::DocumentAction::PageFirst (enum)
    {22, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 6},	//310 Okular::DocumentAction::PagePrev (enum)
    {22, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 7},	//311 Okular::DocumentAction::PageNext (enum)
    {22, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 8},	//312 Okular::DocumentAction::PageLast (enum)
    {22, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 9},	//313 Okular::DocumentAction::HistoryBack (enum)
    {22, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 10},	//314 Okular::DocumentAction::HistoryForward (enum)
    {22, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 11},	//315 Okular::DocumentAction::Quit (enum)
    {22, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 12},	//316 Okular::DocumentAction::Presentation (enum)
    {22, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 13},	//317 Okular::DocumentAction::EndPresentation (enum)
    {22, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 14},	//318 Okular::DocumentAction::Find (enum)
    {22, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 15},	//319 Okular::DocumentAction::GoToPage (enum)
    {22, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 16},	//320 Okular::DocumentAction::Close (enum)
    {22, 1159, 0, 0, Smoke::mf_dtor, 0, 17 },	//321 Okular::DocumentAction::~DocumentAction()
    {23, 80, 0, 0, Smoke::mf_ctor, 46, 1},	//322 Okular::DocumentInfo::DocumentInfo()
    {23, 849, 272, 3, 0, 0, 2},	//323 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {23, 849, 276, 2, 0, 0, 3},	//324 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {23, 572, 9, 1, Smoke::mf_const, 194, 4},	//325 Okular::DocumentInfo::get(const QString&) const
    {23, 575, 279, 1, Smoke::mf_static, 194, 5},	//326 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {23, 577, 279, 1, Smoke::mf_static, 194, 6},	//327 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {23, 80, 281, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 7},	//328 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {23, 849, 283, 2, 0, 0, 8},	//329 Okular::DocumentInfo::set(const QString&, const QString&)
    {23, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 9},	//330 Okular::DocumentInfo::Title (enum)
    {23, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 10},	//331 Okular::DocumentInfo::Subject (enum)
    {23, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 11},	//332 Okular::DocumentInfo::Description (enum)
    {23, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 12},	//333 Okular::DocumentInfo::Author (enum)
    {23, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 13},	//334 Okular::DocumentInfo::Creator (enum)
    {23, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 14},	//335 Okular::DocumentInfo::Producer (enum)
    {23, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 15},	//336 Okular::DocumentInfo::Copyright (enum)
    {23, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 16},	//337 Okular::DocumentInfo::Pages (enum)
    {23, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 17},	//338 Okular::DocumentInfo::CreationDate (enum)
    {23, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 18},	//339 Okular::DocumentInfo::ModificationDate (enum)
    {23, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 19},	//340 Okular::DocumentInfo::MimeType (enum)
    {23, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 20},	//341 Okular::DocumentInfo::Category (enum)
    {23, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 21},	//342 Okular::DocumentInfo::Keywords (enum)
    {23, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 22},	//343 Okular::DocumentInfo::FilePath (enum)
    {23, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 23},	//344 Okular::DocumentInfo::DocumentSize (enum)
    {23, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 24},	//345 Okular::DocumentInfo::PagesSize (enum)
    {23, 1160, 0, 0, Smoke::mf_dtor, 0, 25 },	//346 Okular::DocumentInfo::~DocumentInfo()
    {25, 83, 0, 0, Smoke::mf_ctor, 49, 1},	//347 Okular::DocumentSynopsis::DocumentSynopsis()
    {25, 83, 286, 1, Smoke::mf_ctor, 49, 2},	//348 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {25, 83, 288, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 3},	//349 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {25, 1161, 0, 0, Smoke::mf_dtor, 0, 4 },	//350 Okular::DocumentSynopsis::~DocumentSynopsis()
    {26, 85, 29, 1, Smoke::mf_ctor, 51, 1},	//351 Okular::DocumentViewport::DocumentViewport(int)
    {26, 85, 9, 1, Smoke::mf_ctor, 51, 2},	//352 Okular::DocumentViewport::DocumentViewport(const QString&)
    {26, 1098, 0, 0, Smoke::mf_const, 194, 3},	//353 Okular::DocumentViewport::toString() const
    {26, 641, 0, 0, Smoke::mf_const, 278, 4},	//354 Okular::DocumentViewport::isValid() const
    {26, 720, 121, 1, Smoke::mf_const, 278, 5},	//355 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {26, 716, 121, 1, Smoke::mf_const, 278, 6},	//356 Okular::DocumentViewport::operator<(const Okular::DocumentViewport&) const
    {26, 85, 121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 7},	//357 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {26, 85, 0, 0, Smoke::mf_ctor, 51, 8},	//358 Okular::DocumentViewport::DocumentViewport()
    {26, 750, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 9},	//359 Okular::DocumentViewport::pageNumber() const
    {26, 975, 29, 1, Smoke::mf_attribute, 0, 10},	//360 Okular::DocumentViewport::setPageNumber(int)
    {26, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 11},	//361 Okular::DocumentViewport::Center (enum)
    {26, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 12},	//362 Okular::DocumentViewport::TopLeft (enum)
    {26, 1162, 0, 0, Smoke::mf_dtor, 0, 13 },	//363 Okular::DocumentViewport::~DocumentViewport()
    {27, 89, 0, 0, Smoke::mf_ctor, 53, 1},	//364 Okular::EmbeddedFile::EmbeddedFile()
    {27, 688, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 194, 2},	//365 Okular::EmbeddedFile::name() const [pure virtual]
    {27, 479, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 194, 3},	//366 Okular::EmbeddedFile::description() const [pure virtual]
    {27, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 151, 4},	//367 Okular::EmbeddedFile::data() const [pure virtual]
    {27, 1055, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 369, 5},	//368 Okular::EmbeddedFile::size() const [pure virtual]
    {27, 683, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 155, 6},	//369 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {27, 461, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 155, 7},	//370 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {27, 89, 290, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 8},	//371 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {27, 1163, 0, 0, Smoke::mf_dtor, 0, 9 },	//372 Okular::EmbeddedFile::~EmbeddedFile()
    {28, 95, 283, 2, Smoke::mf_ctor, 54, 1},	//373 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {28, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//374 Okular::ExecuteAction::actionType() const
    {28, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 3},	//375 Okular::ExecuteAction::actionTip() const
    {28, 533, 0, 0, Smoke::mf_const, 194, 4},	//376 Okular::ExecuteAction::fileName() const
    {28, 761, 0, 0, Smoke::mf_const, 194, 5},	//377 Okular::ExecuteAction::parameters() const
    {28, 1164, 0, 0, Smoke::mf_dtor, 0, 6 },	//378 Okular::ExecuteAction::~ExecuteAction()
    {29, 97, 0, 0, Smoke::mf_ctor, 57, 1},	//379 Okular::ExportFormat::ExportFormat()
    {29, 97, 292, 2, Smoke::mf_ctor, 57, 2},	//380 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {29, 97, 295, 3, Smoke::mf_ctor, 57, 3},	//381 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {29, 97, 299, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 4},	//382 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {29, 718, 299, 1, 0, 56, 5},	//383 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {29, 479, 0, 0, Smoke::mf_const, 194, 6},	//384 Okular::ExportFormat::description() const
    {29, 681, 0, 0, Smoke::mf_const, 7, 7},	//385 Okular::ExportFormat::mimeType() const
    {29, 603, 0, 0, Smoke::mf_const, 5, 8},	//386 Okular::ExportFormat::icon() const
    {29, 628, 0, 0, Smoke::mf_const, 278, 9},	//387 Okular::ExportFormat::isNull() const
    {29, 1063, 301, 1, Smoke::mf_static, 55, 10},	//388 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {29, 720, 299, 1, Smoke::mf_const, 278, 11},	//389 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {29, 712, 299, 1, Smoke::mf_const, 278, 12},	//390 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {29, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 13},	//391 Okular::ExportFormat::PlainText (enum)
    {29, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 14},	//392 Okular::ExportFormat::PDF (enum)
    {29, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 15},	//393 Okular::ExportFormat::OpenDocumentText (enum)
    {29, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 16},	//394 Okular::ExportFormat::HTML (enum)
    {29, 1165, 0, 0, Smoke::mf_dtor, 0, 17 },	//395 Okular::ExportFormat::~ExportFormat()
    {30, 104, 0, 0, Smoke::mf_ctor, 59, 1},	//396 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {30, 104, 40, 1, Smoke::mf_ctor, 59, 2},	//397 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {30, 532, 0, 0, Smoke::mf_const, 194, 3},	//398 Okular::FileAttachmentAnnotation::fileIconName() const
    {30, 907, 9, 1, 0, 0, 4},	//399 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {30, 520, 0, 0, Smoke::mf_const, 53, 5},	//400 Okular::FileAttachmentAnnotation::embeddedFile() const
    {30, 900, 303, 1, 0, 0, 6},	//401 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {30, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//402 Okular::FileAttachmentAnnotation::subType() const
    {30, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//403 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {30, 1166, 0, 0, Smoke::mf_dtor, 0, 9 },	//404 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {31, 774, 305, 6, Smoke::mf_static, 369, 1},	//405 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {31, 745, 312, 4, Smoke::mf_static, 182, 2},	//406 Okular::FilePrinter::pageList(QPrinter&, int, int, const QList<int>&)
    {31, 745, 317, 3, Smoke::mf_static, 182, 3},	//407 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {31, 751, 317, 3, Smoke::mf_static, 194, 4},	//408 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {31, 748, 321, 1, Smoke::mf_static, 194, 5},	//409 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {31, 789, 0, 0, Smoke::mf_static, 278, 6},	//410 Okular::FilePrinter::ps2pdfAvailable()
    {31, 762, 0, 0, Smoke::mf_static, 278, 7},	//411 Okular::FilePrinter::pdf2psAvailable()
    {31, 462, 0, 0, Smoke::mf_static, 278, 8},	//412 Okular::FilePrinter::cupsAvailable()
    {31, 790, 171, 1, Smoke::mf_static, 192, 9},	//413 Okular::FilePrinter::psPaperSize(QPrinter&)
    {31, 772, 29, 1, Smoke::mf_static, 82, 10},	//414 Okular::FilePrinter::printError(int)
    {31, 485, 0, 0, Smoke::mf_protected, 278, 11},	//415 Okular::FilePrinter::detectCupsService()
    {31, 484, 0, 0, Smoke::mf_protected, 278, 12},	//416 Okular::FilePrinter::detectCupsConfig()
    {31, 492, 323, 6, Smoke::mf_protected, 369, 13},	//417 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&, QPrinter::Orientation)
    {31, 769, 330, 7, Smoke::mf_protected, 196, 14},	//418 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&, QPrinter::Orientation)
    {31, 481, 338, 2, Smoke::mf_protected, 196, 15},	//419 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {31, 457, 338, 2, Smoke::mf_protected, 196, 16},	//420 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {31, 643, 338, 2, Smoke::mf_protected, 196, 17},	//421 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {31, 472, 341, 3, Smoke::mf_protected, 196, 18},	//422 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {31, 758, 345, 5, Smoke::mf_protected, 196, 19},	//423 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {31, 463, 351, 2, Smoke::mf_protected, 196, 20},	//424 Okular::FilePrinter::cupsOptions(QPrinter&, QPrinter::Orientation)
    {31, 732, 171, 1, Smoke::mf_protected, 196, 21},	//425 Okular::FilePrinter::optionMedia(QPrinter&)
    {31, 673, 171, 1, Smoke::mf_protected, 194, 22},	//426 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {31, 675, 171, 1, Smoke::mf_protected, 194, 23},	//427 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {31, 734, 351, 2, Smoke::mf_protected, 196, 24},	//428 Okular::FilePrinter::optionOrientation(QPrinter&, QPrinter::Orientation)
    {31, 730, 171, 1, Smoke::mf_protected, 196, 25},	//429 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {31, 738, 171, 1, Smoke::mf_protected, 196, 26},	//430 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {31, 726, 171, 1, Smoke::mf_protected, 196, 27},	//431 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {31, 736, 171, 1, Smoke::mf_protected, 196, 28},	//432 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {31, 728, 171, 1, Smoke::mf_protected, 196, 29},	//433 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {31, 108, 0, 0, Smoke::mf_ctor, 60, 30},	//434 Okular::FilePrinter::FilePrinter()
    {31, 108, 354, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 31},	//435 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {31, 774, 356, 3, Smoke::mf_static, 369, 32},	//436 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation)
    {31, 774, 360, 4, Smoke::mf_static, 369, 33},	//437 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy)
    {31, 774, 365, 5, Smoke::mf_static, 369, 34},	//438 Okular::FilePrinter::printFile(QPrinter&, const QString, QPrinter::Orientation, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {31, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 35},	//439 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {31, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 36},	//440 Okular::FilePrinter::SystemDeletesFiles (enum)
    {31, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 37},	//441 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {31, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 38},	//442 Okular::FilePrinter::SystemSelectsPages (enum)
    {31, 1167, 0, 0, Smoke::mf_dtor, 0, 39 },	//443 Okular::FilePrinter::~FilePrinter()
    {32, 115, 0, 0, Smoke::mf_ctor, 65, 1},	//444 Okular::FontInfo::FontInfo()
    {32, 115, 180, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//445 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {32, 688, 0, 0, Smoke::mf_const, 194, 3},	//446 Okular::FontInfo::name() const
    {32, 960, 9, 1, 0, 0, 4},	//447 Okular::FontInfo::setName(const QString&)
    {32, 1123, 0, 0, Smoke::mf_const, 67, 5},	//448 Okular::FontInfo::type() const
    {32, 1025, 371, 1, 0, 0, 6},	//449 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {32, 519, 0, 0, Smoke::mf_const, 66, 7},	//450 Okular::FontInfo::embedType() const
    {32, 898, 373, 1, 0, 0, 8},	//451 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {32, 531, 0, 0, Smoke::mf_const, 194, 9},	//452 Okular::FontInfo::file() const
    {32, 905, 9, 1, 0, 0, 10},	//453 Okular::FontInfo::setFile(const QString&)
    {32, 412, 0, 0, Smoke::mf_const, 278, 11},	//454 Okular::FontInfo::canBeExtracted() const
    {32, 872, 190, 1, 0, 0, 12},	//455 Okular::FontInfo::setCanBeExtracted(bool)
    {32, 962, 23, 1, 0, 0, 13},	//456 Okular::FontInfo::setNativeId(const QVariant&)
    {32, 689, 0, 0, Smoke::mf_const, 201, 14},	//457 Okular::FontInfo::nativeId() const
    {32, 718, 180, 1, 0, 64, 15},	//458 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {32, 720, 180, 1, Smoke::mf_const, 278, 16},	//459 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {32, 712, 180, 1, Smoke::mf_const, 278, 17},	//460 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {32, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 18},	//461 Okular::FontInfo::Unknown (enum)
    {32, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 19},	//462 Okular::FontInfo::Type1 (enum)
    {32, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 20},	//463 Okular::FontInfo::Type1C (enum)
    {32, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 21},	//464 Okular::FontInfo::Type1COT (enum)
    {32, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 22},	//465 Okular::FontInfo::Type3 (enum)
    {32, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 23},	//466 Okular::FontInfo::TrueType (enum)
    {32, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 24},	//467 Okular::FontInfo::TrueTypeOT (enum)
    {32, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 25},	//468 Okular::FontInfo::CIDType0 (enum)
    {32, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 26},	//469 Okular::FontInfo::CIDType0C (enum)
    {32, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 27},	//470 Okular::FontInfo::CIDType0COT (enum)
    {32, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 28},	//471 Okular::FontInfo::CIDTrueType (enum)
    {32, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 29},	//472 Okular::FontInfo::CIDTrueTypeOT (enum)
    {32, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 30},	//473 Okular::FontInfo::TeXPK (enum)
    {32, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 31},	//474 Okular::FontInfo::TeXVirtual (enum)
    {32, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 32},	//475 Okular::FontInfo::TeXFontMetric (enum)
    {32, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 33},	//476 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {32, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 34},	//477 Okular::FontInfo::NotEmbedded (enum)
    {32, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 35},	//478 Okular::FontInfo::EmbeddedSubset (enum)
    {32, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 66, 36},	//479 Okular::FontInfo::FullyEmbedded (enum)
    {32, 1168, 0, 0, Smoke::mf_dtor, 0, 37 },	//480 Okular::FontInfo::~FontInfo()
    {33, 1123, 0, 0, Smoke::mf_const, 69, 1},	//481 Okular::FormField::type() const
    {33, 802, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 100, 2},	//482 Okular::FormField::rect() const [pure virtual]
    {33, 604, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 369, 3},	//483 Okular::FormField::id() const [pure virtual]
    {33, 688, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 194, 4},	//484 Okular::FormField::name() const [pure virtual]
    {33, 1124, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 194, 5},	//485 Okular::FormField::uiName() const [pure virtual]
    {33, 631, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 6},	//486 Okular::FormField::isReadOnly() const
    {33, 642, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 7},	//487 Okular::FormField::isVisible() const
    {33, 369, 0, 0, Smoke::mf_const, 13, 8},	//488 Okular::FormField::activationAction() const
    {33, 119, 375, 1, Smoke::mf_ctor|Smoke::mf_protected, 68, 9},	//489 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {33, 469, 0, 0, Smoke::mf_protected, 75, 10},	//490 Okular::FormField::d_func()
    {33, 469, 0, 0, Smoke::mf_const|Smoke::mf_protected, 305, 11},	//491 Okular::FormField::d_func() const
    {33, 852, 377, 1, Smoke::mf_protected, 0, 12},	//492 Okular::FormField::setActivationAction(Okular::Action*)
    {33, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 13},	//493 Okular::FormField::FormButton (enum)
    {33, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 14},	//494 Okular::FormField::FormText (enum)
    {33, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 15},	//495 Okular::FormField::FormChoice (enum)
    {33, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 16},	//496 Okular::FormField::FormSignature (enum)
    {33, 1169, 0, 0, Smoke::mf_dtor, 0, 17 },	//497 Okular::FormField::~FormField()
    {34, 409, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 71, 1},	//498 Okular::FormFieldButton::buttonType() const [pure virtual]
    {34, 433, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 194, 2},	//499 Okular::FormFieldButton::caption() const [pure virtual]
    {34, 1066, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 3},	//500 Okular::FormFieldButton::state() const [pure virtual]
    {34, 1007, 190, 1, Smoke::mf_virtual, 0, 4},	//501 Okular::FormFieldButton::setState(bool)
    {34, 1050, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 5},	//502 Okular::FormFieldButton::siblings() const [pure virtual]
    {34, 121, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 70, 6},	//503 Okular::FormFieldButton::FormFieldButton()
    {34, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 7},	//504 Okular::FormFieldButton::Push (enum)
    {34, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 8},	//505 Okular::FormFieldButton::CheckBox (enum)
    {34, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 9},	//506 Okular::FormFieldButton::Radio (enum)
    {34, 1170, 0, 0, Smoke::mf_dtor, 0, 10 },	//507 Okular::FormFieldButton::~FormFieldButton()
    {35, 438, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 73, 1},	//508 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {35, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 196, 2},	//509 Okular::FormFieldChoice::choices() const [pure virtual]
    {35, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 3},	//510 Okular::FormFieldChoice::isEditable() const
    {35, 687, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 4},	//511 Okular::FormFieldChoice::multiSelect() const
    {35, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 182, 5},	//512 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {35, 883, 321, 1, Smoke::mf_virtual, 0, 6},	//513 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {35, 508, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 7},	//514 Okular::FormFieldChoice::editChoice() const
    {35, 896, 9, 1, Smoke::mf_virtual, 0, 8},	//515 Okular::FormFieldChoice::setEditChoice(const QString&)
    {35, 1085, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 9},	//516 Okular::FormFieldChoice::textAlignment() const
    {35, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 10},	//517 Okular::FormFieldChoice::canBeSpellChecked() const
    {35, 122, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 72, 11},	//518 Okular::FormFieldChoice::FormFieldChoice()
    {35, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 12},	//519 Okular::FormFieldChoice::ComboBox (enum)
    {35, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 13},	//520 Okular::FormFieldChoice::ListBox (enum)
    {35, 1171, 0, 0, Smoke::mf_dtor, 0, 14 },	//521 Okular::FormFieldChoice::~FormFieldChoice()
    {37, 1094, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 77, 1},	//522 Okular::FormFieldText::textType() const [pure virtual]
    {37, 1082, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 194, 2},	//523 Okular::FormFieldText::text() const [pure virtual]
    {37, 1009, 9, 1, Smoke::mf_virtual, 0, 3},	//524 Okular::FormFieldText::setText(const QString&)
    {37, 630, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 4},	//525 Okular::FormFieldText::isPassword() const
    {37, 633, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 5},	//526 Okular::FormFieldText::isRichText() const
    {37, 672, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 369, 6},	//527 Okular::FormFieldText::maximumLength() const
    {37, 1085, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 165, 7},	//528 Okular::FormFieldText::textAlignment() const
    {37, 414, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 8},	//529 Okular::FormFieldText::canBeSpellChecked() const
    {37, 123, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 76, 9},	//530 Okular::FormFieldText::FormFieldText()
    {37, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 10},	//531 Okular::FormFieldText::Normal (enum)
    {37, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 11},	//532 Okular::FormFieldText::Multiline (enum)
    {37, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 12},	//533 Okular::FormFieldText::FileSelect (enum)
    {37, 1172, 0, 0, Smoke::mf_dtor, 0, 13 },	//534 Okular::FormFieldText::~FormFieldText()
    {38, 680, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//535 Okular::Generator::metaObject() const
    {38, 794, 80, 1, Smoke::mf_virtual, 372, 2},	//536 Okular::Generator::qt_metacast(const char*)
    {38, 1101, 82, 2, Smoke::mf_static, 194, 3},	//537 Okular::Generator::tr(const char*, const char*)
    {38, 1105, 82, 2, Smoke::mf_static, 194, 4},	//538 Okular::Generator::trUtf8(const char*, const char*)
    {38, 1101, 85, 3, Smoke::mf_static, 194, 5},	//539 Okular::Generator::tr(const char*, const char*, int)
    {38, 1105, 85, 3, Smoke::mf_static, 194, 6},	//540 Okular::Generator::trUtf8(const char*, const char*, int)
    {38, 792, 89, 3, Smoke::mf_virtual, 369, 7},	//541 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {38, 127, 379, 2, Smoke::mf_ctor, 79, 8},	//542 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {38, 659, 382, 2, Smoke::mf_virtual, 278, 9},	//543 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {38, 661, 385, 2, Smoke::mf_virtual, 278, 10},	//544 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {38, 665, 388, 3, Smoke::mf_virtual, 38, 11},	//545 Okular::Generator::loadDocumentWithPassword(const QString&, QVector<Okular::Page*>&, const QString&)
    {38, 663, 392, 3, Smoke::mf_virtual, 38, 12},	//546 Okular::Generator::loadDocumentFromDataWithPassword(const QByteArray&, QVector<Okular::Page*>&, const QString&)
    {38, 441, 0, 0, 0, 278, 13},	//547 Okular::Generator::closeDocument()
    {38, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 14},	//548 Okular::Generator::canGeneratePixmap() const
    {38, 563, 396, 1, Smoke::mf_virtual, 0, 15},	//549 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {38, 418, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 16},	//550 Okular::Generator::canGenerateTextPage() const
    {38, 565, 398, 1, Smoke::mf_virtual, 0, 17},	//551 Okular::Generator::generateTextPage(Okular::Page*)
    {38, 561, 0, 0, Smoke::mf_virtual, 296, 18},	//552 Okular::Generator::generateDocumentInfo()
    {38, 562, 0, 0, Smoke::mf_virtual, 299, 19},	//553 Okular::Generator::generateDocumentSynopsis()
    {38, 547, 29, 1, Smoke::mf_virtual, 174, 20},	//554 Okular::Generator::fontsForPage(int)
    {38, 521, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 342, 21},	//555 Okular::Generator::embeddedFiles() const
    {38, 760, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 81, 22},	//556 Okular::Generator::pagesSizeMetric() const
    {38, 617, 105, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 23},	//557 Okular::Generator::isAllowed(Okular::Permission) const
    {38, 831, 400, 2, Smoke::mf_virtual, 0, 24},	//558 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {38, 757, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 25},	//559 Okular::Generator::pageSizes() const
    {38, 753, 403, 2, Smoke::mf_virtual, 0, 26},	//560 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {38, 767, 171, 1, Smoke::mf_virtual, 278, 27},	//561 Okular::Generator::print(QPrinter&)
    {38, 677, 110, 2, Smoke::mf_const|Smoke::mf_virtual, 201, 28},	//562 Okular::Generator::metaData(const QString&, const QVariant&) const
    {38, 526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 173, 29},	//563 Okular::Generator::exportFormats() const
    {38, 527, 107, 2, Smoke::mf_virtual, 278, 30},	//564 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {38, 1137, 192, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 31},	//565 Okular::Generator::walletDataForFile(const QString&, QString*, QString*, QString*) const
    {38, 583, 406, 1, Smoke::mf_const, 278, 32},	//566 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {38, 886, 408, 1, 0, 0, 33},	//567 Okular::Generator::setDPI(const QSizeF&)
    {38, 522, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//568 Okular::Generator::error(const QString&, int)
    {38, 1139, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//569 Okular::Generator::warning(const QString&, int)
    {38, 693, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//570 Okular::Generator::notice(const QString&, int)
    {38, 1051, 396, 1, Smoke::mf_protected, 0, 37},	//571 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {38, 1053, 410, 2, Smoke::mf_protected, 0, 38},	//572 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {38, 491, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 39},	//573 Okular::Generator::doCloseDocument() [pure virtual]
    {38, 605, 396, 1, Smoke::mf_protected|Smoke::mf_virtual, 167, 40},	//574 Okular::Generator::image(Okular::PixmapRequest*)
    {38, 1090, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 140, 41},	//575 Okular::Generator::textPage(Okular::Page*)
    {38, 494, 0, 0, Smoke::mf_const|Smoke::mf_protected, 294, 42},	//576 Okular::Generator::document() const
    {38, 902, 413, 2, Smoke::mf_protected, 0, 43},	//577 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {38, 497, 110, 2, Smoke::mf_const|Smoke::mf_protected, 201, 44},	//578 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {38, 1132, 0, 0, Smoke::mf_const|Smoke::mf_protected, 184, 45},	//579 Okular::Generator::userMutex() const
    {38, 1129, 416, 2, Smoke::mf_protected, 0, 46},	//580 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {38, 502, 0, 0, Smoke::mf_const|Smoke::mf_protected, 193, 47},	//581 Okular::Generator::dpi() const
    {38, 817, 419, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//582 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {38, 506, 186, 3, Smoke::mf_protected|Smoke::mf_slot, 323, 49},	//583 Okular::Generator::dynamicSourceReference(int, double, double)
    {38, 772, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 82, 50},	//584 Okular::Generator::printError() const
    {38, 127, 422, 3, Smoke::mf_ctor|Smoke::mf_protected, 79, 51},	//585 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {38, 469, 0, 0, Smoke::mf_protected, 84, 52},	//586 Okular::Generator::d_func()
    {38, 469, 0, 0, Smoke::mf_const|Smoke::mf_protected, 306, 53},	//587 Okular::Generator::d_func() const
    {38, 1101, 80, 1, Smoke::mf_static, 194, 54},	//588 Okular::Generator::tr(const char*)
    {38, 1105, 80, 1, Smoke::mf_static, 194, 55},	//589 Okular::Generator::trUtf8(const char*)
    {38, 902, 406, 1, Smoke::mf_protected, 0, 56},	//590 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {38, 497, 9, 1, Smoke::mf_const|Smoke::mf_protected, 201, 57},	//591 Okular::Generator::documentMetaData(const QString&) const
    {38, 1068, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 58},	//592 Okular::Generator::staticMetaObject() const
    {38, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 59},	//593 Okular::Generator::Threaded (enum)
    {38, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 60},	//594 Okular::Generator::TextExtraction (enum)
    {38, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 61},	//595 Okular::Generator::ReadRawData (enum)
    {38, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 62},	//596 Okular::Generator::FontInfo (enum)
    {38, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 63},	//597 Okular::Generator::PageSizes (enum)
    {38, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 64},	//598 Okular::Generator::PrintNative (enum)
    {38, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 65},	//599 Okular::Generator::PrintPostscript (enum)
    {38, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 66},	//600 Okular::Generator::PrintToFile (enum)
    {38, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 67},	//601 Okular::Generator::TiledRendering (enum)
    {38, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 68},	//602 Okular::Generator::None (enum)
    {38, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 69},	//603 Okular::Generator::Points (enum)
    {38, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 70},	//604 Okular::Generator::Pixels (enum)
    {38, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 71},	//605 Okular::Generator::NoPrintError (enum)
    {38, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 72},	//606 Okular::Generator::UnknownPrintError (enum)
    {38, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 73},	//607 Okular::Generator::TemporaryFileOpenPrintError (enum)
    {38, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 74},	//608 Okular::Generator::FileConversionPrintError (enum)
    {38, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 75},	//609 Okular::Generator::PrintingProcessCrashPrintError (enum)
    {38, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 76},	//610 Okular::Generator::PrintingProcessStartPrintError (enum)
    {38, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 77},	//611 Okular::Generator::PrintToFilePrintError (enum)
    {38, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 78},	//612 Okular::Generator::InvalidPrinterStatePrintError (enum)
    {38, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 79},	//613 Okular::Generator::UnableToFindFilePrintError (enum)
    {38, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 80},	//614 Okular::Generator::NoFileToPrintError (enum)
    {38, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 81},	//615 Okular::Generator::NoBinaryToPrintError (enum)
    {38, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 82},	//616 Okular::Generator::InvalidPageSizePrintError (enum)
    {38, 1173, 0, 0, Smoke::mf_dtor, 0, 83 },	//617 Okular::Generator::~Generator()
    {40, 130, 0, 0, Smoke::mf_ctor, 85, 1},	//618 Okular::GeomAnnotation::GeomAnnotation()
    {40, 130, 40, 1, Smoke::mf_ctor, 85, 2},	//619 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {40, 915, 426, 1, 0, 0, 3},	//620 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {40, 569, 0, 0, Smoke::mf_const, 86, 4},	//621 Okular::GeomAnnotation::geometricalType() const
    {40, 913, 428, 1, 0, 0, 5},	//622 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {40, 568, 0, 0, Smoke::mf_const, 154, 6},	//623 Okular::GeomAnnotation::geometricalInnerColor() const
    {40, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//624 Okular::GeomAnnotation::subType() const
    {40, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//625 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {40, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 9},	//626 Okular::GeomAnnotation::InscribedSquare (enum)
    {40, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 10},	//627 Okular::GeomAnnotation::InscribedCircle (enum)
    {40, 1174, 0, 0, Smoke::mf_dtor, 0, 11 },	//628 Okular::GeomAnnotation::~GeomAnnotation()
    {41, 137, 430, 2, Smoke::mf_ctor, 87, 1},	//629 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {41, 137, 283, 2, Smoke::mf_ctor, 87, 2},	//630 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {41, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 3},	//631 Okular::GotoAction::actionType() const
    {41, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 4},	//632 Okular::GotoAction::actionTip() const
    {41, 625, 0, 0, Smoke::mf_const, 278, 5},	//633 Okular::GotoAction::isExternal() const
    {41, 533, 0, 0, Smoke::mf_const, 194, 6},	//634 Okular::GotoAction::fileName() const
    {41, 480, 0, 0, Smoke::mf_const, 50, 7},	//635 Okular::GotoAction::destViewport() const
    {41, 483, 0, 0, Smoke::mf_const, 194, 8},	//636 Okular::GotoAction::destinationName() const
    {41, 1175, 0, 0, Smoke::mf_dtor, 0, 9 },	//637 Okular::GotoAction::~GotoAction()
    {42, 581, 0, 0, 0, 11, 1},	//638 Okular::GuiInterface::guiClient()
    {42, 141, 0, 0, Smoke::mf_ctor, 88, 2},	//639 Okular::GuiInterface::GuiInterface()
    {42, 141, 433, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 3},	//640 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {42, 1176, 0, 0, Smoke::mf_dtor, 0, 4 },	//641 Okular::GuiInterface::~GuiInterface()
    {43, 146, 0, 0, Smoke::mf_ctor, 89, 1},	//642 Okular::HighlightAnnotation::HighlightAnnotation()
    {43, 146, 40, 1, Smoke::mf_ctor, 89, 2},	//643 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {43, 917, 435, 1, 0, 0, 3},	//644 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {43, 600, 0, 0, Smoke::mf_const, 90, 4},	//645 Okular::HighlightAnnotation::highlightType() const
    {43, 599, 0, 0, 0, 176, 5},	//646 Okular::HighlightAnnotation::highlightQuads()
    {43, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 6},	//647 Okular::HighlightAnnotation::subType() const
    {43, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//648 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {43, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 8},	//649 Okular::HighlightAnnotation::Highlight (enum)
    {43, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 9},	//650 Okular::HighlightAnnotation::Squiggly (enum)
    {43, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 10},	//651 Okular::HighlightAnnotation::Underline (enum)
    {43, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 11},	//652 Okular::HighlightAnnotation::StrikeOut (enum)
    {43, 1177, 0, 0, Smoke::mf_dtor, 0, 12 },	//653 Okular::HighlightAnnotation::~HighlightAnnotation()
    {45, 153, 0, 0, Smoke::mf_ctor, 92, 1},	//654 Okular::InkAnnotation::InkAnnotation()
    {45, 153, 40, 1, Smoke::mf_ctor, 92, 2},	//655 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {45, 919, 437, 1, 0, 0, 3},	//656 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {45, 609, 0, 0, Smoke::mf_const, 180, 4},	//657 Okular::InkAnnotation::inkPaths() const
    {45, 1114, 0, 0, Smoke::mf_const, 180, 5},	//658 Okular::InkAnnotation::transformedInkPaths() const
    {45, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 6},	//659 Okular::InkAnnotation::subType() const
    {45, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//660 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {45, 1178, 0, 0, Smoke::mf_dtor, 0, 8 },	//661 Okular::InkAnnotation::~InkAnnotation()
    {46, 181, 0, 0, Smoke::mf_ctor, 93, 1},	//662 Okular::LineAnnotation::LineAnnotation()
    {46, 181, 40, 1, Smoke::mf_ctor, 93, 2},	//663 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {46, 945, 439, 1, 0, 0, 3},	//664 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {46, 653, 0, 0, Smoke::mf_const, 171, 4},	//665 Okular::LineAnnotation::linePoints() const
    {46, 1117, 0, 0, Smoke::mf_const, 171, 5},	//666 Okular::LineAnnotation::transformedLinePoints() const
    {46, 947, 441, 1, 0, 0, 6},	//667 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {46, 654, 0, 0, Smoke::mf_const, 95, 7},	//668 Okular::LineAnnotation::lineStartStyle() const
    {46, 935, 441, 1, 0, 0, 8},	//669 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {46, 648, 0, 0, Smoke::mf_const, 95, 9},	//670 Okular::LineAnnotation::lineEndStyle() const
    {46, 933, 190, 1, 0, 0, 10},	//671 Okular::LineAnnotation::setLineClosed(bool)
    {46, 647, 0, 0, Smoke::mf_const, 278, 11},	//672 Okular::LineAnnotation::lineClosed() const
    {46, 937, 428, 1, 0, 0, 12},	//673 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {46, 649, 0, 0, Smoke::mf_const, 154, 13},	//674 Okular::LineAnnotation::lineInnerColor() const
    {46, 943, 443, 1, 0, 0, 14},	//675 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {46, 652, 0, 0, Smoke::mf_const, 367, 15},	//676 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {46, 941, 443, 1, 0, 0, 16},	//677 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {46, 651, 0, 0, Smoke::mf_const, 367, 17},	//678 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {46, 995, 190, 1, 0, 0, 18},	//679 Okular::LineAnnotation::setShowCaption(bool)
    {46, 1049, 0, 0, Smoke::mf_const, 278, 19},	//680 Okular::LineAnnotation::showCaption() const
    {46, 939, 445, 1, 0, 0, 20},	//681 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {46, 650, 0, 0, Smoke::mf_const, 94, 21},	//682 Okular::LineAnnotation::lineIntent() const
    {46, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 22},	//683 Okular::LineAnnotation::subType() const
    {46, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//684 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {46, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//685 Okular::LineAnnotation::Square (enum)
    {46, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//686 Okular::LineAnnotation::Circle (enum)
    {46, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//687 Okular::LineAnnotation::Diamond (enum)
    {46, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 27},	//688 Okular::LineAnnotation::OpenArrow (enum)
    {46, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 28},	//689 Okular::LineAnnotation::ClosedArrow (enum)
    {46, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 29},	//690 Okular::LineAnnotation::None (enum)
    {46, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 30},	//691 Okular::LineAnnotation::Butt (enum)
    {46, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 31},	//692 Okular::LineAnnotation::ROpenArrow (enum)
    {46, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 32},	//693 Okular::LineAnnotation::RClosedArrow (enum)
    {46, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 33},	//694 Okular::LineAnnotation::Slash (enum)
    {46, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 34},	//695 Okular::LineAnnotation::Unknown (enum)
    {46, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 35},	//696 Okular::LineAnnotation::Arrow (enum)
    {46, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 36},	//697 Okular::LineAnnotation::Dimension (enum)
    {46, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 37},	//698 Okular::LineAnnotation::PolygonCloud (enum)
    {46, 1179, 0, 0, Smoke::mf_dtor, 0, 38 },	//699 Okular::LineAnnotation::~LineAnnotation()
    {48, 203, 0, 0, Smoke::mf_ctor, 99, 1},	//700 Okular::NormalizedPoint::NormalizedPoint()
    {48, 203, 49, 2, Smoke::mf_ctor, 99, 2},	//701 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {48, 203, 447, 4, Smoke::mf_ctor, 99, 3},	//702 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {48, 718, 33, 1, 0, 98, 4},	//703 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {48, 1109, 57, 1, 0, 0, 5},	//704 Okular::NormalizedPoint::transform(const QTransform&)
    {48, 488, 52, 4, Smoke::mf_const, 367, 6},	//705 Okular::NormalizedPoint::distanceSqr(double, double, double, double) const
    {48, 488, 452, 6, Smoke::mf_static, 367, 7},	//706 Okular::NormalizedPoint::distanceSqr(double, double, double, double, const Okular::NormalizedPoint&, const Okular::NormalizedPoint&)
    {48, 203, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 8},	//707 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {48, 1148, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 9},	//708 Okular::NormalizedPoint::x() const
    {48, 1040, 443, 1, Smoke::mf_attribute, 0, 10},	//709 Okular::NormalizedPoint::setX(double)
    {48, 1150, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 11},	//710 Okular::NormalizedPoint::y() const
    {48, 1044, 443, 1, Smoke::mf_attribute, 0, 12},	//711 Okular::NormalizedPoint::setY(double)
    {48, 1180, 0, 0, Smoke::mf_dtor, 0, 13 },	//712 Okular::NormalizedPoint::~NormalizedPoint()
    {49, 207, 0, 0, Smoke::mf_ctor, 102, 1},	//713 Okular::NormalizedRect::NormalizedRect()
    {49, 207, 52, 4, Smoke::mf_ctor, 102, 2},	//714 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {49, 207, 459, 3, Smoke::mf_ctor, 102, 3},	//715 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {49, 207, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 4},	//716 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {49, 718, 31, 1, 0, 101, 5},	//717 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {49, 558, 463, 1, Smoke::mf_static, 100, 6},	//718 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {49, 628, 0, 0, Smoke::mf_const, 278, 7},	//719 Okular::NormalizedRect::isNull() const
    {49, 446, 49, 2, Smoke::mf_const, 278, 8},	//720 Okular::NormalizedRect::contains(double, double) const
    {49, 614, 31, 1, Smoke::mf_const, 278, 9},	//721 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {49, 614, 465, 1, Smoke::mf_const, 278, 10},	//722 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {49, 614, 52, 4, Smoke::mf_const, 278, 11},	//723 Okular::NormalizedRect::intersects(double, double, double, double) const
    {49, 570, 467, 2, Smoke::mf_const, 190, 12},	//724 Okular::NormalizedRect::geometry(int, int) const
    {49, 833, 467, 2, Smoke::mf_const, 190, 13},	//725 Okular::NormalizedRect::roundedGeometry(int, int) const
    {49, 722, 31, 1, Smoke::mf_const, 100, 14},	//726 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {49, 724, 31, 1, 0, 101, 15},	//727 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {49, 714, 31, 1, Smoke::mf_const, 100, 16},	//728 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {49, 720, 31, 1, Smoke::mf_const, 278, 17},	//729 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {49, 435, 0, 0, Smoke::mf_const, 97, 18},	//730 Okular::NormalizedRect::center() const
    {49, 1109, 57, 1, 0, 0, 19},	//731 Okular::NormalizedRect::transform(const QTransform&)
    {49, 619, 33, 1, Smoke::mf_const, 278, 20},	//732 Okular::NormalizedRect::isBottom(const Okular::NormalizedPoint&) const
    {49, 637, 33, 1, Smoke::mf_const, 278, 21},	//733 Okular::NormalizedRect::isTop(const Okular::NormalizedPoint&) const
    {49, 621, 33, 1, Smoke::mf_const, 278, 22},	//734 Okular::NormalizedRect::isBottomOrLevel(const Okular::NormalizedPoint&) const
    {49, 639, 33, 1, Smoke::mf_const, 278, 23},	//735 Okular::NormalizedRect::isTopOrLevel(const Okular::NormalizedPoint&) const
    {49, 626, 33, 1, Smoke::mf_const, 278, 24},	//736 Okular::NormalizedRect::isLeft(const Okular::NormalizedPoint&) const
    {49, 634, 33, 1, Smoke::mf_const, 278, 25},	//737 Okular::NormalizedRect::isRight(const Okular::NormalizedPoint&) const
    {49, 488, 52, 4, Smoke::mf_const, 367, 26},	//738 Okular::NormalizedRect::distanceSqr(double, double, double, double) const
    {49, 646, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 27},	//739 Okular::NormalizedRect::left() const
    {49, 931, 443, 1, Smoke::mf_attribute, 0, 28},	//740 Okular::NormalizedRect::setLeft(double)
    {49, 1099, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 29},	//741 Okular::NormalizedRect::top() const
    {49, 1021, 443, 1, Smoke::mf_attribute, 0, 30},	//742 Okular::NormalizedRect::setTop(double)
    {49, 827, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 31},	//743 Okular::NormalizedRect::right() const
    {49, 987, 443, 1, Smoke::mf_attribute, 0, 32},	//744 Okular::NormalizedRect::setRight(double)
    {49, 404, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 367, 33},	//745 Okular::NormalizedRect::bottom() const
    {49, 866, 443, 1, Smoke::mf_attribute, 0, 34},	//746 Okular::NormalizedRect::setBottom(double)
    {49, 1181, 0, 0, Smoke::mf_dtor, 0, 35 },	//747 Okular::NormalizedRect::~NormalizedRect()
    {50, 213, 470, 7, Smoke::mf_ctor, 103, 1},	//748 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 213, 478, 4, Smoke::mf_ctor, 103, 2},	//749 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {50, 213, 483, 3, Smoke::mf_ctor, 103, 3},	//750 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {50, 701, 0, 0, Smoke::mf_const, 104, 4},	//751 Okular::ObjectRect::objectType() const
    {50, 696, 0, 0, Smoke::mf_const, 366, 5},	//752 Okular::ObjectRect::object() const
    {50, 804, 0, 0, Smoke::mf_const, 351, 6},	//753 Okular::ObjectRect::region() const
    {50, 406, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 190, 7},	//754 Okular::ObjectRect::boundingRect(double, double) const
    {50, 446, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 278, 8},	//755 Okular::ObjectRect::contains(double, double, double, double) const
    {50, 1109, 57, 1, Smoke::mf_virtual, 0, 9},	//756 Okular::ObjectRect::transform(const QTransform&)
    {50, 488, 52, 4, Smoke::mf_const, 367, 10},	//757 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {50, 213, 487, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 11},	//758 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {50, 669, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 104, 12},	//759 Okular::ObjectRect::m_objectType() const
    {50, 952, 489, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//760 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {50, 668, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 372, 14},	//761 Okular::ObjectRect::m_object() const
    {50, 950, 491, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//762 Okular::ObjectRect::setM_object(void*)
    {50, 670, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 186, 16},	//763 Okular::ObjectRect::m_path() const
    {50, 954, 493, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//764 Okular::ObjectRect::setM_path(const QPainterPath&)
    {50, 671, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 186, 18},	//765 Okular::ObjectRect::m_transformedPath() const
    {50, 956, 493, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//766 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {50, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 20},	//767 Okular::ObjectRect::Action (enum)
    {50, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 21},	//768 Okular::ObjectRect::Image (enum)
    {50, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 22},	//769 Okular::ObjectRect::OAnnotation (enum)
    {50, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 23},	//770 Okular::ObjectRect::SourceRef (enum)
    {50, 1182, 0, 0, Smoke::mf_dtor, 0, 24 },	//771 Okular::ObjectRect::~ObjectRect()
    {51, 227, 495, 4, Smoke::mf_ctor, 105, 1},	//772 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {51, 695, 0, 0, Smoke::mf_const, 369, 2},	//773 Okular::Page::number() const
    {51, 740, 0, 0, Smoke::mf_const, 121, 3},	//774 Okular::Page::orientation() const
    {51, 830, 0, 0, Smoke::mf_const, 121, 4},	//775 Okular::Page::rotation() const
    {51, 1100, 0, 0, Smoke::mf_const, 121, 5},	//776 Okular::Page::totalOrientation() const
    {51, 1141, 0, 0, Smoke::mf_const, 367, 6},	//777 Okular::Page::width() const
    {51, 598, 0, 0, Smoke::mf_const, 367, 7},	//778 Okular::Page::height() const
    {51, 797, 0, 0, Smoke::mf_const, 367, 8},	//779 Okular::Page::ratio() const
    {51, 405, 0, 0, Smoke::mf_const, 100, 9},	//780 Okular::Page::boundingBox() const
    {51, 623, 0, 0, Smoke::mf_const, 278, 10},	//781 Okular::Page::isBoundingBoxKnown() const
    {51, 868, 31, 1, 0, 0, 11},	//782 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {51, 589, 500, 4, Smoke::mf_const, 278, 12},	//783 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int, const Okular::NormalizedRect&) const
    {51, 594, 0, 0, Smoke::mf_const, 278, 13},	//784 Okular::Page::hasTextPage() const
    {51, 587, 52, 4, Smoke::mf_const, 278, 14},	//785 Okular::Page::hasObjectRect(double, double, double, double) const
    {51, 585, 29, 1, Smoke::mf_const, 278, 15},	//786 Okular::Page::hasHighlights(int) const
    {51, 597, 0, 0, Smoke::mf_const, 278, 16},	//787 Okular::Page::hasTransition() const
    {51, 582, 0, 0, Smoke::mf_const, 278, 17},	//788 Okular::Page::hasAnnotations() const
    {51, 538, 505, 5, Smoke::mf_const, 120, 18},	//789 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {51, 1082, 511, 1, Smoke::mf_const, 194, 19},	//790 Okular::Page::text(const Okular::RegularAreaRect*) const
    {51, 1082, 513, 2, Smoke::mf_const, 194, 20},	//791 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1146, 513, 2, Smoke::mf_const, 178, 21},	//792 Okular::Page::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {51, 1143, 516, 2, Smoke::mf_const, 120, 22},	//793 Okular::Page::wordAt(const Okular::NormalizedPoint&, QString*) const
    {51, 1086, 519, 1, Smoke::mf_const, 120, 23},	//794 Okular::Page::textArea(Okular::TextSelection*) const
    {51, 697, 521, 5, Smoke::mf_const, 313, 24},	//795 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {51, 699, 521, 5, Smoke::mf_const, 172, 25},	//796 Okular::Page::objectRects(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {51, 690, 527, 6, Smoke::mf_const, 313, 26},	//797 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {51, 1118, 0, 0, Smoke::mf_const, 317, 27},	//798 Okular::Page::transition() const
    {51, 394, 0, 0, Smoke::mf_const, 168, 28},	//799 Okular::Page::annotations() const
    {51, 743, 534, 1, Smoke::mf_const, 285, 29},	//800 Okular::Page::pageAction(Okular::Page::PageAction) const
    {51, 553, 0, 0, Smoke::mf_const, 170, 30},	//801 Okular::Page::formFields() const
    {51, 981, 536, 3, 0, 0, 31},	//802 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*, const Okular::NormalizedRect&)
    {51, 1015, 540, 1, 0, 0, 32},	//803 Okular::Page::setTextPage(Okular::TextPage*)
    {51, 971, 542, 1, 0, 0, 33},	//804 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {51, 1003, 544, 1, 0, 0, 34},	//805 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {51, 894, 443, 1, 0, 0, 35},	//806 Okular::Page::setDuration(double)
    {51, 505, 0, 0, Smoke::mf_const, 367, 36},	//807 Okular::Page::duration() const
    {51, 929, 9, 1, 0, 0, 37},	//808 Okular::Page::setLabel(const QString&)
    {51, 645, 0, 0, Smoke::mf_const, 194, 38},	//809 Okular::Page::label() const
    {51, 1092, 0, 0, Smoke::mf_const, 320, 39},	//810 Okular::Page::textSelection() const
    {51, 1093, 0, 0, Smoke::mf_const, 154, 40},	//811 Okular::Page::textSelectionColor() const
    {51, 372, 47, 1, 0, 0, 41},	//812 Okular::Page::addAnnotation(Okular::Annotation*)
    {51, 807, 47, 1, 0, 278, 42},	//813 Okular::Page::removeAnnotation(Okular::Annotation*)
    {51, 1023, 546, 1, 0, 0, 43},	//814 Okular::Page::setTransition(Okular::PageTransition*)
    {51, 973, 548, 2, 0, 0, 44},	//815 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {51, 911, 551, 1, 0, 0, 45},	//816 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {51, 474, 100, 1, 0, 0, 46},	//817 Okular::Page::deletePixmap(Okular::DocumentObserver*)
    {51, 476, 0, 0, 0, 0, 47},	//818 Okular::Page::deletePixmaps()
    {51, 477, 0, 0, 0, 0, 48},	//819 Okular::Page::deleteRects()
    {51, 478, 0, 0, 0, 0, 49},	//820 Okular::Page::deleteSourceReferences()
    {51, 471, 0, 0, 0, 0, 50},	//821 Okular::Page::deleteAnnotations()
    {51, 595, 553, 1, Smoke::mf_const, 278, 51},	//822 Okular::Page::hasTilesManager(const Okular::DocumentObserver*) const
    {51, 1095, 555, 2, Smoke::mf_const, 179, 52},	//823 Okular::Page::tilesAt(const Okular::DocumentObserver*, const Okular::NormalizedRect&) const
    {51, 589, 100, 1, Smoke::mf_const, 278, 53},	//824 Okular::Page::hasPixmap(Okular::DocumentObserver*) const
    {51, 589, 558, 2, Smoke::mf_const, 278, 54},	//825 Okular::Page::hasPixmap(Okular::DocumentObserver*, int) const
    {51, 589, 561, 3, Smoke::mf_const, 278, 55},	//826 Okular::Page::hasPixmap(Okular::DocumentObserver*, int, int) const
    {51, 585, 0, 0, Smoke::mf_const, 278, 56},	//827 Okular::Page::hasHighlights() const
    {51, 538, 565, 4, Smoke::mf_const, 120, 57},	//828 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {51, 1082, 0, 0, Smoke::mf_const, 194, 58},	//829 Okular::Page::text() const
    {51, 1143, 33, 1, Smoke::mf_const, 120, 59},	//830 Okular::Page::wordAt(const Okular::NormalizedPoint&) const
    {51, 981, 570, 2, 0, 0, 60},	//831 Okular::Page::setPixmap(Okular::DocumentObserver*, QPixmap*)
    {51, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 61},	//832 Okular::Page::Opening (enum)
    {51, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 62},	//833 Okular::Page::Closing (enum)
    {51, 1183, 0, 0, Smoke::mf_dtor, 0, 63 },	//834 Okular::Page::~Page()
    {52, 235, 0, 0, Smoke::mf_ctor, 109, 1},	//835 Okular::PageSize::PageSize()
    {52, 235, 573, 3, Smoke::mf_ctor, 109, 2},	//836 Okular::PageSize::PageSize(double, double, const QString&)
    {52, 235, 197, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 3},	//837 Okular::PageSize::PageSize(const Okular::PageSize&)
    {52, 1141, 0, 0, Smoke::mf_const, 367, 4},	//838 Okular::PageSize::width() const
    {52, 598, 0, 0, Smoke::mf_const, 367, 5},	//839 Okular::PageSize::height() const
    {52, 688, 0, 0, Smoke::mf_const, 194, 6},	//840 Okular::PageSize::name() const
    {52, 628, 0, 0, Smoke::mf_const, 278, 7},	//841 Okular::PageSize::isNull() const
    {52, 718, 197, 1, 0, 108, 8},	//842 Okular::PageSize::operator=(const Okular::PageSize&)
    {52, 720, 197, 1, Smoke::mf_const, 278, 9},	//843 Okular::PageSize::operator==(const Okular::PageSize&) const
    {52, 712, 197, 1, Smoke::mf_const, 278, 10},	//844 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {52, 1184, 0, 0, Smoke::mf_dtor, 0, 11 },	//845 Okular::PageSize::~PageSize()
    {53, 239, 577, 1, Smoke::mf_ctor, 111, 1},	//846 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {53, 239, 579, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 111, 2},	//847 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {53, 718, 579, 1, 0, 110, 3},	//848 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {53, 1123, 0, 0, Smoke::mf_const, 114, 4},	//849 Okular::PageTransition::type() const
    {53, 505, 0, 0, Smoke::mf_const, 369, 5},	//850 Okular::PageTransition::duration() const
    {53, 386, 0, 0, Smoke::mf_const, 112, 6},	//851 Okular::PageTransition::alignment() const
    {53, 486, 0, 0, Smoke::mf_const, 113, 7},	//852 Okular::PageTransition::direction() const
    {53, 388, 0, 0, Smoke::mf_const, 369, 8},	//853 Okular::PageTransition::angle() const
    {53, 842, 0, 0, Smoke::mf_const, 367, 9},	//854 Okular::PageTransition::scale() const
    {53, 632, 0, 0, Smoke::mf_const, 278, 10},	//855 Okular::PageTransition::isRectangular() const
    {53, 1025, 577, 1, 0, 0, 11},	//856 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {53, 894, 29, 1, 0, 0, 12},	//857 Okular::PageTransition::setDuration(int)
    {53, 854, 581, 1, 0, 0, 13},	//858 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {53, 888, 583, 1, 0, 0, 14},	//859 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {53, 856, 29, 1, 0, 0, 15},	//860 Okular::PageTransition::setAngle(int)
    {53, 993, 443, 1, 0, 0, 16},	//861 Okular::PageTransition::setScale(double)
    {53, 927, 190, 1, 0, 0, 17},	//862 Okular::PageTransition::setIsRectangular(bool)
    {53, 239, 0, 0, Smoke::mf_ctor, 111, 18},	//863 Okular::PageTransition::PageTransition()
    {53, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 19},	//864 Okular::PageTransition::Replace (enum)
    {53, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 20},	//865 Okular::PageTransition::Split (enum)
    {53, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 21},	//866 Okular::PageTransition::Blinds (enum)
    {53, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 22},	//867 Okular::PageTransition::Box (enum)
    {53, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 23},	//868 Okular::PageTransition::Wipe (enum)
    {53, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//869 Okular::PageTransition::Dissolve (enum)
    {53, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//870 Okular::PageTransition::Glitter (enum)
    {53, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 26},	//871 Okular::PageTransition::Fly (enum)
    {53, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 27},	//872 Okular::PageTransition::Push (enum)
    {53, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//873 Okular::PageTransition::Cover (enum)
    {53, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 29},	//874 Okular::PageTransition::Uncover (enum)
    {53, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 30},	//875 Okular::PageTransition::Fade (enum)
    {53, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 31},	//876 Okular::PageTransition::Horizontal (enum)
    {53, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 32},	//877 Okular::PageTransition::Vertical (enum)
    {53, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 33},	//878 Okular::PageTransition::Inward (enum)
    {53, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 34},	//879 Okular::PageTransition::Outward (enum)
    {53, 1185, 0, 0, Smoke::mf_dtor, 0, 35 },	//880 Okular::PageTransition::~PageTransition()
    {54, 245, 585, 6, Smoke::mf_ctor, 116, 1},	//881 Okular::PixmapRequest::PixmapRequest(Okular::DocumentObserver*, int, int, int, int, QFlags<Okular::PixmapRequest::PixmapRequestFeature>)
    {54, 702, 0, 0, Smoke::mf_const, 48, 2},	//882 Okular::PixmapRequest::observer() const
    {54, 750, 0, 0, Smoke::mf_const, 369, 3},	//883 Okular::PixmapRequest::pageNumber() const
    {54, 1141, 0, 0, Smoke::mf_const, 369, 4},	//884 Okular::PixmapRequest::width() const
    {54, 598, 0, 0, Smoke::mf_const, 369, 5},	//885 Okular::PixmapRequest::height() const
    {54, 780, 0, 0, Smoke::mf_const, 369, 6},	//886 Okular::PixmapRequest::priority() const
    {54, 398, 0, 0, Smoke::mf_const, 278, 7},	//887 Okular::PixmapRequest::asynchronous() const
    {54, 764, 0, 0, Smoke::mf_const, 278, 8},	//888 Okular::PixmapRequest::preload() const
    {54, 741, 0, 0, Smoke::mf_const, 105, 9},	//889 Okular::PixmapRequest::page() const
    {54, 1019, 190, 1, 0, 0, 10},	//890 Okular::PixmapRequest::setTile(bool)
    {54, 636, 0, 0, Smoke::mf_const, 278, 11},	//891 Okular::PixmapRequest::isTile() const
    {54, 969, 31, 1, 0, 0, 12},	//892 Okular::PixmapRequest::setNormalizedRect(const Okular::NormalizedRect&)
    {54, 692, 0, 0, Smoke::mf_const, 310, 13},	//893 Okular::PixmapRequest::normalizedRect() const
    {54, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 14},	//894 Okular::PixmapRequest::NoFeature (enum)
    {54, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 15},	//895 Okular::PixmapRequest::Asynchronous (enum)
    {54, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 16},	//896 Okular::PixmapRequest::Preload (enum)
    {54, 1186, 0, 0, Smoke::mf_dtor, 0, 17 },	//897 Okular::PixmapRequest::~PixmapRequest()
    {55, 771, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 203, 1},	//898 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {55, 254, 0, 0, Smoke::mf_ctor, 118, 2},	//899 Okular::PrintInterface::PrintInterface()
    {55, 254, 592, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 118, 3},	//900 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {55, 1187, 0, 0, Smoke::mf_dtor, 0, 4 },	//901 Okular::PrintInterface::~PrintInterface()
    {56, 270, 0, 0, Smoke::mf_ctor, 120, 1},	//902 Okular::RegularAreaRect::RegularAreaRect()
    {56, 270, 594, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 2},	//903 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {56, 718, 594, 1, 0, 119, 3},	//904 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {56, 1188, 0, 0, Smoke::mf_dtor, 0, 4 },	//905 Okular::RegularAreaRect::~RegularAreaRect()
    {58, 280, 596, 2, Smoke::mf_ctor, 122, 1},	//906 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {58, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//907 Okular::ScriptAction::actionType() const
    {58, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 3},	//908 Okular::ScriptAction::actionTip() const
    {58, 844, 0, 0, Smoke::mf_const, 123, 4},	//909 Okular::ScriptAction::scriptType() const
    {58, 843, 0, 0, Smoke::mf_const, 194, 5},	//910 Okular::ScriptAction::script() const
    {58, 1189, 0, 0, Smoke::mf_dtor, 0, 6 },	//911 Okular::ScriptAction::~ScriptAction()
    {59, 286, 599, 1, Smoke::mf_ctor, 125, 1},	//912 Okular::Sound::Sound(const QByteArray&)
    {59, 286, 9, 1, Smoke::mf_ctor, 125, 2},	//913 Okular::Sound::Sound(const QString&)
    {59, 1059, 0, 0, Smoke::mf_const, 127, 3},	//914 Okular::Sound::soundType() const
    {59, 1131, 0, 0, Smoke::mf_const, 194, 4},	//915 Okular::Sound::url() const
    {59, 470, 0, 0, Smoke::mf_const, 151, 5},	//916 Okular::Sound::data() const
    {59, 991, 443, 1, 0, 0, 6},	//917 Okular::Sound::setSamplingRate(double)
    {59, 836, 0, 0, Smoke::mf_const, 367, 7},	//918 Okular::Sound::samplingRate() const
    {59, 876, 29, 1, 0, 0, 8},	//919 Okular::Sound::setChannels(int)
    {59, 436, 0, 0, Smoke::mf_const, 369, 9},	//920 Okular::Sound::channels() const
    {59, 864, 29, 1, 0, 0, 10},	//921 Okular::Sound::setBitsPerSample(int)
    {59, 400, 0, 0, Smoke::mf_const, 369, 11},	//922 Okular::Sound::bitsPerSample() const
    {59, 999, 601, 1, 0, 0, 12},	//923 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {59, 1057, 0, 0, Smoke::mf_const, 126, 13},	//924 Okular::Sound::soundEncoding() const
    {59, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 14},	//925 Okular::Sound::External (enum)
    {59, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 15},	//926 Okular::Sound::Embedded (enum)
    {59, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 16},	//927 Okular::Sound::Raw (enum)
    {59, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 17},	//928 Okular::Sound::Signed (enum)
    {59, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 18},	//929 Okular::Sound::muLaw (enum)
    {59, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 19},	//930 Okular::Sound::ALaw (enum)
    {59, 1190, 0, 0, Smoke::mf_dtor, 0, 20 },	//931 Okular::Sound::~Sound()
    {60, 289, 603, 5, Smoke::mf_ctor, 128, 1},	//932 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {60, 368, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 14, 2},	//933 Okular::SoundAction::actionType() const
    {60, 367, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 194, 3},	//934 Okular::SoundAction::actionTip() const
    {60, 1136, 0, 0, Smoke::mf_const, 367, 4},	//935 Okular::SoundAction::volume() const
    {60, 1081, 0, 0, Smoke::mf_const, 278, 5},	//936 Okular::SoundAction::synchronous() const
    {60, 816, 0, 0, Smoke::mf_const, 278, 6},	//937 Okular::SoundAction::repeat() const
    {60, 682, 0, 0, Smoke::mf_const, 278, 7},	//938 Okular::SoundAction::mix() const
    {60, 1056, 0, 0, Smoke::mf_const, 125, 8},	//939 Okular::SoundAction::sound() const
    {60, 1191, 0, 0, Smoke::mf_dtor, 0, 9 },	//940 Okular::SoundAction::~SoundAction()
    {61, 291, 0, 0, Smoke::mf_ctor, 129, 1},	//941 Okular::SoundAnnotation::SoundAnnotation()
    {61, 291, 40, 1, Smoke::mf_ctor, 129, 2},	//942 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {61, 1058, 0, 0, Smoke::mf_const, 194, 3},	//943 Okular::SoundAnnotation::soundIconName() const
    {61, 1001, 9, 1, 0, 0, 4},	//944 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {61, 1056, 0, 0, Smoke::mf_const, 125, 5},	//945 Okular::SoundAnnotation::sound() const
    {61, 997, 609, 1, 0, 0, 6},	//946 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {61, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 7},	//947 Okular::SoundAnnotation::subType() const
    {61, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//948 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {61, 1192, 0, 0, Smoke::mf_dtor, 0, 9 },	//949 Okular::SoundAnnotation::~SoundAnnotation()
    {62, 294, 611, 2, Smoke::mf_ctor, 130, 1},	//950 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {62, 406, 49, 2, Smoke::mf_const|Smoke::mf_virtual, 190, 2},	//951 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {62, 446, 52, 4, Smoke::mf_const|Smoke::mf_virtual, 278, 3},	//952 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {62, 294, 614, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 4},	//953 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {62, 1193, 0, 0, Smoke::mf_dtor, 0, 5 },	//954 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {63, 297, 616, 3, Smoke::mf_ctor, 131, 1},	//955 Okular::SourceReference::SourceReference(const QString&, int, int)
    {63, 533, 0, 0, Smoke::mf_const, 194, 2},	//956 Okular::SourceReference::fileName() const
    {63, 835, 0, 0, Smoke::mf_const, 369, 3},	//957 Okular::SourceReference::row() const
    {63, 442, 0, 0, Smoke::mf_const, 369, 4},	//958 Okular::SourceReference::column() const
    {63, 297, 223, 2, Smoke::mf_ctor, 131, 5},	//959 Okular::SourceReference::SourceReference(const QString&, int)
    {63, 1194, 0, 0, Smoke::mf_dtor, 0, 6 },	//960 Okular::SourceReference::~SourceReference()
    {64, 303, 0, 0, Smoke::mf_ctor, 132, 1},	//961 Okular::StampAnnotation::StampAnnotation()
    {64, 303, 40, 1, Smoke::mf_ctor, 132, 2},	//962 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {64, 1005, 9, 1, 0, 0, 3},	//963 Okular::StampAnnotation::setStampIconName(const QString&)
    {64, 1062, 0, 0, Smoke::mf_const, 194, 4},	//964 Okular::StampAnnotation::stampIconName() const
    {64, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 5},	//965 Okular::StampAnnotation::subType() const
    {64, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//966 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {64, 1195, 0, 0, Smoke::mf_dtor, 0, 7 },	//967 Okular::StampAnnotation::~StampAnnotation()
    {65, 316, 0, 0, Smoke::mf_ctor, 133, 1},	//968 Okular::TextAnnotation::TextAnnotation()
    {65, 316, 40, 1, Smoke::mf_ctor, 133, 2},	//969 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {65, 1017, 620, 1, 0, 0, 3},	//970 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {65, 1094, 0, 0, Smoke::mf_const, 135, 4},	//971 Okular::TextAnnotation::textType() const
    {65, 1013, 9, 1, 0, 0, 5},	//972 Okular::TextAnnotation::setTextIcon(const QString&)
    {65, 1089, 0, 0, Smoke::mf_const, 194, 6},	//973 Okular::TextAnnotation::textIcon() const
    {65, 1011, 622, 1, 0, 0, 7},	//974 Okular::TextAnnotation::setTextFont(const QFont&)
    {65, 1088, 0, 0, Smoke::mf_const, 166, 8},	//975 Okular::TextAnnotation::textFont() const
    {65, 921, 29, 1, 0, 0, 9},	//976 Okular::TextAnnotation::setInplaceAlignment(int)
    {65, 610, 0, 0, Smoke::mf_const, 369, 10},	//977 Okular::TextAnnotation::inplaceAlignment() const
    {65, 923, 624, 2, 0, 0, 11},	//978 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {65, 611, 29, 1, Smoke::mf_const, 97, 12},	//979 Okular::TextAnnotation::inplaceCallout(int) const
    {65, 1115, 29, 1, Smoke::mf_const, 97, 13},	//980 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {65, 925, 627, 1, 0, 0, 14},	//981 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {65, 613, 0, 0, Smoke::mf_const, 134, 15},	//982 Okular::TextAnnotation::inplaceIntent() const
    {65, 1075, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 16},	//983 Okular::TextAnnotation::subType() const
    {65, 1070, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 17},	//984 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {65, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 18},	//985 Okular::TextAnnotation::Linked (enum)
    {65, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 19},	//986 Okular::TextAnnotation::InPlace (enum)
    {65, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 20},	//987 Okular::TextAnnotation::Unknown (enum)
    {65, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 21},	//988 Okular::TextAnnotation::Callout (enum)
    {65, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 22},	//989 Okular::TextAnnotation::TypeWriter (enum)
    {65, 1196, 0, 0, Smoke::mf_dtor, 0, 23 },	//990 Okular::TextAnnotation::~TextAnnotation()
    {66, 680, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//991 Okular::TextDocumentConverter::metaObject() const
    {66, 794, 80, 1, Smoke::mf_virtual, 372, 2},	//992 Okular::TextDocumentConverter::qt_metacast(const char*)
    {66, 1101, 82, 2, Smoke::mf_static, 194, 3},	//993 Okular::TextDocumentConverter::tr(const char*, const char*)
    {66, 1105, 82, 2, Smoke::mf_static, 194, 4},	//994 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {66, 1101, 85, 3, Smoke::mf_static, 194, 5},	//995 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {66, 1105, 85, 3, Smoke::mf_static, 194, 6},	//996 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {66, 792, 89, 3, Smoke::mf_virtual, 369, 7},	//997 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {66, 318, 0, 0, Smoke::mf_ctor, 136, 8},	//998 Okular::TextDocumentConverter::TextDocumentConverter()
    {66, 453, 9, 1, Smoke::mf_virtual, 199, 9},	//999 Okular::TextDocumentConverter::convert(const QString&)
    {66, 455, 283, 2, Smoke::mf_virtual, 38, 10},	//1000 Okular::TextDocumentConverter::convertWithPassword(const QString&, const QString&)
    {66, 494, 0, 0, 0, 199, 11},	//1001 Okular::TextDocumentConverter::document()
    {66, 370, 629, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1002 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {66, 372, 633, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1003 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {66, 384, 637, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1004 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {66, 375, 272, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1005 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {66, 375, 276, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1006 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {66, 522, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1007 Okular::TextDocumentConverter::error(const QString&, int)
    {66, 1139, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1008 Okular::TextDocumentConverter::warning(const QString&, int)
    {66, 693, 223, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1009 Okular::TextDocumentConverter::notice(const QString&, int)
    {66, 892, 641, 1, Smoke::mf_protected, 0, 20},	//1010 Okular::TextDocumentConverter::setDocument(QTextDocument*)
    {66, 410, 643, 2, Smoke::mf_protected, 50, 21},	//1011 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {66, 567, 0, 0, Smoke::mf_const|Smoke::mf_protected, 137, 22},	//1012 Okular::TextDocumentConverter::generator() const
    {66, 1101, 80, 1, Smoke::mf_static, 194, 23},	//1013 Okular::TextDocumentConverter::tr(const char*)
    {66, 1105, 80, 1, Smoke::mf_static, 194, 24},	//1014 Okular::TextDocumentConverter::trUtf8(const char*)
    {66, 1068, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 25},	//1015 Okular::TextDocumentConverter::staticMetaObject() const
    {66, 1197, 0, 0, Smoke::mf_dtor, 0, 26 },	//1016 Okular::TextDocumentConverter::~TextDocumentConverter()
    {67, 680, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 350, 1},	//1017 Okular::TextDocumentGenerator::metaObject() const
    {67, 794, 80, 1, Smoke::mf_virtual, 372, 2},	//1018 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {67, 1101, 82, 2, Smoke::mf_static, 194, 3},	//1019 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {67, 1105, 82, 2, Smoke::mf_static, 194, 4},	//1020 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {67, 1101, 85, 3, Smoke::mf_static, 194, 5},	//1021 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {67, 1105, 85, 3, Smoke::mf_static, 194, 6},	//1022 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {67, 792, 89, 3, Smoke::mf_virtual, 369, 7},	//1023 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {67, 319, 646, 4, Smoke::mf_ctor, 137, 8},	//1024 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, const QString&, QObject*, const QList<QVariant>&)
    {67, 319, 651, 3, Smoke::mf_ctor, 137, 9},	//1025 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {67, 665, 388, 3, Smoke::mf_virtual, 38, 10},	//1026 Okular::TextDocumentGenerator::loadDocumentWithPassword(const QString&, QVector<Okular::Page*>&, const QString&)
    {67, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 11},	//1027 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {67, 563, 396, 1, Smoke::mf_virtual, 0, 12},	//1028 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {67, 767, 171, 1, Smoke::mf_virtual, 278, 13},	//1029 Okular::TextDocumentGenerator::print(QPrinter&)
    {67, 526, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 173, 14},	//1030 Okular::TextDocumentGenerator::exportFormats() const
    {67, 527, 107, 2, Smoke::mf_virtual, 278, 15},	//1031 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {67, 815, 0, 0, Smoke::mf_virtual, 278, 16},	//1032 Okular::TextDocumentGenerator::reparseConfig()
    {67, 382, 76, 1, Smoke::mf_virtual, 0, 17},	//1033 Okular::TextDocumentGenerator::addPages(KConfigDialog*)
    {67, 560, 0, 0, 0, 138, 18},	//1034 Okular::TextDocumentGenerator::generalSettings()
    {67, 561, 0, 0, Smoke::mf_virtual, 296, 19},	//1035 Okular::TextDocumentGenerator::generateDocumentInfo()
    {67, 562, 0, 0, Smoke::mf_virtual, 299, 20},	//1036 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {67, 491, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 278, 21},	//1037 Okular::TextDocumentGenerator::doCloseDocument()
    {67, 1090, 398, 1, Smoke::mf_protected|Smoke::mf_virtual, 140, 22},	//1038 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {67, 1101, 80, 1, Smoke::mf_static, 194, 23},	//1039 Okular::TextDocumentGenerator::tr(const char*)
    {67, 1105, 80, 1, Smoke::mf_static, 194, 24},	//1040 Okular::TextDocumentGenerator::trUtf8(const char*)
    {67, 1068, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 349, 25},	//1041 Okular::TextDocumentGenerator::staticMetaObject() const
    {67, 1198, 0, 0, Smoke::mf_dtor, 0, 26 },	//1042 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {69, 322, 655, 2, Smoke::mf_ctor, 139, 1},	//1043 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {69, 1082, 0, 0, Smoke::mf_const, 194, 2},	//1044 Okular::TextEntity::text() const
    {69, 397, 0, 0, Smoke::mf_const, 102, 3},	//1045 Okular::TextEntity::area() const
    {69, 1111, 57, 1, Smoke::mf_const, 100, 4},	//1046 Okular::TextEntity::transformedArea(const QTransform&) const
    {69, 1199, 0, 0, Smoke::mf_dtor, 0, 5 },	//1047 Okular::TextEntity::~TextEntity()
    {70, 325, 0, 0, Smoke::mf_ctor, 140, 1},	//1048 Okular::TextPage::TextPage()
    {70, 325, 658, 1, Smoke::mf_ctor, 140, 2},	//1049 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {70, 395, 655, 2, 0, 0, 3},	//1050 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {70, 538, 505, 5, 0, 120, 4},	//1051 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {70, 1082, 511, 1, Smoke::mf_const, 194, 5},	//1052 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {70, 1082, 513, 2, Smoke::mf_const, 194, 6},	//1053 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {70, 1146, 513, 2, Smoke::mf_const, 178, 7},	//1054 Okular::TextPage::words(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {70, 1143, 516, 2, Smoke::mf_const, 120, 8},	//1055 Okular::TextPage::wordAt(const Okular::NormalizedPoint&, QString*) const
    {70, 1086, 519, 1, Smoke::mf_const, 120, 9},	//1056 Okular::TextPage::textArea(Okular::TextSelection*) const
    {70, 1082, 0, 0, Smoke::mf_const, 194, 10},	//1057 Okular::TextPage::text() const
    {70, 1143, 33, 1, Smoke::mf_const, 120, 11},	//1058 Okular::TextPage::wordAt(const Okular::NormalizedPoint&) const
    {70, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 12},	//1059 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {70, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 13},	//1060 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {70, 1200, 0, 0, Smoke::mf_dtor, 0, 14 },	//1061 Okular::TextPage::~TextPage()
    {72, 328, 660, 3, Smoke::mf_ctor, 145, 1},	//1062 Okular::Tile::Tile(const Okular::NormalizedRect&, QPixmap*, bool)
    {72, 328, 664, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 2},	//1063 Okular::Tile::Tile(const Okular::Tile&)
    {72, 802, 0, 0, Smoke::mf_const, 100, 3},	//1064 Okular::Tile::rect() const
    {72, 763, 0, 0, Smoke::mf_const, 187, 4},	//1065 Okular::Tile::pixmap() const
    {72, 641, 0, 0, Smoke::mf_const, 278, 5},	//1066 Okular::Tile::isValid() const
    {72, 718, 664, 1, 0, 144, 6},	//1067 Okular::Tile::operator=(const Okular::Tile&)
    {72, 1201, 0, 0, Smoke::mf_dtor, 0, 7 },	//1068 Okular::Tile::~Tile()
    {73, 828, 666, 4, Smoke::mf_static, 190, 1},	//1069 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {73, 503, 0, 0, Smoke::mf_static, 367, 2},	//1070 Okular::Utils::dpiX()
    {73, 504, 0, 0, Smoke::mf_static, 367, 3},	//1071 Okular::Utils::dpiY()
    {73, 800, 0, 0, Smoke::mf_static, 367, 4},	//1072 Okular::Utils::realDpiX()
    {73, 801, 0, 0, Smoke::mf_static, 367, 5},	//1073 Okular::Utils::realDpiY()
    {73, 798, 93, 1, Smoke::mf_static, 193, 6},	//1074 Okular::Utils::realDpi(QWidget*)
    {73, 607, 671, 1, Smoke::mf_static, 100, 7},	//1075 Okular::Utils::imageBoundingBox(const QImage*)
    {73, 348, 0, 0, Smoke::mf_ctor, 146, 8},	//1076 Okular::Utils::Utils()
    {73, 348, 673, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 9},	//1077 Okular::Utils::Utils(const Okular::Utils&)
    {73, 1202, 0, 0, Smoke::mf_dtor, 0, 10 },	//1078 Okular::Utils::~Utils()
    {75, 351, 416, 2, Smoke::mf_ctor, 148, 1},	//1079 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {75, 351, 675, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 2},	//1080 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {75, 351, 0, 0, Smoke::mf_ctor, 148, 3},	//1081 Okular::VisiblePageRect::VisiblePageRect()
    {75, 351, 29, 1, Smoke::mf_ctor, 148, 4},	//1082 Okular::VisiblePageRect::VisiblePageRect(int)
    {75, 750, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 369, 5},	//1083 Okular::VisiblePageRect::pageNumber() const
    {75, 975, 29, 1, Smoke::mf_attribute, 0, 6},	//1084 Okular::VisiblePageRect::setPageNumber(int)
    {75, 802, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 101, 7},	//1085 Okular::VisiblePageRect::rect() const
    {75, 985, 31, 1, Smoke::mf_attribute, 0, 8},	//1086 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {75, 1203, 0, 0, Smoke::mf_dtor, 0, 9 },	//1087 Okular::VisiblePageRect::~VisiblePageRect()
    {87, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 1},	//1088 QGlobalSpace::_IEEE_ (enum)
    {87, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 2},	//1089 QGlobalSpace::_SVID_ (enum)
    {87, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 3},	//1090 QGlobalSpace::_XOPEN_ (enum)
    {87, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 4},	//1091 QGlobalSpace::_POSIX_ (enum)
    {87, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 276, 5},	//1092 QGlobalSpace::_ISOC_ (enum)
    {87, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 6},	//1093 QGlobalSpace::KST_KSycocaEntry (enum)
    {87, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 7},	//1094 QGlobalSpace::KST_KService (enum)
    {87, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 8},	//1095 QGlobalSpace::KST_KServiceType (enum)
    {87, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 9},	//1096 QGlobalSpace::KST_KMimeType (enum)
    {87, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 10},	//1097 QGlobalSpace::KST_KFolderMimeType (enum)
    {87, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 11},	//1098 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {87, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 12},	//1099 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {87, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 13},	//1100 QGlobalSpace::KST_KServiceGroup (enum)
    {87, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 14},	//1101 QGlobalSpace::KST_KImageIOFormat (enum)
    {87, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 15},	//1102 QGlobalSpace::KST_KProtocolInfo (enum)
    {87, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 16},	//1103 QGlobalSpace::KST_KServiceSeparator (enum)
    {87, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 9, 17},	//1104 QGlobalSpace::KST_KCustom (enum)
    {87, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 18},	//1105 QGlobalSpace::KST_KServiceFactory (enum)
    {87, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 19},	//1106 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {87, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 20},	//1107 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {87, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 21},	//1108 QGlobalSpace::KST_KImageIO (enum)
    {87, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 22},	//1109 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {87, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 23},	//1110 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {87, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 24},	//1111 QGlobalSpace::KST_CTimeInfo (enum)
    {87, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 25},	//1112 QGlobalSpace::__codecvt_ok (enum)
    {87, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 26},	//1113 QGlobalSpace::__codecvt_partial (enum)
    {87, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 27},	//1114 QGlobalSpace::__codecvt_error (enum)
    {87, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 277, 28},	//1115 QGlobalSpace::__codecvt_noconv (enum)
    {91, 524, 677, 1, Smoke::mf_virtual, 278, 0},	//1116 QObject::event(QEvent*)
    {91, 525, 679, 2, Smoke::mf_virtual, 278, 0},	//1117 QObject::eventFilter(QObject*, QEvent*)
    {91, 1097, 682, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1118 QObject::timerEvent(QTimerEvent*)
    {91, 437, 684, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1119 QObject::childEvent(QChildEvent*)
    {91, 468, 677, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1120 QObject::customEvent(QEvent*)
    {91, 445, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1121 QObject::connectNotify(const char*)
    {91, 487, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1122 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    348,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    349,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    490,  // Okular::FormField::d_func()
    491,  // Okular::FormField::d_func() const
    0,
    110,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    115,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    21,  // Okular::Action::d_func()
    22,  // Okular::Action::d_func() const
    0,
    324,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    329,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
    351,  // Okular::DocumentViewport::DocumentViewport(int)
    352,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    721,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    722,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
    65,  // Okular::Annotation::d_func()
    66,  // Okular::Annotation::d_func() const
    0,
    52,  // Okular::Annotation::revisions()
    53,  // Okular::Annotation::revisions() const
    0,
    48,  // Okular::Annotation::style()
    49,  // Okular::Annotation::style() const
    0,
    50,  // Okular::Annotation::window()
    51,  // Okular::Annotation::window() const
    0,
    586,  // Okular::Generator::d_func()
    587,  // Okular::Generator::d_func() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {8, 17, 20},	// Okular::Action::Action#
    {8, 36, 25},	// Okular::Action::Browse
    {8, 75, 26},	// Okular::Action::DocAction
    {8, 94, 24},	// Okular::Action::Execute
    {8, 136, 23},	// Okular::Action::Goto
    {8, 189, 28},	// Okular::Action::Movie
    {8, 274, 30},	// Okular::Action::Rendition
    {8, 279, 29},	// Okular::Action::Script
    {8, 286, 27},	// Okular::Action::Sound
    {8, 367, 17},	// Okular::Action::actionTip
    {8, 368, 16},	// Okular::Action::actionType
    {8, 469, -10},	// Okular::Action::d_func
    {8, 689, 19},	// Okular::Action::nativeId
    {8, 963, 18},	// Okular::Action::setNativeId#
    {8, 1151, 31},	// Okular::Action::~Action
    {10, 1, 73},	// Okular::Annotation::ACaret
    {10, 2, 74},	// Okular::Annotation::AFileAttachment
    {10, 3, 69},	// Okular::Annotation::AGeom
    {10, 4, 70},	// Okular::Annotation::AHighlight
    {10, 5, 72},	// Okular::Annotation::AInk
    {10, 7, 68},	// Okular::Annotation::ALine
    {10, 8, 76},	// Okular::Annotation::AMovie
    {10, 9, 77},	// Okular::Annotation::AScreen
    {10, 10, 75},	// Okular::Annotation::ASound
    {10, 11, 71},	// Okular::Annotation::AStamp
    {10, 12, 67},	// Okular::Annotation::AText
    {10, 13, 78},	// Okular::Annotation::AWidget
    {10, 14, 79},	// Okular::Annotation::A_BASE
    {10, 15, 103},	// Okular::Annotation::Accepted
    {10, 20, 63},	// Okular::Annotation::Annotation#
    {10, 21, 64},	// Okular::Annotation::Annotation##
    {10, 32, 89},	// Okular::Annotation::BeingMoved
    {10, 33, 92},	// Okular::Annotation::Beveled
    {10, 46, 105},	// Okular::Annotation::Cancelled
    {10, 57, 96},	// Okular::Annotation::Cloudy
    {10, 59, 106},	// Okular::Annotation::Completed
    {10, 66, 91},	// Okular::Annotation::Dashed
    {10, 67, 99},	// Okular::Annotation::Delete
    {10, 68, 85},	// Okular::Annotation::DenyDelete
    {10, 69, 83},	// Okular::Annotation::DenyPrint
    {10, 70, 84},	// Okular::Annotation::DenyWrite
    {10, 101, 87},	// Okular::Annotation::External
    {10, 102, 88},	// Okular::Annotation::ExternallyDrawn
    {10, 112, 82},	// Okular::Annotation::FixedRotation
    {10, 113, 81},	// Okular::Annotation::FixedSize
    {10, 140, 98},	// Okular::Annotation::Group
    {10, 144, 80},	// Okular::Annotation::Hidden
    {10, 157, 93},	// Okular::Annotation::Inset
    {10, 185, 101},	// Okular::Annotation::Marked
    {10, 194, 95},	// Okular::Annotation::NoEffect
    {10, 201, 100},	// Okular::Annotation::None
    {10, 229, 108},	// Okular::Annotation::PageClosing
    {10, 233, 107},	// Okular::Annotation::PageOpening
    {10, 272, 104},	// Okular::Annotation::Rejected
    {10, 276, 97},	// Okular::Annotation::Reply
    {10, 285, 90},	// Okular::Annotation::Solid
    {10, 333, 86},	// Okular::Annotation::ToggleHidingOnMouse
    {10, 344, 94},	// Okular::Annotation::Underline
    {10, 347, 102},	// Okular::Annotation::Unmarked
    {10, 399, 33},	// Okular::Annotation::author
    {10, 408, 45},	// Okular::Annotation::boundingRectangle
    {10, 413, 57},	// Okular::Annotation::canBeMoved
    {10, 449, 35},	// Okular::Annotation::contents
    {10, 461, 41},	// Okular::Annotation::creationDate
    {10, 469, -22},	// Okular::Annotation::d_func
    {10, 541, 43},	// Okular::Annotation::flags
    {10, 574, 61},	// Okular::Annotation::getAnnotationPropertiesDomNode
    {10, 683, 39},	// Okular::Annotation::modificationDate
    {10, 689, 55},	// Okular::Annotation::nativeId
    {10, 703, 58},	// Okular::Annotation::openDialogAfterCreation
    {10, 826, -25},	// Okular::Annotation::revisions
    {10, 861, 62},	// Okular::Annotation::setAnnotationProperties#
    {10, 863, 32},	// Okular::Annotation::setAuthor$
    {10, 871, 44},	// Okular::Annotation::setBoundingRectangle#
    {10, 880, 34},	// Okular::Annotation::setContents$
    {10, 882, 40},	// Okular::Annotation::setCreationDate#
    {10, 891, 56},	// Okular::Annotation::setDisposeDataFunction$
    {10, 910, 42},	// Okular::Annotation::setFlags$
    {10, 959, 38},	// Okular::Annotation::setModificationDate#
    {10, 963, 54},	// Okular::Annotation::setNativeId#
    {10, 1028, 36},	// Okular::Annotation::setUniqueName$
    {10, 1071, 60},	// Okular::Annotation::store##
    {10, 1074, -28},	// Okular::Annotation::style
    {10, 1075, 59},	// Okular::Annotation::subType
    {10, 1113, 46},	// Okular::Annotation::transformedBoundingRectangle
    {10, 1120, 47},	// Okular::Annotation::translate#
    {10, 1126, 37},	// Okular::Annotation::uniqueName
    {10, 1142, -31},	// Okular::Annotation::window
    {10, 1152, 109},	// Okular::Annotation::~Annotation
    {14, 23, -7},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {14, 389, 111},	// Okular::AnnotationObjectRect::annotation
    {14, 407, 112},	// Okular::AnnotationObjectRect::boundingRect$$
    {14, 448, 113},	// Okular::AnnotationObjectRect::contains$$$$
    {14, 1110, 114},	// Okular::AnnotationObjectRect::transform#
    {14, 1153, 116},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {16, 24, 121},	// Okular::AnnotationUtils::AnnotationUtils
    {16, 25, 122},	// Okular::AnnotationUtils::AnnotationUtils#
    {16, 393, 120},	// Okular::AnnotationUtils::annotationGeometry#$$
    {16, 460, 117},	// Okular::AnnotationUtils::createAnnotation#
    {16, 537, 119},	// Okular::AnnotationUtils::findChildElement#$
    {16, 1073, 118},	// Okular::AnnotationUtils::storeAnnotation###
    {16, 1154, 123},	// Okular::AnnotationUtils::~AnnotationUtils
    {18, 38, 124},	// Okular::BrowseAction::BrowseAction$
    {18, 367, 126},	// Okular::BrowseAction::actionTip
    {18, 368, 125},	// Okular::BrowseAction::actionType
    {18, 1131, 127},	// Okular::BrowseAction::url
    {18, 1155, 128},	// Okular::BrowseAction::~BrowseAction
    {19, 47, 129},	// Okular::CaretAnnotation::CaretAnnotation
    {19, 48, 130},	// Okular::CaretAnnotation::CaretAnnotation#
    {19, 201, 135},	// Okular::CaretAnnotation::None
    {19, 225, 136},	// Okular::CaretAnnotation::P
    {19, 434, 132},	// Okular::CaretAnnotation::caretSymbol
    {19, 875, 131},	// Okular::CaretAnnotation::setCaretSymbol$
    {19, 1071, 134},	// Okular::CaretAnnotation::store##
    {19, 1075, 133},	// Okular::CaretAnnotation::subType
    {19, 1156, 137},	// Okular::CaretAnnotation::~CaretAnnotation
    {20, 60, 140},	// Okular::ConfigInterface::ConfigInterface
    {20, 61, 141},	// Okular::ConfigInterface::ConfigInterface#
    {20, 383, 139},	// Okular::ConfigInterface::addPages#
    {20, 815, 138},	// Okular::ConfigInterface::reparseConfig
    {20, 1157, 142},	// Okular::ConfigInterface::~ConfigInterface
    {21, 18, 292},	// Okular::Document::AllDocument
    {21, 77, 150},	// Okular::Document::Document#
    {21, 92, 298},	// Okular::Document::EndOfDocumentReached
    {21, 134, 293},	// Okular::Document::GoogleAll
    {21, 135, 294},	// Okular::Document::GoogleAny
    {21, 186, 295},	// Okular::Document::MatchFound
    {21, 191, 300},	// Okular::Document::NativePrinting
    {21, 192, 290},	// Okular::Document::NextMatch
    {21, 197, 296},	// Okular::Document::NoMatchFound
    {21, 198, 288},	// Okular::Document::NoOption
    {21, 200, 299},	// Okular::Document::NoPrinting
    {21, 220, 286},	// Okular::Document::OpenError
    {21, 221, 287},	// Okular::Document::OpenNeedsPassword
    {21, 222, 285},	// Okular::Document::OpenSuccess
    {21, 250, 301},	// Okular::Document::PostscriptPrinting
    {21, 253, 291},	// Okular::Document::PreviousMatch
    {21, 273, 289},	// Okular::Document::RemoveAllPrevious
    {21, 277, 303},	// Okular::Document::SaveAnnotationsCapability
    {21, 278, 302},	// Okular::Document::SaveFormsCapability
    {21, 282, 297},	// Okular::Document::SearchCancelled
    {21, 379, 153},	// Okular::Document::addObserver#
    {21, 381, 196},	// Okular::Document::addPageAnnotation$#
    {21, 387, 183},	// Okular::Document::allPagesSize
    {21, 391, 268},	// Okular::Document::annotationContentsChangedByUndoRedo#$$$
    {21, 401, 212},	// Okular::Document::bookmarkManager
    {21, 402, 214},	// Okular::Document::bookmarkedPageList
    {21, 403, 215},	// Okular::Document::bookmarkedPageRange
    {21, 415, 217},	// Okular::Document::canConfigurePrinter
    {21, 416, 175},	// Okular::Document::canExportToText
    {21, 420, 197},	// Okular::Document::canModifyPageAnnotation#
    {21, 421, 161},	// Okular::Document::canProvideFontInformation
    {21, 422, 207},	// Okular::Document::canRedo
    {21, 424, 266},	// Okular::Document::canRedoChanged$
    {21, 426, 202},	// Okular::Document::canRemovePageAnnotation#
    {21, 427, 228},	// Okular::Document::canSaveChanges
    {21, 428, 227},	// Okular::Document::canSaveChanges$
    {21, 429, 206},	// Okular::Document::canUndo
    {21, 431, 265},	// Okular::Document::canUndoChanged$
    {21, 432, 242},	// Okular::Document::cancelSearch
    {21, 440, 249},	// Okular::Document::close
    {21, 441, 152},	// Okular::Document::closeDocument
    {21, 443, 226},	// Okular::Document::componentData
    {21, 444, 224},	// Okular::Document::configurableGenerators
    {21, 451, 209},	// Okular::Document::continueSearch$
    {21, 452, 210},	// Okular::Document::continueSearch$$
    {21, 466, 169},	// Okular::Document::currentDocument
    {21, 467, 167},	// Okular::Document::currentPage
    {21, 496, 157},	// Okular::Document::documentInfo
    {21, 500, 158},	// Okular::Document::documentSynopsis
    {21, 507, 236},	// Okular::Document::dynamicSourceReference$$$
    {21, 510, 248},	// Okular::Document::editFormButtons$??
    {21, 512, 247},	// Okular::Document::editFormCombo$#$$$$
    {21, 514, 246},	// Okular::Document::editFormList$#?
    {21, 516, 245},	// Okular::Document::editFormText$#$$$$
    {21, 518, 201},	// Okular::Document::editPageAnnotationContents$#$$$$
    {21, 521, 162},	// Okular::Document::embeddedFiles
    {21, 523, 256},	// Okular::Document::error$$
    {21, 526, 177},	// Okular::Document::exportFormats
    {21, 528, 178},	// Okular::Document::exportTo$#
    {21, 530, 176},	// Okular::Document::exportToText$
    {21, 535, 223},	// Okular::Document::fillConfigDialog#
    {21, 543, 233},	// Okular::Document::fontData#
    {21, 544, 261},	// Okular::Document::fontReadingEnded
    {21, 546, 260},	// Okular::Document::fontReadingProgress$
    {21, 550, 272},	// Okular::Document::formButtonsChangedByUndoRedo$?
    {21, 552, 271},	// Okular::Document::formComboChangedByUndoRedo$#$$$
    {21, 555, 270},	// Okular::Document::formListChangedByUndoRedo$#?
    {21, 557, 269},	// Okular::Document::formTextChangedByUndoRedo$#$$$
    {21, 580, 259},	// Okular::Document::gotFont#
    {21, 581, 185},	// Okular::Document::guiClient
    {21, 601, 179},	// Okular::Document::historyAtBegin
    {21, 602, 180},	// Okular::Document::historyAtEnd
    {21, 618, 170},	// Okular::Document::isAllowed$
    {21, 629, 156},	// Okular::Document::isOpened
    {21, 655, 254},	// Okular::Document::linkEndPresentation
    {21, 656, 251},	// Okular::Document::linkFind
    {21, 657, 252},	// Okular::Document::linkGoToPage
    {21, 658, 253},	// Okular::Document::linkPresentation
    {21, 678, 277},	// Okular::Document::metaData$
    {21, 679, 181},	// Okular::Document::metaData$#
    {21, 680, 143},	// Okular::Document::metaObject
    {21, 685, 199},	// Okular::Document::modifyPageAnnotationProperties$#
    {21, 694, 258},	// Okular::Document::notice$$
    {21, 705, 275},	// Okular::Document::openDocument$#?
    {21, 706, 151},	// Okular::Document::openDocument$#?$
    {21, 708, 283},	// Okular::Document::openDocumentArchive$#
    {21, 709, 234},	// Okular::Document::openDocumentArchive$#$
    {21, 711, 255},	// Okular::Document::openUrl#
    {21, 740, 237},	// Okular::Document::orientation
    {21, 742, 163},	// Okular::Document::page$
    {21, 756, 184},	// Okular::Document::pageSizeString$
    {21, 757, 174},	// Okular::Document::pageSizes
    {21, 758, 168},	// Okular::Document::pages
    {21, 766, 198},	// Okular::Document::prepareToModifyAnnotationProperties#
    {21, 768, 220},	// Okular::Document::print#
    {21, 771, 222},	// Okular::Document::printConfigurationWidget
    {21, 772, 221},	// Okular::Document::printError
    {21, 779, 218},	// Okular::Document::printingSupport
    {21, 782, 213},	// Okular::Document::processAction#
    {21, 784, 264},	// Okular::Document::processMovieAction#
    {21, 786, 267},	// Okular::Document::processRenditionAction#
    {21, 788, 216},	// Okular::Document::processSourceReference#
    {21, 793, 149},	// Okular::Document::qt_metacall$$?
    {21, 795, 144},	// Okular::Document::qt_metacast$
    {21, 796, 250},	// Okular::Document::quit
    {21, 803, 244},	// Okular::Document::redo
    {21, 806, 231},	// Okular::Document::registerView#
    {21, 810, 154},	// Okular::Document::removeObserver#
    {21, 812, 203},	// Okular::Document::removePageAnnotation$#
    {21, 814, 204},	// Okular::Document::removePageAnnotations$?
    {21, 815, 155},	// Okular::Document::reparseConfig
    {21, 820, 193},	// Okular::Document::requestPixmaps?
    {21, 821, 194},	// Okular::Document::requestPixmaps?$
    {21, 823, 195},	// Okular::Document::requestTextPage$
    {21, 825, 211},	// Okular::Document::resetSearch$
    {21, 830, 182},	// Okular::Document::rotation
    {21, 838, 229},	// Okular::Document::saveChanges$
    {21, 839, 230},	// Okular::Document::saveChanges$$
    {21, 841, 235},	// Okular::Document::saveDocumentArchive$
    {21, 846, 262},	// Okular::Document::searchFinished$$
    {21, 848, 208},	// Okular::Document::searchText$$$$$$#
    {21, 859, 238},	// Okular::Document::setAnnotationEditingEnabled$
    {21, 965, 191},	// Okular::Document::setNextDocumentDestination$
    {21, 967, 190},	// Okular::Document::setNextDocumentViewport#
    {21, 968, 189},	// Okular::Document::setNextViewport
    {21, 978, 241},	// Okular::Document::setPageSize#
    {21, 980, 205},	// Okular::Document::setPageTextSelection$##
    {21, 984, 188},	// Okular::Document::setPrevViewport
    {21, 990, 240},	// Okular::Document::setRotation$
    {21, 1030, 280},	// Okular::Document::setViewport#
    {21, 1031, 281},	// Okular::Document::setViewport##
    {21, 1032, 187},	// Okular::Document::setViewport##$
    {21, 1034, 278},	// Okular::Document::setViewportPage$
    {21, 1035, 279},	// Okular::Document::setViewportPage$#
    {21, 1036, 186},	// Okular::Document::setViewportPage$#$
    {21, 1038, 276},	// Okular::Document::setVisiblePageRects?
    {21, 1039, 165},	// Okular::Document::setVisiblePageRects?#
    {21, 1047, 282},	// Okular::Document::setZoom$
    {21, 1048, 192},	// Okular::Document::setZoom$#
    {21, 1061, 263},	// Okular::Document::sourceReferenceActivated$$$$
    {21, 1065, 159},	// Okular::Document::startFontReading
    {21, 1068, 284},	// Okular::Document::staticMetaObject
    {21, 1069, 160},	// Okular::Document::stopFontReading
    {21, 1076, 225},	// Okular::Document::supportedMimeTypes
    {21, 1077, 172},	// Okular::Document::supportsPageSizes
    {21, 1078, 219},	// Okular::Document::supportsPrintToFile
    {21, 1079, 171},	// Okular::Document::supportsSearching
    {21, 1080, 173},	// Okular::Document::supportsTiles
    {21, 1102, 273},	// Okular::Document::tr$
    {21, 1103, 145},	// Okular::Document::tr$$
    {21, 1104, 147},	// Okular::Document::tr$$$
    {21, 1106, 274},	// Okular::Document::trUtf8$
    {21, 1107, 146},	// Okular::Document::trUtf8$$
    {21, 1108, 148},	// Okular::Document::trUtf8$$$
    {21, 1122, 200},	// Okular::Document::translatePageAnnotation$##
    {21, 1125, 243},	// Okular::Document::undo
    {21, 1128, 232},	// Okular::Document::unregisterView#
    {21, 1133, 164},	// Okular::Document::viewport
    {21, 1135, 166},	// Okular::Document::visiblePageRects
    {21, 1138, 239},	// Okular::Document::walletDataForFile$$$$
    {21, 1140, 257},	// Okular::Document::warning$$
    {21, 1158, 304},	// Okular::Document::~Document
    {22, 54, 320},	// Okular::DocumentAction::Close
    {22, 79, 305},	// Okular::DocumentAction::DocumentAction$
    {22, 93, 317},	// Okular::DocumentAction::EndPresentation
    {22, 111, 318},	// Okular::DocumentAction::Find
    {22, 133, 319},	// Okular::DocumentAction::GoToPage
    {22, 148, 313},	// Okular::DocumentAction::HistoryBack
    {22, 149, 314},	// Okular::DocumentAction::HistoryForward
    {22, 230, 309},	// Okular::DocumentAction::PageFirst
    {22, 231, 312},	// Okular::DocumentAction::PageLast
    {22, 232, 311},	// Okular::DocumentAction::PageNext
    {22, 234, 310},	// Okular::DocumentAction::PagePrev
    {22, 252, 316},	// Okular::DocumentAction::Presentation
    {22, 264, 315},	// Okular::DocumentAction::Quit
    {22, 367, 307},	// Okular::DocumentAction::actionTip
    {22, 368, 306},	// Okular::DocumentAction::actionType
    {22, 495, 308},	// Okular::DocumentAction::documentActionType
    {22, 1159, 321},	// Okular::DocumentAction::~DocumentAction
    {23, 31, 333},	// Okular::DocumentInfo::Author
    {23, 49, 341},	// Okular::DocumentInfo::Category
    {23, 62, 336},	// Okular::DocumentInfo::Copyright
    {23, 64, 338},	// Okular::DocumentInfo::CreationDate
    {23, 65, 334},	// Okular::DocumentInfo::Creator
    {23, 71, 332},	// Okular::DocumentInfo::Description
    {23, 80, 322},	// Okular::DocumentInfo::DocumentInfo
    {23, 81, 328},	// Okular::DocumentInfo::DocumentInfo#
    {23, 82, 344},	// Okular::DocumentInfo::DocumentSize
    {23, 107, 343},	// Okular::DocumentInfo::FilePath
    {23, 180, 342},	// Okular::DocumentInfo::Keywords
    {23, 187, 340},	// Okular::DocumentInfo::MimeType
    {23, 188, 339},	// Okular::DocumentInfo::ModificationDate
    {23, 242, 337},	// Okular::DocumentInfo::Pages
    {23, 243, 345},	// Okular::DocumentInfo::PagesSize
    {23, 262, 335},	// Okular::DocumentInfo::Producer
    {23, 308, 331},	// Okular::DocumentInfo::Subject
    {23, 332, 330},	// Okular::DocumentInfo::Title
    {23, 573, 325},	// Okular::DocumentInfo::get$
    {23, 576, 326},	// Okular::DocumentInfo::getKeyString$
    {23, 578, 327},	// Okular::DocumentInfo::getKeyTitle$
    {23, 850, -13},	// Okular::DocumentInfo::set$$
    {23, 851, 323},	// Okular::DocumentInfo::set$$$
    {23, 1160, 346},	// Okular::DocumentInfo::~DocumentInfo
    {25, 83, 347},	// Okular::DocumentSynopsis::DocumentSynopsis
    {25, 84, -1},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {25, 1161, 350},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {26, 50, 361},	// Okular::DocumentViewport::Center
    {26, 85, 358},	// Okular::DocumentViewport::DocumentViewport
    {26, 86, 357},	// Okular::DocumentViewport::DocumentViewport#
    {26, 87, -16},	// Okular::DocumentViewport::DocumentViewport$
    {26, 334, 362},	// Okular::DocumentViewport::TopLeft
    {26, 641, 354},	// Okular::DocumentViewport::isValid
    {26, 717, 356},	// Okular::DocumentViewport::operator<#
    {26, 721, 355},	// Okular::DocumentViewport::operator==#
    {26, 750, 359},	// Okular::DocumentViewport::pageNumber
    {26, 976, 360},	// Okular::DocumentViewport::setPageNumber$
    {26, 1098, 353},	// Okular::DocumentViewport::toString
    {26, 1162, 363},	// Okular::DocumentViewport::~DocumentViewport
    {27, 89, 364},	// Okular::EmbeddedFile::EmbeddedFile
    {27, 90, 371},	// Okular::EmbeddedFile::EmbeddedFile#
    {27, 461, 370},	// Okular::EmbeddedFile::creationDate
    {27, 470, 367},	// Okular::EmbeddedFile::data
    {27, 479, 366},	// Okular::EmbeddedFile::description
    {27, 683, 369},	// Okular::EmbeddedFile::modificationDate
    {27, 688, 365},	// Okular::EmbeddedFile::name
    {27, 1055, 368},	// Okular::EmbeddedFile::size
    {27, 1163, 372},	// Okular::EmbeddedFile::~EmbeddedFile
    {28, 96, 373},	// Okular::ExecuteAction::ExecuteAction$$
    {28, 367, 375},	// Okular::ExecuteAction::actionTip
    {28, 368, 374},	// Okular::ExecuteAction::actionType
    {28, 533, 376},	// Okular::ExecuteAction::fileName
    {28, 761, 377},	// Okular::ExecuteAction::parameters
    {28, 1164, 378},	// Okular::ExecuteAction::~ExecuteAction
    {29, 97, 379},	// Okular::ExportFormat::ExportFormat
    {29, 98, 382},	// Okular::ExportFormat::ExportFormat#
    {29, 99, 381},	// Okular::ExportFormat::ExportFormat#$?
    {29, 100, 380},	// Okular::ExportFormat::ExportFormat$?
    {29, 143, 394},	// Okular::ExportFormat::HTML
    {29, 219, 393},	// Okular::ExportFormat::OpenDocumentText
    {29, 226, 392},	// Okular::ExportFormat::PDF
    {29, 247, 391},	// Okular::ExportFormat::PlainText
    {29, 479, 384},	// Okular::ExportFormat::description
    {29, 603, 386},	// Okular::ExportFormat::icon
    {29, 628, 387},	// Okular::ExportFormat::isNull
    {29, 681, 385},	// Okular::ExportFormat::mimeType
    {29, 713, 390},	// Okular::ExportFormat::operator!=#
    {29, 719, 383},	// Okular::ExportFormat::operator=#
    {29, 721, 389},	// Okular::ExportFormat::operator==#
    {29, 1064, 388},	// Okular::ExportFormat::standardFormat$
    {29, 1165, 395},	// Okular::ExportFormat::~ExportFormat
    {30, 104, 396},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {30, 105, 397},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {30, 520, 400},	// Okular::FileAttachmentAnnotation::embeddedFile
    {30, 532, 398},	// Okular::FileAttachmentAnnotation::fileIconName
    {30, 901, 401},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {30, 908, 399},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {30, 1071, 403},	// Okular::FileAttachmentAnnotation::store##
    {30, 1075, 402},	// Okular::FileAttachmentAnnotation::subType
    {30, 1166, 404},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {31, 27, 439},	// Okular::FilePrinter::ApplicationDeletesFiles
    {31, 28, 441},	// Okular::FilePrinter::ApplicationSelectsPages
    {31, 108, 434},	// Okular::FilePrinter::FilePrinter
    {31, 109, 435},	// Okular::FilePrinter::FilePrinter#
    {31, 309, 440},	// Okular::FilePrinter::SystemDeletesFiles
    {31, 310, 442},	// Okular::FilePrinter::SystemSelectsPages
    {31, 458, 420},	// Okular::FilePrinter::copies#$
    {31, 462, 412},	// Okular::FilePrinter::cupsAvailable
    {31, 464, 424},	// Okular::FilePrinter::cupsOptions#$
    {31, 473, 422},	// Okular::FilePrinter::deleteFile#$$
    {31, 482, 419},	// Okular::FilePrinter::destination#$
    {31, 484, 416},	// Okular::FilePrinter::detectCupsConfig
    {31, 485, 415},	// Okular::FilePrinter::detectCupsService
    {31, 493, 417},	// Okular::FilePrinter::doPrintFiles#?$$$$
    {31, 644, 421},	// Okular::FilePrinter::jobname#$
    {31, 674, 426},	// Okular::FilePrinter::mediaPageSize#
    {31, 676, 427},	// Okular::FilePrinter::mediaPaperSource#
    {31, 727, 431},	// Okular::FilePrinter::optionCollateCopies#
    {31, 729, 433},	// Okular::FilePrinter::optionCupsProperties#
    {31, 731, 429},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {31, 733, 425},	// Okular::FilePrinter::optionMedia#
    {31, 735, 428},	// Okular::FilePrinter::optionOrientation#$
    {31, 737, 432},	// Okular::FilePrinter::optionPageMargins#
    {31, 739, 430},	// Okular::FilePrinter::optionPageOrder#
    {31, 746, 406},	// Okular::FilePrinter::pageList#$$?
    {31, 747, 407},	// Okular::FilePrinter::pageList#$?
    {31, 749, 409},	// Okular::FilePrinter::pageListToPageRange?
    {31, 752, 408},	// Okular::FilePrinter::pageRange#$?
    {31, 759, 423},	// Okular::FilePrinter::pages#$$$$
    {31, 762, 411},	// Okular::FilePrinter::pdf2psAvailable
    {31, 770, 418},	// Okular::FilePrinter::printArguments#$$$$$$
    {31, 773, 414},	// Okular::FilePrinter::printError$
    {31, 775, 436},	// Okular::FilePrinter::printFile#$$
    {31, 776, 437},	// Okular::FilePrinter::printFile#$$$
    {31, 777, 438},	// Okular::FilePrinter::printFile#$$$$
    {31, 778, 405},	// Okular::FilePrinter::printFile#$$$$$
    {31, 789, 410},	// Okular::FilePrinter::ps2pdfAvailable
    {31, 791, 413},	// Okular::FilePrinter::psPaperSize#
    {31, 1167, 443},	// Okular::FilePrinter::~FilePrinter
    {32, 40, 471},	// Okular::FontInfo::CIDTrueType
    {32, 41, 472},	// Okular::FontInfo::CIDTrueTypeOT
    {32, 42, 468},	// Okular::FontInfo::CIDType0
    {32, 43, 469},	// Okular::FontInfo::CIDType0C
    {32, 44, 470},	// Okular::FontInfo::CIDType0COT
    {32, 91, 478},	// Okular::FontInfo::EmbeddedSubset
    {32, 115, 444},	// Okular::FontInfo::FontInfo
    {32, 116, 445},	// Okular::FontInfo::FontInfo#
    {32, 126, 479},	// Okular::FontInfo::FullyEmbedded
    {32, 211, 477},	// Okular::FontInfo::NotEmbedded
    {32, 311, 475},	// Okular::FontInfo::TeXFontMetric
    {32, 312, 476},	// Okular::FontInfo::TeXFreeTypeHandled
    {32, 313, 473},	// Okular::FontInfo::TeXPK
    {32, 314, 474},	// Okular::FontInfo::TeXVirtual
    {32, 335, 466},	// Okular::FontInfo::TrueType
    {32, 336, 467},	// Okular::FontInfo::TrueTypeOT
    {32, 337, 462},	// Okular::FontInfo::Type1
    {32, 338, 463},	// Okular::FontInfo::Type1C
    {32, 339, 464},	// Okular::FontInfo::Type1COT
    {32, 340, 465},	// Okular::FontInfo::Type3
    {32, 345, 461},	// Okular::FontInfo::Unknown
    {32, 412, 454},	// Okular::FontInfo::canBeExtracted
    {32, 519, 450},	// Okular::FontInfo::embedType
    {32, 531, 452},	// Okular::FontInfo::file
    {32, 688, 446},	// Okular::FontInfo::name
    {32, 689, 457},	// Okular::FontInfo::nativeId
    {32, 713, 460},	// Okular::FontInfo::operator!=#
    {32, 719, 458},	// Okular::FontInfo::operator=#
    {32, 721, 459},	// Okular::FontInfo::operator==#
    {32, 873, 455},	// Okular::FontInfo::setCanBeExtracted$
    {32, 899, 451},	// Okular::FontInfo::setEmbedType$
    {32, 906, 453},	// Okular::FontInfo::setFile$
    {32, 961, 447},	// Okular::FontInfo::setName$
    {32, 963, 456},	// Okular::FontInfo::setNativeId#
    {32, 1026, 449},	// Okular::FontInfo::setType$
    {32, 1123, 448},	// Okular::FontInfo::type
    {32, 1168, 480},	// Okular::FontInfo::~FontInfo
    {33, 117, 493},	// Okular::FormField::FormButton
    {33, 118, 495},	// Okular::FormField::FormChoice
    {33, 120, 489},	// Okular::FormField::FormField#
    {33, 124, 496},	// Okular::FormField::FormSignature
    {33, 125, 494},	// Okular::FormField::FormText
    {33, 369, 488},	// Okular::FormField::activationAction
    {33, 469, -4},	// Okular::FormField::d_func
    {33, 604, 483},	// Okular::FormField::id
    {33, 631, 486},	// Okular::FormField::isReadOnly
    {33, 642, 487},	// Okular::FormField::isVisible
    {33, 688, 484},	// Okular::FormField::name
    {33, 802, 482},	// Okular::FormField::rect
    {33, 853, 492},	// Okular::FormField::setActivationAction#
    {33, 1123, 481},	// Okular::FormField::type
    {33, 1124, 485},	// Okular::FormField::uiName
    {33, 1169, 497},	// Okular::FormField::~FormField
    {34, 52, 505},	// Okular::FormFieldButton::CheckBox
    {34, 121, 503},	// Okular::FormFieldButton::FormFieldButton
    {34, 263, 504},	// Okular::FormFieldButton::Push
    {34, 267, 506},	// Okular::FormFieldButton::Radio
    {34, 409, 498},	// Okular::FormFieldButton::buttonType
    {34, 433, 499},	// Okular::FormFieldButton::caption
    {34, 1008, 501},	// Okular::FormFieldButton::setState$
    {34, 1050, 502},	// Okular::FormFieldButton::siblings
    {34, 1066, 500},	// Okular::FormFieldButton::state
    {34, 1170, 507},	// Okular::FormFieldButton::~FormFieldButton
    {35, 58, 519},	// Okular::FormFieldChoice::ComboBox
    {35, 122, 518},	// Okular::FormFieldChoice::FormFieldChoice
    {35, 184, 520},	// Okular::FormFieldChoice::ListBox
    {35, 414, 517},	// Okular::FormFieldChoice::canBeSpellChecked
    {35, 438, 508},	// Okular::FormFieldChoice::choiceType
    {35, 439, 509},	// Okular::FormFieldChoice::choices
    {35, 465, 512},	// Okular::FormFieldChoice::currentChoices
    {35, 508, 514},	// Okular::FormFieldChoice::editChoice
    {35, 624, 510},	// Okular::FormFieldChoice::isEditable
    {35, 687, 511},	// Okular::FormFieldChoice::multiSelect
    {35, 884, 513},	// Okular::FormFieldChoice::setCurrentChoices?
    {35, 897, 515},	// Okular::FormFieldChoice::setEditChoice$
    {35, 1085, 516},	// Okular::FormFieldChoice::textAlignment
    {35, 1171, 521},	// Okular::FormFieldChoice::~FormFieldChoice
    {37, 110, 533},	// Okular::FormFieldText::FileSelect
    {37, 123, 530},	// Okular::FormFieldText::FormFieldText
    {37, 190, 532},	// Okular::FormFieldText::Multiline
    {37, 202, 531},	// Okular::FormFieldText::Normal
    {37, 414, 529},	// Okular::FormFieldText::canBeSpellChecked
    {37, 630, 525},	// Okular::FormFieldText::isPassword
    {37, 633, 526},	// Okular::FormFieldText::isRichText
    {37, 672, 527},	// Okular::FormFieldText::maximumLength
    {37, 1010, 524},	// Okular::FormFieldText::setText$
    {37, 1082, 523},	// Okular::FormFieldText::text
    {37, 1085, 528},	// Okular::FormFieldText::textAlignment
    {37, 1094, 522},	// Okular::FormFieldText::textType
    {37, 1172, 534},	// Okular::FormFieldText::~FormFieldText
    {38, 106, 608},	// Okular::Generator::FileConversionPrintError
    {38, 115, 596},	// Okular::Generator::FontInfo
    {38, 128, 585},	// Okular::Generator::Generator##?
    {38, 129, 542},	// Okular::Generator::Generator#?
    {38, 158, 616},	// Okular::Generator::InvalidPageSizePrintError
    {38, 159, 612},	// Okular::Generator::InvalidPrinterStatePrintError
    {38, 193, 615},	// Okular::Generator::NoBinaryToPrintError
    {38, 196, 614},	// Okular::Generator::NoFileToPrintError
    {38, 199, 605},	// Okular::Generator::NoPrintError
    {38, 201, 602},	// Okular::Generator::None
    {38, 238, 597},	// Okular::Generator::PageSizes
    {38, 244, 604},	// Okular::Generator::Pixels
    {38, 248, 603},	// Okular::Generator::Points
    {38, 256, 598},	// Okular::Generator::PrintNative
    {38, 257, 599},	// Okular::Generator::PrintPostscript
    {38, 258, 600},	// Okular::Generator::PrintToFile
    {38, 259, 611},	// Okular::Generator::PrintToFilePrintError
    {38, 260, 609},	// Okular::Generator::PrintingProcessCrashPrintError
    {38, 261, 610},	// Okular::Generator::PrintingProcessStartPrintError
    {38, 269, 595},	// Okular::Generator::ReadRawData
    {38, 315, 607},	// Okular::Generator::TemporaryFileOpenPrintError
    {38, 324, 594},	// Okular::Generator::TextExtraction
    {38, 327, 593},	// Okular::Generator::Threaded
    {38, 331, 601},	// Okular::Generator::TiledRendering
    {38, 342, 613},	// Okular::Generator::UnableToFindFilePrintError
    {38, 346, 606},	// Okular::Generator::UnknownPrintError
    {38, 417, 548},	// Okular::Generator::canGeneratePixmap
    {38, 418, 550},	// Okular::Generator::canGenerateTextPage
    {38, 441, 547},	// Okular::Generator::closeDocument
    {38, 469, -34},	// Okular::Generator::d_func
    {38, 491, 573},	// Okular::Generator::doCloseDocument
    {38, 494, 576},	// Okular::Generator::document
    {38, 498, 591},	// Okular::Generator::documentMetaData$
    {38, 499, 578},	// Okular::Generator::documentMetaData$#
    {38, 502, 581},	// Okular::Generator::dpi
    {38, 507, 583},	// Okular::Generator::dynamicSourceReference$$$
    {38, 521, 555},	// Okular::Generator::embeddedFiles
    {38, 523, 568},	// Okular::Generator::error$$
    {38, 526, 563},	// Okular::Generator::exportFormats
    {38, 528, 564},	// Okular::Generator::exportTo$#
    {38, 548, 554},	// Okular::Generator::fontsForPage$
    {38, 561, 552},	// Okular::Generator::generateDocumentInfo
    {38, 562, 553},	// Okular::Generator::generateDocumentSynopsis
    {38, 564, 549},	// Okular::Generator::generatePixmap#
    {38, 566, 551},	// Okular::Generator::generateTextPage#
    {38, 584, 566},	// Okular::Generator::hasFeature$
    {38, 606, 574},	// Okular::Generator::image#
    {38, 618, 557},	// Okular::Generator::isAllowed$
    {38, 660, 543},	// Okular::Generator::loadDocument$?
    {38, 662, 544},	// Okular::Generator::loadDocumentFromData#?
    {38, 664, 546},	// Okular::Generator::loadDocumentFromDataWithPassword#?$
    {38, 666, 545},	// Okular::Generator::loadDocumentWithPassword$?$
    {38, 679, 562},	// Okular::Generator::metaData$#
    {38, 680, 535},	// Okular::Generator::metaObject
    {38, 694, 570},	// Okular::Generator::notice$$
    {38, 754, 560},	// Okular::Generator::pageSizeChanged##
    {38, 757, 559},	// Okular::Generator::pageSizes
    {38, 760, 556},	// Okular::Generator::pagesSizeMetric
    {38, 768, 561},	// Okular::Generator::print#
    {38, 772, 584},	// Okular::Generator::printError
    {38, 793, 541},	// Okular::Generator::qt_metacall$$?
    {38, 795, 536},	// Okular::Generator::qt_metacast$
    {38, 818, 582},	// Okular::Generator::requestFontData##
    {38, 832, 558},	// Okular::Generator::rotationChanged$$
    {38, 887, 567},	// Okular::Generator::setDPI#
    {38, 903, 590},	// Okular::Generator::setFeature$
    {38, 904, 577},	// Okular::Generator::setFeature$$
    {38, 1052, 571},	// Okular::Generator::signalPixmapRequestDone#
    {38, 1054, 572},	// Okular::Generator::signalTextGenerationDone##
    {38, 1068, 592},	// Okular::Generator::staticMetaObject
    {38, 1091, 575},	// Okular::Generator::textPage#
    {38, 1102, 588},	// Okular::Generator::tr$
    {38, 1103, 537},	// Okular::Generator::tr$$
    {38, 1104, 539},	// Okular::Generator::tr$$$
    {38, 1106, 589},	// Okular::Generator::trUtf8$
    {38, 1107, 538},	// Okular::Generator::trUtf8$$
    {38, 1108, 540},	// Okular::Generator::trUtf8$$$
    {38, 1130, 580},	// Okular::Generator::updatePageBoundingBox$#
    {38, 1132, 579},	// Okular::Generator::userMutex
    {38, 1138, 565},	// Okular::Generator::walletDataForFile$$$$
    {38, 1140, 569},	// Okular::Generator::warning$$
    {38, 1173, 617},	// Okular::Generator::~Generator
    {40, 130, 618},	// Okular::GeomAnnotation::GeomAnnotation
    {40, 131, 619},	// Okular::GeomAnnotation::GeomAnnotation#
    {40, 155, 627},	// Okular::GeomAnnotation::InscribedCircle
    {40, 156, 626},	// Okular::GeomAnnotation::InscribedSquare
    {40, 568, 623},	// Okular::GeomAnnotation::geometricalInnerColor
    {40, 569, 621},	// Okular::GeomAnnotation::geometricalType
    {40, 914, 622},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {40, 916, 620},	// Okular::GeomAnnotation::setGeometricalType$
    {40, 1071, 625},	// Okular::GeomAnnotation::store##
    {40, 1075, 624},	// Okular::GeomAnnotation::subType
    {40, 1174, 628},	// Okular::GeomAnnotation::~GeomAnnotation
    {41, 138, 629},	// Okular::GotoAction::GotoAction$#
    {41, 139, 630},	// Okular::GotoAction::GotoAction$$
    {41, 367, 632},	// Okular::GotoAction::actionTip
    {41, 368, 631},	// Okular::GotoAction::actionType
    {41, 480, 635},	// Okular::GotoAction::destViewport
    {41, 483, 636},	// Okular::GotoAction::destinationName
    {41, 533, 634},	// Okular::GotoAction::fileName
    {41, 625, 633},	// Okular::GotoAction::isExternal
    {41, 1175, 637},	// Okular::GotoAction::~GotoAction
    {42, 141, 639},	// Okular::GuiInterface::GuiInterface
    {42, 142, 640},	// Okular::GuiInterface::GuiInterface#
    {42, 581, 638},	// Okular::GuiInterface::guiClient
    {42, 1176, 641},	// Okular::GuiInterface::~GuiInterface
    {43, 145, 649},	// Okular::HighlightAnnotation::Highlight
    {43, 146, 642},	// Okular::HighlightAnnotation::HighlightAnnotation
    {43, 147, 643},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {43, 302, 650},	// Okular::HighlightAnnotation::Squiggly
    {43, 307, 652},	// Okular::HighlightAnnotation::StrikeOut
    {43, 344, 651},	// Okular::HighlightAnnotation::Underline
    {43, 599, 646},	// Okular::HighlightAnnotation::highlightQuads
    {43, 600, 645},	// Okular::HighlightAnnotation::highlightType
    {43, 918, 644},	// Okular::HighlightAnnotation::setHighlightType$
    {43, 1071, 648},	// Okular::HighlightAnnotation::store##
    {43, 1075, 647},	// Okular::HighlightAnnotation::subType
    {43, 1177, 653},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {45, 153, 654},	// Okular::InkAnnotation::InkAnnotation
    {45, 154, 655},	// Okular::InkAnnotation::InkAnnotation#
    {45, 609, 657},	// Okular::InkAnnotation::inkPaths
    {45, 920, 656},	// Okular::InkAnnotation::setInkPaths?
    {45, 1071, 660},	// Okular::InkAnnotation::store##
    {45, 1075, 659},	// Okular::InkAnnotation::subType
    {45, 1114, 658},	// Okular::InkAnnotation::transformedInkPaths
    {45, 1178, 661},	// Okular::InkAnnotation::~InkAnnotation
    {46, 29, 696},	// Okular::LineAnnotation::Arrow
    {46, 39, 691},	// Okular::LineAnnotation::Butt
    {46, 53, 686},	// Okular::LineAnnotation::Circle
    {46, 55, 689},	// Okular::LineAnnotation::ClosedArrow
    {46, 72, 687},	// Okular::LineAnnotation::Diamond
    {46, 73, 697},	// Okular::LineAnnotation::Dimension
    {46, 181, 662},	// Okular::LineAnnotation::LineAnnotation
    {46, 182, 663},	// Okular::LineAnnotation::LineAnnotation#
    {46, 201, 690},	// Okular::LineAnnotation::None
    {46, 218, 688},	// Okular::LineAnnotation::OpenArrow
    {46, 249, 698},	// Okular::LineAnnotation::PolygonCloud
    {46, 265, 693},	// Okular::LineAnnotation::RClosedArrow
    {46, 266, 692},	// Okular::LineAnnotation::ROpenArrow
    {46, 284, 694},	// Okular::LineAnnotation::Slash
    {46, 301, 685},	// Okular::LineAnnotation::Square
    {46, 345, 695},	// Okular::LineAnnotation::Unknown
    {46, 647, 672},	// Okular::LineAnnotation::lineClosed
    {46, 648, 670},	// Okular::LineAnnotation::lineEndStyle
    {46, 649, 674},	// Okular::LineAnnotation::lineInnerColor
    {46, 650, 682},	// Okular::LineAnnotation::lineIntent
    {46, 651, 678},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {46, 652, 676},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {46, 653, 665},	// Okular::LineAnnotation::linePoints
    {46, 654, 668},	// Okular::LineAnnotation::lineStartStyle
    {46, 934, 671},	// Okular::LineAnnotation::setLineClosed$
    {46, 936, 669},	// Okular::LineAnnotation::setLineEndStyle$
    {46, 938, 673},	// Okular::LineAnnotation::setLineInnerColor#
    {46, 940, 681},	// Okular::LineAnnotation::setLineIntent$
    {46, 942, 677},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {46, 944, 675},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {46, 946, 664},	// Okular::LineAnnotation::setLinePoints?
    {46, 948, 667},	// Okular::LineAnnotation::setLineStartStyle$
    {46, 996, 679},	// Okular::LineAnnotation::setShowCaption$
    {46, 1049, 680},	// Okular::LineAnnotation::showCaption
    {46, 1071, 684},	// Okular::LineAnnotation::store##
    {46, 1075, 683},	// Okular::LineAnnotation::subType
    {46, 1117, 666},	// Okular::LineAnnotation::transformedLinePoints
    {46, 1179, 699},	// Okular::LineAnnotation::~LineAnnotation
    {48, 203, 700},	// Okular::NormalizedPoint::NormalizedPoint
    {48, 204, 707},	// Okular::NormalizedPoint::NormalizedPoint#
    {48, 205, 701},	// Okular::NormalizedPoint::NormalizedPoint$$
    {48, 206, 702},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {48, 489, 705},	// Okular::NormalizedPoint::distanceSqr$$$$
    {48, 490, 706},	// Okular::NormalizedPoint::distanceSqr$$$$##
    {48, 719, 703},	// Okular::NormalizedPoint::operator=#
    {48, 1041, 709},	// Okular::NormalizedPoint::setX$
    {48, 1045, 711},	// Okular::NormalizedPoint::setY$
    {48, 1110, 704},	// Okular::NormalizedPoint::transform#
    {48, 1148, 708},	// Okular::NormalizedPoint::x
    {48, 1150, 710},	// Okular::NormalizedPoint::y
    {48, 1180, 712},	// Okular::NormalizedPoint::~NormalizedPoint
    {49, 207, 713},	// Okular::NormalizedRect::NormalizedRect
    {49, 208, 716},	// Okular::NormalizedRect::NormalizedRect#
    {49, 209, 715},	// Okular::NormalizedRect::NormalizedRect#$$
    {49, 210, 714},	// Okular::NormalizedRect::NormalizedRect$$$$
    {49, 404, 745},	// Okular::NormalizedRect::bottom
    {49, 435, 730},	// Okular::NormalizedRect::center
    {49, 447, 720},	// Okular::NormalizedRect::contains$$
    {49, 489, 738},	// Okular::NormalizedRect::distanceSqr$$$$
    {49, 559, 718},	// Okular::NormalizedRect::fromQRectF#
    {49, 571, 724},	// Okular::NormalizedRect::geometry$$
    {49, 615, -19},	// Okular::NormalizedRect::intersects#
    {49, 616, 723},	// Okular::NormalizedRect::intersects$$$$
    {49, 620, 732},	// Okular::NormalizedRect::isBottom#
    {49, 622, 734},	// Okular::NormalizedRect::isBottomOrLevel#
    {49, 627, 736},	// Okular::NormalizedRect::isLeft#
    {49, 628, 719},	// Okular::NormalizedRect::isNull
    {49, 635, 737},	// Okular::NormalizedRect::isRight#
    {49, 638, 733},	// Okular::NormalizedRect::isTop#
    {49, 640, 735},	// Okular::NormalizedRect::isTopOrLevel#
    {49, 646, 739},	// Okular::NormalizedRect::left
    {49, 715, 728},	// Okular::NormalizedRect::operator&#
    {49, 719, 717},	// Okular::NormalizedRect::operator=#
    {49, 721, 729},	// Okular::NormalizedRect::operator==#
    {49, 723, 726},	// Okular::NormalizedRect::operator|#
    {49, 725, 727},	// Okular::NormalizedRect::operator|=#
    {49, 827, 743},	// Okular::NormalizedRect::right
    {49, 834, 725},	// Okular::NormalizedRect::roundedGeometry$$
    {49, 867, 746},	// Okular::NormalizedRect::setBottom$
    {49, 932, 740},	// Okular::NormalizedRect::setLeft$
    {49, 988, 744},	// Okular::NormalizedRect::setRight$
    {49, 1022, 742},	// Okular::NormalizedRect::setTop$
    {49, 1099, 741},	// Okular::NormalizedRect::top
    {49, 1110, 731},	// Okular::NormalizedRect::transform#
    {49, 1181, 747},	// Okular::NormalizedRect::~NormalizedRect
    {50, 16, 767},	// Okular::ObjectRect::Action
    {50, 151, 768},	// Okular::ObjectRect::Image
    {50, 212, 769},	// Okular::ObjectRect::OAnnotation
    {50, 214, 758},	// Okular::ObjectRect::ObjectRect#
    {50, 215, 750},	// Okular::ObjectRect::ObjectRect#$$
    {50, 216, 749},	// Okular::ObjectRect::ObjectRect#$$$
    {50, 217, 748},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {50, 293, 770},	// Okular::ObjectRect::SourceRef
    {50, 407, 754},	// Okular::ObjectRect::boundingRect$$
    {50, 448, 755},	// Okular::ObjectRect::contains$$$$
    {50, 489, 757},	// Okular::ObjectRect::distanceSqr$$$$
    {50, 668, 761},	// Okular::ObjectRect::m_object
    {50, 669, 759},	// Okular::ObjectRect::m_objectType
    {50, 670, 763},	// Okular::ObjectRect::m_path
    {50, 671, 765},	// Okular::ObjectRect::m_transformedPath
    {50, 696, 752},	// Okular::ObjectRect::object
    {50, 701, 751},	// Okular::ObjectRect::objectType
    {50, 804, 753},	// Okular::ObjectRect::region
    {50, 951, 762},	// Okular::ObjectRect::setM_object$
    {50, 953, 760},	// Okular::ObjectRect::setM_objectType$
    {50, 955, 764},	// Okular::ObjectRect::setM_path#
    {50, 957, 766},	// Okular::ObjectRect::setM_transformedPath#
    {50, 1110, 756},	// Okular::ObjectRect::transform#
    {50, 1182, 771},	// Okular::ObjectRect::~ObjectRect
    {51, 56, 833},	// Okular::Page::Closing
    {51, 223, 832},	// Okular::Page::Opening
    {51, 228, 772},	// Okular::Page::Page$$$$
    {51, 373, 812},	// Okular::Page::addAnnotation#
    {51, 394, 799},	// Okular::Page::annotations
    {51, 405, 780},	// Okular::Page::boundingBox
    {51, 471, 821},	// Okular::Page::deleteAnnotations
    {51, 475, 817},	// Okular::Page::deletePixmap#
    {51, 476, 818},	// Okular::Page::deletePixmaps
    {51, 477, 819},	// Okular::Page::deleteRects
    {51, 478, 820},	// Okular::Page::deleteSourceReferences
    {51, 505, 807},	// Okular::Page::duration
    {51, 539, 828},	// Okular::Page::findText$$$$
    {51, 540, 789},	// Okular::Page::findText$$$$#
    {51, 553, 801},	// Okular::Page::formFields
    {51, 582, 788},	// Okular::Page::hasAnnotations
    {51, 585, 827},	// Okular::Page::hasHighlights
    {51, 586, 786},	// Okular::Page::hasHighlights$
    {51, 588, 785},	// Okular::Page::hasObjectRect$$$$
    {51, 590, 824},	// Okular::Page::hasPixmap#
    {51, 591, 825},	// Okular::Page::hasPixmap#$
    {51, 592, 826},	// Okular::Page::hasPixmap#$$
    {51, 593, 783},	// Okular::Page::hasPixmap#$$#
    {51, 594, 784},	// Okular::Page::hasTextPage
    {51, 596, 822},	// Okular::Page::hasTilesManager#
    {51, 597, 787},	// Okular::Page::hasTransition
    {51, 598, 778},	// Okular::Page::height
    {51, 623, 781},	// Okular::Page::isBoundingBoxKnown
    {51, 645, 809},	// Okular::Page::label
    {51, 691, 797},	// Okular::Page::nearestObjectRect$$$$$$
    {51, 695, 773},	// Okular::Page::number
    {51, 698, 795},	// Okular::Page::objectRect$$$$$
    {51, 700, 796},	// Okular::Page::objectRects$$$$$
    {51, 740, 774},	// Okular::Page::orientation
    {51, 744, 800},	// Okular::Page::pageAction$
    {51, 797, 779},	// Okular::Page::ratio
    {51, 808, 813},	// Okular::Page::removeAnnotation#
    {51, 830, 775},	// Okular::Page::rotation
    {51, 869, 782},	// Okular::Page::setBoundingBox#
    {51, 895, 806},	// Okular::Page::setDuration$
    {51, 912, 816},	// Okular::Page::setFormFields?
    {51, 930, 808},	// Okular::Page::setLabel$
    {51, 972, 804},	// Okular::Page::setObjectRects?
    {51, 974, 815},	// Okular::Page::setPageAction$#
    {51, 982, 831},	// Okular::Page::setPixmap##
    {51, 983, 802},	// Okular::Page::setPixmap###
    {51, 1004, 805},	// Okular::Page::setSourceReferences?
    {51, 1016, 803},	// Okular::Page::setTextPage#
    {51, 1024, 814},	// Okular::Page::setTransition#
    {51, 1082, 829},	// Okular::Page::text
    {51, 1083, 790},	// Okular::Page::text#
    {51, 1084, 791},	// Okular::Page::text#$
    {51, 1087, 794},	// Okular::Page::textArea#
    {51, 1092, 810},	// Okular::Page::textSelection
    {51, 1093, 811},	// Okular::Page::textSelectionColor
    {51, 1096, 823},	// Okular::Page::tilesAt##
    {51, 1100, 776},	// Okular::Page::totalOrientation
    {51, 1118, 798},	// Okular::Page::transition
    {51, 1141, 777},	// Okular::Page::width
    {51, 1144, 830},	// Okular::Page::wordAt#
    {51, 1145, 793},	// Okular::Page::wordAt#$
    {51, 1147, 792},	// Okular::Page::words#$
    {51, 1183, 834},	// Okular::Page::~Page
    {52, 235, 835},	// Okular::PageSize::PageSize
    {52, 236, 837},	// Okular::PageSize::PageSize#
    {52, 237, 836},	// Okular::PageSize::PageSize$$$
    {52, 598, 839},	// Okular::PageSize::height
    {52, 628, 841},	// Okular::PageSize::isNull
    {52, 688, 840},	// Okular::PageSize::name
    {52, 713, 844},	// Okular::PageSize::operator!=#
    {52, 719, 842},	// Okular::PageSize::operator=#
    {52, 721, 843},	// Okular::PageSize::operator==#
    {52, 1141, 838},	// Okular::PageSize::width
    {52, 1184, 845},	// Okular::PageSize::~PageSize
    {53, 34, 866},	// Okular::PageTransition::Blinds
    {53, 35, 867},	// Okular::PageTransition::Box
    {53, 63, 873},	// Okular::PageTransition::Cover
    {53, 74, 869},	// Okular::PageTransition::Dissolve
    {53, 103, 875},	// Okular::PageTransition::Fade
    {53, 114, 871},	// Okular::PageTransition::Fly
    {53, 132, 870},	// Okular::PageTransition::Glitter
    {53, 150, 876},	// Okular::PageTransition::Horizontal
    {53, 160, 878},	// Okular::PageTransition::Inward
    {53, 224, 879},	// Okular::PageTransition::Outward
    {53, 239, 863},	// Okular::PageTransition::PageTransition
    {53, 240, 847},	// Okular::PageTransition::PageTransition#
    {53, 241, 846},	// Okular::PageTransition::PageTransition$
    {53, 263, 872},	// Okular::PageTransition::Push
    {53, 275, 864},	// Okular::PageTransition::Replace
    {53, 300, 865},	// Okular::PageTransition::Split
    {53, 343, 874},	// Okular::PageTransition::Uncover
    {53, 350, 877},	// Okular::PageTransition::Vertical
    {53, 355, 868},	// Okular::PageTransition::Wipe
    {53, 386, 851},	// Okular::PageTransition::alignment
    {53, 388, 853},	// Okular::PageTransition::angle
    {53, 486, 852},	// Okular::PageTransition::direction
    {53, 505, 850},	// Okular::PageTransition::duration
    {53, 632, 855},	// Okular::PageTransition::isRectangular
    {53, 719, 848},	// Okular::PageTransition::operator=#
    {53, 842, 854},	// Okular::PageTransition::scale
    {53, 855, 858},	// Okular::PageTransition::setAlignment$
    {53, 857, 860},	// Okular::PageTransition::setAngle$
    {53, 889, 859},	// Okular::PageTransition::setDirection$
    {53, 895, 857},	// Okular::PageTransition::setDuration$
    {53, 928, 862},	// Okular::PageTransition::setIsRectangular$
    {53, 994, 861},	// Okular::PageTransition::setScale$
    {53, 1026, 856},	// Okular::PageTransition::setType$
    {53, 1123, 849},	// Okular::PageTransition::type
    {53, 1185, 880},	// Okular::PageTransition::~PageTransition
    {54, 30, 895},	// Okular::PixmapRequest::Asynchronous
    {54, 195, 894},	// Okular::PixmapRequest::NoFeature
    {54, 246, 881},	// Okular::PixmapRequest::PixmapRequest#$$$$$
    {54, 251, 896},	// Okular::PixmapRequest::Preload
    {54, 398, 887},	// Okular::PixmapRequest::asynchronous
    {54, 598, 885},	// Okular::PixmapRequest::height
    {54, 636, 891},	// Okular::PixmapRequest::isTile
    {54, 692, 893},	// Okular::PixmapRequest::normalizedRect
    {54, 702, 882},	// Okular::PixmapRequest::observer
    {54, 741, 889},	// Okular::PixmapRequest::page
    {54, 750, 883},	// Okular::PixmapRequest::pageNumber
    {54, 764, 888},	// Okular::PixmapRequest::preload
    {54, 780, 886},	// Okular::PixmapRequest::priority
    {54, 970, 892},	// Okular::PixmapRequest::setNormalizedRect#
    {54, 1020, 890},	// Okular::PixmapRequest::setTile$
    {54, 1141, 884},	// Okular::PixmapRequest::width
    {54, 1186, 897},	// Okular::PixmapRequest::~PixmapRequest
    {55, 254, 899},	// Okular::PrintInterface::PrintInterface
    {55, 255, 900},	// Okular::PrintInterface::PrintInterface#
    {55, 771, 898},	// Okular::PrintInterface::printConfigurationWidget
    {55, 1187, 901},	// Okular::PrintInterface::~PrintInterface
    {56, 270, 902},	// Okular::RegularAreaRect::RegularAreaRect
    {56, 271, 903},	// Okular::RegularAreaRect::RegularAreaRect#
    {56, 719, 904},	// Okular::RegularAreaRect::operator=#
    {56, 1188, 905},	// Okular::RegularAreaRect::~RegularAreaRect
    {58, 281, 906},	// Okular::ScriptAction::ScriptAction$$
    {58, 367, 908},	// Okular::ScriptAction::actionTip
    {58, 368, 907},	// Okular::ScriptAction::actionType
    {58, 843, 910},	// Okular::ScriptAction::script
    {58, 844, 909},	// Okular::ScriptAction::scriptType
    {58, 1189, 911},	// Okular::ScriptAction::~ScriptAction
    {59, 6, 930},	// Okular::Sound::ALaw
    {59, 88, 926},	// Okular::Sound::Embedded
    {59, 101, 925},	// Okular::Sound::External
    {59, 268, 927},	// Okular::Sound::Raw
    {59, 283, 928},	// Okular::Sound::Signed
    {59, 287, 912},	// Okular::Sound::Sound#
    {59, 288, 913},	// Okular::Sound::Sound$
    {59, 400, 922},	// Okular::Sound::bitsPerSample
    {59, 436, 920},	// Okular::Sound::channels
    {59, 470, 916},	// Okular::Sound::data
    {59, 686, 929},	// Okular::Sound::muLaw
    {59, 836, 918},	// Okular::Sound::samplingRate
    {59, 865, 921},	// Okular::Sound::setBitsPerSample$
    {59, 877, 919},	// Okular::Sound::setChannels$
    {59, 992, 917},	// Okular::Sound::setSamplingRate$
    {59, 1000, 923},	// Okular::Sound::setSoundEncoding$
    {59, 1057, 924},	// Okular::Sound::soundEncoding
    {59, 1059, 914},	// Okular::Sound::soundType
    {59, 1131, 915},	// Okular::Sound::url
    {59, 1190, 931},	// Okular::Sound::~Sound
    {60, 290, 932},	// Okular::SoundAction::SoundAction$$$$#
    {60, 367, 934},	// Okular::SoundAction::actionTip
    {60, 368, 933},	// Okular::SoundAction::actionType
    {60, 682, 938},	// Okular::SoundAction::mix
    {60, 816, 937},	// Okular::SoundAction::repeat
    {60, 1056, 939},	// Okular::SoundAction::sound
    {60, 1081, 936},	// Okular::SoundAction::synchronous
    {60, 1136, 935},	// Okular::SoundAction::volume
    {60, 1191, 940},	// Okular::SoundAction::~SoundAction
    {61, 291, 941},	// Okular::SoundAnnotation::SoundAnnotation
    {61, 292, 942},	// Okular::SoundAnnotation::SoundAnnotation#
    {61, 998, 946},	// Okular::SoundAnnotation::setSound#
    {61, 1002, 944},	// Okular::SoundAnnotation::setSoundIconName$
    {61, 1056, 945},	// Okular::SoundAnnotation::sound
    {61, 1058, 943},	// Okular::SoundAnnotation::soundIconName
    {61, 1071, 948},	// Okular::SoundAnnotation::store##
    {61, 1075, 947},	// Okular::SoundAnnotation::subType
    {61, 1192, 949},	// Okular::SoundAnnotation::~SoundAnnotation
    {62, 295, 953},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {62, 296, 950},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {62, 407, 951},	// Okular::SourceRefObjectRect::boundingRect$$
    {62, 448, 952},	// Okular::SourceRefObjectRect::contains$$$$
    {62, 1193, 954},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {63, 298, 959},	// Okular::SourceReference::SourceReference$$
    {63, 299, 955},	// Okular::SourceReference::SourceReference$$$
    {63, 442, 958},	// Okular::SourceReference::column
    {63, 533, 956},	// Okular::SourceReference::fileName
    {63, 835, 957},	// Okular::SourceReference::row
    {63, 1194, 960},	// Okular::SourceReference::~SourceReference
    {64, 303, 961},	// Okular::StampAnnotation::StampAnnotation
    {64, 304, 962},	// Okular::StampAnnotation::StampAnnotation#
    {64, 1006, 963},	// Okular::StampAnnotation::setStampIconName$
    {64, 1062, 964},	// Okular::StampAnnotation::stampIconName
    {64, 1071, 966},	// Okular::StampAnnotation::store##
    {64, 1075, 965},	// Okular::StampAnnotation::subType
    {64, 1195, 967},	// Okular::StampAnnotation::~StampAnnotation
    {65, 45, 988},	// Okular::TextAnnotation::Callout
    {65, 152, 986},	// Okular::TextAnnotation::InPlace
    {65, 183, 985},	// Okular::TextAnnotation::Linked
    {65, 316, 968},	// Okular::TextAnnotation::TextAnnotation
    {65, 317, 969},	// Okular::TextAnnotation::TextAnnotation#
    {65, 341, 989},	// Okular::TextAnnotation::TypeWriter
    {65, 345, 987},	// Okular::TextAnnotation::Unknown
    {65, 610, 977},	// Okular::TextAnnotation::inplaceAlignment
    {65, 612, 979},	// Okular::TextAnnotation::inplaceCallout$
    {65, 613, 982},	// Okular::TextAnnotation::inplaceIntent
    {65, 922, 976},	// Okular::TextAnnotation::setInplaceAlignment$
    {65, 924, 978},	// Okular::TextAnnotation::setInplaceCallout#$
    {65, 926, 981},	// Okular::TextAnnotation::setInplaceIntent$
    {65, 1012, 974},	// Okular::TextAnnotation::setTextFont#
    {65, 1014, 972},	// Okular::TextAnnotation::setTextIcon$
    {65, 1018, 970},	// Okular::TextAnnotation::setTextType$
    {65, 1071, 984},	// Okular::TextAnnotation::store##
    {65, 1075, 983},	// Okular::TextAnnotation::subType
    {65, 1088, 975},	// Okular::TextAnnotation::textFont
    {65, 1089, 973},	// Okular::TextAnnotation::textIcon
    {65, 1094, 971},	// Okular::TextAnnotation::textType
    {65, 1116, 980},	// Okular::TextAnnotation::transformedInplaceCallout$
    {65, 1196, 990},	// Okular::TextAnnotation::~TextAnnotation
    {66, 318, 998},	// Okular::TextDocumentConverter::TextDocumentConverter
    {66, 371, 1002},	// Okular::TextDocumentConverter::addAction#$$
    {66, 374, 1003},	// Okular::TextDocumentConverter::addAnnotation#$$
    {66, 376, 1006},	// Okular::TextDocumentConverter::addMetaData$$
    {66, 377, 1005},	// Okular::TextDocumentConverter::addMetaData$$$
    {66, 385, 1004},	// Okular::TextDocumentConverter::addTitle$$#
    {66, 411, 1011},	// Okular::TextDocumentConverter::calculateViewport##
    {66, 454, 999},	// Okular::TextDocumentConverter::convert$
    {66, 456, 1000},	// Okular::TextDocumentConverter::convertWithPassword$$
    {66, 494, 1001},	// Okular::TextDocumentConverter::document
    {66, 523, 1007},	// Okular::TextDocumentConverter::error$$
    {66, 567, 1012},	// Okular::TextDocumentConverter::generator
    {66, 680, 991},	// Okular::TextDocumentConverter::metaObject
    {66, 694, 1009},	// Okular::TextDocumentConverter::notice$$
    {66, 793, 997},	// Okular::TextDocumentConverter::qt_metacall$$?
    {66, 795, 992},	// Okular::TextDocumentConverter::qt_metacast$
    {66, 893, 1010},	// Okular::TextDocumentConverter::setDocument#
    {66, 1068, 1015},	// Okular::TextDocumentConverter::staticMetaObject
    {66, 1102, 1013},	// Okular::TextDocumentConverter::tr$
    {66, 1103, 993},	// Okular::TextDocumentConverter::tr$$
    {66, 1104, 995},	// Okular::TextDocumentConverter::tr$$$
    {66, 1106, 1014},	// Okular::TextDocumentConverter::trUtf8$
    {66, 1107, 994},	// Okular::TextDocumentConverter::trUtf8$$
    {66, 1108, 996},	// Okular::TextDocumentConverter::trUtf8$$$
    {66, 1140, 1008},	// Okular::TextDocumentConverter::warning$$
    {66, 1197, 1016},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {67, 320, 1025},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {67, 321, 1024},	// Okular::TextDocumentGenerator::TextDocumentGenerator#$#?
    {67, 383, 1033},	// Okular::TextDocumentGenerator::addPages#
    {67, 417, 1027},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {67, 491, 1037},	// Okular::TextDocumentGenerator::doCloseDocument
    {67, 526, 1030},	// Okular::TextDocumentGenerator::exportFormats
    {67, 528, 1031},	// Okular::TextDocumentGenerator::exportTo$#
    {67, 560, 1034},	// Okular::TextDocumentGenerator::generalSettings
    {67, 561, 1035},	// Okular::TextDocumentGenerator::generateDocumentInfo
    {67, 562, 1036},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {67, 564, 1028},	// Okular::TextDocumentGenerator::generatePixmap#
    {67, 666, 1026},	// Okular::TextDocumentGenerator::loadDocumentWithPassword$?$
    {67, 680, 1017},	// Okular::TextDocumentGenerator::metaObject
    {67, 768, 1029},	// Okular::TextDocumentGenerator::print#
    {67, 793, 1023},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {67, 795, 1018},	// Okular::TextDocumentGenerator::qt_metacast$
    {67, 815, 1032},	// Okular::TextDocumentGenerator::reparseConfig
    {67, 1068, 1041},	// Okular::TextDocumentGenerator::staticMetaObject
    {67, 1091, 1038},	// Okular::TextDocumentGenerator::textPage#
    {67, 1102, 1039},	// Okular::TextDocumentGenerator::tr$
    {67, 1103, 1019},	// Okular::TextDocumentGenerator::tr$$
    {67, 1104, 1021},	// Okular::TextDocumentGenerator::tr$$$
    {67, 1106, 1040},	// Okular::TextDocumentGenerator::trUtf8$
    {67, 1107, 1020},	// Okular::TextDocumentGenerator::trUtf8$$
    {67, 1108, 1022},	// Okular::TextDocumentGenerator::trUtf8$$$
    {67, 1198, 1042},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {69, 323, 1043},	// Okular::TextEntity::TextEntity$#
    {69, 397, 1045},	// Okular::TextEntity::area
    {69, 1082, 1044},	// Okular::TextEntity::text
    {69, 1112, 1046},	// Okular::TextEntity::transformedArea#
    {69, 1199, 1047},	// Okular::TextEntity::~TextEntity
    {70, 26, 1059},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {70, 51, 1060},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {70, 325, 1048},	// Okular::TextPage::TextPage
    {70, 326, 1049},	// Okular::TextPage::TextPage?
    {70, 396, 1050},	// Okular::TextPage::append$#
    {70, 540, 1051},	// Okular::TextPage::findText$$$$#
    {70, 1082, 1057},	// Okular::TextPage::text
    {70, 1083, 1052},	// Okular::TextPage::text#
    {70, 1084, 1053},	// Okular::TextPage::text#$
    {70, 1087, 1056},	// Okular::TextPage::textArea#
    {70, 1144, 1058},	// Okular::TextPage::wordAt#
    {70, 1145, 1055},	// Okular::TextPage::wordAt#$
    {70, 1147, 1054},	// Okular::TextPage::words#$
    {70, 1200, 1061},	// Okular::TextPage::~TextPage
    {72, 329, 1063},	// Okular::Tile::Tile#
    {72, 330, 1062},	// Okular::Tile::Tile##$
    {72, 641, 1066},	// Okular::Tile::isValid
    {72, 719, 1067},	// Okular::Tile::operator=#
    {72, 763, 1065},	// Okular::Tile::pixmap
    {72, 802, 1064},	// Okular::Tile::rect
    {72, 1201, 1068},	// Okular::Tile::~Tile
    {73, 348, 1076},	// Okular::Utils::Utils
    {73, 349, 1077},	// Okular::Utils::Utils#
    {73, 503, 1070},	// Okular::Utils::dpiX
    {73, 504, 1071},	// Okular::Utils::dpiY
    {73, 608, 1075},	// Okular::Utils::imageBoundingBox#
    {73, 799, 1074},	// Okular::Utils::realDpi#
    {73, 800, 1072},	// Okular::Utils::realDpiX
    {73, 801, 1073},	// Okular::Utils::realDpiY
    {73, 829, 1069},	// Okular::Utils::rotateRect#$$$
    {73, 1202, 1078},	// Okular::Utils::~Utils
    {75, 351, 1081},	// Okular::VisiblePageRect::VisiblePageRect
    {75, 352, 1080},	// Okular::VisiblePageRect::VisiblePageRect#
    {75, 353, 1082},	// Okular::VisiblePageRect::VisiblePageRect$
    {75, 354, 1079},	// Okular::VisiblePageRect::VisiblePageRect$#
    {75, 750, 1083},	// Okular::VisiblePageRect::pageNumber
    {75, 802, 1085},	// Okular::VisiblePageRect::rect
    {75, 976, 1084},	// Okular::VisiblePageRect::setPageNumber$
    {75, 986, 1086},	// Okular::VisiblePageRect::setRect#
    {75, 1203, 1087},	// Okular::VisiblePageRect::~VisiblePageRect
    {87, 161, 1111},	// QGlobalSpace::KST_CTimeInfo
    {87, 162, 1104},	// QGlobalSpace::KST_KCustom
    {87, 163, 1098},	// QGlobalSpace::KST_KDEDesktopMimeType
    {87, 164, 1097},	// QGlobalSpace::KST_KFolderMimeType
    {87, 165, 1108},	// QGlobalSpace::KST_KImageIO
    {87, 166, 1101},	// QGlobalSpace::KST_KImageIOFormat
    {87, 167, 1096},	// QGlobalSpace::KST_KMimeType
    {87, 168, 1099},	// QGlobalSpace::KST_KMimeTypeEntry
    {87, 169, 1110},	// QGlobalSpace::KST_KMimeTypeFactory
    {87, 170, 1102},	// QGlobalSpace::KST_KProtocolInfo
    {87, 171, 1109},	// QGlobalSpace::KST_KProtocolInfoFactory
    {87, 172, 1094},	// QGlobalSpace::KST_KService
    {87, 173, 1105},	// QGlobalSpace::KST_KServiceFactory
    {87, 174, 1100},	// QGlobalSpace::KST_KServiceGroup
    {87, 175, 1107},	// QGlobalSpace::KST_KServiceGroupFactory
    {87, 176, 1103},	// QGlobalSpace::KST_KServiceSeparator
    {87, 177, 1095},	// QGlobalSpace::KST_KServiceType
    {87, 178, 1106},	// QGlobalSpace::KST_KServiceTypeFactory
    {87, 179, 1093},	// QGlobalSpace::KST_KSycocaEntry
    {87, 356, 1088},	// QGlobalSpace::_IEEE_
    {87, 357, 1092},	// QGlobalSpace::_ISOC_
    {87, 358, 1091},	// QGlobalSpace::_POSIX_
    {87, 359, 1089},	// QGlobalSpace::_SVID_
    {87, 360, 1090},	// QGlobalSpace::_XOPEN_
    {87, 361, 1114},	// QGlobalSpace::__codecvt_error
    {87, 362, 1115},	// QGlobalSpace::__codecvt_noconv
    {87, 363, 1112},	// QGlobalSpace::__codecvt_ok
    {87, 364, 1113},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 106,
        __smokeokular::methods, 1123,
        __smokeokular::methodMaps, 1089,
        __smokeokular::methodNames, 1203,
        __smokeokular::types, 374,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
