#include <soprano_includes.h>

#include <smoke.h>
#include <soprano_smoke.h>

namespace __smokesoprano {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QDebug
      switch(to) {
        case 3: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(QObject*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(QObject*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(QObject*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(QObject*)xptr;
        case 28: return (void*)(Soprano::Model*)(QObject*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(QObject*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(QObject*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(QObject*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(QObject*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)(QObject*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QRegExp
      switch(to) {
        case 8: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 9:   //QTextStream
      switch(to) {
        case 9: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 10:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QUrl
      switch(to) {
        case 11: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 12:   //QVariant
      switch(to) {
        case 12: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::Backend
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Backend*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 14: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::BackendSetting
      switch(to) {
        case 15: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::BindingSet
      switch(to) {
        case 16: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Error::Error
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Error::ErrorCache
      switch(to) {
        case 18: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)(Soprano::Error::ErrorCache*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Error::ErrorCache*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Error::ErrorCache*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Error::ErrorCache*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Error::ErrorCache*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Error::ErrorCache*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Error::ErrorCache*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Error::ErrorCache*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)(Soprano::Error::ErrorCache*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Error::ErrorCache*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Error::ErrorCache*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Error::ErrorCache*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Error::ErrorData
      switch(to) {
        case 19: return (void*)(Soprano::Error::ErrorData*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Error::Locator
      switch(to) {
        case 20: return (void*)(Soprano::Error::Locator*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Error::ParserError
      switch(to) {
        case 17: return (void*)(Soprano::Error::Error*)(Soprano::Error::ParserError*)xptr;
        case 21: return (void*)(Soprano::Error::ParserError*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::FilterModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::FilterModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::FilterModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::FilterModel*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::FilterModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::FilterModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::FilterModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::FilterModel*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Graph
      switch(to) {
        case 23: return (void*)(Soprano::Graph*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Inference::InferenceModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Inference::InferenceModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Inference::InferenceModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Inference::InferenceModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Inference::InferenceModel*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::Inference::Rule
      switch(to) {
        case 25: return (void*)(Soprano::Inference::Rule*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::LanguageTag
      switch(to) {
        case 26: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::LiteralValue
      switch(to) {
        case 27: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::Model
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 28: return (void*)(Soprano::Model*)xptr;
        case 24: return (void*)(Soprano::Inference::InferenceModel*)(Soprano::Model*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)(Soprano::Model*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Model*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)(Soprano::Model*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)(Soprano::Model*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::Node
      switch(to) {
        case 29: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::NodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 31:   //Soprano::Parser
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Parser*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Parser*)xptr;
        case 31: return (void*)(Soprano::Parser*)xptr;
        default: return xptr;
      }
    case 32:   //Soprano::Plugin
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)xptr;
        case 37: return (void*)(Soprano::Serializer*)(Soprano::Plugin*)xptr;
        case 14: return (void*)(Soprano::Backend*)(Soprano::Plugin*)xptr;
        case 31: return (void*)(Soprano::Parser*)(Soprano::Plugin*)xptr;
        default: return xptr;
      }
    case 33:   //Soprano::PluginManager
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::PluginManager*)xptr;
        case 33: return (void*)(Soprano::PluginManager*)xptr;
        default: return xptr;
      }
    case 34:   //Soprano::QueryResultIterator
      switch(to) {
        case 34: return (void*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 35:   //Soprano::QueryResultIteratorBackend
      switch(to) {
        case 35: return (void*)(Soprano::QueryResultIteratorBackend*)xptr;
        default: return xptr;
      }
    case 36:   //Soprano::RdfSchemaModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::RdfSchemaModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::RdfSchemaModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::RdfSchemaModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::RdfSchemaModel*)xptr;
        case 36: return (void*)(Soprano::RdfSchemaModel*)xptr;
        default: return xptr;
      }
    case 37:   //Soprano::Serializer
      switch(to) {
        case 32: return (void*)(Soprano::Plugin*)(Soprano::Serializer*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Serializer*)xptr;
        case 37: return (void*)(Soprano::Serializer*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::Statement
      switch(to) {
        case 38: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::StatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::StorageModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 40: return (void*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Util::AsyncModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::AsyncModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::AsyncModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncModel*)xptr;
        case 41: return (void*)(Soprano::Util::AsyncModel*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Util::AsyncQuery
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncQuery*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncQuery*)xptr;
        case 42: return (void*)(Soprano::Util::AsyncQuery*)xptr;
        default: return xptr;
      }
    case 43:   //Soprano::Util::AsyncResult
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 43: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    case 44:   //Soprano::Util::ReadOnlyModel
      switch(to) {
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::ReadOnlyModel*)xptr;
        case 44: return (void*)(Soprano::Util::ReadOnlyModel*)xptr;
        default: return xptr;
      }
    case 45:   //Soprano::Util::SignalCacheModel
      switch(to) {
        case 22: return (void*)(Soprano::FilterModel*)(Soprano::Util::SignalCacheModel*)xptr;
        case 28: return (void*)(Soprano::Model*)(Soprano::Util::SignalCacheModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Util::SignalCacheModel*)xptr;
        case 18: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::SignalCacheModel*)xptr;
        case 45: return (void*)(Soprano::Util::SignalCacheModel*)xptr;
        default: return xptr;
      }
    case 46:   //Soprano::Util::SimpleNodeIterator
      switch(to) {
        case 30: return (void*)(Soprano::NodeIterator*)(Soprano::Util::SimpleNodeIterator*)xptr;
        case 46: return (void*)(Soprano::Util::SimpleNodeIterator*)xptr;
        default: return xptr;
      }
    case 47:   //Soprano::Util::SimpleStatementIterator
      switch(to) {
        case 39: return (void*)(Soprano::StatementIterator*)(Soprano::Util::SimpleStatementIterator*)xptr;
        case 47: return (void*)(Soprano::Util::SimpleStatementIterator*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    32, 18, 0,	// 1: Soprano::Plugin, Soprano::Error::ErrorCache
    17, 0,	// 4: Soprano::Error::Error
    28, 0,	// 6: Soprano::Model
    22, 0,	// 8: Soprano::FilterModel
    7, 18, 0,	// 10: QObject, Soprano::Error::ErrorCache
    0, 0,	// 13: Soprano::Iterator
    7, 0,	// 15: QObject
    30, 0,	// 17: Soprano::NodeIterator
    39, 0,	// 19: Soprano::StatementIterator
};

// These are the xenum functions for manipulating enum pointers
void xenum_Soprano__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Soprano__Util__AsyncModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Backend(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__BackendSetting(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__Error(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ErrorCache(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Error__ParserError(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__FilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Inference__InferenceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Model(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Parser(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__PluginManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__QueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__RdfSchemaModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Serializer(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Statement(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__StorageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__AsyncResult(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__ReadOnlyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SignalCacheModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Util__SimpleStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NAO(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__NRL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__OWL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDF(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__RDFS(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__SIL(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__XMLSchema(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Vocabulary__Xesam(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QDebug", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//8
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//9
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QUrl", true, 0, 0, 0, 0, 0 },	//11
    { "QVariant", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano", false, 0, xcall_Soprano, xenum_Soprano, Smoke::cf_namespace, 0 },	//13
    { "Soprano::Backend", false, 1, xcall_Soprano__Backend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Backend) },	//14
    { "Soprano::BackendSetting", false, 0, xcall_Soprano__BackendSetting, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::BackendSetting) },	//15
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//16
    { "Soprano::Error::Error", false, 0, xcall_Soprano__Error__Error, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::Error) },	//17
    { "Soprano::Error::ErrorCache", false, 0, xcall_Soprano__Error__ErrorCache, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ErrorCache) },	//18
    { "Soprano::Error::ErrorData", true, 0, 0, 0, 0, 0 },	//19
    { "Soprano::Error::Locator", true, 0, 0, 0, 0, 0 },	//20
    { "Soprano::Error::ParserError", false, 4, xcall_Soprano__Error__ParserError, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Error::ParserError) },	//21
    { "Soprano::FilterModel", false, 6, xcall_Soprano__FilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::FilterModel) },	//22
    { "Soprano::Graph", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::Inference::InferenceModel", false, 8, xcall_Soprano__Inference__InferenceModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Inference::InferenceModel) },	//24
    { "Soprano::Inference::Rule", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//27
    { "Soprano::Model", false, 10, xcall_Soprano__Model, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Model) },	//28
    { "Soprano::Node", false, 0, xcall_Soprano__Node, xenum_Soprano__Node, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Soprano::Node) },	//29
    { "Soprano::NodeIterator", false, 13, xcall_Soprano__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::NodeIterator) },	//30
    { "Soprano::Parser", false, 1, xcall_Soprano__Parser, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Parser) },	//31
    { "Soprano::Plugin", false, 0, xcall_Soprano__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Plugin) },	//32
    { "Soprano::PluginManager", false, 15, xcall_Soprano__PluginManager, 0, Smoke::cf_virtual, sizeof(Soprano::PluginManager) },	//33
    { "Soprano::QueryResultIterator", false, 13, xcall_Soprano__QueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::QueryResultIterator) },	//34
    { "Soprano::QueryResultIteratorBackend", true, 0, 0, 0, 0, 0 },	//35
    { "Soprano::RdfSchemaModel", false, 8, xcall_Soprano__RdfSchemaModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::RdfSchemaModel) },	//36
    { "Soprano::Serializer", false, 1, xcall_Soprano__Serializer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Serializer) },	//37
    { "Soprano::Statement", false, 0, xcall_Soprano__Statement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Statement) },	//38
    { "Soprano::StatementIterator", false, 13, xcall_Soprano__StatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::StatementIterator) },	//39
    { "Soprano::StorageModel", false, 6, xcall_Soprano__StorageModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::StorageModel) },	//40
    { "Soprano::Util::AsyncModel", false, 8, xcall_Soprano__Util__AsyncModel, xenum_Soprano__Util__AsyncModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::AsyncModel) },	//41
    { "Soprano::Util::AsyncQuery", false, 10, xcall_Soprano__Util__AsyncQuery, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncQuery) },	//42
    { "Soprano::Util::AsyncResult", false, 10, xcall_Soprano__Util__AsyncResult, 0, Smoke::cf_virtual, sizeof(Soprano::Util::AsyncResult) },	//43
    { "Soprano::Util::ReadOnlyModel", false, 6, xcall_Soprano__Util__ReadOnlyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::ReadOnlyModel) },	//44
    { "Soprano::Util::SignalCacheModel", false, 8, xcall_Soprano__Util__SignalCacheModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Util::SignalCacheModel) },	//45
    { "Soprano::Util::SimpleNodeIterator", false, 17, xcall_Soprano__Util__SimpleNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleNodeIterator) },	//46
    { "Soprano::Util::SimpleStatementIterator", false, 19, xcall_Soprano__Util__SimpleStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Util::SimpleStatementIterator) },	//47
    { "Soprano::Vocabulary::NAO", false, 0, xcall_Soprano__Vocabulary__NAO, 0, Smoke::cf_namespace, 0 },	//48
    { "Soprano::Vocabulary::NRL", false, 0, xcall_Soprano__Vocabulary__NRL, 0, Smoke::cf_namespace, 0 },	//49
    { "Soprano::Vocabulary::OWL", false, 0, xcall_Soprano__Vocabulary__OWL, 0, Smoke::cf_namespace, 0 },	//50
    { "Soprano::Vocabulary::RDF", false, 0, xcall_Soprano__Vocabulary__RDF, 0, Smoke::cf_namespace, 0 },	//51
    { "Soprano::Vocabulary::RDFS", false, 0, xcall_Soprano__Vocabulary__RDFS, 0, Smoke::cf_namespace, 0 },	//52
    { "Soprano::Vocabulary::SIL", false, 0, xcall_Soprano__Vocabulary__SIL, 0, Smoke::cf_namespace, 0 },	//53
    { "Soprano::Vocabulary::XMLSchema", false, 0, xcall_Soprano__Vocabulary__XMLSchema, 0, Smoke::cf_namespace, 0 },	//54
    { "Soprano::Vocabulary::Xesam", false, 0, xcall_Soprano__Vocabulary__Xesam, 0, Smoke::cf_namespace, 0 },	//55
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QDebug", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QFlags<Soprano::BackendFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Soprano::Node::N3ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Soprano::RdfSerialization>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QHash<QString,QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//9
    { "QList<Soprano::BindingSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QList<const Soprano::Backend*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//13
    { "QList<const Soprano::Parser*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QList<const Soprano::Serializer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QRegExp&", 8, Smoke::t_class|Smoke::tf_ref },	//18
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "QTextStream&", 9, Smoke::t_class|Smoke::tf_ref },	//22
    { "QTimerEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QUrl", 11, Smoke::t_class|Smoke::tf_stack },	//24
    { "QVariant", 12, Smoke::t_class|Smoke::tf_stack },	//25
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Soprano::BackendFeature", 13, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Soprano::BackendOption", 13, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Soprano::BackendSetting", 15, Smoke::t_class|Smoke::tf_stack },	//101
    { "Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref },	//102
    { "Soprano::BackendSetting*", 15, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Soprano::BindingSet", 16, Smoke::t_class|Smoke::tf_stack },	//104
    { "Soprano::Error::Error", 17, Smoke::t_class|Smoke::tf_stack },	//105
    { "Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref },	//106
    { "Soprano::Error::Error*", 17, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Soprano::Error::ErrorCache*", 18, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Soprano::Error::ErrorData*", 19, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Soprano::Error::Locator", 20, Smoke::t_class|Smoke::tf_stack },	//111
    { "Soprano::Error::ParserError", 21, Smoke::t_class|Smoke::tf_stack },	//112
    { "Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref },	//113
    { "Soprano::Error::ParserError*", 21, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Soprano::FilterModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Soprano::Inference::InferenceModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Soprano::Inference::Rule", 25, Smoke::t_class|Smoke::tf_stack },	//117
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Soprano::IteratorBackend<Soprano::Node>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//119
    { "Soprano::IteratorBackend<Soprano::Statement>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//120
    { "Soprano::LiteralValue", 27, Smoke::t_class|Smoke::tf_stack },	//121
    { "Soprano::Model*", 28, Smoke::t_class|Smoke::tf_ptr },	//122
    { "Soprano::Node", 29, Smoke::t_class|Smoke::tf_stack },	//123
    { "Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref },	//124
    { "Soprano::Node*", 29, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Soprano::Node::N3ParserFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Soprano::Node::Type", 29, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Soprano::NodeIterator", 30, Smoke::t_class|Smoke::tf_stack },	//128
    { "Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref },	//129
    { "Soprano::NodeIterator*", 30, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Soprano::Plugin*", 32, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Soprano::PluginManager*", 33, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Soprano::QueryResultIterator", 34, Smoke::t_class|Smoke::tf_stack },	//135
    { "Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref },	//136
    { "Soprano::QueryResultIterator*", 34, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Soprano::QueryResultIteratorBackend*", 35, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Soprano::RdfSchemaModel*", 36, Smoke::t_class|Smoke::tf_ptr },	//139
    { "Soprano::RdfSerialization", 13, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Soprano::Statement", 38, Smoke::t_class|Smoke::tf_stack },	//142
    { "Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref },	//143
    { "Soprano::Statement*", 38, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Soprano::StatementIterator", 39, Smoke::t_class|Smoke::tf_stack },	//145
    { "Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref },	//146
    { "Soprano::StatementIterator*", 39, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Soprano::StorageModel*", 40, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Soprano::Util::AsyncModel*", 41, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Soprano::Util::AsyncModel::AsyncModelMode", 41, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Soprano::Util::AsyncQuery*", 42, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Soprano::Util::AsyncResult*", 43, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Soprano::Util::ReadOnlyModel*", 44, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Soprano::Util::SignalCacheModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref },	//155
    { "Soprano::Util::SimpleNodeIterator*", 46, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref },	//157
    { "Soprano::Util::SimpleStatementIterator*", 47, Smoke::t_class|Smoke::tf_ptr },	//158
    { "__codecvt_result", 5, Smoke::t_enum|Smoke::tf_stack },	//159
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//160
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const QList<Soprano::Inference::Rule>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const QList<Soprano::Node>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QList<Soprano::Statement>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//166
    { "const QRegExp&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//168
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//171
    { "const QUrl&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const QVariant&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Soprano::Backend&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Soprano::Backend*", 14, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//175
    { "const Soprano::BackendSetting&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Soprano::Error::Error&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Soprano::Error::ErrorCache&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Soprano::Error::Locator&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Soprano::Error::ParserError&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Soprano::Graph&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Soprano::Inference::Rule&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Soprano::LanguageTag&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Soprano::LiteralValue&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Soprano::Node&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Soprano::NodeIterator&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Soprano::Parser&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Soprano::Parser*", 31, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//188
    { "const Soprano::Plugin&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Soprano::QueryResultIterator&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const Soprano::Serializer&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const Soprano::Serializer*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//192
    { "const Soprano::Statement&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Soprano::StatementIterator&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Soprano::Util::SimpleNodeIterator&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Soprano::Util::SimpleStatementIterator&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//197
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//198
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//200
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//201
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 0,	//1  QEvent*
    17, 4, 0,	//3  QObject*, QEvent*
    23, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    197, 0,	//10  const char*
    161, 0,	//12  const QList<Soprano::BackendSetting>&
    175, 0,	//14  const Soprano::Backend*
    161, 100, 169, 0,	//16  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    161, 100, 0,	//20  const QList<Soprano::BackendSetting>&, Soprano::BackendOption
    9, 100, 169, 0,	//23  QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&
    9, 100, 0,	//27  QList<Soprano::BackendSetting>&, Soprano::BackendOption
    3, 181, 0,	//30  QDebug, const Soprano::Graph&
    185, 0,	//33  const Soprano::Node&
    169, 0,	//35  const QString&
    184, 0,	//37  const Soprano::LiteralValue&
    193, 0,	//39  const Soprano::Statement&
    161, 169, 173, 0,	//41  const QList<Soprano::BackendSetting>&, const QString&, const QVariant&
    161, 169, 0,	//45  const QList<Soprano::BackendSetting>&, const QString&
    183, 0,	//48  const Soprano::LanguageTag&
    161, 100, 173, 0,	//50  const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&
    5, 170, 0,	//54  QFlags<Soprano::BackendFeature>, const QStringList&
    5, 0,	//57  QFlags<Soprano::BackendFeature>
    140, 169, 0,	//59  Soprano::RdfSerialization, const QString&
    140, 0,	//62  Soprano::RdfSerialization
    9, 169, 0,	//64  QList<Soprano::BackendSetting>&, const QString&
    174, 0,	//67  const Soprano::Backend&
    100, 0,	//69  Soprano::BackendOption
    100, 173, 0,	//71  Soprano::BackendOption, const QVariant&
    169, 173, 0,	//74  const QString&, const QVariant&
    176, 0,	//77  const Soprano::BackendSetting&
    173, 0,	//79  const QVariant&
    169, 198, 0,	//81  const QString&, int
    177, 0,	//84  const Soprano::Error::Error&
    110, 0,	//86  Soprano::Error::ErrorData*
    178, 0,	//88  const Soprano::Error::ErrorCache&
    179, 169, 198, 0,	//90  const Soprano::Error::Locator&, const QString&, int
    180, 0,	//94  const Soprano::Error::ParserError&
    179, 0,	//96  const Soprano::Error::Locator&
    179, 169, 0,	//98  const Soprano::Error::Locator&, const QString&
    197, 197, 0,	//101  const char*, const char*
    197, 197, 198, 0,	//104  const char*, const char*, int
    16, 198, 201, 0,	//108  QMetaObject::Call, int, void**
    122, 0,	//112  Soprano::Model*
    185, 185, 185, 185, 0,	//114  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    169, 134, 169, 0,	//119  const QString&, Soprano::Query::QueryLanguage, const QString&
    22, 0,	//123  QTextStream&
    185, 185, 185, 0,	//125  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    169, 134, 0,	//129  const QString&, Soprano::Query::QueryLanguage
    182, 0,	//132  const Soprano::Inference::Rule&
    162, 0,	//134  const QList<Soprano::Inference::Rule>&
    160, 0,	//136  bool
    164, 0,	//138  const QList<Soprano::Statement>&
    172, 0,	//140  const QUrl&
    184, 169, 0,	//142  const Soprano::LiteralValue&, const QString&
    169, 6, 0,	//145  const QString&, QFlags<Soprano::Node::N3ParserFlag>
    22, 6, 0,	//148  QTextStream&, QFlags<Soprano::Node::N3ParserFlag>
    119, 0,	//151  Soprano::IteratorBackend<Soprano::Node>*
    186, 0,	//153  const Soprano::NodeIterator&
    169, 172, 140, 169, 0,	//155  const QString&, const QUrl&, Soprano::RdfSerialization, const QString&
    22, 172, 140, 169, 0,	//160  QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&
    187, 0,	//165  const Soprano::Parser&
    169, 172, 140, 0,	//167  const QString&, const QUrl&, Soprano::RdfSerialization
    22, 172, 140, 0,	//171  QTextStream&, const QUrl&, Soprano::RdfSerialization
    189, 0,	//175  const Soprano::Plugin&
    170, 160, 0,	//177  const QStringList&, bool
    170, 0,	//180  const QStringList&
    190, 0,	//182  const Soprano::QueryResultIterator&
    138, 0,	//184  Soprano::QueryResultIteratorBackend*
    198, 0,	//186  int
    168, 0,	//188  const QString
    169, 169, 169, 169, 193, 0,	//190  const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&
    169, 169, 169, 0,	//196  const QString&, const QString&, const QString&
    169, 169, 169, 169, 0,	//200  const QString&, const QString&, const QString&, const QString&
    185, 185, 0,	//205  const Soprano::Node&, const Soprano::Node&
    145, 22, 140, 169, 0,	//208  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&
    169, 172, 0,	//213  const QString&, const QUrl&
    191, 0,	//216  const Soprano::Serializer&
    145, 22, 140, 0,	//218  Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization
    120, 0,	//222  Soprano::IteratorBackend<Soprano::Statement>*
    194, 0,	//224  const Soprano::StatementIterator&
    150, 0,	//226  Soprano::Util::AsyncModel::AsyncModelMode
    151, 0,	//228  Soprano::Util::AsyncQuery*
    122, 169, 134, 169, 0,	//230  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&
    122, 169, 134, 0,	//235  Soprano::Model*, const QString&, Soprano::Query::QueryLanguage
    152, 0,	//239  Soprano::Util::AsyncResult*
    173, 177, 0,	//241  const QVariant&, const Soprano::Error::Error&
    163, 0,	//244  const QList<Soprano::Node>&
    195, 0,	//246  const Soprano::Util::SimpleNodeIterator&
    196, 0,	//248  const Soprano::Util::SimpleStatementIterator&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Agent",	//1
    "AllDifferent",	//2
    "Alt",	//3
    "Annotation",	//4
    "AnnotationProperty",	//5
    "Archive",	//6
    "ArchivedFile",	//7
    "AsymmetricProperty",	//8
    "AsyncModel",	//9
    "AsyncModel#",	//10
    "Audio",	//11
    "AudioList",	//12
    "Backend",	//13
    "Backend#",	//14
    "Backend$",	//15
    "BackendFeatureAddStatement",	//16
    "BackendFeatureAll",	//17
    "BackendFeatureContext",	//18
    "BackendFeatureInference",	//19
    "BackendFeatureInferenceOptional",	//20
    "BackendFeatureListStatements",	//21
    "BackendFeatureNone",	//22
    "BackendFeatureQuery",	//23
    "BackendFeatureRemoveStatements",	//24
    "BackendFeatureStorageMemory",	//25
    "BackendFeatureUser",	//26
    "BackendOptionEnableInference",	//27
    "BackendOptionHost",	//28
    "BackendOptionNone",	//29
    "BackendOptionPassword",	//30
    "BackendOptionPort",	//31
    "BackendOptionStorageDir",	//32
    "BackendOptionStorageMemory",	//33
    "BackendOptionUser",	//34
    "BackendOptionUsername",	//35
    "BackendSetting",	//36
    "BackendSetting#",	//37
    "BackendSetting$",	//38
    "BackendSetting$#",	//39
    "Bag",	//40
    "BlankNode",	//41
    "BlockDevice",	//42
    "Bookmark",	//43
    "Class",	//44
    "CommunicationChannel",	//45
    "Configuration",	//46
    "Contact",	//47
    "ContactGroup",	//48
    "Container",	//49
    "ContainerMembershipProperty",	//50
    "Content",	//51
    "Data",	//52
    "DataObject",	//53
    "DataRange",	//54
    "Datatype",	//55
    "DatatypeProperty",	//56
    "DefaultGraph",	//57
    "DefiningProperty",	//58
    "DeletedFile",	//59
    "DeprecatedClass",	//60
    "DeprecatedProperty",	//61
    "DiscardableInstanceBase",	//62
    "Document",	//63
    "DocumentGraph",	//64
    "Documentation",	//65
    "Email",	//66
    "EmailAttachment",	//67
    "EmbeddedObject",	//68
    "EmptyNode",	//69
    "Error",	//70
    "Error#",	//71
    "Error$",	//72
    "Error$$",	//73
    "ErrorCache",	//74
    "ErrorCache#",	//75
    "ExternalViewSpecification",	//76
    "File",	//77
    "FileSystem",	//78
    "Filelike",	//79
    "FilterModel",	//80
    "FilterModel#",	//81
    "Folder",	//82
    "FreeDesktopIcon",	//83
    "FunctionalProperty",	//84
    "Graph",	//85
    "GraphMetadata",	//86
    "GraphView",	//87
    "IMAP4Message",	//88
    "IMMessage",	//89
    "IgnorePrefixes",	//90
    "Image",	//91
    "InferenceGraph",	//92
    "InferenceMetaData",	//93
    "InferenceModel",	//94
    "InferenceModel#",	//95
    "InstanceBase",	//96
    "InverseFunctionalProperty",	//97
    "KnowledgeBase",	//98
    "List",	//99
    "Literal",	//100
    "LiteralNode",	//101
    "MailingList",	//102
    "MailingListEmail",	//103
    "Media",	//104
    "MediaList",	//105
    "Message",	//106
    "MessageboxMessage",	//107
    "Model",	//108
    "MultiThreaded",	//109
    "Music",	//110
    "NewsGroup",	//111
    "NewsGroupEmail",	//112
    "NoFlags",	//113
    "Node",	//114
    "Node#",	//115
    "Node#$",	//116
    "Node$",	//117
    "NodeIterator",	//118
    "NodeIterator#",	//119
    "NodeIterator?",	//120
    "NonDefiningProperty",	//121
    "Nothing",	//122
    "ObjectProperty",	//123
    "OfflineMedia",	//124
    "Ontology",	//125
    "OntologyProperty",	//126
    "Organization",	//127
    "POP3Message",	//128
    "Parser",	//129
    "Parser#",	//130
    "Parser$",	//131
    "ParserError",	//132
    "ParserError#",	//133
    "ParserError#$",	//134
    "ParserError#$$",	//135
    "Party",	//136
    "Person",	//137
    "PersonalEmail",	//138
    "Photo",	//139
    "Plugin",	//140
    "Plugin#",	//141
    "Plugin$",	//142
    "Presentation",	//143
    "Project",	//144
    "Property",	//145
    "QueryResultIterator",	//146
    "QueryResultIterator#",	//147
    "RSSFeed",	//148
    "RSSMessage",	//149
    "RdfSchemaModel",	//150
    "RdfSchemaModel#",	//151
    "ReadOnlyModel",	//152
    "ReadOnlyModel#",	//153
    "ReflexiveProperty",	//154
    "RemoteFile",	//155
    "RemoteMessageboxMessage",	//156
    "RemoteResource",	//157
    "Resource",	//158
    "ResourceNode",	//159
    "Restriction",	//160
    "RevisionControlledFile",	//161
    "RevisionControlledRepository",	//162
    "RuleViewSpecification",	//163
    "Schema",	//164
    "Semantics",	//165
    "Seq",	//166
    "SerializationN3",	//167
    "SerializationNQuads",	//168
    "SerializationNTriples",	//169
    "SerializationRdfXml",	//170
    "SerializationTrig",	//171
    "SerializationTurtle",	//172
    "SerializationUnknown",	//173
    "SerializationUser",	//174
    "Serializer",	//175
    "Serializer#",	//176
    "Serializer$",	//177
    "SignalCacheModel",	//178
    "SignalCacheModel#",	//179
    "SimpleNodeIterator",	//180
    "SimpleNodeIterator#",	//181
    "SimpleNodeIterator?",	//182
    "SimpleStatementIterator",	//183
    "SimpleStatementIterator#",	//184
    "SimpleStatementIterator?",	//185
    "SingleThreaded",	//186
    "SoftwarePackage",	//187
    "Source",	//188
    "SourceCode",	//189
    "Spreadsheet",	//190
    "Statement",	//191
    "Statement#",	//192
    "Statement###",	//193
    "Statement####",	//194
    "StatementIterator",	//195
    "StatementIterator#",	//196
    "StatementIterator?",	//197
    "StorageModel",	//198
    "StorageModel#",	//199
    "StrictLiteralTypes",	//200
    "StrictUris",	//201
    "Symbol",	//202
    "SymmetricProperty",	//203
    "SystemResource",	//204
    "Tag",	//205
    "Text",	//206
    "TextDocument",	//207
    "Thing",	//208
    "TransitiveProperty",	//209
    "UncategorizedText",	//210
    "Video",	//211
    "ViewSpecification",	//212
    "Visual",	//213
    "XML",	//214
    "XMLLiteral",	//215
    "__codecvt_error",	//216
    "__codecvt_noconv",	//217
    "__codecvt_ok",	//218
    "__codecvt_partial",	//219
    "acl",	//220
    "addPrefix",	//221
    "addPrefix$#",	//222
    "addRule",	//223
    "addRule#",	//224
    "addStatement",	//225
    "addStatement#",	//226
    "addStatement###",	//227
    "addStatement####",	//228
    "addStatementAsync",	//229
    "addStatementAsync#",	//230
    "addStatementAsync###",	//231
    "addStatementAsync####",	//232
    "addStatements",	//233
    "addStatements?",	//234
    "addStatementsAsync",	//235
    "addStatementsAsync?",	//236
    "album",	//237
    "albumArtist",	//238
    "albumGain",	//239
    "albumPeakGain",	//240
    "albumTrackCount",	//241
    "allBackends",	//242
    "allBindings",	//243
    "allNodes",	//244
    "allParsers",	//245
    "allSerializers",	//246
    "allStatements",	//247
    "allValuesFrom",	//248
    "altLabel",	//249
    "altSymbol",	//250
    "annotation",	//251
    "aperture",	//252
    "artist",	//253
    "asText",	//254
    "aspectRatio",	//255
    "attachmentEncoding",	//256
    "audioBPM",	//257
    "audioBitrate",	//258
    "audioChannels",	//259
    "audioCodec",	//260
    "audioCodecType",	//261
    "audioSampleBitDepth",	//262
    "audioSampleCount",	//263
    "audioSampleDataType",	//264
    "audioSampleRate",	//265
    "author",	//266
    "autoRating",	//267
    "backend",	//268
    "backwardCompatibleWith",	//269
    "base64Binary",	//270
    "baseRevisionID",	//271
    "bcc",	//272
    "binding",	//273
    "binding$",	//274
    "bindingCount",	//275
    "bindingNames",	//276
    "birthDate",	//277
    "blankToN3",	//278
    "blankToN3$",	//279
    "blogContactURL",	//280
    "boolValue",	//281
    "boolean",	//282
    "cacheTime",	//283
    "cameraManufacturer",	//284
    "cameraModel",	//285
    "cardinality",	//286
    "cc",	//287
    "ccdWidth",	//288
    "cellPhoneNumber",	//289
    "changeCommitTime",	//290
    "changeCommitter",	//291
    "characterCount",	//292
    "charset",	//293
    "chatRoom",	//294
    "childEvent",	//295
    "classes",	//296
    "clearError",	//297
    "clearInference",	//298
    "clearPrefixes",	//299
    "close",	//300
    "code",	//301
    "colorCount",	//302
    "colorSpace",	//303
    "columnCount",	//304
    "comment",	//305
    "commentCharacterCount",	//306
    "commitDiff",	//307
    "communicationChannel",	//308
    "complementOf",	//309
    "composer",	//310
    "compressionAlgorithm",	//311
    "compressionLevel",	//312
    "conflicts",	//313
    "connectNotify",	//314
    "contactMedium",	//315
    "contactNick",	//316
    "contactURL",	//317
    "contains",	//318
    "containsAnyStatement",	//319
    "containsAnyStatement#",	//320
    "containsAnyStatement###",	//321
    "containsAnyStatement####",	//322
    "containsAnyStatementAsync",	//323
    "containsAnyStatementAsync#",	//324
    "containsAnyStatementAsync###",	//325
    "containsAnyStatementAsync####",	//326
    "containsContext",	//327
    "containsContext#",	//328
    "containsStatement",	//329
    "containsStatement#",	//330
    "containsStatement###",	//331
    "containsStatement####",	//332
    "containsStatementAsync",	//333
    "containsStatementAsync#",	//334
    "containsStatementAsync###",	//335
    "containsStatementAsync####",	//336
    "contentComment",	//337
    "contentCreated",	//338
    "contentKeyword",	//339
    "contentModified",	//340
    "contentType",	//341
    "context",	//342
    "contributor",	//343
    "copyright",	//344
    "coreGraphMetadataFor",	//345
    "createBlankNode",	//346
    "createBlankNode$",	//347
    "createBlankNodeAsync",	//348
    "createEmptyNode",	//349
    "createLiteralNode",	//350
    "createLiteralNode#",	//351
    "createLiteralNode#$",	//352
    "createModel",	//353
    "createModel?",	//354
    "createResourceNode",	//355
    "createResourceNode#",	//356
    "createResult",	//357
    "created",	//358
    "creator",	//359
    "currentBindings",	//360
    "currentStatement",	//361
    "customEvent",	//362
    "dataType",	//363
    "date",	//364
    "dateTime",	//365
    "decimal",	//366
    "definesClass",	//367
    "definesFunction",	//368
    "definesGlobalVariable",	//369
    "deleteModelData",	//370
    "deleteModelData?",	//371
    "deletionTime",	//372
    "depends",	//373
    "deprecated",	//374
    "derivedFrom",	//375
    "description",	//376
    "differentFrom",	//377
    "directSubClassOf",	//378
    "directSubClassOf#",	//379
    "directSubClassOf##",	//380
    "directSubPropertyOf",	//381
    "directSubPropertyOf#",	//382
    "directSubPropertyOf##",	//383
    "directType",	//384
    "directType##",	//385
    "discNumber",	//386
    "disclaimer",	//387
    "disconnectNotify",	//388
    "discoverBackendByFeatures",	//389
    "discoverBackendByFeatures$",	//390
    "discoverBackendByFeatures$?",	//391
    "discoverBackendByName",	//392
    "discoverBackendByName$",	//393
    "discoverParserByName",	//394
    "discoverParserByName$",	//395
    "discoverParserForSerialization",	//396
    "discoverParserForSerialization$",	//397
    "discoverParserForSerialization$$",	//398
    "discoverSerializerByName",	//399
    "discoverSerializerByName$",	//400
    "discoverSerializerForSerialization",	//401
    "discoverSerializerForSerialization$",	//402
    "discoverSerializerForSerialization$$",	//403
    "disjointWith",	//404
    "distinctMembers",	//405
    "documentCategory",	//406
    "domain",	//407
    "domain##",	//408
    "emailAddress",	//409
    "engineeringTool",	//410
    "equivalentClass",	//411
    "equivalentGraph",	//412
    "equivalentProperty",	//413
    "errorCode",	//414
    "event",	//415
    "eventFilter",	//416
    "executeQuery",	//417
    "executeQuery#$$",	//418
    "executeQuery#$$$",	//419
    "executeQuery$$",	//420
    "executeQuery$$$",	//421
    "executeQueryAsync",	//422
    "executeQueryAsync$$",	//423
    "executeQueryAsync$$$",	//424
    "exposureBias",	//425
    "exposureProgram",	//426
    "exposureTime",	//427
    "externalRealizer",	//428
    "familyName",	//429
    "faxPhoneNumber",	//430
    "fileExtension",	//431
    "fileSystemType",	//432
    "fingerprint",	//433
    "finished",	//434
    "finished#",	//435
    "first",	//436
    "firstUsed",	//437
    "flashUsed",	//438
    "focalLength",	//439
    "focusDistance",	//440
    "formatSubtype",	//441
    "frameCount",	//442
    "frameRate",	//443
    "freeSpace",	//444
    "fromN3",	//445
    "fromN3$",	//446
    "fromN3$$",	//447
    "fromN3Stream",	//448
    "fromN3Stream#",	//449
    "fromN3Stream#$",	//450
    "gender",	//451
    "generator",	//452
    "generatorOptions",	//453
    "genre",	//454
    "givenName",	//455
    "graphMetadataFor",	//456
    "group",	//457
    "hasDefaultNamespace",	//458
    "hasDefaultNamespaceAbbreviation",	//459
    "hasSemantics",	//460
    "hasSpecification",	//461
    "hasSubResource",	//462
    "hasSuperResource",	//463
    "hasSymbol",	//464
    "hasTag",	//465
    "hasTopic",	//466
    "hasValue",	//467
    "height",	//468
    "homeEmailAddress",	//469
    "homePhoneNumber",	//470
    "homePostalAddress",	//471
    "homepageContactURL",	//472
    "honorificPrefix",	//473
    "honorificSuffix",	//474
    "horizontalResolution",	//475
    "iconName",	//476
    "id",	//477
    "identifier",	//478
    "imContactMedium",	//479
    "imports",	//480
    "inReplyTo",	//481
    "incompatibleWith",	//482
    "instance",	//483
    "integer",	//484
    "interest",	//485
    "interlaceMode",	//486
    "intersectionOf",	//487
    "inverseOf",	//488
    "inverseProperty",	//489
    "ircContactMedium",	//490
    "isAvailable",	//491
    "isBinding",	//492
    "isBlank",	//493
    "isBool",	//494
    "isClass",	//495
    "isClass#",	//496
    "isContentEncrypted",	//497
    "isDataGraphFor",	//498
    "isDefinedBy",	//499
    "isDirectSubClassOf",	//500
    "isDirectSubClassOf##",	//501
    "isDirectSubPropertyOf",	//502
    "isDirectSubPropertyOf##",	//503
    "isDirectType",	//504
    "isDirectType##",	//505
    "isEmpty",	//506
    "isEmptyAsync",	//507
    "isEncrypted",	//508
    "isGraph",	//509
    "isImportant",	//510
    "isInProgress",	//511
    "isLiteral",	//512
    "isOptionInSettings",	//513
    "isOptionInSettings?$",	//514
    "isOptionInSettings?$$",	//515
    "isParserError",	//516
    "isProperty",	//517
    "isProperty#",	//518
    "isPublicChannel",	//519
    "isRead",	//520
    "isRelated",	//521
    "isResource",	//522
    "isSourceEncrypted",	//523
    "isSubClassOf",	//524
    "isSubClassOf##",	//525
    "isSubPropertyOf",	//526
    "isSubPropertyOf##",	//527
    "isTagFor",	//528
    "isTopicOf",	//529
    "isType",	//530
    "isType##",	//531
    "isValid",	//532
    "isoEquivalent",	//533
    "iterateBindings",	//534
    "iterateBindings$",	//535
    "iterateContexts",	//536
    "iterateObjects",	//537
    "iteratePredicates",	//538
    "iterateStatements",	//539
    "iterateStatementsFromBindings",	//540
    "iterateStatementsFromBindings$$$",	//541
    "iterateStatementsFromBindings$$$$",	//542
    "iterateStatementsFromBindings$$$$#",	//543
    "iterateSubjects",	//544
    "jabberContactMedium",	//545
    "keyword",	//546
    "knows",	//547
    "label",	//548
    "language",	//549
    "lastError",	//550
    "lastModified",	//551
    "lastRefreshed",	//552
    "lastUsed",	//553
    "legal",	//554
    "license",	//555
    "licenseType",	//556
    "lineCount",	//557
    "links",	//558
    "listContexts",	//559
    "listContextsAsync",	//560
    "listStatements",	//561
    "listStatements#",	//562
    "listStatements###",	//563
    "listStatements####",	//564
    "listStatementsAsync",	//565
    "listStatementsAsync#",	//566
    "listStatementsAsync###",	//567
    "listStatementsAsync####",	//568
    "listStatementsInContext",	//569
    "listStatementsInContext#",	//570
    "literal",	//571
    "literalToN3",	//572
    "literalToN3#",	//573
    "loadCustomBackend",	//574
    "loadCustomBackend$",	//575
    "loadCustomParser",	//576
    "loadCustomParser$",	//577
    "loadCustomPlugin",	//578
    "loadCustomPlugin$",	//579
    "loadCustomSerializer",	//580
    "loadCustomSerializer$",	//581
    "localRevision",	//582
    "locator",	//583
    "lyricist",	//584
    "mailingList",	//585
    "mailingPostalAddress",	//586
    "maintainedBy",	//587
    "maintainer",	//588
    "markupCharacterCount",	//589
    "matches",	//590
    "matches#",	//591
    "maxCardinality",	//592
    "md5Hash",	//593
    "mediaBitrate",	//594
    "mediaCodec",	//595
    "mediaCodecType",	//596
    "mediaDuration",	//597
    "member",	//598
    "mergeConflict",	//599
    "message",	//600
    "metaObject",	//601
    "meteringMode",	//602
    "mimeType",	//603
    "mimeTypeToSerialization",	//604
    "mimeTypeToSerialization$",	//605
    "minCardinality",	//606
    "mode",	//607
    "modified",	//608
    "mountPoint",	//609
    "name",	//610
    "naoNamespace",	//611
    "negativeInteger",	//612
    "newsGroup",	//613
    "next",	//614
    "nextReady",	//615
    "nextReady#",	//616
    "nil",	//617
    "node",	//618
    "nodeIterator",	//619
    "nonNegativeInteger",	//620
    "nrlNamespace",	//621
    "numericRating",	//622
    "object",	//623
    "occupiedSpace",	//624
    "onProperty",	//625
    "oneOf",	//626
    "operator bool",	//627
    "operator!=",	//628
    "operator!=#",	//629
    "operator<<",	//630
    "operator<<##",	//631
    "operator=",	//632
    "operator=#",	//633
    "operator==",	//634
    "operator==#",	//635
    "operator=?",	//636
    "operator[]",	//637
    "operator[]$",	//638
    "option",	//639
    "orientation",	//640
    "originURL",	//641
    "originalLocation",	//642
    "otherName",	//643
    "owlNamespace",	//644
    "owner",	//645
    "pageCount",	//646
    "paragraphCount",	//647
    "parentModel",	//648
    "parentStatementAdded",	//649
    "parentStatementAdded#",	//650
    "parentStatementRemoved",	//651
    "parentStatementRemoved#",	//652
    "parentStatementsAdded",	//653
    "parentStatementsRemoved",	//654
    "parseFile",	//655
    "parseFile$#$",	//656
    "parseFile$#$$",	//657
    "parseStream",	//658
    "parseStream##$",	//659
    "parseStream##$$",	//660
    "parseString",	//661
    "parseString$#$",	//662
    "parseString$#$$",	//663
    "performInference",	//664
    "performer",	//665
    "permissions",	//666
    "personPhoto",	//667
    "personalIdentifier",	//668
    "phoneNumber",	//669
    "pixelDataBitDepth",	//670
    "pixelDataType",	//671
    "pluginName",	//672
    "pluralPrefLabel",	//673
    "postalAddress",	//674
    "predicate",	//675
    "prefLabel",	//676
    "prefSymbol",	//677
    "prefixes",	//678
    "primaryRecipient",	//679
    "priorVersion",	//680
    "programmingLanguage",	//681
    "properties",	//682
    "qHash",	//683
    "qHash#",	//684
    "qt_metacall",	//685
    "qt_metacall$$?",	//686
    "qt_metacast",	//687
    "qt_metacast$",	//688
    "queryResultIterator",	//689
    "range",	//690
    "range##",	//691
    "rating",	//692
    "rdfNamespace",	//693
    "rdfsNamespace",	//694
    "realizes",	//695
    "receptionTime",	//696
    "recipient",	//697
    "related",	//698
    "remotePassword",	//699
    "remotePort",	//700
    "remoteServer",	//701
    "remoteUser",	//702
    "removeAllStatements",	//703
    "removeAllStatements#",	//704
    "removeAllStatements###",	//705
    "removeAllStatements####",	//706
    "removeAllStatementsAsync",	//707
    "removeAllStatementsAsync#",	//708
    "removeAllStatementsAsync###",	//709
    "removeAllStatementsAsync####",	//710
    "removeContext",	//711
    "removeContext#",	//712
    "removeStatement",	//713
    "removeStatement#",	//714
    "removeStatement###",	//715
    "removeStatement####",	//716
    "removeStatementAsync",	//717
    "removeStatementAsync#",	//718
    "removeStatementAsync###",	//719
    "removeStatementAsync####",	//720
    "removeStatements",	//721
    "removeStatements?",	//722
    "removeStatementsAsync",	//723
    "removeStatementsAsync?",	//724
    "replyTo",	//725
    "resourceToN3",	//726
    "resourceToN3#",	//727
    "rest",	//728
    "resultReady",	//729
    "resultReady#",	//730
    "rowCount",	//731
    "rssFeed",	//732
    "rule",	//733
    "ruleLanguage",	//734
    "sameAs",	//735
    "sampleConfiguration",	//736
    "sampleDataBitDepth",	//737
    "sampleDataType",	//738
    "score",	//739
    "scoreParameter",	//740
    "secondaryRecipient",	//741
    "seeAlso",	//742
    "seenAttachedAs",	//743
    "semanticsDefinedBy",	//744
    "serializationLanguage",	//745
    "serializationMimeType",	//746
    "serializationMimeType$",	//747
    "serializationMimeType$$",	//748
    "serialize",	//749
    "serialize##$",	//750
    "serialize##$$",	//751
    "setCacheTime",	//752
    "setCacheTime$",	//753
    "setCompressedSourceStatements",	//754
    "setCompressedSourceStatements$",	//755
    "setContext",	//756
    "setContext#",	//757
    "setCount",	//758
    "setError",	//759
    "setError#",	//760
    "setError$",	//761
    "setError$$",	//762
    "setMode",	//763
    "setMode$",	//764
    "setObject",	//765
    "setObject#",	//766
    "setOptimizedQueriesEnabled",	//767
    "setOptimizedQueriesEnabled$",	//768
    "setParentModel",	//769
    "setParentModel#",	//770
    "setPluginSearchPath",	//771
    "setPluginSearchPath?",	//772
    "setPluginSearchPath?$",	//773
    "setPredicate",	//774
    "setPredicate#",	//775
    "setRate",	//776
    "setResult",	//777
    "setResult##",	//778
    "setRules",	//779
    "setRules?",	//780
    "setSubject",	//781
    "setSubject#",	//782
    "setUsedBackend",	//783
    "setUsedBackend#",	//784
    "setValue",	//785
    "setValue#",	//786
    "settingInSettings",	//787
    "settingInSettings?",	//788
    "settingInSettings?$",	//789
    "settingInSettings?$$",	//790
    "sha1Hash",	//791
    "silNamespace",	//792
    "size",	//793
    "someValuesFrom",	//794
    "sourceCreated",	//795
    "sourceModified",	//796
    "sourceStatement",	//797
    "statementAdded",	//798
    "statementAdded#",	//799
    "statementCount",	//800
    "statementCountAsync",	//801
    "statementIterator",	//802
    "statementRemoved",	//803
    "statementRemoved#",	//804
    "statementsAdded",	//805
    "statementsRemoved",	//806
    "staticMetaObject",	//807
    "status",	//808
    "storageSize",	//809
    "string",	//810
    "subClassOf",	//811
    "subClassOf#",	//812
    "subClassOf##",	//813
    "subGraphOf",	//814
    "subPropertyOf",	//815
    "subPropertyOf#",	//816
    "subPropertyOf##",	//817
    "subject",	//818
    "summary",	//819
    "superGraphOf",	//820
    "supercedes",	//821
    "supportedFeatures",	//822
    "supportedSerializations",	//823
    "supportedUserFeatures",	//824
    "supportedUserSerializations",	//825
    "supportsFeatures",	//826
    "supportsFeatures$",	//827
    "supportsFeatures$?",	//828
    "supportsSerialization",	//829
    "supportsSerialization$",	//830
    "supportsSerialization$$",	//831
    "targetQuality",	//832
    "time",	//833
    "timerEvent",	//834
    "timerEvent#",	//835
    "title",	//836
    "to",	//837
    "toN3",	//838
    "toParserError",	//839
    "toString",	//840
    "totalSpace",	//841
    "totalUncompressedSize",	//842
    "tr",	//843
    "tr$",	//844
    "tr$$",	//845
    "tr$$$",	//846
    "trUtf8",	//847
    "trUtf8$",	//848
    "trUtf8$$",	//849
    "trUtf8$$$",	//850
    "trackGain",	//851
    "trackNumber",	//852
    "trackPeakGain",	//853
    "type",	//854
    "type##",	//855
    "unionOf",	//856
    "unsignedInt",	//857
    "unsignedLong",	//858
    "unsignedShort",	//859
    "updatable",	//860
    "uri",	//861
    "url",	//862
    "useCount",	//863
    "usedBackend",	//864
    "userComment",	//865
    "userKeyword",	//866
    "userOptionName",	//867
    "userRating",	//868
    "userVisible",	//869
    "usesNamespace",	//870
    "value",	//871
    "valueInSettings",	//872
    "valueInSettings?$",	//873
    "valueInSettings?$#",	//874
    "valueInSettings?$$",	//875
    "valueInSettingsWithDefault",	//876
    "valueInSettingsWithDefault?$#",	//877
    "version",	//878
    "versionInfo",	//879
    "versionMajor",	//880
    "versionMinor",	//881
    "versionRelease",	//882
    "versionString",	//883
    "verticalResolution",	//884
    "videoBitrate",	//885
    "videoCodec",	//886
    "videoCodecType",	//887
    "viewOn",	//888
    "whiteBalance",	//889
    "width",	//890
    "wordCount",	//891
    "workEmailAddress",	//892
    "workPhoneNumber",	//893
    "workPostalAddress",	//894
    "write",	//895
    "write#",	//896
    "xesam35mmEquivalent",	//897
    "xesamNamespace",	//898
    "xsdDouble",	//899
    "xsdFloat",	//900
    "xsdInt",	//901
    "xsdLong",	//902
    "xsdNamespace",	//903
    "xsdShort",	//904
    "~AsyncModel",	//905
    "~AsyncQuery",	//906
    "~AsyncResult",	//907
    "~Backend",	//908
    "~BackendSetting",	//909
    "~Error",	//910
    "~ErrorCache",	//911
    "~FilterModel",	//912
    "~InferenceModel",	//913
    "~Model",	//914
    "~Node",	//915
    "~NodeIterator",	//916
    "~Parser",	//917
    "~ParserError",	//918
    "~Plugin",	//919
    "~PluginManager",	//920
    "~QueryResultIterator",	//921
    "~RdfSchemaModel",	//922
    "~ReadOnlyModel",	//923
    "~Serializer",	//924
    "~SignalCacheModel",	//925
    "~SimpleNodeIterator",	//926
    "~SimpleStatementIterator",	//927
    "~Statement",	//928
    "~StatementIterator",	//929
    "~StorageModel",	//930
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 1},	//1 QGlobalSpace::__codecvt_ok (enum)
    {5, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 2},	//2 QGlobalSpace::__codecvt_partial (enum)
    {5, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 3},	//3 QGlobalSpace::__codecvt_error (enum)
    {5, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 4},	//4 QGlobalSpace::__codecvt_noconv (enum)
    {7, 415, 1, 1, Smoke::mf_virtual, 160, 0},	//5 QObject::event(QEvent*)
    {7, 416, 3, 2, Smoke::mf_virtual, 160, 0},	//6 QObject::eventFilter(QObject*, QEvent*)
    {7, 834, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 QObject::timerEvent(QTimerEvent*)
    {7, 295, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 QObject::childEvent(QChildEvent*)
    {7, 362, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 QObject::customEvent(QEvent*)
    {7, 314, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 QObject::connectNotify(const char*)
    {7, 388, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 QObject::disconnectNotify(const char*)
    {13, 353, 12, 1, Smoke::mf_static, 122, 1},	//12 Soprano::createModel(const QList<Soprano::BackendSetting>&)
    {13, 353, 0, 0, Smoke::mf_static, 122, 2},	//13 Soprano::createModel()
    {13, 864, 0, 0, Smoke::mf_static, 175, 3},	//14 Soprano::usedBackend()
    {13, 783, 14, 1, Smoke::mf_static, 0, 4},	//15 Soprano::setUsedBackend(const Soprano::Backend*)
    {13, 872, 16, 3, Smoke::mf_static, 25, 5},	//16 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 872, 20, 2, Smoke::mf_static, 25, 6},	//17 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 787, 23, 3, Smoke::mf_static, 102, 7},	//18 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 787, 27, 2, Smoke::mf_static, 102, 8},	//19 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 630, 30, 2, Smoke::mf_static, 3, 9},	//20 Soprano::operator<<(QDebug, const Soprano::Graph&)
    {13, 513, 16, 3, Smoke::mf_static, 160, 10},	//21 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 513, 20, 2, Smoke::mf_static, 160, 11},	//22 Soprano::isOptionInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 683, 33, 1, Smoke::mf_static, 199, 12},	//23 Soprano::qHash(const Soprano::Node&)
    {13, 604, 35, 1, Smoke::mf_static, 140, 13},	//24 Soprano::mimeTypeToSerialization(const QString&)
    {13, 880, 0, 0, Smoke::mf_static, 199, 14},	//25 Soprano::versionMajor()
    {13, 683, 37, 1, Smoke::mf_static, 199, 15},	//26 Soprano::qHash(const Soprano::LiteralValue&)
    {13, 683, 39, 1, Smoke::mf_static, 199, 16},	//27 Soprano::qHash(const Soprano::Statement&)
    {13, 787, 16, 3, Smoke::mf_static, 101, 17},	//28 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    {13, 787, 20, 2, Smoke::mf_static, 101, 18},	//29 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    {13, 872, 41, 3, Smoke::mf_static, 25, 19},	//30 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&, const QVariant&)
    {13, 872, 45, 2, Smoke::mf_static, 25, 20},	//31 Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 883, 0, 0, Smoke::mf_static, 197, 21},	//32 Soprano::versionString()
    {13, 882, 0, 0, Smoke::mf_static, 199, 22},	//33 Soprano::versionRelease()
    {13, 787, 45, 2, Smoke::mf_static, 101, 23},	//34 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    {13, 787, 12, 1, Smoke::mf_static, 101, 24},	//35 Soprano::settingInSettings(const QList<Soprano::BackendSetting>&)
    {13, 683, 48, 1, Smoke::mf_static, 199, 25},	//36 Soprano::qHash(const Soprano::LanguageTag&)
    {13, 876, 50, 3, Smoke::mf_static, 25, 26},	//37 Soprano::valueInSettingsWithDefault(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QVariant&)
    {13, 389, 54, 2, Smoke::mf_static, 175, 27},	//38 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {13, 389, 57, 1, Smoke::mf_static, 175, 28},	//39 Soprano::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {13, 881, 0, 0, Smoke::mf_static, 199, 29},	//40 Soprano::versionMinor()
    {13, 746, 59, 2, Smoke::mf_static, 19, 30},	//41 Soprano::serializationMimeType(Soprano::RdfSerialization, const QString&)
    {13, 746, 62, 1, Smoke::mf_static, 19, 31},	//42 Soprano::serializationMimeType(Soprano::RdfSerialization)
    {13, 787, 64, 2, Smoke::mf_static, 102, 32},	//43 Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    {13, 392, 35, 1, Smoke::mf_static, 175, 33},	//44 Soprano::discoverBackendByName(const QString&)
    {13, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 34},	//45 Soprano::BackendFeatureNone (enum)
    {13, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 35},	//46 Soprano::BackendFeatureAddStatement (enum)
    {13, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 36},	//47 Soprano::BackendFeatureRemoveStatements (enum)
    {13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 37},	//48 Soprano::BackendFeatureListStatements (enum)
    {13, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 38},	//49 Soprano::BackendFeatureQuery (enum)
    {13, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 39},	//50 Soprano::BackendFeatureInference (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 40},	//51 Soprano::BackendFeatureInferenceOptional (enum)
    {13, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 41},	//52 Soprano::BackendFeatureContext (enum)
    {13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 42},	//53 Soprano::BackendFeatureStorageMemory (enum)
    {13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 43},	//54 Soprano::BackendFeatureAll (enum)
    {13, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 44},	//55 Soprano::BackendFeatureUser (enum)
    {13, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 45},	//56 Soprano::BackendOptionNone (enum)
    {13, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 46},	//57 Soprano::BackendOptionStorageMemory (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 47},	//58 Soprano::BackendOptionEnableInference (enum)
    {13, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 48},	//59 Soprano::BackendOptionStorageDir (enum)
    {13, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 49},	//60 Soprano::BackendOptionHost (enum)
    {13, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 50},	//61 Soprano::BackendOptionPort (enum)
    {13, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 51},	//62 Soprano::BackendOptionUsername (enum)
    {13, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 52},	//63 Soprano::BackendOptionPassword (enum)
    {13, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 53},	//64 Soprano::BackendOptionUser (enum)
    {13, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 54},	//65 Soprano::SerializationUnknown (enum)
    {13, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 55},	//66 Soprano::SerializationRdfXml (enum)
    {13, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 56},	//67 Soprano::SerializationN3 (enum)
    {13, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 57},	//68 Soprano::SerializationNTriples (enum)
    {13, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 58},	//69 Soprano::SerializationTurtle (enum)
    {13, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 59},	//70 Soprano::SerializationTrig (enum)
    {13, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 60},	//71 Soprano::SerializationNQuads (enum)
    {13, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 61},	//72 Soprano::SerializationUser (enum)
    {14, 13, 35, 1, Smoke::mf_ctor, 98, 1},	//73 Soprano::Backend::Backend(const QString&)
    {14, 353, 12, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 2},	//74 Soprano::Backend::createModel(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 370, 12, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 160, 3},	//75 Soprano::Backend::deleteModelData(const QList<Soprano::BackendSetting>&) const [pure virtual]
    {14, 822, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 5, 4},	//76 Soprano::Backend::supportedFeatures() const [pure virtual]
    {14, 824, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 5},	//77 Soprano::Backend::supportedUserFeatures() const
    {14, 826, 54, 2, Smoke::mf_const, 160, 6},	//78 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>, const QStringList&) const
    {14, 13, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 7},	//79 Soprano::Backend::Backend(const Soprano::Backend&)
    {14, 353, 0, 0, Smoke::mf_const, 148, 8},	//80 Soprano::Backend::createModel() const
    {14, 826, 57, 1, Smoke::mf_const, 160, 9},	//81 Soprano::Backend::supportsFeatures(QFlags<Soprano::BackendFeature>) const
    {14, 908, 0, 0, Smoke::mf_dtor, 0, 10 },	//82 Soprano::Backend::~Backend()
    {15, 36, 0, 0, Smoke::mf_ctor, 103, 1},	//83 Soprano::BackendSetting::BackendSetting()
    {15, 36, 69, 1, Smoke::mf_ctor, 103, 2},	//84 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption)
    {15, 36, 71, 2, Smoke::mf_ctor, 103, 3},	//85 Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    {15, 36, 74, 2, Smoke::mf_ctor, 103, 4},	//86 Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    {15, 36, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 5},	//87 Soprano::BackendSetting::BackendSetting(const Soprano::BackendSetting&)
    {15, 632, 77, 1, 0, 102, 6},	//88 Soprano::BackendSetting::operator=(const Soprano::BackendSetting&)
    {15, 639, 0, 0, Smoke::mf_const, 100, 7},	//89 Soprano::BackendSetting::option() const
    {15, 867, 0, 0, Smoke::mf_const, 19, 8},	//90 Soprano::BackendSetting::userOptionName() const
    {15, 871, 0, 0, Smoke::mf_const, 25, 9},	//91 Soprano::BackendSetting::value() const
    {15, 785, 79, 1, 0, 0, 10},	//92 Soprano::BackendSetting::setValue(const QVariant&)
    {15, 909, 0, 0, Smoke::mf_dtor, 0, 11 },	//93 Soprano::BackendSetting::~BackendSetting()
    {17, 70, 0, 0, Smoke::mf_ctor, 107, 1},	//94 Soprano::Error::Error::Error()
    {17, 70, 81, 2, Smoke::mf_ctor, 107, 2},	//95 Soprano::Error::Error::Error(const QString&, int)
    {17, 70, 84, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 3},	//96 Soprano::Error::Error::Error(const Soprano::Error::Error&)
    {17, 632, 84, 1, 0, 106, 4},	//97 Soprano::Error::Error::operator=(const Soprano::Error::Error&)
    {17, 627, 0, 0, Smoke::mf_const, 160, 5},	//98 Soprano::Error::Error::operator bool() const
    {17, 600, 0, 0, Smoke::mf_const, 19, 6},	//99 Soprano::Error::Error::message() const
    {17, 301, 0, 0, Smoke::mf_const, 198, 7},	//100 Soprano::Error::Error::code() const
    {17, 516, 0, 0, Smoke::mf_const, 160, 8},	//101 Soprano::Error::Error::isParserError() const
    {17, 839, 0, 0, Smoke::mf_const, 112, 9},	//102 Soprano::Error::Error::toParserError() const
    {17, 70, 86, 1, Smoke::mf_ctor|Smoke::mf_protected, 107, 10},	//103 Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    {17, 70, 35, 1, Smoke::mf_ctor, 107, 11},	//104 Soprano::Error::Error::Error(const QString&)
    {17, 910, 0, 0, Smoke::mf_dtor, 0, 12 },	//105 Soprano::Error::Error::~Error()
    {18, 550, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 105, 1},	//106 Soprano::Error::ErrorCache::lastError() const
    {18, 74, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 108, 2},	//107 Soprano::Error::ErrorCache::ErrorCache()
    {18, 297, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 3},	//108 Soprano::Error::ErrorCache::clearError() const
    {18, 759, 84, 1, Smoke::mf_const|Smoke::mf_protected, 0, 4},	//109 Soprano::Error::ErrorCache::setError(const Soprano::Error::Error&) const
    {18, 759, 81, 2, Smoke::mf_const|Smoke::mf_protected, 0, 5},	//110 Soprano::Error::ErrorCache::setError(const QString&, int) const
    {18, 74, 88, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 6},	//111 Soprano::Error::ErrorCache::ErrorCache(const Soprano::Error::ErrorCache&)
    {18, 759, 35, 1, Smoke::mf_const|Smoke::mf_protected, 0, 7},	//112 Soprano::Error::ErrorCache::setError(const QString&) const
    {18, 911, 0, 0, Smoke::mf_dtor, 0, 8 },	//113 Soprano::Error::ErrorCache::~ErrorCache()
    {21, 132, 0, 0, Smoke::mf_ctor, 114, 1},	//114 Soprano::Error::ParserError::ParserError()
    {21, 132, 90, 3, Smoke::mf_ctor, 114, 2},	//115 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&, int)
    {21, 132, 84, 1, Smoke::mf_ctor, 114, 3},	//116 Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    {21, 632, 84, 1, 0, 113, 4},	//117 Soprano::Error::ParserError::operator=(const Soprano::Error::Error&)
    {21, 583, 0, 0, Smoke::mf_const, 111, 5},	//118 Soprano::Error::ParserError::locator() const
    {21, 132, 94, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 114, 6},	//119 Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    {21, 132, 96, 1, Smoke::mf_ctor, 114, 7},	//120 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    {21, 132, 98, 2, Smoke::mf_ctor, 114, 8},	//121 Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&, const QString&)
    {21, 918, 0, 0, Smoke::mf_dtor, 0, 9 },	//122 Soprano::Error::ParserError::~ParserError()
    {22, 601, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 1},	//123 Soprano::FilterModel::metaObject() const
    {22, 687, 10, 1, Smoke::mf_virtual, 200, 2},	//124 Soprano::FilterModel::qt_metacast(const char*)
    {22, 843, 101, 2, Smoke::mf_static, 19, 3},	//125 Soprano::FilterModel::tr(const char*, const char*)
    {22, 847, 101, 2, Smoke::mf_static, 19, 4},	//126 Soprano::FilterModel::trUtf8(const char*, const char*)
    {22, 843, 104, 3, Smoke::mf_static, 19, 5},	//127 Soprano::FilterModel::tr(const char*, const char*, int)
    {22, 847, 104, 3, Smoke::mf_static, 19, 6},	//128 Soprano::FilterModel::trUtf8(const char*, const char*, int)
    {22, 685, 108, 3, Smoke::mf_virtual, 198, 7},	//129 Soprano::FilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 769, 112, 1, Smoke::mf_virtual, 0, 8},	//130 Soprano::FilterModel::setParentModel(Soprano::Model*)
    {22, 648, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 9},	//131 Soprano::FilterModel::parentModel() const
    {22, 225, 39, 1, Smoke::mf_virtual, 109, 10},	//132 Soprano::FilterModel::addStatement(const Soprano::Statement&)
    {22, 225, 114, 4, 0, 109, 11},	//133 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 713, 39, 1, Smoke::mf_virtual, 109, 12},	//134 Soprano::FilterModel::removeStatement(const Soprano::Statement&)
    {22, 713, 114, 4, 0, 109, 13},	//135 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 703, 39, 1, Smoke::mf_virtual, 109, 14},	//136 Soprano::FilterModel::removeAllStatements(const Soprano::Statement&)
    {22, 703, 114, 4, 0, 109, 15},	//137 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 561, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 145, 16},	//138 Soprano::FilterModel::listStatements(const Soprano::Statement&) const
    {22, 561, 114, 4, Smoke::mf_const, 145, 17},	//139 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 559, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 18},	//140 Soprano::FilterModel::listContexts() const
    {22, 417, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 135, 19},	//141 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {22, 329, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 20},	//142 Soprano::FilterModel::containsStatement(const Soprano::Statement&) const
    {22, 329, 114, 4, Smoke::mf_const, 160, 21},	//143 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 319, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 22},	//144 Soprano::FilterModel::containsAnyStatement(const Soprano::Statement&) const
    {22, 319, 114, 4, Smoke::mf_const, 160, 23},	//145 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 160, 24},	//146 Soprano::FilterModel::isEmpty() const
    {22, 800, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 25},	//147 Soprano::FilterModel::statementCount() const
    {22, 895, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 26},	//148 Soprano::FilterModel::write(QTextStream&) const
    {22, 346, 0, 0, Smoke::mf_virtual, 123, 27},	//149 Soprano::FilterModel::createBlankNode()
    {22, 703, 0, 0, 0, 109, 28},	//150 Soprano::FilterModel::removeAllStatements()
    {22, 561, 0, 0, Smoke::mf_const, 145, 29},	//151 Soprano::FilterModel::listStatements() const
    {22, 80, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 115, 30},	//152 Soprano::FilterModel::FilterModel()
    {22, 80, 112, 1, Smoke::mf_ctor|Smoke::mf_protected, 115, 31},	//153 Soprano::FilterModel::FilterModel(Soprano::Model*)
    {22, 653, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//154 Soprano::FilterModel::parentStatementsAdded()
    {22, 654, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//155 Soprano::FilterModel::parentStatementsRemoved()
    {22, 649, 39, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//156 Soprano::FilterModel::parentStatementAdded(const Soprano::Statement&)
    {22, 651, 39, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//157 Soprano::FilterModel::parentStatementRemoved(const Soprano::Statement&)
    {22, 843, 10, 1, Smoke::mf_static, 19, 36},	//158 Soprano::FilterModel::tr(const char*)
    {22, 847, 10, 1, Smoke::mf_static, 19, 37},	//159 Soprano::FilterModel::trUtf8(const char*)
    {22, 225, 125, 3, 0, 109, 38},	//160 Soprano::FilterModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 713, 125, 3, 0, 109, 39},	//161 Soprano::FilterModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 703, 125, 3, 0, 109, 40},	//162 Soprano::FilterModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {22, 561, 125, 3, Smoke::mf_const, 145, 41},	//163 Soprano::FilterModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 417, 129, 2, Smoke::mf_const, 135, 42},	//164 Soprano::FilterModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {22, 329, 125, 3, Smoke::mf_const, 160, 43},	//165 Soprano::FilterModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 319, 125, 3, Smoke::mf_const, 160, 44},	//166 Soprano::FilterModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {22, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 45},	//167 Soprano::FilterModel::staticMetaObject() const
    {22, 912, 0, 0, Smoke::mf_dtor, 0, 46 },	//168 Soprano::FilterModel::~FilterModel()
    {24, 601, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 1},	//169 Soprano::Inference::InferenceModel::metaObject() const
    {24, 687, 10, 1, Smoke::mf_virtual, 200, 2},	//170 Soprano::Inference::InferenceModel::qt_metacast(const char*)
    {24, 843, 101, 2, Smoke::mf_static, 19, 3},	//171 Soprano::Inference::InferenceModel::tr(const char*, const char*)
    {24, 847, 101, 2, Smoke::mf_static, 19, 4},	//172 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*)
    {24, 843, 104, 3, Smoke::mf_static, 19, 5},	//173 Soprano::Inference::InferenceModel::tr(const char*, const char*, int)
    {24, 847, 104, 3, Smoke::mf_static, 19, 6},	//174 Soprano::Inference::InferenceModel::trUtf8(const char*, const char*, int)
    {24, 685, 108, 3, Smoke::mf_virtual, 198, 7},	//175 Soprano::Inference::InferenceModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 94, 112, 1, Smoke::mf_ctor, 116, 8},	//176 Soprano::Inference::InferenceModel::InferenceModel(Soprano::Model*)
    {24, 225, 39, 1, Smoke::mf_virtual, 109, 9},	//177 Soprano::Inference::InferenceModel::addStatement(const Soprano::Statement&)
    {24, 713, 39, 1, Smoke::mf_virtual, 109, 10},	//178 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Statement&)
    {24, 703, 39, 1, Smoke::mf_virtual, 109, 11},	//179 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Statement&)
    {24, 223, 132, 1, 0, 0, 12},	//180 Soprano::Inference::InferenceModel::addRule(const Soprano::Inference::Rule&)
    {24, 779, 134, 1, 0, 0, 13},	//181 Soprano::Inference::InferenceModel::setRules(const QList<Soprano::Inference::Rule>&)
    {24, 225, 114, 4, 0, 109, 14},	//182 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 713, 114, 4, 0, 109, 15},	//183 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 703, 114, 4, 0, 109, 16},	//184 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 703, 0, 0, 0, 109, 17},	//185 Soprano::Inference::InferenceModel::removeAllStatements()
    {24, 664, 0, 0, Smoke::mf_slot, 0, 18},	//186 Soprano::Inference::InferenceModel::performInference()
    {24, 298, 0, 0, Smoke::mf_slot, 0, 19},	//187 Soprano::Inference::InferenceModel::clearInference()
    {24, 754, 136, 1, Smoke::mf_slot, 0, 20},	//188 Soprano::Inference::InferenceModel::setCompressedSourceStatements(bool)
    {24, 767, 136, 1, Smoke::mf_slot, 0, 21},	//189 Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled(bool)
    {24, 843, 10, 1, Smoke::mf_static, 19, 22},	//190 Soprano::Inference::InferenceModel::tr(const char*)
    {24, 847, 10, 1, Smoke::mf_static, 19, 23},	//191 Soprano::Inference::InferenceModel::trUtf8(const char*)
    {24, 225, 125, 3, 0, 109, 24},	//192 Soprano::Inference::InferenceModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 713, 125, 3, 0, 109, 25},	//193 Soprano::Inference::InferenceModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 703, 125, 3, 0, 109, 26},	//194 Soprano::Inference::InferenceModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {24, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 27},	//195 Soprano::Inference::InferenceModel::staticMetaObject() const
    {24, 913, 0, 0, Smoke::mf_dtor, 0, 28 },	//196 Soprano::Inference::InferenceModel::~InferenceModel()
    {28, 601, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 1},	//197 Soprano::Model::metaObject() const
    {28, 687, 10, 1, Smoke::mf_virtual, 200, 2},	//198 Soprano::Model::qt_metacast(const char*)
    {28, 843, 101, 2, Smoke::mf_static, 19, 3},	//199 Soprano::Model::tr(const char*, const char*)
    {28, 847, 101, 2, Smoke::mf_static, 19, 4},	//200 Soprano::Model::trUtf8(const char*, const char*)
    {28, 843, 104, 3, Smoke::mf_static, 19, 5},	//201 Soprano::Model::tr(const char*, const char*, int)
    {28, 847, 104, 3, Smoke::mf_static, 19, 6},	//202 Soprano::Model::trUtf8(const char*, const char*, int)
    {28, 685, 108, 3, Smoke::mf_virtual, 198, 7},	//203 Soprano::Model::qt_metacall(QMetaObject::Call, int, void**)
    {28, 225, 39, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 8},	//204 Soprano::Model::addStatement(const Soprano::Statement&) [pure virtual]
    {28, 225, 114, 4, 0, 109, 9},	//205 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 233, 138, 1, 0, 109, 10},	//206 Soprano::Model::addStatements(const QList<Soprano::Statement>&)
    {28, 713, 39, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 11},	//207 Soprano::Model::removeStatement(const Soprano::Statement&) [pure virtual]
    {28, 713, 114, 4, 0, 109, 12},	//208 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 703, 39, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 109, 13},	//209 Soprano::Model::removeAllStatements(const Soprano::Statement&) [pure virtual]
    {28, 703, 114, 4, 0, 109, 14},	//210 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 721, 138, 1, 0, 109, 15},	//211 Soprano::Model::removeStatements(const QList<Soprano::Statement>&)
    {28, 711, 33, 1, 0, 109, 16},	//212 Soprano::Model::removeContext(const Soprano::Node&)
    {28, 703, 0, 0, 0, 109, 17},	//213 Soprano::Model::removeAllStatements()
    {28, 561, 39, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 18},	//214 Soprano::Model::listStatements(const Soprano::Statement&) const [pure virtual]
    {28, 561, 114, 4, Smoke::mf_const, 145, 19},	//215 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 561, 0, 0, Smoke::mf_const, 145, 20},	//216 Soprano::Model::listStatements() const
    {28, 569, 33, 1, Smoke::mf_const, 145, 21},	//217 Soprano::Model::listStatementsInContext(const Soprano::Node&) const
    {28, 559, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 128, 22},	//218 Soprano::Model::listContexts() const [pure virtual]
    {28, 417, 119, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 135, 23},	//219 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const [pure virtual]
    {28, 319, 39, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 160, 24},	//220 Soprano::Model::containsAnyStatement(const Soprano::Statement&) const [pure virtual]
    {28, 319, 114, 4, Smoke::mf_const, 160, 25},	//221 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 329, 39, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 160, 26},	//222 Soprano::Model::containsStatement(const Soprano::Statement&) const [pure virtual]
    {28, 329, 114, 4, Smoke::mf_const, 160, 27},	//223 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 327, 33, 1, Smoke::mf_const, 160, 28},	//224 Soprano::Model::containsContext(const Soprano::Node&) const
    {28, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 160, 29},	//225 Soprano::Model::isEmpty() const [pure virtual]
    {28, 800, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 198, 30},	//226 Soprano::Model::statementCount() const [pure virtual]
    {28, 895, 123, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 31},	//227 Soprano::Model::write(QTextStream&) const
    {28, 346, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 32},	//228 Soprano::Model::createBlankNode() [pure virtual]
    {28, 805, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//229 Soprano::Model::statementsAdded()
    {28, 806, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//230 Soprano::Model::statementsRemoved()
    {28, 798, 39, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//231 Soprano::Model::statementAdded(const Soprano::Statement&)
    {28, 803, 39, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//232 Soprano::Model::statementRemoved(const Soprano::Statement&)
    {28, 108, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 122, 37},	//233 Soprano::Model::Model()
    {28, 843, 10, 1, Smoke::mf_static, 19, 38},	//234 Soprano::Model::tr(const char*)
    {28, 847, 10, 1, Smoke::mf_static, 19, 39},	//235 Soprano::Model::trUtf8(const char*)
    {28, 225, 125, 3, 0, 109, 40},	//236 Soprano::Model::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 713, 125, 3, 0, 109, 41},	//237 Soprano::Model::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 703, 125, 3, 0, 109, 42},	//238 Soprano::Model::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {28, 561, 125, 3, Smoke::mf_const, 145, 43},	//239 Soprano::Model::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 417, 129, 2, Smoke::mf_const, 135, 44},	//240 Soprano::Model::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {28, 319, 125, 3, Smoke::mf_const, 160, 45},	//241 Soprano::Model::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 329, 125, 3, Smoke::mf_const, 160, 46},	//242 Soprano::Model::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {28, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 47},	//243 Soprano::Model::staticMetaObject() const
    {28, 914, 0, 0, Smoke::mf_dtor, 0, 48 },	//244 Soprano::Model::~Model()
    {29, 114, 0, 0, Smoke::mf_ctor, 125, 1},	//245 Soprano::Node::Node()
    {29, 114, 140, 1, Smoke::mf_ctor, 125, 2},	//246 Soprano::Node::Node(const QUrl&)
    {29, 114, 35, 1, Smoke::mf_ctor, 125, 3},	//247 Soprano::Node::Node(const QString&)
    {29, 114, 37, 1, Smoke::mf_ctor, 125, 4},	//248 Soprano::Node::Node(const Soprano::LiteralValue&)
    {29, 114, 142, 2, Smoke::mf_ctor, 125, 5},	//249 Soprano::Node::Node(const Soprano::LiteralValue&, const QString&)
    {29, 114, 33, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 6},	//250 Soprano::Node::Node(const Soprano::Node&)
    {29, 632, 33, 1, 0, 124, 7},	//251 Soprano::Node::operator=(const Soprano::Node&)
    {29, 632, 140, 1, 0, 124, 8},	//252 Soprano::Node::operator=(const QUrl&)
    {29, 632, 37, 1, 0, 124, 9},	//253 Soprano::Node::operator=(const Soprano::LiteralValue&)
    {29, 634, 33, 1, Smoke::mf_const, 160, 10},	//254 Soprano::Node::operator==(const Soprano::Node&) const
    {29, 628, 33, 1, Smoke::mf_const, 160, 11},	//255 Soprano::Node::operator!=(const Soprano::Node&) const
    {29, 634, 140, 1, Smoke::mf_const, 160, 12},	//256 Soprano::Node::operator==(const QUrl&) const
    {29, 634, 37, 1, Smoke::mf_const, 160, 13},	//257 Soprano::Node::operator==(const Soprano::LiteralValue&) const
    {29, 590, 33, 1, Smoke::mf_const, 160, 14},	//258 Soprano::Node::matches(const Soprano::Node&) const
    {29, 854, 0, 0, Smoke::mf_const, 127, 15},	//259 Soprano::Node::type() const
    {29, 506, 0, 0, Smoke::mf_const, 160, 16},	//260 Soprano::Node::isEmpty() const
    {29, 532, 0, 0, Smoke::mf_const, 160, 17},	//261 Soprano::Node::isValid() const
    {29, 512, 0, 0, Smoke::mf_const, 160, 18},	//262 Soprano::Node::isLiteral() const
    {29, 522, 0, 0, Smoke::mf_const, 160, 19},	//263 Soprano::Node::isResource() const
    {29, 493, 0, 0, Smoke::mf_const, 160, 20},	//264 Soprano::Node::isBlank() const
    {29, 861, 0, 0, Smoke::mf_const, 24, 21},	//265 Soprano::Node::uri() const
    {29, 478, 0, 0, Smoke::mf_const, 19, 22},	//266 Soprano::Node::identifier() const
    {29, 571, 0, 0, Smoke::mf_const, 121, 23},	//267 Soprano::Node::literal() const
    {29, 363, 0, 0, Smoke::mf_const, 24, 24},	//268 Soprano::Node::dataType() const
    {29, 549, 0, 0, Smoke::mf_const, 19, 25},	//269 Soprano::Node::language() const
    {29, 840, 0, 0, Smoke::mf_const, 19, 26},	//270 Soprano::Node::toString() const
    {29, 838, 0, 0, Smoke::mf_const, 19, 27},	//271 Soprano::Node::toN3() const
    {29, 349, 0, 0, Smoke::mf_static, 123, 28},	//272 Soprano::Node::createEmptyNode()
    {29, 355, 140, 1, Smoke::mf_static, 123, 29},	//273 Soprano::Node::createResourceNode(const QUrl&)
    {29, 346, 35, 1, Smoke::mf_static, 123, 30},	//274 Soprano::Node::createBlankNode(const QString&)
    {29, 350, 37, 1, Smoke::mf_static, 123, 31},	//275 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&)
    {29, 350, 142, 2, Smoke::mf_static, 123, 32},	//276 Soprano::Node::createLiteralNode(const Soprano::LiteralValue&, const QString&)
    {29, 726, 140, 1, Smoke::mf_static, 19, 33},	//277 Soprano::Node::resourceToN3(const QUrl&)
    {29, 278, 35, 1, Smoke::mf_static, 19, 34},	//278 Soprano::Node::blankToN3(const QString&)
    {29, 572, 37, 1, Smoke::mf_static, 19, 35},	//279 Soprano::Node::literalToN3(const Soprano::LiteralValue&)
    {29, 445, 145, 2, Smoke::mf_static, 123, 36},	//280 Soprano::Node::fromN3(const QString&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 448, 148, 2, Smoke::mf_static, 123, 37},	//281 Soprano::Node::fromN3Stream(QTextStream&, QFlags<Soprano::Node::N3ParserFlag>)
    {29, 445, 35, 1, Smoke::mf_static, 123, 38},	//282 Soprano::Node::fromN3(const QString&)
    {29, 448, 123, 1, Smoke::mf_static, 123, 39},	//283 Soprano::Node::fromN3Stream(QTextStream&)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//284 Soprano::Node::EmptyNode (enum)
    {29, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 41},	//285 Soprano::Node::ResourceNode (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 42},	//286 Soprano::Node::LiteralNode (enum)
    {29, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 43},	//287 Soprano::Node::BlankNode (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 44},	//288 Soprano::Node::NoFlags (enum)
    {29, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 45},	//289 Soprano::Node::StrictLiteralTypes (enum)
    {29, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 46},	//290 Soprano::Node::StrictUris (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 47},	//291 Soprano::Node::IgnorePrefixes (enum)
    {29, 915, 0, 0, Smoke::mf_dtor, 0, 48 },	//292 Soprano::Node::~Node()
    {30, 118, 0, 0, Smoke::mf_ctor, 130, 1},	//293 Soprano::NodeIterator::NodeIterator()
    {30, 118, 151, 1, Smoke::mf_ctor, 130, 2},	//294 Soprano::NodeIterator::NodeIterator(Soprano::IteratorBackend<Soprano::Node>*)
    {30, 118, 153, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 3},	//295 Soprano::NodeIterator::NodeIterator(const Soprano::NodeIterator&)
    {30, 632, 153, 1, 0, 129, 4},	//296 Soprano::NodeIterator::operator=(const Soprano::NodeIterator&)
    {30, 244, 0, 0, 0, 11, 5},	//297 Soprano::NodeIterator::allNodes()
    {30, 916, 0, 0, Smoke::mf_dtor, 0, 6 },	//298 Soprano::NodeIterator::~NodeIterator()
    {31, 823, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//299 Soprano::Parser::supportedSerializations() const [pure virtual]
    {31, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//300 Soprano::Parser::supportedUserSerializations() const
    {31, 829, 59, 2, Smoke::mf_const, 160, 3},	//301 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {31, 655, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 145, 4},	//302 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 661, 155, 4, Smoke::mf_const|Smoke::mf_virtual, 145, 5},	//303 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization, const QString&) const
    {31, 658, 160, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 6},	//304 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {31, 129, 35, 1, Smoke::mf_ctor|Smoke::mf_protected, 131, 7},	//305 Soprano::Parser::Parser(const QString&)
    {31, 129, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 8},	//306 Soprano::Parser::Parser(const Soprano::Parser&)
    {31, 829, 62, 1, Smoke::mf_const, 160, 9},	//307 Soprano::Parser::supportsSerialization(Soprano::RdfSerialization) const
    {31, 655, 167, 3, Smoke::mf_const, 145, 10},	//308 Soprano::Parser::parseFile(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 661, 167, 3, Smoke::mf_const, 145, 11},	//309 Soprano::Parser::parseString(const QString&, const QUrl&, Soprano::RdfSerialization) const
    {31, 658, 171, 3, Smoke::mf_const, 145, 12},	//310 Soprano::Parser::parseStream(QTextStream&, const QUrl&, Soprano::RdfSerialization) const
    {31, 917, 0, 0, Smoke::mf_dtor, 0, 13 },	//311 Soprano::Parser::~Parser()
    {32, 672, 0, 0, Smoke::mf_const, 19, 1},	//312 Soprano::Plugin::pluginName() const
    {32, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 160, 2},	//313 Soprano::Plugin::isAvailable() const
    {32, 140, 35, 1, Smoke::mf_ctor|Smoke::mf_protected, 132, 3},	//314 Soprano::Plugin::Plugin(const QString&)
    {32, 140, 175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 4},	//315 Soprano::Plugin::Plugin(const Soprano::Plugin&)
    {32, 919, 0, 0, Smoke::mf_dtor, 0, 5 },	//316 Soprano::Plugin::~Plugin()
    {33, 601, 0, 0, Smoke::mf_const, 166, 1},	//317 Soprano::PluginManager::metaObject() const
    {33, 687, 10, 1, 0, 200, 2},	//318 Soprano::PluginManager::qt_metacast(const char*)
    {33, 843, 101, 2, Smoke::mf_static, 19, 3},	//319 Soprano::PluginManager::tr(const char*, const char*)
    {33, 847, 101, 2, Smoke::mf_static, 19, 4},	//320 Soprano::PluginManager::trUtf8(const char*, const char*)
    {33, 843, 104, 3, Smoke::mf_static, 19, 5},	//321 Soprano::PluginManager::tr(const char*, const char*, int)
    {33, 847, 104, 3, Smoke::mf_static, 19, 6},	//322 Soprano::PluginManager::trUtf8(const char*, const char*, int)
    {33, 685, 108, 3, 0, 198, 7},	//323 Soprano::PluginManager::qt_metacall(QMetaObject::Call, int, void**)
    {33, 771, 177, 2, 0, 0, 8},	//324 Soprano::PluginManager::setPluginSearchPath(const QStringList&, bool)
    {33, 578, 35, 1, 0, 160, 9},	//325 Soprano::PluginManager::loadCustomPlugin(const QString&)
    {33, 574, 35, 1, 0, 175, 10},	//326 Soprano::PluginManager::loadCustomBackend(const QString&)
    {33, 576, 35, 1, 0, 188, 11},	//327 Soprano::PluginManager::loadCustomParser(const QString&)
    {33, 580, 35, 1, 0, 192, 12},	//328 Soprano::PluginManager::loadCustomSerializer(const QString&)
    {33, 392, 35, 1, 0, 175, 13},	//329 Soprano::PluginManager::discoverBackendByName(const QString&)
    {33, 389, 54, 2, 0, 175, 14},	//330 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>, const QStringList&)
    {33, 242, 0, 0, 0, 13, 15},	//331 Soprano::PluginManager::allBackends()
    {33, 394, 35, 1, 0, 188, 16},	//332 Soprano::PluginManager::discoverParserByName(const QString&)
    {33, 396, 59, 2, 0, 188, 17},	//333 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 245, 0, 0, 0, 14, 18},	//334 Soprano::PluginManager::allParsers()
    {33, 399, 35, 1, 0, 192, 19},	//335 Soprano::PluginManager::discoverSerializerByName(const QString&)
    {33, 401, 59, 2, 0, 192, 20},	//336 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization, const QString&)
    {33, 246, 0, 0, 0, 15, 21},	//337 Soprano::PluginManager::allSerializers()
    {33, 483, 0, 0, Smoke::mf_static, 133, 22},	//338 Soprano::PluginManager::instance()
    {33, 843, 10, 1, Smoke::mf_static, 19, 23},	//339 Soprano::PluginManager::tr(const char*)
    {33, 847, 10, 1, Smoke::mf_static, 19, 24},	//340 Soprano::PluginManager::trUtf8(const char*)
    {33, 771, 180, 1, 0, 0, 25},	//341 Soprano::PluginManager::setPluginSearchPath(const QStringList&)
    {33, 389, 57, 1, 0, 175, 26},	//342 Soprano::PluginManager::discoverBackendByFeatures(QFlags<Soprano::BackendFeature>)
    {33, 396, 62, 1, 0, 188, 27},	//343 Soprano::PluginManager::discoverParserForSerialization(Soprano::RdfSerialization)
    {33, 401, 62, 1, 0, 192, 28},	//344 Soprano::PluginManager::discoverSerializerForSerialization(Soprano::RdfSerialization)
    {33, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 29},	//345 Soprano::PluginManager::staticMetaObject() const
    {33, 920, 0, 0, Smoke::mf_dtor, 0, 30 },	//346 Soprano::PluginManager::~PluginManager()
    {34, 146, 0, 0, Smoke::mf_ctor, 137, 1},	//347 Soprano::QueryResultIterator::QueryResultIterator()
    {34, 146, 182, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//348 Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    {34, 146, 184, 1, Smoke::mf_ctor, 137, 3},	//349 Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    {34, 632, 182, 1, 0, 136, 4},	//350 Soprano::QueryResultIterator::operator=(const Soprano::QueryResultIterator&)
    {34, 361, 0, 0, Smoke::mf_const, 142, 5},	//351 Soprano::QueryResultIterator::currentStatement() const
    {34, 360, 0, 0, Smoke::mf_const, 104, 6},	//352 Soprano::QueryResultIterator::currentBindings() const
    {34, 281, 0, 0, Smoke::mf_const, 160, 7},	//353 Soprano::QueryResultIterator::boolValue() const
    {34, 637, 186, 1, Smoke::mf_const, 123, 8},	//354 Soprano::QueryResultIterator::operator[](int) const
    {34, 637, 188, 1, Smoke::mf_const, 123, 9},	//355 Soprano::QueryResultIterator::operator[](const QString) const
    {34, 273, 35, 1, Smoke::mf_const, 123, 10},	//356 Soprano::QueryResultIterator::binding(const QString&) const
    {34, 273, 186, 1, Smoke::mf_const, 123, 11},	//357 Soprano::QueryResultIterator::binding(int) const
    {34, 275, 0, 0, Smoke::mf_const, 198, 12},	//358 Soprano::QueryResultIterator::bindingCount() const
    {34, 276, 0, 0, Smoke::mf_const, 20, 13},	//359 Soprano::QueryResultIterator::bindingNames() const
    {34, 509, 0, 0, Smoke::mf_const, 160, 14},	//360 Soprano::QueryResultIterator::isGraph() const
    {34, 492, 0, 0, Smoke::mf_const, 160, 15},	//361 Soprano::QueryResultIterator::isBinding() const
    {34, 494, 0, 0, Smoke::mf_const, 160, 16},	//362 Soprano::QueryResultIterator::isBool() const
    {34, 243, 0, 0, 0, 10, 17},	//363 Soprano::QueryResultIterator::allBindings()
    {34, 539, 0, 0, Smoke::mf_const, 145, 18},	//364 Soprano::QueryResultIterator::iterateStatements() const
    {34, 534, 35, 1, Smoke::mf_const, 128, 19},	//365 Soprano::QueryResultIterator::iterateBindings(const QString&) const
    {34, 534, 186, 1, Smoke::mf_const, 128, 20},	//366 Soprano::QueryResultIterator::iterateBindings(int) const
    {34, 540, 190, 5, Smoke::mf_const, 145, 21},	//367 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&, const Soprano::Statement&) const
    {34, 540, 196, 3, Smoke::mf_const, 145, 22},	//368 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&) const
    {34, 540, 200, 4, Smoke::mf_const, 145, 23},	//369 Soprano::QueryResultIterator::iterateStatementsFromBindings(const QString&, const QString&, const QString&, const QString&) const
    {34, 921, 0, 0, Smoke::mf_dtor, 0, 24 },	//370 Soprano::QueryResultIterator::~QueryResultIterator()
    {36, 150, 112, 1, Smoke::mf_ctor, 139, 1},	//371 Soprano::RdfSchemaModel::RdfSchemaModel(Soprano::Model*)
    {36, 296, 0, 0, Smoke::mf_const, 145, 2},	//372 Soprano::RdfSchemaModel::classes() const
    {36, 378, 205, 2, Smoke::mf_const, 145, 3},	//373 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 381, 205, 2, Smoke::mf_const, 145, 4},	//374 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 384, 205, 2, Smoke::mf_const, 145, 5},	//375 Soprano::RdfSchemaModel::directType(const Soprano::Node&, const Soprano::Node&) const
    {36, 407, 205, 2, Smoke::mf_const, 145, 6},	//376 Soprano::RdfSchemaModel::domain(const Soprano::Node&, const Soprano::Node&) const
    {36, 682, 0, 0, Smoke::mf_const, 145, 7},	//377 Soprano::RdfSchemaModel::properties() const
    {36, 690, 205, 2, Smoke::mf_const, 145, 8},	//378 Soprano::RdfSchemaModel::range(const Soprano::Node&, const Soprano::Node&) const
    {36, 811, 205, 2, Smoke::mf_const, 145, 9},	//379 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 815, 205, 2, Smoke::mf_const, 145, 10},	//380 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 854, 205, 2, Smoke::mf_const, 145, 11},	//381 Soprano::RdfSchemaModel::type(const Soprano::Node&, const Soprano::Node&) const
    {36, 495, 33, 1, Smoke::mf_const, 160, 12},	//382 Soprano::RdfSchemaModel::isClass(const Soprano::Node&) const
    {36, 517, 33, 1, Smoke::mf_const, 160, 13},	//383 Soprano::RdfSchemaModel::isProperty(const Soprano::Node&) const
    {36, 500, 205, 2, Smoke::mf_const, 160, 14},	//384 Soprano::RdfSchemaModel::isDirectSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 502, 205, 2, Smoke::mf_const, 160, 15},	//385 Soprano::RdfSchemaModel::isDirectSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 504, 205, 2, Smoke::mf_const, 160, 16},	//386 Soprano::RdfSchemaModel::isDirectType(const Soprano::Node&, const Soprano::Node&) const
    {36, 524, 205, 2, Smoke::mf_const, 160, 17},	//387 Soprano::RdfSchemaModel::isSubClassOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 526, 205, 2, Smoke::mf_const, 160, 18},	//388 Soprano::RdfSchemaModel::isSubPropertyOf(const Soprano::Node&, const Soprano::Node&) const
    {36, 530, 205, 2, Smoke::mf_const, 160, 19},	//389 Soprano::RdfSchemaModel::isType(const Soprano::Node&, const Soprano::Node&) const
    {36, 150, 0, 0, Smoke::mf_ctor, 139, 20},	//390 Soprano::RdfSchemaModel::RdfSchemaModel()
    {36, 378, 33, 1, Smoke::mf_const, 145, 21},	//391 Soprano::RdfSchemaModel::directSubClassOf(const Soprano::Node&) const
    {36, 381, 33, 1, Smoke::mf_const, 145, 22},	//392 Soprano::RdfSchemaModel::directSubPropertyOf(const Soprano::Node&) const
    {36, 811, 33, 1, Smoke::mf_const, 145, 23},	//393 Soprano::RdfSchemaModel::subClassOf(const Soprano::Node&) const
    {36, 815, 33, 1, Smoke::mf_const, 145, 24},	//394 Soprano::RdfSchemaModel::subPropertyOf(const Soprano::Node&) const
    {36, 922, 0, 0, Smoke::mf_dtor, 0, 25 },	//395 Soprano::RdfSchemaModel::~RdfSchemaModel()
    {37, 823, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 7, 1},	//396 Soprano::Serializer::supportedSerializations() const [pure virtual]
    {37, 825, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 20, 2},	//397 Soprano::Serializer::supportedUserSerializations() const
    {37, 829, 59, 2, Smoke::mf_const, 160, 3},	//398 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization, const QString&) const
    {37, 749, 208, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 160, 4},	//399 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization, const QString&) const [pure virtual]
    {37, 221, 213, 2, Smoke::mf_const, 0, 5},	//400 Soprano::Serializer::addPrefix(const QString&, const QUrl&) const
    {37, 299, 0, 0, Smoke::mf_const, 0, 6},	//401 Soprano::Serializer::clearPrefixes() const
    {37, 678, 0, 0, Smoke::mf_const, 8, 7},	//402 Soprano::Serializer::prefixes() const
    {37, 175, 35, 1, Smoke::mf_ctor|Smoke::mf_protected, 141, 8},	//403 Soprano::Serializer::Serializer(const QString&)
    {37, 175, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 9},	//404 Soprano::Serializer::Serializer(const Soprano::Serializer&)
    {37, 829, 62, 1, Smoke::mf_const, 160, 10},	//405 Soprano::Serializer::supportsSerialization(Soprano::RdfSerialization) const
    {37, 749, 218, 3, Smoke::mf_const, 160, 11},	//406 Soprano::Serializer::serialize(Soprano::StatementIterator, QTextStream&, Soprano::RdfSerialization) const
    {37, 924, 0, 0, Smoke::mf_dtor, 0, 12 },	//407 Soprano::Serializer::~Serializer()
    {38, 191, 0, 0, Smoke::mf_ctor, 144, 1},	//408 Soprano::Statement::Statement()
    {38, 191, 114, 4, Smoke::mf_ctor, 144, 2},	//409 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 191, 39, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 3},	//410 Soprano::Statement::Statement(const Soprano::Statement&)
    {38, 632, 39, 1, 0, 143, 4},	//411 Soprano::Statement::operator=(const Soprano::Statement&)
    {38, 634, 39, 1, Smoke::mf_const, 160, 5},	//412 Soprano::Statement::operator==(const Soprano::Statement&) const
    {38, 628, 39, 1, Smoke::mf_const, 160, 6},	//413 Soprano::Statement::operator!=(const Soprano::Statement&) const
    {38, 590, 39, 1, Smoke::mf_const, 160, 7},	//414 Soprano::Statement::matches(const Soprano::Statement&) const
    {38, 532, 0, 0, Smoke::mf_const, 160, 8},	//415 Soprano::Statement::isValid() const
    {38, 818, 0, 0, Smoke::mf_const, 123, 9},	//416 Soprano::Statement::subject() const
    {38, 675, 0, 0, Smoke::mf_const, 123, 10},	//417 Soprano::Statement::predicate() const
    {38, 623, 0, 0, Smoke::mf_const, 123, 11},	//418 Soprano::Statement::object() const
    {38, 342, 0, 0, Smoke::mf_const, 123, 12},	//419 Soprano::Statement::context() const
    {38, 781, 33, 1, 0, 0, 13},	//420 Soprano::Statement::setSubject(const Soprano::Node&)
    {38, 774, 33, 1, 0, 0, 14},	//421 Soprano::Statement::setPredicate(const Soprano::Node&)
    {38, 765, 33, 1, 0, 0, 15},	//422 Soprano::Statement::setObject(const Soprano::Node&)
    {38, 756, 33, 1, 0, 0, 16},	//423 Soprano::Statement::setContext(const Soprano::Node&)
    {38, 191, 125, 3, Smoke::mf_ctor, 144, 17},	//424 Soprano::Statement::Statement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {38, 928, 0, 0, Smoke::mf_dtor, 0, 18 },	//425 Soprano::Statement::~Statement()
    {39, 195, 0, 0, Smoke::mf_ctor, 147, 1},	//426 Soprano::StatementIterator::StatementIterator()
    {39, 195, 222, 1, Smoke::mf_ctor, 147, 2},	//427 Soprano::StatementIterator::StatementIterator(Soprano::IteratorBackend<Soprano::Statement>*)
    {39, 195, 224, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 3},	//428 Soprano::StatementIterator::StatementIterator(const Soprano::StatementIterator&)
    {39, 632, 224, 1, 0, 146, 4},	//429 Soprano::StatementIterator::operator=(const Soprano::StatementIterator&)
    {39, 247, 0, 0, 0, 12, 5},	//430 Soprano::StatementIterator::allStatements()
    {39, 544, 0, 0, Smoke::mf_const, 128, 6},	//431 Soprano::StatementIterator::iterateSubjects() const
    {39, 538, 0, 0, Smoke::mf_const, 128, 7},	//432 Soprano::StatementIterator::iteratePredicates() const
    {39, 537, 0, 0, Smoke::mf_const, 128, 8},	//433 Soprano::StatementIterator::iterateObjects() const
    {39, 536, 0, 0, Smoke::mf_const, 128, 9},	//434 Soprano::StatementIterator::iterateContexts() const
    {39, 929, 0, 0, Smoke::mf_dtor, 0, 10 },	//435 Soprano::StatementIterator::~StatementIterator()
    {40, 601, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 1},	//436 Soprano::StorageModel::metaObject() const
    {40, 687, 10, 1, Smoke::mf_virtual, 200, 2},	//437 Soprano::StorageModel::qt_metacast(const char*)
    {40, 843, 101, 2, Smoke::mf_static, 19, 3},	//438 Soprano::StorageModel::tr(const char*, const char*)
    {40, 847, 101, 2, Smoke::mf_static, 19, 4},	//439 Soprano::StorageModel::trUtf8(const char*, const char*)
    {40, 843, 104, 3, Smoke::mf_static, 19, 5},	//440 Soprano::StorageModel::tr(const char*, const char*, int)
    {40, 847, 104, 3, Smoke::mf_static, 19, 6},	//441 Soprano::StorageModel::trUtf8(const char*, const char*, int)
    {40, 685, 108, 3, Smoke::mf_virtual, 198, 7},	//442 Soprano::StorageModel::qt_metacall(QMetaObject::Call, int, void**)
    {40, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 160, 8},	//443 Soprano::StorageModel::isEmpty() const
    {40, 329, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 9},	//444 Soprano::StorageModel::containsStatement(const Soprano::Statement&) const
    {40, 319, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 10},	//445 Soprano::StorageModel::containsAnyStatement(const Soprano::Statement&) const
    {40, 703, 39, 1, Smoke::mf_virtual, 109, 11},	//446 Soprano::StorageModel::removeAllStatements(const Soprano::Statement&)
    {40, 268, 0, 0, Smoke::mf_const, 175, 12},	//447 Soprano::StorageModel::backend() const
    {40, 703, 114, 4, 0, 109, 13},	//448 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 703, 0, 0, 0, 109, 14},	//449 Soprano::StorageModel::removeAllStatements()
    {40, 329, 114, 4, Smoke::mf_const, 160, 15},	//450 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 319, 114, 4, Smoke::mf_const, 160, 16},	//451 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 198, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 148, 17},	//452 Soprano::StorageModel::StorageModel(const Soprano::Backend*)
    {40, 843, 10, 1, Smoke::mf_static, 19, 18},	//453 Soprano::StorageModel::tr(const char*)
    {40, 847, 10, 1, Smoke::mf_static, 19, 19},	//454 Soprano::StorageModel::trUtf8(const char*)
    {40, 703, 125, 3, 0, 109, 20},	//455 Soprano::StorageModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {40, 329, 125, 3, Smoke::mf_const, 160, 21},	//456 Soprano::StorageModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 319, 125, 3, Smoke::mf_const, 160, 22},	//457 Soprano::StorageModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {40, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 23},	//458 Soprano::StorageModel::staticMetaObject() const
    {40, 930, 0, 0, Smoke::mf_dtor, 0, 24 },	//459 Soprano::StorageModel::~StorageModel()
    {41, 601, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 1},	//460 Soprano::Util::AsyncModel::metaObject() const
    {41, 687, 10, 1, Smoke::mf_virtual, 200, 2},	//461 Soprano::Util::AsyncModel::qt_metacast(const char*)
    {41, 843, 101, 2, Smoke::mf_static, 19, 3},	//462 Soprano::Util::AsyncModel::tr(const char*, const char*)
    {41, 847, 101, 2, Smoke::mf_static, 19, 4},	//463 Soprano::Util::AsyncModel::trUtf8(const char*, const char*)
    {41, 843, 104, 3, Smoke::mf_static, 19, 5},	//464 Soprano::Util::AsyncModel::tr(const char*, const char*, int)
    {41, 847, 104, 3, Smoke::mf_static, 19, 6},	//465 Soprano::Util::AsyncModel::trUtf8(const char*, const char*, int)
    {41, 685, 108, 3, Smoke::mf_virtual, 198, 7},	//466 Soprano::Util::AsyncModel::qt_metacall(QMetaObject::Call, int, void**)
    {41, 9, 112, 1, Smoke::mf_ctor, 149, 8},	//467 Soprano::Util::AsyncModel::AsyncModel(Soprano::Model*)
    {41, 763, 226, 1, 0, 0, 9},	//468 Soprano::Util::AsyncModel::setMode(Soprano::Util::AsyncModel::AsyncModelMode)
    {41, 607, 0, 0, Smoke::mf_const, 150, 10},	//469 Soprano::Util::AsyncModel::mode() const
    {41, 229, 39, 1, 0, 152, 11},	//470 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Statement&)
    {41, 229, 114, 4, 0, 152, 12},	//471 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 235, 138, 1, 0, 152, 13},	//472 Soprano::Util::AsyncModel::addStatementsAsync(const QList<Soprano::Statement>&)
    {41, 717, 39, 1, 0, 152, 14},	//473 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Statement&)
    {41, 717, 114, 4, 0, 152, 15},	//474 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 723, 138, 1, 0, 152, 16},	//475 Soprano::Util::AsyncModel::removeStatementsAsync(const QList<Soprano::Statement>&)
    {41, 707, 39, 1, 0, 152, 17},	//476 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Statement&)
    {41, 707, 114, 4, 0, 152, 18},	//477 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 507, 0, 0, Smoke::mf_const, 152, 19},	//478 Soprano::Util::AsyncModel::isEmptyAsync() const
    {41, 801, 0, 0, Smoke::mf_const, 152, 20},	//479 Soprano::Util::AsyncModel::statementCountAsync() const
    {41, 565, 39, 1, Smoke::mf_const, 152, 21},	//480 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Statement&) const
    {41, 565, 114, 4, Smoke::mf_const, 152, 22},	//481 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 565, 0, 0, Smoke::mf_const, 152, 23},	//482 Soprano::Util::AsyncModel::listStatementsAsync() const
    {41, 560, 0, 0, Smoke::mf_const, 152, 24},	//483 Soprano::Util::AsyncModel::listContextsAsync() const
    {41, 422, 119, 3, Smoke::mf_const, 152, 25},	//484 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 333, 39, 1, Smoke::mf_const, 152, 26},	//485 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Statement&) const
    {41, 333, 114, 4, Smoke::mf_const, 152, 27},	//486 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 323, 39, 1, Smoke::mf_const, 152, 28},	//487 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Statement&) const
    {41, 323, 114, 4, Smoke::mf_const, 152, 29},	//488 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 348, 0, 0, 0, 152, 30},	//489 Soprano::Util::AsyncModel::createBlankNodeAsync()
    {41, 561, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 145, 31},	//490 Soprano::Util::AsyncModel::listStatements(const Soprano::Statement&) const
    {41, 559, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 32},	//491 Soprano::Util::AsyncModel::listContexts() const
    {41, 417, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 135, 33},	//492 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {41, 225, 39, 1, Smoke::mf_virtual, 109, 34},	//493 Soprano::Util::AsyncModel::addStatement(const Soprano::Statement&)
    {41, 225, 114, 4, 0, 109, 35},	//494 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 713, 39, 1, Smoke::mf_virtual, 109, 36},	//495 Soprano::Util::AsyncModel::removeStatement(const Soprano::Statement&)
    {41, 713, 114, 4, 0, 109, 37},	//496 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 703, 39, 1, Smoke::mf_virtual, 109, 38},	//497 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Statement&)
    {41, 703, 114, 4, 0, 109, 39},	//498 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 703, 0, 0, 0, 109, 40},	//499 Soprano::Util::AsyncModel::removeAllStatements()
    {41, 561, 114, 4, Smoke::mf_const, 145, 41},	//500 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 561, 0, 0, Smoke::mf_const, 145, 42},	//501 Soprano::Util::AsyncModel::listStatements() const
    {41, 329, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 43},	//502 Soprano::Util::AsyncModel::containsStatement(const Soprano::Statement&) const
    {41, 329, 114, 4, Smoke::mf_const, 160, 44},	//503 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 319, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 45},	//504 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Statement&) const
    {41, 319, 114, 4, Smoke::mf_const, 160, 46},	//505 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 843, 10, 1, Smoke::mf_static, 19, 47},	//506 Soprano::Util::AsyncModel::tr(const char*)
    {41, 847, 10, 1, Smoke::mf_static, 19, 48},	//507 Soprano::Util::AsyncModel::trUtf8(const char*)
    {41, 9, 0, 0, Smoke::mf_ctor, 149, 49},	//508 Soprano::Util::AsyncModel::AsyncModel()
    {41, 229, 125, 3, 0, 152, 50},	//509 Soprano::Util::AsyncModel::addStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 717, 125, 3, 0, 152, 51},	//510 Soprano::Util::AsyncModel::removeStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 707, 125, 3, 0, 152, 52},	//511 Soprano::Util::AsyncModel::removeAllStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 565, 125, 3, Smoke::mf_const, 152, 53},	//512 Soprano::Util::AsyncModel::listStatementsAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 422, 129, 2, Smoke::mf_const, 152, 54},	//513 Soprano::Util::AsyncModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {41, 333, 125, 3, Smoke::mf_const, 152, 55},	//514 Soprano::Util::AsyncModel::containsStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 323, 125, 3, Smoke::mf_const, 152, 56},	//515 Soprano::Util::AsyncModel::containsAnyStatementAsync(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 417, 129, 2, Smoke::mf_const, 135, 57},	//516 Soprano::Util::AsyncModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {41, 225, 125, 3, 0, 109, 58},	//517 Soprano::Util::AsyncModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 713, 125, 3, 0, 109, 59},	//518 Soprano::Util::AsyncModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 703, 125, 3, 0, 109, 60},	//519 Soprano::Util::AsyncModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {41, 561, 125, 3, Smoke::mf_const, 145, 61},	//520 Soprano::Util::AsyncModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 329, 125, 3, Smoke::mf_const, 160, 62},	//521 Soprano::Util::AsyncModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 319, 125, 3, Smoke::mf_const, 160, 63},	//522 Soprano::Util::AsyncModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {41, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 64},	//523 Soprano::Util::AsyncModel::staticMetaObject() const
    {41, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 65},	//524 Soprano::Util::AsyncModel::SingleThreaded (enum)
    {41, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 66},	//525 Soprano::Util::AsyncModel::MultiThreaded (enum)
    {41, 905, 0, 0, Smoke::mf_dtor, 0, 67 },	//526 Soprano::Util::AsyncModel::~AsyncModel()
    {42, 601, 0, 0, Smoke::mf_const, 166, 1},	//527 Soprano::Util::AsyncQuery::metaObject() const
    {42, 687, 10, 1, 0, 200, 2},	//528 Soprano::Util::AsyncQuery::qt_metacast(const char*)
    {42, 843, 101, 2, Smoke::mf_static, 19, 3},	//529 Soprano::Util::AsyncQuery::tr(const char*, const char*)
    {42, 847, 101, 2, Smoke::mf_static, 19, 4},	//530 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*)
    {42, 843, 104, 3, Smoke::mf_static, 19, 5},	//531 Soprano::Util::AsyncQuery::tr(const char*, const char*, int)
    {42, 847, 104, 3, Smoke::mf_static, 19, 6},	//532 Soprano::Util::AsyncQuery::trUtf8(const char*, const char*, int)
    {42, 685, 108, 3, 0, 198, 7},	//533 Soprano::Util::AsyncQuery::qt_metacall(QMetaObject::Call, int, void**)
    {42, 361, 0, 0, Smoke::mf_const, 142, 8},	//534 Soprano::Util::AsyncQuery::currentStatement() const
    {42, 360, 0, 0, Smoke::mf_const, 104, 9},	//535 Soprano::Util::AsyncQuery::currentBindings() const
    {42, 281, 0, 0, Smoke::mf_const, 160, 10},	//536 Soprano::Util::AsyncQuery::boolValue() const
    {42, 273, 35, 1, Smoke::mf_const, 123, 11},	//537 Soprano::Util::AsyncQuery::binding(const QString&) const
    {42, 273, 186, 1, Smoke::mf_const, 123, 12},	//538 Soprano::Util::AsyncQuery::binding(int) const
    {42, 275, 0, 0, Smoke::mf_const, 198, 13},	//539 Soprano::Util::AsyncQuery::bindingCount() const
    {42, 276, 0, 0, Smoke::mf_const, 20, 14},	//540 Soprano::Util::AsyncQuery::bindingNames() const
    {42, 509, 0, 0, Smoke::mf_const, 160, 15},	//541 Soprano::Util::AsyncQuery::isGraph() const
    {42, 492, 0, 0, Smoke::mf_const, 160, 16},	//542 Soprano::Util::AsyncQuery::isBinding() const
    {42, 494, 0, 0, Smoke::mf_const, 160, 17},	//543 Soprano::Util::AsyncQuery::isBool() const
    {42, 614, 0, 0, Smoke::mf_slot, 160, 18},	//544 Soprano::Util::AsyncQuery::next()
    {42, 300, 0, 0, Smoke::mf_slot, 0, 19},	//545 Soprano::Util::AsyncQuery::close()
    {42, 615, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//546 Soprano::Util::AsyncQuery::nextReady(Soprano::Util::AsyncQuery*)
    {42, 434, 228, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//547 Soprano::Util::AsyncQuery::finished(Soprano::Util::AsyncQuery*)
    {42, 417, 230, 4, Smoke::mf_static, 151, 22},	//548 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage, const QString&)
    {42, 843, 10, 1, Smoke::mf_static, 19, 23},	//549 Soprano::Util::AsyncQuery::tr(const char*)
    {42, 847, 10, 1, Smoke::mf_static, 19, 24},	//550 Soprano::Util::AsyncQuery::trUtf8(const char*)
    {42, 417, 235, 3, Smoke::mf_static, 151, 25},	//551 Soprano::Util::AsyncQuery::executeQuery(Soprano::Model*, const QString&, Soprano::Query::QueryLanguage)
    {42, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 26},	//552 Soprano::Util::AsyncQuery::staticMetaObject() const
    {42, 906, 0, 0, Smoke::mf_dtor, 0, 27 },	//553 Soprano::Util::AsyncQuery::~AsyncQuery()
    {43, 601, 0, 0, Smoke::mf_const, 166, 1},	//554 Soprano::Util::AsyncResult::metaObject() const
    {43, 687, 10, 1, 0, 200, 2},	//555 Soprano::Util::AsyncResult::qt_metacast(const char*)
    {43, 843, 101, 2, Smoke::mf_static, 19, 3},	//556 Soprano::Util::AsyncResult::tr(const char*, const char*)
    {43, 847, 101, 2, Smoke::mf_static, 19, 4},	//557 Soprano::Util::AsyncResult::trUtf8(const char*, const char*)
    {43, 843, 104, 3, Smoke::mf_static, 19, 5},	//558 Soprano::Util::AsyncResult::tr(const char*, const char*, int)
    {43, 847, 104, 3, Smoke::mf_static, 19, 6},	//559 Soprano::Util::AsyncResult::trUtf8(const char*, const char*, int)
    {43, 685, 108, 3, 0, 198, 7},	//560 Soprano::Util::AsyncResult::qt_metacall(QMetaObject::Call, int, void**)
    {43, 729, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//561 Soprano::Util::AsyncResult::resultReady(Soprano::Util::AsyncResult*)
    {43, 357, 0, 0, Smoke::mf_static, 152, 9},	//562 Soprano::Util::AsyncResult::createResult()
    {43, 871, 0, 0, Smoke::mf_const, 25, 10},	//563 Soprano::Util::AsyncResult::value() const
    {43, 414, 0, 0, Smoke::mf_const, 109, 11},	//564 Soprano::Util::AsyncResult::errorCode() const
    {43, 802, 0, 0, Smoke::mf_const, 145, 12},	//565 Soprano::Util::AsyncResult::statementIterator() const
    {43, 619, 0, 0, Smoke::mf_const, 128, 13},	//566 Soprano::Util::AsyncResult::nodeIterator() const
    {43, 689, 0, 0, Smoke::mf_const, 135, 14},	//567 Soprano::Util::AsyncResult::queryResultIterator() const
    {43, 618, 0, 0, Smoke::mf_const, 123, 15},	//568 Soprano::Util::AsyncResult::node() const
    {43, 777, 241, 2, 0, 0, 16},	//569 Soprano::Util::AsyncResult::setResult(const QVariant&, const Soprano::Error::Error&)
    {43, 843, 10, 1, Smoke::mf_static, 19, 17},	//570 Soprano::Util::AsyncResult::tr(const char*)
    {43, 847, 10, 1, Smoke::mf_static, 19, 18},	//571 Soprano::Util::AsyncResult::trUtf8(const char*)
    {43, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 19},	//572 Soprano::Util::AsyncResult::staticMetaObject() const
    {43, 907, 0, 0, Smoke::mf_dtor, 0, 20 },	//573 Soprano::Util::AsyncResult::~AsyncResult()
    {44, 601, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 1},	//574 Soprano::Util::ReadOnlyModel::metaObject() const
    {44, 687, 10, 1, Smoke::mf_virtual, 200, 2},	//575 Soprano::Util::ReadOnlyModel::qt_metacast(const char*)
    {44, 843, 101, 2, Smoke::mf_static, 19, 3},	//576 Soprano::Util::ReadOnlyModel::tr(const char*, const char*)
    {44, 847, 101, 2, Smoke::mf_static, 19, 4},	//577 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*)
    {44, 843, 104, 3, Smoke::mf_static, 19, 5},	//578 Soprano::Util::ReadOnlyModel::tr(const char*, const char*, int)
    {44, 847, 104, 3, Smoke::mf_static, 19, 6},	//579 Soprano::Util::ReadOnlyModel::trUtf8(const char*, const char*, int)
    {44, 685, 108, 3, Smoke::mf_virtual, 198, 7},	//580 Soprano::Util::ReadOnlyModel::qt_metacall(QMetaObject::Call, int, void**)
    {44, 152, 112, 1, Smoke::mf_ctor, 153, 8},	//581 Soprano::Util::ReadOnlyModel::ReadOnlyModel(Soprano::Model*)
    {44, 769, 112, 1, 0, 0, 9},	//582 Soprano::Util::ReadOnlyModel::setParentModel(Soprano::Model*)
    {44, 561, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 145, 10},	//583 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Statement&) const
    {44, 559, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 11},	//584 Soprano::Util::ReadOnlyModel::listContexts() const
    {44, 417, 119, 3, Smoke::mf_const|Smoke::mf_virtual, 135, 12},	//585 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {44, 329, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 13},	//586 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Statement&) const
    {44, 319, 39, 1, Smoke::mf_const|Smoke::mf_virtual, 160, 14},	//587 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Statement&) const
    {44, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 160, 15},	//588 Soprano::Util::ReadOnlyModel::isEmpty() const
    {44, 800, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 16},	//589 Soprano::Util::ReadOnlyModel::statementCount() const
    {44, 225, 39, 1, Smoke::mf_virtual, 109, 17},	//590 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Statement&)
    {44, 713, 39, 1, Smoke::mf_virtual, 109, 18},	//591 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Statement&)
    {44, 703, 39, 1, Smoke::mf_virtual, 109, 19},	//592 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Statement&)
    {44, 346, 0, 0, Smoke::mf_virtual, 123, 20},	//593 Soprano::Util::ReadOnlyModel::createBlankNode()
    {44, 225, 114, 4, 0, 109, 21},	//594 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 713, 114, 4, 0, 109, 22},	//595 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 703, 114, 4, 0, 109, 23},	//596 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 703, 0, 0, 0, 109, 24},	//597 Soprano::Util::ReadOnlyModel::removeAllStatements()
    {44, 561, 114, 4, Smoke::mf_const, 145, 25},	//598 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 561, 0, 0, Smoke::mf_const, 145, 26},	//599 Soprano::Util::ReadOnlyModel::listStatements() const
    {44, 329, 114, 4, Smoke::mf_const, 160, 27},	//600 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 319, 114, 4, Smoke::mf_const, 160, 28},	//601 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 843, 10, 1, Smoke::mf_static, 19, 29},	//602 Soprano::Util::ReadOnlyModel::tr(const char*)
    {44, 847, 10, 1, Smoke::mf_static, 19, 30},	//603 Soprano::Util::ReadOnlyModel::trUtf8(const char*)
    {44, 152, 0, 0, Smoke::mf_ctor, 153, 31},	//604 Soprano::Util::ReadOnlyModel::ReadOnlyModel()
    {44, 417, 129, 2, Smoke::mf_const, 135, 32},	//605 Soprano::Util::ReadOnlyModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {44, 225, 125, 3, 0, 109, 33},	//606 Soprano::Util::ReadOnlyModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 713, 125, 3, 0, 109, 34},	//607 Soprano::Util::ReadOnlyModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 703, 125, 3, 0, 109, 35},	//608 Soprano::Util::ReadOnlyModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {44, 561, 125, 3, Smoke::mf_const, 145, 36},	//609 Soprano::Util::ReadOnlyModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 329, 125, 3, Smoke::mf_const, 160, 37},	//610 Soprano::Util::ReadOnlyModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 319, 125, 3, Smoke::mf_const, 160, 38},	//611 Soprano::Util::ReadOnlyModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {44, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 39},	//612 Soprano::Util::ReadOnlyModel::staticMetaObject() const
    {44, 923, 0, 0, Smoke::mf_dtor, 0, 40 },	//613 Soprano::Util::ReadOnlyModel::~ReadOnlyModel()
    {45, 601, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 166, 1},	//614 Soprano::Util::SignalCacheModel::metaObject() const
    {45, 687, 10, 1, Smoke::mf_virtual, 200, 2},	//615 Soprano::Util::SignalCacheModel::qt_metacast(const char*)
    {45, 843, 101, 2, Smoke::mf_static, 19, 3},	//616 Soprano::Util::SignalCacheModel::tr(const char*, const char*)
    {45, 847, 101, 2, Smoke::mf_static, 19, 4},	//617 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*)
    {45, 843, 104, 3, Smoke::mf_static, 19, 5},	//618 Soprano::Util::SignalCacheModel::tr(const char*, const char*, int)
    {45, 847, 104, 3, Smoke::mf_static, 19, 6},	//619 Soprano::Util::SignalCacheModel::trUtf8(const char*, const char*, int)
    {45, 685, 108, 3, Smoke::mf_virtual, 198, 7},	//620 Soprano::Util::SignalCacheModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 178, 112, 1, Smoke::mf_ctor, 154, 8},	//621 Soprano::Util::SignalCacheModel::SignalCacheModel(Soprano::Model*)
    {45, 283, 0, 0, Smoke::mf_const, 198, 9},	//622 Soprano::Util::SignalCacheModel::cacheTime() const
    {45, 752, 186, 1, Smoke::mf_slot, 0, 10},	//623 Soprano::Util::SignalCacheModel::setCacheTime(int)
    {45, 653, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//624 Soprano::Util::SignalCacheModel::parentStatementsAdded()
    {45, 654, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//625 Soprano::Util::SignalCacheModel::parentStatementsRemoved()
    {45, 834, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//626 Soprano::Util::SignalCacheModel::timerEvent(QTimerEvent*)
    {45, 843, 10, 1, Smoke::mf_static, 19, 14},	//627 Soprano::Util::SignalCacheModel::tr(const char*)
    {45, 847, 10, 1, Smoke::mf_static, 19, 15},	//628 Soprano::Util::SignalCacheModel::trUtf8(const char*)
    {45, 178, 0, 0, Smoke::mf_ctor, 154, 16},	//629 Soprano::Util::SignalCacheModel::SignalCacheModel()
    {45, 807, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 165, 17},	//630 Soprano::Util::SignalCacheModel::staticMetaObject() const
    {45, 925, 0, 0, Smoke::mf_dtor, 0, 18 },	//631 Soprano::Util::SignalCacheModel::~SignalCacheModel()
    {46, 180, 0, 0, Smoke::mf_ctor, 156, 1},	//632 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator()
    {46, 180, 244, 1, Smoke::mf_ctor, 156, 2},	//633 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const QList<Soprano::Node>&)
    {46, 180, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 3},	//634 Soprano::Util::SimpleNodeIterator::SimpleNodeIterator(const Soprano::Util::SimpleNodeIterator&)
    {46, 632, 244, 1, 0, 155, 4},	//635 Soprano::Util::SimpleNodeIterator::operator=(const QList<Soprano::Node>&)
    {46, 632, 246, 1, 0, 155, 5},	//636 Soprano::Util::SimpleNodeIterator::operator=(const Soprano::Util::SimpleNodeIterator&)
    {46, 926, 0, 0, Smoke::mf_dtor, 0, 6 },	//637 Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator()
    {47, 183, 0, 0, Smoke::mf_ctor, 158, 1},	//638 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator()
    {47, 183, 138, 1, Smoke::mf_ctor, 158, 2},	//639 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const QList<Soprano::Statement>&)
    {47, 183, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 158, 3},	//640 Soprano::Util::SimpleStatementIterator::SimpleStatementIterator(const Soprano::Util::SimpleStatementIterator&)
    {47, 632, 138, 1, 0, 157, 4},	//641 Soprano::Util::SimpleStatementIterator::operator=(const QList<Soprano::Statement>&)
    {47, 632, 248, 1, 0, 157, 5},	//642 Soprano::Util::SimpleStatementIterator::operator=(const Soprano::Util::SimpleStatementIterator&)
    {47, 927, 0, 0, Smoke::mf_dtor, 0, 6 },	//643 Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator()
    {48, 551, 0, 0, Smoke::mf_static, 24, 1},	//644 Soprano::Vocabulary::NAO::lastModified()
    {48, 463, 0, 0, Smoke::mf_static, 24, 2},	//645 Soprano::Vocabulary::NAO::hasSuperResource()
    {48, 359, 0, 0, Smoke::mf_static, 24, 3},	//646 Soprano::Vocabulary::NAO::creator()
    {48, 376, 0, 0, Smoke::mf_static, 24, 4},	//647 Soprano::Vocabulary::NAO::description()
    {48, 498, 0, 0, Smoke::mf_static, 24, 5},	//648 Soprano::Vocabulary::NAO::isDataGraphFor()
    {48, 476, 0, 0, Smoke::mf_static, 24, 6},	//649 Soprano::Vocabulary::NAO::iconName()
    {48, 677, 0, 0, Smoke::mf_static, 24, 7},	//650 Soprano::Vocabulary::NAO::prefSymbol()
    {48, 611, 0, 0, Smoke::mf_static, 24, 8},	//651 Soprano::Vocabulary::NAO::naoNamespace()
    {48, 458, 0, 0, Smoke::mf_static, 24, 9},	//652 Soprano::Vocabulary::NAO::hasDefaultNamespace()
    {48, 374, 0, 0, Smoke::mf_static, 24, 10},	//653 Soprano::Vocabulary::NAO::deprecated()
    {48, 249, 0, 0, Smoke::mf_static, 24, 11},	//654 Soprano::Vocabulary::NAO::altLabel()
    {48, 343, 0, 0, Smoke::mf_static, 24, 12},	//655 Soprano::Vocabulary::NAO::contributor()
    {48, 528, 0, 0, Smoke::mf_static, 24, 13},	//656 Soprano::Vocabulary::NAO::isTagFor()
    {48, 608, 0, 0, Smoke::mf_static, 24, 14},	//657 Soprano::Vocabulary::NAO::modified()
    {48, 808, 0, 0, Smoke::mf_static, 24, 15},	//658 Soprano::Vocabulary::NAO::status()
    {48, 83, 0, 0, Smoke::mf_static, 24, 16},	//659 Soprano::Vocabulary::NAO::FreeDesktopIcon()
    {48, 250, 0, 0, Smoke::mf_static, 24, 17},	//660 Soprano::Vocabulary::NAO::altSymbol()
    {48, 673, 0, 0, Smoke::mf_static, 24, 18},	//661 Soprano::Vocabulary::NAO::pluralPrefLabel()
    {48, 466, 0, 0, Smoke::mf_static, 24, 19},	//662 Soprano::Vocabulary::NAO::hasTopic()
    {48, 587, 0, 0, Smoke::mf_static, 24, 20},	//663 Soprano::Vocabulary::NAO::maintainedBy()
    {48, 739, 0, 0, Smoke::mf_static, 24, 21},	//664 Soprano::Vocabulary::NAO::score()
    {48, 205, 0, 0, Smoke::mf_static, 24, 22},	//665 Soprano::Vocabulary::NAO::Tag()
    {48, 869, 0, 0, Smoke::mf_static, 24, 23},	//666 Soprano::Vocabulary::NAO::userVisible()
    {48, 745, 0, 0, Smoke::mf_static, 24, 24},	//667 Soprano::Vocabulary::NAO::serializationLanguage()
    {48, 251, 0, 0, Smoke::mf_static, 24, 25},	//668 Soprano::Vocabulary::NAO::annotation()
    {48, 676, 0, 0, Smoke::mf_static, 24, 26},	//669 Soprano::Vocabulary::NAO::prefLabel()
    {48, 878, 0, 0, Smoke::mf_static, 24, 27},	//670 Soprano::Vocabulary::NAO::version()
    {48, 668, 0, 0, Smoke::mf_static, 24, 28},	//671 Soprano::Vocabulary::NAO::personalIdentifier()
    {48, 410, 0, 0, Smoke::mf_static, 24, 29},	//672 Soprano::Vocabulary::NAO::engineeringTool()
    {48, 692, 0, 0, Smoke::mf_static, 24, 30},	//673 Soprano::Vocabulary::NAO::rating()
    {48, 358, 0, 0, Smoke::mf_static, 24, 31},	//674 Soprano::Vocabulary::NAO::created()
    {48, 478, 0, 0, Smoke::mf_static, 24, 32},	//675 Soprano::Vocabulary::NAO::identifier()
    {48, 740, 0, 0, Smoke::mf_static, 24, 33},	//676 Soprano::Vocabulary::NAO::scoreParameter()
    {48, 529, 0, 0, Smoke::mf_static, 24, 34},	//677 Soprano::Vocabulary::NAO::isTopicOf()
    {48, 1, 0, 0, Smoke::mf_static, 24, 35},	//678 Soprano::Vocabulary::NAO::Agent()
    {48, 462, 0, 0, Smoke::mf_static, 24, 36},	//679 Soprano::Vocabulary::NAO::hasSubResource()
    {48, 459, 0, 0, Smoke::mf_static, 24, 37},	//680 Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation()
    {48, 202, 0, 0, Smoke::mf_static, 24, 38},	//681 Soprano::Vocabulary::NAO::Symbol()
    {48, 622, 0, 0, Smoke::mf_static, 24, 39},	//682 Soprano::Vocabulary::NAO::numericRating()
    {48, 136, 0, 0, Smoke::mf_static, 24, 40},	//683 Soprano::Vocabulary::NAO::Party()
    {48, 521, 0, 0, Smoke::mf_static, 24, 41},	//684 Soprano::Vocabulary::NAO::isRelated()
    {48, 464, 0, 0, Smoke::mf_static, 24, 42},	//685 Soprano::Vocabulary::NAO::hasSymbol()
    {48, 465, 0, 0, Smoke::mf_static, 24, 43},	//686 Soprano::Vocabulary::NAO::hasTag()
    {49, 212, 0, 0, Smoke::mf_static, 24, 1},	//687 Soprano::Vocabulary::NRL::ViewSpecification()
    {49, 163, 0, 0, Smoke::mf_static, 24, 2},	//688 Soprano::Vocabulary::NRL::RuleViewSpecification()
    {49, 85, 0, 0, Smoke::mf_static, 24, 3},	//689 Soprano::Vocabulary::NRL::Graph()
    {49, 52, 0, 0, Smoke::mf_static, 24, 4},	//690 Soprano::Vocabulary::NRL::Data()
    {49, 57, 0, 0, Smoke::mf_static, 24, 5},	//691 Soprano::Vocabulary::NRL::DefaultGraph()
    {49, 606, 0, 0, Smoke::mf_static, 24, 6},	//692 Soprano::Vocabulary::NRL::minCardinality()
    {49, 64, 0, 0, Smoke::mf_static, 24, 7},	//693 Soprano::Vocabulary::NRL::DocumentGraph()
    {49, 744, 0, 0, Smoke::mf_static, 24, 8},	//694 Soprano::Vocabulary::NRL::semanticsDefinedBy()
    {49, 489, 0, 0, Smoke::mf_static, 24, 9},	//695 Soprano::Vocabulary::NRL::inverseProperty()
    {49, 97, 0, 0, Smoke::mf_static, 24, 10},	//696 Soprano::Vocabulary::NRL::InverseFunctionalProperty()
    {49, 461, 0, 0, Smoke::mf_static, 24, 11},	//697 Soprano::Vocabulary::NRL::hasSpecification()
    {49, 58, 0, 0, Smoke::mf_static, 24, 12},	//698 Soprano::Vocabulary::NRL::DefiningProperty()
    {49, 76, 0, 0, Smoke::mf_static, 24, 13},	//699 Soprano::Vocabulary::NRL::ExternalViewSpecification()
    {49, 460, 0, 0, Smoke::mf_static, 24, 14},	//700 Soprano::Vocabulary::NRL::hasSemantics()
    {49, 888, 0, 0, Smoke::mf_static, 24, 15},	//701 Soprano::Vocabulary::NRL::viewOn()
    {49, 96, 0, 0, Smoke::mf_static, 24, 16},	//702 Soprano::Vocabulary::NRL::InstanceBase()
    {49, 428, 0, 0, Smoke::mf_static, 24, 17},	//703 Soprano::Vocabulary::NRL::externalRealizer()
    {49, 125, 0, 0, Smoke::mf_static, 24, 18},	//704 Soprano::Vocabulary::NRL::Ontology()
    {49, 814, 0, 0, Smoke::mf_static, 24, 19},	//705 Soprano::Vocabulary::NRL::subGraphOf()
    {49, 592, 0, 0, Smoke::mf_static, 24, 20},	//706 Soprano::Vocabulary::NRL::maxCardinality()
    {49, 165, 0, 0, Smoke::mf_static, 24, 21},	//707 Soprano::Vocabulary::NRL::Semantics()
    {49, 84, 0, 0, Smoke::mf_static, 24, 22},	//708 Soprano::Vocabulary::NRL::FunctionalProperty()
    {49, 286, 0, 0, Smoke::mf_static, 24, 23},	//709 Soprano::Vocabulary::NRL::cardinality()
    {49, 87, 0, 0, Smoke::mf_static, 24, 24},	//710 Soprano::Vocabulary::NRL::GraphView()
    {49, 62, 0, 0, Smoke::mf_static, 24, 25},	//711 Soprano::Vocabulary::NRL::DiscardableInstanceBase()
    {49, 154, 0, 0, Smoke::mf_static, 24, 26},	//712 Soprano::Vocabulary::NRL::ReflexiveProperty()
    {49, 209, 0, 0, Smoke::mf_static, 24, 27},	//713 Soprano::Vocabulary::NRL::TransitiveProperty()
    {49, 734, 0, 0, Smoke::mf_static, 24, 28},	//714 Soprano::Vocabulary::NRL::ruleLanguage()
    {49, 203, 0, 0, Smoke::mf_static, 24, 29},	//715 Soprano::Vocabulary::NRL::SymmetricProperty()
    {49, 695, 0, 0, Smoke::mf_static, 24, 30},	//716 Soprano::Vocabulary::NRL::realizes()
    {49, 733, 0, 0, Smoke::mf_static, 24, 31},	//717 Soprano::Vocabulary::NRL::rule()
    {49, 121, 0, 0, Smoke::mf_static, 24, 32},	//718 Soprano::Vocabulary::NRL::NonDefiningProperty()
    {49, 164, 0, 0, Smoke::mf_static, 24, 33},	//719 Soprano::Vocabulary::NRL::Schema()
    {49, 412, 0, 0, Smoke::mf_static, 24, 34},	//720 Soprano::Vocabulary::NRL::equivalentGraph()
    {49, 46, 0, 0, Smoke::mf_static, 24, 35},	//721 Soprano::Vocabulary::NRL::Configuration()
    {49, 456, 0, 0, Smoke::mf_static, 24, 36},	//722 Soprano::Vocabulary::NRL::graphMetadataFor()
    {49, 621, 0, 0, Smoke::mf_static, 24, 37},	//723 Soprano::Vocabulary::NRL::nrlNamespace()
    {49, 820, 0, 0, Smoke::mf_static, 24, 38},	//724 Soprano::Vocabulary::NRL::superGraphOf()
    {49, 8, 0, 0, Smoke::mf_static, 24, 39},	//725 Soprano::Vocabulary::NRL::AsymmetricProperty()
    {49, 480, 0, 0, Smoke::mf_static, 24, 40},	//726 Soprano::Vocabulary::NRL::imports()
    {49, 345, 0, 0, Smoke::mf_static, 24, 41},	//727 Soprano::Vocabulary::NRL::coreGraphMetadataFor()
    {49, 98, 0, 0, Smoke::mf_static, 24, 42},	//728 Soprano::Vocabulary::NRL::KnowledgeBase()
    {49, 86, 0, 0, Smoke::mf_static, 24, 43},	//729 Soprano::Vocabulary::NRL::GraphMetadata()
    {49, 860, 0, 0, Smoke::mf_static, 24, 44},	//730 Soprano::Vocabulary::NRL::updatable()
    {50, 84, 0, 0, Smoke::mf_static, 24, 1},	//731 Soprano::Vocabulary::OWL::FunctionalProperty()
    {50, 248, 0, 0, Smoke::mf_static, 24, 2},	//732 Soprano::Vocabulary::OWL::allValuesFrom()
    {50, 122, 0, 0, Smoke::mf_static, 24, 3},	//733 Soprano::Vocabulary::OWL::Nothing()
    {50, 125, 0, 0, Smoke::mf_static, 24, 4},	//734 Soprano::Vocabulary::OWL::Ontology()
    {50, 60, 0, 0, Smoke::mf_static, 24, 5},	//735 Soprano::Vocabulary::OWL::DeprecatedClass()
    {50, 879, 0, 0, Smoke::mf_static, 24, 6},	//736 Soprano::Vocabulary::OWL::versionInfo()
    {50, 411, 0, 0, Smoke::mf_static, 24, 7},	//737 Soprano::Vocabulary::OWL::equivalentClass()
    {50, 209, 0, 0, Smoke::mf_static, 24, 8},	//738 Soprano::Vocabulary::OWL::TransitiveProperty()
    {50, 735, 0, 0, Smoke::mf_static, 24, 9},	//739 Soprano::Vocabulary::OWL::sameAs()
    {50, 680, 0, 0, Smoke::mf_static, 24, 10},	//740 Soprano::Vocabulary::OWL::priorVersion()
    {50, 377, 0, 0, Smoke::mf_static, 24, 11},	//741 Soprano::Vocabulary::OWL::differentFrom()
    {50, 405, 0, 0, Smoke::mf_static, 24, 12},	//742 Soprano::Vocabulary::OWL::distinctMembers()
    {50, 126, 0, 0, Smoke::mf_static, 24, 13},	//743 Soprano::Vocabulary::OWL::OntologyProperty()
    {50, 413, 0, 0, Smoke::mf_static, 24, 14},	//744 Soprano::Vocabulary::OWL::equivalentProperty()
    {50, 626, 0, 0, Smoke::mf_static, 24, 15},	//745 Soprano::Vocabulary::OWL::oneOf()
    {50, 794, 0, 0, Smoke::mf_static, 24, 16},	//746 Soprano::Vocabulary::OWL::someValuesFrom()
    {50, 269, 0, 0, Smoke::mf_static, 24, 17},	//747 Soprano::Vocabulary::OWL::backwardCompatibleWith()
    {50, 203, 0, 0, Smoke::mf_static, 24, 18},	//748 Soprano::Vocabulary::OWL::SymmetricProperty()
    {50, 404, 0, 0, Smoke::mf_static, 24, 19},	//749 Soprano::Vocabulary::OWL::disjointWith()
    {50, 160, 0, 0, Smoke::mf_static, 24, 20},	//750 Soprano::Vocabulary::OWL::Restriction()
    {50, 208, 0, 0, Smoke::mf_static, 24, 21},	//751 Soprano::Vocabulary::OWL::Thing()
    {50, 97, 0, 0, Smoke::mf_static, 24, 22},	//752 Soprano::Vocabulary::OWL::InverseFunctionalProperty()
    {50, 467, 0, 0, Smoke::mf_static, 24, 23},	//753 Soprano::Vocabulary::OWL::hasValue()
    {50, 482, 0, 0, Smoke::mf_static, 24, 24},	//754 Soprano::Vocabulary::OWL::incompatibleWith()
    {50, 54, 0, 0, Smoke::mf_static, 24, 25},	//755 Soprano::Vocabulary::OWL::DataRange()
    {50, 5, 0, 0, Smoke::mf_static, 24, 26},	//756 Soprano::Vocabulary::OWL::AnnotationProperty()
    {50, 480, 0, 0, Smoke::mf_static, 24, 27},	//757 Soprano::Vocabulary::OWL::imports()
    {50, 488, 0, 0, Smoke::mf_static, 24, 28},	//758 Soprano::Vocabulary::OWL::inverseOf()
    {50, 44, 0, 0, Smoke::mf_static, 24, 29},	//759 Soprano::Vocabulary::OWL::Class()
    {50, 625, 0, 0, Smoke::mf_static, 24, 30},	//760 Soprano::Vocabulary::OWL::onProperty()
    {50, 61, 0, 0, Smoke::mf_static, 24, 31},	//761 Soprano::Vocabulary::OWL::DeprecatedProperty()
    {50, 2, 0, 0, Smoke::mf_static, 24, 32},	//762 Soprano::Vocabulary::OWL::AllDifferent()
    {50, 592, 0, 0, Smoke::mf_static, 24, 33},	//763 Soprano::Vocabulary::OWL::maxCardinality()
    {50, 309, 0, 0, Smoke::mf_static, 24, 34},	//764 Soprano::Vocabulary::OWL::complementOf()
    {50, 606, 0, 0, Smoke::mf_static, 24, 35},	//765 Soprano::Vocabulary::OWL::minCardinality()
    {50, 644, 0, 0, Smoke::mf_static, 24, 36},	//766 Soprano::Vocabulary::OWL::owlNamespace()
    {50, 487, 0, 0, Smoke::mf_static, 24, 37},	//767 Soprano::Vocabulary::OWL::intersectionOf()
    {50, 856, 0, 0, Smoke::mf_static, 24, 38},	//768 Soprano::Vocabulary::OWL::unionOf()
    {50, 56, 0, 0, Smoke::mf_static, 24, 39},	//769 Soprano::Vocabulary::OWL::DatatypeProperty()
    {50, 123, 0, 0, Smoke::mf_static, 24, 40},	//770 Soprano::Vocabulary::OWL::ObjectProperty()
    {50, 286, 0, 0, Smoke::mf_static, 24, 41},	//771 Soprano::Vocabulary::OWL::cardinality()
    {51, 436, 0, 0, Smoke::mf_static, 24, 1},	//772 Soprano::Vocabulary::RDF::first()
    {51, 854, 0, 0, Smoke::mf_static, 24, 2},	//773 Soprano::Vocabulary::RDF::type()
    {51, 215, 0, 0, Smoke::mf_static, 24, 3},	//774 Soprano::Vocabulary::RDF::XMLLiteral()
    {51, 728, 0, 0, Smoke::mf_static, 24, 4},	//775 Soprano::Vocabulary::RDF::rest()
    {51, 40, 0, 0, Smoke::mf_static, 24, 5},	//776 Soprano::Vocabulary::RDF::Bag()
    {51, 99, 0, 0, Smoke::mf_static, 24, 6},	//777 Soprano::Vocabulary::RDF::List()
    {51, 693, 0, 0, Smoke::mf_static, 24, 7},	//778 Soprano::Vocabulary::RDF::rdfNamespace()
    {51, 675, 0, 0, Smoke::mf_static, 24, 8},	//779 Soprano::Vocabulary::RDF::predicate()
    {51, 191, 0, 0, Smoke::mf_static, 24, 9},	//780 Soprano::Vocabulary::RDF::Statement()
    {51, 818, 0, 0, Smoke::mf_static, 24, 10},	//781 Soprano::Vocabulary::RDF::subject()
    {51, 623, 0, 0, Smoke::mf_static, 24, 11},	//782 Soprano::Vocabulary::RDF::object()
    {51, 3, 0, 0, Smoke::mf_static, 24, 12},	//783 Soprano::Vocabulary::RDF::Alt()
    {51, 617, 0, 0, Smoke::mf_static, 24, 13},	//784 Soprano::Vocabulary::RDF::nil()
    {51, 871, 0, 0, Smoke::mf_static, 24, 14},	//785 Soprano::Vocabulary::RDF::value()
    {51, 145, 0, 0, Smoke::mf_static, 24, 15},	//786 Soprano::Vocabulary::RDF::Property()
    {51, 166, 0, 0, Smoke::mf_static, 24, 16},	//787 Soprano::Vocabulary::RDF::Seq()
    {52, 50, 0, 0, Smoke::mf_static, 24, 1},	//788 Soprano::Vocabulary::RDFS::ContainerMembershipProperty()
    {52, 811, 0, 0, Smoke::mf_static, 24, 2},	//789 Soprano::Vocabulary::RDFS::subClassOf()
    {52, 158, 0, 0, Smoke::mf_static, 24, 3},	//790 Soprano::Vocabulary::RDFS::Resource()
    {52, 305, 0, 0, Smoke::mf_static, 24, 4},	//791 Soprano::Vocabulary::RDFS::comment()
    {52, 407, 0, 0, Smoke::mf_static, 24, 5},	//792 Soprano::Vocabulary::RDFS::domain()
    {52, 49, 0, 0, Smoke::mf_static, 24, 6},	//793 Soprano::Vocabulary::RDFS::Container()
    {52, 100, 0, 0, Smoke::mf_static, 24, 7},	//794 Soprano::Vocabulary::RDFS::Literal()
    {52, 548, 0, 0, Smoke::mf_static, 24, 8},	//795 Soprano::Vocabulary::RDFS::label()
    {52, 598, 0, 0, Smoke::mf_static, 24, 9},	//796 Soprano::Vocabulary::RDFS::member()
    {52, 44, 0, 0, Smoke::mf_static, 24, 10},	//797 Soprano::Vocabulary::RDFS::Class()
    {52, 499, 0, 0, Smoke::mf_static, 24, 11},	//798 Soprano::Vocabulary::RDFS::isDefinedBy()
    {52, 690, 0, 0, Smoke::mf_static, 24, 12},	//799 Soprano::Vocabulary::RDFS::range()
    {52, 55, 0, 0, Smoke::mf_static, 24, 13},	//800 Soprano::Vocabulary::RDFS::Datatype()
    {52, 694, 0, 0, Smoke::mf_static, 24, 14},	//801 Soprano::Vocabulary::RDFS::rdfsNamespace()
    {52, 815, 0, 0, Smoke::mf_static, 24, 15},	//802 Soprano::Vocabulary::RDFS::subPropertyOf()
    {52, 742, 0, 0, Smoke::mf_static, 24, 16},	//803 Soprano::Vocabulary::RDFS::seeAlso()
    {53, 792, 0, 0, Smoke::mf_static, 24, 1},	//804 Soprano::Vocabulary::SIL::silNamespace()
    {53, 92, 0, 0, Smoke::mf_static, 24, 2},	//805 Soprano::Vocabulary::SIL::InferenceGraph()
    {53, 342, 0, 0, Smoke::mf_static, 24, 3},	//806 Soprano::Vocabulary::SIL::context()
    {53, 797, 0, 0, Smoke::mf_static, 24, 4},	//807 Soprano::Vocabulary::SIL::sourceStatement()
    {53, 93, 0, 0, Smoke::mf_static, 24, 5},	//808 Soprano::Vocabulary::SIL::InferenceMetaData()
    {54, 902, 0, 0, Smoke::mf_static, 24, 1},	//809 Soprano::Vocabulary::XMLSchema::xsdLong()
    {54, 899, 0, 0, Smoke::mf_static, 24, 2},	//810 Soprano::Vocabulary::XMLSchema::xsdDouble()
    {54, 484, 0, 0, Smoke::mf_static, 24, 3},	//811 Soprano::Vocabulary::XMLSchema::integer()
    {54, 857, 0, 0, Smoke::mf_static, 24, 4},	//812 Soprano::Vocabulary::XMLSchema::unsignedInt()
    {54, 366, 0, 0, Smoke::mf_static, 24, 5},	//813 Soprano::Vocabulary::XMLSchema::decimal()
    {54, 270, 0, 0, Smoke::mf_static, 24, 6},	//814 Soprano::Vocabulary::XMLSchema::base64Binary()
    {54, 620, 0, 0, Smoke::mf_static, 24, 7},	//815 Soprano::Vocabulary::XMLSchema::nonNegativeInteger()
    {54, 810, 0, 0, Smoke::mf_static, 24, 8},	//816 Soprano::Vocabulary::XMLSchema::string()
    {54, 901, 0, 0, Smoke::mf_static, 24, 9},	//817 Soprano::Vocabulary::XMLSchema::xsdInt()
    {54, 858, 0, 0, Smoke::mf_static, 24, 10},	//818 Soprano::Vocabulary::XMLSchema::unsignedLong()
    {54, 900, 0, 0, Smoke::mf_static, 24, 11},	//819 Soprano::Vocabulary::XMLSchema::xsdFloat()
    {54, 904, 0, 0, Smoke::mf_static, 24, 12},	//820 Soprano::Vocabulary::XMLSchema::xsdShort()
    {54, 903, 0, 0, Smoke::mf_static, 24, 13},	//821 Soprano::Vocabulary::XMLSchema::xsdNamespace()
    {54, 612, 0, 0, Smoke::mf_static, 24, 14},	//822 Soprano::Vocabulary::XMLSchema::negativeInteger()
    {54, 365, 0, 0, Smoke::mf_static, 24, 15},	//823 Soprano::Vocabulary::XMLSchema::dateTime()
    {54, 282, 0, 0, Smoke::mf_static, 24, 16},	//824 Soprano::Vocabulary::XMLSchema::boolean()
    {54, 364, 0, 0, Smoke::mf_static, 24, 17},	//825 Soprano::Vocabulary::XMLSchema::date()
    {54, 833, 0, 0, Smoke::mf_static, 24, 18},	//826 Soprano::Vocabulary::XMLSchema::time()
    {54, 859, 0, 0, Smoke::mf_static, 24, 19},	//827 Soprano::Vocabulary::XMLSchema::unsignedShort()
    {55, 669, 0, 0, Smoke::mf_static, 24, 1},	//828 Soprano::Vocabulary::Xesam::phoneNumber()
    {55, 890, 0, 0, Smoke::mf_static, 24, 2},	//829 Soprano::Vocabulary::Xesam::width()
    {55, 68, 0, 0, Smoke::mf_static, 24, 3},	//830 Soprano::Vocabulary::Xesam::EmbeddedObject()
    {55, 545, 0, 0, Smoke::mf_static, 24, 4},	//831 Soprano::Vocabulary::Xesam::jabberContactMedium()
    {55, 429, 0, 0, Smoke::mf_static, 24, 5},	//832 Soprano::Vocabulary::Xesam::familyName()
    {55, 63, 0, 0, Smoke::mf_static, 24, 6},	//833 Soprano::Vocabulary::Xesam::Document()
    {55, 697, 0, 0, Smoke::mf_static, 24, 7},	//834 Soprano::Vocabulary::Xesam::recipient()
    {55, 586, 0, 0, Smoke::mf_static, 24, 8},	//835 Soprano::Vocabulary::Xesam::mailingPostalAddress()
    {55, 266, 0, 0, Smoke::mf_static, 24, 9},	//836 Soprano::Vocabulary::Xesam::author()
    {55, 344, 0, 0, Smoke::mf_static, 24, 10},	//837 Soprano::Vocabulary::Xesam::copyright()
    {55, 666, 0, 0, Smoke::mf_static, 24, 11},	//838 Soprano::Vocabulary::Xesam::permissions()
    {55, 603, 0, 0, Smoke::mf_static, 24, 12},	//839 Soprano::Vocabulary::Xesam::mimeType()
    {55, 290, 0, 0, Smoke::mf_static, 24, 13},	//840 Soprano::Vocabulary::Xesam::changeCommitTime()
    {55, 741, 0, 0, Smoke::mf_static, 24, 14},	//841 Soprano::Vocabulary::Xesam::secondaryRecipient()
    {55, 866, 0, 0, Smoke::mf_static, 24, 15},	//842 Soprano::Vocabulary::Xesam::userKeyword()
    {55, 758, 0, 0, Smoke::mf_static, 24, 16},	//843 Soprano::Vocabulary::Xesam::setCount()
    {55, 307, 0, 0, Smoke::mf_static, 24, 17},	//844 Soprano::Vocabulary::Xesam::commitDiff()
    {55, 455, 0, 0, Smoke::mf_static, 24, 18},	//845 Soprano::Vocabulary::Xesam::givenName()
    {55, 585, 0, 0, Smoke::mf_static, 24, 19},	//846 Soprano::Vocabulary::Xesam::mailingList()
    {55, 665, 0, 0, Smoke::mf_static, 24, 20},	//847 Soprano::Vocabulary::Xesam::performer()
    {55, 852, 0, 0, Smoke::mf_static, 24, 21},	//848 Soprano::Vocabulary::Xesam::trackNumber()
    {55, 252, 0, 0, Smoke::mf_static, 24, 22},	//849 Soprano::Vocabulary::Xesam::aperture()
    {55, 557, 0, 0, Smoke::mf_static, 24, 23},	//850 Soprano::Vocabulary::Xesam::lineCount()
    {55, 485, 0, 0, Smoke::mf_static, 24, 24},	//851 Soprano::Vocabulary::Xesam::interest()
    {55, 318, 0, 0, Smoke::mf_static, 24, 25},	//852 Soprano::Vocabulary::Xesam::contains()
    {55, 891, 0, 0, Smoke::mf_static, 24, 26},	//853 Soprano::Vocabulary::Xesam::wordCount()
    {55, 588, 0, 0, Smoke::mf_static, 24, 27},	//854 Soprano::Vocabulary::Xesam::maintainer()
    {55, 431, 0, 0, Smoke::mf_static, 24, 28},	//855 Soprano::Vocabulary::Xesam::fileExtension()
    {55, 255, 0, 0, Smoke::mf_static, 24, 29},	//856 Soprano::Vocabulary::Xesam::aspectRatio()
    {55, 317, 0, 0, Smoke::mf_static, 24, 30},	//857 Soprano::Vocabulary::Xesam::contactURL()
    {55, 594, 0, 0, Smoke::mf_static, 24, 31},	//858 Soprano::Vocabulary::Xesam::mediaBitrate()
    {55, 144, 0, 0, Smoke::mf_static, 24, 32},	//859 Soprano::Vocabulary::Xesam::Project()
    {55, 425, 0, 0, Smoke::mf_static, 24, 33},	//860 Soprano::Vocabulary::Xesam::exposureBias()
    {55, 508, 0, 0, Smoke::mf_static, 24, 34},	//861 Soprano::Vocabulary::Xesam::isEncrypted()
    {55, 732, 0, 0, Smoke::mf_static, 24, 35},	//862 Soprano::Vocabulary::Xesam::rssFeed()
    {55, 262, 0, 0, Smoke::mf_static, 24, 36},	//863 Soprano::Vocabulary::Xesam::audioSampleBitDepth()
    {55, 285, 0, 0, Smoke::mf_static, 24, 37},	//864 Soprano::Vocabulary::Xesam::cameraModel()
    {55, 45, 0, 0, Smoke::mf_static, 24, 38},	//865 Soprano::Vocabulary::Xesam::CommunicationChannel()
    {55, 260, 0, 0, Smoke::mf_static, 24, 39},	//866 Soprano::Vocabulary::Xesam::audioCodec()
    {55, 310, 0, 0, Smoke::mf_static, 24, 40},	//867 Soprano::Vocabulary::Xesam::composer()
    {55, 819, 0, 0, Smoke::mf_static, 24, 41},	//868 Soprano::Vocabulary::Xesam::summary()
    {55, 725, 0, 0, Smoke::mf_static, 24, 42},	//869 Soprano::Vocabulary::Xesam::replyTo()
    {55, 148, 0, 0, Smoke::mf_static, 24, 43},	//870 Soprano::Vocabulary::Xesam::RSSFeed()
    {55, 220, 0, 0, Smoke::mf_static, 24, 44},	//871 Soprano::Vocabulary::Xesam::acl()
    {55, 48, 0, 0, Smoke::mf_static, 24, 45},	//872 Soprano::Vocabulary::Xesam::ContactGroup()
    {55, 406, 0, 0, Smoke::mf_static, 24, 46},	//873 Soprano::Vocabulary::Xesam::documentCategory()
    {55, 127, 0, 0, Smoke::mf_static, 24, 47},	//874 Soprano::Vocabulary::Xesam::Organization()
    {55, 59, 0, 0, Smoke::mf_static, 24, 48},	//875 Soprano::Vocabulary::Xesam::DeletedFile()
    {55, 440, 0, 0, Smoke::mf_static, 24, 49},	//876 Soprano::Vocabulary::Xesam::focusDistance()
    {55, 533, 0, 0, Smoke::mf_static, 24, 50},	//877 Soprano::Vocabulary::Xesam::isoEquivalent()
    {55, 437, 0, 0, Smoke::mf_static, 24, 51},	//878 Soprano::Vocabulary::Xesam::firstUsed()
    {55, 837, 0, 0, Smoke::mf_static, 24, 52},	//879 Soprano::Vocabulary::Xesam::to()
    {55, 609, 0, 0, Smoke::mf_static, 24, 53},	//880 Soprano::Vocabulary::Xesam::mountPoint()
    {55, 143, 0, 0, Smoke::mf_static, 24, 54},	//881 Soprano::Vocabulary::Xesam::Presentation()
    {55, 65, 0, 0, Smoke::mf_static, 24, 55},	//882 Soprano::Vocabulary::Xesam::Documentation()
    {55, 272, 0, 0, Smoke::mf_static, 24, 56},	//883 Soprano::Vocabulary::Xesam::bcc()
    {55, 280, 0, 0, Smoke::mf_static, 24, 57},	//884 Soprano::Vocabulary::Xesam::blogContactURL()
    {55, 240, 0, 0, Smoke::mf_static, 24, 58},	//885 Soprano::Vocabulary::Xesam::albumPeakGain()
    {55, 486, 0, 0, Smoke::mf_static, 24, 59},	//886 Soprano::Vocabulary::Xesam::interlaceMode()
    {55, 667, 0, 0, Smoke::mf_static, 24, 60},	//887 Soprano::Vocabulary::Xesam::personPhoto()
    {55, 161, 0, 0, Smoke::mf_static, 24, 61},	//888 Soprano::Vocabulary::Xesam::RevisionControlledFile()
    {55, 438, 0, 0, Smoke::mf_static, 24, 62},	//889 Soprano::Vocabulary::Xesam::flashUsed()
    {55, 157, 0, 0, Smoke::mf_static, 24, 63},	//890 Soprano::Vocabulary::Xesam::RemoteResource()
    {55, 865, 0, 0, Smoke::mf_static, 24, 64},	//891 Soprano::Vocabulary::Xesam::userComment()
    {55, 43, 0, 0, Smoke::mf_static, 24, 65},	//892 Soprano::Vocabulary::Xesam::Bookmark()
    {55, 386, 0, 0, Smoke::mf_static, 24, 66},	//893 Soprano::Vocabulary::Xesam::discNumber()
    {55, 432, 0, 0, Smoke::mf_static, 24, 67},	//894 Soprano::Vocabulary::Xesam::fileSystemType()
    {55, 258, 0, 0, Smoke::mf_static, 24, 68},	//895 Soprano::Vocabulary::Xesam::audioBitrate()
    {55, 312, 0, 0, Smoke::mf_static, 24, 69},	//896 Soprano::Vocabulary::Xesam::compressionLevel()
    {55, 862, 0, 0, Smoke::mf_static, 24, 70},	//897 Soprano::Vocabulary::Xesam::url()
    {55, 698, 0, 0, Smoke::mf_static, 24, 71},	//898 Soprano::Vocabulary::Xesam::related()
    {55, 267, 0, 0, Smoke::mf_static, 24, 72},	//899 Soprano::Vocabulary::Xesam::autoRating()
    {55, 210, 0, 0, Smoke::mf_static, 24, 73},	//900 Soprano::Vocabulary::Xesam::UncategorizedText()
    {55, 239, 0, 0, Smoke::mf_static, 24, 74},	//901 Soprano::Vocabulary::Xesam::albumGain()
    {55, 554, 0, 0, Smoke::mf_static, 24, 75},	//902 Soprano::Vocabulary::Xesam::legal()
    {55, 316, 0, 0, Smoke::mf_static, 24, 76},	//903 Soprano::Vocabulary::Xesam::contactNick()
    {55, 288, 0, 0, Smoke::mf_static, 24, 77},	//904 Soprano::Vocabulary::Xesam::ccdWidth()
    {55, 237, 0, 0, Smoke::mf_static, 24, 78},	//905 Soprano::Vocabulary::Xesam::album()
    {55, 11, 0, 0, Smoke::mf_static, 24, 79},	//906 Soprano::Vocabulary::Xesam::Audio()
    {55, 793, 0, 0, Smoke::mf_static, 24, 80},	//907 Soprano::Vocabulary::Xesam::size()
    {55, 457, 0, 0, Smoke::mf_static, 24, 81},	//908 Soprano::Vocabulary::Xesam::group()
    {55, 641, 0, 0, Smoke::mf_static, 24, 82},	//909 Soprano::Vocabulary::Xesam::originURL()
    {55, 264, 0, 0, Smoke::mf_static, 24, 83},	//910 Soprano::Vocabulary::Xesam::audioSampleDataType()
    {55, 853, 0, 0, Smoke::mf_static, 24, 84},	//911 Soprano::Vocabulary::Xesam::trackPeakGain()
    {55, 265, 0, 0, Smoke::mf_static, 24, 85},	//912 Soprano::Vocabulary::Xesam::audioSampleRate()
    {55, 863, 0, 0, Smoke::mf_static, 24, 86},	//913 Soprano::Vocabulary::Xesam::useCount()
    {55, 523, 0, 0, Smoke::mf_static, 24, 87},	//914 Soprano::Vocabulary::Xesam::isSourceEncrypted()
    {55, 205, 0, 0, Smoke::mf_static, 24, 88},	//915 Soprano::Vocabulary::Xesam::Tag()
    {55, 490, 0, 0, Smoke::mf_static, 24, 89},	//916 Soprano::Vocabulary::Xesam::ircContactMedium()
    {55, 475, 0, 0, Smoke::mf_static, 24, 90},	//917 Soprano::Vocabulary::Xesam::horizontalResolution()
    {55, 42, 0, 0, Smoke::mf_static, 24, 91},	//918 Soprano::Vocabulary::Xesam::BlockDevice()
    {55, 624, 0, 0, Smoke::mf_static, 24, 92},	//919 Soprano::Vocabulary::Xesam::occupiedSpace()
    {55, 595, 0, 0, Smoke::mf_static, 24, 93},	//920 Soprano::Vocabulary::Xesam::mediaCodec()
    {55, 681, 0, 0, Smoke::mf_static, 24, 94},	//921 Soprano::Vocabulary::Xesam::programmingLanguage()
    {55, 444, 0, 0, Smoke::mf_static, 24, 95},	//922 Soprano::Vocabulary::Xesam::freeSpace()
    {55, 645, 0, 0, Smoke::mf_static, 24, 96},	//923 Soprano::Vocabulary::Xesam::owner()
    {55, 305, 0, 0, Smoke::mf_static, 24, 97},	//924 Soprano::Vocabulary::Xesam::comment()
    {55, 821, 0, 0, Smoke::mf_static, 24, 98},	//925 Soprano::Vocabulary::Xesam::supercedes()
    {55, 599, 0, 0, Smoke::mf_static, 24, 99},	//926 Soprano::Vocabulary::Xesam::mergeConflict()
    {55, 138, 0, 0, Smoke::mf_static, 24, 100},	//927 Soprano::Vocabulary::Xesam::PersonalEmail()
    {55, 584, 0, 0, Smoke::mf_static, 24, 101},	//928 Soprano::Vocabulary::Xesam::lyricist()
    {55, 162, 0, 0, Smoke::mf_static, 24, 102},	//929 Soprano::Vocabulary::Xesam::RevisionControlledRepository()
    {55, 878, 0, 0, Smoke::mf_static, 24, 103},	//930 Soprano::Vocabulary::Xesam::version()
    {55, 368, 0, 0, Smoke::mf_static, 24, 104},	//931 Soprano::Vocabulary::Xesam::definesFunction()
    {55, 868, 0, 0, Smoke::mf_static, 24, 105},	//932 Soprano::Vocabulary::Xesam::userRating()
    {55, 430, 0, 0, Smoke::mf_static, 24, 106},	//933 Soprano::Vocabulary::Xesam::faxPhoneNumber()
    {55, 469, 0, 0, Smoke::mf_static, 24, 107},	//934 Soprano::Vocabulary::Xesam::homeEmailAddress()
    {55, 555, 0, 0, Smoke::mf_static, 24, 108},	//935 Soprano::Vocabulary::Xesam::license()
    {55, 696, 0, 0, Smoke::mf_static, 24, 109},	//936 Soprano::Vocabulary::Xesam::receptionTime()
    {55, 103, 0, 0, Smoke::mf_static, 24, 110},	//937 Soprano::Vocabulary::Xesam::MailingListEmail()
    {55, 373, 0, 0, Smoke::mf_static, 24, 111},	//938 Soprano::Vocabulary::Xesam::depends()
    {55, 241, 0, 0, Smoke::mf_static, 24, 112},	//939 Soprano::Vocabulary::Xesam::albumTrackCount()
    {55, 886, 0, 0, Smoke::mf_static, 24, 113},	//940 Soprano::Vocabulary::Xesam::videoCodec()
    {55, 338, 0, 0, Smoke::mf_static, 24, 114},	//941 Soprano::Vocabulary::Xesam::contentCreated()
    {55, 471, 0, 0, Smoke::mf_static, 24, 115},	//942 Soprano::Vocabulary::Xesam::homePostalAddress()
    {55, 359, 0, 0, Smoke::mf_static, 24, 116},	//943 Soprano::Vocabulary::Xesam::creator()
    {55, 701, 0, 0, Smoke::mf_static, 24, 117},	//944 Soprano::Vocabulary::Xesam::remoteServer()
    {55, 674, 0, 0, Smoke::mf_static, 24, 118},	//945 Soprano::Vocabulary::Xesam::postalAddress()
    {55, 443, 0, 0, Smoke::mf_static, 24, 119},	//946 Soprano::Vocabulary::Xesam::frameRate()
    {55, 292, 0, 0, Smoke::mf_static, 24, 120},	//947 Soprano::Vocabulary::Xesam::characterCount()
    {55, 375, 0, 0, Smoke::mf_static, 24, 121},	//948 Soprano::Vocabulary::Xesam::derivedFrom()
    {55, 66, 0, 0, Smoke::mf_static, 24, 122},	//949 Soprano::Vocabulary::Xesam::Email()
    {55, 887, 0, 0, Smoke::mf_static, 24, 123},	//950 Soprano::Vocabulary::Xesam::videoCodecType()
    {55, 206, 0, 0, Smoke::mf_static, 24, 124},	//951 Soprano::Vocabulary::Xesam::Text()
    {55, 67, 0, 0, Smoke::mf_static, 24, 125},	//952 Soprano::Vocabulary::Xesam::EmailAttachment()
    {55, 211, 0, 0, Smoke::mf_static, 24, 126},	//953 Soprano::Vocabulary::Xesam::Video()
    {55, 311, 0, 0, Smoke::mf_static, 24, 127},	//954 Soprano::Vocabulary::Xesam::compressionAlgorithm()
    {55, 737, 0, 0, Smoke::mf_static, 24, 128},	//955 Soprano::Vocabulary::Xesam::sampleDataBitDepth()
    {55, 472, 0, 0, Smoke::mf_static, 24, 129},	//956 Soprano::Vocabulary::Xesam::homepageContactURL()
    {55, 105, 0, 0, Smoke::mf_static, 24, 130},	//957 Soprano::Vocabulary::Xesam::MediaList()
    {55, 546, 0, 0, Smoke::mf_static, 24, 131},	//958 Soprano::Vocabulary::Xesam::keyword()
    {55, 112, 0, 0, Smoke::mf_static, 24, 132},	//959 Soprano::Vocabulary::Xesam::NewsGroupEmail()
    {55, 511, 0, 0, Smoke::mf_static, 24, 133},	//960 Soprano::Vocabulary::Xesam::isInProgress()
    {55, 702, 0, 0, Smoke::mf_static, 24, 134},	//961 Soprano::Vocabulary::Xesam::remoteUser()
    {55, 102, 0, 0, Smoke::mf_static, 24, 135},	//962 Soprano::Vocabulary::Xesam::MailingList()
    {55, 306, 0, 0, Smoke::mf_static, 24, 136},	//963 Soprano::Vocabulary::Xesam::commentCharacterCount()
    {55, 207, 0, 0, Smoke::mf_static, 24, 137},	//964 Soprano::Vocabulary::Xesam::TextDocument()
    {55, 481, 0, 0, Smoke::mf_static, 24, 138},	//965 Soprano::Vocabulary::Xesam::inReplyTo()
    {55, 369, 0, 0, Smoke::mf_static, 24, 139},	//966 Soprano::Vocabulary::Xesam::definesGlobalVariable()
    {55, 593, 0, 0, Smoke::mf_static, 24, 140},	//967 Soprano::Vocabulary::Xesam::md5Hash()
    {55, 91, 0, 0, Smoke::mf_static, 24, 141},	//968 Soprano::Vocabulary::Xesam::Image()
    {55, 188, 0, 0, Smoke::mf_static, 24, 142},	//969 Soprano::Vocabulary::Xesam::Source()
    {55, 341, 0, 0, Smoke::mf_static, 24, 143},	//970 Soprano::Vocabulary::Xesam::contentType()
    {55, 520, 0, 0, Smoke::mf_static, 24, 144},	//971 Soprano::Vocabulary::Xesam::isRead()
    {55, 51, 0, 0, Smoke::mf_static, 24, 145},	//972 Soprano::Vocabulary::Xesam::Content()
    {55, 897, 0, 0, Smoke::mf_static, 24, 146},	//973 Soprano::Vocabulary::Xesam::xesam35mmEquivalent()
    {55, 7, 0, 0, Smoke::mf_static, 24, 147},	//974 Soprano::Vocabulary::Xesam::ArchivedFile()
    {55, 137, 0, 0, Smoke::mf_static, 24, 148},	//975 Soprano::Vocabulary::Xesam::Person()
    {55, 589, 0, 0, Smoke::mf_static, 24, 149},	//976 Soprano::Vocabulary::Xesam::markupCharacterCount()
    {55, 149, 0, 0, Smoke::mf_static, 24, 150},	//977 Soprano::Vocabulary::Xesam::RSSMessage()
    {55, 256, 0, 0, Smoke::mf_static, 24, 151},	//978 Soprano::Vocabulary::Xesam::attachmentEncoding()
    {55, 426, 0, 0, Smoke::mf_static, 24, 152},	//979 Soprano::Vocabulary::Xesam::exposureProgram()
    {55, 582, 0, 0, Smoke::mf_static, 24, 153},	//980 Soprano::Vocabulary::Xesam::localRevision()
    {55, 89, 0, 0, Smoke::mf_static, 24, 154},	//981 Soprano::Vocabulary::Xesam::IMMessage()
    {55, 842, 0, 0, Smoke::mf_static, 24, 155},	//982 Soprano::Vocabulary::Xesam::totalUncompressedSize()
    {55, 552, 0, 0, Smoke::mf_static, 24, 156},	//983 Soprano::Vocabulary::Xesam::lastRefreshed()
    {55, 699, 0, 0, Smoke::mf_static, 24, 157},	//984 Soprano::Vocabulary::Xesam::remotePassword()
    {55, 433, 0, 0, Smoke::mf_static, 24, 158},	//985 Soprano::Vocabulary::Xesam::fingerprint()
    {55, 107, 0, 0, Smoke::mf_static, 24, 159},	//986 Soprano::Vocabulary::Xesam::MessageboxMessage()
    {55, 442, 0, 0, Smoke::mf_static, 24, 160},	//987 Soprano::Vocabulary::Xesam::frameCount()
    {55, 884, 0, 0, Smoke::mf_static, 24, 161},	//988 Soprano::Vocabulary::Xesam::verticalResolution()
    {55, 553, 0, 0, Smoke::mf_static, 24, 162},	//989 Soprano::Vocabulary::Xesam::lastUsed()
    {55, 88, 0, 0, Smoke::mf_static, 24, 163},	//990 Soprano::Vocabulary::Xesam::IMAP4Message()
    {55, 643, 0, 0, Smoke::mf_static, 24, 164},	//991 Soprano::Vocabulary::Xesam::otherName()
    {55, 818, 0, 0, Smoke::mf_static, 24, 165},	//992 Soprano::Vocabulary::Xesam::subject()
    {55, 646, 0, 0, Smoke::mf_static, 24, 166},	//993 Soprano::Vocabulary::Xesam::pageCount()
    {55, 289, 0, 0, Smoke::mf_static, 24, 167},	//994 Soprano::Vocabulary::Xesam::cellPhoneNumber()
    {55, 597, 0, 0, Smoke::mf_static, 24, 168},	//995 Soprano::Vocabulary::Xesam::mediaDuration()
    {55, 4, 0, 0, Smoke::mf_static, 24, 169},	//996 Soprano::Vocabulary::Xesam::Annotation()
    {55, 479, 0, 0, Smoke::mf_static, 24, 170},	//997 Soprano::Vocabulary::Xesam::imContactMedium()
    {55, 104, 0, 0, Smoke::mf_static, 24, 171},	//998 Soprano::Vocabulary::Xesam::Media()
    {55, 468, 0, 0, Smoke::mf_static, 24, 172},	//999 Soprano::Vocabulary::Xesam::height()
    {55, 308, 0, 0, Smoke::mf_static, 24, 173},	//1000 Soprano::Vocabulary::Xesam::communicationChannel()
    {55, 809, 0, 0, Smoke::mf_static, 24, 174},	//1001 Soprano::Vocabulary::Xesam::storageSize()
    {55, 287, 0, 0, Smoke::mf_static, 24, 175},	//1002 Soprano::Vocabulary::Xesam::cc()
    {55, 870, 0, 0, Smoke::mf_static, 24, 176},	//1003 Soprano::Vocabulary::Xesam::usesNamespace()
    {55, 261, 0, 0, Smoke::mf_static, 24, 177},	//1004 Soprano::Vocabulary::Xesam::audioCodecType()
    {55, 841, 0, 0, Smoke::mf_static, 24, 178},	//1005 Soprano::Vocabulary::Xesam::totalSpace()
    {55, 743, 0, 0, Smoke::mf_static, 24, 179},	//1006 Soprano::Vocabulary::Xesam::seenAttachedAs()
    {55, 885, 0, 0, Smoke::mf_static, 24, 180},	//1007 Soprano::Vocabulary::Xesam::videoBitrate()
    {55, 556, 0, 0, Smoke::mf_static, 24, 181},	//1008 Soprano::Vocabulary::Xesam::licenseType()
    {55, 372, 0, 0, Smoke::mf_static, 24, 182},	//1009 Soprano::Vocabulary::Xesam::deletionTime()
    {55, 304, 0, 0, Smoke::mf_static, 24, 183},	//1010 Soprano::Vocabulary::Xesam::columnCount()
    {55, 139, 0, 0, Smoke::mf_static, 24, 184},	//1011 Soprano::Vocabulary::Xesam::Photo()
    {55, 671, 0, 0, Smoke::mf_static, 24, 185},	//1012 Soprano::Vocabulary::Xesam::pixelDataType()
    {55, 187, 0, 0, Smoke::mf_static, 24, 186},	//1013 Soprano::Vocabulary::Xesam::SoftwarePackage()
    {55, 791, 0, 0, Smoke::mf_static, 24, 187},	//1014 Soprano::Vocabulary::Xesam::sha1Hash()
    {55, 339, 0, 0, Smoke::mf_static, 24, 188},	//1015 Soprano::Vocabulary::Xesam::contentKeyword()
    {55, 613, 0, 0, Smoke::mf_static, 24, 189},	//1016 Soprano::Vocabulary::Xesam::newsGroup()
    {55, 12, 0, 0, Smoke::mf_static, 24, 190},	//1017 Soprano::Vocabulary::Xesam::AudioList()
    {55, 441, 0, 0, Smoke::mf_static, 24, 191},	//1018 Soprano::Vocabulary::Xesam::formatSubtype()
    {55, 736, 0, 0, Smoke::mf_static, 24, 192},	//1019 Soprano::Vocabulary::Xesam::sampleConfiguration()
    {55, 303, 0, 0, Smoke::mf_static, 24, 193},	//1020 Soprano::Vocabulary::Xesam::colorSpace()
    {55, 454, 0, 0, Smoke::mf_static, 24, 194},	//1021 Soprano::Vocabulary::Xesam::genre()
    {55, 106, 0, 0, Smoke::mf_static, 24, 195},	//1022 Soprano::Vocabulary::Xesam::Message()
    {55, 367, 0, 0, Smoke::mf_static, 24, 196},	//1023 Soprano::Vocabulary::Xesam::definesClass()
    {55, 214, 0, 0, Smoke::mf_static, 24, 197},	//1024 Soprano::Vocabulary::Xesam::XML()
    {55, 110, 0, 0, Smoke::mf_static, 24, 198},	//1025 Soprano::Vocabulary::Xesam::Music()
    {55, 549, 0, 0, Smoke::mf_static, 24, 199},	//1026 Soprano::Vocabulary::Xesam::language()
    {55, 128, 0, 0, Smoke::mf_static, 24, 200},	//1027 Soprano::Vocabulary::Xesam::POP3Message()
    {55, 519, 0, 0, Smoke::mf_static, 24, 201},	//1028 Soprano::Vocabulary::Xesam::isPublicChannel()
    {55, 387, 0, 0, Smoke::mf_static, 24, 202},	//1029 Soprano::Vocabulary::Xesam::disclaimer()
    {55, 610, 0, 0, Smoke::mf_static, 24, 203},	//1030 Soprano::Vocabulary::Xesam::name()
    {55, 892, 0, 0, Smoke::mf_static, 24, 204},	//1031 Soprano::Vocabulary::Xesam::workEmailAddress()
    {55, 293, 0, 0, Smoke::mf_static, 24, 205},	//1032 Soprano::Vocabulary::Xesam::charset()
    {55, 190, 0, 0, Smoke::mf_static, 24, 206},	//1033 Soprano::Vocabulary::Xesam::Spreadsheet()
    {55, 679, 0, 0, Smoke::mf_static, 24, 207},	//1034 Soprano::Vocabulary::Xesam::primaryRecipient()
    {55, 558, 0, 0, Smoke::mf_static, 24, 208},	//1035 Soprano::Vocabulary::Xesam::links()
    {55, 277, 0, 0, Smoke::mf_static, 24, 209},	//1036 Soprano::Vocabulary::Xesam::birthDate()
    {55, 647, 0, 0, Smoke::mf_static, 24, 210},	//1037 Soprano::Vocabulary::Xesam::paragraphCount()
    {55, 596, 0, 0, Smoke::mf_static, 24, 211},	//1038 Soprano::Vocabulary::Xesam::mediaCodecType()
    {55, 731, 0, 0, Smoke::mf_static, 24, 212},	//1039 Soprano::Vocabulary::Xesam::rowCount()
    {55, 510, 0, 0, Smoke::mf_static, 24, 213},	//1040 Soprano::Vocabulary::Xesam::isImportant()
    {55, 155, 0, 0, Smoke::mf_static, 24, 214},	//1041 Soprano::Vocabulary::Xesam::RemoteFile()
    {55, 78, 0, 0, Smoke::mf_static, 24, 215},	//1042 Soprano::Vocabulary::Xesam::FileSystem()
    {55, 77, 0, 0, Smoke::mf_static, 24, 216},	//1043 Soprano::Vocabulary::Xesam::File()
    {55, 257, 0, 0, Smoke::mf_static, 24, 217},	//1044 Soprano::Vocabulary::Xesam::audioBPM()
    {55, 893, 0, 0, Smoke::mf_static, 24, 218},	//1045 Soprano::Vocabulary::Xesam::workPhoneNumber()
    {55, 124, 0, 0, Smoke::mf_static, 24, 219},	//1046 Soprano::Vocabulary::Xesam::OfflineMedia()
    {55, 836, 0, 0, Smoke::mf_static, 24, 220},	//1047 Soprano::Vocabulary::Xesam::title()
    {55, 640, 0, 0, Smoke::mf_static, 24, 221},	//1048 Soprano::Vocabulary::Xesam::orientation()
    {55, 795, 0, 0, Smoke::mf_static, 24, 222},	//1049 Soprano::Vocabulary::Xesam::sourceCreated()
    {55, 796, 0, 0, Smoke::mf_static, 24, 223},	//1050 Soprano::Vocabulary::Xesam::sourceModified()
    {55, 439, 0, 0, Smoke::mf_static, 24, 224},	//1051 Soprano::Vocabulary::Xesam::focalLength()
    {55, 851, 0, 0, Smoke::mf_static, 24, 225},	//1052 Soprano::Vocabulary::Xesam::trackGain()
    {55, 79, 0, 0, Smoke::mf_static, 24, 226},	//1053 Soprano::Vocabulary::Xesam::Filelike()
    {55, 898, 0, 0, Smoke::mf_static, 24, 227},	//1054 Soprano::Vocabulary::Xesam::xesamNamespace()
    {55, 111, 0, 0, Smoke::mf_static, 24, 228},	//1055 Soprano::Vocabulary::Xesam::NewsGroup()
    {55, 156, 0, 0, Smoke::mf_static, 24, 229},	//1056 Soprano::Vocabulary::Xesam::RemoteMessageboxMessage()
    {55, 259, 0, 0, Smoke::mf_static, 24, 230},	//1057 Soprano::Vocabulary::Xesam::audioChannels()
    {55, 291, 0, 0, Smoke::mf_static, 24, 231},	//1058 Soprano::Vocabulary::Xesam::changeCommitter()
    {55, 700, 0, 0, Smoke::mf_static, 24, 232},	//1059 Soprano::Vocabulary::Xesam::remotePort()
    {55, 302, 0, 0, Smoke::mf_static, 24, 233},	//1060 Soprano::Vocabulary::Xesam::colorCount()
    {55, 271, 0, 0, Smoke::mf_static, 24, 234},	//1061 Soprano::Vocabulary::Xesam::baseRevisionID()
    {55, 343, 0, 0, Smoke::mf_static, 24, 235},	//1062 Soprano::Vocabulary::Xesam::contributor()
    {55, 409, 0, 0, Smoke::mf_static, 24, 236},	//1063 Soprano::Vocabulary::Xesam::emailAddress()
    {55, 642, 0, 0, Smoke::mf_static, 24, 237},	//1064 Soprano::Vocabulary::Xesam::originalLocation()
    {55, 47, 0, 0, Smoke::mf_static, 24, 238},	//1065 Soprano::Vocabulary::Xesam::Contact()
    {55, 376, 0, 0, Smoke::mf_static, 24, 239},	//1066 Soprano::Vocabulary::Xesam::description()
    {55, 738, 0, 0, Smoke::mf_static, 24, 240},	//1067 Soprano::Vocabulary::Xesam::sampleDataType()
    {55, 547, 0, 0, Smoke::mf_static, 24, 241},	//1068 Soprano::Vocabulary::Xesam::knows()
    {55, 427, 0, 0, Smoke::mf_static, 24, 242},	//1069 Soprano::Vocabulary::Xesam::exposureTime()
    {55, 894, 0, 0, Smoke::mf_static, 24, 243},	//1070 Soprano::Vocabulary::Xesam::workPostalAddress()
    {55, 452, 0, 0, Smoke::mf_static, 24, 244},	//1071 Soprano::Vocabulary::Xesam::generator()
    {55, 470, 0, 0, Smoke::mf_static, 24, 245},	//1072 Soprano::Vocabulary::Xesam::homePhoneNumber()
    {55, 6, 0, 0, Smoke::mf_static, 24, 246},	//1073 Soprano::Vocabulary::Xesam::Archive()
    {55, 284, 0, 0, Smoke::mf_static, 24, 247},	//1074 Soprano::Vocabulary::Xesam::cameraManufacturer()
    {55, 313, 0, 0, Smoke::mf_static, 24, 248},	//1075 Soprano::Vocabulary::Xesam::conflicts()
    {55, 53, 0, 0, Smoke::mf_static, 24, 249},	//1076 Soprano::Vocabulary::Xesam::DataObject()
    {55, 340, 0, 0, Smoke::mf_static, 24, 250},	//1077 Soprano::Vocabulary::Xesam::contentModified()
    {55, 602, 0, 0, Smoke::mf_static, 24, 251},	//1078 Soprano::Vocabulary::Xesam::meteringMode()
    {55, 832, 0, 0, Smoke::mf_static, 24, 252},	//1079 Soprano::Vocabulary::Xesam::targetQuality()
    {55, 451, 0, 0, Smoke::mf_static, 24, 253},	//1080 Soprano::Vocabulary::Xesam::gender()
    {55, 254, 0, 0, Smoke::mf_static, 24, 254},	//1081 Soprano::Vocabulary::Xesam::asText()
    {55, 253, 0, 0, Smoke::mf_static, 24, 255},	//1082 Soprano::Vocabulary::Xesam::artist()
    {55, 670, 0, 0, Smoke::mf_static, 24, 256},	//1083 Soprano::Vocabulary::Xesam::pixelDataBitDepth()
    {55, 213, 0, 0, Smoke::mf_static, 24, 257},	//1084 Soprano::Vocabulary::Xesam::Visual()
    {55, 315, 0, 0, Smoke::mf_static, 24, 258},	//1085 Soprano::Vocabulary::Xesam::contactMedium()
    {55, 453, 0, 0, Smoke::mf_static, 24, 259},	//1086 Soprano::Vocabulary::Xesam::generatorOptions()
    {55, 238, 0, 0, Smoke::mf_static, 24, 260},	//1087 Soprano::Vocabulary::Xesam::albumArtist()
    {55, 473, 0, 0, Smoke::mf_static, 24, 261},	//1088 Soprano::Vocabulary::Xesam::honorificPrefix()
    {55, 204, 0, 0, Smoke::mf_static, 24, 262},	//1089 Soprano::Vocabulary::Xesam::SystemResource()
    {55, 337, 0, 0, Smoke::mf_static, 24, 263},	//1090 Soprano::Vocabulary::Xesam::contentComment()
    {55, 82, 0, 0, Smoke::mf_static, 24, 264},	//1091 Soprano::Vocabulary::Xesam::Folder()
    {55, 474, 0, 0, Smoke::mf_static, 24, 265},	//1092 Soprano::Vocabulary::Xesam::honorificSuffix()
    {55, 477, 0, 0, Smoke::mf_static, 24, 266},	//1093 Soprano::Vocabulary::Xesam::id()
    {55, 889, 0, 0, Smoke::mf_static, 24, 267},	//1094 Soprano::Vocabulary::Xesam::whiteBalance()
    {55, 497, 0, 0, Smoke::mf_static, 24, 268},	//1095 Soprano::Vocabulary::Xesam::isContentEncrypted()
    {55, 189, 0, 0, Smoke::mf_static, 24, 269},	//1096 Soprano::Vocabulary::Xesam::SourceCode()
    {55, 263, 0, 0, Smoke::mf_static, 24, 270},	//1097 Soprano::Vocabulary::Xesam::audioSampleCount()
    {55, 294, 0, 0, Smoke::mf_static, 24, 271},	//1098 Soprano::Vocabulary::Xesam::chatRoom()
    {55, 776, 0, 0, Smoke::mf_static, 24, 272},	//1099 Soprano::Vocabulary::Xesam::setRate()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    537,  // Soprano::Util::AsyncQuery::binding(const QString&) const
    538,  // Soprano::Util::AsyncQuery::binding(int) const
    0,
    246,  // Soprano::Node::Node(const QUrl&)
    248,  // Soprano::Node::Node(const Soprano::LiteralValue&)
    250,  // Soprano::Node::Node(const Soprano::Node&)
    0,
    251,  // Soprano::Node::operator=(const Soprano::Node&)
    252,  // Soprano::Node::operator=(const QUrl&)
    253,  // Soprano::Node::operator=(const Soprano::LiteralValue&)
    0,
    254,  // Soprano::Node::operator==(const Soprano::Node&) const
    256,  // Soprano::Node::operator==(const QUrl&) const
    257,  // Soprano::Node::operator==(const Soprano::LiteralValue&) const
    0,
    23,  // Soprano::qHash(const Soprano::Node&)
    26,  // Soprano::qHash(const Soprano::LiteralValue&)
    27,  // Soprano::qHash(const Soprano::Statement&)
    36,  // Soprano::qHash(const Soprano::LanguageTag&)
    0,
    19,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    29,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    34,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    43,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, const QString&)
    0,
    18,  // Soprano::settingInSettings(QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    28,  // Soprano::settingInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption, const QString&)
    0,
    17,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, Soprano::BackendOption)
    31,  // Soprano::valueInSettings(const QList<Soprano::BackendSetting>&, const QString&)
    0,
    96,  // Soprano::Error::Error::Error(const Soprano::Error::Error&)
    103,  // Soprano::Error::Error::Error(Soprano::Error::ErrorData*)
    0,
    85,  // Soprano::BackendSetting::BackendSetting(Soprano::BackendOption, const QVariant&)
    86,  // Soprano::BackendSetting::BackendSetting(const QString&, const QVariant&)
    0,
    348,  // Soprano::QueryResultIterator::QueryResultIterator(const Soprano::QueryResultIterator&)
    349,  // Soprano::QueryResultIterator::QueryResultIterator(Soprano::QueryResultIteratorBackend*)
    0,
    356,  // Soprano::QueryResultIterator::binding(const QString&) const
    357,  // Soprano::QueryResultIterator::binding(int) const
    0,
    365,  // Soprano::QueryResultIterator::iterateBindings(const QString&) const
    366,  // Soprano::QueryResultIterator::iterateBindings(int) const
    0,
    354,  // Soprano::QueryResultIterator::operator[](int) const
    355,  // Soprano::QueryResultIterator::operator[](const QString) const
    0,
    116,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Error&)
    119,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::ParserError&)
    120,  // Soprano::Error::ParserError::ParserError(const Soprano::Error::Locator&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 216, 3},	// QGlobalSpace::__codecvt_error
    {5, 217, 4},	// QGlobalSpace::__codecvt_noconv
    {5, 218, 1},	// QGlobalSpace::__codecvt_ok
    {5, 219, 2},	// QGlobalSpace::__codecvt_partial
    {13, 16, 46},	// Soprano::BackendFeatureAddStatement
    {13, 17, 54},	// Soprano::BackendFeatureAll
    {13, 18, 52},	// Soprano::BackendFeatureContext
    {13, 19, 50},	// Soprano::BackendFeatureInference
    {13, 20, 51},	// Soprano::BackendFeatureInferenceOptional
    {13, 21, 48},	// Soprano::BackendFeatureListStatements
    {13, 22, 45},	// Soprano::BackendFeatureNone
    {13, 23, 49},	// Soprano::BackendFeatureQuery
    {13, 24, 47},	// Soprano::BackendFeatureRemoveStatements
    {13, 25, 53},	// Soprano::BackendFeatureStorageMemory
    {13, 26, 55},	// Soprano::BackendFeatureUser
    {13, 27, 58},	// Soprano::BackendOptionEnableInference
    {13, 28, 60},	// Soprano::BackendOptionHost
    {13, 29, 56},	// Soprano::BackendOptionNone
    {13, 30, 63},	// Soprano::BackendOptionPassword
    {13, 31, 61},	// Soprano::BackendOptionPort
    {13, 32, 59},	// Soprano::BackendOptionStorageDir
    {13, 33, 57},	// Soprano::BackendOptionStorageMemory
    {13, 34, 64},	// Soprano::BackendOptionUser
    {13, 35, 62},	// Soprano::BackendOptionUsername
    {13, 167, 67},	// Soprano::SerializationN3
    {13, 168, 71},	// Soprano::SerializationNQuads
    {13, 169, 68},	// Soprano::SerializationNTriples
    {13, 170, 66},	// Soprano::SerializationRdfXml
    {13, 171, 70},	// Soprano::SerializationTrig
    {13, 172, 69},	// Soprano::SerializationTurtle
    {13, 173, 65},	// Soprano::SerializationUnknown
    {13, 174, 72},	// Soprano::SerializationUser
    {13, 353, 13},	// Soprano::createModel
    {13, 354, 12},	// Soprano::createModel?
    {13, 390, 39},	// Soprano::discoverBackendByFeatures$
    {13, 391, 38},	// Soprano::discoverBackendByFeatures$?
    {13, 393, 44},	// Soprano::discoverBackendByName$
    {13, 514, 22},	// Soprano::isOptionInSettings?$
    {13, 515, 21},	// Soprano::isOptionInSettings?$$
    {13, 605, 24},	// Soprano::mimeTypeToSerialization$
    {13, 631, 20},	// Soprano::operator<<##
    {13, 684, -16},	// Soprano::qHash#
    {13, 747, 42},	// Soprano::serializationMimeType$
    {13, 748, 41},	// Soprano::serializationMimeType$$
    {13, 784, 15},	// Soprano::setUsedBackend#
    {13, 788, 35},	// Soprano::settingInSettings?
    {13, 789, -21},	// Soprano::settingInSettings?$
    {13, 790, -26},	// Soprano::settingInSettings?$$
    {13, 864, 14},	// Soprano::usedBackend
    {13, 873, -29},	// Soprano::valueInSettings?$
    {13, 874, 30},	// Soprano::valueInSettings?$#
    {13, 875, 16},	// Soprano::valueInSettings?$$
    {13, 877, 37},	// Soprano::valueInSettingsWithDefault?$#
    {13, 880, 25},	// Soprano::versionMajor
    {13, 881, 40},	// Soprano::versionMinor
    {13, 882, 33},	// Soprano::versionRelease
    {13, 883, 32},	// Soprano::versionString
    {14, 14, 79},	// Soprano::Backend::Backend#
    {14, 15, 73},	// Soprano::Backend::Backend$
    {14, 353, 80},	// Soprano::Backend::createModel
    {14, 354, 74},	// Soprano::Backend::createModel?
    {14, 371, 75},	// Soprano::Backend::deleteModelData?
    {14, 822, 76},	// Soprano::Backend::supportedFeatures
    {14, 824, 77},	// Soprano::Backend::supportedUserFeatures
    {14, 827, 81},	// Soprano::Backend::supportsFeatures$
    {14, 828, 78},	// Soprano::Backend::supportsFeatures$?
    {14, 908, 82},	// Soprano::Backend::~Backend
    {15, 36, 83},	// Soprano::BackendSetting::BackendSetting
    {15, 37, 87},	// Soprano::BackendSetting::BackendSetting#
    {15, 38, 84},	// Soprano::BackendSetting::BackendSetting$
    {15, 39, -35},	// Soprano::BackendSetting::BackendSetting$#
    {15, 633, 88},	// Soprano::BackendSetting::operator=#
    {15, 639, 89},	// Soprano::BackendSetting::option
    {15, 786, 92},	// Soprano::BackendSetting::setValue#
    {15, 867, 90},	// Soprano::BackendSetting::userOptionName
    {15, 871, 91},	// Soprano::BackendSetting::value
    {15, 909, 93},	// Soprano::BackendSetting::~BackendSetting
    {17, 70, 94},	// Soprano::Error::Error::Error
    {17, 71, -32},	// Soprano::Error::Error::Error#
    {17, 72, 104},	// Soprano::Error::Error::Error$
    {17, 73, 95},	// Soprano::Error::Error::Error$$
    {17, 301, 100},	// Soprano::Error::Error::code
    {17, 516, 101},	// Soprano::Error::Error::isParserError
    {17, 600, 99},	// Soprano::Error::Error::message
    {17, 627, 98},	// Soprano::Error::Error::operator bool
    {17, 633, 97},	// Soprano::Error::Error::operator=#
    {17, 839, 102},	// Soprano::Error::Error::toParserError
    {17, 910, 105},	// Soprano::Error::Error::~Error
    {18, 74, 107},	// Soprano::Error::ErrorCache::ErrorCache
    {18, 75, 111},	// Soprano::Error::ErrorCache::ErrorCache#
    {18, 297, 108},	// Soprano::Error::ErrorCache::clearError
    {18, 550, 106},	// Soprano::Error::ErrorCache::lastError
    {18, 760, 109},	// Soprano::Error::ErrorCache::setError#
    {18, 761, 112},	// Soprano::Error::ErrorCache::setError$
    {18, 762, 110},	// Soprano::Error::ErrorCache::setError$$
    {18, 911, 113},	// Soprano::Error::ErrorCache::~ErrorCache
    {21, 132, 114},	// Soprano::Error::ParserError::ParserError
    {21, 133, -50},	// Soprano::Error::ParserError::ParserError#
    {21, 134, 121},	// Soprano::Error::ParserError::ParserError#$
    {21, 135, 115},	// Soprano::Error::ParserError::ParserError#$$
    {21, 583, 118},	// Soprano::Error::ParserError::locator
    {21, 633, 117},	// Soprano::Error::ParserError::operator=#
    {21, 918, 122},	// Soprano::Error::ParserError::~ParserError
    {22, 80, 152},	// Soprano::FilterModel::FilterModel
    {22, 81, 153},	// Soprano::FilterModel::FilterModel#
    {22, 226, 132},	// Soprano::FilterModel::addStatement#
    {22, 227, 160},	// Soprano::FilterModel::addStatement###
    {22, 228, 133},	// Soprano::FilterModel::addStatement####
    {22, 320, 144},	// Soprano::FilterModel::containsAnyStatement#
    {22, 321, 166},	// Soprano::FilterModel::containsAnyStatement###
    {22, 322, 145},	// Soprano::FilterModel::containsAnyStatement####
    {22, 330, 142},	// Soprano::FilterModel::containsStatement#
    {22, 331, 165},	// Soprano::FilterModel::containsStatement###
    {22, 332, 143},	// Soprano::FilterModel::containsStatement####
    {22, 346, 149},	// Soprano::FilterModel::createBlankNode
    {22, 420, 164},	// Soprano::FilterModel::executeQuery$$
    {22, 421, 141},	// Soprano::FilterModel::executeQuery$$$
    {22, 506, 146},	// Soprano::FilterModel::isEmpty
    {22, 559, 140},	// Soprano::FilterModel::listContexts
    {22, 561, 151},	// Soprano::FilterModel::listStatements
    {22, 562, 138},	// Soprano::FilterModel::listStatements#
    {22, 563, 163},	// Soprano::FilterModel::listStatements###
    {22, 564, 139},	// Soprano::FilterModel::listStatements####
    {22, 601, 123},	// Soprano::FilterModel::metaObject
    {22, 648, 131},	// Soprano::FilterModel::parentModel
    {22, 650, 156},	// Soprano::FilterModel::parentStatementAdded#
    {22, 652, 157},	// Soprano::FilterModel::parentStatementRemoved#
    {22, 653, 154},	// Soprano::FilterModel::parentStatementsAdded
    {22, 654, 155},	// Soprano::FilterModel::parentStatementsRemoved
    {22, 686, 129},	// Soprano::FilterModel::qt_metacall$$?
    {22, 688, 124},	// Soprano::FilterModel::qt_metacast$
    {22, 703, 150},	// Soprano::FilterModel::removeAllStatements
    {22, 704, 136},	// Soprano::FilterModel::removeAllStatements#
    {22, 705, 162},	// Soprano::FilterModel::removeAllStatements###
    {22, 706, 137},	// Soprano::FilterModel::removeAllStatements####
    {22, 714, 134},	// Soprano::FilterModel::removeStatement#
    {22, 715, 161},	// Soprano::FilterModel::removeStatement###
    {22, 716, 135},	// Soprano::FilterModel::removeStatement####
    {22, 770, 130},	// Soprano::FilterModel::setParentModel#
    {22, 800, 147},	// Soprano::FilterModel::statementCount
    {22, 807, 167},	// Soprano::FilterModel::staticMetaObject
    {22, 844, 158},	// Soprano::FilterModel::tr$
    {22, 845, 125},	// Soprano::FilterModel::tr$$
    {22, 846, 127},	// Soprano::FilterModel::tr$$$
    {22, 848, 159},	// Soprano::FilterModel::trUtf8$
    {22, 849, 126},	// Soprano::FilterModel::trUtf8$$
    {22, 850, 128},	// Soprano::FilterModel::trUtf8$$$
    {22, 896, 148},	// Soprano::FilterModel::write#
    {22, 912, 168},	// Soprano::FilterModel::~FilterModel
    {24, 95, 176},	// Soprano::Inference::InferenceModel::InferenceModel#
    {24, 224, 180},	// Soprano::Inference::InferenceModel::addRule#
    {24, 226, 177},	// Soprano::Inference::InferenceModel::addStatement#
    {24, 227, 192},	// Soprano::Inference::InferenceModel::addStatement###
    {24, 228, 182},	// Soprano::Inference::InferenceModel::addStatement####
    {24, 298, 187},	// Soprano::Inference::InferenceModel::clearInference
    {24, 601, 169},	// Soprano::Inference::InferenceModel::metaObject
    {24, 664, 186},	// Soprano::Inference::InferenceModel::performInference
    {24, 686, 175},	// Soprano::Inference::InferenceModel::qt_metacall$$?
    {24, 688, 170},	// Soprano::Inference::InferenceModel::qt_metacast$
    {24, 703, 185},	// Soprano::Inference::InferenceModel::removeAllStatements
    {24, 704, 179},	// Soprano::Inference::InferenceModel::removeAllStatements#
    {24, 705, 194},	// Soprano::Inference::InferenceModel::removeAllStatements###
    {24, 706, 184},	// Soprano::Inference::InferenceModel::removeAllStatements####
    {24, 714, 178},	// Soprano::Inference::InferenceModel::removeStatement#
    {24, 715, 193},	// Soprano::Inference::InferenceModel::removeStatement###
    {24, 716, 183},	// Soprano::Inference::InferenceModel::removeStatement####
    {24, 755, 188},	// Soprano::Inference::InferenceModel::setCompressedSourceStatements$
    {24, 768, 189},	// Soprano::Inference::InferenceModel::setOptimizedQueriesEnabled$
    {24, 780, 181},	// Soprano::Inference::InferenceModel::setRules?
    {24, 807, 195},	// Soprano::Inference::InferenceModel::staticMetaObject
    {24, 844, 190},	// Soprano::Inference::InferenceModel::tr$
    {24, 845, 171},	// Soprano::Inference::InferenceModel::tr$$
    {24, 846, 173},	// Soprano::Inference::InferenceModel::tr$$$
    {24, 848, 191},	// Soprano::Inference::InferenceModel::trUtf8$
    {24, 849, 172},	// Soprano::Inference::InferenceModel::trUtf8$$
    {24, 850, 174},	// Soprano::Inference::InferenceModel::trUtf8$$$
    {24, 913, 196},	// Soprano::Inference::InferenceModel::~InferenceModel
    {28, 108, 233},	// Soprano::Model::Model
    {28, 226, 204},	// Soprano::Model::addStatement#
    {28, 227, 236},	// Soprano::Model::addStatement###
    {28, 228, 205},	// Soprano::Model::addStatement####
    {28, 234, 206},	// Soprano::Model::addStatements?
    {28, 320, 220},	// Soprano::Model::containsAnyStatement#
    {28, 321, 241},	// Soprano::Model::containsAnyStatement###
    {28, 322, 221},	// Soprano::Model::containsAnyStatement####
    {28, 328, 224},	// Soprano::Model::containsContext#
    {28, 330, 222},	// Soprano::Model::containsStatement#
    {28, 331, 242},	// Soprano::Model::containsStatement###
    {28, 332, 223},	// Soprano::Model::containsStatement####
    {28, 346, 228},	// Soprano::Model::createBlankNode
    {28, 420, 240},	// Soprano::Model::executeQuery$$
    {28, 421, 219},	// Soprano::Model::executeQuery$$$
    {28, 506, 225},	// Soprano::Model::isEmpty
    {28, 559, 218},	// Soprano::Model::listContexts
    {28, 561, 216},	// Soprano::Model::listStatements
    {28, 562, 214},	// Soprano::Model::listStatements#
    {28, 563, 239},	// Soprano::Model::listStatements###
    {28, 564, 215},	// Soprano::Model::listStatements####
    {28, 570, 217},	// Soprano::Model::listStatementsInContext#
    {28, 601, 197},	// Soprano::Model::metaObject
    {28, 686, 203},	// Soprano::Model::qt_metacall$$?
    {28, 688, 198},	// Soprano::Model::qt_metacast$
    {28, 703, 213},	// Soprano::Model::removeAllStatements
    {28, 704, 209},	// Soprano::Model::removeAllStatements#
    {28, 705, 238},	// Soprano::Model::removeAllStatements###
    {28, 706, 210},	// Soprano::Model::removeAllStatements####
    {28, 712, 212},	// Soprano::Model::removeContext#
    {28, 714, 207},	// Soprano::Model::removeStatement#
    {28, 715, 237},	// Soprano::Model::removeStatement###
    {28, 716, 208},	// Soprano::Model::removeStatement####
    {28, 722, 211},	// Soprano::Model::removeStatements?
    {28, 799, 231},	// Soprano::Model::statementAdded#
    {28, 800, 226},	// Soprano::Model::statementCount
    {28, 804, 232},	// Soprano::Model::statementRemoved#
    {28, 805, 229},	// Soprano::Model::statementsAdded
    {28, 806, 230},	// Soprano::Model::statementsRemoved
    {28, 807, 243},	// Soprano::Model::staticMetaObject
    {28, 844, 234},	// Soprano::Model::tr$
    {28, 845, 199},	// Soprano::Model::tr$$
    {28, 846, 201},	// Soprano::Model::tr$$$
    {28, 848, 235},	// Soprano::Model::trUtf8$
    {28, 849, 200},	// Soprano::Model::trUtf8$$
    {28, 850, 202},	// Soprano::Model::trUtf8$$$
    {28, 896, 227},	// Soprano::Model::write#
    {28, 914, 244},	// Soprano::Model::~Model
    {29, 41, 287},	// Soprano::Node::BlankNode
    {29, 69, 284},	// Soprano::Node::EmptyNode
    {29, 90, 291},	// Soprano::Node::IgnorePrefixes
    {29, 101, 286},	// Soprano::Node::LiteralNode
    {29, 113, 288},	// Soprano::Node::NoFlags
    {29, 114, 245},	// Soprano::Node::Node
    {29, 115, -4},	// Soprano::Node::Node#
    {29, 116, 249},	// Soprano::Node::Node#$
    {29, 117, 247},	// Soprano::Node::Node$
    {29, 159, 285},	// Soprano::Node::ResourceNode
    {29, 200, 289},	// Soprano::Node::StrictLiteralTypes
    {29, 201, 290},	// Soprano::Node::StrictUris
    {29, 279, 278},	// Soprano::Node::blankToN3$
    {29, 347, 274},	// Soprano::Node::createBlankNode$
    {29, 349, 272},	// Soprano::Node::createEmptyNode
    {29, 351, 275},	// Soprano::Node::createLiteralNode#
    {29, 352, 276},	// Soprano::Node::createLiteralNode#$
    {29, 356, 273},	// Soprano::Node::createResourceNode#
    {29, 363, 268},	// Soprano::Node::dataType
    {29, 446, 282},	// Soprano::Node::fromN3$
    {29, 447, 280},	// Soprano::Node::fromN3$$
    {29, 449, 283},	// Soprano::Node::fromN3Stream#
    {29, 450, 281},	// Soprano::Node::fromN3Stream#$
    {29, 478, 266},	// Soprano::Node::identifier
    {29, 493, 264},	// Soprano::Node::isBlank
    {29, 506, 260},	// Soprano::Node::isEmpty
    {29, 512, 262},	// Soprano::Node::isLiteral
    {29, 522, 263},	// Soprano::Node::isResource
    {29, 532, 261},	// Soprano::Node::isValid
    {29, 549, 269},	// Soprano::Node::language
    {29, 571, 267},	// Soprano::Node::literal
    {29, 573, 279},	// Soprano::Node::literalToN3#
    {29, 591, 258},	// Soprano::Node::matches#
    {29, 629, 255},	// Soprano::Node::operator!=#
    {29, 633, -8},	// Soprano::Node::operator=#
    {29, 635, -12},	// Soprano::Node::operator==#
    {29, 727, 277},	// Soprano::Node::resourceToN3#
    {29, 838, 271},	// Soprano::Node::toN3
    {29, 840, 270},	// Soprano::Node::toString
    {29, 854, 259},	// Soprano::Node::type
    {29, 861, 265},	// Soprano::Node::uri
    {29, 915, 292},	// Soprano::Node::~Node
    {30, 118, 293},	// Soprano::NodeIterator::NodeIterator
    {30, 119, 295},	// Soprano::NodeIterator::NodeIterator#
    {30, 120, 294},	// Soprano::NodeIterator::NodeIterator?
    {30, 244, 297},	// Soprano::NodeIterator::allNodes
    {30, 633, 296},	// Soprano::NodeIterator::operator=#
    {30, 916, 298},	// Soprano::NodeIterator::~NodeIterator
    {31, 130, 306},	// Soprano::Parser::Parser#
    {31, 131, 305},	// Soprano::Parser::Parser$
    {31, 656, 308},	// Soprano::Parser::parseFile$#$
    {31, 657, 302},	// Soprano::Parser::parseFile$#$$
    {31, 659, 310},	// Soprano::Parser::parseStream##$
    {31, 660, 304},	// Soprano::Parser::parseStream##$$
    {31, 662, 309},	// Soprano::Parser::parseString$#$
    {31, 663, 303},	// Soprano::Parser::parseString$#$$
    {31, 823, 299},	// Soprano::Parser::supportedSerializations
    {31, 825, 300},	// Soprano::Parser::supportedUserSerializations
    {31, 830, 307},	// Soprano::Parser::supportsSerialization$
    {31, 831, 301},	// Soprano::Parser::supportsSerialization$$
    {31, 917, 311},	// Soprano::Parser::~Parser
    {32, 141, 315},	// Soprano::Plugin::Plugin#
    {32, 142, 314},	// Soprano::Plugin::Plugin$
    {32, 491, 313},	// Soprano::Plugin::isAvailable
    {32, 672, 312},	// Soprano::Plugin::pluginName
    {32, 919, 316},	// Soprano::Plugin::~Plugin
    {33, 242, 331},	// Soprano::PluginManager::allBackends
    {33, 245, 334},	// Soprano::PluginManager::allParsers
    {33, 246, 337},	// Soprano::PluginManager::allSerializers
    {33, 390, 342},	// Soprano::PluginManager::discoverBackendByFeatures$
    {33, 391, 330},	// Soprano::PluginManager::discoverBackendByFeatures$?
    {33, 393, 329},	// Soprano::PluginManager::discoverBackendByName$
    {33, 395, 332},	// Soprano::PluginManager::discoverParserByName$
    {33, 397, 343},	// Soprano::PluginManager::discoverParserForSerialization$
    {33, 398, 333},	// Soprano::PluginManager::discoverParserForSerialization$$
    {33, 400, 335},	// Soprano::PluginManager::discoverSerializerByName$
    {33, 402, 344},	// Soprano::PluginManager::discoverSerializerForSerialization$
    {33, 403, 336},	// Soprano::PluginManager::discoverSerializerForSerialization$$
    {33, 483, 338},	// Soprano::PluginManager::instance
    {33, 575, 326},	// Soprano::PluginManager::loadCustomBackend$
    {33, 577, 327},	// Soprano::PluginManager::loadCustomParser$
    {33, 579, 325},	// Soprano::PluginManager::loadCustomPlugin$
    {33, 581, 328},	// Soprano::PluginManager::loadCustomSerializer$
    {33, 601, 317},	// Soprano::PluginManager::metaObject
    {33, 686, 323},	// Soprano::PluginManager::qt_metacall$$?
    {33, 688, 318},	// Soprano::PluginManager::qt_metacast$
    {33, 772, 341},	// Soprano::PluginManager::setPluginSearchPath?
    {33, 773, 324},	// Soprano::PluginManager::setPluginSearchPath?$
    {33, 807, 345},	// Soprano::PluginManager::staticMetaObject
    {33, 844, 339},	// Soprano::PluginManager::tr$
    {33, 845, 319},	// Soprano::PluginManager::tr$$
    {33, 846, 321},	// Soprano::PluginManager::tr$$$
    {33, 848, 340},	// Soprano::PluginManager::trUtf8$
    {33, 849, 320},	// Soprano::PluginManager::trUtf8$$
    {33, 850, 322},	// Soprano::PluginManager::trUtf8$$$
    {33, 920, 346},	// Soprano::PluginManager::~PluginManager
    {34, 146, 347},	// Soprano::QueryResultIterator::QueryResultIterator
    {34, 147, -38},	// Soprano::QueryResultIterator::QueryResultIterator#
    {34, 243, 363},	// Soprano::QueryResultIterator::allBindings
    {34, 274, -41},	// Soprano::QueryResultIterator::binding$
    {34, 275, 358},	// Soprano::QueryResultIterator::bindingCount
    {34, 276, 359},	// Soprano::QueryResultIterator::bindingNames
    {34, 281, 353},	// Soprano::QueryResultIterator::boolValue
    {34, 360, 352},	// Soprano::QueryResultIterator::currentBindings
    {34, 361, 351},	// Soprano::QueryResultIterator::currentStatement
    {34, 492, 361},	// Soprano::QueryResultIterator::isBinding
    {34, 494, 362},	// Soprano::QueryResultIterator::isBool
    {34, 509, 360},	// Soprano::QueryResultIterator::isGraph
    {34, 535, -44},	// Soprano::QueryResultIterator::iterateBindings$
    {34, 539, 364},	// Soprano::QueryResultIterator::iterateStatements
    {34, 541, 368},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$
    {34, 542, 369},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$
    {34, 543, 367},	// Soprano::QueryResultIterator::iterateStatementsFromBindings$$$$#
    {34, 633, 350},	// Soprano::QueryResultIterator::operator=#
    {34, 638, -47},	// Soprano::QueryResultIterator::operator[]$
    {34, 921, 370},	// Soprano::QueryResultIterator::~QueryResultIterator
    {36, 150, 390},	// Soprano::RdfSchemaModel::RdfSchemaModel
    {36, 151, 371},	// Soprano::RdfSchemaModel::RdfSchemaModel#
    {36, 296, 372},	// Soprano::RdfSchemaModel::classes
    {36, 379, 391},	// Soprano::RdfSchemaModel::directSubClassOf#
    {36, 380, 373},	// Soprano::RdfSchemaModel::directSubClassOf##
    {36, 382, 392},	// Soprano::RdfSchemaModel::directSubPropertyOf#
    {36, 383, 374},	// Soprano::RdfSchemaModel::directSubPropertyOf##
    {36, 385, 375},	// Soprano::RdfSchemaModel::directType##
    {36, 408, 376},	// Soprano::RdfSchemaModel::domain##
    {36, 496, 382},	// Soprano::RdfSchemaModel::isClass#
    {36, 501, 384},	// Soprano::RdfSchemaModel::isDirectSubClassOf##
    {36, 503, 385},	// Soprano::RdfSchemaModel::isDirectSubPropertyOf##
    {36, 505, 386},	// Soprano::RdfSchemaModel::isDirectType##
    {36, 518, 383},	// Soprano::RdfSchemaModel::isProperty#
    {36, 525, 387},	// Soprano::RdfSchemaModel::isSubClassOf##
    {36, 527, 388},	// Soprano::RdfSchemaModel::isSubPropertyOf##
    {36, 531, 389},	// Soprano::RdfSchemaModel::isType##
    {36, 682, 377},	// Soprano::RdfSchemaModel::properties
    {36, 691, 378},	// Soprano::RdfSchemaModel::range##
    {36, 812, 393},	// Soprano::RdfSchemaModel::subClassOf#
    {36, 813, 379},	// Soprano::RdfSchemaModel::subClassOf##
    {36, 816, 394},	// Soprano::RdfSchemaModel::subPropertyOf#
    {36, 817, 380},	// Soprano::RdfSchemaModel::subPropertyOf##
    {36, 855, 381},	// Soprano::RdfSchemaModel::type##
    {36, 922, 395},	// Soprano::RdfSchemaModel::~RdfSchemaModel
    {37, 176, 404},	// Soprano::Serializer::Serializer#
    {37, 177, 403},	// Soprano::Serializer::Serializer$
    {37, 222, 400},	// Soprano::Serializer::addPrefix$#
    {37, 299, 401},	// Soprano::Serializer::clearPrefixes
    {37, 678, 402},	// Soprano::Serializer::prefixes
    {37, 750, 406},	// Soprano::Serializer::serialize##$
    {37, 751, 399},	// Soprano::Serializer::serialize##$$
    {37, 823, 396},	// Soprano::Serializer::supportedSerializations
    {37, 825, 397},	// Soprano::Serializer::supportedUserSerializations
    {37, 830, 405},	// Soprano::Serializer::supportsSerialization$
    {37, 831, 398},	// Soprano::Serializer::supportsSerialization$$
    {37, 924, 407},	// Soprano::Serializer::~Serializer
    {38, 191, 408},	// Soprano::Statement::Statement
    {38, 192, 410},	// Soprano::Statement::Statement#
    {38, 193, 424},	// Soprano::Statement::Statement###
    {38, 194, 409},	// Soprano::Statement::Statement####
    {38, 342, 419},	// Soprano::Statement::context
    {38, 532, 415},	// Soprano::Statement::isValid
    {38, 591, 414},	// Soprano::Statement::matches#
    {38, 623, 418},	// Soprano::Statement::object
    {38, 629, 413},	// Soprano::Statement::operator!=#
    {38, 633, 411},	// Soprano::Statement::operator=#
    {38, 635, 412},	// Soprano::Statement::operator==#
    {38, 675, 417},	// Soprano::Statement::predicate
    {38, 757, 423},	// Soprano::Statement::setContext#
    {38, 766, 422},	// Soprano::Statement::setObject#
    {38, 775, 421},	// Soprano::Statement::setPredicate#
    {38, 782, 420},	// Soprano::Statement::setSubject#
    {38, 818, 416},	// Soprano::Statement::subject
    {38, 928, 425},	// Soprano::Statement::~Statement
    {39, 195, 426},	// Soprano::StatementIterator::StatementIterator
    {39, 196, 428},	// Soprano::StatementIterator::StatementIterator#
    {39, 197, 427},	// Soprano::StatementIterator::StatementIterator?
    {39, 247, 430},	// Soprano::StatementIterator::allStatements
    {39, 536, 434},	// Soprano::StatementIterator::iterateContexts
    {39, 537, 433},	// Soprano::StatementIterator::iterateObjects
    {39, 538, 432},	// Soprano::StatementIterator::iteratePredicates
    {39, 544, 431},	// Soprano::StatementIterator::iterateSubjects
    {39, 633, 429},	// Soprano::StatementIterator::operator=#
    {39, 929, 435},	// Soprano::StatementIterator::~StatementIterator
    {40, 199, 452},	// Soprano::StorageModel::StorageModel#
    {40, 268, 447},	// Soprano::StorageModel::backend
    {40, 320, 445},	// Soprano::StorageModel::containsAnyStatement#
    {40, 321, 457},	// Soprano::StorageModel::containsAnyStatement###
    {40, 322, 451},	// Soprano::StorageModel::containsAnyStatement####
    {40, 330, 444},	// Soprano::StorageModel::containsStatement#
    {40, 331, 456},	// Soprano::StorageModel::containsStatement###
    {40, 332, 450},	// Soprano::StorageModel::containsStatement####
    {40, 506, 443},	// Soprano::StorageModel::isEmpty
    {40, 601, 436},	// Soprano::StorageModel::metaObject
    {40, 686, 442},	// Soprano::StorageModel::qt_metacall$$?
    {40, 688, 437},	// Soprano::StorageModel::qt_metacast$
    {40, 703, 449},	// Soprano::StorageModel::removeAllStatements
    {40, 704, 446},	// Soprano::StorageModel::removeAllStatements#
    {40, 705, 455},	// Soprano::StorageModel::removeAllStatements###
    {40, 706, 448},	// Soprano::StorageModel::removeAllStatements####
    {40, 807, 458},	// Soprano::StorageModel::staticMetaObject
    {40, 844, 453},	// Soprano::StorageModel::tr$
    {40, 845, 438},	// Soprano::StorageModel::tr$$
    {40, 846, 440},	// Soprano::StorageModel::tr$$$
    {40, 848, 454},	// Soprano::StorageModel::trUtf8$
    {40, 849, 439},	// Soprano::StorageModel::trUtf8$$
    {40, 850, 441},	// Soprano::StorageModel::trUtf8$$$
    {40, 930, 459},	// Soprano::StorageModel::~StorageModel
    {41, 9, 508},	// Soprano::Util::AsyncModel::AsyncModel
    {41, 10, 467},	// Soprano::Util::AsyncModel::AsyncModel#
    {41, 109, 525},	// Soprano::Util::AsyncModel::MultiThreaded
    {41, 186, 524},	// Soprano::Util::AsyncModel::SingleThreaded
    {41, 226, 493},	// Soprano::Util::AsyncModel::addStatement#
    {41, 227, 517},	// Soprano::Util::AsyncModel::addStatement###
    {41, 228, 494},	// Soprano::Util::AsyncModel::addStatement####
    {41, 230, 470},	// Soprano::Util::AsyncModel::addStatementAsync#
    {41, 231, 509},	// Soprano::Util::AsyncModel::addStatementAsync###
    {41, 232, 471},	// Soprano::Util::AsyncModel::addStatementAsync####
    {41, 236, 472},	// Soprano::Util::AsyncModel::addStatementsAsync?
    {41, 320, 504},	// Soprano::Util::AsyncModel::containsAnyStatement#
    {41, 321, 522},	// Soprano::Util::AsyncModel::containsAnyStatement###
    {41, 322, 505},	// Soprano::Util::AsyncModel::containsAnyStatement####
    {41, 324, 487},	// Soprano::Util::AsyncModel::containsAnyStatementAsync#
    {41, 325, 515},	// Soprano::Util::AsyncModel::containsAnyStatementAsync###
    {41, 326, 488},	// Soprano::Util::AsyncModel::containsAnyStatementAsync####
    {41, 330, 502},	// Soprano::Util::AsyncModel::containsStatement#
    {41, 331, 521},	// Soprano::Util::AsyncModel::containsStatement###
    {41, 332, 503},	// Soprano::Util::AsyncModel::containsStatement####
    {41, 334, 485},	// Soprano::Util::AsyncModel::containsStatementAsync#
    {41, 335, 514},	// Soprano::Util::AsyncModel::containsStatementAsync###
    {41, 336, 486},	// Soprano::Util::AsyncModel::containsStatementAsync####
    {41, 348, 489},	// Soprano::Util::AsyncModel::createBlankNodeAsync
    {41, 420, 516},	// Soprano::Util::AsyncModel::executeQuery$$
    {41, 421, 492},	// Soprano::Util::AsyncModel::executeQuery$$$
    {41, 423, 513},	// Soprano::Util::AsyncModel::executeQueryAsync$$
    {41, 424, 484},	// Soprano::Util::AsyncModel::executeQueryAsync$$$
    {41, 507, 478},	// Soprano::Util::AsyncModel::isEmptyAsync
    {41, 559, 491},	// Soprano::Util::AsyncModel::listContexts
    {41, 560, 483},	// Soprano::Util::AsyncModel::listContextsAsync
    {41, 561, 501},	// Soprano::Util::AsyncModel::listStatements
    {41, 562, 490},	// Soprano::Util::AsyncModel::listStatements#
    {41, 563, 520},	// Soprano::Util::AsyncModel::listStatements###
    {41, 564, 500},	// Soprano::Util::AsyncModel::listStatements####
    {41, 565, 482},	// Soprano::Util::AsyncModel::listStatementsAsync
    {41, 566, 480},	// Soprano::Util::AsyncModel::listStatementsAsync#
    {41, 567, 512},	// Soprano::Util::AsyncModel::listStatementsAsync###
    {41, 568, 481},	// Soprano::Util::AsyncModel::listStatementsAsync####
    {41, 601, 460},	// Soprano::Util::AsyncModel::metaObject
    {41, 607, 469},	// Soprano::Util::AsyncModel::mode
    {41, 686, 466},	// Soprano::Util::AsyncModel::qt_metacall$$?
    {41, 688, 461},	// Soprano::Util::AsyncModel::qt_metacast$
    {41, 703, 499},	// Soprano::Util::AsyncModel::removeAllStatements
    {41, 704, 497},	// Soprano::Util::AsyncModel::removeAllStatements#
    {41, 705, 519},	// Soprano::Util::AsyncModel::removeAllStatements###
    {41, 706, 498},	// Soprano::Util::AsyncModel::removeAllStatements####
    {41, 708, 476},	// Soprano::Util::AsyncModel::removeAllStatementsAsync#
    {41, 709, 511},	// Soprano::Util::AsyncModel::removeAllStatementsAsync###
    {41, 710, 477},	// Soprano::Util::AsyncModel::removeAllStatementsAsync####
    {41, 714, 495},	// Soprano::Util::AsyncModel::removeStatement#
    {41, 715, 518},	// Soprano::Util::AsyncModel::removeStatement###
    {41, 716, 496},	// Soprano::Util::AsyncModel::removeStatement####
    {41, 718, 473},	// Soprano::Util::AsyncModel::removeStatementAsync#
    {41, 719, 510},	// Soprano::Util::AsyncModel::removeStatementAsync###
    {41, 720, 474},	// Soprano::Util::AsyncModel::removeStatementAsync####
    {41, 724, 475},	// Soprano::Util::AsyncModel::removeStatementsAsync?
    {41, 764, 468},	// Soprano::Util::AsyncModel::setMode$
    {41, 801, 479},	// Soprano::Util::AsyncModel::statementCountAsync
    {41, 807, 523},	// Soprano::Util::AsyncModel::staticMetaObject
    {41, 844, 506},	// Soprano::Util::AsyncModel::tr$
    {41, 845, 462},	// Soprano::Util::AsyncModel::tr$$
    {41, 846, 464},	// Soprano::Util::AsyncModel::tr$$$
    {41, 848, 507},	// Soprano::Util::AsyncModel::trUtf8$
    {41, 849, 463},	// Soprano::Util::AsyncModel::trUtf8$$
    {41, 850, 465},	// Soprano::Util::AsyncModel::trUtf8$$$
    {41, 905, 526},	// Soprano::Util::AsyncModel::~AsyncModel
    {42, 274, -1},	// Soprano::Util::AsyncQuery::binding$
    {42, 275, 539},	// Soprano::Util::AsyncQuery::bindingCount
    {42, 276, 540},	// Soprano::Util::AsyncQuery::bindingNames
    {42, 281, 536},	// Soprano::Util::AsyncQuery::boolValue
    {42, 300, 545},	// Soprano::Util::AsyncQuery::close
    {42, 360, 535},	// Soprano::Util::AsyncQuery::currentBindings
    {42, 361, 534},	// Soprano::Util::AsyncQuery::currentStatement
    {42, 418, 551},	// Soprano::Util::AsyncQuery::executeQuery#$$
    {42, 419, 548},	// Soprano::Util::AsyncQuery::executeQuery#$$$
    {42, 435, 547},	// Soprano::Util::AsyncQuery::finished#
    {42, 492, 542},	// Soprano::Util::AsyncQuery::isBinding
    {42, 494, 543},	// Soprano::Util::AsyncQuery::isBool
    {42, 509, 541},	// Soprano::Util::AsyncQuery::isGraph
    {42, 601, 527},	// Soprano::Util::AsyncQuery::metaObject
    {42, 614, 544},	// Soprano::Util::AsyncQuery::next
    {42, 616, 546},	// Soprano::Util::AsyncQuery::nextReady#
    {42, 686, 533},	// Soprano::Util::AsyncQuery::qt_metacall$$?
    {42, 688, 528},	// Soprano::Util::AsyncQuery::qt_metacast$
    {42, 807, 552},	// Soprano::Util::AsyncQuery::staticMetaObject
    {42, 844, 549},	// Soprano::Util::AsyncQuery::tr$
    {42, 845, 529},	// Soprano::Util::AsyncQuery::tr$$
    {42, 846, 531},	// Soprano::Util::AsyncQuery::tr$$$
    {42, 848, 550},	// Soprano::Util::AsyncQuery::trUtf8$
    {42, 849, 530},	// Soprano::Util::AsyncQuery::trUtf8$$
    {42, 850, 532},	// Soprano::Util::AsyncQuery::trUtf8$$$
    {42, 906, 553},	// Soprano::Util::AsyncQuery::~AsyncQuery
    {43, 357, 562},	// Soprano::Util::AsyncResult::createResult
    {43, 414, 564},	// Soprano::Util::AsyncResult::errorCode
    {43, 601, 554},	// Soprano::Util::AsyncResult::metaObject
    {43, 618, 568},	// Soprano::Util::AsyncResult::node
    {43, 619, 566},	// Soprano::Util::AsyncResult::nodeIterator
    {43, 686, 560},	// Soprano::Util::AsyncResult::qt_metacall$$?
    {43, 688, 555},	// Soprano::Util::AsyncResult::qt_metacast$
    {43, 689, 567},	// Soprano::Util::AsyncResult::queryResultIterator
    {43, 730, 561},	// Soprano::Util::AsyncResult::resultReady#
    {43, 778, 569},	// Soprano::Util::AsyncResult::setResult##
    {43, 802, 565},	// Soprano::Util::AsyncResult::statementIterator
    {43, 807, 572},	// Soprano::Util::AsyncResult::staticMetaObject
    {43, 844, 570},	// Soprano::Util::AsyncResult::tr$
    {43, 845, 556},	// Soprano::Util::AsyncResult::tr$$
    {43, 846, 558},	// Soprano::Util::AsyncResult::tr$$$
    {43, 848, 571},	// Soprano::Util::AsyncResult::trUtf8$
    {43, 849, 557},	// Soprano::Util::AsyncResult::trUtf8$$
    {43, 850, 559},	// Soprano::Util::AsyncResult::trUtf8$$$
    {43, 871, 563},	// Soprano::Util::AsyncResult::value
    {43, 907, 573},	// Soprano::Util::AsyncResult::~AsyncResult
    {44, 152, 604},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel
    {44, 153, 581},	// Soprano::Util::ReadOnlyModel::ReadOnlyModel#
    {44, 226, 590},	// Soprano::Util::ReadOnlyModel::addStatement#
    {44, 227, 606},	// Soprano::Util::ReadOnlyModel::addStatement###
    {44, 228, 594},	// Soprano::Util::ReadOnlyModel::addStatement####
    {44, 320, 587},	// Soprano::Util::ReadOnlyModel::containsAnyStatement#
    {44, 321, 611},	// Soprano::Util::ReadOnlyModel::containsAnyStatement###
    {44, 322, 601},	// Soprano::Util::ReadOnlyModel::containsAnyStatement####
    {44, 330, 586},	// Soprano::Util::ReadOnlyModel::containsStatement#
    {44, 331, 610},	// Soprano::Util::ReadOnlyModel::containsStatement###
    {44, 332, 600},	// Soprano::Util::ReadOnlyModel::containsStatement####
    {44, 346, 593},	// Soprano::Util::ReadOnlyModel::createBlankNode
    {44, 420, 605},	// Soprano::Util::ReadOnlyModel::executeQuery$$
    {44, 421, 585},	// Soprano::Util::ReadOnlyModel::executeQuery$$$
    {44, 506, 588},	// Soprano::Util::ReadOnlyModel::isEmpty
    {44, 559, 584},	// Soprano::Util::ReadOnlyModel::listContexts
    {44, 561, 599},	// Soprano::Util::ReadOnlyModel::listStatements
    {44, 562, 583},	// Soprano::Util::ReadOnlyModel::listStatements#
    {44, 563, 609},	// Soprano::Util::ReadOnlyModel::listStatements###
    {44, 564, 598},	// Soprano::Util::ReadOnlyModel::listStatements####
    {44, 601, 574},	// Soprano::Util::ReadOnlyModel::metaObject
    {44, 686, 580},	// Soprano::Util::ReadOnlyModel::qt_metacall$$?
    {44, 688, 575},	// Soprano::Util::ReadOnlyModel::qt_metacast$
    {44, 703, 597},	// Soprano::Util::ReadOnlyModel::removeAllStatements
    {44, 704, 592},	// Soprano::Util::ReadOnlyModel::removeAllStatements#
    {44, 705, 608},	// Soprano::Util::ReadOnlyModel::removeAllStatements###
    {44, 706, 596},	// Soprano::Util::ReadOnlyModel::removeAllStatements####
    {44, 714, 591},	// Soprano::Util::ReadOnlyModel::removeStatement#
    {44, 715, 607},	// Soprano::Util::ReadOnlyModel::removeStatement###
    {44, 716, 595},	// Soprano::Util::ReadOnlyModel::removeStatement####
    {44, 770, 582},	// Soprano::Util::ReadOnlyModel::setParentModel#
    {44, 800, 589},	// Soprano::Util::ReadOnlyModel::statementCount
    {44, 807, 612},	// Soprano::Util::ReadOnlyModel::staticMetaObject
    {44, 844, 602},	// Soprano::Util::ReadOnlyModel::tr$
    {44, 845, 576},	// Soprano::Util::ReadOnlyModel::tr$$
    {44, 846, 578},	// Soprano::Util::ReadOnlyModel::tr$$$
    {44, 848, 603},	// Soprano::Util::ReadOnlyModel::trUtf8$
    {44, 849, 577},	// Soprano::Util::ReadOnlyModel::trUtf8$$
    {44, 850, 579},	// Soprano::Util::ReadOnlyModel::trUtf8$$$
    {44, 923, 613},	// Soprano::Util::ReadOnlyModel::~ReadOnlyModel
    {45, 178, 629},	// Soprano::Util::SignalCacheModel::SignalCacheModel
    {45, 179, 621},	// Soprano::Util::SignalCacheModel::SignalCacheModel#
    {45, 283, 622},	// Soprano::Util::SignalCacheModel::cacheTime
    {45, 601, 614},	// Soprano::Util::SignalCacheModel::metaObject
    {45, 653, 624},	// Soprano::Util::SignalCacheModel::parentStatementsAdded
    {45, 654, 625},	// Soprano::Util::SignalCacheModel::parentStatementsRemoved
    {45, 686, 620},	// Soprano::Util::SignalCacheModel::qt_metacall$$?
    {45, 688, 615},	// Soprano::Util::SignalCacheModel::qt_metacast$
    {45, 753, 623},	// Soprano::Util::SignalCacheModel::setCacheTime$
    {45, 807, 630},	// Soprano::Util::SignalCacheModel::staticMetaObject
    {45, 835, 626},	// Soprano::Util::SignalCacheModel::timerEvent#
    {45, 844, 627},	// Soprano::Util::SignalCacheModel::tr$
    {45, 845, 616},	// Soprano::Util::SignalCacheModel::tr$$
    {45, 846, 618},	// Soprano::Util::SignalCacheModel::tr$$$
    {45, 848, 628},	// Soprano::Util::SignalCacheModel::trUtf8$
    {45, 849, 617},	// Soprano::Util::SignalCacheModel::trUtf8$$
    {45, 850, 619},	// Soprano::Util::SignalCacheModel::trUtf8$$$
    {45, 925, 631},	// Soprano::Util::SignalCacheModel::~SignalCacheModel
    {46, 180, 632},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator
    {46, 181, 634},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator#
    {46, 182, 633},	// Soprano::Util::SimpleNodeIterator::SimpleNodeIterator?
    {46, 633, 636},	// Soprano::Util::SimpleNodeIterator::operator=#
    {46, 636, 635},	// Soprano::Util::SimpleNodeIterator::operator=?
    {46, 926, 637},	// Soprano::Util::SimpleNodeIterator::~SimpleNodeIterator
    {47, 183, 638},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator
    {47, 184, 640},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator#
    {47, 185, 639},	// Soprano::Util::SimpleStatementIterator::SimpleStatementIterator?
    {47, 633, 642},	// Soprano::Util::SimpleStatementIterator::operator=#
    {47, 636, 641},	// Soprano::Util::SimpleStatementIterator::operator=?
    {47, 927, 643},	// Soprano::Util::SimpleStatementIterator::~SimpleStatementIterator
    {48, 1, 678},	// Soprano::Vocabulary::NAO::Agent
    {48, 83, 659},	// Soprano::Vocabulary::NAO::FreeDesktopIcon
    {48, 136, 683},	// Soprano::Vocabulary::NAO::Party
    {48, 202, 681},	// Soprano::Vocabulary::NAO::Symbol
    {48, 205, 665},	// Soprano::Vocabulary::NAO::Tag
    {48, 249, 654},	// Soprano::Vocabulary::NAO::altLabel
    {48, 250, 660},	// Soprano::Vocabulary::NAO::altSymbol
    {48, 251, 668},	// Soprano::Vocabulary::NAO::annotation
    {48, 343, 655},	// Soprano::Vocabulary::NAO::contributor
    {48, 358, 674},	// Soprano::Vocabulary::NAO::created
    {48, 359, 646},	// Soprano::Vocabulary::NAO::creator
    {48, 374, 653},	// Soprano::Vocabulary::NAO::deprecated
    {48, 376, 647},	// Soprano::Vocabulary::NAO::description
    {48, 410, 672},	// Soprano::Vocabulary::NAO::engineeringTool
    {48, 458, 652},	// Soprano::Vocabulary::NAO::hasDefaultNamespace
    {48, 459, 680},	// Soprano::Vocabulary::NAO::hasDefaultNamespaceAbbreviation
    {48, 462, 679},	// Soprano::Vocabulary::NAO::hasSubResource
    {48, 463, 645},	// Soprano::Vocabulary::NAO::hasSuperResource
    {48, 464, 685},	// Soprano::Vocabulary::NAO::hasSymbol
    {48, 465, 686},	// Soprano::Vocabulary::NAO::hasTag
    {48, 466, 662},	// Soprano::Vocabulary::NAO::hasTopic
    {48, 476, 649},	// Soprano::Vocabulary::NAO::iconName
    {48, 478, 675},	// Soprano::Vocabulary::NAO::identifier
    {48, 498, 648},	// Soprano::Vocabulary::NAO::isDataGraphFor
    {48, 521, 684},	// Soprano::Vocabulary::NAO::isRelated
    {48, 528, 656},	// Soprano::Vocabulary::NAO::isTagFor
    {48, 529, 677},	// Soprano::Vocabulary::NAO::isTopicOf
    {48, 551, 644},	// Soprano::Vocabulary::NAO::lastModified
    {48, 587, 663},	// Soprano::Vocabulary::NAO::maintainedBy
    {48, 608, 657},	// Soprano::Vocabulary::NAO::modified
    {48, 611, 651},	// Soprano::Vocabulary::NAO::naoNamespace
    {48, 622, 682},	// Soprano::Vocabulary::NAO::numericRating
    {48, 668, 671},	// Soprano::Vocabulary::NAO::personalIdentifier
    {48, 673, 661},	// Soprano::Vocabulary::NAO::pluralPrefLabel
    {48, 676, 669},	// Soprano::Vocabulary::NAO::prefLabel
    {48, 677, 650},	// Soprano::Vocabulary::NAO::prefSymbol
    {48, 692, 673},	// Soprano::Vocabulary::NAO::rating
    {48, 739, 664},	// Soprano::Vocabulary::NAO::score
    {48, 740, 676},	// Soprano::Vocabulary::NAO::scoreParameter
    {48, 745, 667},	// Soprano::Vocabulary::NAO::serializationLanguage
    {48, 808, 658},	// Soprano::Vocabulary::NAO::status
    {48, 869, 666},	// Soprano::Vocabulary::NAO::userVisible
    {48, 878, 670},	// Soprano::Vocabulary::NAO::version
    {49, 8, 725},	// Soprano::Vocabulary::NRL::AsymmetricProperty
    {49, 46, 721},	// Soprano::Vocabulary::NRL::Configuration
    {49, 52, 690},	// Soprano::Vocabulary::NRL::Data
    {49, 57, 691},	// Soprano::Vocabulary::NRL::DefaultGraph
    {49, 58, 698},	// Soprano::Vocabulary::NRL::DefiningProperty
    {49, 62, 711},	// Soprano::Vocabulary::NRL::DiscardableInstanceBase
    {49, 64, 693},	// Soprano::Vocabulary::NRL::DocumentGraph
    {49, 76, 699},	// Soprano::Vocabulary::NRL::ExternalViewSpecification
    {49, 84, 708},	// Soprano::Vocabulary::NRL::FunctionalProperty
    {49, 85, 689},	// Soprano::Vocabulary::NRL::Graph
    {49, 86, 729},	// Soprano::Vocabulary::NRL::GraphMetadata
    {49, 87, 710},	// Soprano::Vocabulary::NRL::GraphView
    {49, 96, 702},	// Soprano::Vocabulary::NRL::InstanceBase
    {49, 97, 696},	// Soprano::Vocabulary::NRL::InverseFunctionalProperty
    {49, 98, 728},	// Soprano::Vocabulary::NRL::KnowledgeBase
    {49, 121, 718},	// Soprano::Vocabulary::NRL::NonDefiningProperty
    {49, 125, 704},	// Soprano::Vocabulary::NRL::Ontology
    {49, 154, 712},	// Soprano::Vocabulary::NRL::ReflexiveProperty
    {49, 163, 688},	// Soprano::Vocabulary::NRL::RuleViewSpecification
    {49, 164, 719},	// Soprano::Vocabulary::NRL::Schema
    {49, 165, 707},	// Soprano::Vocabulary::NRL::Semantics
    {49, 203, 715},	// Soprano::Vocabulary::NRL::SymmetricProperty
    {49, 209, 713},	// Soprano::Vocabulary::NRL::TransitiveProperty
    {49, 212, 687},	// Soprano::Vocabulary::NRL::ViewSpecification
    {49, 286, 709},	// Soprano::Vocabulary::NRL::cardinality
    {49, 345, 727},	// Soprano::Vocabulary::NRL::coreGraphMetadataFor
    {49, 412, 720},	// Soprano::Vocabulary::NRL::equivalentGraph
    {49, 428, 703},	// Soprano::Vocabulary::NRL::externalRealizer
    {49, 456, 722},	// Soprano::Vocabulary::NRL::graphMetadataFor
    {49, 460, 700},	// Soprano::Vocabulary::NRL::hasSemantics
    {49, 461, 697},	// Soprano::Vocabulary::NRL::hasSpecification
    {49, 480, 726},	// Soprano::Vocabulary::NRL::imports
    {49, 489, 695},	// Soprano::Vocabulary::NRL::inverseProperty
    {49, 592, 706},	// Soprano::Vocabulary::NRL::maxCardinality
    {49, 606, 692},	// Soprano::Vocabulary::NRL::minCardinality
    {49, 621, 723},	// Soprano::Vocabulary::NRL::nrlNamespace
    {49, 695, 716},	// Soprano::Vocabulary::NRL::realizes
    {49, 733, 717},	// Soprano::Vocabulary::NRL::rule
    {49, 734, 714},	// Soprano::Vocabulary::NRL::ruleLanguage
    {49, 744, 694},	// Soprano::Vocabulary::NRL::semanticsDefinedBy
    {49, 814, 705},	// Soprano::Vocabulary::NRL::subGraphOf
    {49, 820, 724},	// Soprano::Vocabulary::NRL::superGraphOf
    {49, 860, 730},	// Soprano::Vocabulary::NRL::updatable
    {49, 888, 701},	// Soprano::Vocabulary::NRL::viewOn
    {50, 2, 762},	// Soprano::Vocabulary::OWL::AllDifferent
    {50, 5, 756},	// Soprano::Vocabulary::OWL::AnnotationProperty
    {50, 44, 759},	// Soprano::Vocabulary::OWL::Class
    {50, 54, 755},	// Soprano::Vocabulary::OWL::DataRange
    {50, 56, 769},	// Soprano::Vocabulary::OWL::DatatypeProperty
    {50, 60, 735},	// Soprano::Vocabulary::OWL::DeprecatedClass
    {50, 61, 761},	// Soprano::Vocabulary::OWL::DeprecatedProperty
    {50, 84, 731},	// Soprano::Vocabulary::OWL::FunctionalProperty
    {50, 97, 752},	// Soprano::Vocabulary::OWL::InverseFunctionalProperty
    {50, 122, 733},	// Soprano::Vocabulary::OWL::Nothing
    {50, 123, 770},	// Soprano::Vocabulary::OWL::ObjectProperty
    {50, 125, 734},	// Soprano::Vocabulary::OWL::Ontology
    {50, 126, 743},	// Soprano::Vocabulary::OWL::OntologyProperty
    {50, 160, 750},	// Soprano::Vocabulary::OWL::Restriction
    {50, 203, 748},	// Soprano::Vocabulary::OWL::SymmetricProperty
    {50, 208, 751},	// Soprano::Vocabulary::OWL::Thing
    {50, 209, 738},	// Soprano::Vocabulary::OWL::TransitiveProperty
    {50, 248, 732},	// Soprano::Vocabulary::OWL::allValuesFrom
    {50, 269, 747},	// Soprano::Vocabulary::OWL::backwardCompatibleWith
    {50, 286, 771},	// Soprano::Vocabulary::OWL::cardinality
    {50, 309, 764},	// Soprano::Vocabulary::OWL::complementOf
    {50, 377, 741},	// Soprano::Vocabulary::OWL::differentFrom
    {50, 404, 749},	// Soprano::Vocabulary::OWL::disjointWith
    {50, 405, 742},	// Soprano::Vocabulary::OWL::distinctMembers
    {50, 411, 737},	// Soprano::Vocabulary::OWL::equivalentClass
    {50, 413, 744},	// Soprano::Vocabulary::OWL::equivalentProperty
    {50, 467, 753},	// Soprano::Vocabulary::OWL::hasValue
    {50, 480, 757},	// Soprano::Vocabulary::OWL::imports
    {50, 482, 754},	// Soprano::Vocabulary::OWL::incompatibleWith
    {50, 487, 767},	// Soprano::Vocabulary::OWL::intersectionOf
    {50, 488, 758},	// Soprano::Vocabulary::OWL::inverseOf
    {50, 592, 763},	// Soprano::Vocabulary::OWL::maxCardinality
    {50, 606, 765},	// Soprano::Vocabulary::OWL::minCardinality
    {50, 625, 760},	// Soprano::Vocabulary::OWL::onProperty
    {50, 626, 745},	// Soprano::Vocabulary::OWL::oneOf
    {50, 644, 766},	// Soprano::Vocabulary::OWL::owlNamespace
    {50, 680, 740},	// Soprano::Vocabulary::OWL::priorVersion
    {50, 735, 739},	// Soprano::Vocabulary::OWL::sameAs
    {50, 794, 746},	// Soprano::Vocabulary::OWL::someValuesFrom
    {50, 856, 768},	// Soprano::Vocabulary::OWL::unionOf
    {50, 879, 736},	// Soprano::Vocabulary::OWL::versionInfo
    {51, 3, 783},	// Soprano::Vocabulary::RDF::Alt
    {51, 40, 776},	// Soprano::Vocabulary::RDF::Bag
    {51, 99, 777},	// Soprano::Vocabulary::RDF::List
    {51, 145, 786},	// Soprano::Vocabulary::RDF::Property
    {51, 166, 787},	// Soprano::Vocabulary::RDF::Seq
    {51, 191, 780},	// Soprano::Vocabulary::RDF::Statement
    {51, 215, 774},	// Soprano::Vocabulary::RDF::XMLLiteral
    {51, 436, 772},	// Soprano::Vocabulary::RDF::first
    {51, 617, 784},	// Soprano::Vocabulary::RDF::nil
    {51, 623, 782},	// Soprano::Vocabulary::RDF::object
    {51, 675, 779},	// Soprano::Vocabulary::RDF::predicate
    {51, 693, 778},	// Soprano::Vocabulary::RDF::rdfNamespace
    {51, 728, 775},	// Soprano::Vocabulary::RDF::rest
    {51, 818, 781},	// Soprano::Vocabulary::RDF::subject
    {51, 854, 773},	// Soprano::Vocabulary::RDF::type
    {51, 871, 785},	// Soprano::Vocabulary::RDF::value
    {52, 44, 797},	// Soprano::Vocabulary::RDFS::Class
    {52, 49, 793},	// Soprano::Vocabulary::RDFS::Container
    {52, 50, 788},	// Soprano::Vocabulary::RDFS::ContainerMembershipProperty
    {52, 55, 800},	// Soprano::Vocabulary::RDFS::Datatype
    {52, 100, 794},	// Soprano::Vocabulary::RDFS::Literal
    {52, 158, 790},	// Soprano::Vocabulary::RDFS::Resource
    {52, 305, 791},	// Soprano::Vocabulary::RDFS::comment
    {52, 407, 792},	// Soprano::Vocabulary::RDFS::domain
    {52, 499, 798},	// Soprano::Vocabulary::RDFS::isDefinedBy
    {52, 548, 795},	// Soprano::Vocabulary::RDFS::label
    {52, 598, 796},	// Soprano::Vocabulary::RDFS::member
    {52, 690, 799},	// Soprano::Vocabulary::RDFS::range
    {52, 694, 801},	// Soprano::Vocabulary::RDFS::rdfsNamespace
    {52, 742, 803},	// Soprano::Vocabulary::RDFS::seeAlso
    {52, 811, 789},	// Soprano::Vocabulary::RDFS::subClassOf
    {52, 815, 802},	// Soprano::Vocabulary::RDFS::subPropertyOf
    {53, 92, 805},	// Soprano::Vocabulary::SIL::InferenceGraph
    {53, 93, 808},	// Soprano::Vocabulary::SIL::InferenceMetaData
    {53, 342, 806},	// Soprano::Vocabulary::SIL::context
    {53, 792, 804},	// Soprano::Vocabulary::SIL::silNamespace
    {53, 797, 807},	// Soprano::Vocabulary::SIL::sourceStatement
    {54, 270, 814},	// Soprano::Vocabulary::XMLSchema::base64Binary
    {54, 282, 824},	// Soprano::Vocabulary::XMLSchema::boolean
    {54, 364, 825},	// Soprano::Vocabulary::XMLSchema::date
    {54, 365, 823},	// Soprano::Vocabulary::XMLSchema::dateTime
    {54, 366, 813},	// Soprano::Vocabulary::XMLSchema::decimal
    {54, 484, 811},	// Soprano::Vocabulary::XMLSchema::integer
    {54, 612, 822},	// Soprano::Vocabulary::XMLSchema::negativeInteger
    {54, 620, 815},	// Soprano::Vocabulary::XMLSchema::nonNegativeInteger
    {54, 810, 816},	// Soprano::Vocabulary::XMLSchema::string
    {54, 833, 826},	// Soprano::Vocabulary::XMLSchema::time
    {54, 857, 812},	// Soprano::Vocabulary::XMLSchema::unsignedInt
    {54, 858, 818},	// Soprano::Vocabulary::XMLSchema::unsignedLong
    {54, 859, 827},	// Soprano::Vocabulary::XMLSchema::unsignedShort
    {54, 899, 810},	// Soprano::Vocabulary::XMLSchema::xsdDouble
    {54, 900, 819},	// Soprano::Vocabulary::XMLSchema::xsdFloat
    {54, 901, 817},	// Soprano::Vocabulary::XMLSchema::xsdInt
    {54, 902, 809},	// Soprano::Vocabulary::XMLSchema::xsdLong
    {54, 903, 821},	// Soprano::Vocabulary::XMLSchema::xsdNamespace
    {54, 904, 820},	// Soprano::Vocabulary::XMLSchema::xsdShort
    {55, 4, 996},	// Soprano::Vocabulary::Xesam::Annotation
    {55, 6, 1073},	// Soprano::Vocabulary::Xesam::Archive
    {55, 7, 974},	// Soprano::Vocabulary::Xesam::ArchivedFile
    {55, 11, 906},	// Soprano::Vocabulary::Xesam::Audio
    {55, 12, 1017},	// Soprano::Vocabulary::Xesam::AudioList
    {55, 42, 918},	// Soprano::Vocabulary::Xesam::BlockDevice
    {55, 43, 892},	// Soprano::Vocabulary::Xesam::Bookmark
    {55, 45, 865},	// Soprano::Vocabulary::Xesam::CommunicationChannel
    {55, 47, 1065},	// Soprano::Vocabulary::Xesam::Contact
    {55, 48, 872},	// Soprano::Vocabulary::Xesam::ContactGroup
    {55, 51, 972},	// Soprano::Vocabulary::Xesam::Content
    {55, 53, 1076},	// Soprano::Vocabulary::Xesam::DataObject
    {55, 59, 875},	// Soprano::Vocabulary::Xesam::DeletedFile
    {55, 63, 833},	// Soprano::Vocabulary::Xesam::Document
    {55, 65, 882},	// Soprano::Vocabulary::Xesam::Documentation
    {55, 66, 949},	// Soprano::Vocabulary::Xesam::Email
    {55, 67, 952},	// Soprano::Vocabulary::Xesam::EmailAttachment
    {55, 68, 830},	// Soprano::Vocabulary::Xesam::EmbeddedObject
    {55, 77, 1043},	// Soprano::Vocabulary::Xesam::File
    {55, 78, 1042},	// Soprano::Vocabulary::Xesam::FileSystem
    {55, 79, 1053},	// Soprano::Vocabulary::Xesam::Filelike
    {55, 82, 1091},	// Soprano::Vocabulary::Xesam::Folder
    {55, 88, 990},	// Soprano::Vocabulary::Xesam::IMAP4Message
    {55, 89, 981},	// Soprano::Vocabulary::Xesam::IMMessage
    {55, 91, 968},	// Soprano::Vocabulary::Xesam::Image
    {55, 102, 962},	// Soprano::Vocabulary::Xesam::MailingList
    {55, 103, 937},	// Soprano::Vocabulary::Xesam::MailingListEmail
    {55, 104, 998},	// Soprano::Vocabulary::Xesam::Media
    {55, 105, 957},	// Soprano::Vocabulary::Xesam::MediaList
    {55, 106, 1022},	// Soprano::Vocabulary::Xesam::Message
    {55, 107, 986},	// Soprano::Vocabulary::Xesam::MessageboxMessage
    {55, 110, 1025},	// Soprano::Vocabulary::Xesam::Music
    {55, 111, 1055},	// Soprano::Vocabulary::Xesam::NewsGroup
    {55, 112, 959},	// Soprano::Vocabulary::Xesam::NewsGroupEmail
    {55, 124, 1046},	// Soprano::Vocabulary::Xesam::OfflineMedia
    {55, 127, 874},	// Soprano::Vocabulary::Xesam::Organization
    {55, 128, 1027},	// Soprano::Vocabulary::Xesam::POP3Message
    {55, 137, 975},	// Soprano::Vocabulary::Xesam::Person
    {55, 138, 927},	// Soprano::Vocabulary::Xesam::PersonalEmail
    {55, 139, 1011},	// Soprano::Vocabulary::Xesam::Photo
    {55, 143, 881},	// Soprano::Vocabulary::Xesam::Presentation
    {55, 144, 859},	// Soprano::Vocabulary::Xesam::Project
    {55, 148, 870},	// Soprano::Vocabulary::Xesam::RSSFeed
    {55, 149, 977},	// Soprano::Vocabulary::Xesam::RSSMessage
    {55, 155, 1041},	// Soprano::Vocabulary::Xesam::RemoteFile
    {55, 156, 1056},	// Soprano::Vocabulary::Xesam::RemoteMessageboxMessage
    {55, 157, 890},	// Soprano::Vocabulary::Xesam::RemoteResource
    {55, 161, 888},	// Soprano::Vocabulary::Xesam::RevisionControlledFile
    {55, 162, 929},	// Soprano::Vocabulary::Xesam::RevisionControlledRepository
    {55, 187, 1013},	// Soprano::Vocabulary::Xesam::SoftwarePackage
    {55, 188, 969},	// Soprano::Vocabulary::Xesam::Source
    {55, 189, 1096},	// Soprano::Vocabulary::Xesam::SourceCode
    {55, 190, 1033},	// Soprano::Vocabulary::Xesam::Spreadsheet
    {55, 204, 1089},	// Soprano::Vocabulary::Xesam::SystemResource
    {55, 205, 915},	// Soprano::Vocabulary::Xesam::Tag
    {55, 206, 951},	// Soprano::Vocabulary::Xesam::Text
    {55, 207, 964},	// Soprano::Vocabulary::Xesam::TextDocument
    {55, 210, 900},	// Soprano::Vocabulary::Xesam::UncategorizedText
    {55, 211, 953},	// Soprano::Vocabulary::Xesam::Video
    {55, 213, 1084},	// Soprano::Vocabulary::Xesam::Visual
    {55, 214, 1024},	// Soprano::Vocabulary::Xesam::XML
    {55, 220, 871},	// Soprano::Vocabulary::Xesam::acl
    {55, 237, 905},	// Soprano::Vocabulary::Xesam::album
    {55, 238, 1087},	// Soprano::Vocabulary::Xesam::albumArtist
    {55, 239, 901},	// Soprano::Vocabulary::Xesam::albumGain
    {55, 240, 885},	// Soprano::Vocabulary::Xesam::albumPeakGain
    {55, 241, 939},	// Soprano::Vocabulary::Xesam::albumTrackCount
    {55, 252, 849},	// Soprano::Vocabulary::Xesam::aperture
    {55, 253, 1082},	// Soprano::Vocabulary::Xesam::artist
    {55, 254, 1081},	// Soprano::Vocabulary::Xesam::asText
    {55, 255, 856},	// Soprano::Vocabulary::Xesam::aspectRatio
    {55, 256, 978},	// Soprano::Vocabulary::Xesam::attachmentEncoding
    {55, 257, 1044},	// Soprano::Vocabulary::Xesam::audioBPM
    {55, 258, 895},	// Soprano::Vocabulary::Xesam::audioBitrate
    {55, 259, 1057},	// Soprano::Vocabulary::Xesam::audioChannels
    {55, 260, 866},	// Soprano::Vocabulary::Xesam::audioCodec
    {55, 261, 1004},	// Soprano::Vocabulary::Xesam::audioCodecType
    {55, 262, 863},	// Soprano::Vocabulary::Xesam::audioSampleBitDepth
    {55, 263, 1097},	// Soprano::Vocabulary::Xesam::audioSampleCount
    {55, 264, 910},	// Soprano::Vocabulary::Xesam::audioSampleDataType
    {55, 265, 912},	// Soprano::Vocabulary::Xesam::audioSampleRate
    {55, 266, 836},	// Soprano::Vocabulary::Xesam::author
    {55, 267, 899},	// Soprano::Vocabulary::Xesam::autoRating
    {55, 271, 1061},	// Soprano::Vocabulary::Xesam::baseRevisionID
    {55, 272, 883},	// Soprano::Vocabulary::Xesam::bcc
    {55, 277, 1036},	// Soprano::Vocabulary::Xesam::birthDate
    {55, 280, 884},	// Soprano::Vocabulary::Xesam::blogContactURL
    {55, 284, 1074},	// Soprano::Vocabulary::Xesam::cameraManufacturer
    {55, 285, 864},	// Soprano::Vocabulary::Xesam::cameraModel
    {55, 287, 1002},	// Soprano::Vocabulary::Xesam::cc
    {55, 288, 904},	// Soprano::Vocabulary::Xesam::ccdWidth
    {55, 289, 994},	// Soprano::Vocabulary::Xesam::cellPhoneNumber
    {55, 290, 840},	// Soprano::Vocabulary::Xesam::changeCommitTime
    {55, 291, 1058},	// Soprano::Vocabulary::Xesam::changeCommitter
    {55, 292, 947},	// Soprano::Vocabulary::Xesam::characterCount
    {55, 293, 1032},	// Soprano::Vocabulary::Xesam::charset
    {55, 294, 1098},	// Soprano::Vocabulary::Xesam::chatRoom
    {55, 302, 1060},	// Soprano::Vocabulary::Xesam::colorCount
    {55, 303, 1020},	// Soprano::Vocabulary::Xesam::colorSpace
    {55, 304, 1010},	// Soprano::Vocabulary::Xesam::columnCount
    {55, 305, 924},	// Soprano::Vocabulary::Xesam::comment
    {55, 306, 963},	// Soprano::Vocabulary::Xesam::commentCharacterCount
    {55, 307, 844},	// Soprano::Vocabulary::Xesam::commitDiff
    {55, 308, 1000},	// Soprano::Vocabulary::Xesam::communicationChannel
    {55, 310, 867},	// Soprano::Vocabulary::Xesam::composer
    {55, 311, 954},	// Soprano::Vocabulary::Xesam::compressionAlgorithm
    {55, 312, 896},	// Soprano::Vocabulary::Xesam::compressionLevel
    {55, 313, 1075},	// Soprano::Vocabulary::Xesam::conflicts
    {55, 315, 1085},	// Soprano::Vocabulary::Xesam::contactMedium
    {55, 316, 903},	// Soprano::Vocabulary::Xesam::contactNick
    {55, 317, 857},	// Soprano::Vocabulary::Xesam::contactURL
    {55, 318, 852},	// Soprano::Vocabulary::Xesam::contains
    {55, 337, 1090},	// Soprano::Vocabulary::Xesam::contentComment
    {55, 338, 941},	// Soprano::Vocabulary::Xesam::contentCreated
    {55, 339, 1015},	// Soprano::Vocabulary::Xesam::contentKeyword
    {55, 340, 1077},	// Soprano::Vocabulary::Xesam::contentModified
    {55, 341, 970},	// Soprano::Vocabulary::Xesam::contentType
    {55, 343, 1062},	// Soprano::Vocabulary::Xesam::contributor
    {55, 344, 837},	// Soprano::Vocabulary::Xesam::copyright
    {55, 359, 943},	// Soprano::Vocabulary::Xesam::creator
    {55, 367, 1023},	// Soprano::Vocabulary::Xesam::definesClass
    {55, 368, 931},	// Soprano::Vocabulary::Xesam::definesFunction
    {55, 369, 966},	// Soprano::Vocabulary::Xesam::definesGlobalVariable
    {55, 372, 1009},	// Soprano::Vocabulary::Xesam::deletionTime
    {55, 373, 938},	// Soprano::Vocabulary::Xesam::depends
    {55, 375, 948},	// Soprano::Vocabulary::Xesam::derivedFrom
    {55, 376, 1066},	// Soprano::Vocabulary::Xesam::description
    {55, 386, 893},	// Soprano::Vocabulary::Xesam::discNumber
    {55, 387, 1029},	// Soprano::Vocabulary::Xesam::disclaimer
    {55, 406, 873},	// Soprano::Vocabulary::Xesam::documentCategory
    {55, 409, 1063},	// Soprano::Vocabulary::Xesam::emailAddress
    {55, 425, 860},	// Soprano::Vocabulary::Xesam::exposureBias
    {55, 426, 979},	// Soprano::Vocabulary::Xesam::exposureProgram
    {55, 427, 1069},	// Soprano::Vocabulary::Xesam::exposureTime
    {55, 429, 832},	// Soprano::Vocabulary::Xesam::familyName
    {55, 430, 933},	// Soprano::Vocabulary::Xesam::faxPhoneNumber
    {55, 431, 855},	// Soprano::Vocabulary::Xesam::fileExtension
    {55, 432, 894},	// Soprano::Vocabulary::Xesam::fileSystemType
    {55, 433, 985},	// Soprano::Vocabulary::Xesam::fingerprint
    {55, 437, 878},	// Soprano::Vocabulary::Xesam::firstUsed
    {55, 438, 889},	// Soprano::Vocabulary::Xesam::flashUsed
    {55, 439, 1051},	// Soprano::Vocabulary::Xesam::focalLength
    {55, 440, 876},	// Soprano::Vocabulary::Xesam::focusDistance
    {55, 441, 1018},	// Soprano::Vocabulary::Xesam::formatSubtype
    {55, 442, 987},	// Soprano::Vocabulary::Xesam::frameCount
    {55, 443, 946},	// Soprano::Vocabulary::Xesam::frameRate
    {55, 444, 922},	// Soprano::Vocabulary::Xesam::freeSpace
    {55, 451, 1080},	// Soprano::Vocabulary::Xesam::gender
    {55, 452, 1071},	// Soprano::Vocabulary::Xesam::generator
    {55, 453, 1086},	// Soprano::Vocabulary::Xesam::generatorOptions
    {55, 454, 1021},	// Soprano::Vocabulary::Xesam::genre
    {55, 455, 845},	// Soprano::Vocabulary::Xesam::givenName
    {55, 457, 908},	// Soprano::Vocabulary::Xesam::group
    {55, 468, 999},	// Soprano::Vocabulary::Xesam::height
    {55, 469, 934},	// Soprano::Vocabulary::Xesam::homeEmailAddress
    {55, 470, 1072},	// Soprano::Vocabulary::Xesam::homePhoneNumber
    {55, 471, 942},	// Soprano::Vocabulary::Xesam::homePostalAddress
    {55, 472, 956},	// Soprano::Vocabulary::Xesam::homepageContactURL
    {55, 473, 1088},	// Soprano::Vocabulary::Xesam::honorificPrefix
    {55, 474, 1092},	// Soprano::Vocabulary::Xesam::honorificSuffix
    {55, 475, 917},	// Soprano::Vocabulary::Xesam::horizontalResolution
    {55, 477, 1093},	// Soprano::Vocabulary::Xesam::id
    {55, 479, 997},	// Soprano::Vocabulary::Xesam::imContactMedium
    {55, 481, 965},	// Soprano::Vocabulary::Xesam::inReplyTo
    {55, 485, 851},	// Soprano::Vocabulary::Xesam::interest
    {55, 486, 886},	// Soprano::Vocabulary::Xesam::interlaceMode
    {55, 490, 916},	// Soprano::Vocabulary::Xesam::ircContactMedium
    {55, 497, 1095},	// Soprano::Vocabulary::Xesam::isContentEncrypted
    {55, 508, 861},	// Soprano::Vocabulary::Xesam::isEncrypted
    {55, 510, 1040},	// Soprano::Vocabulary::Xesam::isImportant
    {55, 511, 960},	// Soprano::Vocabulary::Xesam::isInProgress
    {55, 519, 1028},	// Soprano::Vocabulary::Xesam::isPublicChannel
    {55, 520, 971},	// Soprano::Vocabulary::Xesam::isRead
    {55, 523, 914},	// Soprano::Vocabulary::Xesam::isSourceEncrypted
    {55, 533, 877},	// Soprano::Vocabulary::Xesam::isoEquivalent
    {55, 545, 831},	// Soprano::Vocabulary::Xesam::jabberContactMedium
    {55, 546, 958},	// Soprano::Vocabulary::Xesam::keyword
    {55, 547, 1068},	// Soprano::Vocabulary::Xesam::knows
    {55, 549, 1026},	// Soprano::Vocabulary::Xesam::language
    {55, 552, 983},	// Soprano::Vocabulary::Xesam::lastRefreshed
    {55, 553, 989},	// Soprano::Vocabulary::Xesam::lastUsed
    {55, 554, 902},	// Soprano::Vocabulary::Xesam::legal
    {55, 555, 935},	// Soprano::Vocabulary::Xesam::license
    {55, 556, 1008},	// Soprano::Vocabulary::Xesam::licenseType
    {55, 557, 850},	// Soprano::Vocabulary::Xesam::lineCount
    {55, 558, 1035},	// Soprano::Vocabulary::Xesam::links
    {55, 582, 980},	// Soprano::Vocabulary::Xesam::localRevision
    {55, 584, 928},	// Soprano::Vocabulary::Xesam::lyricist
    {55, 585, 846},	// Soprano::Vocabulary::Xesam::mailingList
    {55, 586, 835},	// Soprano::Vocabulary::Xesam::mailingPostalAddress
    {55, 588, 854},	// Soprano::Vocabulary::Xesam::maintainer
    {55, 589, 976},	// Soprano::Vocabulary::Xesam::markupCharacterCount
    {55, 593, 967},	// Soprano::Vocabulary::Xesam::md5Hash
    {55, 594, 858},	// Soprano::Vocabulary::Xesam::mediaBitrate
    {55, 595, 920},	// Soprano::Vocabulary::Xesam::mediaCodec
    {55, 596, 1038},	// Soprano::Vocabulary::Xesam::mediaCodecType
    {55, 597, 995},	// Soprano::Vocabulary::Xesam::mediaDuration
    {55, 599, 926},	// Soprano::Vocabulary::Xesam::mergeConflict
    {55, 602, 1078},	// Soprano::Vocabulary::Xesam::meteringMode
    {55, 603, 839},	// Soprano::Vocabulary::Xesam::mimeType
    {55, 609, 880},	// Soprano::Vocabulary::Xesam::mountPoint
    {55, 610, 1030},	// Soprano::Vocabulary::Xesam::name
    {55, 613, 1016},	// Soprano::Vocabulary::Xesam::newsGroup
    {55, 624, 919},	// Soprano::Vocabulary::Xesam::occupiedSpace
    {55, 640, 1048},	// Soprano::Vocabulary::Xesam::orientation
    {55, 641, 909},	// Soprano::Vocabulary::Xesam::originURL
    {55, 642, 1064},	// Soprano::Vocabulary::Xesam::originalLocation
    {55, 643, 991},	// Soprano::Vocabulary::Xesam::otherName
    {55, 645, 923},	// Soprano::Vocabulary::Xesam::owner
    {55, 646, 993},	// Soprano::Vocabulary::Xesam::pageCount
    {55, 647, 1037},	// Soprano::Vocabulary::Xesam::paragraphCount
    {55, 665, 847},	// Soprano::Vocabulary::Xesam::performer
    {55, 666, 838},	// Soprano::Vocabulary::Xesam::permissions
    {55, 667, 887},	// Soprano::Vocabulary::Xesam::personPhoto
    {55, 669, 828},	// Soprano::Vocabulary::Xesam::phoneNumber
    {55, 670, 1083},	// Soprano::Vocabulary::Xesam::pixelDataBitDepth
    {55, 671, 1012},	// Soprano::Vocabulary::Xesam::pixelDataType
    {55, 674, 945},	// Soprano::Vocabulary::Xesam::postalAddress
    {55, 679, 1034},	// Soprano::Vocabulary::Xesam::primaryRecipient
    {55, 681, 921},	// Soprano::Vocabulary::Xesam::programmingLanguage
    {55, 696, 936},	// Soprano::Vocabulary::Xesam::receptionTime
    {55, 697, 834},	// Soprano::Vocabulary::Xesam::recipient
    {55, 698, 898},	// Soprano::Vocabulary::Xesam::related
    {55, 699, 984},	// Soprano::Vocabulary::Xesam::remotePassword
    {55, 700, 1059},	// Soprano::Vocabulary::Xesam::remotePort
    {55, 701, 944},	// Soprano::Vocabulary::Xesam::remoteServer
    {55, 702, 961},	// Soprano::Vocabulary::Xesam::remoteUser
    {55, 725, 869},	// Soprano::Vocabulary::Xesam::replyTo
    {55, 731, 1039},	// Soprano::Vocabulary::Xesam::rowCount
    {55, 732, 862},	// Soprano::Vocabulary::Xesam::rssFeed
    {55, 736, 1019},	// Soprano::Vocabulary::Xesam::sampleConfiguration
    {55, 737, 955},	// Soprano::Vocabulary::Xesam::sampleDataBitDepth
    {55, 738, 1067},	// Soprano::Vocabulary::Xesam::sampleDataType
    {55, 741, 841},	// Soprano::Vocabulary::Xesam::secondaryRecipient
    {55, 743, 1006},	// Soprano::Vocabulary::Xesam::seenAttachedAs
    {55, 758, 843},	// Soprano::Vocabulary::Xesam::setCount
    {55, 776, 1099},	// Soprano::Vocabulary::Xesam::setRate
    {55, 791, 1014},	// Soprano::Vocabulary::Xesam::sha1Hash
    {55, 793, 907},	// Soprano::Vocabulary::Xesam::size
    {55, 795, 1049},	// Soprano::Vocabulary::Xesam::sourceCreated
    {55, 796, 1050},	// Soprano::Vocabulary::Xesam::sourceModified
    {55, 809, 1001},	// Soprano::Vocabulary::Xesam::storageSize
    {55, 818, 992},	// Soprano::Vocabulary::Xesam::subject
    {55, 819, 868},	// Soprano::Vocabulary::Xesam::summary
    {55, 821, 925},	// Soprano::Vocabulary::Xesam::supercedes
    {55, 832, 1079},	// Soprano::Vocabulary::Xesam::targetQuality
    {55, 836, 1047},	// Soprano::Vocabulary::Xesam::title
    {55, 837, 879},	// Soprano::Vocabulary::Xesam::to
    {55, 841, 1005},	// Soprano::Vocabulary::Xesam::totalSpace
    {55, 842, 982},	// Soprano::Vocabulary::Xesam::totalUncompressedSize
    {55, 851, 1052},	// Soprano::Vocabulary::Xesam::trackGain
    {55, 852, 848},	// Soprano::Vocabulary::Xesam::trackNumber
    {55, 853, 911},	// Soprano::Vocabulary::Xesam::trackPeakGain
    {55, 862, 897},	// Soprano::Vocabulary::Xesam::url
    {55, 863, 913},	// Soprano::Vocabulary::Xesam::useCount
    {55, 865, 891},	// Soprano::Vocabulary::Xesam::userComment
    {55, 866, 842},	// Soprano::Vocabulary::Xesam::userKeyword
    {55, 868, 932},	// Soprano::Vocabulary::Xesam::userRating
    {55, 870, 1003},	// Soprano::Vocabulary::Xesam::usesNamespace
    {55, 878, 930},	// Soprano::Vocabulary::Xesam::version
    {55, 884, 988},	// Soprano::Vocabulary::Xesam::verticalResolution
    {55, 885, 1007},	// Soprano::Vocabulary::Xesam::videoBitrate
    {55, 886, 940},	// Soprano::Vocabulary::Xesam::videoCodec
    {55, 887, 950},	// Soprano::Vocabulary::Xesam::videoCodecType
    {55, 889, 1094},	// Soprano::Vocabulary::Xesam::whiteBalance
    {55, 890, 829},	// Soprano::Vocabulary::Xesam::width
    {55, 891, 853},	// Soprano::Vocabulary::Xesam::wordCount
    {55, 892, 1031},	// Soprano::Vocabulary::Xesam::workEmailAddress
    {55, 893, 1045},	// Soprano::Vocabulary::Xesam::workPhoneNumber
    {55, 894, 1070},	// Soprano::Vocabulary::Xesam::workPostalAddress
    {55, 897, 973},	// Soprano::Vocabulary::Xesam::xesam35mmEquivalent
    {55, 898, 1054},	// Soprano::Vocabulary::Xesam::xesamNamespace
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *soprano_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_soprano_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    soprano_Smoke = new Smoke(
        "soprano",
        __smokesoprano::classes, 55,
        __smokesoprano::methods, 1100,
        __smokesoprano::methodMaps, 1070,
        __smokesoprano::methodNames, 930,
        __smokesoprano::types, 201,
        __smokesoprano::inheritanceList,
        __smokesoprano::argumentList,
        __smokesoprano::ambiguousMethodList,
        __smokesoprano::cast );
    initialized = true;
}

void delete_soprano_Smoke() { delete soprano_Smoke; }

}
